<?php
public function insertNewStatement($request)
    {

        DB::beginTransaction();
        try {
            /*
          Create a customer id by getting existing customer or create new one
        */
            if ($request->customer_id) {

                $customer = Customer::where('id', $request->customer_id)->first();
            } 
            
            else {

                $customer = Customer::create(['father_name' => $request->father_name, 'name' => $request->name, 'email' => $request->email, 'mailing_address' => $request->mailing_address, 'permanent_address' => $request->permanent_address, 'dob' => $request->dob, 'occupation' => $request->occupation, 'cnic' => $request->cnic, 'passport_no' => $request->passport_no, 'res_number' => $request->res_number, 'phone_number' => $request->phone_number, 'mobile_number' => $request->mobile_number, 'nominee_name' => $request->nominee_name, 'nominee_so_do_wo' => $request->nominee_so_do_wo, 'nominee_cnic' => $request->nominee_cnic, 'nominee_passport_no' => $request->nominee_passport_no, 'nominee_phone_number' => $request->nominee_phone_number, 'nominee_res_number' => $request->nominee_res_number, 'nominee_mobile_number' => $request->nominee_mobile_number, 'nominee_relation' => $request->nominee_relation, 'nominee_email' => $request->nominee_email, 'father_type' => $request->father_type, 'cnic_flag' => $request->cnic_flag, 'nominee_cnic_flag' => $request->nominee_cnic_flag, 'nominee_father_type' => $request->nominee_father_type, 'password' => bcrypt($request->password ? $request->password : $request->cnic), 'is_filer' => $request->is_filer, 'nominee_address' => $request->nominee_address, 'ntn_number' => $request->ntn_number, 'type' => $request->user_type, 'account_title' => $request->account_title, 'bank_id' => $request->depositer_bank, 'iban_number' => $request->iban_number, 'first_owner' => $request->first_owner, 'second_owner' => $request->second_owner, 'first_owner_father' => $request->first_owner_father, 'second_owner_father' => $request->second_owner_father, 'first_owner_cnic' => $request->first_owner_cnic, 'second_owner_cnic' => $request->second_owner_cnic, 'payment_method' => $request->payment_method]);


                if ($request->hasfile('file')) {
                    $file = $request->file('file');

                    $name = $customer->id . '-' . $file->getClientOriginalName();
                    $file->move(public_path() . '/uploads/', $name);

                    Customer::where('id', $customer->id)->update(['img_url' => $name, 'updated_at' => date('Y-m-d H:i:s')]);
                }
                if ($request->hasfile('photos')) {
                    foreach ($request->photos as $photo) {
                        $name = $customer->id . '-' . $photo->getClientOriginalName();
                        $photo->move(public_path() . '/uploads/', $name);
                        CustomerDocument::create(['customer_id' => $customer->id, 'url' => $name]);
                    }
                }
            }

            $net_amount = $request->net_amount;

            if ($request->discount_percent) {
                $discount = (int)($request->discount ? ((($request->total_price + $request->extra_charges) * $request->discount) / 100) : 0);
            } else {
                $discount = ($request->discount ?  $request->discount : 0);
            }

            /*
          Update the status of inventry
        */
            Inventory::where('id', $request->inventory_id)->update(['status' => Inventory::sold]);

            $inventory_project_type =  Inventory::where('id', $request->inventory_id)->first();

            /*
          Customer property entry
        */

            $property = CustomerProperty::create(['customer_id' => $customer->id,
             'cost' => $request->total_price, 'booking_date' => $request->booking_date,
              'original_boooking_date' =>  $request->original_boooking_date, 
               'schedule_start_date' => $request->schedule_start_date, 
               'discount' => $discount, 'booking_type' => $request->booking_type, 
               'net_pay' => $net_amount, 'inventory_id' => $request->inventory_id, 
               'membership_no' => $request->membership_number, 
               'schedular_type' => $request->schedule_type,
                'status' => CustomerProperty::pending, 
                'down_payment_note' => $request->down_payment_note, 
                'sale_by' => Auth::user()->id, 'access_amount' => $request->access_amount,
                 'multi_project_id' => $inventory_project_type->multi_project_id,
                 'schedule_plan_id'=> $request->schedule_plan_id]);




            //if multiple owners
            //if multiple owners
            // if ($request->has('customer_id')) {
            //     if (count($request->customer_id) > 1) {
            //         for ($i = 1; $i < count($request->customer_id); $i++) {
            //             CustomerPropertyPartner::create(['property_id' => $property->id, 'customer_id' => $request->customer_id[$i]]);
            //         }
            //     }
            // }


            //check if the product sold by dealer  then update their account
            // dd(isset($request->dealer_id[0]),$request->dealer_id);

            // if(isset($request->dealer_id[0] )){
            // dd($request->dealer_id,$request->total_rebate);
            if ($request->dealer_id != 0) {
                $inventory = Inventory::where('id', $request->unit_number)->first();
                if (!$inventory->dealerPackageOpenFileUnit) {

                    for ($i = 0; $i < count($request->dealer_id); $i++) {
                        $dealer = Dealer::where('id', $request->dealer_id[$i])->first();
                        $rebate = $request->total_rebate[$i];
                        Dealer::where('id', $request->dealer_id[$i])->update([
                            'total_sale' =>
                            $dealer->total_sale + $net_amount,
                            'total_rebate' =>
                            $dealer->total_rebate + $rebate
                        ]);
                        //make transation
                        DealerTransaction::create([
                            'product_id' => $property->id,
                            'dealer_id' => $dealer->id,
                            'amount' => $rebate,
                            'status' => DealerTransaction::unpaid
                        ]);

                        //update the product account
                        CustomerProperty::where('id', $property->id)->update(['dealer_id' => $dealer->id]);
                    }
                }
            }
            // }

            //check if booking type normal or full payment
            if ($request->booking_type == CustomerProperty::normal) {

                //Custom Scheduling
                if ($request->schedule_type == CustomerProperty::inst_custom) {
                    // dd('1');
                    $b_date = new Carbon($request->booking_date);
                    $downpayment = $request->down_payment;
                    $possession = $request->possession;
                    //Make a  downpayment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $b_date, 'due' => $downpayment, 'balance' => $downpayment]);
                    if ($request->custom_amount) {
                        for ($i = 0; $i < count($request->custom_amount); $i++) {
                            CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::installment, 'inst_no' => 1 + $i, 'due_date' => $request->custom_date[$i], 'due' => $request->custom_amount[$i], 'balance' => $request->custom_amount[$i], 'surcharge' => 0]);
                            // $extra_amount += $request->custom_amount[$i];
                            $possesion_date =  $request->custom_date[$i];
                        }
                    }
                    // $possesion_date = $request->custom_date[$request->custom_amount];
                    if (!empty($request->possession_date)) {
                        $possesion_date = $request->possession_date;
                    }
                    //Make a possession Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::possession, 'inst_no' => 1, 'due_date' => $possesion_date, 'due' => $possession, 'balance' => $possession, 'received' => 0]);
                    //Make a allotment Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::allotment, 'inst_no' => 1, 'due_date' => $request->allotment_date, 'due' => $request->allotment, 'balance' => $request->allotment, 'received' => 0]);
                    //Make a confirmation Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::confirmation, 'inst_no' => 1, 'due_date' => $request->confirmation_date, 'due' => $request->confirmation, 'balance' => $request->confirmation, 'received' => 0]);
                    //Make a booking Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::booking, 'inst_no' => 1, 'due_date' => $request->booking_date, 'due' => $request->booking, 'balance' => $request->booking, 'received' => 0]);
                    //Make a development Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::development, 'inst_no' => 1, 'due_date' => $request->development_date, 'due' => $request->development, 'balance' => $request->development, 'received' => 0]);


                    //Make a file_processing Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::file_processing, 'inst_no' => 1, 'due_date' => $request->file_processing_date, 'due' => $request->file_processing, 'balance' => $request->file_processing, 'received' => 0]);

                    //Make a registration Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::registration, 'inst_no' => 1, 'due_date' => $request->registration_date, 'due' => $request->registration, 'balance' => $request->registration, 'received' => 0]);

                    //Make ballon payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::ballon, 'inst_no' => 1, 'due_date' => $request->ballonpayment_date, 'due' => $request->ballon, 'balance' => $request->ballon, 'received' => 0]);

                    //Make Bulleting payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::balloting, 'inst_no' => 1, 'due_date' => $request->bulleting_date, 'due' => $request->bulleting, 'balance' => $request->bulleting, 'received' => 0]);
                }
                //End Custom 
                else if ($request->schedule_type == CustomerProperty::inst_mon_exclude_ann || $request->schedule_type == CustomerProperty::inst_mon_exclude_quar || $request->schedule_type == CustomerProperty::inst_mon_exclude_semi || $request->schedule_type == CustomerProperty::inst_quar_exclude_semi) {

                   

                    $date = new Carbon($request->schedule_start_date);
                    $date = $date->subMonth();
                    $b_date = new Carbon($request->booking_date);

                    $tenure = $request->total_annual_installement_count;
                    $total_count = $request->total_annual_installment_count;

                    if ($request->amount_schedule == CustomerStatement::percentage) {
                        $downpayment = ($net_amount * $request->down_payment) / 100;
                        $possession = ($net_amount * $request->possession) / 100;
                        $monthy_installment = ($net_amount * $request->installment) / 100 * $request->installment_plan;
                        $per_monthly_inst = ($net_amount * $request->installment) / 100;
                        if ($request->schedule_type == CustomerProperty::inst_mon_exclude_ann) {
                            $semi_installment = ($net_amount * $request->annual_installment) / 100 * $request->total_annual_installment_count;
                            $tenure = 12;
                            $total_count = $request->total_annual_installment_count;
                        } elseif ($request->schedule_type == CustomerProperty::inst_mon_exclude_semi || $request->schedule_type == CustomerProperty::inst_quar_exclude_semi) {
                            $semi_installment = ($net_amount * $request->semi_installment) / 100 * $request->total_semi_installment_count;
                            $tenure = 6;
                            $total_count = $request->total_semi_installment_count;
                        } else {
                            $semi_installment = ($net_amount * $request->quarterly_installment) / 100 * $request->total_quarterly_installment_count;
                            $tenure = 3;
                            $total_count = $request->total_quarterly_installment_count;
                        }
                        $per_semi_installment = $semi_installment;
                    } else {
                        $downpayment = $request->down_payment;
                        $possession = $request->possession;
                        $monthy_installment = $request->installment * $request->installment_plan;
                        $per_monthly_inst = $request->installment;

                        if ($request->schedule_type == CustomerProperty::inst_mon_exclude_ann) {
                            $semi_installment = $request->annual_installment * $request->total_annual_installment_count;
                            $tenure = 12;
                            $total_count = $request->total_annual_installment_count;
                            $per_semi_installment = $request->annual_installment;
                        } elseif ($request->schedule_type == CustomerProperty::inst_mon_exclude_semi || $request->schedule_type == CustomerProperty::inst_quar_exclude_semi) {
                            $semi_installment = $request->semi_installment * $request->total_semi_installment_count;
                            $tenure = ($request->schedule_type == CustomerProperty::inst_quar_exclude_semi) ? 3 : 6;
                            $total_count = $request->total_semi_installment_count;
                            $per_semi_installment = $request->semi_installment;
                        } else {
                            $semi_installment = $request->quarterly_installment * $request->total_quarterly_installment_count;
                            $tenure = 3;
                            $total_count = $request->total_quarterly_installment_count;
                            $per_semi_installment = $request->quarterly_installment;
                        }


                        //   $possession_fee = $request->possession_fee;
                    }

                    $total_months = $total_count;

                    CustomerProperty::where('id', $property->id)->update(['down_payment' => $downpayment, 'possession_fee' => $possession, 'installment' => $monthy_installment, 'installment_plan' => $request->installment_plan, 'six_installment' => $semi_installment, 'allotment_date' => $request->allotment_date, 'confirmation_date' => $request->confirmation_date, 'development_date' => $request->development_date, 'file_processing_date' => $request->file_processing_date, 'registration_date' => $request->registration_date, 'allotment_fee' => $request->allotment, 'confirmation_fee' => $request->confirmation, 'development_fee' => $request->development, 'file_processing_fee' => $request->file_processing, 'registration_fee' => $request->registration, 'booking_fee' => $request->booking]);

                    $extra_amount = $downpayment + $possession + $monthy_installment + $semi_installment + $request->allotment + $request->confirmation +  $request->file_processing + $request->registration + $request->booking + $request->ballon + $request->bulleting;

                    //Make a  downpayment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $b_date, 'due' => $downpayment, 'balance' => $downpayment, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    if ($request->add_amount) {
                        for ($i = 0; $i < count($request->add_amount); $i++) {
                            CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::other, 'inst_no' => 3 + $i, 'due_date' => $request->add_date[$i], 'due' => $request->add_amount[$i], 'balance' => $request->add_amount[$i], 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                            $extra_amount += $request->add_amount[$i];
                        }
                    }

                    $extra_amount -= $net_amount;

                    $addMonth = ($request->schedule_type == CustomerProperty::inst_quar_exclude_semi) ? 3 : 1;
                    $date->subMonth($addMonth - 1);

                    //Make a installment Entry

                    for ($i = 1; $i <= ($request->installment_plan + $total_months); $i++) {
                        if ($i % $tenure == 0 && $total_count > 0) {
                            if ($i == ($request->installment_plan)) {

                                CustomerStatement::create([
                                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment  - $extra_amount,
                                    'balance' => $per_semi_installment - $extra_amount, 'surcharge' => 0, 'inst_track' => 1, 'multi_project_id' => $inventory_project_type->multi_project_id
                                ]);
                            } else {

                                CustomerStatement::create([
                                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment,
                                    'balance' => $per_semi_installment, 'surcharge' => 0, 'inst_track' => 1,
                                    'multi_project_id' => $inventory_project_type->multi_project_id
                                ]);
                            }
                            $total_count--;
                        } else if ($i == ($request->installment_plan)) {

                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst - $extra_amount,
                                'balance' => $per_monthly_inst - $extra_amount, 'surcharge' => 0,
                                'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        } else {

                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst,
                                'balance' => $per_monthly_inst, 'surcharge' => 0,
                                'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        }
                    }

                    $possesion_date = $date;

                    if (!empty($request->possession_date)) {
                        $possesion_date = $request->possession_date;
                    }

                    //Make a possession Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::possession, 'inst_no' => 1, 'due_date' => $possesion_date, 'due' => $possession, 'balance' => $possession, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a allotment Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::allotment, 'inst_no' => 1, 'due_date' => $request->allotment_date, 'due' => $request->allotment, 'balance' => $request->allotment, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a confirmation Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::confirmation, 'inst_no' => 1, 'due_date' => $request->confirmation_date, 'due' => $request->confirmation, 'balance' => $request->confirmation, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    //Make a booking Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::booking, 'inst_no' => 1, 'due_date' => $request->booking_date, 'due' => $request->booking, 'balance' => $request->booking, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    //Make a file_processing Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::file_processing, 'inst_no' => 1, 'due_date' => $request->file_processing_date, 'due' => $request->file_processing, 'balance' => $request->file_processing, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a registration Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::registration, 'inst_no' => 1, 'due_date' => $request->registration_date, 'due' => $request->registration, 'balance' => $request->registration, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    //Make ballon payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::ballon, 'inst_no' => 1, 'due_date' => $request->ballonpayment_date, 'due' => $request->ballon, 'balance' => $request->ballon, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make Bulleting payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::balloting, 'inst_no' => 1, 'due_date' => $request->bulleting_date, 'due' => $request->bulleting, 'balance' => $request->bulleting, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                } else if ($request->schedule_type == CustomerProperty::inst_mon_w_ann || $request->schedule_type == CustomerProperty::inst_mon_w_semi || $request->schedule_type == CustomerProperty::inst_mon_w_quar || $request->schedule_type == CustomerProperty::inst_quar_w_semi) {

                     
                    $date = new Carbon($request->schedule_start_date);
                    $date = $date->subMonth();
                    $b_date = new Carbon($request->booking_date);

                    $tenure = $request->total_annual_installement_count;
                    $total_count = $request->total_annual_installment_count;

                    if ($request->amount_schedule == CustomerStatement::percentage) {
                        $downpayment = ($net_amount * $request->down_payment) / 100;
                        $possession = ($net_amount * $request->possession) / 100;
                        $monthy_installment = ($net_amount * $request->installment) / 100 * $request->installment_plan;
                        $per_monthly_inst = ($net_amount * $request->installment) / 100;
                        if ($request->schedule_type == CustomerProperty::inst_mon_w_ann) {
                            $semi_installment = ($net_amount * $request->annual_installment) / 100 * $request->total_annual_installment_count;
                            $tenure = 12;
                            $total_count = $request->total_annual_installment_count;
                        } elseif ($request->schedule_type == CustomerProperty::inst_mon_w_semi || $request->schedule_type == CustomerProperty::inst_quar_w_semi) {
                            $semi_installment = ($net_amount * $request->semi_installment) / 100 * $request->total_semi_installment_count;
                            $tenure = 6;
                            $total_count = $request->total_semi_installment_count;
                        } else {
                            $semi_installment = ($net_amount * $request->quarterly_installment) / 100 * $request->total_quarterly_installment_count;
                            $tenure = 3;
                            $total_count = $request->total_quarterly_installment_count;
                        }
                        $per_semi_installment = $semi_installment;
                    } else {
                        $downpayment = $request->down_payment;
                        $possession = $request->possession;
                        $monthy_installment = $request->installment * $request->installment_plan;
                        $per_monthly_inst = $request->installment;
                        if ($request->schedule_type == CustomerProperty::inst_mon_w_ann) {
                            $semi_installment = $request->annual_installment * $request->total_annual_installment_count;
                            $tenure = 12;
                            $total_count = $request->total_annual_installment_count;
                            $per_semi_installment = $request->annual_installment;
                        } elseif ($request->schedule_type == CustomerProperty::inst_mon_w_semi || $request->schedule_type == CustomerProperty::inst_quar_w_semi) {
                            $semi_installment = $request->semi_installment * $request->total_semi_installment_count;
                            $tenure = ($request->schedule_type == CustomerProperty::inst_quar_w_semi) ? 3 : 6;
                            $total_count = $request->total_semi_installment_count;
                            $per_semi_installment = $request->semi_installment;
                        } else {
                            $semi_installment = $request->quarterly_installment * $request->total_quarterly_installment_count;
                            $tenure = 3;
                            $total_count = $request->total_quarterly_installment_count;
                            $per_semi_installment = $request->quarterly_installment;
                        }


                        //   $possession_fee = $request->possession_fee;
                    }
                    CustomerProperty::where('id', $property->id)->update(['down_payment' => $downpayment, 'possession_fee' => $possession, 'installment' => $monthy_installment, 'installment_plan' => $request->installment_plan, 'six_installment' => $semi_installment, 'allotment_date' => $request->allotment_date, 'confirmation_date' => $request->confirmation_date,  'file_processing_date' => $request->file_processing_date, 'registration_date' => $request->registration_date, 'allotment_fee' => $request->allotment, 'confirmation_fee' => $request->confirmation,  'file_processing_fee' => $request->file_processing, 'registration_fee' => $request->registration, 'booking_fee' => $request->booking]);

                    $extra_amount = $downpayment + $possession + $monthy_installment + $semi_installment + $request->allotment + $request->confirmation + $request->file_processing + $request->registration + $request->booking + $request->ballon + $request->bulleting;

                    //Make a  downpayment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $b_date, 'due' => $downpayment, 'balance' => $downpayment, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    if ($request->add_amount) {
                        for ($i = 0; $i < count($request->add_amount); $i++) {
                            CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::other, 'inst_no' => 3 + $i, 'due_date' => $request->add_date[$i], 'due' => $request->add_amount[$i], 'balance' => $request->add_amount[$i], 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                            $extra_amount += $request->add_amount[$i];
                        }
                    }

                    $extra_amount -= $net_amount;

                    $addMonth = ($request->schedule_type == CustomerProperty::inst_quar_w_semi) ? 3 : 1;
                    $date->subMonth($addMonth - 1);



                    //Make a installment Entry
                    for ($i = 1; $i <= $request->installment_plan; $i++) {

                        if ($i % $tenure == 0 && $total_count > 0) {
                            if ($i == ($request->installment_plan)) {
                                // dd('1',$per_semi_installment + $per_monthly_inst,'t',$per_semi_installment + $per_monthly_inst - $extra_amount,$per_monthly_inst - $extra_amount, $per_monthly_inst);
                                CustomerStatement::create([
                                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment + $per_monthly_inst - $extra_amount,
                                    'balance' => $per_semi_installment + $per_monthly_inst - $extra_amount, 'surcharge' => 0, 'inst_track' => 1,
                                    'multi_project_id' => $inventory_project_type->multi_project_id
                                ]);
                            } else {
                                // dd('2',$per_semi_installment + $per_monthly_inst,'t',$per_semi_installment + $per_monthly_inst - $extra_amount,$per_monthly_inst - $extra_amount, $per_monthly_inst);
                                CustomerStatement::create([
                                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment + $per_monthly_inst,
                                    'balance' => $per_semi_installment + $per_monthly_inst, 'surcharge' => 0, 'inst_track' => 1, 'multi_project_id' => $inventory_project_type->multi_project_id
                                ]);
                            }
                            $total_count--;
                        } else if ($i == ($request->installment_plan)) {
                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst - $extra_amount,
                                'balance' => $per_monthly_inst - $extra_amount, 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        } else {
                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst,
                                'balance' => $per_monthly_inst, 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        }
                    }

                    $possesion_date = $date;

                    if (!empty($request->possession_date)) {
                        $possesion_date = $request->possession_date;
                    }

                    //Make a possession Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::possession, 'inst_no' => 1, 'due_date' => $possesion_date, 'due' => $possession, 'balance' => $possession, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a allotment Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::allotment, 'inst_no' => 1, 'due_date' => $request->allotment_date, 'due' => $request->allotment, 'balance' => $request->allotment, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a confirmation Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::confirmation, 'inst_no' => 1, 'due_date' => $request->confirmation_date, 'due' => $request->confirmation, 'balance' => $request->confirmation, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    //Make a booking Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::booking, 'inst_no' => 1, 'due_date' => $request->booking_date, 'due' => $request->booking, 'balance' => $request->booking, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);



                    //Make a file_processing Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::file_processing, 'inst_no' => 1, 'due_date' => $request->file_processing_date, 'due' => $request->file_processing, 'balance' => $request->file_processing, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a registration Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::registration, 'inst_no' => 1, 'due_date' => $request->registration_date, 'due' => $request->registration, 'balance' => $request->registration, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make ballon payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::ballon, 'inst_no' => 1, 'due_date' => $request->ballonpayment_date, 'due' => $request->ballon, 'balance' => $request->ballon, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make Bulleting payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::balloting, 'inst_no' => 1, 'due_date' => $request->bulleting_date, 'due' => $request->bulleting, 'balance' => $request->bulleting, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                } else {
 
                    $date = new Carbon($request->schedule_start_date);

                    $count = 1;
                    if ($request->schedule_type == CustomerProperty::inst_mon) {
                        $count = 1;
                    } elseif ($request->schedule_type == CustomerProperty::inst_bi_mon) {
                        $count = 2;
                    } elseif ($request->schedule_type == CustomerProperty::inst_quar) {
                        $count = 3;
                    } elseif ($request->schedule_type == CustomerProperty::inst_semi) {
                        $count = 6;
                    } elseif ($request->schedule_type == CustomerProperty::inst_ann) {
                        $count = 12;
                    }
                    $date = $date->subMonth($count);
                    $b_date = new Carbon($request->booking_date);

                    if ($request->amount_schedule == CustomerStatement::percentage) {
                        $downpayment = ($net_amount * $request->down_payment) / 100;
                        $possession = ($net_amount * $request->possession) / 100;
                        $installment = ($net_amount * $request->installment) / 100 * $request->installment_plan;
                        $per_installment = ($net_amount * $request->installment) / 100;
                    } else {
                        $downpayment = $request->down_payment;
                        $possession = $request->possession;
                        $installment = $request->installment * $request->installment_plan;
                        $per_installment = $request->installment;
                    }
                    CustomerProperty::where('id', $property->id)->update(['down_payment' => $downpayment, 'possession_fee' => $possession, 'installment' => $installment, 'installment_plan' => $request->installment_plan,  'allotment_date' => $request->allotment_date, 'confirmation_date' => $request->confirmation_date, 'development_date' => $request->development_date, 'file_processing_date' => $request->file_processing_date, 'registration_date' => $request->registration_date, 'allotment_fee' => $request->allotment, 'confirmation_fee' => $request->confirmation, 'development_fee' => $request->development, 'file_processing_fee' => $request->file_processing, 'registration_fee' => $request->registration, 'booking_fee' => $request->booking]);

                    $extra_amount = $downpayment + $possession + $installment + $request->allotment + $request->confirmation  + $request->file_processing + $request->registration + $request->booking + $request->ballon + $request->bulleting;

                    //Make a  downpayment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $b_date, 'due' => $downpayment, 'balance' => $downpayment, 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    if ($request->add_amount) {
                        for ($i = 0; $i < count($request->add_amount); $i++) {
                            CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::other, 'inst_no' => 3 + $i, 'due_date' => $request->add_date[$i], 'due' => $request->add_amount[$i], 'balance' => $request->add_amount[$i], 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                            $extra_amount += $request->add_amount[$i];
                        }
                    }


                    $extra_amount -= $net_amount;



                    //Make a installment Entry
                    for ($i = 1; $i <= $request->installment_plan; $i++) {
                        if ($i == ($request->installment_plan)) {
                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($count), 'due' => $per_installment - $extra_amount, 'balance' => $per_installment - $extra_amount, 'surcharge' => 0,
                                'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        } else if ($i == ($request->installment_plan)) {
                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($count), 'due' => $per_installment - $extra_amount,
                                'balance' => $per_installment - $extra_amount, 'surcharge' => 0,
                                'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        } else {
                            CustomerStatement::create([
                                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($count), 'due' => $per_installment,
                                'balance' => $per_installment, 'surcharge' => 0,
                                'multi_project_id' => $inventory_project_type->multi_project_id
                            ]);
                        }
                    }

                    $possesion_date = $date;

                    if (!empty($request->possession_date)) {
                        $possesion_date = $request->possession_date;
                    }


                    //Make a possession Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::possession, 'inst_no' => 2, 'due_date' => $possesion_date, 'due' => $possession, 'balance' => $possession, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a allotment Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::allotment, 'inst_no' => 1, 'due_date' => $request->allotment_date, 'due' => $request->allotment, 'balance' => $request->allotment, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a confirmation Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::confirmation, 'inst_no' => 1, 'due_date' => $request->confirmation_date, 'due' => $request->confirmation, 'balance' => $request->confirmation, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


                    //Make a booking Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::booking, 'inst_no' => 1, 'due_date' => $request->booking_date, 'due' => $request->booking, 'balance' => $request->booking, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);



                    //Make a file_processing Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::file_processing, 'inst_no' => 1, 'due_date' => $request->file_processing_date, 'due' => $request->file_processing, 'balance' => $request->file_processing, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make a registration Entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::registration, 'inst_no' => 1, 'due_date' => $request->registration_date, 'due' => $request->registration, 'balance' => $request->registration, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make ballon payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::ballon, 'inst_no' => 1, 'due_date' => $request->ballonpayment_date, 'due' => $request->ballon, 'balance' => $request->ballon, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

                    //Make Bulleting payment entry
                    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::balloting, 'inst_no' => 1, 'due_date' => $request->bulleting_date, 'due' => $request->bulleting, 'balance' => $request->bulleting, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                }

            } else {

                // dd('5');
                $full_date = new Carbon($request->booking_date);
                //Make a  downpayment entry
                CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $full_date, 'due' => $net_amount, 'balance' => $net_amount, 'multi_project_id' => $inventory_project_type->multi_project_id]);
                if ($request->full_discount) {
                    CustomerPropertyFullPayment::create(['customer_property_id' => $property->id, 'total_amount' => $request->net_amount_full_payment, 'total_tenure' => $request->total_tenure_full_payment, 'discount_percentage' => $request->discount_percentage_full_payment, 'return_tenure' => $request->return_tenure_full_payment, 'discount_amount' => $request->discount_amount_full_payment, 'deduction_amount' => $request->deduction_amount_full_payment]);
                    for ($i = 0; $i < ($request->total_tenure_full_payment / $request->return_tenure_full_payment); $i++) {
                        CustomerPropertyFullPaymentStatement::create(['customer_id' => $customer->id, 'property_id' => $property->id, 'due_date' => $full_date->addMonth($request->return_tenure_full_payment), 'due' => $request->per_full_payment, 'received' => 0, 'balance' => $request->per_full_payment, 'receipt_no' => null, 'receipt_date' => null]);
                    }
                }
            }
            
            //change the  status of reserved forms
            $inventory = Inventory::where('id', $request->unit_number)->first();
            if ($inventory) {
                Inventory::where('id', $request->unit_number)->update(['status' => Inventory::sold]);
            }

            // $i= Inventory::where('unit_number', $request->unit_number)->first();

            $dealer_file =    OpenFileDealerInfo::where('invertory_id', $inventory->id)->first();


            if (!empty($dealer_file)) {
                // $property = CustomerProperty::create(['customer_id' => $customer->id, 'cost' => $request->total_price, 'booking_date' => $request->booking_date, 'original_boooking_date' =>  $request->original_boooking_date,  'schedule_start_date' => $request->schedule_start_date, 'discount' => $discount, 'booking_type' => $request->booking_type, 'net_pay' => $net_amount, 'inventory_id' => $request->inventory_id, 'membership_no' => $request->membership_number, 'schedular_type' => $request->schedule_type, 'status' => CustomerProperty::pending, 'down_payment_note' => $request->down_payment_note, 'sale_by' => Auth::user()->id, 'access_amount' => $request->access_amount]);
                $pro =  CustomerProperty::where('customer_id', $customer->id)->where('inventory_id', $inventory->id)->first();

                if ($request->booking_type == CustomerProperty::normal) {
                    $c_statement = CustomerStatement::where([['customer_id', $customer->id], ['customer_property_id', $pro->id], ['payment_head', CustomerStatement::down_payment]])->first();

                    $c_statement->received = $c_statement->due;
                    $c_statement->balance = 0;
                    $c_statement->save();
                    $result = Receipt::where([['receipt_no', '!=', null]])
                        ->orderby('receipt_no', 'desc')->first();

                    if ($result)
                        $receipt_no = ++$result->receipt_no;
                    else
                        $receipt_no = '50000';

                    $receipt = new Receipt;
                    $receipt->customer_id = $customer->id;
                    $receipt->customer_property_id = $property->id;
                    $receipt->payment_head = Receipt::down_payment;
                    $receipt->payment_mode = Receipt::adjustment;
                    $receipt->amount = $c_statement->received;
                    $receipt->receipt_no = $receipt_no;
                    $receipt->receipt_date = date('Y-m-d');
                    $receipt->adjustment_type = Receipt::other;
                    $receipt->payment_method = Receipt::adjustment;
                    $receipt->save();
                } else {

                    $c_statement = CustomerStatement::where([['customer_id', $customer->id], ['customer_property_id', $pro->id], ['payment_head', CustomerStatement::down_payment]])->first();
                    $invn =    Inventory::where('id', $request->inventory_id)->first();

                    $total_price =  $invn->dealerPackageOpenFileUnit->dealerPackage->package->pricelist;

                    $pr =    PriceListDetail::where([['pricelist_id', $total_price->id], ['unit_type_id', $invn->unit_type_id], ['unit_size_id', $invn->unit_size_id]])->first();
                    $get_total = $pr->total_price;
                    $scheduleplane = SchedulePlan::where('id',$request->schedule_plan_id)->first();
                    $per =    $scheduleplane->down_payment;

                    $result = $get_total * $per / 100;



                    $c_statement->received =   $result;
                    $c_statement->balance = 0;
                    $c_statement->save();

                    $result = Receipt::where([['receipt_no', '!=', null]])
                        ->orderby('receipt_no', 'desc')->first();

                    if ($result)
                        $receipt_no = ++$result->receipt_no;
                    else
                        $receipt_no = '50000';

                    $receipt = new Receipt;
                    $receipt->customer_id = $customer->id;
                    $receipt->customer_property_id = $property->id;
                    $receipt->payment_head = Receipt::down_payment;
                    $receipt->payment_mode = Receipt::adjustment;
                    $receipt->amount = $c_statement->received;
                    $receipt->receipt_no = $receipt_no;
                    $receipt->receipt_date = date('Y-m-d');
                    $receipt->adjustment_type = Receipt::other;
                    $receipt->payment_method = Receipt::adjustment;
                    $receipt->save();
                }
            }

            if ($inventory->inventory_type == 1 && isset($request->unit_category_id)) {
                if(count($request->unit_category_id) > 0) {
                    $property =  CustomerProperty::where('customer_id', $customer->id)->where('inventory_id', $inventory->id)->first();

                    for ($i = 0; $i < count($request->unit_category_id); $i++) {
                        CustomerCategoryPreferrence::create(['customer_property_id' => $property->id, 'unit_category_id' => $request->unit_category_id[$i]]);
                    }
                }
            }
        } 
        catch (\Exception $e) {

            // dd($e);
            DB::rollback();
            return false;
        }
        DB::commit();
        return $property;
    }


    $date = new Carbon($request->schedule_start_date);
    $date = $date->subMonth();
    $b_date = new Carbon($request->booking_date);

    $tenure = $request->total_annual_installement_count;
    $total_count = $request->total_annual_installment_count;

    if ($request->amount_schedule == CustomerStatement::percentage) {
        $downpayment = ($net_amount * $request->down_payment) / 100;
        $possession = ($net_amount * $request->possession) / 100;
        $monthy_installment = ($net_amount * $request->installment) / 100 * $request->installment_plan;
        $per_monthly_inst = ($net_amount * $request->installment) / 100;
        if ($request->schedule_type == CustomerProperty::inst_mon_w_ann) {
            $semi_installment = ($net_amount * $request->annual_installment) / 100 * $request->total_annual_installment_count;
            $tenure = 12;
            $total_count = $request->total_annual_installment_count;
        } elseif ($request->schedule_type == CustomerProperty::inst_mon_w_semi || $request->schedule_type == CustomerProperty::inst_quar_w_semi) {
            $semi_installment = ($net_amount * $request->semi_installment) / 100 * $request->total_semi_installment_count;
            $tenure = 6;
            $total_count = $request->total_semi_installment_count;
        } else {
            $semi_installment = ($net_amount * $request->quarterly_installment) / 100 * $request->total_quarterly_installment_count;
            $tenure = 3;
            $total_count = $request->total_quarterly_installment_count;
        }
        $per_semi_installment = $semi_installment;
    } else {
        $downpayment = $request->down_payment;
        $possession = $request->possession;
        $monthy_installment = $request->installment * $request->installment_plan;
        $per_monthly_inst = $request->installment;
        if ($request->schedule_type == CustomerProperty::inst_mon_w_ann) {
            $semi_installment = $request->annual_installment * $request->total_annual_installment_count;
            $tenure = 12;
            $total_count = $request->total_annual_installment_count;
            $per_semi_installment = $request->annual_installment;
        } elseif ($request->schedule_type == CustomerProperty::inst_mon_w_semi || $request->schedule_type == CustomerProperty::inst_quar_w_semi) {
            $semi_installment = $request->semi_installment * $request->total_semi_installment_count;
            $tenure = ($request->schedule_type == CustomerProperty::inst_quar_w_semi) ? 3 : 6;
            $total_count = $request->total_semi_installment_count;
            $per_semi_installment = $request->semi_installment;
        } else {
            $semi_installment = $request->quarterly_installment * $request->total_quarterly_installment_count;
            $tenure = 3;
            $total_count = $request->total_quarterly_installment_count;
            $per_semi_installment = $request->quarterly_installment;
        }


        //   $possession_fee = $request->possession_fee;
    }
    CustomerProperty::where('id', $property->id)->update(['down_payment' => $downpayment, 'possession_fee' => $possession, 'installment' => $monthy_installment, 'installment_plan' => $request->installment_plan, 'six_installment' => $semi_installment, 'allotment_date' => $request->allotment_date, 'confirmation_date' => $request->confirmation_date,  'file_processing_date' => $request->file_processing_date, 'registration_date' => $request->registration_date, 'allotment_fee' => $request->allotment, 'confirmation_fee' => $request->confirmation,  'file_processing_fee' => $request->file_processing, 'registration_fee' => $request->registration, 'booking_fee' => $request->booking]);

    $extra_amount = $downpayment + $possession + $monthy_installment + $semi_installment + $request->allotment + $request->confirmation + $request->file_processing + $request->registration + $request->booking + $request->ballon + $request->bulleting;

    //Make a  downpayment entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::down_payment, 'inst_no' => 2, 'due_date' => $b_date, 'due' => $downpayment, 'balance' => $downpayment, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    if ($request->add_amount) {
        for ($i = 0; $i < count($request->add_amount); $i++) {
            CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::other, 'inst_no' => 3 + $i, 'due_date' => $request->add_date[$i], 'due' => $request->add_amount[$i], 'balance' => $request->add_amount[$i], 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);
            $extra_amount += $request->add_amount[$i];
        }
    }

    $extra_amount -= $net_amount;

    $addMonth = ($request->schedule_type == CustomerProperty::inst_quar_w_semi) ? 3 : 1;
    $date->subMonth($addMonth - 1);



    // Make a installment Entry
    for ($i = 1; $i <= $request->installment_plan; $i++) {

        if ($i % $tenure == 0 && $total_count > 0) {
            if ($i == ($request->installment_plan)) {
                // dd('1',$per_semi_installment + $per_monthly_inst,'t',$per_semi_installment + $per_monthly_inst - $extra_amount,$per_monthly_inst - $extra_amount, $per_monthly_inst);
                CustomerStatement::create([
                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment + $per_monthly_inst - $extra_amount,
                    'balance' => $per_semi_installment + $per_monthly_inst - $extra_amount, 'surcharge' => 0, 'inst_track' => 1,
                    'multi_project_id' => $inventory_project_type->multi_project_id
                ]);
            } else {
                // dd('2',$per_semi_installment + $per_monthly_inst,'t',$per_semi_installment + $per_monthly_inst - $extra_amount,$per_monthly_inst - $extra_amount, $per_monthly_inst);
                CustomerStatement::create([
                    'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                    'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_semi_installment + $per_monthly_inst,
                    'balance' => $per_semi_installment + $per_monthly_inst, 'surcharge' => 0, 'inst_track' => 1, 'multi_project_id' => $inventory_project_type->multi_project_id
                ]);
            }
            $total_count--;
        } else if ($i == ($request->installment_plan)) {
            CustomerStatement::create([
                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst - $extra_amount,
                'balance' => $per_monthly_inst - $extra_amount, 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id
            ]);
        } else {
            CustomerStatement::create([
                'customer_id' => $customer->id, 'customer_property_id' => $property->id,
                'payment_head' => CustomerStatement::installment, 'inst_no' => $i, 'due_date' => $date->addMonth($addMonth), 'due' => $per_monthly_inst,
                'balance' => $per_monthly_inst, 'surcharge' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id
            ]);
        }
    }

    $possesion_date = $date;

    if (!empty($request->possession_date)) {
        $possesion_date = $request->possession_date;
    }

    //Make a possession Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::possession, 'inst_no' => 1, 'due_date' => $possesion_date, 'due' => $possession, 'balance' => $possession, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    //Make a allotment Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::allotment, 'inst_no' => 1, 'due_date' => $request->allotment_date, 'due' => $request->allotment, 'balance' => $request->allotment, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    //Make a confirmation Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::confirmation, 'inst_no' => 1, 'due_date' => $request->confirmation_date, 'due' => $request->confirmation, 'balance' => $request->confirmation, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);


    //Make a booking Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::booking, 'inst_no' => 1, 'due_date' => $request->booking_date, 'due' => $request->booking, 'balance' => $request->booking, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);



    //Make a file_processing Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::file_processing, 'inst_no' => 1, 'due_date' => $request->file_processing_date, 'due' => $request->file_processing, 'balance' => $request->file_processing, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    //Make a registration Entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::registration, 'inst_no' => 1, 'due_date' => $request->registration_date, 'due' => $request->registration, 'balance' => $request->registration, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    //Make ballon payment entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::ballon, 'inst_no' => 1, 'due_date' => $request->ballonpayment_date, 'due' => $request->ballon, 'balance' => $request->ballon, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);

    //Make Bulleting payment entry
    CustomerStatement::create(['customer_id' => $customer->id, 'customer_property_id' => $property->id, 'payment_head' => CustomerStatement::balloting, 'inst_no' => 1, 'due_date' => $request->bulleting_date, 'due' => $request->bulleting, 'balance' => $request->bulleting, 'received' => 0, 'multi_project_id' => $inventory_project_type->multi_project_id]);