
@extends('layouts.app')

@section('title')
Edit User 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        @role('admin')
        <li ><a href="{{route('account.all')}}">All Users</a></li>
        @endrole
        <li class="active">Edit User</li>
      </ol>
@stop
@section('content')

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0"><i class="icon-settings fa-fw"></i> Edit User</h3>
                            <p class="text-muted m-b-30 font-13" style="height: 0px;">Update the information </p>
                            <hr>
                            <form class="form-horizontal" action="{{route('account.update')}}" method="post" style="margin-top: 30px; margin-bottom: 30px;">
                               {{csrf_field()}}
                               <input type="hidden" name="id" value="{{$user->id}}">
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="name" value="{{$user->name}}" id="exampleInputuname" placeholder="Update Name">
                                        @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Email <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="email" value="{{$user->email}}" id="exampleInputuname" placeholder="Update Email">
                                        @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Phone Number <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="phone_number" value="{{$user->phone_number}}" placeholder="Update Phone Number">
                                        @if ($errors->has('phone_number'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('phone_number') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                <label for="password" class="col-sm-2 control-label">Password
                                </label>
                                                                    
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">
                               <input type="password" class="form-control" id="password" name="password" value="" autocomplete="new-password" placeholder="Update Password">
                               <br>
                                    <small>Leave empty to keep the same</small>
                            @if ($errors->has('password'))
                                    <span class="help-block" >
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                            </div>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Role <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <select class="form-control chosen-select" name="role[]" multiple="">
                                                @foreach($roles as $role)

                                                @if(in_array($role->id,$selected_roles))
                                                <option value="{{$role->id}}" selected="">
                                                    @foreach($role->projects as $project)
                                                     {{$project->name}}
                                                @endforeach
                                                     --- {{$role->name}}
                                                </option>
                                                @else
                                                <option value="{{$role->id}}">
                                                    @foreach($role->projects as $project)
                                                    {{$project->name}},
                                                @endforeach
                                                      --- {{$role->name}}
                                                </option>
                                                @endif
                                                @endforeach

                                            </select>
                                        @if ($errors->has('role'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('role') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>



                                <div class="form-group m-b-0">
                                    <div class="col-sm-offset-3 col-sm-2" style="margin-left: 215px;">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%;">Update</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

@stop