<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Check Result </title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">

</head>
<body>
    <div class="container mt-5">
        <h2>Search Is Your Property Ballot? </h2>
        <form id="cnicForm">
            <div class="mb-3">
                <label for="cnic" class="form-label">Enter CNIC</label>
                <input style='width: 40%;' type="number" class="form-control" id="cnic" name="cnic" required>
            </div>
            <button type="submit" class="btn btn-primary">Search</button>
        </form>
        <div id="result" class="mt-3"></div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#cnicForm').submit(function (e) {
                e.preventDefault();
        
                let cnic = $('#cnic').val();
        
                $.ajax({
                    url: '{{ route('check-result-against-cnic') }}',
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}',
                        cnic: cnic
                    },
                    success: function (response) {
                        let resultDiv = $('#result');
                        if (response.error) {
                            resultDiv.html(`<p>Error: ${response.error}</p>`);
                        } else {
                            let html = `<p>CNIC: ${response.cnic}</p>`;
                            html += '<ul>';
                            response.ballot_detail.forEach(detail => {
                                html += `<li>Plot No: ${detail.plot_no}, Area: ${detail.area}, Feature: ${detail.feature}, Sector: ${detail.sector}, Road Category: ${detail.road_category}</li>`;
                            });
                            html += '</ul>';
                            resultDiv.html(html);
                        }
                    },
                    error: function (error) {
                        console.error('Error:', error);
                    }
                });
            });
        });
        </script>
        
</body>
</html>
