@extends('layouts.app')
@section('title')
    Overall Booking, Recovery and Receiveable Status
@stop
@section('breadcrumb')
    <ol class="breadcrumb pull-right no-print">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Booking, Recovery and Receiveable Status</li>
    </ol>
@stop
@section('css')
    <style type="text/css">
        @page {
            size: landscape;
        }

        .table-bordered,
        .table>tbody>tr>td,
        .table>tbody>tr>th,
        .table>tfoot>tr>td,
        .table>tfoot>tr>th,
        .table>thead>tr>td,
        .table>thead>tr>th {
            border: 1px solid #000000;
        }

        @media print {
            .white-box {
                border: none !important;
            }

            #select_multi_project_panel {
                display: none !important;
            }

            .page-wrapper {
                font-size: 12px !important;
                font-family: "time-new-roman", Arial, sans-serif !important;
            }

            h3 strong {
                text-transform: uppercase;
            }

            h4 strong {
                text-transform: uppercase;
            }

            h3 {
                margin-bottom: -10px;
            }

            .page-wrapper {
                padding-top: 0px;
            }

            .table>tbody>tr>td,
            .table>tbody>tr>th {
                font-size: 12px;
            }
        }
    </style>
@stop

@section('content')


    @php
        $size = '';
        
        if ($projectType->id == \App\ProjectType::society) {
            $size = \App\ProjectType::society_size;
        } else {
            $size = \App\ProjectType::high_rise_size;
        }
        
    @endphp
    <!-- ===== Page-Container ===== -->
    <div class="container-fluid">
        @can('isSuperAdmin')
        @include('partial.multiproject_select')
        @endcan

    <div id='updatecontent'>
        <div class="row" style="margin-top: 25px;">
            <div class="col-lg-12">
                <div class="white-box">
                    <div class="text-center">
                        <h3><strong>
                            @foreach($project_names as $key => $project_name)
                            {{ $project_name }}
                            @if($key < count($project_names) - 1)
                                , 
                            @endif
                        @endforeach    
                        </strong></h3>
                        <h4><strong>Overall Booking, Recovery and Receiveable Status </strong></h4>
                        <h6>AS ON <b>{{ date('d-m-Y') }}</b></h6>
                    </div>
                    <div style="overflow-y: scroll;height: 565px;">



                        <table id="myTable1" class="table" style="border-top: 1px solid">



                            <thead>

                                <tr>

                                    <th class="text-center" style="border-bottom: none;"><strong>APARTMENT </strong></th>


                                    <th style="border-right:none;">NO.</th>

                                    <th style="border-left:none;border-right: none;"><strong> OF </strong></th>
                                    <th style="border-left:none;">UNITS</th>

                                    @if($multiproject_type == 'all')

                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                                    <th style="border-left:none;">(In 	{{\App\ProjectType::society_size}})</th>


                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                                    <th style="border-left:none;">(In {{\App\ProjectType::high_rise_size}})</th>
 

                                    @else
                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                                    <th style="border-left:none;">(In 	 @if($multiproject_type ==  App\ProjectType::society)
										 
                                        {{\App\ProjectType::society_size}}
                                      @elseif($multiproject_type == App\ProjectType::high_rise)
                                        {{\App\ProjectType::high_rise_size}}
                                      @endif)</th>

                                    @endif






                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> SALES VALUE </strong></th>
                                    <th style="border-left:none;">(In Rs.)</th>

                                    <th style="border-right:none;">RECOVERY</th>
                                    <th style="border-right:none;border-left:none;">AND</th>

                                    <th style="border-left:none;border-right: none;"><strong> RECEIVEABLE AG. </strong></th>

                                    <th style="border-right:none;border-left:none;">BOOKED</th>
                                    <th style="border-left:none;">UNITS</th>

                                </tr>

                                <tr>
                                    <th class="text-center" style="border-top: none;">Block</th>
                                    <th class="text-center"><strong>Total</strong></th>
                                    <th class="text-center"><strong>Booked</strong></th>
                                    <th class="text-center"><strong>Unbooked</strong></th>
                                    <th class="text-center"><strong>All Units</strong></th>
                                    <th class="text-center"><strong>Booked </strong></th>
                                    <th class="text-center"><strong>Un-Booked</strong></th>
                                    <th class="text-center"><strong>Booked</strong></th>
                                    <th class="text-center"><strong>Un-Booked</strong></th>
                                    <th class="text-center"><strong>Total</strong></th>
                                    <th class="text-center"><strong>Discount</strong></th>
                                    <th class="text-center"><strong>Recovery </strong></th>
                                    <th class="text-center"><strong>Balance Receivables </strong></th>
                                    <th class="text-center"><strong>Overdues </strong></th>
                                    <th class="text-center"><strong>Future Ins.</strong></th>
                                </tr>








                            </thead>

                            <tbody>

                                <?php
                                $block_total_units = 0;
                                $block_booked_units = 0;
                                $block_un_booked_units = 0;
                                $block_total_units_area_count = 0;
                                $block_booked_units_area_count = 0;
                                $block_un_booked_units_area_count = 0;
                                $block_total_units_amount_count = 0;
                                $block_booked_units_amount_count = 0;
                                $block_un_booked_units_amount_count = 0;
                                $block_discount_count = 0;
                                $block_recovery_count = 0;
                                $block_receivable_count = 0;
                                $block_overdue_count = 0;
                                $block_future_count = 0;
                                ?>

                                @foreach ($unit_blooks as $unit_blook)
                                    <?php
                                    $block_total_units_count = 0;
                                    $block_booked_units_count = 0;
                                    $block_un_booked_units_count = 0;
                                    $block_total_units_area = 0;
                                    $block_booked_units_area = 0;
                                    $block_un_booked_units_area = 0;
                                    $block_total_units_amount = 0;
                                    $block_booked_units_amount = 0;
                                    $block_un_booked_units_amount = 0;
                                    $block_discount = 0;
                                    $block_recovery = 0;
                                    $block_receivable = 0;
                                    $block_overdue = 0;
                                    $block_future = 0;
                                    ?>

                                    @foreach ($floor_data as $f)
                                        @if ($unit_blook->name == $f['block'])
                                            <?php $block_total_units_count += $f['total_units']; ?>


                                            <?php $block_booked_units_count += $f['booked_units']; ?>


                                            <?php $block_un_booked_units_count += $f['un_booked_units']; ?>



                                            <?php $block_total_units_area += $f['total_units_area']; ?>


                                            <?php $block_booked_units_area += $f['booked_units_area']; ?>


                                            <?php $block_un_booked_units_area += $f['un_booked_units_area']; ?>



                                            <?php $block_booked_units_amount += $f['booked_units_amount']; ?>



                                            <?php $block_un_booked_units_amount += $f['un_booked_units_amount']; ?>



                                            <?php $block_total_units_amount += $f['total_units_amount']; ?>


                                            <?php $block_recovery += $f['recovery']; ?>


                                            <?php $block_receivable += $f['receivable']; ?>


                                            <?php $block_overdue += $f['overdue']; ?>


                                            <?php $block_future += $f['future']; ?>
                                        @endif
                                    @endforeach


                                    @php
                                        if ($block_total_units_amount - $block_booked_units_amount > 0) {
                                            $block_discount = $block_total_units_amount - $block_booked_units_amount;
                                        }
                                    @endphp




                                    <?php $block_total_units += $block_total_units_count; ?>


                                    <?php $block_booked_units += $block_booked_units_count; ?>


                                    <?php $block_un_booked_units += $block_un_booked_units_count; ?>


                                    <?php $block_total_units_area_count += $block_total_units_area; ?>


                                    <?php $block_booked_units_area_count += $block_booked_units_area; ?>


                                    <?php $block_un_booked_units_area_count += $block_un_booked_units_area; ?>


                                    <?php $block_total_units_amount_count += $block_booked_units_amount; ?>


                                    <?php $block_booked_units_amount_count += $block_un_booked_units_amount; ?>


                                    <?php $block_un_booked_units_amount_count += $block_total_units_amount; ?>


                                    <?php $block_discount_count += $block_discount; ?>


                                    <?php $block_recovery_count += $block_recovery; ?>


                                    <?php $block_receivable_count += $block_receivable; ?>


                                    <?php $block_overdue_count += $block_overdue; ?>


                                    <?php $block_future_count += $block_future; ?>


                                    <tr>
                                        <th class="text-center"><strong>{{ $unit_blook->name }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_total_units_count) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_booked_units_count) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_un_booked_units_count) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_total_units_area) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_booked_units_area) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_un_booked_units_area) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_booked_units_amount) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_un_booked_units_amount) }}</strong></th>
                                        <th class="text-center">
                                            <strong>{{ number_format($block_total_units_amount) }}</strong></th>
                                        <th class="text-center"><strong>{{ number_format($block_discount) }}</strong></th>
                                        <th class="text-center"><strong>{{ number_format($block_recovery) }}</strong></th>
                                        <th class="text-center"><strong>{{ number_format($block_receivable) }}</strong>
                                        </th>
                                        <th class="text-center"><strong>{{ number_format($block_overdue) }}</strong></th>
                                        <th class="text-center"><strong>{{ number_format($block_future) }}</strong></th>
                                    </tr>
                                @endforeach



                                <tr>
                                    <th class="text-center"><strong>Total</strong></th>
                                    <th class="text-center"><strong>{{ number_format($block_total_units) }}</strong></th>
                                    <th class="text-center"><strong>{{ number_format($block_booked_units) }}</strong></th>
                                    <th class="text-center"><strong>{{ number_format($block_un_booked_units) }}</strong>
                                    </th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_total_units_area_count) }}</strong></th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_booked_units_area_count) }}</strong></th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_un_booked_units_area_count) }}</strong></th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_total_units_amount_count) }}</strong></th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_booked_units_amount_count) }}</strong></th>
                                    <th class="text-center">
                                        <strong>{{ number_format($block_un_booked_units_amount_count) }}</strong></th>
                                    <th class="text-center"><strong>{{ number_format($block_discount_count) }}</strong>
                                    </th>
                                    <th class="text-center"><strong>{{ number_format($block_recovery_count) }}</strong>
                                    </th>
                                    <th class="text-center"><strong>{{ number_format($block_receivable_count) }}</strong>
                                    </th>
                                    <th class="text-center"><strong>{{ number_format($block_overdue_count) }}</strong></th>
                                    <th class="text-center"><strong>{{ number_format($block_future_count) }}</strong></th>
                                </tr>

                                <tr>
                                    <th style="border-right: none;">&nbsp;</th>

                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-right: none;border-left: none;">&nbsp;</th>
                                    <th style="border-left: none;">&nbsp;</th>

                                </tr>




                                <tr>

                                    <th class="text-center" style="border-bottom: none;"><strong>APARTMENT </strong></th>


                                    <th style="border-right:none;">NO.</th>

                                    <th style="border-left:none;border-right: none;"><strong> OF </strong></th>
                                    <th style="border-left:none;">UNITS</th>


                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                                    <th style="border-left:none;">(In {{ $size }})</th>


                                    <th style="border-right:none;">TOTAL</th>
                                    <th style="border-left:none;border-right: none;"><strong> SALES VALUE </strong></th>
                                    <th style="border-left:none;">(In Rs.)</th>

                                    <th style="border-right:none;">RECOVERY</th>
                                    <th style="border-right:none;border-left:none;">AND</th>

                                    <th style="border-left:none;border-right: none;"><strong> RECEIVEABLE AG. </strong>
                                    </th>

                                    <th style="border-right:none;border-left:none;">BOOKED</th>
                                    <th style="border-left:none;">UNITS</th>

                                </tr>

                                <tr>
                                    <th class="text-center" style="border-top: none;">TYPE</th>
                                    <th class="text-center"><strong>Total</strong></th>
                                    <th class="text-center"><strong>Booked</strong></th>
                                    <th class="text-center"><strong>Unbooked</strong></th>
                                    <th class="text-center"><strong>All Units</strong></th>
                                    <th class="text-center"><strong>Booked </strong></th>
                                    <th class="text-center"><strong>Un-Booked</strong></th>
                                    <th class="text-center"><strong>Booked</strong></th>
                                    <th class="text-center"><strong>Un-Booked</strong></th>
                                    <th class="text-center"><strong>Total</strong></th>
                                    <th class="text-center"><strong>Discount</strong></th>
                                    <th class="text-center"><strong>Recovery </strong></th>
                                    <th class="text-center"><strong>Balance Receivables </strong></th>
                                    <th class="text-center"><strong>Overdues </strong></th>
                                    <th class="text-center"><strong>Future Ins.</strong></th>
                                </tr>




                                <?php $total_units_count = 0;
                                $booked_units_count = 0;
                                $un_booked_units_count = 0;
                                $total_units_area = 0;
                                $booked_units_area = 0;
                                $un_booked_units_area = 0;
                                $total_units_amount = 0;
                                $booked_units_amount = 0;
                                $un_booked_units_amount = 0;
                                $discount = 0;
                                $recovery = 0;
                                $receivable = 0;
                                $overdue = 0;
                                $future = 0; ?>

                                @foreach ($floor_data as $f)
                                    <tr>
                                        <td><strong>{{ $f['block'] }} - {{ $f['name'] }}</strong></td>
                                        <td class="text-center">{{ $f['total_units'] }}
                                            <?php $total_units_count += $f['total_units']; ?></td>
                                        <td class="text-center">{{ $f['booked_units'] }}
                                            <?php $booked_units_count += $f['booked_units']; ?></td>
                                        <td class="text-center">{{ $f['un_booked_units'] }}
                                            <?php $un_booked_units_count += $f['un_booked_units']; ?></td>
                                        <td class="text-center">
                                            {{ number_format($f['total_units_area']) }}<?php $total_units_area += $f['total_units_area']; ?>

                                        </td>
                                        <td class="text-center">{{ number_format($f['booked_units_area']) }}
                                            <?php $booked_units_area += $f['booked_units_area']; ?></td>
                                        <td class="text-center">{{ number_format($f['un_booked_units_area']) }}
                                            <?php $un_booked_units_area += $f['un_booked_units_area']; ?></td>
                                        <td class="text-right">{{ number_format($f['booked_units_amount']) }}
                                            <?php $booked_units_amount += $f['booked_units_amount']; ?></td>
                                        <td class="text-right">{{ number_format($f['un_booked_units_amount']) }}
                                            <?php $un_booked_units_amount += $f['un_booked_units_amount']; ?></td>
                                        <td class="text-right">{{ number_format($f['total_units_amount']) }}
                                            <?php $total_units_amount += $f['total_units_amount']; ?></td>


                                        <td class="text-right">
                                            @if ($f['total_units_amount'] - $f['booked_units_amount'] > 0)
                                                {{ number_format($f['total_units_amount'] - $f['booked_units_amount']) }}
                                            @else
                                                {{ 0 }}
                                            @endif
                                            <?php $discount += $f['total_units_amount'] - $f['booked_units_amount']; ?>
                                        </td>


                                        <td class="text-right">{{ number_format($f['recovery']) }}
                                            <?php $recovery += $f['recovery']; ?></td>
                                        <td class="text-right">{{ number_format($f['receivable']) }}
                                            <?php $receivable += $f['receivable']; ?></td>
                                        <td class="text-right">{{ number_format($f['overdue']) }}
                                            <?php $overdue += $f['overdue']; ?></td>
                                        <td class="text-right">{{ number_format($f['future']) }}
                                            <?php $future += $f['future']; ?></td>
                                    </tr>
                                @endforeach


                                <tr>
                                    <td class="text-center"><strong>Total</strong></td>
                                    <td class="text-center"><strong>{{ number_format($total_units_count) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($booked_units_count) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($un_booked_units_count) }}</strong>
                                    </td>
                                    <td class="text-center"><strong>{{ number_format($total_units_area) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($booked_units_area) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($un_booked_units_area) }}</strong>
                                    </td>
                                    <td class="text-center"><strong>{{ number_format($booked_units_amount) }}</strong>
                                    </td>
                                    <td class="text-center"><strong>{{ number_format($un_booked_units_amount) }}</strong>
                                    </td>
                                    <td class="text-center"><strong>{{ number_format($total_units_amount) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($discount) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($recovery) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($receivable) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($overdue) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($future) }}</strong></td>
                                </tr>


                                @if (empty(request()->type))

                                    @foreach ($type_data as $type)
                                        <tr>
                                            <td style="border-right: none;">&nbsp;</td>

                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-right: none;border-left: none;">&nbsp;</td>
                                            <td style="border-left: none;">&nbsp;</td>

                                        </tr>

                                        <tr>
                                            <td style="border-right: none;border-top: none;border-bottom: none;">
                                                <strong>{{ $type['floor_name'] }}</strong></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>

                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>

                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>
                                            <td style="border-right: none;border-left: none;"></td>

                                            <td style="border-left: none;"></td>

                                        </tr>

                                        <?php $total_units_count = 0;
                                        $booked_units_count = 0;
                                        $un_booked_units_count = 0;
                                        $total_units_area = 0;
                                        $booked_units_area = 0;
                                        $un_booked_units_area = 0;
                                        $total_units_amount = 0;
                                        $booked_units_amount = 0;
                                        $un_booked_units_amount = 0;
                                        $recovery = 0;
                                        $discount = 0;
                                        $receivable = 0;
                                        $overdue = 0;
                                        $future = 0; ?>

                                        @foreach ($type['type'] as $t)
                                            @if ($t['total_units'] > 0)
                                                <tr>
                                                    <td><strong>{{ $t['type_name'] }}</strong></td>
                                                    <td class="text-center">{{ $t['total_units'] }} <?php $total_units_count += $t['total_units']; ?>
                                                    </td>
                                                    <td class="text-center">{{ $t['booked_units'] }}
                                                        <?php $booked_units_count += $t['booked_units']; ?></td>
                                                    <td class="text-center">{{ $t['un_booked_units'] }}
                                                        <?php $un_booked_units_count += $t['un_booked_units']; ?></td>
                                                    <td class="text-center">
                                                        {{ number_format($t['total_units_area']) }}<?php $total_units_area += $t['total_units_area']; ?>

                                                    </td>
                                                    <td class="text-center">{{ number_format($t['booked_units_area']) }}
                                                        <?php $booked_units_area += $t['booked_units_area']; ?></td>
                                                    <td class="text-center">
                                                        {{ number_format($t['un_booked_units_area']) }}
                                                        <?php $un_booked_units_area += $t['un_booked_units_area']; ?></td>
                                                    <td class="text-right">{{ number_format($t['booked_units_amount']) }}
                                                        <?php $booked_units_amount += $t['booked_units_amount']; ?></td>
                                                    <td class="text-right">
                                                        {{ number_format($t['un_booked_units_amount']) }}
                                                        <?php $un_booked_units_amount += $t['un_booked_units_amount']; ?></td>
                                                    <td class="text-right">{{ number_format($t['total_units_amount']) }}
                                                        <?php $total_units_amount += $t['total_units_amount']; ?></td>
                                                    <td class="text-right">{{ number_format($t['discount']) }}
                                                        <?php $discount += $t['discount']; ?></td>
                                                    <td class="text-right">{{ number_format($t['recovery']) }}
                                                        <?php $recovery += $t['recovery']; ?></td>
                                                    <td class="text-right">{{ number_format($t['receivable']) }}
                                                        <?php $receivable += $t['receivable']; ?></td>
                                                    <td class="text-right">{{ number_format($t['overdue']) }}
                                                        <?php $overdue += $t['overdue']; ?></td>
                                                    <td class="text-right">{{ number_format($t['future']) }}
                                                        <?php $future += $t['future']; ?></td>
                                                </tr>
                                            @endif
                                        @endforeach

                                        <tr>
                                            <td class="text-center"><strong>Total</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($total_units_count) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($booked_units_count) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($un_booked_units_count) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($total_units_area) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($booked_units_area) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($un_booked_units_area) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($booked_units_amount) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($un_booked_units_amount) }}</strong></td>
                                            <td class="text-center">
                                                <strong>{{ number_format($total_units_amount) }}</strong></td>
                                            <td class="text-center"><strong>{{ number_format($discount) }}</strong></td>
                                            <td class="text-center"><strong>{{ number_format($recovery) }}</strong></td>
                                            <td class="text-center"><strong>{{ number_format($receivable) }}</strong></td>
                                            <td class="text-center"><strong>{{ number_format($overdue) }}</strong></td>
                                            <td class="text-center"><strong>{{ number_format($future) }}</strong></td>
                                        </tr>
                                        @if ($total_units_count > 0)
                                            <tr>
                                                <td class="text-center"><strong>Percentage</strong></td>
                                                <td class="text-center"><strong></strong></td>
                                                <td class="text-center">
                                                    <strong>{{ round(($booked_units_count / $total_units_count) * 100) }}
                                                        %</strong></td>
                                                <td class="text-center">
                                                    <strong>{{ round(($un_booked_units_count / $total_units_count) * 100) }}
                                                        %</strong></td>
                                                <td class="text-center"><strong></strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($total_units_area > 0)
                                                            {{ round(($booked_units_area / $total_units_area) * 100) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($total_units_area > 0)
                                                            {{ round(($un_booked_units_area / $total_units_area) * 100) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($total_units_amount > 0)
                                                            {{ round(($booked_units_amount / $total_units_amount) * 100) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($total_units_amount > 0)
                                                            {{ round(($un_booked_units_amount / $total_units_amount) * 100, 1) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong></strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($booked_units_amount > 0)
                                                            {{ round(($discount / $booked_units_amount) * 100, 1) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($booked_units_amount > 0)
                                                            {{ round(($recovery / $booked_units_amount) * 100, 1) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($booked_units_amount > 0)
                                                            {{ round(($receivable / $booked_units_amount) * 100, 1) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($receivable > 0)
                                                            {{ round(($overdue / $receivable) * 100) }}
                                                        @endif %
                                                    </strong></td>
                                                <td class="text-center"><strong>
                                                        @if ($receivable > 0)
                                                            {{ round(($future / $receivable) * 100, 1) }}
                                                        @endif %
                                                    </strong></td>
                                            </tr>
                                        @endif
                                    @endforeach

                                @endif

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>    
        <!-- /.row -->
        <div class="text-right" style="    margin-bottom: 20px;">
            <button class="btn btn-default btn-outline no-print" onclick="window.print();return false;" type="button">
                <span><i class="fa fa-print"></i> Print</span>
            </button>
        </div>

    </div>
@stop

@section('js')

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>


    <script>
        $('#myTable1').DataTable({
            'paging': false,
            'sorting': false,
            'searching': false,
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'pdf', 'print'
            ]
        });

        function updateStatus(value) {
            $('.preloader').fadeIn();

            if (value === 'search') {

                $('.preloader').fadeOut();
                return false;
            }
            var data = {
                'multipro_id': value,
            };
            $.get('{{ route('sales.detail.dashboard') }}', data, function(data) {
                $('.preloader').fadeOut();
                $('#myTable tbody').empty();



                document.getElementById('updatecontent').innerHTML = data;

                toastr.success("Search updated.");
                $('#myTable1').DataTable({
            'paging': false,
            'sorting': false,
            'searching': false,
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'pdf', 'print'
            ]
        });


                $('.preloader').fadeOut();
            });

        }
    </script>

@stop
