@extends('layouts.app')

@section('title')
Create New Project
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{route('multi.index')}}"><i class="fa fa-dashboard"></i> Projects List</a></li>
       
        <li class="active">Create</li>
</ol>
@stop
@section('css')

<link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">

 
      <style type="text/css">
   .whitebox3 {
    background: #fff;
    padding: 18px 25px 10px 25px;
    margin-bottom: 30px;
    border-radius: 4px;
    }
    .circle {
        width: 60px;
        height: 60px;
        border-radius: 50%;
        overflow: hidden;
        margin: 0 auto;
    }
    .box-title{
        font-weight: 700;
        font-size: 18px;
    }
    </style>
    

@stop

@section('content')


<div class="container-fluid">
    <form method="post" action="{{ route('multi.store') }}" class="form-horizontal" id="receipt_form" enctype="multipart/form-data">
        {{ csrf_field() }}
        <div class="row">
            <div class="col-lg-12 col-sm-12 col-xs-12">
                @if ($errors->any())
                    <div class="white-box">
                        <h2>Errors</h2>
                        <ul>
                            {!! implode(
                                '',
                                $errors->all('<li><span
                                 class="help-block"><strong>:message</strong></span></li>'),
                            ) !!}
                        </ul>
                    </div>
                @endif
                <div class="whitebox3">
                <h3 class="box-title m-b-0">
                <i class="fa fa-plus-circle" aria-hidden="true"></i> Create New Project</h3>
                <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                    <hr>



                    <div class="col-md-6" style="margin-top: 20px; margin-bottom: 20px;">
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Name
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type="text" class="form-control" name="project_name"
                                          id="project_name" placeholder="Enter Name">
                                    @if ($errors->has('project_name'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('project_name') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div> 
                        </div>

                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Type
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <select class="form-control" name="project_type" id="project_type">
                                        <option  >None</option>
                                        @foreach($project_type as $p_t)
                                        <option value='{{$p_t->id}}'>{{$p_t->name}}</option>

                                        @endforeach
                                    </select>  
                                    @if ($errors->has('project_type'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('project_type') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div> 
                        </div>

                       

                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Logo
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                 {{-- <div style='display:flex;' class="input-group">  --}}
                                    <div class="input-group" style="width: 400px;">
                                <input type="file" class="form-control" name="image"
                                id="image" onchange="readURL(this);">
                                <img id="blah" class='circle' src="{{ asset('images/add_logo.png') }}" alt="your image" style='display:none;'/>
                                
                                </div>
                                   
                                    @if ($errors->has('image'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('image') }}</strong>
                                        </span>
                                    @endif
                               
                            </div>

                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Address
                               
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type='text ' class='form-control' id='address' name='address' placeholder="Enter Address">
                                    @if ($errors->has('address'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('address') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div> 
                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Description
                                
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                     <textarea name='description' style="width: 400px; height: 100px;"class='form-control' placeholder="Enter Description..."></textarea>
                                    @if ($errors->has('description'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('description') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div> 
                        </div>


                            <div class=" col-sm-5" style="margin-left: 280px;">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100%;">Save</button>
                            </div>


                    </div>
                    <div class="clearfix"></div>


                    <div class="clearfix"></div>
                    
                    
                </div>
            </div>
        </div>
    </form>
</div>

            
  
</div>


 

@stop

@section('js')
<script>
    function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#blah')
                        .attr('src', e.target.result)
                        .width(60)
                        .height(60);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
    </script>

   
@stop