@extends('layouts.app')

@section('title')
    All Nominees
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">All Nominee</li>
    </ol>
@stop

@section('css')

    <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css" rel="stylesheet">

    <style>
        table.dataTable thead .sorting_asc {
            background-image: none !important;
        }

        .table.dataTable,
        table.dataTable {
            width: 99.8% !important;
        }
    </style>

@stop

@section('content')


    <div class="container-fluid">

        <!--.row-->
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-info">
                    <div class="panel-heading">Search Customer</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">
                        <div class="panel-body">
                            <form>
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By Nominee Name</label>
                                                <select id="nominee_id" class="form-control chosen-select">
                                                    <option value="0">None</option>
                                                    @foreach ($nominee as $nomi)
                                                        <option value="{{ $nomi->id }}">{{ $nomi->nominee_name }} --
                                                            {{ $nomi->nominee_cnic }}</option>
                                                    @endforeach
                                                </select>

                                            </div>
                                        </div>
                                        <!--/span-->
                                        <div class="col-md-6">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By Customer Name</label>

                                                <select id="cus_id" class="form-control chosen-select">
                                                    <option value="0">None</option>
                                                    @foreach ($customer as $cus)
                                                        <option value="{{ $cus->id }}">{{ $cus->name }} --
                                                            {{ $cus->cnic }}</option>
                                                    @endforeach

                                                </select>
                                            </div>
                                        </div>
                                        <!--/span-->
                                    </div>

                                </div>
                                <div class="form-actions">
                                    <button type="button" class="btn btn-success search-customer"> <i
                                            class="fa fa-check"></i> Search</button>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--./row-->


        <!-- /row -->
        <div class="row" id="update-table">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">

                    </div>
                    <h3 class="box-title">All Nominees (<b>{{ count($nominee) }}</b>)</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>

                                    <th>Nominee </th>
                                    <th>Customer </th>
                                    <th>Relation</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                                @foreach ($nominee as $nomi)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td>{{ $nomi->nominee_name }} -- {{ $nomi->nominee_cnic }}</td>
                                        <td>{{ $nomi->customer->name }} -- {{ $nomi->customer->cnic }}</td>

                                        <td>{{ $nomi->nominee_relation }}</td>




                                        <td class="text-nowrap">
                                            @permission('view-customer')
                                            <a href="{{route('nominee.detail',['id'=>$nomi->id])}}" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>
                                            @endpermission
                                            @permission('edit-customer')
                                            <a href="{{route('nominee.editView',['id'=>$nomi->id])}}" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                            @endpermission
                                            @permission('delete-customer')
                                            {{-- <a href="{{route('customer.delete',['id'=>$nomi->id])}}" data-toggle="confirmation" data-title="Are you sure to delete?" > <i class="fa fa-close text-danger"></i> </a> --}}
                                          
                                            
                                            <form action="{{ route('nominee.delete', [$nomi->id]) }}" method="post"
                                                style='display: inline;'>
                                                {!! method_field('delete') !!}
                                                {!! csrf_field() !!}


                                                <button class="btn btn-link btn-s" style="color:red;" type="submit"
                                                    name="action" value="delete" data-toggle="confirmation"
                                                    data-title="Are you sure to delete?">
                                                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                                                </button>
                                            </form>
                                        

                                          
                                            @endpermission
                                        </td>





                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                        <div style="float: right;"> </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

@stop

@section('js')

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>


    <script>
        $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': false,
                'searching': false,
                'info': true,
                'dom': 'Bfrtip',
                'buttons': [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
        });

        $('.search-customer').on('click', function() {

            nomiId = $('#nominee_id').val();
            cusId = $('#cus_id').val();

            if (nomiId == 0 && cusId == 0) {
                toastr.warning("please select nominee name or customer name.");
                return false;
            }
            $('.preloader').fadeIn();
            var data = {
                'nomi': nomiId,
                'cus': cusId
            };
            $.get('{{ route('nominee.updatetable') }}', data, function(data) {
                document.getElementById('update-table').innerHTML = data;

                $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': false,
                'searching': false,
                'info': true,
                'dom': 'Bfrtip',
                'buttons': [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
        });

                toastr.success("Search updated.");
                $('.preloader').fadeOut();
            });
            $('.preloader').fadeOut();
        });
    </script>
@stop
