@extends('layouts.app')

@section('title')
Purchase Order
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Purchase Orders</li>
      </ol>
@stop
@section('css')
 <link href="{{asset('css/procurement_css.css')}}" rel="stylesheet">
@stop
@section('content')
  <div class="container-fluid">
  <div class="row">
                    
    <div class="col-sm-12">
                        <div class="white-box">
                           
                            <div class="table-responsive">
                             
                            @if(Session::has('success'))   
                            <div id="successMessage" class="alert alert-success" role="alert">
                            {{ Session::get('success') }}
                            </div>
                            @endif

                            <h3  class="box-title m-b-0">
                            Purchase Order List
                            </h3>

                            <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                                    <thead>
                                        <tr role="row">
                                            <th class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 10px;">Id#</th>

                                        	

                                            <th class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 103px;">Department</th>


                                             <th class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Created By</th>


                                              <th class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 150px;">Current Status</th>



                                            <th class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Total PO</th>


                                            <th class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 20px;">Action </th>

                                        </tr>
                                    </thead>
                                <tbody>
  
                    @if( $purchase_requests->count() > 0 )
                    @foreach( $purchase_requests as $list )

                     <tr role="row" class="odd">

                         <td>
                            @permission('view-purchase-request')
                            <a target="_blank" href="{{route('purchase-requests.view' , [$list->id])}}">PR-{{$list->id }} </a>
                            @else
                            PR-{{$list->id }} 

                            @endpermission
                        </td>

                
                        <td>{{ \App\Department::withTrashed()->find($list->department_id)->department_name }}  </td>
                        <td>{{ $list->user->name}} </td>


                         <td>
                             @if($list->status == 0)
                               <span style="color:#ffed14;">Pending</span>
                               @elseif($list->status == 1)
                               <span style="color:#ffbd02;">In Progress</span>
                               @elseif($list->status == 2)
                               <span style="color:red;">Rejected</span>
                                @elseif($list->status == 3)
                               <span style="color:#0d6efd;">RFQ</span>
                               @elseif($list->status == 4)
                               
                               
                               @permission('view-request-for-quotation')
                               <span style="color:#0d6efd;">
                                <a target="_blank" href="{{ route('request-for-quotations.view' , [$list->id]) }}">RFQ SEND</a></span>
                                @endpermission

                               @elseif($list->status == 5)
                               @permission('view-comparative-statement')
                                <span style="color:#0d6efd;"><a target="_blank" href="{{ route('comparative-statements.view' , [$list->id]) }}">CS Received</a></span>
                                @endpermission
                                @elseif($list->status == 6)

                                @permission('view-purchase-order')
                                <span style="color:#0d6efd;"><a target="_blank" href="{{ route('purchase-orders.view' , [$list->id]) }}">PO Sent</a></span>
                               @endpermission
                                @elseif($list->status == 7)
                                @php
                                 $getPrStatus = \App\PurchaseRequest::getPrStatus($list->id);
                                @endphp
                                

                                @if( $getPrStatus['pending_po'] > 0)

                                @permission('view-purchase-order')
                                <span style="color:#0d6efd;"><a style="font-size: 12px;" target="_blank" href="{{ route('purchase-orders.view' , [$list->id]) }}">PO PENDING</a> <span style="padding: 0px 5px 0px 5px;border-radius: 50%;color: white;position: relative;bottom: 15px;background: red;">{{ $getPrStatus['pending_po'] }}</span></span>

                                @endpermission

                                @elseif( $getPrStatus['pending_recipt'] > 0)

                                @permission('view-po-receipt')
                                <span style="color:#0d6efd;"><a  style="font-size: 12px;" target="_blank" href="{{ route('purchase-order-receipts.view' , [$list->id]) }}">RECEIPT PENDING</a><span style="padding: 0px 5px 0px 5px;border-radius: 50%;color: white;position: relative;bottom: 15px;background: red;">{{$getPrStatus['pending_recipt']}}</span></span>

                                @endpermission

                                @elseif($getPrStatus['total_rfq'] > $getPrStatus['total_cs'])

                                @permission('view-request-for-quotation')
                                <span style="color:#0d6efd;font-size: 12px;"><a target="_blank" href="{{ route('request-for-quotations.view' , [$list->id]) }}">CS PENDING</a><span style="padding: 0px 5px 0px 5px;border-radius: 50%;color: white;position: relative;bottom: 15px;background: red;">{{$getPrStatus['total_rfq'] - $getPrStatus['total_cs']}}</span></span>
                                @endpermission
                                @else
                                <span style="color:#0ef30e;">Complete</span>
                                @endif
                             @endif
                            </td>

                            <td>
                            @php
                            $total_po = \App\PurchaseOrder::getVendorIds($list->id);
                            @endphp
                            [ {{sizeof($total_po)}} ]

                            </td>

                            <td>
                            @if(sizeof($total_po) > 0)
                            <a style="color:#fdb024;font-size: 1.9rem;"  href="{{ route('purchase-orders.view',[$list->id] ) }}"><i style="margin-left: 1rem;" class="fa fa-eye" aria-hidden="true"></i>
                            </a>
                            @else
                            {{'No PO'}}
                            @endif
                            </td>
                    </tr>
                 @endforeach   
                 @endif

                                      
                                </tbody>
                                </table>
                                
                            </div>
                            </div>
                        </div>
                    </div>


    </div>

      </div>
@stop 
