@extends('layouts.app')

@section('title')
    Transfer Documents
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('transfer.all') }}">Transfers</a></li>
        <li class="active">Transfer Documents</li>
    </ol>
@stop

@section('css')

    <style type="text/css">
        .spanha {
            color: red;
        }

        .divider:after,
        .divider:before {
            content: "";
            flex: 1;
            height: 1px;
            background: #eee;
        }
       

    </style>

@stop

@section('content')

    <div class="container-fluid">
        <div class="row">

            <form method='post' autocomplete="off" action="{{ route('transfer.approve.tore.document') }}" enctype="multipart/form-data">
                {{ csrf_field() }}
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i> Transfer Documents</h3>
                        <p class="text-muted m-b-30 font-13"> <span class="spanha">Note:</span> All * fields are mandatory
                        </p>
                        <hr>





                    </div>
                </div>

                <input type='hidden' name='id' value="{{$transfer_property->id}}">


                {{-- Check List --}}
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa fa-file-text"></i> Required Documents </h3>
                        
                               @if($transfer_property->transfer_type == \App\TransferProperty::normal_transfer)
                               <h4>Normal Transfer</h4>
                               @elseif($transfer_property->transfer_type == \App\TransferProperty::gift_transfer)
                               <h4>Gift Transfer</h4>
                               @elseif($transfer_property->transfer_type == \App\TransferProperty::family_transfer)
                               <h4>Family Transfer</h4>
                               @elseif($transfer_property->transfer_type == \App\TransferProperty::death_transfer)
                               <h4>Death Transfer</h4>
                               @endif
                            
                        
                        <hr>
                        <div class="clearfix"></div>
                       
                            
                        
                        <div class="clearfix"></div>
                        {{-- <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-4">Select Type <span style="color: red">*</span></label>
                                <div class="col-md-8">
                                    <select autocomplete="off" class="form-control " id="projecttype" name="projecttype"
                                        style="width: 100%!important;" onchange="updateStatus(this.value)">
                                        <option value="" selected="">None</option>
                                       
                                    </select>
                                </div>
                            </div>
                        </div> --}}
                        <section class="vh-100">
                            <div class="container py-5 h-100">
                                <div class="row d-flex justify-content-center align-items-center h-100">
                                    <div class="col col-lg-8 col-xl-6">
                                        <div class="card rounded-3">
                                            <div class="card-body p-4">

                                                <p class="mb-2"><span class="h2 me-2">Documents</span> <span
                                                        class="badge bg-danger">checklist</span></p>

                                                <ul class="list-group rounded-0">
                                                    @foreach ($transfer_document as $document)

                                                    <li class="list-group-item border-0 d-flex align-items-center ps-0">
                                                        @php
                                                        $result=     $transfer_property->transferDocument->where('transfer_property_type_document_id',$document->id)->first();    
 
                                                       
                                                             @endphp
                                                       
                                                            @if(!empty($result))
                                                            <input class="form-check-input me-3 " type="checkbox" value=""
                                                            aria-label="..." checked disabled/>
                                                          
                                                        <s>
                                                            {{$document->name}}
                                                        </s>
                                                        @else
                                                        <input class="form-check-input me-3 " type="checkbox" value=""
                                                        aria-label="..."  disabled/>
                                                      
                                                    
                                                        {{$document->name}}
                                                    
                                                        @endif
                                                        <input type='hidden'   value="{{$document->id}}"
                                                         name='document_id[]'/>
                                                        <a target="_blank" href="{{route($document->route_name,$transfer_property->id)}}"
                                                            data-toggle="tooltip" data-original-title="print form">
                                                            <i class="fa fa-print text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                   
                                                            @if(!empty($result))
                                                            <a target="_blank" href="{{ asset('documents/' . $result->document_path) }}" 
                                                                data-toggle="tooltip" data-original-title="uploaded form">
                                                                <i class="fa fa-download text-inverse m-r-10"></i>&nbsp;&nbsp;
                                                            </a>
                                                            @endif
                                                            
                                                            <label for="myfile">Upload a file:</label>
                                                            <input type="file" id="myfile" name="file[]" style='display: inline;'>
                                                        </li>
                                                    @endforeach

                                                    {{-- <li class="list-group-item border-0 d-flex align-items-center ps-0">
                                                        <input class="form-check-input me-3" type="checkbox" value=""
                                                            aria-label="..." />
                                                        Set due date and assignments
                                                    </li>
                                                    <li class="list-group-item border-0 d-flex align-items-center ps-0">
                                                        <input class="form-check-input me-3" type="checkbox" value=""
                                                            aria-label="..." />
                                                        Remove duplicate tasks and stories
                                                    </li>
                                                    <li class="list-group-item border-0 d-flex align-items-center ps-0">
                                                        <input class="form-check-input me-3" type="checkbox" value=""
                                                            aria-label="..." />
                                                        Update the userflow and stories
                                                    </li>
                                                    <li class="list-group-item border-0 d-flex align-items-center ps-0">
                                                        <input class="form-check-input me-3" type="checkbox" value=""
                                                            aria-label="..." />
                                                        Adjust the components
                                                    </li> --}}
                                                </ul>



                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group m-b-0 ">
                                    <div  >
                                        <button type="submit" class="btn btn-info  waves-effect waves-light ">Save</button>
                                    </div>
                                </div>
                            </div>
                          
                        </section>
                    </div>
                </div>
                {{-- End Check List --}}


               




            </form>
        </div>
    </div>


@stop

@section('js')

    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    <script>
        $(":input").inputmask();
        $(document).ready(function() {
            $('.js-example-basic-single').select2();
        });

        function updateSchedule() {
            $('.preloader').fadeIn();
            var id = $('#property-no').val();

            var data = {
                'id': id
            };

            $.get('/transfer/updateInfo', data, function(data) {

                if (data) {
                    $('#cost-amount').val(new Intl.NumberFormat().format(data['info'].net_pay));
                    $('#owner-name').val(data['info'].customer.name);
                    $('#old_client_id').val(data['info'].membership_no);
                    $('#received-amount').val(new Intl.NumberFormat().format(data['received']));

                    $('#transfer_type').val();
                    $('#pending_due').val(new Intl.NumberFormat().format(data['due']));

                    if (data['due'] > 0) {
                        toastr.error('Pending Due Amount.');
                    }
                    $('#transfer_type').empty();
                    if (data['transfer_type'] == {{ \App\TransferProperty::normal_transfer }}) {
                        $('#transfer_type').val('Normal Transfer');
                    } else if (data['transfer_type'] == {{ \App\TransferProperty::gift_transfer }}) {
                        $('#transfer_type').val('Gift Transfer');
                    } else if (data['transfer_type'] == {{ \App\TransferProperty::family_transfer }}) {
                        $('#transfer_type').val('Family Transfer');
                    } else if (data['transfer_type'] == {{ \App\TransferProperty::death_transfer }}) {
                        $('#transfer_type').val('Death Transfer');
                    }







                }

            });
            $('.preloader').fadeOut();
        }

        $('#country_id').change(function() {
            $('.preloader').fadeIn();
            var data = {
                'country_id': $(this).val()
            };

            $.get('/getCitiesByCountry', data, function(data) {
                var model = $('#city_id');
                model.empty();

                model.append("<option value='' disabled selected>" + '' + "</option>");


                $.each(data, function(index, element) {
                    model.append("<option value='" + element.id + "'>" + element.name +
                        "</option>");
                });
            });
            $('.preloader').fadeOut();
        });
    </script>


@stop
