@extends('layouts.app')

@section('title')
    Add Transfer Receipt
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('transfer.receipt') }}">All Transfer Receipts</a></li>
        <li class="active">Add Transfer Receipt</li>
    </ol>
@stop

@section('css')

    <style type="text/css">
      .spanha{
        color: red;
      }

      .divider:after,
.divider:before {
  content: "";
  flex: 1;
  height: 1px;
  background: #eee;
}
    </style>

@stop

@section('content')

    <div class="container-fluid">
        <div class="row">

         
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i> Add New Transfer Receipt</h3>
                        <p class="text-muted m-b-30 font-13"> <span class="spanha">Note:</span> All * fields are mandatory </p>
                       


                     


                    </div>
                </div>

              


               

               


                

                <!--receipt module -->
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box-2">
                        <h3 class="box-title" style="font-size: 18px; font-weight: 700; height: 20px;"> <i class="fa fa-money" aria-hidden="true"></i> Payment Information</h3>
                        <p class="text-muted m-b-30 font-13" style="height: 0px;"> Add the information </p>
                        <hr>
                        <div id="receipt_div" style="margin-bottom: 40px;">
                            <form method="post" action="{{ route('transfer.storeReceipt') }}" class="form-horizontal" id="receipt_form">
                                {{ csrf_field() }}
                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Transfer Unit<span
                                          style="color: red">*</span></label>
                                    <div class="col-md-8">
                                        <select class="form-control chosen-select" name="transfer_unit"  id='transfer_unit' >
                                            <option>None</option>
                                            @foreach($transfer_property as $tp)
                                            <option value='{{$tp->id}}'>{{$tp->property->inventory->unit_number}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('transfer_unit'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('transfer_unit') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Head <span
                                          style="color: red">*</span></label>
                                    <div class="col-md-8">
                                        <select class="form-control chosen-select" name="payment_head">
                                            @if (old('payment_head') == \App\Receipt::transfer_fee)
                                                <option value="{{ \App\Receipt::transfer_fee }}" selected="">Transfer
                                                    Fee</option>
                                            @else
                                                <option value="{{ \App\Receipt::transfer_fee }}">Transfer Fee</option>
                                            @endif
                                        </select>
                                        @if ($errors->has('payment_head'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('payment_head') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode <span
                                            style="color: red">*</span></label>
                                    <div class="col-md-8">
                                        <select class="form-control  " name='payment_mode'
                                            onchange="changeFunc(this.value)">
                                            @if (old('payment_method') == \App\Receipt::cash)
                                            <option selected value="{{ \App\Receipt::cash }}">Cash</option>
                                            <option value="{{ \App\Receipt::bank }}">Bank Transfer (IBFT)</option>
                                            <option value="{{ \App\Receipt::cheque }}">Cheque/ DD/ PO</option>
                                           
                                        @elseif(old('payment_method') == \App\Receipt::bank)
                                            <option value="{{ \App\Receipt::cash }}">Cash</option>
                                            <option selected value="{{ \App\Receipt::bank }}">Bank Transfer (IBFT)
                                            </option>
                                            <option value="{{ \App\Receipt::cheque }}">Cheque/ DD/ PO</option>
                                            
                                        @elseif(old('payment_method') == \App\Receipt::cheque)
                                            <option value="{{ \App\Receipt::cash }}">Cash</option>
                                            <option value="{{ \App\Receipt::bank }}">Bank Transfer (IBFT)</option>
                                            <option selected value="{{ \App\Receipt::cheque }}">Cheque/ DD/ PO</option>
                                            
                                       
                                        @else
                                            <option value="{{ \App\Receipt::cash }}">Cash</option>
                                            <option value="{{ \App\Receipt::bank }}">Bank Transfer (IBFT)</option>
                                            <option value="{{ \App\Receipt::cheque }}">Cheque/ DD/ PO</option>
                                            
                                        @endif
                                        </select>
                                        @if ($errors->has('payment_mode'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('payment_mode') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Amount <span style="color: red">*</span></label>
                                    <div class="col-md-8">
                                        <input type="text" name="amount" value="{{ old('amount') }}"
                                            class="form-control" id="receipt_amount" placeholder="Enter Amount" readonly>
                                        @if ($errors->has('amount'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('amount') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Receipt Date <span
                                            style="color: red">*</span></label>
                                    <div class="col-md-8">
                                        <input type="date" class="form-control" name='receipt_date'
                                            value="{{ old('receipt_date') }}" id="receipt_date"
                                            placeholder="Enter Registration Date">
                                        @if ($errors->has('receipt_date'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('receipt_date') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <br>
                            {{-- <div class="clearfix"></div>    --}}
                            <div class="col-md-6" style="margin-bottom: 10px;">
                                <div class="form-group">
                                  <label class="control-label col-md-4">Receipt Number<span style="color: red">*</span></label>
                                  <div class="col-md-8">
                                    @if(old('receipt_no'))
                                    <input type="text" class="form-control" name='receipt_no' value="{{old('receipt_no')}}" id="exampleInputEmail1" placeholder="Enter Receipt Number">
                                    @else
                                    <input type="text" class="form-control" name='receipt_no' value="{{$receipt_no}}" id="exampleInputEmail1" placeholder="Enter Receipt Number">
                                    @endif
                                    <!--<input type="text" class="form-control" name='receipt_no' value="{{old('receipt_no')}}" id="exampleInputEmail1" placeholder="Enter Receipt Number">-->
                                    @if ($errors->has('receipt_no'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('receipt_no') }}</strong>
                                        </span>
                                    @endif
                                  </div>
                                </div>
                            </div>
                            <div class="col-md-6" id='bank' style="display: none;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Depositor Bank Name <span
                                            style="color:red;">*</span></label>
                                    <div class="col-md-8">
                                        <select name="bank_name" class="form-control chosen-select">
                                            <option value="" selected="">None</option>
    
                                            @foreach ($banks as $bank)
                                                @if (old('bank_name') == $bank->id)
                                                    <option selected="" value="{{ $bank->id }}">{{ $bank->name }}
                                                    </option>
                                                @else
                                                    <option value="{{ $bank->id }}">{{ $bank->name }}</option>
                                                @endif
                                            @endforeach
                                        </select>
    
                                        @if ($errors->has('bank_name'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('bank_name') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-md-6" id='company-bank' style="display: none;">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Company Account <span
                                            style="color:red;">*</span></label>
                                    <div class="col-md-8">
                                        <select name="company_account" class="form-control chosen-select">
                                            <option value="" selected="">None</option>
    
                                            @foreach ($cBanks as $bank)
                                                @if (old('company_account') == $bank->id)
                                                    <option selected="" value="{{ $bank->id }}">{{ $bank->name }} -
                                                        {{ $bank->account_number }}</option>
                                                @else
                                                    <option value="{{ $bank->id }}">{{ $bank->name }} -
                                                        {{ $bank->account_number }}</option>
                                                @endif
                                            @endforeach
    
                                        </select>
    
                                        @if ($errors->has('company_account'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('company_account') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-md-6" id="cheque-dd-po-drawn-date" style="display: none;">
                                <div class="form-group">
                                    <label class="control-label col-md-4"><span id="date_type"> Drawn Date</span> <span
                                            style="color:red;">*</span></label>
                                    <div class="col-md-8">
                                        <input type="date" class="form-control" name='drawn_date' value=""
                                            id="exampleInputEmail1" placeholder="Enter Receipt Date">
                                        @if ($errors->has('drawn_date'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('drawn_date') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-md-6" id="cheque-dd-po-instrument-no" style="display: none;">
                                <div class="form-group">
                                    <label class="control-label col-md-4"> <span id="number_type_inst">Instrument No </span> <span
                                            style="color:red;">*</span></label>
                                    <div class="col-md-8">
                                        <input type="text" name='cheque_number' value="" class="form-control"
                                            id="exampleInputEmail1" placeholder="Enter Instrument Number">
                                        @if ($errors->has('cheque_number'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('cheque_number') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group m-b-0 pull-right">
                                    <input type="submit" class="btn btn-info btn-sm waves-effect waves-light "
                                        id="saveBtn" value="Save">
                                </div>
                            </div>
                            </form>
                        </div>
                        <!-- <hr> -->
                         <br>
                    </div>
                </div> 


           
        </div>
    </div>


@stop

@section('js')

    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    <script>
        $(":input").inputmask();
        $(document).ready(function() {
    $('.js-example-basic-single').select2();
            });

        function updateSchedule() {
            $('.preloader').fadeIn();
            var id = $('#property-no').val();

            var data = {
                'id': id
            };

            $.get('/transfer/updateInfo', data, function(data) {

                if (data) {
                    $('#cost-amount').val(new Intl.NumberFormat().format(data['info'].net_pay));
                    $('#owner-name').val(data['info'].customer.name);
                    $('#old_client_id').val(data['info'].membership_no);
                    $('#received-amount').val(new Intl.NumberFormat().format(data['received']));

                    $('#transfer_type').val();
                    $('#pending_due').val(new Intl.NumberFormat().format(data['due']));

                    if (data['due'] > 0) {
                        toastr.error('Pending Due Amount.');
                    }
                    $('#transfer_type').empty();
                   if(data['transfer_type'] ==  {{\App\TransferProperty::normal_transfer}})
                   {
                 $('#transfer_type').val('Normal Transfer');
                   }
                   else  if(data['transfer_type'] ==  {{\App\TransferProperty::gift_transfer}})
                   {
                    $('#transfer_type').val('Gift Transfer');
                   }

                   else  if(data['transfer_type'] ==  {{\App\TransferProperty::family_transfer}})
                   {
                    $('#transfer_type').val('Family Transfer');
                   }
                   else  if(data['transfer_type'] ==   {{\App\TransferProperty::death_transfer}})
                   {
                    $('#transfer_type').val('Death Transfer');
                   }


                    
                     
                    
                    
                    
                }

            });
            $('.preloader').fadeOut();
        }

        $('#transfer_unit').change(function() {
            $('.preloader').fadeIn();
            var data = {
                'transfer_unit': $(this).val()
            };

            $.get('{{route("transfer.get.info")}}', data, function(data) {
                
              
               $('#receipt_amount').val(data.transfer_charges);
               $('.preloader').fadeOut();
            });
           
            $('.preloader').fadeOut();
        });
        $('#country_id').change(function() {
            $('.preloader').fadeIn();
            var data = {
                'country_id': $(this).val()
            };

            $.get('/getCitiesByCountry', data, function(data) {
                var model = $('#city_id');
                model.empty();

                model.append("<option value='' disabled selected>" + '' + "</option>");


                $.each(data, function(index, element) {
                    model.append("<option value='" + element.id + "'>" + element.name +
                    "</option>");
                });
            });
            $('.preloader').fadeOut();
        });
        function changeFunc(a) {
            $("#date_type").text("Drawn Date");
                $("#number_type_inst").text("Instrument No");
            if (a == {{ \App\Receipt::cash }}) {
                $('#bank').css('display', 'none');
                $('#company-bank').css('display', 'none');
                $('#cheque').css('display', 'none');
                $('#adjustment').css('display', 'none');
                $('#cheque-dd-po-drawn-date').css('display', 'none');
                $('#cheque-dd-po-instrument-no').css('display', 'none');
                $('#merging_property').hide();
                $('#cheque-dd-po-roll-back').hide()
            } else if (a == {{ \App\Receipt::bank }}) {


                $('#bank').css('display', 'block');
                $('#company-bank').css('display', 'block');
                $('#cheque').css('display', 'none');
                $('#adjustment').css('display', 'none');
                $('#cheque-dd-po-drawn-date').css('display', 'block');
                $('#cheque-dd-po-instrument-no').css('display', 'block');
                $('#merging_property').hide();
                $('#cheque-dd-po-roll-back').hide();
                $("#date_type").text("Transaction Date");
                $("#number_type_inst").text("STAN No");


            } else if (a == {{ \App\Receipt::cheque }}) {
                $('#bank').css('display', 'block');
                $('#company-bank').css('display', 'block');
                $('#cheque').css('display', 'none');
                $('#adjustment').css('display', 'none');
                $('#cheque-dd-po-drawn-date').css('display', 'block');
                $('#cheque-dd-po-instrument-no').css('display', 'block');
                $('#merging_property').hide();
                $('#cheque-dd-po-roll-back').hide()
            }  

        }

    </script>


@stop
