@extends('layouts.app')

@section('title')
All Transfer Receipts 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">All Transfer Receipts</li>
      </ol>
@stop
@section('content')


            <div class="container-fluid">
                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                        	<div class="pull-right" style="margin-top: 10px;">
								<a href="{{route('transfer.receipt.add')}}" class="btn  btn-primary">
									<i class="fa fa-plus-square"></i>&nbsp; Add new Receipt
								</a>
							</div>
                            <h3 class="box-title">All Pending Receipts ({{ number_format($totalAmount) }})</h3>

                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Receipt No.</th>
                                            <th>Project</th>
                                            <th>Unit No. </th>
                                            <th>Payment Method</th>
                                            <th>Payment Head</th>
                                            <th>Received Amount </th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($receipts as $receipt)
                                            <tr>
                                                <td>{{ $receipt->receipt_no }}</td>
                                                <td>{{ $receipt->multiProject ? $receipt->multiProject->name : 'None' }}</td>
                                                <td>{{ $receipt->property ? ($receipt->property->inventory ? $receipt->property->inventory->unit_number : '') : '' }}</td>
        
        
                                                @if ($receipt->payment_method == \App\Receipt::cash)
                                                    <td>Cash</td>
                                                @elseif($receipt->payment_method == \App\Receipt::bank)
                                                    <td>Bank</td>
                                                @elseif($receipt->payment_method == \App\Receipt::adjustment)
                                                    <td>Adjustment</td>
                                                @elseif($receipt->payment_method == \App\Receipt::cheque)
                                                    <td>Cheque</td>
                                                @elseif($receipt->payment_method == \App\Receipt::merging)
                                                    <td>Merging</td>
                                                @else
                                                    <td></td>
                                                @endif
        
        
                                              
                                                
                                                    <td class="printFV">Transfer Fee</td>
                                                
        
        
                                                @if ($receipt->tax_paid_by == \App\Receipt::company)
                                                    <td>{{ number_format($receipt->amount + $receipt->tax_amount) }} PKR</td>
                                                @else
                                                    <td>{{ number_format($receipt->amount) }} PKR</td>
                                                @endif
                                                <td> {{ date('d-m-Y', strtotime($receipt->receipt_date)) }}</td>
                                                <td class="text-nowrap">
        
                                                    <a href="{{ route('receipt.detail', ['id' => $receipt->id]) }}"
                                                        class="btn btn-default"><i
                                                            class="fa fa-eye" aria-hidden="true"></i></a>
        
        
        
                                                    {{-- <a href="{{ route('receipt.editView', ['id' => $receipt->id]) }}"
                                                        class="btn btn-success"> Edit </a> --}}
{{--         
                                                        <input type='hidden' name='id' value="{{$receipt->id}}">
                                                    <a href="{{ route('transfer.receipt.approve' ) }}"
                                                        class="btn btn-success"><i class="fa fa-check-square"
                                                            aria-hidden="true"></i>

                                                    </a> --}}
                                                    <form method="POST" action="{{ route('transfer.receipt.approve') }}">
                                                        @csrf
                                                        <input type="hidden" name="id" value="{{ $receipt->id }}">
                                                        <button type="submit" class="btn btn-success">
                                                            <i class="fa fa-check-square" aria-hidden="true"></i>
                                                        </button>
                                                    </form>
                                                    
        
                                                    @if ($receipt->payment_method == \App\Receipt::cheque)
                                                        <a href="{{ route('receipt.cancelled', ['id' => $receipt->id]) }}"
                                                            class="btn btn-warning" data-toggle="confirmation" data-placement="left"
                                                            data-title="Are you sure to Cancel?">
                                                            Cancel
                                                        </a>
                                                    @endif
        
        
                                                    <a href="{{ route('receipt.delete', ['id' => $receipt->id]) }}"
                                                        class="btn btn-danger" data-toggle="confirmation" data-placement="left"
                                                        data-title="Are you sure to delete?"><i class="fa fa-times" aria-hidden="true"></i></a>
        
        
                                                </td>
                                            </tr>
                                        @endforeach
        
        
                                    </tbody>
                                </table>
        
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

@stop

@section('js')
<script>
    $(function() {
        $('#myTable').DataTable();

        var table = $('#example').DataTable({
            "columnDefs": [{
                "visible": false,
                "targets": 2
            }],
            "order": [
                [2, 'asc']
            ],
            "displayLength": 25,
            "drawCallback": function(settings) {
                var api = this.api();
                var rows = api.rows({
                    page: 'current'
                }).nodes();
                var last = null;
                api.column(2, {
                    page: 'current'
                }).data().each(function(group, i) {
                    if (last !== group) {
                        $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                        last = group;
                    }
                });
            }
        });
        // Order by the grouping
        $('#example tbody').on('click', 'tr.group', function() {
            var currentOrder = table.order()[0];
            if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                table.order([2, 'desc']).draw();
            } else {
                table.order([2, 'asc']).draw();
            }
        });
    });
    $('#example23').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    });
    </script>
@stop