

<?php $__env->startSection('title'); ?>
    Inventory Status Sheet
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'list-inventory')): ?>
            <li><a href="<?php echo e(route('inventory.all')); ?>">All Inventories</a></li>
        <?php endif; ?>
        <li class="active">Inventory Sheet</li>
    </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

    <style type="text/css">
        td {
            text-align: center;
            border: 1px solid;
        }

        .popover {
            width: 184px !important;
        }

        th {
            border: 1px solid;
        }

        table {
            display: block;
            overflow-x: auto;
            white-space: nowrap;
        }
    </style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    


    <div class="container-fluid">

        <!--.row-->
        <div class="row">
            <div class="col-md-12" style="margin-bottom: 10px;">
                <div class="panel panel-info">
                    <div class="panel-heading " style="text-align: center;">Inventory Status Sheet</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                        <?php echo $__env->make('partial.multiproject_select', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                          <?php endif; ?>
                        <div id='inventory_table'>
                        <div class="panel-body">

                            <div class="col-lg-12">
                              
                                <h3 class="box-title m-b-0">Inventory Info</h3>
                               
                                <p class="text-muted m-b-30"></p>
                                <div class="demo-popover">
                                    <button type="button" class="btn btn-primary popover-default sr-only"> Primary
                                    </button>
                                    <div class="popover top" style="margin-right:0px !important;">
                                        <div class="arrow"></div>
                                        <h3 class="popover-title" style="    font-size: 12px;">Open</h3>
                                        <div class="popover-content">
                                            <p class="info-ot " style="font-size:11px;"><b>Inventory count &nbsp;</b><span
                                                    class="label label-rounded"><?php echo e($openInventoryCount); ?></span></p>
                                            <p style="font-size:11px;"><b>Inventory Value:</b>
                                                <?php echo e(number_format($openInventoryAmount)); ?></p>
                                            <p style="font-size:11px;"><b>Color: &nbsp;</b> <span class="clor"
                                                    style="background-color:white"></span></p>
                                        </div>
                                    </div>
                                    <button type="button" class="btn btn-primary popover-primary sr-only"> Primary
                                    </button>
                                    <div class="popover top" style="margin-right:0px !important;">
                                        <div class="arrow"></div>
                                        <h3 class="popover-title" style="    font-size: 12px;">Token Hold</h3>
                                        <div class="popover-content">
                                            <p class="info-ot " style="font-size:11px;"><b>Inventory count &nbsp;</b><span
                                                    class="label label-rounded"><?php echo e($tokenHoldInventoryCount); ?></span></p>
                                            <p style="font-size:11px;"><b>Inventory Value:</b>
                                                <?php echo e(number_format($tokenHoldInventoryAmount)); ?></p>
                                            <p style="font-size:11px;"><b>Color: &nbsp;</b> <span class="clor"
                                                    style="background-color: #0283cc;"></span></p>
                                        </div>
                                    </div>

                                    <button type="button" class="btn btn-primary popover-primary sr-only"
                                        style="background-color:#b1d3e7;"> Primary </button>
                                    <div class="popover top" style="margin-right:0px !important;">
                                        <div class="arrow"></div>
                                        <h3 class="popover-title" style="background-color: #b1d3e7;font-size: 12px;">
                                            Temporary Hold</h3>
                                        <div class="popover-content">
                                            <p class="info-ot " style="font-size:11px;"><b>Inventory count &nbsp;</b><span
                                                    class="label label-rounded"><?php echo e($tempHoldInventoryCount); ?></span></p>
                                            <p style="font-size:11px;"><b>Inventory Value:</b>
                                                <?php echo e(number_format($tempHoldInventoryAmount)); ?></p>
                                            <p style="font-size:11px;"><b>Color: &nbsp;</b> <span class="clor"
                                                    style="background-color: #b1d3e7;"></span></p>
                                        </div>
                                    </div>

                                    <button type="button" class="btn btn-primary popover-info sr-only"> Primary </button>
                                    <div class="popover top" style="margin-right:0px !important;">
                                        <div class="arrow"></div>
                                        <h3 class="popover-title" style="    font-size: 12px;"> Company Hold </h3>
                                        <div class="popover-content">
                                            <p class="info-ot " style="font-size:11px;"><b>Inventory count &nbsp;</b><span
                                                    class="label label-rounded"><?php echo e($companyHoldInventoryCount); ?></span></p>
                                            <p style="font-size:11px;"><b>Inventory Value:</b>
                                                <?php echo e(number_format($companyHoldInventoryAmount)); ?></p>
                                            <p style="font-size:11px;"><b>Color: &nbsp;</b> <span class="clor"
                                                    style="background-color: #1c3752;"></span></p>
                                        </div>
                                    </div>
                                    <button type="button" class="btn btn-success popover-success sr-only"> Primary
                                    </button>
                                    <div class="popover top" style="margin-right:0px !important;">
                                        <div class="arrow"></div>
                                        <h3 class="popover-title"
                                            style="    background-color: green !important ;    font-size: 12px;"> Sold </h3>
                                        <div class="popover-content">
                                            <p class="info-ot" style="font-size:11px;"><b>Inventory count &nbsp;</b><span
                                                    class="label label-rounded"><?php echo e($soldInventoryCount); ?></span></p>
                                            <p style="font-size:11px;"><b>Inventory Value:</b>
                                                <?php echo e(number_format($soldInventoryAmount)); ?></p>
                                            <p style="font-size:11px;"><b>Color: &nbsp;</b> <span class="clor"
                                                    style="background-color: green"></span></p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="clearfix"></div>
                            <br>
                            <br>



                            <label><b>Categories : </b>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <span class="label label-rounded"><i class="fa <?php echo e($categoryIcon[$c->id]); ?>"></i>
                                        &nbsp;<?php echo e($c->name); ?></span>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </label>
                          
                            <table style="border: 1px solid black;" >


                                <?php $c = 0; ?>
                                <tr>

                                    <?php $__currentLoopData = $inventories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($i->unit_floor_id == $c): ?>
                                            <?php if($i->status == \App\Inventory::open || $i->status == \App\Inventory::package_open_file): ?>
                                                <td style="border: 1px solid black;    padding: 10px 10px;">

                                                    <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($loop->last): ?>
                                                            <i
                                                                class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                        <?php else: ?>
                                                            <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                                    <a href="#"
                                                        onclick="updateModal(<?php echo e($i->id); ?>)"><?php echo e($i->unit_number); ?></a>
                                                    <br>

                                                </td>
                                            <?php elseif($i->status == \App\Inventory::sold): ?>
                                                <td
                                                    style="background-color: green; border: 1px solid black;  color: white;  padding: 10px 10px;">
                                                    <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($loop->last): ?>
                                                            <i
                                                                class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                        <?php else: ?>
                                                            <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                        style="color: white;"><?php echo e($i->unit_number); ?></a>
                                                </td>
                                            <?php elseif($i->status == \App\Inventory::token_hold): ?>
                                                <td
                                                    style=" background-color: #0283cc; border: 1px solid black;color: white;    padding: 10px 10px;">
                                                    <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($loop->last): ?>
                                                            <i
                                                                class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                        <?php else: ?>
                                                            <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                        style="color: white;"><?php echo e($i->unit_number); ?></a>
                                                </td>
                                            <?php elseif($i->status == \App\Inventory::temp_hold): ?>
                                                <td
                                                    style=" background-color: #b1d3e7; border: 1px solid black;color: white;    padding: 10px 10px;">
                                                    <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($loop->last): ?>
                                                            <i
                                                                class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                        <?php else: ?>
                                                            <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                        style="color: white;"><?php echo e($i->unit_number); ?></a>
                                                </td>
                                            <?php elseif($i->status == \App\Inventory::hold_company): ?>
                                                <td
                                                    style="background-color: #1c3752; border: 1px solid black;color: white;    padding: 10px 10px;">
                                                    <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($loop->last): ?>
                                                            <i
                                                                class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                        <?php else: ?>
                                                            <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                        style="color: white;"><?php echo e($i->unit_number); ?></a>
                                                </td>
                                            <?php endif; ?>
                                        <?php else: ?>
                                </tr>
                                <tr>
                                    <td
                                        style="background-color: #080b12;;border: 1px solid #fff;    padding: 10px 10px;color: #fff;">
                                        <b><?php echo e($i->floor ? $i->floor->name : ''); ?> -
                                            <?php echo e($i->floor->unitBlock ? $i->floor->unitBlock->name : ''); ?></b><br>
                                        <small>
                                            <?php if(isset($floorSqft[$i->unit_floor_id]) && isset($floorValue[$i->unit_floor_id])): ?>
                                                <?php echo e($floorSqft[$i->unit_floor_id]); ?>

                                                

                                                <?php
                                                $size = '';
                                                
                                                if (  $i->floor->project_type_id== \App\ProjectType::society) {
                                                    $size = \App\ProjectType::society_size;
                                                } else {
                                                    $size = \App\ProjectType::high_rise_size;
                                                }
                                                
                                            ?>

                                                <?php echo e($size); ?> ,
                                              
                                                Rs.<?php echo e(number_format($floorValue[$i->unit_floor_id])); ?>

                                        </small><br>
                                        <?php endif; ?>
                                        <small>
                                            <?php if(isset($floorSoldPer[$i->unit_floor_id]) && isset($floorSoldPer[$i->unit_floor_id])): ?>
                                                Availability : <?php echo e(100 - $floorSoldPer[$i->unit_floor_id]); ?> %
                                                &nbsp;&nbsp;&nbsp;&nbsp; Sold : <?php echo e($floorSoldPer[$i->unit_floor_id]); ?> %
                                            <?php endif; ?>
                                        </small>

                                    </td>
                                    <?php if($i->status == \App\Inventory::open || $i->status == \App\Inventory::package_open_file): ?>
                                        <td style="border: 1px solid black;    padding: 10px 10px;">
                                            <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loop->last): ?>
                                                    <?php if(isset($categoryIcon[$ca->unit_category_id])): ?>
                                                        <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php if(isset($categoryIcon[$ca->unit_category_id])): ?>
                                                        <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            <a href="#"
                                                onclick="updateModal(<?php echo e($i->id); ?>)"><?php echo e($i->unit_number); ?></a>


                                        </td>
                                    <?php elseif($i->status == \App\Inventory::sold): ?>
                                        <td
                                            style="background-color: green; border: 1px solid black; color: white;    padding: 10px 10px;">
                                            <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loop->last): ?>
                                                    <?php if(isset($categoryIcon[$ca->unit_category_id])): ?>
                                                        <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php if(isset($categoryIcon[$ca->unit_category_id])): ?>
                                                        <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                style="color: white;"><?php echo e($i->unit_number); ?></a>
                                        </td>
                                    <?php elseif($i->status == \App\Inventory::token_hold): ?>
                                        <td
                                            style=" background-color: #0283cc; border: 1px solid black;color: white;    padding: 10px 10px;">
                                            <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loop->last): ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                <?php else: ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                style="color: white;"><?php echo e($i->unit_number); ?></a>
                                        </td>
                                    <?php elseif($i->status == \App\Inventory::temp_hold): ?>
                                        <td
                                            style=" background-color: #b1d3e7; border: 1px solid black;color: white;    padding: 10px 10px;">
                                            <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loop->last): ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                <?php else: ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                style="color: white;"><?php echo e($i->unit_number); ?></a>
                                        </td>
                                    <?php elseif($i->status == \App\Inventory::hold_company): ?>
                                        <td
                                            style="background-color: #1c3752; border: 1px solid black; color: white;   padding: 10px 10px;">
                                            <?php $__currentLoopData = $i->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ca): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loop->last): ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i><br>
                                                <?php else: ?>
                                                    <i class="fa <?php echo e($categoryIcon[$ca->unit_category_id]); ?>"></i>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <a href="#" onclick="updateModal(<?php echo e($i->id); ?>)"
                                                style="color: white;"><?php echo e($i->unit_number); ?></a>
                                        </td>
                                    <?php endif; ?>
                                    <?php $c = $i->unit_floor_id; ?>
                                    <?php endif; ?>


                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </table>
                           




                        </div>
                        </div>
                    </div>
                </div>
            </div>



        </div>
        <!--./row-->




    </div>
    <!-- /.container-fluid -->

    <div class="modal fade" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script>
        function updateModal(id) {

            data = {
                'id': id
            };

            $.get('/inventory-status-sheet/modal', data, function(data) {

                document.getElementById('exampleModal1').innerHTML = data;

                $('#exampleModal1').modal('toggle');

                // toastr.success(" up Updated.");

            });
        }

        function updateStatus(value){
            $('.preloader').fadeIn();
            
            if (value === 'search') {
             
                $('.preloader').fadeOut();
                return false;
            }
            var data = {
                'multipro_id': value,
            };
            $.get('<?php echo e(route("inventory.sheet")); ?>', data, function(data) {
                $('.preloader').fadeOut();
                document.getElementById('inventory_table').innerHTML = data;

              
                toastr.success("Search updated.");


                $('.preloader').fadeOut();
            });
        }
        
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/inventory/status-inventory.blade.php ENDPATH**/ ?>