DROP TABLE IF EXISTS account_classes;

CREATE TABLE `account_classes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS account_transfers;

CREATE TABLE `account_transfers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `from_account` int(11) NOT NULL,
  `to_account` int(11) NOT NULL,
  `date` date NOT NULL,
  `amount` double NOT NULL,
  `memo` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS account_types;

CREATE TABLE `account_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` text DEFAULT NULL,
  `number` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4;

INSERT INTO account_types VALUES("1","Income","<p style=\"text-align: center;\"><strong>Income Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Categorizes money earned from normal business operations, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Product sales</li>
\n<li style=\"text-align: left;\">Service sales</li>
\n<li style=\"text-align: left;\">Discounts to customers</li>
\n</ul>","1"),
("2","Expense","<p style=\"text-align: center;\"><strong>Expense Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Categorizes money spent in the course of normal business operations, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Advertising and promotion</li>
\n<li style=\"text-align: left;\">Office supplies</li>
\n<li style=\"text-align: left;\">Insurance</li>
\n<li style=\"text-align: left;\">Legal fees</li>
\n<li style=\"text-align: left;\">Charitable contributions</li>
\n<li style=\"text-align: left;\">Rent</li>
\n</ul>","2"),
("3","Non-Current Asset","<p style=\"text-align: center;\"><strong>Fixed Asset Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks the value of significant items that have a useful life of more than one year, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Buildings</li>
\n<li style=\"text-align: left;\">Land</li>
\n<li style=\"text-align: left;\">Machinery and equipment</li>
\n<li style=\"text-align: left;\">Vehicles</li>
\n</ul>","3"),
("4","Bank","<p style=\"text-align: center;\"><strong>Bank Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Create one for each cash account, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Petty Cash</li>
\n<li style=\"text-align: left;\">Checking</li>
\n<li style=\"text-align: left;\">Savings</li>
\n<li style=\"text-align: left;\">Money market</li>
\n</ul>","4"),
("7","Equity","<p style=\"text-align: center;\"><strong>Equity Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks money invested in. or money is taken out of, the business by owners or shareholders. Payroll and reimbursable expenses should not be included.</p>","5"),
("8","Accounts Receivable","<p style=\"text-align: center;\"><strong>Accounts Receivable (A/R)</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks money your customers owe you on unpaid invoices.</p>","6"),
("9","Other CurrentAsset","<p style=\"text-align: center;\"><strong>Other Current Asset Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks the value of things that can be converted to cash or used up within one year, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Prepaid expenses</li>
\n<li style=\"text-align: left;\">Employee cash advances</li>
\n<li style=\"text-align: left;\">Inventory</li>
\n<li style=\"text-align: left;\">Loans from your business</li>
\n</ul>","7"),
("10","Other Asset","<p style=\"text-align: center;\"><strong>Other&nbsp; Asset Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks the value of things that are neither Fixed Assets nor Other Current Assets, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Goodwill</li>
\n<li style=\"text-align: left;\">Long-term&nbsp; notes receivable</li>
\n<li style=\"text-align: left;\">Security deposits paid</li>
\n</ul>","8"),
("11","Accounts Payable","<p style=\"text-align: center;\"><strong>Accounts Payable (A/P)</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks money you owe to vendors for purchases made on credit.</p>","9"),
("12","Other Current Liability","<p style=\"text-align: center;\"><strong>Other Current Liability Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks money your business owes and expects to pay within one year, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Sales tax</li>
\n<li style=\"text-align: left;\">Payroll tax</li>
\n<li style=\"text-align: left;\">Security deposits/retainers from customers</li>
\n</ul>","10"),
("13","Long Term Liability","<p style=\"text-align: center;\"><strong>Long Term Liability Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks money your business owes and expects to pay back over more than one year, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Mortgages</li>
\n<li style=\"text-align: left;\">Long-term loans</li>
\n<li style=\"text-align: left;\">Notes payable</li>
\n</ul>","11"),
("15","Direct Cost","<p style=\"text-align: center;\"><strong>Cost of Goods Sold Account</strong><strong></strong></p>
\n<p style=\"text-align: left;\">Tracks the direct costs to produce the items that your business sells, such as:</p>
\n<ul>
\n<li style=\"text-align: left;\">Cost of materials</li>
\n<li style=\"text-align: left;\">Cost of labor</li>
\n<li style=\"text-align: left;\">Shipping, freight, and delivery</li>
\n<li style=\"text-align: left;\">Subcontractors</li>
\n</ul>","12");



DROP TABLE IF EXISTS activity_log;

CREATE TABLE `activity_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `log_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_id` int(11) DEFAULT NULL,
  `subject_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `causer_id` int(11) DEFAULT NULL,
  `causer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `properties` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activity_log_log_name_index` (`log_name`)
) ENGINE=InnoDB AUTO_INCREMENT=949 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO activity_log VALUES("1","Add","Add New Project","","","22","App\\User","[]","2023-07-10 20:30:37","2023-07-10 20:30:37"),
("2","Add","Add New Project","","","22","App\\User","[]","2023-07-10 20:30:51","2023-07-10 20:30:51"),
("3","View","View Multiproject List","","","22","App\\User","[]","2023-07-10 20:31:43","2023-07-10 20:31:43"),
("4","View","Unit Categories List.","","","22","App\\User","[]","2023-07-10 20:32:33","2023-07-10 20:32:33"),
("5","View","Unit Type List.","","","22","App\\User","[]","2023-07-10 20:32:37","2023-07-10 20:32:37"),
("6","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:32:41","2023-07-10 20:32:41"),
("7","View","View Multiproject List","","","22","App\\User","[]","2023-07-10 20:32:53","2023-07-10 20:32:53"),
("8","Create","New Category added Corner","","","22","App\\User","[]","2023-07-10 20:35:11","2023-07-10 20:35:11"),
("9","View","Unit Categories List.","","","22","App\\User","[]","2023-07-10 20:35:12","2023-07-10 20:35:12"),
("10","Create","New Category added Park Facing","","","22","App\\User","[]","2023-07-10 20:35:18","2023-07-10 20:35:18"),
("11","View","Unit Categories List.","","","22","App\\User","[]","2023-07-10 20:35:18","2023-07-10 20:35:18"),
("12","Create","New Category added Parking Lot","","","22","App\\User","[]","2023-07-10 20:35:29","2023-07-10 20:35:29"),
("13","View","Unit Categories List.","","","22","App\\User","[]","2023-07-10 20:35:30","2023-07-10 20:35:30"),
("14","Create","New Type added Commercial","","","22","App\\User","[]","2023-07-10 20:35:37","2023-07-10 20:35:37"),
("15","View","Unit Type List.","","","22","App\\User","[]","2023-07-10 20:35:38","2023-07-10 20:35:38"),
("16","Create","New Type added Residential","","","22","App\\User","[]","2023-07-10 20:35:42","2023-07-10 20:35:42"),
("17","View","Unit Type List.","","","22","App\\User","[]","2023-07-10 20:35:45","2023-07-10 20:35:45"),
("18","Create","New Size added 5","","","22","App\\User","[]","2023-07-10 20:35:51","2023-07-10 20:35:51"),
("19","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:35:52","2023-07-10 20:35:52"),
("20","Create","New Size added 8","","","22","App\\User","[]","2023-07-10 20:35:58","2023-07-10 20:35:58"),
("21","Create","New Size added 12","","","22","App\\User","[]","2023-07-10 20:35:59","2023-07-10 20:35:59"),
("22","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:35:59","2023-07-10 20:35:59"),
("23","Create","New Size added 20","","","22","App\\User","[]","2023-07-10 20:36:05","2023-07-10 20:36:05"),
("24","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:36:06","2023-07-10 20:36:06"),
("25","Create","New Size added 40","","","22","App\\User","[]","2023-07-10 20:36:11","2023-07-10 20:36:11"),
("26","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:36:11","2023-07-10 20:36:11"),
("27","View","Unit Size List.","","","22","App\\User","[]","2023-07-10 20:36:15","2023-07-10 20:36:15"),
("28","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 20:36:20","2023-07-10 20:36:20"),
("29","Create","New Block added Quaid-e-Azam","","","22","App\\User","[]","2023-07-10 20:37:08","2023-07-10 20:37:08"),
("30","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 20:37:09","2023-07-10 20:37:09"),
("31","Create","New Block added Iqbal","","","22","App\\User","[]","2023-07-10 20:37:14","2023-07-10 20:37:14"),
("32","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 20:37:15","2023-07-10 20:37:15"),
("33","Create","New Block added Sir Syed","","","22","App\\User","[]","2023-07-10 20:37:21","2023-07-10 20:37:21"),
("34","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 20:37:22","2023-07-10 20:37:22"),
("35","Create","New Block added Liaquat","","","22","App\\User","[]","2023-07-10 20:37:29","2023-07-10 20:37:29"),
("36","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 20:37:30","2023-07-10 20:37:30"),
("37","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:37:51","2023-07-10 20:37:51"),
("38","Create","New Floor added Street 1","","","22","App\\User","[]","2023-07-10 20:50:47","2023-07-10 20:50:47"),
("39","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:50:48","2023-07-10 20:50:48"),
("40","Create","New Floor added Street 2","","","22","App\\User","[]","2023-07-10 20:51:00","2023-07-10 20:51:00"),
("41","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:01","2023-07-10 20:51:01"),
("42","Create","New Floor added Street 1","","","22","App\\User","[]","2023-07-10 20:51:10","2023-07-10 20:51:10"),
("43","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:11","2023-07-10 20:51:11"),
("44","Create","New Floor added Street 2","","","22","App\\User","[]","2023-07-10 20:51:22","2023-07-10 20:51:22"),
("45","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:23","2023-07-10 20:51:23"),
("46","Create","New Floor added Street 1","","","22","App\\User","[]","2023-07-10 20:51:35","2023-07-10 20:51:35"),
("47","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:40","2023-07-10 20:51:40"),
("48","Create","New Floor added Street 2","","","22","App\\User","[]","2023-07-10 20:51:46","2023-07-10 20:51:46"),
("49","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:48","2023-07-10 20:51:48"),
("50","Create","New Floor added Street 1","","","22","App\\User","[]","2023-07-10 20:51:54","2023-07-10 20:51:54"),
("51","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:51:55","2023-07-10 20:51:55"),
("52","Create","New Floor added Street 2","","","22","App\\User","[]","2023-07-10 20:52:01","2023-07-10 20:52:01"),
("53","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:52:02","2023-07-10 20:52:02"),
("54","Update","Edit Unit Floor Street 1","","","22","App\\User","[]","2023-07-10 20:54:49","2023-07-10 20:54:49"),
("55","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:54:50","2023-07-10 20:54:50"),
("56","Update","Edit Unit Floor Street 2","","","22","App\\User","[]","2023-07-10 20:54:55","2023-07-10 20:54:55"),
("57","Update","Edit Unit Floor Street 1","","","22","App\\User","[]","2023-07-10 20:54:56","2023-07-10 20:54:56"),
("58","Update","Edit Unit Floor Street 1","","","22","App\\User","[]","2023-07-10 20:54:57","2023-07-10 20:54:57"),
("59","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:54:58","2023-07-10 20:54:58"),
("60","Update","Edit Unit Floor Street 2","","","22","App\\User","[]","2023-07-10 20:55:03","2023-07-10 20:55:03"),
("61","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:55:04","2023-07-10 20:55:04"),
("62","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 20:55:09","2023-07-10 20:55:09"),
("63","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:07:40","2023-07-10 21:07:40"),
("64","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:08:13","2023-07-10 21:08:13"),
("65","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:08:48","2023-07-10 21:08:48"),
("66","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:10:45","2023-07-10 21:10:45"),
("67","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:11:26","2023-07-10 21:11:26"),
("68","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:12:40","2023-07-10 21:12:40"),
("69","Update","Edit Price List added ","","","22","App\\User","[]","2023-07-10 21:14:03","2023-07-10 21:14:03"),
("70","Create","New inventory added 4178","","","22","App\\User","[]","2023-07-10 21:25:08","2023-07-10 21:25:08"),
("71","View","See the inventory Detail 4178","","","22","App\\User","[]","2023-07-10 21:25:09","2023-07-10 21:25:09"),
("72","Create","New inventory added 5363","","","22","App\\User","[]","2023-07-10 21:25:22","2023-07-10 21:25:22"),
("73","View","See the inventory Detail 5363","","","22","App\\User","[]","2023-07-10 21:25:23","2023-07-10 21:25:23"),
("74","Create","New inventory added 5847","","","22","App\\User","[]","2023-07-10 21:25:41","2023-07-10 21:25:41"),
("75","View","See the inventory Detail 5847","","","22","App\\User","[]","2023-07-10 21:25:42","2023-07-10 21:25:42"),
("76","Create","New inventory added 119","","","22","App\\User","[]","2023-07-10 21:29:15","2023-07-10 21:29:15"),
("77","View","See the inventory Detail 119","","","22","App\\User","[]","2023-07-10 21:29:16","2023-07-10 21:29:16"),
("78","Create","New inventory added 120","","","22","App\\User","[]","2023-07-10 21:29:24","2023-07-10 21:29:24"),
("79","View","See the inventory Detail 120","","","22","App\\User","[]","2023-07-10 21:29:25","2023-07-10 21:29:25"),
("80","Create","New inventory added 121","","","22","App\\User","[]","2023-07-10 21:29:36","2023-07-10 21:29:36"),
("81","View","See the inventory Detail 121","","","22","App\\User","[]","2023-07-10 21:29:37","2023-07-10 21:29:37"),
("82","Create","New inventory added 122","","","22","App\\User","[]","2023-07-10 21:29:46","2023-07-10 21:29:46"),
("83","View","See the inventory Detail 122","","","22","App\\User","[]","2023-07-10 21:29:47","2023-07-10 21:29:47"),
("84","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:30:27","2023-07-10 21:30:27"),
("85","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:30:32","2023-07-10 21:30:32"),
("86","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:32:24","2023-07-10 21:32:24"),
("87","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:33:50","2023-07-10 21:33:50"),
("88","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:34:37","2023-07-10 21:34:37"),
("89","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:34:42","2023-07-10 21:34:42"),
("90","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:37:43","2023-07-10 21:37:43"),
("91","Add","Add New Dealer","","","22","App\\User","[]","2023-07-10 21:39:05","2023-07-10 21:39:05"),
("92","Create","New Dealer Added Ahmed Habib","","","22","App\\User","[]","2023-07-10 21:40:20","2023-07-10 21:40:20"),
("93","View","Dealer detailAhmed Habib","","","22","App\\User","[]","2023-07-10 21:40:21","2023-07-10 21:40:21"),
("94","Create","New Dealer Added Hamza Satti","","","22","App\\User","[]","2023-07-10 21:41:18","2023-07-10 21:41:18"),
("95","View","Dealer detailHamza Satti","","","22","App\\User","[]","2023-07-10 21:41:19","2023-07-10 21:41:19"),
("96","View","Dealer detailAhmed Habib","","","22","App\\User","[]","2023-07-10 21:42:09","2023-07-10 21:42:09"),
("97","Add","New Customer","","","22","App\\User","[]","2023-07-10 22:06:56","2023-07-10 22:06:56"),
("98","Add","New Customer","","","22","App\\User","[]","2023-07-10 22:07:02","2023-07-10 22:07:02"),
("99","Add","New Customer","","","22","App\\User","[]","2023-07-10 22:07:07","2023-07-10 22:07:07"),
("100","Add","New Customer","","","22","App\\User","[]","2023-07-10 22:07:12","2023-07-10 22:07:12"),
("101","Create","customer Abdul Basit","","","22","App\\User","[]","2023-07-10 22:08:24","2023-07-10 22:08:24"),
("102","View","See the customer Detail Abdul Basit","","","22","App\\User","[]","2023-07-10 22:08:25","2023-07-10 22:08:25"),
("103","Create","customer Musaddiq Ghufran","","","22","App\\User","[]","2023-07-10 22:08:58","2023-07-10 22:08:58"),
("104","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-10 22:08:59","2023-07-10 22:08:59"),
("105","Create","customer Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:09:34","2023-07-10 22:09:34"),
("106","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:09:35","2023-07-10 22:09:35"),
("107","Create","customer Wasif Mehmood","","","22","App\\User","[]","2023-07-10 22:10:12","2023-07-10 22:10:12"),
("108","View","See the customer Detail Wasif Mehmood","","","22","App\\User","[]","2023-07-10 22:10:13","2023-07-10 22:10:13"),
("109","Create","New Property Added  119","","","22","App\\User","[]","2023-07-10 22:15:28","2023-07-10 22:15:28"),
("110","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-10 22:15:29","2023-07-10 22:15:29"),
("111","Approve","Approve Pending Property Statement119","","","22","App\\User","[]","2023-07-10 22:21:34","2023-07-10 22:21:34"),
("112","Approve","Approve Pending Property Statement119","","","22","App\\User","[]","2023-07-10 22:21:39","2023-07-10 22:21:39"),
("113","Update","Assign client id.","","","22","App\\User","[]","2023-07-10 22:21:56","2023-07-10 22:21:56"),
("114","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-10 22:21:57","2023-07-10 22:21:57"),
("115","View","View Booking Form","","","22","App\\User","[]","2023-07-10 22:25:20","2023-07-10 22:25:20"),
("116","Create","New Property Added  120","","","22","App\\User","[]","2023-07-10 22:32:17","2023-07-10 22:32:17"),
("117","View","View the Property Statement 120Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:32:18","2023-07-10 22:32:18"),
("118","Approve","Approve Pending Property Statement120","","","22","App\\User","[]","2023-07-10 22:32:58","2023-07-10 22:32:58"),
("119","Update","Assign client id.","","","22","App\\User","[]","2023-07-10 22:33:28","2023-07-10 22:33:28"),
("120","View","View the Property Statement 120Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:33:29","2023-07-10 22:33:29"),
("121","View","Property list.","","","22","App\\User","[]","2023-07-10 22:34:02","2023-07-10 22:34:02"),
("122","View","View Dealer List","","","22","App\\User","[]","2023-07-10 22:40:46","2023-07-10 22:40:46"),
("123","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-10 22:40:52","2023-07-10 22:40:52"),
("124","Edit","Edit Dealer DetailHamza Satti","","","22","App\\User","[]","2023-07-10 22:41:04","2023-07-10 22:41:04"),
("125","Edit","Edit Dealer DetailHamza Satti","","","22","App\\User","[]","2023-07-10 22:45:39","2023-07-10 22:45:39"),
("126","Update","Edit Dealer info Hamza Satti","","","22","App\\User","[]","2023-07-10 22:48:39","2023-07-10 22:48:39"),
("127","Update","Edit Dealer info Hamza Satti","","","22","App\\User","[]","2023-07-10 22:48:39","2023-07-10 22:48:39"),
("128","View","View Dealer List","","","22","App\\User","[]","2023-07-10 22:48:40","2023-07-10 22:48:40"),
("129","Edit","Edit Dealer DetailHamza Satti","","","22","App\\User","[]","2023-07-10 22:48:44","2023-07-10 22:48:44"),
("130","Create","New Receipt Added 50000","","","22","App\\User","[]","2023-07-10 22:49:43","2023-07-10 22:49:43"),
("131","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-10 22:49:44","2023-07-10 22:49:44"),
("132","View","Pending Receipt List","","","22","App\\User","[]","2023-07-10 22:49:55","2023-07-10 22:49:55"),
("133","Approved","All Receipt Approved ","","","22","App\\User","[]","2023-07-10 22:51:01","2023-07-10 22:51:01"),
("134","View","Pending Receipt List","","","22","App\\User","[]","2023-07-10 22:51:01","2023-07-10 22:51:01"),
("135","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 22:51:19","2023-07-10 22:51:19"),
("136","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 22:51:23","2023-07-10 22:51:23"),
("137","View","Balloting List","","","22","App\\User","[]","2023-07-10 22:51:26","2023-07-10 22:51:26"),
("138","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-10 22:51:29","2023-07-10 22:51:29"),
("139","View","Unit Block List.","","","22","App\\User","[]","2023-07-10 22:51:32","2023-07-10 22:51:32"),
("140","View","Unit Floor List.","","","22","App\\User","[]","2023-07-10 22:51:36","2023-07-10 22:51:36"),
("141","View","Property list.","","","22","App\\User","[]","2023-07-10 22:54:59","2023-07-10 22:54:59"),
("142","View","Property list.","","","22","App\\User","[]","2023-07-10 22:55:05","2023-07-10 22:55:05"),
("143","View","View the Property Statement 120Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:55:17","2023-07-10 22:55:17"),
("144","View","View the Property Statement 120Ahmad Raza","","","22","App\\User","[]","2023-07-10 22:56:57","2023-07-10 22:56:57"),
("145","View","View Provisional Letter","","","22","App\\User","[]","2023-07-10 23:00:47","2023-07-10 23:00:47"),
("146","View","Property list.","","","22","App\\User","[]","2023-07-10 23:05:54","2023-07-10 23:05:54"),
("147","View","Block Statements list.","","","22","App\\User","[]","2023-07-10 23:06:10","2023-07-10 23:06:10"),
("148","Add","New Customer","","","22","App\\User","[]","2023-07-10 23:15:02","2023-07-10 23:15:02"),
("149","View","Customer list.","","","22","App\\User","[]","2023-07-10 23:15:14","2023-07-10 23:15:14"),
("150","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:15:31","2023-07-10 23:15:31"),
("151","Edit","Edit CustomerAhmad Raza","","","22","App\\User","[]","2023-07-10 23:15:35","2023-07-10 23:15:35"),
("152","Edit","Edit CustomerWasif Mehmood","","","22","App\\User","[]","2023-07-10 23:15:53","2023-07-10 23:15:53"),
("153","Add","New Customer","","","22","App\\User","[]","2023-07-10 23:30:18","2023-07-10 23:30:18"),
("154","Add","New Customer","","","22","App\\User","[]","2023-07-10 23:32:03","2023-07-10 23:32:03"),
("155","Create","customer Hamza Qaiser","","","22","App\\User","[]","2023-07-10 23:32:28","2023-07-10 23:32:28"),
("156","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-10 23:32:30","2023-07-10 23:32:30"),
("157","Create","New Property Added  5847","","","22","App\\User","[]","2023-07-10 23:41:54","2023-07-10 23:41:54"),
("158","View","View the Property Statement 5847Abdul Basit","","","22","App\\User","[]","2023-07-10 23:41:55","2023-07-10 23:41:55"),
("159","Approve","Approve Pending Property Statement5847","","","22","App\\User","[]","2023-07-10 23:42:35","2023-07-10 23:42:35"),
("160","Approve","Approve Pending Property Statement5847","","","22","App\\User","[]","2023-07-10 23:42:39","2023-07-10 23:42:39"),
("161","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:42:42","2023-07-10 23:42:42"),
("162","Update","Assign client id.","","","22","App\\User","[]","2023-07-10 23:42:58","2023-07-10 23:42:58"),
("163","View","View the Property Statement 5847Abdul Basit","","","22","App\\User","[]","2023-07-10 23:42:59","2023-07-10 23:42:59"),
("164","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:43:07","2023-07-10 23:43:07"),
("165","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:44:29","2023-07-10 23:44:29"),
("166","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:48:10","2023-07-10 23:48:10"),
("167","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:48:34","2023-07-10 23:48:34"),
("168","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:49:48","2023-07-10 23:49:48"),
("169","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:50:23","2023-07-10 23:50:23"),
("170","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:51:47","2023-07-10 23:51:47"),
("171","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:52:06","2023-07-10 23:52:06"),
("172","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:54:41","2023-07-10 23:54:41"),
("173","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:55:26","2023-07-10 23:55:26"),
("174","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:56:05","2023-07-10 23:56:05"),
("175","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:56:28","2023-07-10 23:56:28"),
("176","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-10 23:57:42","2023-07-10 23:57:42"),
("177","View","Property list.","","","22","App\\User","[]","2023-07-10 23:58:08","2023-07-10 23:58:08"),
("178","View","View Sale Agreement","","","22","App\\User","[]","2023-07-11 00:03:01","2023-07-11 00:03:01"),
("179","View","View Sale Agreement","","","22","App\\User","[]","2023-07-11 00:04:35","2023-07-11 00:04:35"),
("180","View","View Switch Project List","","","22","App\\User","[]","2023-07-11 13:00:32","2023-07-11 13:00:32"),
("181","View","dashboard","","","22","App\\User","[]","2023-07-11 13:03:16","2023-07-11 13:03:16"),
("182","View","dashboard","","","22","App\\User","[]","2023-07-11 13:51:00","2023-07-11 13:51:00"),
("183","View","dashboard","","","22","App\\User","[]","2023-07-11 13:51:41","2023-07-11 13:51:41"),
("184","View","dashboard","","","22","App\\User","[]","2023-07-11 13:53:34","2023-07-11 13:53:34"),
("185","View","dashboard","","","22","App\\User","[]","2023-07-11 13:55:02","2023-07-11 13:55:02"),
("186","View","dashboard","","","22","App\\User","[]","2023-07-11 13:55:52","2023-07-11 13:55:52"),
("187","View","dashboard","","","22","App\\User","[]","2023-07-11 13:56:36","2023-07-11 13:56:36"),
("188","View","dashboard","","","22","App\\User","[]","2023-07-11 13:58:21","2023-07-11 13:58:21"),
("189","View","dashboard","","","22","App\\User","[]","2023-07-11 14:03:16","2023-07-11 14:03:16"),
("190","View","dashboard","","","22","App\\User","[]","2023-07-11 14:03:50","2023-07-11 14:03:50"),
("191","View","dashboard","","","22","App\\User","[]","2023-07-11 14:04:16","2023-07-11 14:04:16"),
("192","View","dashboard","","","22","App\\User","[]","2023-07-11 14:38:45","2023-07-11 14:38:45"),
("193","View","Customer list.","","","22","App\\User","[]","2023-07-11 14:45:02","2023-07-11 14:45:02"),
("194","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 14:49:52","2023-07-11 14:49:52"),
("195","Update","Edit the Customer info Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:50:06","2023-07-11 14:50:06"),
("196","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:50:07","2023-07-11 14:50:07"),
("197","Update","Edit the Customer info Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:53:21","2023-07-11 14:53:21"),
("198","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:53:22","2023-07-11 14:53:22"),
("199","View","Customer list.","","","22","App\\User","[]","2023-07-11 14:55:16","2023-07-11 14:55:16"),
("200","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-11 14:55:30","2023-07-11 14:55:30"),
("201","Update","Edit the Customer info Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:56:01","2023-07-11 14:56:01"),
("202","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:56:01","2023-07-11 14:56:01"),
("203","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:56:10","2023-07-11 14:56:10"),
("204","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 14:58:25","2023-07-11 14:58:25"),
("205","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-11 14:58:38","2023-07-11 14:58:38"),
("206","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 15:01:48","2023-07-11 15:01:48"),
("207","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:01:58","2023-07-11 15:01:58"),
("208","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:02:03","2023-07-11 15:02:03"),
("209","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:02:06","2023-07-11 15:02:06"),
("210","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:02:50","2023-07-11 15:02:50"),
("211","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:07:37","2023-07-11 15:07:37"),
("212","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:10:22","2023-07-11 15:10:22"),
("213","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:11:11","2023-07-11 15:11:11"),
("214","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:15:02","2023-07-11 15:15:02"),
("215","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:15:45","2023-07-11 15:15:45"),
("216","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:16:21","2023-07-11 15:16:21"),
("217","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:17:12","2023-07-11 15:17:12"),
("218","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:17:46","2023-07-11 15:17:46"),
("219","Add","New Customer","","","22","App\\User","[]","2023-07-11 15:18:14","2023-07-11 15:18:14"),
("220","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:20:19","2023-07-11 15:20:19"),
("221","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:22:08","2023-07-11 15:22:08"),
("222","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:33:16","2023-07-11 15:33:16"),
("223","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:36:17","2023-07-11 15:36:17"),
("224","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:36:56","2023-07-11 15:36:56"),
("225","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:38:19","2023-07-11 15:38:19"),
("226","Edit","Edit CustomerHamza Qaiser","","","22","App\\User","[]","2023-07-11 15:40:40","2023-07-11 15:40:40"),
("227","View","Customer list.","","","22","App\\User","[]","2023-07-11 15:40:51","2023-07-11 15:40:51"),
("228","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-11 15:41:48","2023-07-11 15:41:48"),
("229","View","Nominee list.","","","22","App\\User","[]","2023-07-11 15:43:27","2023-07-11 15:43:27"),
("230","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-11 15:43:40","2023-07-11 15:43:40"),
("231","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:43:44","2023-07-11 15:43:44"),
("232","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:45:05","2023-07-11 15:45:05"),
("233","Create","Nominee Ahmad Ali","","","22","App\\User","[]","2023-07-11 15:45:22","2023-07-11 15:45:22"),
("234","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:45:23","2023-07-11 15:45:23"),
("235","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:49:42","2023-07-11 15:49:42"),
("236","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:50:28","2023-07-11 15:50:28"),
("237","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:50:57","2023-07-11 15:50:57"),
("238","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:51:46","2023-07-11 15:51:46"),
("239","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:57:16","2023-07-11 15:57:16"),
("240","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:58:38","2023-07-11 15:58:38"),
("241","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:58:58","2023-07-11 15:58:58"),
("242","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 15:59:03","2023-07-11 15:59:03"),
("243","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:00:05","2023-07-11 16:00:05"),
("244","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:09:23","2023-07-11 16:09:23"),
("245","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:09:43","2023-07-11 16:09:43"),
("246","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:09:50","2023-07-11 16:09:50"),
("247","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:09:56","2023-07-11 16:09:56"),
("248","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:10:03","2023-07-11 16:10:03"),
("249","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:16:05","2023-07-11 16:16:05"),
("250","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:16:31","2023-07-11 16:16:31"),
("251","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:16:56","2023-07-11 16:16:56"),
("252","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:18:23","2023-07-11 16:18:23"),
("253","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:19:01","2023-07-11 16:19:01"),
("254","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:23:30","2023-07-11 16:23:30"),
("255","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:24:20","2023-07-11 16:24:20"),
("256","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:25:20","2023-07-11 16:25:20"),
("257","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:26:20","2023-07-11 16:26:20"),
("258","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:26:44","2023-07-11 16:26:44"),
("259","View","Nominee list.","","","22","App\\User","[]","2023-07-11 16:27:44","2023-07-11 16:27:44"),
("260","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:29:01","2023-07-11 16:29:01"),
("261","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:32:56","2023-07-11 16:32:56"),
("262","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:33:39","2023-07-11 16:33:39"),
("263","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:34:09","2023-07-11 16:34:09"),
("264","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:37:50","2023-07-11 16:37:50"),
("265","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:38:52","2023-07-11 16:38:52"),
("266","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:40:21","2023-07-11 16:40:21"),
("267","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:41:10","2023-07-11 16:41:10"),
("268","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:43:38","2023-07-11 16:43:38"),
("269","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:47:17","2023-07-11 16:47:17"),
("270","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:47:41","2023-07-11 16:47:41"),
("271","Edit","Nominee Ahmad Ali","","","22","App\\User","[]","2023-07-11 16:48:06","2023-07-11 16:48:06"),
("272","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:48:08","2023-07-11 16:48:08"),
("273","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:50:55","2023-07-11 16:50:55"),
("274","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:52:02","2023-07-11 16:52:02"),
("275","Open","Edit Nominee Page","","","22","App\\User","[]","2023-07-11 16:52:07","2023-07-11 16:52:07"),
("276","Open","Nominee create Page","","","22","App\\User","[]","2023-07-11 16:53:27","2023-07-11 16:53:27"),
("277","View","Customer list.","","","22","App\\User","[]","2023-07-11 16:54:21","2023-07-11 16:54:21"),
("278","View","Nominee list.","","","22","App\\User","[]","2023-07-11 16:55:37","2023-07-11 16:55:37"),
("279","View","Nominee Profile Ahmad Ali","","","22","App\\User","[]","2023-07-11 16:55:58","2023-07-11 16:55:58"),
("280","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-11 16:56:04","2023-07-11 16:56:04"),
("281","View","Nominee Profile Ahmad Ali","","","22","App\\User","[]","2023-07-11 16:57:08","2023-07-11 16:57:08"),
("282","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-11 16:58:37","2023-07-11 16:58:37"),
("283","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-11 17:01:35","2023-07-11 17:01:35"),
("284","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-11 17:03:05","2023-07-11 17:03:05"),
("285","View","Customer list.","","","22","App\\User","[]","2023-07-11 17:05:04","2023-07-11 17:05:04"),
("286","View","Property list.","","","22","App\\User","[]","2023-07-11 17:05:11","2023-07-11 17:05:11"),
("287","Edit","Edit Property Statement","","","22","App\\User","[]","2023-07-11 17:06:45","2023-07-11 17:06:45"),
("288","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-11 17:07:12","2023-07-11 17:07:12"),
("289","Update","Edit the property statement.Abdul Basit 5847","","","22","App\\User","[]","2023-07-11 17:12:07","2023-07-11 17:12:07"),
("290","View","View the Property Statement 5847Abdul Basit","","","22","App\\User","[]","2023-07-11 17:12:08","2023-07-11 17:12:08"),
("291","View","View Switch Project List","","","22","App\\User","[]","2023-07-11 21:11:41","2023-07-11 21:11:41"),
("292","View","dashboard","","","22","App\\User","[]","2023-07-11 21:11:53","2023-07-11 21:11:53"),
("293","View","Inventory list.","","","22","App\\User","[]","2023-07-11 21:13:40","2023-07-11 21:13:40"),
("294","view","SMS History","","","22","App\\User","[]","2023-07-11 21:14:58","2023-07-11 21:14:58"),
("295","View","View Switch Project List","","","22","App\\User","[]","2023-07-12 18:19:12","2023-07-12 18:19:12"),
("296","View","dashboard","","","22","App\\User","[]","2023-07-12 18:19:22","2023-07-12 18:19:22"),
("297","View","Property list.","","","22","App\\User","[]","2023-07-12 18:19:44","2023-07-12 18:19:44"),
("298","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:19:59","2023-07-12 18:19:59"),
("299","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:21:41","2023-07-12 18:21:41"),
("300","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-12 18:21:59","2023-07-12 18:21:59"),
("301","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-12 18:22:48","2023-07-12 18:22:48"),
("302","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-12 18:24:21","2023-07-12 18:24:21"),
("303","Create","New Receipt Added 50001","","","22","App\\User","[]","2023-07-12 18:24:46","2023-07-12 18:24:46"),
("304","Add","Add Customer Receipt","","","22","App\\User","[]","2023-07-12 18:24:47","2023-07-12 18:24:47"),
("305","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:25:03","2023-07-12 18:25:03"),
("306","View","Pending Receipt List","","","22","App\\User","[]","2023-07-12 18:25:09","2023-07-12 18:25:09"),
("307","Approved","Receipt Approved 50001","","","22","App\\User","[]","2023-07-12 18:25:27","2023-07-12 18:25:27"),
("308","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:25:27","2023-07-12 18:25:27"),
("309","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:26:54","2023-07-12 18:26:54"),
("310","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:27:32","2023-07-12 18:27:32"),
("311","View","Inventory list.","","","22","App\\User","[]","2023-07-12 18:27:46","2023-07-12 18:27:46"),
("312","View","See the inventory Detail 119","","","22","App\\User","[]","2023-07-12 18:27:57","2023-07-12 18:27:57"),
("313","View","Unit Categories List.","","","22","App\\User","[]","2023-07-12 18:28:18","2023-07-12 18:28:18"),
("314","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-12 18:28:47","2023-07-12 18:28:47"),
("315","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-07-12 18:29:48","2023-07-12 18:29:48"),
("316","View","View Receipt record 50001","","","22","App\\User","[]","2023-07-12 18:30:18","2023-07-12 18:30:18"),
("317","View","View Receipt record 50000","","","22","App\\User","[]","2023-07-12 18:30:28","2023-07-12 18:30:28"),
("318","View","View Switch Project List","","","22","App\\User","[]","2023-07-13 12:35:23","2023-07-13 12:35:23"),
("319","View","dashboard","","","22","App\\User","[]","2023-07-13 12:35:38","2023-07-13 12:35:38"),
("320","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:01:09","2023-07-13 13:01:09"),
("321","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:02:33","2023-07-13 13:02:33"),
("322","Create","New Chart of account [ Sale] create. ","","","22","App\\User","[]","2023-07-13 13:03:31","2023-07-13 13:03:31"),
("323","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:03:31","2023-07-13 13:03:31"),
("324","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:03:42","2023-07-13 13:03:42"),
("325","Create","New Chart of account [ Residential Plots] create. ","","","22","App\\User","[]","2023-07-13 13:04:08","2023-07-13 13:04:08"),
("326","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:04:09","2023-07-13 13:04:09"),
("327","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:04:13","2023-07-13 13:04:13"),
("328","Create","New Chart of account [ Commercial Plots] create. ","","","22","App\\User","[]","2023-07-13 13:04:43","2023-07-13 13:04:43"),
("329","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:04:43","2023-07-13 13:04:43"),
("330","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:04:53","2023-07-13 13:04:53"),
("331","Create","New Chart of account [ BANKS] create. ","","","22","App\\User","[]","2023-07-13 13:05:18","2023-07-13 13:05:18"),
("332","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:05:18","2023-07-13 13:05:18"),
("333","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:06:10","2023-07-13 13:06:10"),
("334","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:06:16","2023-07-13 13:06:16"),
("335","Create","New Chart of account [ MBL PVT. LTD.] create. ","","","22","App\\User","[]","2023-07-13 13:06:46","2023-07-13 13:06:46"),
("336","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:06:47","2023-07-13 13:06:47"),
("337","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-13 13:06:51","2023-07-13 13:06:51"),
("338","Create","New Chart of account [ ABL PVT. LTD.] create. ","","","22","App\\User","[]","2023-07-13 13:07:14","2023-07-13 13:07:14"),
("339","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-13 13:07:15","2023-07-13 13:07:15"),
("340","View","View Receipt record 50001","","","22","App\\User","[]","2023-07-13 13:40:50","2023-07-13 13:40:50"),
("341","View","View Receipt record 50000","","","22","App\\User","[]","2023-07-13 13:54:34","2023-07-13 13:54:34"),
("342","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-13 17:55:38","2023-07-13 17:55:38"),
("343","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 18:42:44","2023-07-13 18:42:44"),
("344","View","View Package index","","","22","App\\User","[]","2023-07-13 18:43:09","2023-07-13 18:43:09"),
("345","Create","Create Package ","","","22","App\\User","[]","2023-07-13 18:43:28","2023-07-13 18:43:28"),
("346","Create","Create Package ","","","22","App\\User","[]","2023-07-13 18:46:21","2023-07-13 18:46:21"),
("347","Create","Create Package ","","","22","App\\User","[]","2023-07-13 18:52:33","2023-07-13 18:52:33"),
("348","View","View Package index","","","22","App\\User","[]","2023-07-13 18:52:39","2023-07-13 18:52:39"),
("349","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-13 18:53:12","2023-07-13 18:53:12"),
("350","Sell","Sell Open File Package","","","22","App\\User","[]","2023-07-13 18:53:27","2023-07-13 18:53:27"),
("351","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-13 18:54:01","2023-07-13 18:54:01"),
("352","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 18:54:18","2023-07-13 18:54:18"),
("353","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 18:57:45","2023-07-13 18:57:45"),
("354","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 18:58:02","2023-07-13 18:58:02"),
("355","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 18:59:38","2023-07-13 18:59:38"),
("356","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 18:59:57","2023-07-13 18:59:57"),
("357","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 19:05:16","2023-07-13 19:05:16"),
("358","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 19:05:31","2023-07-13 19:05:31"),
("359","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 19:05:35","2023-07-13 19:05:35"),
("360","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 19:06:40","2023-07-13 19:06:40"),
("361","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-13 19:08:54","2023-07-13 19:08:54"),
("362","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-13 19:09:11","2023-07-13 19:09:11"),
("363","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-13 19:09:15","2023-07-13 19:09:15"),
("364","View","Dealer Package Rebate List.","","","22","App\\User","[]","2023-07-13 19:09:39","2023-07-13 19:09:39"),
("365","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 19:09:43","2023-07-13 19:09:43"),
("366","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 19:23:06","2023-07-13 19:23:06"),
("367","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 19:50:17","2023-07-13 19:50:17"),
("368","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:07:53","2023-07-13 20:07:53"),
("369","View","View End User Form","","","22","App\\User","[]","2023-07-13 20:07:59","2023-07-13 20:07:59"),
("370","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:08:04","2023-07-13 20:08:04"),
("371","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:19:40","2023-07-13 20:19:40"),
("372","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:20:08","2023-07-13 20:20:08"),
("373","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:20:36","2023-07-13 20:20:36"),
("374","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:21:00","2023-07-13 20:21:00"),
("375","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:27:32","2023-07-13 20:27:32"),
("376","View","dashboard","","","22","App\\User","[]","2023-07-13 20:34:19","2023-07-13 20:34:19"),
("377","View","Property list.","","","22","App\\User","[]","2023-07-13 20:35:12","2023-07-13 20:35:12"),
("378","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-13 20:35:19","2023-07-13 20:35:19"),
("379","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:37:44","2023-07-13 20:37:44"),
("380","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-13 20:38:02","2023-07-13 20:38:02"),
("381","View","View End User Form","","","22","App\\User","[]","2023-07-13 20:38:05","2023-07-13 20:38:05"),
("382","View","Nominee list.","","","22","App\\User","[]","2023-07-13 20:41:45","2023-07-13 20:41:45"),
("383","Create","New Property Added  697548","","","22","App\\User","[]","2023-07-13 20:45:52","2023-07-13 20:45:52"),
("384","View","View the Property Statement 697548Musaddiq Ghufran","","","22","App\\User","[]","2023-07-13 20:45:52","2023-07-13 20:45:52"),
("385","View","Property list.","","","22","App\\User","[]","2023-07-13 20:47:24","2023-07-13 20:47:24"),
("386","Create","New Property Added  522634","","","22","App\\User","[]","2023-07-13 20:47:42","2023-07-13 20:47:42"),
("387","View","View the Property Statement 522634Musaddiq Ghufran","","","22","App\\User","[]","2023-07-13 20:47:43","2023-07-13 20:47:43"),
("388","View","Property list.","","","22","App\\User","[]","2023-07-13 20:47:55","2023-07-13 20:47:55"),
("389","Approve","Approve Pending Property Statement522634","","","22","App\\User","[]","2023-07-13 20:48:27","2023-07-13 20:48:27"),
("390","Update","Assign client id.","","","22","App\\User","[]","2023-07-13 20:49:04","2023-07-13 20:49:04"),
("391","View","View the Property Statement 522634Musaddiq Ghufran","","","22","App\\User","[]","2023-07-13 20:49:05","2023-07-13 20:49:05"),
("392","Create","New Property Added  240984","","","22","App\\User","[]","2023-07-13 20:49:31","2023-07-13 20:49:31"),
("393","View","View the Property Statement 240984Abdul Basit","","","22","App\\User","[]","2023-07-13 20:49:32","2023-07-13 20:49:32"),
("394","View","Property list.","","","22","App\\User","[]","2023-07-13 20:49:59","2023-07-13 20:49:59"),
("395","View","View Registration Letter","","","22","App\\User","[]","2023-07-13 20:51:29","2023-07-13 20:51:29"),
("396","View","View Registration Letter","","","22","App\\User","[]","2023-07-13 20:52:55","2023-07-13 20:52:55"),
("397","View","View Registration Letter","","","22","App\\User","[]","2023-07-13 20:53:23","2023-07-13 20:53:23"),
("398","View","View Switch Project List","","","22","App\\User","[]","2023-07-14 14:52:15","2023-07-14 14:52:15"),
("399","View","dashboard","","","22","App\\User","[]","2023-07-14 15:31:45","2023-07-14 15:31:45"),
("400","Create","New Property Added  122","","","22","App\\User","[]","2023-07-14 15:49:10","2023-07-14 15:49:10"),
("401","View","View the Property Statement 122Wasif Mehmood","","","22","App\\User","[]","2023-07-14 15:49:11","2023-07-14 15:49:11"),
("402","Create","New Property Added  4178","","","22","App\\User","[]","2023-07-14 16:08:07","2023-07-14 16:08:07"),
("403","View","View the Property Statement 4178Abdul Rehman","","","22","App\\User","[]","2023-07-14 16:08:08","2023-07-14 16:08:08"),
("404","View","Customer list.","","","22","App\\User","[]","2023-07-14 16:10:27","2023-07-14 16:10:27"),
("405","View","See the customer Detail Abdul Rehman","","","22","App\\User","[]","2023-07-14 16:12:17","2023-07-14 16:12:17"),
("406","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:12:40","2023-07-14 16:12:40"),
("407","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:13:11","2023-07-14 16:13:11"),
("408","Create","Nominee Rana Sabir","","","22","App\\User","[]","2023-07-14 16:14:36","2023-07-14 16:14:36"),
("409","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:14:37","2023-07-14 16:14:37"),
("410","View","Nominee list.","","","22","App\\User","[]","2023-07-14 16:15:18","2023-07-14 16:15:18"),
("411","View","Customer list.","","","22","App\\User","[]","2023-07-14 16:24:19","2023-07-14 16:24:19"),
("412","View","Nominee Profile Rana Sabir","","","22","App\\User","[]","2023-07-14 16:24:26","2023-07-14 16:24:26"),
("413","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-07-14 16:24:31","2023-07-14 16:24:31"),
("414","View","Customer list.","","","22","App\\User","[]","2023-07-14 16:25:00","2023-07-14 16:25:00"),
("415","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-14 16:25:18","2023-07-14 16:25:18"),
("416","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:25:37","2023-07-14 16:25:37"),
("417","Create","Nominee Abdul Basit","","","22","App\\User","[]","2023-07-14 16:32:21","2023-07-14 16:32:21"),
("418","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:32:21","2023-07-14 16:32:21"),
("419","Create","Nominee Abdul Basit","","","22","App\\User","[]","2023-07-14 16:32:25","2023-07-14 16:32:25"),
("420","Open","Nominee create Page","","","22","App\\User","[]","2023-07-14 16:32:26","2023-07-14 16:32:26"),
("421","View","See the customer Detail Ahmad Raza","","","22","App\\User","[]","2023-07-14 16:32:50","2023-07-14 16:32:50"),
("422","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-14 16:33:02","2023-07-14 16:33:02"),
("423","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-14 16:34:16","2023-07-14 16:34:16"),
("424","View","View Switch Project List","","","22","App\\User","[]","2023-07-17 12:43:18","2023-07-17 12:43:18"),
("425","View","dashboard","","","22","App\\User","[]","2023-07-17 12:43:32","2023-07-17 12:43:32"),
("426","View","View Package index","","","22","App\\User","[]","2023-07-17 13:56:20","2023-07-17 13:56:20"),
("427","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-17 13:56:46","2023-07-17 13:56:46"),
("428","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-17 13:56:58","2023-07-17 13:56:58"),
("429","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 13:57:09","2023-07-17 13:57:09"),
("430","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-17 13:58:05","2023-07-17 13:58:05"),
("431","Sell","Sell Open File Package","","","22","App\\User","[]","2023-07-17 13:58:16","2023-07-17 13:58:16"),
("432","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-17 13:58:38","2023-07-17 13:58:38"),
("433","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-17 13:59:12","2023-07-17 13:59:12"),
("434","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-17 13:59:32","2023-07-17 13:59:32"),
("435","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 13:59:43","2023-07-17 13:59:43"),
("436","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-17 13:59:57","2023-07-17 13:59:57"),
("437","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:00:21","2023-07-17 14:00:21"),
("438","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-17 14:04:35","2023-07-17 14:04:35"),
("439","Approve","Pending Open File Package List","","","22","App\\User","[]","2023-07-17 14:06:13","2023-07-17 14:06:13"),
("440","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:06:20","2023-07-17 14:06:20"),
("441","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:06:22","2023-07-17 14:06:22"),
("442","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:06:48","2023-07-17 14:06:48"),
("443","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:06:59","2023-07-17 14:06:59"),
("444","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:07:12","2023-07-17 14:07:12"),
("445","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:07:16","2023-07-17 14:07:16"),
("446","Create","Create Open File Inventory","","","22","App\\User","[]","2023-07-17 14:07:20","2023-07-17 14:07:20"),
("447","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-17 14:10:07","2023-07-17 14:10:07"),
("448","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-17 14:10:12","2023-07-17 14:10:12"),
("449","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-17 14:11:09","2023-07-17 14:11:09"),
("450","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-07-17 14:11:18","2023-07-17 14:11:18"),
("451","Create","New Property Added  664267","","","22","App\\User","[]","2023-07-17 14:16:23","2023-07-17 14:16:23"),
("452","View","View the Property Statement 664267Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:16:24","2023-07-17 14:16:24"),
("453","Create","New Property Added  374183","","","22","App\\User","[]","2023-07-17 14:16:47","2023-07-17 14:16:47"),
("454","View","View the Property Statement 374183Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:16:47","2023-07-17 14:16:47"),
("455","Approve","Approve Pending Property Statement240984","","","22","App\\User","[]","2023-07-17 14:17:57","2023-07-17 14:17:57"),
("456","Approve","Approve Pending Property Statement697548","","","22","App\\User","[]","2023-07-17 14:18:02","2023-07-17 14:18:02"),
("457","Approve","Approve Pending Property Statement664267","","","22","App\\User","[]","2023-07-17 14:18:06","2023-07-17 14:18:06"),
("458","Approve","Approve Pending Property Statement374183","","","22","App\\User","[]","2023-07-17 14:18:11","2023-07-17 14:18:11"),
("459","Update","Assign client id.","","","22","App\\User","[]","2023-07-17 14:19:17","2023-07-17 14:19:17"),
("460","View","View the Property Statement 240984Abdul Basit","","","22","App\\User","[]","2023-07-17 14:19:18","2023-07-17 14:19:18"),
("461","Update","Assign client id.","","","22","App\\User","[]","2023-07-17 14:19:23","2023-07-17 14:19:23"),
("462","View","View the Property Statement 697548Musaddiq Ghufran","","","22","App\\User","[]","2023-07-17 14:19:24","2023-07-17 14:19:24"),
("463","Update","Assign client id.","","","22","App\\User","[]","2023-07-17 14:19:37","2023-07-17 14:19:37"),
("464","View","View the Property Statement 664267Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:19:38","2023-07-17 14:19:38"),
("465","Update","Assign client id.","","","22","App\\User","[]","2023-07-17 14:19:44","2023-07-17 14:19:44"),
("466","View","View the Property Statement 374183Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:19:45","2023-07-17 14:19:45"),
("467","View","View the Property Statement 664267Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:26:31","2023-07-17 14:26:31"),
("468","View","Property list.","","","22","App\\User","[]","2023-07-17 14:32:55","2023-07-17 14:32:55"),
("469","View","View the Property Statement 1Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:33:05","2023-07-17 14:33:05"),
("470","View","View the Property Statement 2Ahmad Raza","","","22","App\\User","[]","2023-07-17 14:34:42","2023-07-17 14:34:42"),
("471","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-07-17 14:35:07","2023-07-17 14:35:07"),
("472","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:36:14","2023-07-17 14:36:14"),
("473","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-07-17 14:37:34","2023-07-17 14:37:34"),
("474","View","View Multiproject List","","","22","App\\User","[]","2023-07-17 14:38:57","2023-07-17 14:38:57"),
("475","View","View Multiproject List","","","22","App\\User","[]","2023-07-17 14:39:24","2023-07-17 14:39:24"),
("476","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:39:33","2023-07-17 14:39:33"),
("477","View","View Receipt record 50003","","","22","App\\User","[]","2023-07-17 14:39:37","2023-07-17 14:39:37"),
("478","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:41:29","2023-07-17 14:41:29"),
("479","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:41:50","2023-07-17 14:41:50"),
("480","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:42:08","2023-07-17 14:42:08"),
("481","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 14:55:38","2023-07-17 14:55:38"),
("482","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:02:30","2023-07-17 15:02:30"),
("483","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:03:17","2023-07-17 15:03:17"),
("484","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:06:27","2023-07-17 15:06:27"),
("485","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:07:07","2023-07-17 15:07:07"),
("486","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:09:39","2023-07-17 15:09:39"),
("487","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:12:19","2023-07-17 15:12:19"),
("488","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:12:41","2023-07-17 15:12:41"),
("489","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:13:05","2023-07-17 15:13:05"),
("490","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:14:23","2023-07-17 15:14:23"),
("491","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:15:26","2023-07-17 15:15:26"),
("492","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:15:50","2023-07-17 15:15:50"),
("493","View","View Receipt record 50006","","","22","App\\User","[]","2023-07-17 15:18:23","2023-07-17 15:18:23"),
("494","View","Property list.","","","22","App\\User","[]","2023-07-17 15:35:17","2023-07-17 15:35:17"),
("495","View","View the Property Statement 2Ahmad Raza","","","22","App\\User","[]","2023-07-17 15:35:27","2023-07-17 15:35:27"),
("496","View","View the Property Statement 2Ahmad Raza","","","22","App\\User","[]","2023-07-17 15:36:17","2023-07-17 15:36:17"),
("497","View","See the inventory Detail 2","","","22","App\\User","[]","2023-07-17 15:36:33","2023-07-17 15:36:33"),
("498","View","See the inventory Detail 664267","","","22","App\\User","[]","2023-07-17 16:22:32","2023-07-17 16:22:32"),
("499","View","View the Property Statement 664267Ahmad Raza","","","22","App\\User","[]","2023-07-17 16:23:10","2023-07-17 16:23:10"),
("500","View","View the Property Statement 664267Ahmad Raza","","","22","App\\User","[]","2023-07-17 16:24:10","2023-07-17 16:24:10"),
("501","View","Property list.","","","22","App\\User","[]","2023-07-17 18:53:44","2023-07-17 18:53:44"),
("502","View","View the Property Statement 119Abdul Basit","","","22","App\\User","[]","2023-07-17 18:53:57","2023-07-17 18:53:57"),
("503","View","View the Property Statement 3Abdul Basit","","","22","App\\User","[]","2023-07-17 18:54:11","2023-07-17 18:54:11"),
("504","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-07-17 18:55:01","2023-07-17 18:55:01"),
("505","View","Inventory list.","","","22","App\\User","[]","2023-07-17 19:57:31","2023-07-17 19:57:31"),
("506","View","dashboard","","","22","App\\User","[]","2023-07-18 17:23:09","2023-07-18 17:23:09"),
("507","View","Customer list.","","","22","App\\User","[]","2023-07-18 17:23:49","2023-07-18 17:23:49"),
("508","View","Inventory list.","","","22","App\\User","[]","2023-07-18 17:24:27","2023-07-18 17:24:27"),
("509","Add","Add New Dealer","","","22","App\\User","[]","2023-07-18 17:29:15","2023-07-18 17:29:15"),
("510","Add","New Customer","","","22","App\\User","[]","2023-07-18 17:29:20","2023-07-18 17:29:20"),
("511","View","View Dealer List","","","22","App\\User","[]","2023-07-18 17:30:21","2023-07-18 17:30:21"),
("512","View","See the customer Detail Musaddiq Ghufran","","","22","App\\User","[]","2023-07-18 17:31:03","2023-07-18 17:31:03"),
("513","View","Dealer detailHamza Satti","","","22","App\\User","[]","2023-07-18 17:33:01","2023-07-18 17:33:01"),
("514","Approve","Approve Pending Property Statement4178","","","22","App\\User","[]","2023-07-18 19:38:26","2023-07-18 19:38:26"),
("515","Update","Assign client id.","","","22","App\\User","[]","2023-07-18 19:38:47","2023-07-18 19:38:47"),
("516","View","View the Property Statement 4178Abdul Rehman","","","22","App\\User","[]","2023-07-18 19:38:48","2023-07-18 19:38:48"),
("517","View","View the Property Statement 4178Abdul Rehman","","","22","App\\User","[]","2023-07-18 19:44:02","2023-07-18 19:44:02"),
("518","Approve","Approve Pending Property Statement122","","","22","App\\User","[]","2023-07-18 19:44:30","2023-07-18 19:44:30"),
("519","Update","Assign client id.","","","22","App\\User","[]","2023-07-18 19:44:50","2023-07-18 19:44:50"),
("520","View","View the Property Statement 122Wasif Mehmood","","","22","App\\User","[]","2023-07-18 19:44:51","2023-07-18 19:44:51"),
("521","Create","New Property Added  5363","","","22","App\\User","[]","2023-07-18 19:56:38","2023-07-18 19:56:38"),
("522","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-07-18 19:56:39","2023-07-18 19:56:39"),
("523","Approve","Approve Pending Property Statement5363","","","22","App\\User","[]","2023-07-18 19:56:56","2023-07-18 19:56:56"),
("524","Update","Assign client id.","","","22","App\\User","[]","2023-07-18 19:57:08","2023-07-18 19:57:08"),
("525","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-07-18 19:57:08","2023-07-18 19:57:08"),
("526","View","View Switch Project List","","","22","App\\User","[]","2023-07-24 19:13:40","2023-07-24 19:13:40"),
("527","View","dashboard","","","22","App\\User","[]","2023-07-24 19:18:35","2023-07-24 19:18:35"),
("528","View","dashboard","","","22","App\\User","[]","2023-07-24 19:58:02","2023-07-24 19:58:02"),
("529","View","Roles List.","","","22","App\\User","[]","2023-07-24 19:58:20","2023-07-24 19:58:20"),
("530","View","Roles List.","","","22","App\\User","[]","2023-07-24 19:58:51","2023-07-24 19:58:51"),
("531","View","dashboard","","","22","App\\User","[]","2023-07-24 20:36:09","2023-07-24 20:36:09"),
("532","View","dashboard","","","22","App\\User","[]","2023-07-24 21:05:20","2023-07-24 21:05:20"),
("533","View","Property list.","","","22","App\\User","[]","2023-07-24 21:10:23","2023-07-24 21:10:23"),
("534","View","admin profile","","","22","App\\User","[]","2023-07-24 21:11:01","2023-07-24 21:11:01"),
("535","Edit","admin profile","","","22","App\\User","[]","2023-07-24 21:11:25","2023-07-24 21:11:25"),
("536","Update","profile updated","","","22","App\\User","[]","2023-07-24 21:11:45","2023-07-24 21:11:45"),
("537","View","admin profile","","","22","App\\User","[]","2023-07-24 21:11:46","2023-07-24 21:11:46"),
("538","View","Property list.","","","22","App\\User","[]","2023-07-24 21:26:57","2023-07-24 21:26:57"),
("539","Add","New Customer","","","22","App\\User","[]","2023-07-24 21:34:53","2023-07-24 21:34:53"),
("540","View","dashboard","","","22","App\\User","[]","2023-07-24 22:15:01","2023-07-24 22:15:01"),
("541","View","dashboard","","","22","App\\User","[]","2023-07-25 14:15:33","2023-07-25 14:15:33"),
("542","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 15:38:24","2023-07-25 15:38:24"),
("543","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-25 15:39:04","2023-07-25 15:39:04"),
("544","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 15:39:50","2023-07-25 15:39:50"),
("545","View","Property list.","","","22","App\\User","[]","2023-07-25 16:12:26","2023-07-25 16:12:26"),
("546","Edit","Edit Property Statement","","","22","App\\User","[]","2023-07-25 16:12:37","2023-07-25 16:12:37"),
("547","Edit","Edit Property Statement","","","22","App\\User","[]","2023-07-25 16:12:59","2023-07-25 16:12:59"),
("548","View","View the Property Statement 4Abdul Basit","","","22","App\\User","[]","2023-07-25 16:13:21","2023-07-25 16:13:21"),
("549","View","View the Property Statement 122Wasif Mehmood","","","22","App\\User","[]","2023-07-25 16:13:26","2023-07-25 16:13:26"),
("550","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 16:44:32","2023-07-25 16:44:32"),
("551","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 16:45:30","2023-07-25 16:45:30"),
("552","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-25 17:27:13","2023-07-25 17:27:13"),
("553","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:27:27","2023-07-25 17:27:27"),
("554","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:27:55","2023-07-25 17:27:55"),
("555","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-25 17:28:24","2023-07-25 17:28:24"),
("556","Create","New Chart of account [ Social Media] create. ","","","22","App\\User","[]","2023-07-25 17:28:49","2023-07-25 17:28:49"),
("557","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:28:50","2023-07-25 17:28:50"),
("558","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:34:14","2023-07-25 17:34:14"),
("559","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:38:26","2023-07-25 17:38:26"),
("560","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:45:37","2023-07-25 17:45:37"),
("561","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:46:12","2023-07-25 17:46:12"),
("562","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:46:34","2023-07-25 17:46:34"),
("563","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:48:56","2023-07-25 17:48:56"),
("564","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:49:40","2023-07-25 17:49:40"),
("565","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:50:01","2023-07-25 17:50:01"),
("566","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:50:25","2023-07-25 17:50:25"),
("567","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 17:51:32","2023-07-25 17:51:32"),
("568","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:52:31","2023-07-25 17:52:31"),
("569","View","Chart of Account","","","22","App\\User","[]","2023-07-25 17:52:39","2023-07-25 17:52:39"),
("570","View","Unit Floor List.","","","22","App\\User","[]","2023-07-25 18:22:28","2023-07-25 18:22:28"),
("571","View","dashboard","","","22","App\\User","[]","2023-07-25 18:22:37","2023-07-25 18:22:37"),
("572","View","dashboard","","","22","App\\User","[]","2023-07-25 18:23:58","2023-07-25 18:23:58"),
("573","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-25 18:26:22","2023-07-25 18:26:22"),
("574","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-07-25 18:32:10","2023-07-25 18:32:10"),
("575","View","Chart of Account","","","22","App\\User","[]","2023-07-25 18:35:52","2023-07-25 18:35:52"),
("576","View","Chart of Account","","","22","App\\User","[]","2023-07-25 18:35:56","2023-07-25 18:35:56"),
("577","View","Chart of Account","","","22","App\\User","[]","2023-07-25 18:35:59","2023-07-25 18:35:59"),
("578","View","Chart of Account","","","22","App\\User","[]","2023-07-25 18:51:51","2023-07-25 18:51:51"),
("579","View","dashboard","","","22","App\\User","[]","2023-07-26 14:22:48","2023-07-26 14:22:48"),
("580","View","View Switch Project List","","","22","App\\User","[]","2023-07-31 15:31:02","2023-07-31 15:31:02"),
("581","View","dashboard","","","22","App\\User","[]","2023-07-31 15:33:31","2023-07-31 15:33:31"),
("582","View","Roles List.","","","22","App\\User","[]","2023-07-31 15:36:33","2023-07-31 15:36:33"),
("583","View","Customer list.","","","22","App\\User","[]","2023-07-31 15:38:41","2023-07-31 15:38:41"),
("584","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-31 15:39:14","2023-07-31 15:39:14"),
("585","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-31 15:40:50","2023-07-31 15:40:50"),
("586","View","See the customer Detail John","","","22","App\\User","[]","2023-07-31 15:48:48","2023-07-31 15:48:48"),
("587","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-31 16:07:21","2023-07-31 16:07:21"),
("588","Add","Chart of Accounts","","","22","App\\User","[]","2023-07-31 16:12:50","2023-07-31 16:12:50"),
("589","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-31 16:14:53","2023-07-31 16:14:53"),
("590","View","Customer list.","","","22","App\\User","[]","2023-07-31 16:17:51","2023-07-31 16:17:51"),
("591","View","Chart of Account","","","22","App\\User","[]","2023-07-31 16:24:54","2023-07-31 16:24:54"),
("592","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-31 16:43:18","2023-07-31 16:43:18"),
("593","View","Chart of Accounts List","","","22","App\\User","[]","2023-07-31 16:43:29","2023-07-31 16:43:29"),
("594","View","See the customer Detail John","","","22","App\\User","[]","2023-07-31 17:04:18","2023-07-31 17:04:18"),
("595","View","View Switch Project List","","","22","App\\User","[]","2023-08-01 18:18:41","2023-08-01 18:18:41"),
("596","View","dashboard","","","22","App\\User","[]","2023-08-01 18:18:55","2023-08-01 18:18:55"),
("597","View","Dealer Rebate List.","","","22","App\\User","[]","2023-08-01 18:19:18","2023-08-01 18:19:18"),
("598","Add","Add Dealer Inventory Rebate","","","22","App\\User","[]","2023-08-01 18:21:54","2023-08-01 18:21:54"),
("599","Edit","Edit Dealer Inventory Rebate","","","22","App\\User","[]","2023-08-01 18:22:08","2023-08-01 18:22:08"),
("600","Create","Dealer Rebate Paid Hamza Satti","","","22","App\\User","[]","2023-08-01 18:24:00","2023-08-01 18:24:00"),
("601","Create","Dealer Rebate Paid Hamza Satti","","","22","App\\User","[]","2023-08-01 18:24:05","2023-08-01 18:24:05"),
("602","View","View Switch Project List","","","22","App\\User","[]","2023-08-02 15:09:33","2023-08-02 15:09:33"),
("603","View","dashboard","","","22","App\\User","[]","2023-08-02 15:09:50","2023-08-02 15:09:50"),
("604","View","Property list.","","","22","App\\User","[]","2023-08-02 15:10:43","2023-08-02 15:10:43"),
("605","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-08-02 15:12:02","2023-08-02 15:12:02"),
("606","View","View Sale Agreement","","","22","App\\User","[]","2023-08-02 15:12:50","2023-08-02 15:12:50"),
("607","View","View Switch Project List","","","22","App\\User","[]","2023-08-05 16:19:59","2023-08-05 16:19:59"),
("608","View","dashboard","","","22","App\\User","[]","2023-08-05 16:20:52","2023-08-05 16:20:52"),
("609","Add","New Customer","","","22","App\\User","[]","2023-08-05 16:22:52","2023-08-05 16:22:52"),
("610","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-08-05 16:23:41","2023-08-05 16:23:41"),
("611","View","Property list.","","","22","App\\User","[]","2023-08-05 16:24:21","2023-08-05 16:24:21"),
("612","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-08-05 16:25:11","2023-08-05 16:25:11"),
("613","View","Customer list.","","","22","App\\User","[]","2023-08-05 16:41:09","2023-08-05 16:41:09"),
("614","View","See the customer Detail Abdul Rehman","","","22","App\\User","[]","2023-08-05 16:42:25","2023-08-05 16:42:25"),
("615","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-08-05 16:43:44","2023-08-05 16:43:44"),
("616","View","See the customer Detail Hamza Qaiser","","","22","App\\User","[]","2023-08-05 16:47:24","2023-08-05 16:47:24"),
("617","View","Property list.","","","22","App\\User","[]","2023-08-05 16:47:53","2023-08-05 16:47:53"),
("618","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-08-05 16:48:18","2023-08-05 16:48:18"),
("619","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-08-05 16:49:49","2023-08-05 16:49:49"),
("620","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-08-05 16:51:50","2023-08-05 16:51:50"),
("621","View","Property list.","","","22","App\\User","[]","2023-08-05 16:59:26","2023-08-05 16:59:26"),
("622","View","View the Property Statement 5363Wasif Mehmood","","","22","App\\User","[]","2023-08-05 17:01:08","2023-08-05 17:01:08"),
("623","View","View the Property Statement 1Ahmad Raza","","","22","App\\User","[]","2023-08-05 17:03:43","2023-08-05 17:03:43"),
("624","View","Inventory list.","","","22","App\\User","[]","2023-08-05 17:33:22","2023-08-05 17:33:22"),
("625","View","See the inventory Detail 5847","","","22","App\\User","[]","2023-08-05 17:33:45","2023-08-05 17:33:45"),
("626","View","View Switch Project List","","","22","App\\User","[]","2023-08-05 19:56:12","2023-08-05 19:56:12"),
("627","View","View Switch Project List","","","22","App\\User","[]","2023-08-06 02:58:45","2023-08-06 02:58:45"),
("628","View","dashboard","","","22","App\\User","[]","2023-08-06 02:59:33","2023-08-06 02:59:33"),
("629","View","Customer list.","","","22","App\\User","[]","2023-08-06 03:40:22","2023-08-06 03:40:22"),
("630","Create","New inventory added 5859","","","22","App\\User","[]","2023-08-06 03:50:33","2023-08-06 03:50:33"),
("631","View","See the inventory Detail 5859","","","22","App\\User","[]","2023-08-06 03:50:34","2023-08-06 03:50:34"),
("632","Create","New inventory added 2","","","22","App\\User","[]","2023-08-06 03:50:45","2023-08-06 03:50:45"),
("633","View","See the inventory Detail 2","","","22","App\\User","[]","2023-08-06 03:50:47","2023-08-06 03:50:47"),
("634","Create","New inventory added 6","","","22","App\\User","[]","2023-08-06 03:50:59","2023-08-06 03:50:59"),
("635","Create","New inventory added 7","","","22","App\\User","[]","2023-08-06 03:51:00","2023-08-06 03:51:00"),
("636","Create","New inventory added 8","","","22","App\\User","[]","2023-08-06 03:51:01","2023-08-06 03:51:01"),
("637","View","See the inventory Detail 6","","","22","App\\User","[]","2023-08-06 03:51:06","2023-08-06 03:51:06"),
("638","View","See the inventory Detail 7","","","22","App\\User","[]","2023-08-06 03:51:12","2023-08-06 03:51:12"),
("639","Create","New inventory added 9","","","22","App\\User","[]","2023-08-06 03:51:16","2023-08-06 03:51:16"),
("640","View","See the inventory Detail 8","","","22","App\\User","[]","2023-08-06 03:51:17","2023-08-06 03:51:17"),
("641","Create","New inventory added 10","","","22","App\\User","[]","2023-08-06 03:51:22","2023-08-06 03:51:22"),
("642","View","See the inventory Detail 9","","","22","App\\User","[]","2023-08-06 03:51:23","2023-08-06 03:51:23"),
("643","View","See the inventory Detail 10","","","22","App\\User","[]","2023-08-06 03:51:28","2023-08-06 03:51:28"),
("644","View","Viewed Open File Package Index","","","22","App\\User","[]","2023-08-06 03:52:02","2023-08-06 03:52:02"),
("645","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:52:21","2023-08-06 03:52:21"),
("646","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:54:28","2023-08-06 03:54:28"),
("647","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:54:42","2023-08-06 03:54:42"),
("648","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:54:52","2023-08-06 03:54:52"),
("649","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:01","2023-08-06 03:55:01"),
("650","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:08","2023-08-06 03:55:08"),
("651","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:17","2023-08-06 03:55:17"),
("652","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:24","2023-08-06 03:55:24"),
("653","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:35","2023-08-06 03:55:35"),
("654","Detail","Detailed Open File Package","","","22","App\\User","[]","2023-08-06 03:55:46","2023-08-06 03:55:46"),
("655","View","View Switch Project List","","","22","App\\User","[]","2023-08-06 11:38:58","2023-08-06 11:38:58"),
("656","View","dashboard","","","22","App\\User","[]","2023-08-06 11:39:16","2023-08-06 11:39:16"),
("657","Create","New Property Added  5859","","","22","App\\User","[]","2023-08-06 11:40:29","2023-08-06 11:40:29"),
("658","View","View the Property Statement 5859Abdul Basit","","","22","App\\User","[]","2023-08-06 11:40:29","2023-08-06 11:40:29"),
("659","Create","New Property Added  10","","","22","App\\User","[]","2023-08-06 11:40:51","2023-08-06 11:40:51"),
("660","View","View the Property Statement 10Abdul Rehman","","","22","App\\User","[]","2023-08-06 11:40:51","2023-08-06 11:40:51"),
("661","Create","New Property Added  121","","","22","App\\User","[]","2023-08-06 11:41:17","2023-08-06 11:41:17"),
("662","View","View the Property Statement 121Ahmad Raza","","","22","App\\User","[]","2023-08-06 11:41:17","2023-08-06 11:41:17"),
("663","Create","New Property Added  2","","","22","App\\User","[]","2023-08-06 11:42:24","2023-08-06 11:42:24"),
("664","View","View the Property Statement 2John","","","22","App\\User","[]","2023-08-06 11:42:25","2023-08-06 11:42:25"),
("665","Create","New Property Added  6","","","22","App\\User","[]","2023-08-06 11:42:45","2023-08-06 11:42:45"),
("666","View","View the Property Statement 6Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 11:42:45","2023-08-06 11:42:45"),
("667","Create","New Property Added  7","","","22","App\\User","[]","2023-08-06 11:43:01","2023-08-06 11:43:01"),
("668","View","View the Property Statement 7Shawn Marsh","","","22","App\\User","[]","2023-08-06 11:43:02","2023-08-06 11:43:02"),
("669","Create","New Property Added  8","","","22","App\\User","[]","2023-08-06 11:43:16","2023-08-06 11:43:16"),
("670","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 11:43:16","2023-08-06 11:43:16"),
("671","Create","New Property Added  8","","","22","App\\User","[]","2023-08-06 11:43:46","2023-08-06 11:43:46"),
("672","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 11:43:47","2023-08-06 11:43:47"),
("673","Create","New Property Added  9","","","22","App\\User","[]","2023-08-06 11:44:25","2023-08-06 11:44:25"),
("674","View","View the Property Statement 9Hamza Qaiser","","","22","App\\User","[]","2023-08-06 11:44:25","2023-08-06 11:44:25"),
("675","Approve","Approve Pending Property Statement5859","","","22","App\\User","[]","2023-08-06 11:45:38","2023-08-06 11:45:38"),
("676","Approve","Approve Pending Property Statement10","","","22","App\\User","[]","2023-08-06 11:45:53","2023-08-06 11:45:53"),
("677","Approve","Approve Pending Property Statement9","","","22","App\\User","[]","2023-08-06 11:45:56","2023-08-06 11:45:56"),
("678","Approve","Approve Pending Property Statement8","","","22","App\\User","[]","2023-08-06 11:46:00","2023-08-06 11:46:00"),
("679","Approve","Approve Pending Property Statement7","","","22","App\\User","[]","2023-08-06 11:46:03","2023-08-06 11:46:03"),
("680","Approve","Approve Pending Property Statement8","","","22","App\\User","[]","2023-08-06 11:46:06","2023-08-06 11:46:06"),
("681","Approve","Approve Pending Property Statement6","","","22","App\\User","[]","2023-08-06 11:46:09","2023-08-06 11:46:09"),
("682","Approve","Approve Pending Property Statement2","","","22","App\\User","[]","2023-08-06 11:46:12","2023-08-06 11:46:12"),
("683","Approve","Approve Pending Property Statement121","","","22","App\\User","[]","2023-08-06 11:46:15","2023-08-06 11:46:15"),
("684","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:46:53","2023-08-06 11:46:53"),
("685","View","View the Property Statement 5859Abdul Basit","","","22","App\\User","[]","2023-08-06 11:46:54","2023-08-06 11:46:54"),
("686","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:03","2023-08-06 11:47:03"),
("687","View","View the Property Statement 10Abdul Rehman","","","22","App\\User","[]","2023-08-06 11:47:04","2023-08-06 11:47:04"),
("688","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:11","2023-08-06 11:47:11"),
("689","View","View the Property Statement 9Hamza Qaiser","","","22","App\\User","[]","2023-08-06 11:47:11","2023-08-06 11:47:11"),
("690","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:25","2023-08-06 11:47:25"),
("691","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 11:47:26","2023-08-06 11:47:26"),
("692","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:34","2023-08-06 11:47:34"),
("693","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 11:47:35","2023-08-06 11:47:35"),
("694","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:42","2023-08-06 11:47:42"),
("695","View","View the Property Statement 7Shawn Marsh","","","22","App\\User","[]","2023-08-06 11:47:43","2023-08-06 11:47:43"),
("696","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:47:52","2023-08-06 11:47:52"),
("697","View","View the Property Statement 6Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 11:47:53","2023-08-06 11:47:53"),
("698","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:48:01","2023-08-06 11:48:01"),
("699","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 11:48:01","2023-08-06 11:48:01"),
("700","View","View the Property Statement 2John","","","22","App\\User","[]","2023-08-06 11:48:03","2023-08-06 11:48:03"),
("701","View","View the Property Statement 121Ahmad Raza","","","22","App\\User","[]","2023-08-06 11:48:13","2023-08-06 11:48:13"),
("702","View","Customer list.","","","22","App\\User","[]","2023-08-06 11:49:26","2023-08-06 11:49:26"),
("703","View","See the customer Detail Shawn Marsh","","","22","App\\User","[]","2023-08-06 11:49:39","2023-08-06 11:49:39"),
("704","View","See the inventory Detail 30","","","22","App\\User","[]","2023-08-06 11:52:00","2023-08-06 11:52:00"),
("705","View","Unit Categories List.","","","22","App\\User","[]","2023-08-06 11:52:48","2023-08-06 11:52:48"),
("706","Update","Edit Category added Main Road","","","22","App\\User","[]","2023-08-06 11:53:09","2023-08-06 11:53:09"),
("707","View","Unit Categories List.","","","22","App\\User","[]","2023-08-06 11:53:11","2023-08-06 11:53:11"),
("708","View","See the inventory Detail 30","","","22","App\\User","[]","2023-08-06 11:58:12","2023-08-06 11:58:12"),
("709","View","View the Property Statement 30Shawn Marsh","","","22","App\\User","[]","2023-08-06 11:58:25","2023-08-06 11:58:25"),
("710","View","Pre Condition List","","","22","App\\User","[]","2023-08-06 11:59:01","2023-08-06 11:59:01"),
("711","View","Trash Box.","","","22","App\\User","[]","2023-08-06 11:59:05","2023-08-06 11:59:05"),
("712","View","View Package index","","","22","App\\User","[]","2023-08-06 11:59:11","2023-08-06 11:59:11"),
("713","View","Balloting List","","","22","App\\User","[]","2023-08-06 11:59:14","2023-08-06 11:59:14"),
("714","Add","Add Balloting File","","","22","App\\User","[]","2023-08-06 11:59:44","2023-08-06 11:59:44"),
("715","View","Balloting List","","","22","App\\User","[]","2023-08-06 12:00:45","2023-08-06 12:00:45"),
("716","Publish","Import Pre Condition Balloting File Map","","","22","App\\User","[]","2023-08-06 12:00:53","2023-08-06 12:00:53"),
("717","View","Balloting List","","","22","App\\User","[]","2023-08-06 12:01:02","2023-08-06 12:01:02"),
("718","View","View Balloting File","","","22","App\\User","[]","2023-08-06 12:01:10","2023-08-06 12:01:10"),
("719","View","Pre Condition List","","","22","App\\User","[]","2023-08-06 12:01:18","2023-08-06 12:01:18"),
("720","View","View Pre Condition List","","","22","App\\User","[]","2023-08-06 12:01:26","2023-08-06 12:01:26"),
("721","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-06 12:02:21","2023-08-06 12:02:21"),
("722","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-06 12:03:17","2023-08-06 12:03:17"),
("723","View","Pre Condition Approve Balloting List","","","22","App\\User","[]","2023-08-06 12:03:35","2023-08-06 12:03:35"),
("724","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-06 12:04:06","2023-08-06 12:04:06"),
("725","View","View the Property Statement 1Abdul Basit","","","22","App\\User","[]","2023-08-06 12:04:18","2023-08-06 12:04:18"),
("726","View","View the Property Statement 10Abdul Rehman","","","22","App\\User","[]","2023-08-06 12:04:23","2023-08-06 12:04:23"),
("727","View","View the Property Statement 9Hamza Qaiser","","","22","App\\User","[]","2023-08-06 12:04:27","2023-08-06 12:04:27"),
("728","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:04:32","2023-08-06 12:04:32"),
("729","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:04:36","2023-08-06 12:04:36"),
("730","View","View the Property Statement 2John","","","22","App\\User","[]","2023-08-06 12:04:41","2023-08-06 12:04:41"),
("731","View","View the Property Statement 6Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 12:04:47","2023-08-06 12:04:47"),
("732","View","See the inventory Detail 1","","","22","App\\User","[]","2023-08-06 12:05:11","2023-08-06 12:05:11"),
("733","View","Pre Condition Balloting List","","","22","App\\User","[]","2023-08-06 12:06:43","2023-08-06 12:06:43"),
("734","View","Pre Condition List","","","22","App\\User","[]","2023-08-06 12:06:47","2023-08-06 12:06:47"),
("735","Approve","Approve Pending Property Statement8","","","22","App\\User","[]","2023-08-06 12:07:22","2023-08-06 12:07:22"),
("736","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:07:36","2023-08-06 12:07:36"),
("737","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:07:37","2023-08-06 12:07:37"),
("738","View","View Pre Condition List","","","22","App\\User","[]","2023-08-06 12:13:26","2023-08-06 12:13:26"),
("739","View","dashboard","","","22","App\\User","[]","2023-08-06 12:14:59","2023-08-06 12:14:59"),
("740","View","Unit Categories List.","","","22","App\\User","[]","2023-08-06 12:22:08","2023-08-06 12:22:08"),
("741","View","Property list.","","","22","App\\User","[]","2023-08-06 12:24:28","2023-08-06 12:24:28"),
("742","View","View the Property Statement 9Hamza Qaiser","","","22","App\\User","[]","2023-08-06 12:24:49","2023-08-06 12:24:49"),
("743","View","View the Property Statement 30Shawn Marsh","","","22","App\\User","[]","2023-08-06 12:25:03","2023-08-06 12:25:03"),
("744","View","Property list.","","","22","App\\User","[]","2023-08-06 12:25:49","2023-08-06 12:25:49"),
("745","View","View the Property Statement 9Hamza Qaiser","","","22","App\\User","[]","2023-08-06 12:26:04","2023-08-06 12:26:04"),
("746","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:26:10","2023-08-06 12:26:10"),
("747","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:26:15","2023-08-06 12:26:15"),
("748","View","View the Property Statement 6Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 12:26:21","2023-08-06 12:26:21"),
("749","View","View the Property Statement 2John","","","22","App\\User","[]","2023-08-06 12:26:30","2023-08-06 12:26:30"),
("750","View","View the Property Statement 121Ahmad Raza","","","22","App\\User","[]","2023-08-06 12:26:39","2023-08-06 12:26:39"),
("751","View","Customer list.","","","22","App\\User","[]","2023-08-06 12:33:50","2023-08-06 12:33:50"),
("752","View","See the customer Detail Shawn Marsh","","","22","App\\User","[]","2023-08-06 12:34:02","2023-08-06 12:34:02"),
("753","View","View the Property Statement 32Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:37:25","2023-08-06 12:37:25"),
("754","View","View the Property Statement 8Wasif Mehmood","","","22","App\\User","[]","2023-08-06 12:37:50","2023-08-06 12:37:50"),
("755","View","See the inventory Detail 31","","","22","App\\User","[]","2023-08-06 12:38:19","2023-08-06 12:38:19"),
("756","View","Unit Categories List.","","","22","App\\User","[]","2023-08-06 12:38:50","2023-08-06 12:38:50"),
("757","View","See the inventory Detail 31","","","22","App\\User","[]","2023-08-06 12:39:07","2023-08-06 12:39:07"),
("758","Update","Edit Category added Main Boulevard","","","22","App\\User","[]","2023-08-06 12:39:35","2023-08-06 12:39:35"),
("759","View","Unit Categories List.","","","22","App\\User","[]","2023-08-06 12:39:36","2023-08-06 12:39:36"),
("760","View","See the inventory Detail 31","","","22","App\\User","[]","2023-08-06 12:39:39","2023-08-06 12:39:39"),
("761","View","View the Property Statement 31Hamza Qaiser","","","22","App\\User","[]","2023-08-06 12:40:05","2023-08-06 12:40:05"),
("762","View","View the Property Statement 31Hamza Qaiser","","","22","App\\User","[]","2023-08-06 12:43:32","2023-08-06 12:43:32"),
("763","Add","Add Customer Receipt","","","22","App\\User","[]","2023-08-06 12:44:17","2023-08-06 12:44:17"),
("764","View","Balloting List","","","22","App\\User","[]","2023-08-06 12:45:14","2023-08-06 12:45:14"),
("765","Add","Add Balloting File","","","22","App\\User","[]","2023-08-06 12:45:24","2023-08-06 12:45:24"),
("766","View","View the Property Statement 34Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 12:46:43","2023-08-06 12:46:43"),
("767","View","View the Property Statement 120Ahmad Raza","","","22","App\\User","[]","2023-08-06 12:47:11","2023-08-06 12:47:11"),
("768","Create","New Property Added  200072","","","22","App\\User","[]","2023-08-06 12:48:29","2023-08-06 12:48:29"),
("769","View","View the Property Statement 200072Abdul Basit","","","22","App\\User","[]","2023-08-06 12:48:29","2023-08-06 12:48:29"),
("770","Create","New Property Added  218342","","","22","App\\User","[]","2023-08-06 12:48:47","2023-08-06 12:48:47"),
("771","View","View the Property Statement 218342Abdul Basit","","","22","App\\User","[]","2023-08-06 12:48:48","2023-08-06 12:48:48"),
("772","Create","New Property Added  853276","","","22","App\\User","[]","2023-08-06 12:49:04","2023-08-06 12:49:04"),
("773","View","View the Property Statement 853276Abdul Basit","","","22","App\\User","[]","2023-08-06 12:49:05","2023-08-06 12:49:05"),
("774","Create","New inventory added 3528","","","22","App\\User","[]","2023-08-06 12:52:06","2023-08-06 12:52:06"),
("775","View","See the inventory Detail 3528","","","22","App\\User","[]","2023-08-06 12:52:07","2023-08-06 12:52:07"),
("776","Create","New inventory added 3529","","","22","App\\User","[]","2023-08-06 12:52:13","2023-08-06 12:52:13"),
("777","View","See the inventory Detail 3529","","","22","App\\User","[]","2023-08-06 12:52:14","2023-08-06 12:52:14"),
("778","Create","New inventory added 6017","","","22","App\\User","[]","2023-08-06 12:52:57","2023-08-06 12:52:57"),
("779","View","See the inventory Detail 6017","","","22","App\\User","[]","2023-08-06 12:52:58","2023-08-06 12:52:58"),
("780","Create","New inventory added 6018","","","22","App\\User","[]","2023-08-06 12:53:03","2023-08-06 12:53:03"),
("781","View","See the inventory Detail 6018","","","22","App\\User","[]","2023-08-06 12:53:04","2023-08-06 12:53:04"),
("782","View","Inventory list.","","","22","App\\User","[]","2023-08-06 12:53:29","2023-08-06 12:53:29"),
("783","Create","New Property Added  3528","","","22","App\\User","[]","2023-08-06 12:54:35","2023-08-06 12:54:35"),
("784","View","View the Property Statement 3528Abdul Basit","","","22","App\\User","[]","2023-08-06 12:54:36","2023-08-06 12:54:36"),
("785","Create","New Property Added  3529","","","22","App\\User","[]","2023-08-06 12:54:50","2023-08-06 12:54:50"),
("786","View","View the Property Statement 3529Abdul Rehman","","","22","App\\User","[]","2023-08-06 12:54:51","2023-08-06 12:54:51"),
("787","Create","New Property Added  6017","","","22","App\\User","[]","2023-08-06 12:55:11","2023-08-06 12:55:11"),
("788","View","View the Property Statement 6017Ahmad Raza","","","22","App\\User","[]","2023-08-06 12:55:12","2023-08-06 12:55:12"),
("789","Create","New Property Added  6018","","","22","App\\User","[]","2023-08-06 12:55:39","2023-08-06 12:55:39"),
("790","View","View the Property Statement 6018John","","","22","App\\User","[]","2023-08-06 12:55:40","2023-08-06 12:55:40"),
("791","Approve","Approve Pending Property Statement6018","","","22","App\\User","[]","2023-08-06 12:56:15","2023-08-06 12:56:15"),
("792","Approve","Approve Pending Property Statement6017","","","22","App\\User","[]","2023-08-06 12:56:20","2023-08-06 12:56:20"),
("793","Approve","Approve Pending Property Statement3529","","","22","App\\User","[]","2023-08-06 12:56:24","2023-08-06 12:56:24"),
("794","Approve","Approve Pending Property Statement3528","","","22","App\\User","[]","2023-08-06 12:56:27","2023-08-06 12:56:27"),
("795","Approve","Approve Pending Property Statement853276","","","22","App\\User","[]","2023-08-06 12:56:31","2023-08-06 12:56:31"),
("796","Approve","Approve Pending Property Statement218342","","","22","App\\User","[]","2023-08-06 12:56:34","2023-08-06 12:56:34"),
("797","Approve","Approve Pending Property Statement200072","","","22","App\\User","[]","2023-08-06 12:56:37","2023-08-06 12:56:37"),
("798","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:02","2023-08-06 12:57:02"),
("799","View","View the Property Statement 6018John","","","22","App\\User","[]","2023-08-06 12:57:03","2023-08-06 12:57:03"),
("800","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:11","2023-08-06 12:57:11"),
("801","View","View the Property Statement 6017Ahmad Raza","","","22","App\\User","[]","2023-08-06 12:57:12","2023-08-06 12:57:12"),
("802","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:19","2023-08-06 12:57:19"),
("803","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:20","2023-08-06 12:57:20"),
("804","View","View the Property Statement 3529Abdul Rehman","","","22","App\\User","[]","2023-08-06 12:57:21","2023-08-06 12:57:21"),
("805","View","View the Property Statement 3528Abdul Basit","","","22","App\\User","[]","2023-08-06 12:57:30","2023-08-06 12:57:30"),
("806","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:37","2023-08-06 12:57:37"),
("807","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:38","2023-08-06 12:57:38"),
("808","Update","Assign client id.","","","22","App\\User","[]","2023-08-06 12:57:39","2023-08-06 12:57:39"),
("809","View","View the Property Statement 853276Abdul Basit","","","22","App\\User","[]","2023-08-06 12:57:40","2023-08-06 12:57:40"),
("810","View","View the Property Statement 218342Abdul Basit","","","22","App\\User","[]","2023-08-06 12:57:48","2023-08-06 12:57:48"),
("811","Add","Add Customer Receipt","","","22","App\\User","[]","2023-08-06 12:57:53","2023-08-06 12:57:53"),
("812","View","View the Property Statement 200072Abdul Basit","","","22","App\\User","[]","2023-08-06 12:57:57","2023-08-06 12:57:57"),
("813","Create","New Receipt Added 50010","","","22","App\\User","[]","2023-08-06 12:58:32","2023-08-06 12:58:32"),
("814","Add","Add Customer Receipt","","","22","App\\User","[]","2023-08-06 12:58:33","2023-08-06 12:58:33"),
("815","View","Pending Receipt List","","","22","App\\User","[]","2023-08-06 12:58:46","2023-08-06 12:58:46"),
("816","Approved","Receipt Approved 50010","","","22","App\\User","[]","2023-08-06 12:58:58","2023-08-06 12:58:58"),
("817","View","View the Property Statement 6018John","","","22","App\\User","[]","2023-08-06 12:58:59","2023-08-06 12:58:59"),
("818","View","See the inventory Detail 3528","","","22","App\\User","[]","2023-08-06 12:59:50","2023-08-06 12:59:50"),
("819","View","See the inventory Detail 3529","","","22","App\\User","[]","2023-08-06 12:59:55","2023-08-06 12:59:55"),
("820","View","See the inventory Detail 6017","","","22","App\\User","[]","2023-08-06 13:00:00","2023-08-06 13:00:00"),
("821","View","See the inventory Detail 6018","","","22","App\\User","[]","2023-08-06 13:00:05","2023-08-06 13:00:05"),
("822","View","Balloting List","","","22","App\\User","[]","2023-08-06 13:02:14","2023-08-06 13:02:14"),
("823","Publish","Import Pre Condition Balloting File Map","","","22","App\\User","[]","2023-08-06 13:02:30","2023-08-06 13:02:30"),
("824","View","Balloting List","","","22","App\\User","[]","2023-08-06 13:02:46","2023-08-06 13:02:46"),
("825","View","View Balloting File","","","22","App\\User","[]","2023-08-06 13:03:03","2023-08-06 13:03:03"),
("826","View","View Pre Condition List","","","22","App\\User","[]","2023-08-06 13:03:28","2023-08-06 13:03:28"),
("827","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-06 13:07:13","2023-08-06 13:07:13"),
("828","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-06 13:07:52","2023-08-06 13:07:52"),
("829","View","Pre Condition Approve Balloting List","","","22","App\\User","[]","2023-08-06 13:08:43","2023-08-06 13:08:43"),
("830","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-06 13:09:13","2023-08-06 13:09:13"),
("831","View","See the inventory Detail 41","","","22","App\\User","[]","2023-08-06 13:09:27","2023-08-06 13:09:27"),
("832","View","View the Property Statement 853276Abdul Basit","","","22","App\\User","[]","2023-08-06 13:09:41","2023-08-06 13:09:41"),
("833","View","Property list.","","","22","App\\User","[]","2023-08-06 13:09:55","2023-08-06 13:09:55"),
("834","View","View the Property Statement 41Musaddiq Ghufran","","","22","App\\User","[]","2023-08-06 13:10:31","2023-08-06 13:10:31"),
("835","View","Pre Condition Balloting List","","","22","App\\User","[]","2023-08-06 13:16:24","2023-08-06 13:16:24"),
("836","View","Pre Condition List","","","22","App\\User","[]","2023-08-06 13:16:36","2023-08-06 13:16:36"),
("837","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-06 13:17:19","2023-08-06 13:17:19"),
("838","View","dashboard","","","22","App\\User","[]","2023-08-06 14:05:01","2023-08-06 14:05:01"),
("839","View","Customer list.","","","22","App\\User","[]","2023-08-06 14:06:05","2023-08-06 14:06:05"),
("840","View","View Switch Project List","","","22","App\\User","[]","2023-08-07 12:37:57","2023-08-07 12:37:57"),
("841","View","dashboard","","","22","App\\User","[]","2023-08-07 12:39:10","2023-08-07 12:39:10"),
("842","View","Chart of Accounts List","","","22","App\\User","[]","2023-08-07 12:44:57","2023-08-07 12:44:57"),
("843","View","Chart of Accounts List","","","22","App\\User","[]","2023-08-07 12:47:18","2023-08-07 12:47:18"),
("844","View","Chart of Accounts List","","","22","App\\User","[]","2023-08-07 12:54:07","2023-08-07 12:54:07"),
("845","View","Chart of Account","","","22","App\\User","[]","2023-08-07 13:09:08","2023-08-07 13:09:08"),
("846","View","View Pre Condition List","","","22","App\\User","[]","2023-08-07 13:09:27","2023-08-07 13:09:27"),
("847","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:12:45","2023-08-07 13:12:45"),
("848","Create","New Property Added  523942","","","22","App\\User","[]","2023-08-07 13:20:19","2023-08-07 13:20:19"),
("849","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-07 13:20:20","2023-08-07 13:20:20"),
("850","Approve","Approve Pending Property Statement523942","","","22","App\\User","[]","2023-08-07 13:20:50","2023-08-07 13:20:50"),
("851","Update","Assign client id.","","","22","App\\User","[]","2023-08-07 13:21:01","2023-08-07 13:21:01"),
("852","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-07 13:21:02","2023-08-07 13:21:02"),
("853","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:21:22","2023-08-07 13:21:22"),
("854","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:25:37","2023-08-07 13:25:37"),
("855","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:26:17","2023-08-07 13:26:17"),
("856","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:28:36","2023-08-07 13:28:36"),
("857","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:32:43","2023-08-07 13:32:43"),
("858","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:34:09","2023-08-07 13:34:09"),
("859","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:35:14","2023-08-07 13:35:14"),
("860","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-07 13:37:18","2023-08-07 13:37:18"),
("861","View","Pre Condition Balloting List","","","22","App\\User","[]","2023-08-07 13:38:05","2023-08-07 13:38:05"),
("862","View","Pre Condition List","","","22","App\\User","[]","2023-08-07 13:38:11","2023-08-07 13:38:11"),
("863","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-07 13:38:24","2023-08-07 13:38:24"),
("864","View","View Pre Condition Balloting","","","22","App\\User","[]","2023-08-07 13:39:41","2023-08-07 13:39:41"),
("865","View","Pre Condition List","","","22","App\\User","[]","2023-08-07 13:41:07","2023-08-07 13:41:07"),
("866","View","Pre Condition Start Balloting List","","","22","App\\User","[]","2023-08-07 13:41:46","2023-08-07 13:41:46"),
("867","View","Pre Condition Approve Balloting List","","","22","App\\User","[]","2023-08-07 13:45:13","2023-08-07 13:45:13"),
("868","View","Pre Condition Start Balloting List after Import","","","22","App\\User","[]","2023-08-07 13:50:50","2023-08-07 13:50:50"),
("869","View","Property list.","","","22","App\\User","[]","2023-08-07 13:51:06","2023-08-07 13:51:06"),
("870","View","View the Property Statement 47Abdul Basit","","","22","App\\User","[]","2023-08-07 13:51:28","2023-08-07 13:51:28"),
("871","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-07 13:52:38","2023-08-07 13:52:38"),
("872","View","Property list.","","","22","App\\User","[]","2023-08-07 13:54:01","2023-08-07 13:54:01"),
("873","View","View the Property Statement 47Abdul Basit","","","22","App\\User","[]","2023-08-07 13:54:21","2023-08-07 13:54:21"),
("874","View","dashboard","","","22","App\\User","[]","2023-08-07 14:37:34","2023-08-07 14:37:34"),
("875","View","dashboard","","","22","App\\User","[]","2023-08-07 15:34:02","2023-08-07 15:34:02"),
("876","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-08-07 15:51:40","2023-08-07 15:51:40"),
("877","View","Customer list.","","","22","App\\User","[]","2023-08-07 15:54:17","2023-08-07 15:54:17"),
("878","Add","New Customer","","","22","App\\User","[]","2023-08-07 15:54:47","2023-08-07 15:54:47"),
("879","Add","Add New Dealer","","","22","App\\User","[]","2023-08-07 16:30:06","2023-08-07 16:30:06"),
("880","View","Roles List.","","","22","App\\User","[]","2023-08-07 17:48:00","2023-08-07 17:48:00"),
("881","Create","New role added Testing","","","22","App\\User","[]","2023-08-07 17:48:45","2023-08-07 17:48:45"),
("882","View","Roles List.","","","22","App\\User","[]","2023-08-07 17:48:46","2023-08-07 17:48:46"),
("883","View","Roles List.","","","22","App\\User","[]","2023-08-07 17:49:43","2023-08-07 17:49:43"),
("884","View","dashboard","","","43","App\\User","[]","2023-08-07 17:58:52","2023-08-07 17:58:52"),
("885","View","Customer list.","","","22","App\\User","[]","2023-08-07 18:07:35","2023-08-07 18:07:35"),
("886","View","Customer list.","","","22","App\\User","[]","2023-08-07 19:12:44","2023-08-07 19:12:44"),
("887","View","Property list.","","","22","App\\User","[]","2023-08-07 19:14:21","2023-08-07 19:14:21"),
("888","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-07 19:14:45","2023-08-07 19:14:45"),
("889","View","View Sale Agreement","","","22","App\\User","[]","2023-08-07 19:18:10","2023-08-07 19:18:10"),
("890","Add","Add New Dealer","","","22","App\\User","[]","2023-08-07 19:18:13","2023-08-07 19:18:13"),
("891","View","View Sale Agreement","","","22","App\\User","[]","2023-08-07 19:20:48","2023-08-07 19:20:48"),
("892","View","View Sale Agreement","","","22","App\\User","[]","2023-08-07 19:21:13","2023-08-07 19:21:13"),
("893","View","View Provisional Letter","","","22","App\\User","[]","2023-08-07 19:21:19","2023-08-07 19:21:19"),
("894","View","View Booking Form","","","22","App\\User","[]","2023-08-07 19:22:13","2023-08-07 19:22:13"),
("895","View","View Booking Form","","","22","App\\User","[]","2023-08-07 19:25:30","2023-08-07 19:25:30"),
("896","View","View Multiproject List","","","22","App\\User","[]","2023-08-08 11:09:42","2023-08-08 11:09:42"),
("897","View","View Multiproject List","","","22","App\\User","[]","2023-08-08 11:10:17","2023-08-08 11:10:17"),
("898","View","View Booking Form","","","22","App\\User","[]","2023-08-08 11:10:29","2023-08-08 11:10:29"),
("899","View","View Booking Form","","","22","App\\User","[]","2023-08-08 11:12:37","2023-08-08 11:12:37"),
("900","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-08 11:13:57","2023-08-08 11:13:57"),
("901","View","View Multiproject List","","","22","App\\User","[]","2023-08-08 11:15:31","2023-08-08 11:15:31"),
("902","View","View Multiproject List","","","22","App\\User","[]","2023-08-08 11:15:51","2023-08-08 11:15:51"),
("903","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-08 11:16:07","2023-08-08 11:16:07"),
("904","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-08 11:16:12","2023-08-08 11:16:12"),
("905","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 11:18:10","2023-08-08 11:18:10"),
("906","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 11:20:49","2023-08-08 11:20:49"),
("907","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 12:45:04","2023-08-08 12:45:04"),
("908","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 12:54:17","2023-08-08 12:54:17"),
("909","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 13:22:45","2023-08-08 13:22:45"),
("910","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 13:26:35","2023-08-08 13:26:35"),
("911","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 13:30:11","2023-08-08 13:30:11"),
("912","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-08-08 13:35:59","2023-08-08 13:35:59"),
("913","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 13:37:15","2023-08-08 13:37:15"),
("914","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-08-08 14:09:27","2023-08-08 14:09:27"),
("915","View","View Receipt record 50011","","","22","App\\User","[]","2023-08-08 14:09:39","2023-08-08 14:09:39"),
("916","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 14:14:15","2023-08-08 14:14:15"),
("917","View","View Receipt record 50011","","","22","App\\User","[]","2023-08-08 14:20:46","2023-08-08 14:20:46"),
("918","View","View Receipt record 50011","","","22","App\\User","[]","2023-08-08 14:25:23","2023-08-08 14:25:23"),
("919","View","View Receipt record 50011","","","22","App\\User","[]","2023-08-08 14:25:28","2023-08-08 14:25:28"),
("920","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-08 14:26:12","2023-08-08 14:26:12"),
("921","View","View the Property Statement 523942Abdul Rehman","","","22","App\\User","[]","2023-08-08 14:38:27","2023-08-08 14:38:27"),
("922","View","View the Property Statement 46Ahmad Raza","","","22","App\\User","[]","2023-08-08 14:39:09","2023-08-08 14:39:09"),
("923","View","View Sale Agreement","","","22","App\\User","[]","2023-08-08 14:40:02","2023-08-08 14:40:02"),
("924","View","dashboard","","","22","App\\User","[]","2023-08-08 19:02:38","2023-08-08 19:02:38"),
("925","View","View Switch Project List","","","22","App\\User","[]","2023-08-10 16:55:05","2023-08-10 16:55:05"),
("926","View","dashboard","","","22","App\\User","[]","2023-08-10 16:55:19","2023-08-10 16:55:19"),
("927","View","View Multiproject List","","","22","App\\User","[]","2023-08-10 16:57:42","2023-08-10 16:57:42"),
("928","View","View Multiproject List","","","22","App\\User","[]","2023-08-10 16:59:20","2023-08-10 16:59:20"),
("929","Create","New inventory added 123","","","22","App\\User","[]","2023-08-10 17:00:31","2023-08-10 17:00:31"),
("930","View","See the inventory Detail 123","","","22","App\\User","[]","2023-08-10 17:00:32","2023-08-10 17:00:32"),
("931","View","dashboard","","","22","App\\User","[]","2023-08-10 18:14:49","2023-08-10 18:14:49"),
("932","View","dashboard","","","22","App\\User","[]","2023-08-17 12:02:08","2023-08-17 12:02:08"),
("933","View","Chart of Accounts List","","","22","App\\User","[]","2023-08-17 12:03:25","2023-08-17 12:03:25"),
("934","Add","Chart of Accounts","","","22","App\\User","[]","2023-08-17 12:03:43","2023-08-17 12:03:43"),
("935","View","View Switch Project List","","","22","App\\User","[]","2023-08-18 15:20:04","2023-08-18 15:20:04"),
("936","View","dashboard","","","22","App\\User","[]","2023-08-18 15:21:45","2023-08-18 15:21:45"),
("937","View","dashboard","","","22","App\\User","[]","2023-08-18 15:44:36","2023-08-18 15:44:36"),
("938","View","dashboard","","","22","App\\User","[]","2023-08-18 15:59:26","2023-08-18 15:59:26"),
("939","View","dashboard","","","22","App\\User","[]","2023-08-18 16:00:05","2023-08-18 16:00:05"),
("940","View","Property list.","","","22","App\\User","[]","2023-08-18 16:00:21","2023-08-18 16:00:21"),
("941","View","dashboard","","","22","App\\User","[]","2023-08-18 16:01:41","2023-08-18 16:01:41"),
("942","View","DownPayment Receipt list.","","","22","App\\User","[]","2023-08-18 16:13:08","2023-08-18 16:13:08"),
("943","View","View Receipt record 50011","","","22","App\\User","[]","2023-08-18 16:13:22","2023-08-18 16:13:22"),
("944","View","View Switch Project List","","","22","App\\User","[]","2023-08-21 11:39:43","2023-08-21 11:39:43"),
("945","View","dashboard","","","22","App\\User","[]","2023-08-21 11:40:30","2023-08-21 11:40:30"),
("946","View","dashboard","","","22","App\\User","[]","2023-08-21 11:49:06","2023-08-21 11:49:06"),
("947","View","View the Property Statement 3Abdul Basit","","","22","App\\User","[]","2023-08-21 11:49:28","2023-08-21 11:49:28"),
("948","View","dashboard","","","22","App\\User","[]","2023-08-21 11:50:07","2023-08-21 11:50:07");



DROP TABLE IF EXISTS approvel_roles;

CREATE TABLE `approvel_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `role_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS approvel_status_comparative_statement;

CREATE TABLE `approvel_status_comparative_statement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL DEFAULT 0,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `purchase_order_id` int(11) NOT NULL DEFAULT 0,
  `approvel_status` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS approvel_status_purchase_request;

CREATE TABLE `approvel_status_purchase_request` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL DEFAULT 0,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `approvel_status` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `approvel_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS asset_location;

CREATE TABLE `asset_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS asset_maintainances;

CREATE TABLE `asset_maintainances` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) NOT NULL,
  `type` varchar(100) DEFAULT NULL,
  `cost` double DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS asset_releases;

CREATE TABLE `asset_releases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `assign_date` date DEFAULT NULL,
  `till_date` date DEFAULT NULL,
  `asset_id` int(11) NOT NULL,
  `assign_status` int(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS ballon_map_detail_categories;

CREATE TABLE `ballon_map_detail_categories` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ballon_map_detail_id` bigint(20) NOT NULL,
  `category_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO ballon_map_detail_categories VALUES("1","1","4","2023-08-06 12:00:59","2023-08-06 12:00:59"),
("2","2","4","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("3","3","5","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("4","4","2","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("5","5","1","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("6","6","6","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("7","7","1","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("8","7","5","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("9","8","3","2023-08-06 13:02:41","2023-08-06 13:02:41");



DROP TABLE IF EXISTS balloting_map_details;

CREATE TABLE `balloting_map_details` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `balloting_map_file_id` bigint(20) NOT NULL,
  `sr_no` bigint(20) DEFAULT NULL,
  `plot_no` bigint(20) NOT NULL,
  `area` double DEFAULT NULL,
  `feature` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `exact_odd` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sector` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `road_category` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_property_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  `unit_type_id` bigint(20) DEFAULT NULL,
  `unit_block_id` bigint(20) DEFAULT NULL,
  `unit_floor_id` bigint(20) DEFAULT NULL,
  `unit_category_ids` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `inventory_id` bigint(20) DEFAULT NULL,
  `street` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `balloting_status` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO balloting_map_details VALUES("1","1","1","1","8","Main Boulevard","Odd","A","30","","2023-08-06 12:00:59","2023-08-06 12:04:06","2","2","5","14","","41","2","Residential","2"),
("2","2","1","41","5","Main Boulevard","Odd","A","30","","2023-08-06 13:02:41","2023-08-06 13:09:12","1","2","5","19","","10","10","Residential","2"),
("3","2","2","42","5","Main Road","Exact","B","35","","2023-08-06 13:02:41","2023-08-06 13:07:48","1","2","6","20","","31","11","Residential","1"),
("4","2","3","43","8","Park Facing","Exact","C","40","","2023-08-06 13:02:41","2023-08-06 13:07:48","2","1","7","21","","48","12","Commercial","1"),
("5","2","4","44","8","Corner","Exact","D","45","","2023-08-06 13:02:41","2023-08-06 13:07:48","2","1","8","22","","49","13","Commercial","1"),
("6","2","5","45","40","Two or more sides open","Exact","E","45","","2023-08-06 13:02:41","2023-08-06 13:02:41","5","2","9","23","","","14","Residential","0"),
("7","2","6","46","20","Corner+Main road","Exact","F","50","","2023-08-06 13:02:41","2023-08-06 13:07:48","4","2","10","24","","50","15","Residential","1"),
("8","2","7","47","5","Parking Lot","Exact","G","60","","2023-08-06 13:02:41","2023-08-07 13:50:49","1","2","11","25","","34","16","Residential","2");



DROP TABLE IF EXISTS balloting_map_files;

CREATE TABLE `balloting_map_files` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `path` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `publish` tinyint(4) NOT NULL DEFAULT 0,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO balloting_map_files VALUES("1","Testing 1.0","excel/1691305244_example.xlsx","1","","1691305244_example.xlsx","2023-08-06 12:00:44","2023-08-06 12:02:59","1","25"),
("2","Testing 3.0","excel/1691308933_example (1).xlsx","1","","1691308933_example (1).xlsx","2023-08-06 13:02:13","2023-08-06 13:07:48","1","25");



DROP TABLE IF EXISTS balloting_pre_condition_file_details;

CREATE TABLE `balloting_pre_condition_file_details` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `balloting_pre_cond_file_id` bigint(20) DEFAULT NULL,
  `inventory_id` bigint(20) DEFAULT NULL,
  `customer_property_id` bigint(20) DEFAULT NULL,
  `balloting_map_file_id` bigint(20) DEFAULT NULL,
  `balloting_map_detail_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO balloting_pre_condition_file_details VALUES("1","1","10","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","1"),
("2","1","31","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","1"),
("3","1","41","","","1","2023-08-06 12:02:19","2023-08-06 12:02:59","2"),
("4","1","42","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","2"),
("5","1","43","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","2"),
("6","1","45","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","2"),
("7","1","46","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","2"),
("8","1","47","","","","2023-08-06 12:02:19","2023-08-06 12:02:19","2"),
("9","2","10","","","2","2023-08-06 13:07:12","2023-08-06 13:07:48","1"),
("10","2","31","","","3","2023-08-06 13:07:12","2023-08-06 13:07:48","1"),
("11","2","47","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","2"),
("12","2","42","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","2"),
("13","2","45","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","2"),
("14","2","45","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","2"),
("15","2","34","","","8","2023-08-06 13:07:12","2023-08-06 13:07:48","1"),
("16","2","32","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","1"),
("17","2","40","","","","2023-08-06 13:07:12","2023-08-06 13:07:12","1"),
("18","2","48","","","4","2023-08-06 13:07:12","2023-08-06 13:07:48","2"),
("19","2","49","","","5","2023-08-06 13:07:12","2023-08-06 13:07:48","2"),
("20","2","50","","","7","2023-08-06 13:07:12","2023-08-06 13:07:48","4"),
("21","3","45","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","2"),
("22","3","45","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","2"),
("23","3","32","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","1"),
("24","3","51","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","5"),
("25","3","47","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","2"),
("26","3","42","","","","2023-08-07 13:12:44","2023-08-07 13:12:44","2"),
("27","3","35","","","","2023-08-07 13:37:16","2023-08-07 13:37:16","1");



DROP TABLE IF EXISTS balloting_pre_condition_files;

CREATE TABLE `balloting_pre_condition_files` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO balloting_pre_condition_files VALUES("1","PCL-1","2023-08-06 12:02:19","2023-08-06 12:02:19"),
("2","PCL-2","2023-08-06 13:07:12","2023-08-06 13:07:12"),
("3","PCL-3","2023-08-07 13:12:44","2023-08-07 13:12:44");



DROP TABLE IF EXISTS bill_of_quantities;

CREATE TABLE `bill_of_quantities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `task_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `quantity` bigint(20) NOT NULL,
  `rate_per_unit` double(8,2) NOT NULL,
  `total_cost` double(8,2) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS block_unit_logs;

CREATE TABLE `block_unit_logs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `unit_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `block_date` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `un_block_date` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `blockcriteria_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `criteria_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS buy_back;

CREATE TABLE `buy_back` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ref_no` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `party_code` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `inventory_id` int(11) DEFAULT NULL,
  `total_amount_invested` double NOT NULL DEFAULT 0,
  `total_amount_received` double NOT NULL DEFAULT 0,
  `if_merging_then_value_of_merging` double NOT NULL DEFAULT 0,
  `buy_back_option` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `roi_terms` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `sales_agents` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_mode` int(11) NOT NULL,
  `merging_sold` enum('yes','no') COLLATE utf8_unicode_ci NOT NULL,
  `bank_name` int(11) DEFAULT NULL,
  `company_account` int(11) DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `cheque_number` varchar(150) COLLATE utf8_unicode_ci DEFAULT NULL,
  `is_approve` tinyint(1) NOT NULL DEFAULT 0,
  `buy_back_value_requested_by_client` double NOT NULL DEFAULT 0,
  `merging_receipts` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `rental_discount_paid_to_customer_for_unit` double NOT NULL DEFAULT 0,
  `loss_or_profit_on_merging` double NOT NULL DEFAULT 0,
  `total_rebate_payable` double NOT NULL DEFAULT 0,
  `rebate_paid` double NOT NULL DEFAULT 0,
  `merging_selling_expenses` double NOT NULL DEFAULT 0,
  `rebate_on_buy_back` double NOT NULL DEFAULT 0,
  `value_of_appreciation_in_pkr` double NOT NULL DEFAULT 0,
  `roi_as_per_customer` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `roi_as_per_company` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `total_amount` double NOT NULL DEFAULT 0,
  `payee_name` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `payee_cnic` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payee_address` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `term_and_conditions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;




DROP TABLE IF EXISTS cancel_open_files;

CREATE TABLE `cancel_open_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `openfile_dealer_info_id` bigint(20) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0 pending , 1 approved',
  `after_cancellation_status` enum('refund-pending','adjust-pending','swap-pending','pending','refunded','adjusted','decline','swaped') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `fee` double DEFAULT NULL,
  `voucher_generated` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0=> not generated, 1=> generated ',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS cancel_properties;

CREATE TABLE `cancel_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_property_id` bigint(20) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0 pending , 1 approved',
  `fee` double DEFAULT NULL,
  `after_cancellation_status` enum('refund-pending','adjust-pending','pending','refunded','adjusted','decline') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `voucher_generated` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0=> not generated, 1=> generated ',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS cancel_receipt_documents;

CREATE TABLE `cancel_receipt_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `cancel_receipt_id` bigint(20) NOT NULL,
  `document_path` varchar(255) CHARACTER SET latin1 NOT NULL,
  `close_unit` tinyint(4) NOT NULL DEFAULT 0,
  `openfile` tinyint(4) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS categories;

CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `categories_category_name_unique` (`category_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS chart_of_accounts;

CREATE TABLE `chart_of_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `number` text NOT NULL,
  `account_type_id` int(11) NOT NULL,
  `description` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `opening_balance` double DEFAULT NULL,
  `sub_account_id` int(11) DEFAULT NULL,
  `closing_balance` double(8,2) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=473 DEFAULT CHARSET=utf8mb4;

INSERT INTO chart_of_accounts VALUES("470","LONG TERM LIABILITIES","11","13","","2023-07-31 16:06:19","2023-07-31 16:06:19","0","",""),
("471","LONG TERMS LOAN","11-4001-1","13","","2023-07-31 16:06:19","2023-07-31 16:39:33","","","8250.00"),
("472","MORTGAGES","11-4001-2","13","","2023-07-31 16:06:19","2023-07-31 16:39:33","","","-8250.00");



DROP TABLE IF EXISTS cities;

CREATE TABLE `cities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country_id` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cities_country_id_foreign` (`country_id`)
) ENGINE=InnoDB AUTO_INCREMENT=191 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO cities VALUES("2","other","166","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("64","Karachi","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("65","Lahore","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("66","Faisalabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("67","Serai","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("68","Rawalpindi","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("69","Multan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("70","Gujranwala","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("71","Hyderabad City","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("72","Peshawar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("73","Abbottabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("74","Islamabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("75","Quetta","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("76","Bannu","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("77","Bahawalpur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("78","Sargodha","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("79","Sialkot City","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("80","Sukkur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("81","Larkana","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("82","Sheikhupura","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("83","Marpur Khas","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("84","Rahaimyar Khan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("85","Kohat","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("86","Jhang Sadr","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("87","Gujrat","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("88","Bardar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("89","Kasor","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("90","Dera Ghazi Khan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("91","Masawala","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("92","Nawabshah","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("93","Okara","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("94","Gilgit","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("95","Chiniot","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("96","Sadiqabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("97","Turbat","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("98","Dera Ismaail Khan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("99","Chaman","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("100","Zhob","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("101","Mehra","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("102","Parachinar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("103","Gwadar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("104","Kundian","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("105","Shahdad Kot","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("106","Haraipur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("107","Matiari","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("108","Dera Allahyar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("109","Lodhran","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("110","Batgram","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("111","Thatta","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("112","Bagh","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("113","Badain","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("114","Mansehra","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("116","Muzaffargarh","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("117","Tando Allahyar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("118","Dera Murad Jamali","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("119","Karak","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("120","Mardan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("121","Uthal","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("122","Nankana Sahib","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("123","Barkhan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("124","Hafizabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("125","Kotli","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("126","Loralai","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("127","Dera Bugti","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("128","Jhang City","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("129","Sahaiwal","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("130","Sanghar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("131","Pakpattan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("132","Chakwal","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("133","Khushab","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("134","Ghotki","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("135","Kohlu","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("136","Khuzdar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("137","Awaran","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("138","Nowshera","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("139","Charsadda","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("140","Qila Abdullah","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("141","Bahawalnagar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("142","Dadu","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("143","Alaiabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("144","Lakki Marwat","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("145","Chilas","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("146","Pishin","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("147","Tank","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("148","Chitral","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("149","Qila Saifullah","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("150","Shikarpur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("151","Panjgaer","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("153","Kalat","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("154","Gandava","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("155","Khanewal","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("156","Narowal","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("157","Khairpur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("158","Malakand","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("159","Vihari","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("160","Saidu Sharif","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("161","Jhelum","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("162","Mandi Bahauddin","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("163","Bhakkar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("164","Toba Tek Singh","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("165","Jamshoro","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("166","Kharan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("167","Umarkot","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("168","Hangu","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("169","Timargara","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("170","Gakuch","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("171","Jacobabad","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("173","Mianwali","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("175","Naushahro Faroz","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("176","New Marpur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("177","Daggar","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("178","Eidgah","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("179","Sibi","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("180","Dalbandan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("181","Rajanpur","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("182","Leiah","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("183","Upper Dir","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("184","Tando Muhammad Khan","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("185","Attock City","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("186","Rawala Kot","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("187","Swabi","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("188","Kandhkot","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("189","Dasu","165","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("190","Athmuqam","165","0000-00-00 00:00:00","0000-00-00 00:00:00");



DROP TABLE IF EXISTS company_bank_transactions;

CREATE TABLE `company_bank_transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `receipt_id` int(10) unsigned NOT NULL,
  `company_account` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `company_bank_transactions_receipt_id_foreign` (`receipt_id`),
  KEY `company_bank_transactions_company_account_foreign` (`company_account`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS company_banks;

CREATE TABLE `company_banks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `account_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `opening_balance` double NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) DEFAULT 1,
  `amount` double DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS comparative_statement_documents;

CREATE TABLE `comparative_statement_documents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_id` int(11) DEFAULT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `document_name` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS comparative_statements;

CREATE TABLE `comparative_statements` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `vendor_id` int(11) NOT NULL DEFAULT 0,
  `price` double(8,2) NOT NULL DEFAULT 0.00,
  `message` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS control_accounts;

CREATE TABLE `control_accounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `rep_name` varchar(100) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `vendor_type` int(11) DEFAULT NULL,
  `file` text DEFAULT NULL,
  `cnic` text DEFAULT NULL,
  `national_tax_number` text DEFAULT NULL,
  `address` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS countries;

CREATE TABLE `countries` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=167 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO countries VALUES("165","Pakistan","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("166","Other","0000-00-00 00:00:00","0000-00-00 00:00:00");



DROP TABLE IF EXISTS customer_adjustments;

CREATE TABLE `customer_adjustments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `receipt_id` int(10) unsigned NOT NULL,
  `type` int(11) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `merge_amount` double DEFAULT NULL,
  `sold_amount` double DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_adjustments_receipt_id_foreign` (`receipt_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_amounts;

CREATE TABLE `customer_amounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('buy_back','roll_over') NOT NULL,
  `total_amount` double NOT NULL,
  `customer_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS customer_cancel_unit_receipts;

CREATE TABLE `customer_cancel_unit_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `company_account` int(11) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_approved` tinyint(4) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(4) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(4) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(4) DEFAULT NULL,
  `tax_payment_received` tinyint(4) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_category_preferrences;

CREATE TABLE `customer_category_preferrences` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `customer_property_id` bigint(20) NOT NULL,
  `unit_category_id` bigint(20) NOT NULL,
  `amount` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_category_preferrences VALUES("1","36","1","0","2023-08-07 13:20:19","2023-08-07 13:20:19"),
("2","36","3","0","2023-08-07 13:20:19","2023-08-07 13:20:19");



DROP TABLE IF EXISTS customer_documents;

CREATE TABLE `customer_documents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned NOT NULL,
  `url` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_documents_customer_id_foreign` (`customer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_documents VALUES("1","6","6-png-transparent-calligraphy-eid-al-fitr-eid-mubarak-eid-al-adha-eid-mubarak-caligraphy-text-logo-monochrome-thumbnail.png","2023-07-14 16:08:06","2023-07-14 16:08:06","");



DROP TABLE IF EXISTS customer_nominees;

CREATE TABLE `customer_nominees` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned NOT NULL,
  `nominee_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_so_do_wo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_cnic` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_contact_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_passport_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_res_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_mobile_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `nominee_cnic_flag` tinyint(4) DEFAULT 1,
  `nominee_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `so_do_wo_flag` tinyint(4) DEFAULT NULL COMMENT '1->so 2->do 3->wo',
  `is_deleted` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_nominees_customer_id_foreign` (`customer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_nominees VALUES("1","2","Ahmad Ali","Iftikhar Ali","9876543455789","","Brother","","","","","","2023-07-11 15:45:22","2023-07-11 16:48:06","1","Faisalabad","1",""),
("2","6","Rana Sabir","Rana","6432345665434","","Father","","","","","","2023-07-14 16:14:36","2023-07-14 16:14:36","1","","1",""),
("3","2","Abdul Basit","Shafaqat Ali","7654323456792","","Brother","","","","","","2023-07-14 16:32:21","2023-07-14 16:32:21","1","","1",""),
("4","2","Abdul Basit","Shafaqat Ali","7654323456792","","Brother","","","","","","2023-07-14 16:32:25","2023-07-14 16:32:25","1","","1","");



DROP TABLE IF EXISTS customer_properties;

CREATE TABLE `customer_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `cost` double NOT NULL,
  `booking_date` date NOT NULL,
  `original_boooking_date` date DEFAULT NULL,
  `discount` double DEFAULT 0,
  `discount_type` int(11) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `down_payment` double NOT NULL DEFAULT 15,
  `possession_fee` double DEFAULT 10,
  `installment` double NOT NULL DEFAULT 50,
  `installment_plan` int(11) NOT NULL DEFAULT 4,
  `application_form_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `plot_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `plot_category` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `net_pay` double DEFAULT NULL,
  `membership_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `plot_type` int(10) unsigned DEFAULT NULL,
  `plot_belting` double DEFAULT NULL,
  `schedule_start_date` date DEFAULT NULL,
  `six_installment` double DEFAULT NULL,
  `inventory_id` int(10) unsigned DEFAULT NULL,
  `booking_type` tinyint(1) DEFAULT NULL,
  `schedular_type` int(11) NOT NULL DEFAULT 1,
  `status` tinyint(1) DEFAULT NULL,
  `invoice_number` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `down_payment_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `sms_alert` tinyint(1) DEFAULT NULL,
  `email_alert` tinyint(1) DEFAULT NULL,
  `down_payment_rebate` float NOT NULL DEFAULT 50,
  `installment_rebate` float NOT NULL DEFAULT 50,
  `paid_installment_rebate` int(11) NOT NULL DEFAULT 8,
  `reminder_text` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reminder_date` date DEFAULT NULL,
  `print_count_m` int(11) NOT NULL DEFAULT 0,
  `print_count_c` int(11) NOT NULL DEFAULT 0,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  `sale_by` int(11) DEFAULT NULL,
  `allotment_date` date DEFAULT NULL,
  `confirmation_date` date DEFAULT NULL,
  `development_date` date DEFAULT NULL,
  `file_processing_date` date DEFAULT NULL,
  `registration_date` date DEFAULT NULL,
  `allotment_fee` double NOT NULL DEFAULT 0,
  `confirmation_fee` double NOT NULL DEFAULT 0,
  `booking_fee` double NOT NULL DEFAULT 0,
  `development_fee` double NOT NULL DEFAULT 0,
  `file_processing_fee` double NOT NULL DEFAULT 0,
  `registration_fee` double NOT NULL DEFAULT 0,
  `access_amount` double DEFAULT 0,
  `cancel_date` date DEFAULT NULL,
  `block_date` date DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `schedule_plan_id` bigint(20) DEFAULT NULL,
  `customer_nominee_id` bigint(20) DEFAULT NULL,
  `nfc_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_properties_customer_id_foreign` (`customer_id`),
  KEY `customer_properties_dealer_id_foreign` (`dealer_id`),
  KEY `customer_properties_product_type_foreign` (`plot_type`),
  KEY `customer_properties_inventory_id_foreign` (`inventory_id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_properties VALUES("1","1","500000","2023-07-10","2023-07-10","0","1","2023-07-10 22:15:28","2023-07-12 18:25:26","15","10","50","4","","","","1","510000","AAA_BC_001","","","2023-07-10","","4","3","2","2","50001","","0","","","50","50","8","","","1","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("2","3","800000","2023-07-10","2023-07-02","0","1","2023-07-10 22:32:16","2023-07-10 22:33:28","144000","80000","480000","48","","","","2","800000","AAA_BC_002","","","2023-07-10","16000","5","1","12","2","","","0","","","50","50","8","","","0","0","0","22","2023-07-10","2023-07-10","","2023-07-10","2023-07-10","16000","16000","8000","0","8000","24000","","","","25","1","",""),
("3","1","12000000","2023-07-10","2023-07-09","0","1","2023-07-10 23:41:54","2023-07-11 17:12:07","2160000","1200000","7440000","48","","","","2","12000000","AAA_BC_003","","","2023-07-10","","3","1","9","2","","","0","","","50","50","8","","","0","0","0","22","2023-07-10","2023-07-10","","2023-07-10","2023-07-10","240000","240000","120000","0","120000","360000","","","","25","1","",""),
("12","2","500000","2023-07-13","2023-07-13","0","1","2023-07-13 20:45:52","2023-07-17 14:19:23","15","10","50","4","","","","","500000","AAA_BC_0012","","","2023-07-13","","8","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("13","2","500000","2023-07-13","2023-07-13","0","1","2023-07-13 20:47:42","2023-08-06 13:09:12","15","10","50","4","","","","","515000","AAA_BC_0013","","","2023-07-13","","10","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("14","1","500000","2023-07-13","2023-07-11","0","1","2023-07-13 20:49:31","2023-07-17 14:19:16","15","10","50","4","","","","","500000","AAA_BC_0014","","","2023-07-13","","9","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("15","4","12000000","2023-07-14","2023-07-17","0","1","2023-07-14 15:49:10","2023-07-18 19:44:50","15","10","50","4","","","","2","12000000","AAA_BC_0015","","","2023-07-14","","7","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("16","6","500000","2023-07-14","2023-07-18","0","1","2023-07-14 16:08:07","2023-07-18 19:38:47","15","10","50","4","","","","2","500000","AAA_BC_0016","","","2023-07-14","","1","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("17","3","500000","2023-07-17","2023-07-03","0","1","2023-07-17 14:16:22","2023-07-17 14:34:33","15","10","50","4","","","","","510000","AAA_BC_0017","","","2023-07-17","","31","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","","18230707382656"),
("18","3","500000","2023-07-17","2023-07-03","0","1","2023-07-17 14:16:46","2023-07-17 14:19:44","15","10","50","4","","","","","500000","AAA_BC_0018","","","2023-07-17","","30","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","",""),
("19","4","800000","2023-07-18","2023-08-18","0","1","2023-07-18 19:56:38","2023-07-18 19:57:07","15","10","50","4","","","","2","800000","AAA_BC_0019","","","2023-07-18","","2","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","","1823070756561"),
("20","1","800000","2023-08-06","2023-08-06","0","1","2023-08-06 11:40:29","2023-08-06 12:04:06","15","10","50","4","","","","2","810000","A1","","","2023-08-06","","41","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","","06230811453964"),
("21","6","800000","2023-08-06","2023-08-06","0","1","2023-08-06 11:40:50","2023-08-06 11:47:03","15","10","50","4","","","","1","800000","A2","","","2023-08-06","","47","3","2","2","","","0","","","50","50","8","","","0","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","","06230811455373"),
("22","3","4000000","2023-08-06","2023-08-06","0","1","2023-08-06 11:41:16","2023-08-06 11:48:01","720000","400000","2480016","48","","","","1","4000000","A10","","","2023-08-06","","6","1","1","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","80000","80000","40000","0","40000","120000","","","","25","1","","06230811461583"),
("23","7","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:42:24","2023-08-06 11:48:00","144000","80000","480000","48","","","","2","800000","A9","","","2023-08-06","16000","42","1","11","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","06230811461298"),
("24","2","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:42:44","2023-08-06 11:47:52","144000","80000","480000","48","","","","2","800000","A7","","","2023-08-06","16000","43","1","10","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","06230811460941"),
("25","8","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:43:01","2023-08-06 11:58:04","144000","80000","480000","48","","","","2","864000","A6","","","2023-08-06","16000","44","1","13","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","06230811460484"),
("26","4","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:43:15","2023-08-06 11:47:33","144000","80000","496000","8","","","","2","800000","A5","","","2023-08-06","","45","1","4","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","06230811460680"),
("27","4","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:43:46","2023-08-06 12:07:36","144000","80000","496000","8","","","","2","800000","A11","","","2023-08-06","","45","1","4","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","06230812072228"),
("28","5","800000","2023-08-06","2023-08-07","0","1","2023-08-06 11:44:24","2023-08-06 12:43:13","144000","80000","496008","24","","","","1","824000","A3","","","2023-08-06","","46","1","9","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","16000","16000","8000","0","8000","24000","","","","25","1","","0623081145569"),
("29","1","500000","2023-08-06","2023-08-03","0","1","2023-08-06 12:48:28","2023-08-07 13:50:49","90000","50000","310008","24","","","","","535000","AAA_BC_0029","","","2023-08-06","","34","1","9","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","10000","10000","5000","0","5000","15000","","","","25","1","","06230812563767"),
("30","1","500000","2023-08-06","2023-08-03","0","1","2023-08-06 12:48:46","2023-08-06 12:57:38","90000","50000","310000","4","","","","","500000","AAA_BC_0030","","","2023-08-06","","32","1","5","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","10000","10000","5000","0","5000","15000","","","","25","1","","06230812563439"),
("31","1","500000","2023-08-06","2023-08-03","0","1","2023-08-06 12:49:03","2023-08-06 12:57:37","90000","50000","300000","48","","","","","500000","AAA_BC_0031","","","2023-08-06","10000","40","1","12","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","10000","10000","5000","0","5000","15000","","","","25","1","","06230812563159"),
("32","1","2400000","2023-08-06","2023-08-03","0","1","2023-08-06 12:54:34","2023-08-06 12:57:20","432000","240000","1440000","48","","","","2","2400000","AAA_BC_0032","","","2023-08-06","48000","48","1","13","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","48000","48000","24000","0","24000","72000","","","","25","1","","06230812562791"),
("33","6","2400000","2023-08-06","2023-08-03","0","1","2023-08-06 12:54:50","2023-08-06 12:57:19","432000","240000","1440000","48","","","","2","2400000","AAA_BC_0033","","","2023-08-06","48000","49","1","11","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","48000","48000","24000","0","24000","72000","","","","25","1","","0623081256248"),
("34","3","4000000","2023-08-06","2023-08-03","0","1","2023-08-06 12:55:10","2023-08-06 12:57:11","720000","400000","2400000","48","","","","2","4000000","AAA_BC_0034","","","2023-08-06","80000","50","1","2","2","","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","80000","80000","40000","0","40000","120000","","","","25","1","","06230812562085"),
("35","7","12000000","2023-08-06","2023-08-03","0","1","2023-08-06 12:55:38","2023-08-06 12:58:57","2160000","1200000","7440000","48","","","","1","12000000","AAA_BC_0035","","","2023-08-06","","51","1","1","2","50010","","0","","","50","50","8","","","0","0","0","22","2023-08-06","2023-08-06","","2023-08-06","2023-08-06","240000","240000","120000","0","120000","360000","","","","25","1","","06230812561573"),
("36","6","500000","2023-08-07","2023-08-07","0","1","2023-08-07 13:20:18","2023-08-08 11:12:37","15","10","50","4","","","","","500000","AAA_BC_0036","","","2023-08-07","","35","3","2","2","","","0","","","50","50","8","","","4","0","0","22","","","","","","0","0","0","0","0","0","","","","25","1","","07230801205068");



DROP TABLE IF EXISTS customer_property_full_payment_statements;

CREATE TABLE `customer_property_full_payment_statements` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned NOT NULL,
  `property_id` int(10) unsigned NOT NULL,
  `due_date` date NOT NULL,
  `due` double NOT NULL,
  `received` double DEFAULT 0,
  `balance` double DEFAULT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `payment_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_property_full_payment_statements_customer_id_foreign` (`customer_id`),
  KEY `customer_property_full_payment_statements_property_id_foreign` (`property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_property_full_payments;

CREATE TABLE `customer_property_full_payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_property_id` int(10) unsigned NOT NULL,
  `total_amount` double DEFAULT NULL,
  `total_tenure` double DEFAULT NULL,
  `discount_percentage` double DEFAULT NULL,
  `return_tenure` double DEFAULT NULL,
  `discount_amount` double DEFAULT NULL,
  `deduction_amount` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_property_full_payments_customer_property_id_foreign` (`customer_property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_property_partners;

CREATE TABLE `customer_property_partners` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `property_id` int(10) unsigned NOT NULL,
  `customer_id` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_property_partners_property_id_foreign` (`property_id`),
  KEY `customer_property_partners_customer_id_foreign` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_property_secondary_owners;

CREATE TABLE `customer_property_secondary_owners` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `customer_property_id` bigint(20) NOT NULL,
  `customer_id` bigint(20) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `primary_owner_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_property_secondary_owners VALUES("1","3","3","2023-07-10 23:41:54","2023-07-10 23:41:54",""),
("2","3","4","2023-07-11 17:12:06","2023-07-11 17:12:06","1"),
("3","12","4","2023-07-13 20:45:52","2023-07-13 20:45:52","2");



DROP TABLE IF EXISTS customer_property_taxes;

CREATE TABLE `customer_property_taxes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL,
  `installment_id` int(11) NOT NULL,
  `tax` int(11) DEFAULT 0,
  `status` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tax_pay_by` tinyint(1) DEFAULT NULL,
  `tax_payment_received` tinyint(1) DEFAULT NULL,
  `reference` varchar(100) DEFAULT NULL,
  `cpr` text DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

INSERT INTO customer_property_taxes VALUES("1","1","1","1","10000","0","2023-07-10 22:51:01","2023-07-10 22:51:01","1","0","","",""),
("2","1","1","1","10100","0","2023-07-12 18:25:26","2023-07-12 18:25:26","1","0","","",""),
("3","7","35","812","21600","0","2023-08-06 12:58:57","2023-08-06 12:58:57","1","0","","","");



DROP TABLE IF EXISTS customer_refund_unit_receipts;

CREATE TABLE `customer_refund_unit_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `company_account` int(11) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_approved` tinyint(4) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(4) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(4) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(4) DEFAULT NULL,
  `tax_payment_received` tinyint(4) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_requests;

CREATE TABLE `customer_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `floor` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `approx_bugdet` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_requests_customer_id_foreign` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS customer_statements;

CREATE TABLE `customer_statements` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL DEFAULT 1,
  `inst_no` varchar(11) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `inst_track` tinyint(4) NOT NULL DEFAULT 0,
  `due_date` date DEFAULT NULL,
  `due` double DEFAULT NULL,
  `received` double DEFAULT 0,
  `balance` double DEFAULT 0,
  `rcpt_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ref_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rcpt_date` date DEFAULT NULL,
  `rcpt_amount` double DEFAULT 0,
  `late_days` int(11) DEFAULT NULL,
  `surcharge` double DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `receipt_id` int(10) unsigned DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `surcharge_calculated_by_cron` double NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `customer_statements_customer_id_foreign` (`customer_id`),
  KEY `customer_statements_customer_property_id_foreign` (`customer_property_id`),
  KEY `customer_statements_receipt_id_foreign` (`receipt_id`)
) ENGINE=InnoDB AUTO_INCREMENT=872 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customer_statements VALUES("1","1","1","1","2-a","0","2023-07-10","505000","505000","0","50001","RC2","2023-07-12","505000","2","50","2023-07-10 22:15:28","2023-07-12 18:25:27","2","0","25","0"),
("2","3","2","1","2","0","2023-07-08","144000","0","144000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:56:53","","0","25","0"),
("3","3","2","3","1","0","2023-07-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("4","3","2","3","2","0","2023-08-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("5","3","2","3","3","0","2023-09-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("6","3","2","3","4","0","2023-10-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("7","3","2","3","5","0","2023-11-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("8","3","2","3","6","1","2023-12-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("9","3","2","3","7","0","2024-01-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("10","3","2","3","8","0","2024-02-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("11","3","2","3","9","0","2024-03-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("12","3","2","3","10","0","2024-04-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("13","3","2","3","11","0","2024-05-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("14","3","2","3","12","1","2024-06-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("15","3","2","3","13","0","2024-07-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("16","3","2","3","14","0","2024-08-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("17","3","2","3","15","0","2024-09-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("18","3","2","3","16","0","2024-10-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("19","3","2","3","17","0","2024-11-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("20","3","2","3","18","1","2024-12-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("21","3","2","3","19","0","2025-01-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("22","3","2","3","20","0","2025-02-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("23","3","2","3","21","0","2025-03-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("24","3","2","3","22","0","2025-04-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("25","3","2","3","23","0","2025-05-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("26","3","2","3","24","1","2025-06-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("27","3","2","3","25","0","2025-07-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("28","3","2","3","26","0","2025-08-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("29","3","2","3","27","0","2025-09-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("30","3","2","3","28","0","2025-10-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("31","3","2","3","29","0","2025-11-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("32","3","2","3","30","1","2025-12-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("33","3","2","3","31","0","2026-01-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("34","3","2","3","32","0","2026-02-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("35","3","2","3","33","0","2026-03-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("36","3","2","3","34","0","2026-04-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("37","3","2","3","35","0","2026-05-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("38","3","2","3","36","1","2026-06-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("39","3","2","3","37","0","2026-07-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("40","3","2","3","38","0","2026-08-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("41","3","2","3","39","0","2026-09-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("42","3","2","3","40","0","2026-10-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("43","3","2","3","41","0","2026-11-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("44","3","2","3","42","1","2026-12-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("45","3","2","3","43","0","2027-01-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("46","3","2","3","44","0","2027-02-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("47","3","2","3","45","0","2027-03-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("48","3","2","3","46","0","2027-04-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("49","3","2","3","47","0","2027-05-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("50","3","2","3","48","1","2027-06-10","2000","0","2000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("51","3","2","3","49","0","2027-07-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("52","3","2","3","50","0","2027-08-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("53","3","2","3","51","0","2027-09-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("54","3","2","3","52","0","2027-10-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("55","3","2","3","53","0","2027-11-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("56","3","2","3","54","0","2027-12-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("57","3","2","3","55","0","2028-01-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("58","3","2","3","56","0","2028-02-10","10000","0","10000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("59","3","2","2","1","0","2025-06-02","80000","0","80000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("60","3","2","8","1","0","2023-07-10","16000","0","16000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("61","3","2","9","1","0","2023-07-10","16000","0","16000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("62","3","2","10","1","0","2023-07-10","8000","0","8000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("63","3","2","12","1","0","2023-07-10","8000","0","8000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("64","3","2","13","1","0","2023-07-10","24000","0","24000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("65","3","2","18","1","0","2023-07-10","8000","0","8000","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("66","3","2","19","1","0","2023-07-10","0","0","0","","","","0","","0","2023-07-10 22:32:17","2023-07-10 22:32:17","","0","25","0"),
("124","1","3","3","1","0","2023-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("125","1","3","3","2","0","2023-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("126","1","3","3","3","0","2023-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("127","1","3","3","4","0","2024-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("128","1","3","3","5","0","2024-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("129","1","3","3","6","0","2024-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("130","1","3","3","7","0","2024-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("131","1","3","3","8","0","2024-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("132","1","3","3","9","0","2024-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("133","1","3","3","10","0","2025-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("134","1","3","3","11","0","2025-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("135","1","3","3","12","0","2025-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("136","1","3","3","13","0","2025-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("137","1","3","3","14","0","2025-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("138","1","3","3","15","0","2025-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("139","1","3","3","16","0","2026-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("140","1","3","3","17","0","2026-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("141","1","3","3","18","0","2026-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("142","1","3","3","19","0","2026-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("143","1","3","3","20","0","2026-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("144","1","3","3","21","0","2026-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("145","1","3","3","22","0","2027-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("146","1","3","3","23","0","2027-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("147","1","3","3","24","0","2027-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("148","1","3","3","25","0","2027-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("149","1","3","3","26","0","2027-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("150","1","3","3","27","0","2027-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("151","1","3","3","28","0","2028-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("152","1","3","3","29","0","2028-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("153","1","3","3","30","0","2028-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("154","1","3","3","31","0","2028-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("155","1","3","3","32","0","2028-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("156","1","3","3","33","0","2028-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("157","1","3","3","34","0","2029-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("158","1","3","3","35","0","2029-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("159","1","3","3","36","0","2029-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("160","1","3","3","37","0","2029-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("161","1","3","3","38","0","2029-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("162","1","3","3","39","0","2029-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("163","1","3","3","40","0","2030-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("164","1","3","3","41","0","2030-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("165","1","3","3","42","0","2030-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("166","1","3","3","43","0","2030-07-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("167","1","3","3","44","0","2030-09-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("168","1","3","3","45","0","2030-11-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("169","1","3","3","46","0","2031-01-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("170","1","3","3","47","0","2031-03-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("171","1","3","3","48","0","2031-05-10","155000","0","155000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("172","1","3","1","2","0","2023-07-10","2160000","0","2160000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("173","1","3","2","1","0","2025-06-02","1200000","0","1200000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("174","1","3","8","1","0","2023-07-10","240000","0","240000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("175","1","3","9","1","0","2023-07-10","240000","0","240000","","","","0","","0","2023-07-11 17:12:06","2023-07-11 17:12:06","","0","","0"),
("176","1","3","10","1","0","","120000","0","120000","","","","0","","0","2023-07-11 17:12:07","2023-07-11 17:12:07","","0","","0"),
("177","1","3","18","1","0","2023-07-10","120000","0","120000","","","","0","","0","2023-07-11 17:12:07","2023-07-11 17:12:07","","0","","0"),
("178","1","3","12","1","0","2023-07-10","120000","0","120000","","","","0","","0","2023-07-11 17:12:07","2023-07-11 17:12:07","","0","","0"),
("179","1","3","13","1","0","2023-07-10","360000","0","360000","","","","0","","0","2023-07-11 17:12:07","2023-07-11 17:12:07","","0","","0"),
("180","1","1","1","2-b","0","2023-07-10","5000","0","5000","","","","0","","0","2023-07-12 18:25:27","2023-07-12 18:25:27","","0","","0"),
("181","2","12","1","2","0","2023-07-13","500000","90000","0","","","","0","","0","2023-07-13 20:45:52","2023-07-13 20:45:52","","0","25","0"),
("182","2","13","1","2","0","2023-07-13","500000","90000","0","","","","0","","0","2023-07-13 20:47:42","2023-07-13 20:47:42","","0","25","0"),
("183","1","14","1","2","0","2023-07-13","500000","90000","0","","","","0","","0","2023-07-13 20:49:31","2023-07-13 20:49:31","","0","25","0"),
("184","4","15","1","2","0","2023-07-14","12000000","0","12000000","","","","0","","0","2023-07-14 15:49:10","2023-07-14 15:49:10","","0","25","0"),
("185","6","16","1","2","0","2023-07-14","500000","0","500000","","","","0","","0","2023-07-14 16:08:07","2023-07-14 16:08:07","","0","25","0"),
("186","3","17","1","2","0","2023-07-17","500000","90000","0","","","","0","","0","2023-07-17 14:16:23","2023-07-17 14:16:23","","0","25","0"),
("187","3","18","1","2","0","2023-07-17","500000","90000","0","","","","0","","0","2023-07-17 14:16:46","2023-07-17 14:16:47","","0","25","0"),
("189","4","19","1","2","0","2023-07-18","800000","0","800000","","","","0","","0","2023-07-18 19:56:38","2023-07-18 19:56:38","","0","25","0"),
("190","1","20","1","2","0","2023-08-06","800000","0","800000","","","","0","","0","2023-08-06 11:40:29","2023-08-06 11:40:29","","0","25","0"),
("191","6","21","1","2","0","2023-08-06","800000","0","800000","","","","0","","0","2023-08-06 11:40:50","2023-08-06 11:40:50","","0","25","0"),
("192","3","22","1","2","0","2023-08-06","720000","0","720000","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("193","3","22","3","1","0","2023-08-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("194","3","22","3","2","0","2023-09-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("195","3","22","3","3","0","2023-10-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("196","3","22","3","4","0","2023-11-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("197","3","22","3","5","0","2023-12-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("198","3","22","3","6","0","2024-01-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("199","3","22","3","7","0","2024-02-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("200","3","22","3","8","0","2024-03-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("201","3","22","3","9","0","2024-04-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("202","3","22","3","10","0","2024-05-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("203","3","22","3","11","0","2024-06-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("204","3","22","3","12","0","2024-07-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("205","3","22","3","13","0","2024-08-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("206","3","22","3","14","0","2024-09-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("207","3","22","3","15","0","2024-10-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("208","3","22","3","16","0","2024-11-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("209","3","22","3","17","0","2024-12-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("210","3","22","3","18","0","2025-01-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("211","3","22","3","19","0","2025-02-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("212","3","22","3","20","0","2025-03-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("213","3","22","3","21","0","2025-04-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("214","3","22","3","22","0","2025-05-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("215","3","22","3","23","0","2025-06-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("216","3","22","3","24","0","2025-07-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("217","3","22","3","25","0","2025-08-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("218","3","22","3","26","0","2025-09-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("219","3","22","3","27","0","2025-10-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("220","3","22","3","28","0","2025-11-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("221","3","22","3","29","0","2025-12-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("222","3","22","3","30","0","2026-01-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("223","3","22","3","31","0","2026-02-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("224","3","22","3","32","0","2026-03-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("225","3","22","3","33","0","2026-04-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:16","2023-08-06 11:41:16","","0","25","0"),
("226","3","22","3","34","0","2026-05-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("227","3","22","3","35","0","2026-06-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("228","3","22","3","36","0","2026-07-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("229","3","22","3","37","0","2026-08-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("230","3","22","3","38","0","2026-09-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("231","3","22","3","39","0","2026-10-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("232","3","22","3","40","0","2026-11-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("233","3","22","3","41","0","2026-12-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("234","3","22","3","42","0","2027-01-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("235","3","22","3","43","0","2027-02-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("236","3","22","3","44","0","2027-03-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("237","3","22","3","45","0","2027-04-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("238","3","22","3","46","0","2027-05-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("239","3","22","3","47","0","2027-06-06","51667","0","51667","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("240","3","22","3","48","0","2027-07-06","51651","0","51651","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("241","3","22","2","2","0","2025-06-02","400000","0","400000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("242","3","22","8","1","0","2023-08-06","80000","0","80000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("243","3","22","9","1","0","2023-08-06","80000","0","80000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("244","3","22","10","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("245","3","22","12","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("246","3","22","13","1","0","2023-08-06","120000","0","120000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("247","3","22","18","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("248","3","22","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:41:17","2023-08-06 11:41:17","","0","25","0"),
("249","7","23","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("250","7","23","3","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("251","7","23","3","2","0","2023-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("252","7","23","3","3","1","2023-10-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("253","7","23","3","4","0","2023-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("254","7","23","3","5","0","2023-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("255","7","23","3","6","1","2024-01-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("256","7","23","3","7","0","2024-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("257","7","23","3","8","0","2024-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("258","7","23","3","9","1","2024-04-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("259","7","23","3","10","0","2024-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("260","7","23","3","11","0","2024-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("261","7","23","3","12","1","2024-07-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("262","7","23","3","13","0","2024-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("263","7","23","3","14","0","2024-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("264","7","23","3","15","1","2024-10-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("265","7","23","3","16","0","2024-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("266","7","23","3","17","0","2024-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("267","7","23","3","18","1","2025-01-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("268","7","23","3","19","0","2025-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("269","7","23","3","20","0","2025-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("270","7","23","3","21","1","2025-04-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("271","7","23","3","22","0","2025-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("272","7","23","3","23","0","2025-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("273","7","23","3","24","1","2025-07-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("274","7","23","3","25","0","2025-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("275","7","23","3","26","0","2025-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("276","7","23","3","27","1","2025-10-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("277","7","23","3","28","0","2025-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("278","7","23","3","29","0","2025-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("279","7","23","3","30","1","2026-01-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("280","7","23","3","31","0","2026-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("281","7","23","3","32","0","2026-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("282","7","23","3","33","1","2026-04-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("283","7","23","3","34","0","2026-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("284","7","23","3","35","0","2026-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("285","7","23","3","36","1","2026-07-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("286","7","23","3","37","0","2026-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("287","7","23","3","38","0","2026-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("288","7","23","3","39","1","2026-10-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("289","7","23","3","40","0","2026-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("290","7","23","3","41","0","2026-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("291","7","23","3","42","1","2027-01-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("292","7","23","3","43","0","2027-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("293","7","23","3","44","0","2027-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("294","7","23","3","45","1","2027-04-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("295","7","23","3","46","0","2027-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("296","7","23","3","47","0","2027-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("297","7","23","3","48","1","2027-07-06","1000","0","1000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("298","7","23","3","49","0","2027-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("299","7","23","3","50","0","2027-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("300","7","23","3","51","0","2027-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("301","7","23","3","52","0","2027-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("302","7","23","3","53","0","2027-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("303","7","23","3","54","0","2028-01-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("304","7","23","3","55","0","2028-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("305","7","23","3","56","0","2028-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("306","7","23","3","57","0","2028-04-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("307","7","23","3","58","0","2028-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("308","7","23","3","59","0","2028-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("309","7","23","3","60","0","2028-07-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("310","7","23","3","61","0","2028-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("311","7","23","3","62","0","2028-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("312","7","23","3","63","0","2028-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("313","7","23","3","64","0","2028-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("314","7","23","2","1","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("315","7","23","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("316","7","23","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("317","7","23","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("318","7","23","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("319","7","23","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("320","7","23","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("321","7","23","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:42:24","2023-08-06 11:42:24","","0","25","0"),
("322","2","24","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("323","2","24","3","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("324","2","24","3","2","0","2023-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("325","2","24","3","3","1","2024-02-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("326","2","24","3","4","0","2024-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("327","2","24","3","5","0","2024-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("328","2","24","3","6","1","2024-11-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("329","2","24","3","7","0","2025-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("330","2","24","3","8","0","2025-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("331","2","24","3","9","1","2025-08-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("332","2","24","3","10","0","2025-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("333","2","24","3","11","0","2026-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("334","2","24","3","12","1","2026-05-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("335","2","24","3","13","0","2026-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("336","2","24","3","14","0","2026-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("337","2","24","3","15","1","2027-02-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("338","2","24","3","16","0","2027-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("339","2","24","3","17","0","2027-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("340","2","24","3","18","1","2027-11-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("341","2","24","3","19","0","2028-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("342","2","24","3","20","0","2028-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("343","2","24","3","21","1","2028-08-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("344","2","24","3","22","0","2028-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("345","2","24","3","23","0","2029-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("346","2","24","3","24","1","2029-05-06","12000","0","12000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("347","2","24","3","25","0","2029-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("348","2","24","3","26","0","2029-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("349","2","24","3","27","0","2030-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("350","2","24","3","28","0","2030-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("351","2","24","3","29","0","2030-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("352","2","24","3","30","0","2030-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("353","2","24","3","31","0","2031-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("354","2","24","3","32","0","2031-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("355","2","24","3","33","0","2031-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("356","2","24","3","34","0","2031-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("357","2","24","3","35","0","2032-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("358","2","24","3","36","0","2032-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("359","2","24","3","37","0","2032-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("360","2","24","3","38","0","2032-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("361","2","24","3","39","0","2033-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("362","2","24","3","40","0","2033-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("363","2","24","3","41","0","2033-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("364","2","24","3","42","0","2033-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("365","2","24","3","43","0","2034-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("366","2","24","3","44","0","2034-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("367","2","24","3","45","0","2034-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("368","2","24","3","46","0","2034-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("369","2","24","3","47","0","2035-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("370","2","24","3","48","0","2035-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("371","2","24","2","1","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("372","2","24","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("373","2","24","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:42:44","2023-08-06 11:42:44","","0","25","0"),
("374","2","24","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:45","2023-08-06 11:42:45","","0","25","0"),
("375","2","24","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:45","2023-08-06 11:42:45","","0","25","0"),
("376","2","24","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:42:45","2023-08-06 11:42:45","","0","25","0"),
("377","2","24","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:42:45","2023-08-06 11:42:45","","0","25","0"),
("378","2","24","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:42:45","2023-08-06 11:42:45","","0","25","0"),
("379","8","25","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("380","8","25","3","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("381","8","25","3","2","0","2023-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("382","8","25","3","3","0","2023-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("383","8","25","3","4","0","2023-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("384","8","25","3","5","0","2023-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("385","8","25","3","6","0","2024-01-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("386","8","25","3","7","0","2024-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("387","8","25","3","8","0","2024-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("388","8","25","3","9","0","2024-04-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("389","8","25","3","10","0","2024-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("390","8","25","3","11","0","2024-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("391","8","25","3","12","1","2024-07-06","4000","0","4000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("392","8","25","3","13","0","2024-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("393","8","25","3","14","0","2024-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("394","8","25","3","15","0","2024-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("395","8","25","3","16","0","2024-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("396","8","25","3","17","0","2024-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("397","8","25","3","18","0","2025-01-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("398","8","25","3","19","0","2025-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("399","8","25","3","20","0","2025-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("400","8","25","3","21","0","2025-04-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("401","8","25","3","22","0","2025-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("402","8","25","3","23","0","2025-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("403","8","25","3","24","1","2025-07-06","4000","0","4000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("404","8","25","3","25","0","2025-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("405","8","25","3","26","0","2025-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("406","8","25","3","27","0","2025-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("407","8","25","3","28","0","2025-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("408","8","25","3","29","0","2025-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("409","8","25","3","30","0","2026-01-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("410","8","25","3","31","0","2026-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("411","8","25","3","32","0","2026-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("412","8","25","3","33","0","2026-04-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("413","8","25","3","34","0","2026-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("414","8","25","3","35","0","2026-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("415","8","25","3","36","1","2026-07-06","4000","0","4000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("416","8","25","3","37","0","2026-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("417","8","25","3","38","0","2026-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("418","8","25","3","39","0","2026-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("419","8","25","3","40","0","2026-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("420","8","25","3","41","0","2026-12-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("421","8","25","3","42","0","2027-01-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("422","8","25","3","43","0","2027-02-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("423","8","25","3","44","0","2027-03-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("424","8","25","3","45","0","2027-04-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("425","8","25","3","46","0","2027-05-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("426","8","25","3","47","0","2027-06-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("427","8","25","3","48","1","2027-07-06","4000","0","4000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("428","8","25","3","49","0","2027-08-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("429","8","25","3","50","0","2027-09-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("430","8","25","3","51","0","2027-10-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("431","8","25","3","52","0","2027-11-06","10000","0","10000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("432","8","25","2","1","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("433","8","25","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("434","8","25","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("435","8","25","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("436","8","25","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("437","8","25","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("438","8","25","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("439","8","25","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:43:01","2023-08-06 11:43:01","","0","25","0"),
("440","4","26","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("441","4","26","3","1","0","2023-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("442","4","26","3","2","0","2024-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("443","4","26","3","3","0","2024-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("444","4","26","3","4","0","2025-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("445","4","26","3","5","0","2025-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("446","4","26","3","6","0","2026-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("447","4","26","3","7","0","2026-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("448","4","26","3","8","0","2027-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("449","4","26","2","2","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("450","4","26","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("451","4","26","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("452","4","26","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:15","2023-08-06 11:43:15","","0","25","0"),
("453","4","26","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:16","2023-08-06 11:43:16","","0","25","0"),
("454","4","26","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:43:16","2023-08-06 11:43:16","","0","25","0"),
("455","4","26","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:16","2023-08-06 11:43:16","","0","25","0"),
("456","4","26","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:43:16","2023-08-06 11:43:16","","0","25","0"),
("457","4","27","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("458","4","27","3","1","0","2023-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("459","4","27","3","2","0","2024-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("460","4","27","3","3","0","2024-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("461","4","27","3","4","0","2025-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("462","4","27","3","5","0","2025-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("463","4","27","3","6","0","2026-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("464","4","27","3","7","0","2026-08-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("465","4","27","3","8","0","2027-02-06","62000","0","62000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("466","4","27","2","2","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("467","4","27","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("468","4","27","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("469","4","27","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("470","4","27","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("471","4","27","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("472","4","27","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("473","4","27","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:43:46","2023-08-06 11:43:46","","0","25","0"),
("474","5","28","1","2","0","2023-08-06","144000","0","144000","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("475","5","28","3","1","0","2023-08-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("476","5","28","3","2","0","2023-10-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("477","5","28","3","3","0","2023-12-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("478","5","28","3","4","0","2024-02-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("479","5","28","3","5","0","2024-04-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("480","5","28","3","6","0","2024-06-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("481","5","28","3","7","0","2024-08-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("482","5","28","3","8","0","2024-10-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("483","5","28","3","9","0","2024-12-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("484","5","28","3","10","0","2025-02-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("485","5","28","3","11","0","2025-04-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("486","5","28","3","12","0","2025-06-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("487","5","28","3","13","0","2025-08-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("488","5","28","3","14","0","2025-10-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("489","5","28","3","15","0","2025-12-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("490","5","28","3","16","0","2026-02-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("491","5","28","3","17","0","2026-04-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("492","5","28","3","18","0","2026-06-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("493","5","28","3","19","0","2026-08-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("494","5","28","3","20","0","2026-10-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("495","5","28","3","21","0","2026-12-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("496","5","28","3","22","0","2027-02-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("497","5","28","3","23","0","2027-04-06","20667","0","20667","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("498","5","28","3","24","0","2027-06-06","20659","0","20659","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("499","5","28","2","2","0","2025-06-02","80000","0","80000","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("500","5","28","8","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("501","5","28","9","1","0","2023-08-06","16000","0","16000","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("502","5","28","10","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:44:24","2023-08-06 11:44:24","","0","25","0"),
("503","5","28","12","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:44:25","2023-08-06 11:44:25","","0","25","0"),
("504","5","28","13","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 11:44:25","2023-08-06 11:44:25","","0","25","0"),
("505","5","28","18","1","0","2023-08-06","8000","0","8000","","","","0","","0","2023-08-06 11:44:25","2023-08-06 11:44:25","","0","25","0"),
("506","5","28","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 11:44:25","2023-08-06 11:44:25","","0","25","0"),
("507","8","25","19","2","0","2023-08-06","64000","0","64000","","","","0","","0","2023-08-06 11:58:04","2023-08-06 11:58:04","","0","","0"),
("508","1","20","19","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:04:06","2023-08-06 12:04:06","","0","","0"),
("509","5","28","19","2","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:43:13","2023-08-06 12:43:13","","0","","0"),
("510","1","29","1","2","0","2023-08-06","90000","90000","0","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:29","","0","25","0"),
("511","1","29","3","1","0","2023-08-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("512","1","29","3","2","0","2023-10-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("513","1","29","3","3","0","2023-12-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("514","1","29","3","4","0","2024-02-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("515","1","29","3","5","0","2024-04-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("516","1","29","3","6","0","2024-06-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("517","1","29","3","7","0","2024-08-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("518","1","29","3","8","0","2024-10-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("519","1","29","3","9","0","2024-12-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("520","1","29","3","10","0","2025-02-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("521","1","29","3","11","0","2025-04-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("522","1","29","3","12","0","2025-06-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("523","1","29","3","13","0","2025-08-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("524","1","29","3","14","0","2025-10-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("525","1","29","3","15","0","2025-12-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("526","1","29","3","16","0","2026-02-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("527","1","29","3","17","0","2026-04-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("528","1","29","3","18","0","2026-06-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("529","1","29","3","19","0","2026-08-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("530","1","29","3","20","0","2026-10-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("531","1","29","3","21","0","2026-12-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("532","1","29","3","22","0","2027-02-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("533","1","29","3","23","0","2027-04-06","12917","0","12917","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("534","1","29","3","24","0","2027-06-06","12909","0","12909","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("535","1","29","2","2","0","2025-06-02","50000","0","50000","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("536","1","29","8","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("537","1","29","9","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("538","1","29","10","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("539","1","29","12","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:28","2023-08-06 12:48:28","","0","25","0"),
("540","1","29","13","1","0","2023-08-06","15000","0","15000","","","","0","","0","2023-08-06 12:48:29","2023-08-06 12:48:29","","0","25","0"),
("541","1","29","18","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:29","2023-08-06 12:48:29","","0","25","0"),
("542","1","29","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:48:29","2023-08-06 12:48:29","","0","25","0"),
("543","1","30","1","2","0","2023-08-06","90000","90000","0","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:47","","0","25","0"),
("544","1","30","3","1","0","2023-08-06","77500","0","77500","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("545","1","30","3","2","0","2024-08-06","77500","0","77500","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("546","1","30","3","3","0","2025-08-06","77500","0","77500","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("547","1","30","3","4","0","2026-08-06","77500","0","77500","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("548","1","30","2","2","0","2025-06-02","50000","0","50000","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("549","1","30","8","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("550","1","30","9","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:48:46","2023-08-06 12:48:46","","0","25","0"),
("551","1","30","10","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:47","2023-08-06 12:48:47","","0","25","0"),
("552","1","30","12","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:47","2023-08-06 12:48:47","","0","25","0"),
("553","1","30","13","1","0","2023-08-06","15000","0","15000","","","","0","","0","2023-08-06 12:48:47","2023-08-06 12:48:47","","0","25","0"),
("554","1","30","18","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:48:47","2023-08-06 12:48:47","","0","25","0"),
("555","1","30","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:48:47","2023-08-06 12:48:47","","0","25","0"),
("556","1","31","1","2","0","2023-08-06","90000","90000","0","","","","0","","0","2023-08-06 12:49:03","2023-08-06 12:49:04","","0","25","0"),
("557","1","31","3","1","0","2023-08-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:03","2023-08-06 12:49:03","","0","25","0"),
("558","1","31","3","2","0","2023-09-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:03","2023-08-06 12:49:03","","0","25","0"),
("559","1","31","3","3","0","2023-10-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:03","2023-08-06 12:49:03","","0","25","0"),
("560","1","31","3","4","0","2023-11-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:03","2023-08-06 12:49:03","","0","25","0"),
("561","1","31","3","5","0","2023-12-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("562","1","31","3","6","1","2024-01-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("563","1","31","3","7","0","2024-02-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("564","1","31","3","8","0","2024-03-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("565","1","31","3","9","0","2024-04-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("566","1","31","3","10","0","2024-05-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("567","1","31","3","11","0","2024-06-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("568","1","31","3","12","1","2024-07-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("569","1","31","3","13","0","2024-08-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("570","1","31","3","14","0","2024-09-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("571","1","31","3","15","0","2024-10-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("572","1","31","3","16","0","2024-11-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("573","1","31","3","17","0","2024-12-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("574","1","31","3","18","1","2025-01-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("575","1","31","3","19","0","2025-02-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("576","1","31","3","20","0","2025-03-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("577","1","31","3","21","0","2025-04-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("578","1","31","3","22","0","2025-05-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("579","1","31","3","23","0","2025-06-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("580","1","31","3","24","1","2025-07-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("581","1","31","3","25","0","2025-08-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("582","1","31","3","26","0","2025-09-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("583","1","31","3","27","0","2025-10-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("584","1","31","3","28","0","2025-11-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("585","1","31","3","29","0","2025-12-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("586","1","31","3","30","1","2026-01-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("587","1","31","3","31","0","2026-02-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("588","1","31","3","32","0","2026-03-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("589","1","31","3","33","0","2026-04-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("590","1","31","3","34","0","2026-05-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("591","1","31","3","35","0","2026-06-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("592","1","31","3","36","1","2026-07-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("593","1","31","3","37","0","2026-08-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("594","1","31","3","38","0","2026-09-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("595","1","31","3","39","0","2026-10-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("596","1","31","3","40","0","2026-11-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("597","1","31","3","41","0","2026-12-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("598","1","31","3","42","1","2027-01-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("599","1","31","3","43","0","2027-02-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("600","1","31","3","44","0","2027-03-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("601","1","31","3","45","0","2027-04-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("602","1","31","3","46","0","2027-05-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("603","1","31","3","47","0","2027-06-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("604","1","31","3","48","1","2027-07-06","1250","0","1250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("605","1","31","3","49","0","2027-08-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("606","1","31","3","50","0","2027-09-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("607","1","31","3","51","0","2027-10-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("608","1","31","3","52","0","2027-11-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("609","1","31","3","53","0","2027-12-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("610","1","31","3","54","0","2028-01-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("611","1","31","3","55","0","2028-02-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("612","1","31","3","56","0","2028-03-06","6250","0","6250","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("613","1","31","2","1","0","2025-06-02","50000","0","50000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("614","1","31","8","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("615","1","31","9","1","0","2023-08-06","10000","0","10000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("616","1","31","10","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("617","1","31","12","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("618","1","31","13","1","0","2023-08-06","15000","0","15000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("619","1","31","18","1","0","2023-08-06","5000","0","5000","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("620","1","31","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:49:04","2023-08-06 12:49:04","","0","25","0"),
("621","1","32","1","2","0","2023-08-06","432000","0","432000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("622","1","32","3","1","0","2023-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("623","1","32","3","2","0","2023-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("624","1","32","3","3","0","2023-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("625","1","32","3","4","0","2023-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("626","1","32","3","5","0","2023-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("627","1","32","3","6","0","2024-01-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("628","1","32","3","7","0","2024-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("629","1","32","3","8","0","2024-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("630","1","32","3","9","0","2024-04-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("631","1","32","3","10","0","2024-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("632","1","32","3","11","0","2024-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("633","1","32","3","12","1","2024-07-06","12000","0","12000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("634","1","32","3","13","0","2024-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("635","1","32","3","14","0","2024-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("636","1","32","3","15","0","2024-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("637","1","32","3","16","0","2024-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("638","1","32","3","17","0","2024-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("639","1","32","3","18","0","2025-01-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("640","1","32","3","19","0","2025-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("641","1","32","3","20","0","2025-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("642","1","32","3","21","0","2025-04-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("643","1","32","3","22","0","2025-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("644","1","32","3","23","0","2025-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("645","1","32","3","24","1","2025-07-06","12000","0","12000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("646","1","32","3","25","0","2025-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("647","1","32","3","26","0","2025-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("648","1","32","3","27","0","2025-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("649","1","32","3","28","0","2025-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("650","1","32","3","29","0","2025-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("651","1","32","3","30","0","2026-01-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("652","1","32","3","31","0","2026-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("653","1","32","3","32","0","2026-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("654","1","32","3","33","0","2026-04-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("655","1","32","3","34","0","2026-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("656","1","32","3","35","0","2026-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("657","1","32","3","36","1","2026-07-06","12000","0","12000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("658","1","32","3","37","0","2026-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("659","1","32","3","38","0","2026-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("660","1","32","3","39","0","2026-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("661","1","32","3","40","0","2026-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("662","1","32","3","41","0","2026-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("663","1","32","3","42","0","2027-01-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("664","1","32","3","43","0","2027-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("665","1","32","3","44","0","2027-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("666","1","32","3","45","0","2027-04-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("667","1","32","3","46","0","2027-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("668","1","32","3","47","0","2027-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("669","1","32","3","48","1","2027-07-06","12000","0","12000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("670","1","32","3","49","0","2027-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("671","1","32","3","50","0","2027-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("672","1","32","3","51","0","2027-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("673","1","32","3","52","0","2027-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("674","1","32","2","1","0","2025-06-02","240000","0","240000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("675","1","32","8","1","0","2023-08-06","48000","0","48000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("676","1","32","9","1","0","2023-08-06","48000","0","48000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("677","1","32","10","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("678","1","32","12","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("679","1","32","13","1","0","2023-08-06","72000","0","72000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("680","1","32","18","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("681","1","32","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:54:35","2023-08-06 12:54:35","","0","25","0"),
("682","6","33","1","2","0","2023-08-06","432000","0","432000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("683","6","33","3","1","0","2023-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("684","6","33","3","2","0","2023-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("685","6","33","3","3","1","2023-10-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("686","6","33","3","4","0","2023-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("687","6","33","3","5","0","2023-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("688","6","33","3","6","1","2024-01-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("689","6","33","3","7","0","2024-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("690","6","33","3","8","0","2024-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("691","6","33","3","9","1","2024-04-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("692","6","33","3","10","0","2024-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("693","6","33","3","11","0","2024-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("694","6","33","3","12","1","2024-07-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("695","6","33","3","13","0","2024-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("696","6","33","3","14","0","2024-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("697","6","33","3","15","1","2024-10-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("698","6","33","3","16","0","2024-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("699","6","33","3","17","0","2024-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("700","6","33","3","18","1","2025-01-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("701","6","33","3","19","0","2025-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("702","6","33","3","20","0","2025-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("703","6","33","3","21","1","2025-04-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("704","6","33","3","22","0","2025-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("705","6","33","3","23","0","2025-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("706","6","33","3","24","1","2025-07-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("707","6","33","3","25","0","2025-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("708","6","33","3","26","0","2025-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("709","6","33","3","27","1","2025-10-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("710","6","33","3","28","0","2025-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("711","6","33","3","29","0","2025-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("712","6","33","3","30","1","2026-01-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("713","6","33","3","31","0","2026-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("714","6","33","3","32","0","2026-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("715","6","33","3","33","1","2026-04-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("716","6","33","3","34","0","2026-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("717","6","33","3","35","0","2026-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("718","6","33","3","36","1","2026-07-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("719","6","33","3","37","0","2026-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("720","6","33","3","38","0","2026-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("721","6","33","3","39","1","2026-10-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("722","6","33","3","40","0","2026-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("723","6","33","3","41","0","2026-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("724","6","33","3","42","1","2027-01-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("725","6","33","3","43","0","2027-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("726","6","33","3","44","0","2027-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("727","6","33","3","45","1","2027-04-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("728","6","33","3","46","0","2027-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("729","6","33","3","47","0","2027-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("730","6","33","3","48","1","2027-07-06","3000","0","3000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("731","6","33","3","49","0","2027-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("732","6","33","3","50","0","2027-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("733","6","33","3","51","0","2027-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("734","6","33","3","52","0","2027-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("735","6","33","3","53","0","2027-12-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("736","6","33","3","54","0","2028-01-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("737","6","33","3","55","0","2028-02-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("738","6","33","3","56","0","2028-03-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("739","6","33","3","57","0","2028-04-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("740","6","33","3","58","0","2028-05-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("741","6","33","3","59","0","2028-06-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("742","6","33","3","60","0","2028-07-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("743","6","33","3","61","0","2028-08-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("744","6","33","3","62","0","2028-09-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("745","6","33","3","63","0","2028-10-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("746","6","33","3","64","0","2028-11-06","30000","0","30000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("747","6","33","2","1","0","2025-06-02","240000","0","240000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("748","6","33","8","1","0","2023-08-06","48000","0","48000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("749","6","33","9","1","0","2023-08-06","48000","0","48000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("750","6","33","10","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("751","6","33","12","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("752","6","33","13","1","0","2023-08-06","72000","0","72000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("753","6","33","18","1","0","2023-08-06","24000","0","24000","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("754","6","33","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:54:50","2023-08-06 12:54:50","","0","25","0"),
("755","3","34","1","2","0","2023-08-06","720000","0","720000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("756","3","34","3","1","0","2023-08-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("757","3","34","3","2","0","2023-09-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("758","3","34","3","3","0","2023-10-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("759","3","34","3","4","0","2023-11-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("760","3","34","3","5","0","2023-12-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("761","3","34","3","6","0","2024-01-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("762","3","34","3","7","0","2024-02-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("763","3","34","3","8","0","2024-03-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("764","3","34","3","9","0","2024-04-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("765","3","34","3","10","0","2024-05-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("766","3","34","3","11","0","2024-06-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("767","3","34","3","12","1","2024-07-06","70000","0","70000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("768","3","34","3","13","0","2024-08-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("769","3","34","3","14","0","2024-09-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("770","3","34","3","15","0","2024-10-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("771","3","34","3","16","0","2024-11-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("772","3","34","3","17","0","2024-12-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("773","3","34","3","18","0","2025-01-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("774","3","34","3","19","0","2025-02-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("775","3","34","3","20","0","2025-03-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("776","3","34","3","21","0","2025-04-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("777","3","34","3","22","0","2025-05-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("778","3","34","3","23","0","2025-06-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("779","3","34","3","24","1","2025-07-06","70000","0","70000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("780","3","34","3","25","0","2025-08-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("781","3","34","3","26","0","2025-09-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("782","3","34","3","27","0","2025-10-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("783","3","34","3","28","0","2025-11-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("784","3","34","3","29","0","2025-12-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("785","3","34","3","30","0","2026-01-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("786","3","34","3","31","0","2026-02-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:10","2023-08-06 12:55:10","","0","25","0"),
("787","3","34","3","32","0","2026-03-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("788","3","34","3","33","0","2026-04-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("789","3","34","3","34","0","2026-05-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("790","3","34","3","35","0","2026-06-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("791","3","34","3","36","1","2026-07-06","70000","0","70000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("792","3","34","3","37","0","2026-08-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("793","3","34","3","38","0","2026-09-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("794","3","34","3","39","0","2026-10-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("795","3","34","3","40","0","2026-11-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("796","3","34","3","41","0","2026-12-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("797","3","34","3","42","0","2027-01-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("798","3","34","3","43","0","2027-02-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("799","3","34","3","44","0","2027-03-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("800","3","34","3","45","0","2027-04-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("801","3","34","3","46","0","2027-05-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("802","3","34","3","47","0","2027-06-06","50000","0","50000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("803","3","34","3","48","1","2027-07-06","70000","0","70000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("804","3","34","2","1","0","2025-06-02","400000","0","400000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("805","3","34","8","1","0","2023-08-06","80000","0","80000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("806","3","34","9","1","0","2023-08-06","80000","0","80000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("807","3","34","10","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("808","3","34","12","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("809","3","34","13","1","0","2023-08-06","120000","0","120000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("810","3","34","18","1","0","2023-08-06","40000","0","40000","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("811","3","34","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:55:11","2023-08-06 12:55:11","","0","25","0"),
("812","7","35","1","2","0","2023-08-06","2160000","2160000","0","50010","RC11","2023-08-06","2160000","","0","2023-08-06 12:55:38","2023-08-06 12:58:57","11","0","25","0"),
("813","7","35","3","1","0","2023-08-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("814","7","35","3","2","0","2023-09-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("815","7","35","3","3","0","2023-10-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("816","7","35","3","4","0","2023-11-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("817","7","35","3","5","0","2023-12-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("818","7","35","3","6","0","2024-01-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("819","7","35","3","7","0","2024-02-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("820","7","35","3","8","0","2024-03-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("821","7","35","3","9","0","2024-04-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("822","7","35","3","10","0","2024-05-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("823","7","35","3","11","0","2024-06-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("824","7","35","3","12","0","2024-07-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("825","7","35","3","13","0","2024-08-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("826","7","35","3","14","0","2024-09-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:38","2023-08-06 12:55:38","","0","25","0"),
("827","7","35","3","15","0","2024-10-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("828","7","35","3","16","0","2024-11-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("829","7","35","3","17","0","2024-12-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("830","7","35","3","18","0","2025-01-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("831","7","35","3","19","0","2025-02-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("832","7","35","3","20","0","2025-03-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("833","7","35","3","21","0","2025-04-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("834","7","35","3","22","0","2025-05-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("835","7","35","3","23","0","2025-06-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("836","7","35","3","24","0","2025-07-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("837","7","35","3","25","0","2025-08-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("838","7","35","3","26","0","2025-09-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("839","7","35","3","27","0","2025-10-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("840","7","35","3","28","0","2025-11-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("841","7","35","3","29","0","2025-12-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("842","7","35","3","30","0","2026-01-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("843","7","35","3","31","0","2026-02-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("844","7","35","3","32","0","2026-03-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("845","7","35","3","33","0","2026-04-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("846","7","35","3","34","0","2026-05-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("847","7","35","3","35","0","2026-06-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("848","7","35","3","36","0","2026-07-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("849","7","35","3","37","0","2026-08-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("850","7","35","3","38","0","2026-09-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("851","7","35","3","39","0","2026-10-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("852","7","35","3","40","0","2026-11-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("853","7","35","3","41","0","2026-12-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("854","7","35","3","42","0","2027-01-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("855","7","35","3","43","0","2027-02-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("856","7","35","3","44","0","2027-03-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("857","7","35","3","45","0","2027-04-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("858","7","35","3","46","0","2027-05-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("859","7","35","3","47","0","2027-06-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("860","7","35","3","48","0","2027-07-06","155000","0","155000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("861","7","35","2","2","0","2025-06-02","1200000","0","1200000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("862","7","35","8","1","0","2023-08-06","240000","0","240000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("863","7","35","9","1","0","2023-08-06","240000","0","240000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("864","7","35","10","1","0","2023-08-06","120000","0","120000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("865","7","35","12","1","0","2023-08-06","120000","0","120000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("866","7","35","13","1","0","2023-08-06","360000","0","360000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("867","7","35","18","1","0","2023-08-06","120000","0","120000","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("868","7","35","19","1","0","2023-08-06","0","0","0","","","","0","","0","2023-08-06 12:55:39","2023-08-06 12:55:39","","0","25","0"),
("869","2","13","19","1","0","2023-08-06","15000","0","15000","","","","0","","0","2023-08-06 13:09:12","2023-08-06 13:09:12","","0","","0"),
("870","6","36","1","2","0","2023-08-07","500000","90000","0","","","","0","","0","2023-08-07 13:20:18","2023-08-07 13:20:19","","0","25","0"),
("871","1","29","19","2","0","2023-08-07","35000","0","35000","","","","0","","0","2023-08-07 13:50:49","2023-08-07 13:50:49","","0","","0");



DROP TABLE IF EXISTS customers;

CREATE TABLE `customers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `membership_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `father_name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `cnic` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_paid_amount` double NOT NULL DEFAULT 0,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `img_url` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `nominee_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_so_do_wo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_cnic` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `passport_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_passport_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `res_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_res_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_mobile_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `occupation` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mailing_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nominee_email` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_type` int(11) DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `cnic_flag` tinyint(4) DEFAULT 1,
  `nominee_cnic_flag` tinyint(4) DEFAULT 1,
  `nominee_father_type` tinyint(4) DEFAULT NULL,
  `password` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_filer` tinyint(1) NOT NULL DEFAULT 0,
  `ntn_number` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `nominee_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_title` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_id` int(11) DEFAULT NULL,
  `iban_number` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_owner` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `second_owner` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_owner_father` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `second_owner_father` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_owner_cnic` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `second_owner_cnic` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `buy_back_total` double NOT NULL DEFAULT 0,
  `roll_over_total` double NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO customers VALUES("1","","Abdul Basit","Shafaqat Ali","7654345676543","","","505000","1","","2023-07-10 22:08:24","2023-07-12 18:25:26","","","","","","","","","03085107551","","","","","Rawalpindi","Rawalpindi","","1","0","","","","$2y$10$tsu0gGbZEwlVz7xJJnlx5eY.meRpIph1STKD4awqhPhLR6n8fNgu2","","0","","0","","","","","","","","","","","","0","0"),
("2","","Musaddiq Ghufran","Shafaqat Ali","7654323456785","","","0","1","","2023-07-10 22:08:58","2023-07-10 22:08:58","","","","","","","","","03355608883","","","","","Karachi","Karachi","","1","0","","","","$2y$10$JpDl520HFX30AHWCRM/yn.3jkj3qeEwpXLrEBaasrvAxuBzIFfX5S","","1","","0","","","","","","","","","","","","0","0"),
("3","","Ahmad Raza","Raza Ali","9876543234567","","","0","1","","2023-07-10 22:09:34","2023-07-10 22:09:34","","","","","","","","","03121212121","","","","","Kahuta","Kahuta","","1","0","","","","$2y$10$vCusnsiTHz1ONBQvcvhUZO0Dh06TeXqCA1TmoQxSv.JnmWnud5XYy","","1","","0","","","","","","","","","","","","0","0"),
("4","","Wasif Mehmood","Mehmood Malik","8765234542987","","","0","1","","2023-07-10 22:10:12","2023-07-10 22:10:12","","","","","","","","","03171717171","","","","","Talagang","Talagang","","1","0","","","","$2y$10$nuqsjZK9Oumnp/DzvyIdqeWUkoWjktF1UdnikQ.WenE4vp.tgp6NG","","1","","0","","","","","","","","","","","","0","0"),
("5","","Hamza Qaiser","Qaiser","7654345676549","","","0","1","","2023-07-10 23:32:28","2023-07-11 14:56:01","","","","","","","","","03454545454","","","","","Islamabad","Rawalpindi","","1","0","1","","","$2y$10$Jzr0.WwMaq1mbmG577Cap.2XlO2LfE1pgOgQSHIiC3it5SFfX46ua","","1","","0","","","","","Umair Qaiser","","Qaiser","","7654345676544","","","0","0"),
("6","","Abdul Rehman","Rana Sabir","3234234235522","","","0","1","6-1-202304271214download (3).jpg","2023-07-14 16:08:06","2023-07-14 16:08:06","","","","","","","","","+92301234567","","","1991-12-12","","Karachi","Karachi","","","0","1","1","","$2y$10$wt/R76GCb8AOVDp1pN/iDO0KGUrulhNWta7Uylx/X47W8KvTriM/.","","1","","0","","","","","","","","","","","0","0","0"),
("7","","John","David","123456789564","john@erp.com","3254841126","2190000","1","","2023-07-31 15:38:30","2023-08-06 12:58:57","","","","","","","","","","","","","","ddas dasd","rawalpindi street 10","","","0","1","1","","$2y$10$HJP9NOO6t0pBKC9/GglS0OBKwyCD3BQZ3g4.ignEaenmUgNs1TaQW","","1","1023","0","","","","","","","","","","","","0","0"),
("8","","Shawn Marsh","John Marsh","113456789564","john@erp.com","","30000","1","","2023-08-06 03:40:10","2023-08-06 03:40:10","","","","","","","","","3254841126","","","","","ddas dasd","rawalpindi street 10","","","0","1","1","","$2y$10$V34jmeNlODAJrqOeGNyqRe8gakry7Xv.BB27JFsti8JWl5SbU1gOa","","1","1023","0","","","","","","","","","","","","0","0");



DROP TABLE IF EXISTS customers_fingerprints;

CREATE TABLE `customers_fingerprints` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `image` blob NOT NULL,
  `template` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `encodeWEQ` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_open_file_cancel_receipts;

CREATE TABLE `dealer_open_file_cancel_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `openfile_dealer_info_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) DEFAULT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `company_account` int(11) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_approved` tinyint(4) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(4) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(4) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(4) DEFAULT NULL,
  `tax_payment_received` tinyint(4) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_package_paid_amounts;

CREATE TABLE `dealer_package_paid_amounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_package_id` bigint(20) NOT NULL,
  `amount` double NOT NULL,
  `voucher_generated` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=> not generated, 1=> generated ',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_approved` tinyint(4) NOT NULL DEFAULT 0,
  `payment_method` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_package_receipts;

CREATE TABLE `dealer_package_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `dealerpackage_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `company_account` int(11) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) DEFAULT 0,
  `is_approved` tinyint(4) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(4) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(4) DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(4) DEFAULT NULL,
  `tax_payment_received` tinyint(4) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `notify_sms` tinyint(4) NOT NULL DEFAULT 0,
  `notify_email` tinyint(4) NOT NULL DEFAULT 0,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_packages;

CREATE TABLE `dealer_packages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `package_id` bigint(20) NOT NULL,
  `dealer_id` bigint(20) NOT NULL,
  `issue_date` date NOT NULL,
  `payment_status` tinyint(4) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_approved` tinyint(4) NOT NULL DEFAULT 0,
  `inventory_status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0 => not , 1=>created',
  `multi_project_id` bigint(20) DEFAULT NULL,
  `expiry_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO dealer_packages VALUES("1","1","2","2023-07-13","1","2023-07-13 18:53:53","2023-07-13 18:59:55","0","1","1","25","2023-07-12"),
("2","1","2","2023-07-16","1","2023-07-17 13:58:35","2023-07-17 13:59:56","0","1","1","25","2023-07-18");



DROP TABLE IF EXISTS dealer_paid_rebates;

CREATE TABLE `dealer_paid_rebates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `property_id` int(11) DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `account_id` int(11) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_account` int(10) unsigned DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  `tax_amount` double(8,2) NOT NULL DEFAULT 0.00,
  `dealer_package_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dealer_paid_rebates_dealer_id_foreign` (`dealer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO dealer_paid_rebates VALUES("1","2","100000","2023-08-01","2023-08-01 18:24:00","2023-08-01 18:24:00","15","0","","1","","","","","","0","12000.00",""),
("2","2","100000","2023-08-01","2023-08-01 18:24:05","2023-08-01 18:24:05","15","0","","1","","","","","","0","0.00","");



DROP TABLE IF EXISTS dealer_received_amounts;

CREATE TABLE `dealer_received_amounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` int(10) unsigned NOT NULL,
  `customer_property_id` int(10) unsigned NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` double NOT NULL,
  `date` date NOT NULL,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjacement_type` int(11) DEFAULT NULL,
  `adjacement_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dealer_received_amounts_dealer_id_index` (`dealer_id`),
  KEY `dealer_received_amounts_customer_property_id_index` (`customer_property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_refund_open_file_unit_receipts;

CREATE TABLE `dealer_refund_open_file_unit_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `openfile_dealer_info_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) DEFAULT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `company_account` int(11) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_approved` tinyint(4) DEFAULT NULL,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(4) DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(4) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(4) DEFAULT NULL,
  `tax_payment_received` tinyint(4) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS dealer_transactions;

CREATE TABLE `dealer_transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint(20) DEFAULT NULL,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `amount` double NOT NULL DEFAULT 0,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_book` int(1) NOT NULL DEFAULT 0,
  `dealer_package_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dealer_transactions_dealer_id_foreign` (`dealer_id`),
  KEY `dealer_transactions_product_id_foreign` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO dealer_transactions VALUES("1","1","1","30000","0","2023-07-10 22:15:28","2023-07-10 22:15:28","0",""),
("2","2","2","40000","0","2023-07-10 22:32:17","2023-07-10 22:32:17","0",""),
("3","3","2","600000","0","2023-07-10 23:41:54","2023-07-10 23:41:54","0",""),
("4","15","2","600000","0","2023-07-14 15:49:10","2023-07-14 15:49:10","0",""),
("5","16","2","25000","0","2023-07-14 16:08:07","2023-07-14 16:08:07","0",""),
("6","19","2","40000","0","2023-07-18 19:56:38","2023-07-18 19:56:38","0",""),
("7","20","2","40000","0","2023-08-06 11:40:29","2023-08-06 11:40:29","0",""),
("8","21","1","48000","0","2023-08-06 11:40:50","2023-08-06 11:40:50","0",""),
("9","22","1","240000","0","2023-08-06 11:41:16","2023-08-06 11:41:16","0",""),
("10","23","2","40000","0","2023-08-06 11:42:24","2023-08-06 11:42:24","0",""),
("11","24","2","40000","0","2023-08-06 11:42:44","2023-08-06 11:42:44","0",""),
("12","25","2","40000","0","2023-08-06 11:43:01","2023-08-06 11:43:01","0",""),
("13","26","2","40000","0","2023-08-06 11:43:15","2023-08-06 11:43:15","0",""),
("14","27","2","40000","0","2023-08-06 11:43:46","2023-08-06 11:43:46","0",""),
("15","28","1","48000","0","2023-08-06 11:44:24","2023-08-06 11:44:24","0",""),
("16","32","2","120000","0","2023-08-06 12:54:35","2023-08-06 12:54:35","0",""),
("17","33","2","120000","0","2023-08-06 12:54:50","2023-08-06 12:54:50","0",""),
("18","34","2","120000","0","2023-08-06 12:55:10","2023-08-06 12:55:10","0",""),
("19","35","1","720000","0","2023-08-06 12:55:38","2023-08-06 12:55:38","0","");



DROP TABLE IF EXISTS dealer_types;

CREATE TABLE `dealer_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO dealer_types VALUES("1","Agent","1","2023-07-10 20:33:36","2023-07-10 20:33:36"),
("2","Company","1","2023-07-10 20:33:41","2023-07-10 20:33:41");



DROP TABLE IF EXISTS dealers;

CREATE TABLE `dealers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cnic` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reg_no` int(11) DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_sale` double NOT NULL DEFAULT 0,
  `total_rebate` double NOT NULL DEFAULT 0,
  `total_paid_amount` double NOT NULL DEFAULT 0,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `percentage` double(8,2) NOT NULL DEFAULT 0.00,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `city_id` int(10) unsigned DEFAULT NULL,
  `dealer_type_id` int(10) unsigned DEFAULT NULL,
  `parent_dealer` int(10) unsigned DEFAULT NULL,
  `parent_dealer_percentage` double(8,2) DEFAULT NULL,
  `code` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `down_payment_rebate` float NOT NULL DEFAULT 50,
  `installment_rebate` float NOT NULL DEFAULT 50,
  `paid_installment_rebate` int(11) NOT NULL DEFAULT 8,
  `password` varchar(110) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(110) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rebate_in_percent` tinyint(4) DEFAULT 1,
  `is_filer` tinyint(1) DEFAULT 0,
  `ntn_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dealers_city_id_foreign` (`city_id`),
  KEY `dealers_dealer_type_id_foreign` (`dealer_type_id`),
  KEY `dealers_parent_dealer_foreign` (`parent_dealer`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO dealers VALUES("1","Ahmed Habib","54434-3454545-4","","","","","18100000","1086000","0","1","6.00","2023-07-10 21:40:20","2023-08-06 12:55:38","68","1","","","d-203","0","50","50","8","$2y$10$pFnTkpQdioHQEiMIKtHFW.mc.nXbmLMyFVUeIc8b.3BypjbCbpJ..","","1","1",""),
("2","Hamza Satti","54434-3487645-4","","","","","39700000","1905000","200000","1","5.00","2023-07-10 21:41:18","2023-08-06 12:55:10","68","1","","","d-204","0","50","50","8","$2y$10$wUhBy7c7eX8otT0Q7lvDkuOb.sDNteNknxzKcrDaAU4uFZbooc//2","","1","1","");



DROP TABLE IF EXISTS departments;

CREATE TABLE `departments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `department_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `deleted_at` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS depositor_banks;

CREATE TABLE `depositor_banks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO depositor_banks VALUES("1","HBL","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("2","UBL","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("3","National Bank of Pakistan","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("5","The Bank of Khyber","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("6","The Bank of Punjab","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("9","Sindh Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("10","Zarai Tarqiati Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("11","MCB Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("16","JS Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("21","SILKBANK Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("23","Meezan Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("24","Al-Baraka Bank (Pakistan) Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("26","MCB Islamic Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("32","Allied Bank limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("33","Bank Al-Falah Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("34","Bank Al-Habib Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("35","Habib Metropolitan Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("37","Faysal Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("38","Askari Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("39","Standard Chartered Bank","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("40","Soneri Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("42","Summit Bank Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("45","Bank Islami Pakistan Limited","0000-00-00 00:00:00","0000-00-00 00:00:00"),
("47","Dubai Islamic Bank Pakistan","0000-00-00 00:00:00","0000-00-00 00:00:00");



DROP TABLE IF EXISTS designations;

CREATE TABLE `designations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS development_charges;

CREATE TABLE `development_charges` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `charges_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_approved` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `schedule_type` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS direct_ballon_map_detail_categories;

CREATE TABLE `direct_ballon_map_detail_categories` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ballon_map_detail_id` bigint(20) NOT NULL,
  `category_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO direct_ballon_map_detail_categories VALUES("1","1","4","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("2","2","5","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("3","3","2","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("4","4","1","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("5","5","1","2023-08-06 11:51:29","2023-08-06 11:51:29"),
("6","5","5","2023-08-06 11:51:29","2023-08-06 11:51:29"),
("7","6","4","2023-08-06 12:34:57","2023-08-06 12:34:57"),
("8","7","1","2023-08-06 12:34:57","2023-08-06 12:34:57"),
("9","7","5","2023-08-06 12:34:57","2023-08-06 12:34:57"),
("10","8","4","2023-08-06 12:34:58","2023-08-06 12:34:58"),
("11","8","2","2023-08-06 12:34:58","2023-08-06 12:34:58"),
("12","9","1","2023-08-06 12:34:58","2023-08-06 12:34:58");



DROP TABLE IF EXISTS direct_balloting_map_details;

CREATE TABLE `direct_balloting_map_details` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `direct_balloting_map_file_id` bigint(20) NOT NULL,
  `sr_no` bigint(20) DEFAULT NULL,
  `plot_no` bigint(20) DEFAULT NULL,
  `area` double DEFAULT NULL,
  `feature` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `exact_odd` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sector` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `road_category` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_property_id` bigint(20) DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  `unit_type_id` bigint(20) DEFAULT NULL,
  `unit_block_id` bigint(20) DEFAULT NULL,
  `unit_floor_id` bigint(20) DEFAULT NULL,
  `unit_category_ids` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `inventory_id` bigint(20) DEFAULT NULL,
  `balloting_status` tinyint(4) NOT NULL DEFAULT 0,
  `street` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnic` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `membershipno` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO direct_balloting_map_details VALUES("1","1","1","1","5","Main Boulevard","Odd","A","30","","1","3","5","9","","30","2","a12","Residencial","9876543234567","AAA_BC_0018","2023-07-17 14:28:52","2023-07-17 14:30:41"),
("2","1","2","2","5","Main Road","Exact","B","35","","1","3","6","10","","","0","C","Residencial","9876543234567","AAA_BC_0017","2023-07-17 14:28:52","2023-07-17 16:21:47"),
("3","1","3","3","5","Park Facing","Exact","C","40","","1","3","7","11","","8","1","E","Residencial","7654323456785","AAA_BC_0012","2023-07-17 14:28:52","2023-07-17 16:20:25"),
("4","1","4","4","5","Corner","Exact","D","45","","1","3","8","12","","9","1","E-12","Residencial","7654345676543","AAA_BC_0014","2023-07-17 14:28:52","2023-07-17 14:30:12"),
("5","2","1","30","8","Corner+Main Road","Odd","B","30","","2","3","6","13","","44","2","1","Residencial","113456789564","A6","2023-08-06 11:51:29","2023-08-06 11:58:04"),
("6","3","1","31","8","Main Boulevard","Odd","A","30","","2","3","5","15","","46","2","3","Residencial","7654345676549","A3","2023-08-06 12:34:57","2023-08-06 12:43:13"),
("7","3","2","32","8","Corner+Main Road","Exact","B","35","","2","3","6","16","","","0","4","Residencial","8765234542987","A11","2023-08-06 12:34:57","2023-08-06 12:37:43"),
("8","3","3","33","8","Main Boulevard+Park Facing","Exact","C","40","","2","3","7","17","","","0","5","Residencial","8765234542987","A5","2023-08-06 12:34:58","2023-08-06 12:34:58"),
("9","3","4","34","8","Corner","Exact","D","45","","2","3","8","18","","43","1","6","Residencial","7654323456785","A7","2023-08-06 12:34:58","2023-08-06 12:35:56");



DROP TABLE IF EXISTS direct_balloting_map_files;

CREATE TABLE `direct_balloting_map_files` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `path` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `publish` tinyint(4) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO direct_balloting_map_files VALUES("1","Testing","excel/1689586116_directexample.xlsx","1","17-07-2023","1689586116_directexample.xlsx","1","2023-07-17 14:28:36","2023-07-17 14:30:12","25"),
("2","Testing 1.0","excel/1691304673_directexample (1).xlsx","1","","1691304673_directexample (1).xlsx","1","2023-08-06 11:51:13","2023-08-06 11:51:46","25"),
("3","Testing 2.0","excel/1691307267_directexample (2).xlsx","1","","1691307267_directexample (2).xlsx","1","2023-08-06 12:34:27","2023-08-06 12:35:56","25");



DROP TABLE IF EXISTS dnfbp;

CREATE TABLE `dnfbp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `fname` varchar(50) NOT NULL,
  `cnic` varchar(50) NOT NULL,
  `district` varchar(50) NOT NULL,
  `province` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3173 DEFAULT CHARSET=utf8mb4;

INSERT INTO dnfbp VALUES("2","  Zain Haider","Ahmad Nawaz","3810481580749","Punjab","BHAKKAR"),
("3"," Abdul Ghafoor","Muhammad Nazir ","8210350884027","AJ&K","HAVELI"),
("4","Aamir Bilal alias Babu Jhangvee ","Muhammad Bilal ","3640177467701","Punjab","PAKPATTAN"),
("5","Abbas","Mohammad Ali. ","5440044885249","Balochistan","QUETTA"),
("6","Abdar Rehman ","Muhammad Yousaf","3720139466545","Punjab","CHAKWAL"),
("7","Abdul Ahad","Muhammad Hussain","1620223292179","KP","SWABI"),
("8","Abdul Aleem","Habib-ur-Rehman","3230405368119","Punjab","Muzaffargarh"),
("9","Abdul Asghar Aziz ","Muhammad Azam Khan ","3830260632903","Punjab","MIANWALI"),
("10","Abdul Azeem","Habib Mulla","1530293896815","KP","LOWER DIR (AT TEMERGARA)"),
("11","Abdul Aziz","Deen Muhammad ","3310060613503","Punjab","FAISALABAD"),
("12","Abdul Aziz ","Abdul Rasheed ","3810236348825","Punjab","BHAKKAR"),
("13","Abdul Aziz Faisal","Muhammad Suleman","3710303276027","Punjab","ATTOCK"),
("14","Abdul Badi","Abdul Hayi","4540226369835","Punjab","BAHAWALNAGAR"),
("15","Abdul basit ","Allah bakhash","3320353463967","Punjab","Jhang"),
("16","Abdul Basit","Ghulam Hussain","3230391070849","Punjab","Muzaffargarh"),
("17","Abdul Basit ","Ain Ullah ","4240165931273","Sindh","Karachi"),
("18","Abdul Basit Nizami","Abdul Wahid","3110416529505","Punjab","BAHAWALNAGAR"),
("19","Abdul Ghaffar ","Ali Muhammad ","3630275529953","Punjab","MULTAN"),
("20","Abdul Ghaffar ","Jameel Ahmad ","3410185992463","Punjab","GUJRANWALA"),
("21","Abdul Ghaffar","Ghullam Sarwer","3320247438725","Punjab","Jhang"),
("22","Abdul Ghaffar ","Ilam Din ","3410143162069","Punjab","GUJRANWALA"),
("23","Abdul Ghaffar ","Muhammad Urus ","4340203958225","Sindh","KAMBAR SHAHDADKOT"),
("24","Abdul Ghaffar  ","Muhammad Mukhtiar","3120434228149","Punjab","BAHAWALPUR"),
("25","Abdul Ghaffar alias Ghaffri ","Sher Shah ","3310094453975","Punjab","CHAKWAL"),
("26","Abdul Ghafoor","Sheikh Noor Muhammad","3320248734053","Punjab","Jhang"),
("27","Abdul Ghafoor Abid","Ali Muhammad","3220216810765","Punjab","LAYYAH"),
("28","Abdul Ghafoor Haqani","Ghulam Shabbir","3810106878767","Punjab","BHAKKAR"),
("29","Abdul Ghafoor Shah","Sahib Shah","3230166745113","Punjab","Muzaffargarh"),
("30","Abdul Ghafoor Tabani ","Muhammad Nazir  ","8120269022711","AJ&K","KOTLI"),
("31","Abdul Hafeez","Mian Alam","3420103737425","Punjab","GUJRAT"),
("32","Abdul Hafeez","Abdul Aziz","3830187839633","Punjab","Mianwali"),
("33","Abdul Hafeez","Muhammad Ibrahim","3540416062129","Punjab","Sheikhupura"),
("34","Abdul Hafeez Raza ","Abdul Rasheed Gujjar ","3110311500407","Punjab","BAHAWALNAGAR"),
("35","Abdul Hakeem ","Ahmed Caste Nasar Zahri Caste Zakri","5650348384365","Balochistan","ZHOB"),
("36","Abdul Haleem","Ilam Din","3540148953461","Punjab","Sheikhupura"),
("37","Abdul Haleem @ Saifullah ","Muhammad Razzaq (Haleem)","4240184637399","Sindh","Karachi"),
("38","Abdul Hameed ","Janan Kashmiri","","Sindh",""),
("39","Abdul Hameed","Muhammad Yousaf","3320308396977","Punjab","Jhang"),
("40","Abdul Hameed","Bagh Ali","3630246141029","Punjab","MULTAN"),
("41","Abdul Hameed","Muhammad Nawaz","4250114449559","Punjab","RAJANPUR"),
("42","Abdul Hameed","Haji Tilan ","3240462832361","Punjab","RAJANPUR"),
("43","Abdul Hameed","Hameed Gul","1430143617655","KP","KOHAT"),
("44","Abdul Hameed ","Abdul Ghafoor ","5160211409965","Balochistan","QUETTA"),
("45","Abdul Hameed alias Abu Dajana","ABDUL MAJEED ","3220390658069","Punjab","LAYYAH"),
("46","Abdul Hameed Bugti","Ali Murad Bugti","0000000000005","Sindh","KARACHI SOUTH"),
("47","Abdul Hameed Khalid","Khalil","3810247160353","Punjab","BHAKKAR"),
("48","Abdul Hameed Khan","Rahim Bakhsh ","3120102813963","Punjab","BAHAWALPUR"),
("49","Abdul Hanan ","Muhammad Sardar","3660128812233","Punjab","VEHARI"),
("50","Abdul Hanan alias Sheikh Hanan","Abdul Waheed ","3230443831503","Punjab","BAHAWALPUR"),
("51","Abdul Hanan Farooqi ","Salabit Ali ","3330394233387","Punjab","TOBA TEK SINGH"),
("52","Abdul Haq","Taj Muhammad/Haji","1730119767069","KP","PESHAWAR"),
("53","Abdul Islam","Akhtar Ali","3110416954291","Punjab","BAHAWALNAGAR"),
("54","Abdul Jabbar","Muhammad yousaf","3460284918843","Punjab","Sialkot"),
("55","Abdul Jabbar ","Ahmad Ali ","3310028671433","Punjab","FAISALABAD"),
("56","Abdul Jabbar","Abdul Khaliq","3610297550021","Punjab","KHANEWAL"),
("57","ABDUL JABBAR","MIAN MUHAMMAD HUSSAIN","3420233630033","Punjab","GUJRAT"),
("58","Abdul Jabbar","Hakim Ali Mallah","4530471615359","Sindh","N-Feroze"),
("59","Abdul Jabbar ","Sher Shah ","3310038471557","Punjab","CHAKWAL"),
("60","Abdul Jabbar","Abdul Ghafoor","3240341783017","Punjab","RAJANPUR"),
("61","Abdul Jalil","Kechi Khan","5440012024887","Balochistan","QUETTA"),
("62","Abdul kabeer","Ghullam Shabir","3320274623087","Punjab","Jhang"),
("63","Abdul Karam ","Gul","1111111111110","KP","PESHAWAR"),
("64","ABDUL KAREEM","KHUDA BAKHSH","3220280631795","Punjab","Layyah"),
("65","Abdul Kareem alias Asad (Chohan)","Muhammad Hafeez","3650169802817","Punjab","SAHIWAL"),
("66","Abdul Kareem alias Bagu ","Malik Muhammad Musa ","3120103552155","Punjab","BAHAWALPUR"),
("67","Abdul karim ","Abdul Sattar (late) ","3240214531357","Punjab","RAJANPUR"),
("68","Abdul Khaliq ","Ahmed Khan ","3310502911799","Punjab","FAISALABAD"),
("69","Abdul Khaliq","Mian Muhammad","6110142161485","Punjab","ATTOCK"),
("70","Abdul Khaliq "," Abdul Ur Rehman","8230107943359","AJ&K","Kot Kuian Abbaspur, Poonch"),
("71","Abdul lateef","Chauhdary Muhammad Sidique","3320268796295","Punjab","Jhang"),
("72","Abdul Lateef Lashari","Piyara Khan Lashari","5340333762323","Balochistan","JAFFARABAD"),
("73","Abdul Latif ","Muhammad ","3110185982115","Punjab","BAHAWALNAGAR"),
("74","Abdul Latif alias Abdul Latif  ","Nizam Ul Din","3630293288803","Punjab","MULTAN"),
("75","Abdul Latif Tariq ","Muhammad Din ","3730122469713","Punjab","JHELUM"),
("76","Abdul Majeed ","Lal Khan","3210209199605","Punjab","DERA GHAZI KHAN"),
("77","ABDUL MAJEED","ABDUL RASHEED","3220209649867","Punjab","LAYYAH"),
("78","Abdul Majeed ","Muhammad Yusuf","1310164241659","Punjab","Gujrat"),
("79","Abdul Majeed ","Abdul Salam","5621038467033","Balochistan","KILLA SAIFULLAH"),
("80","Abdul Majeed ","Muhammad Yousaf","1310164244659","Punjab","GUJRAT"),
("81","Abdul Majeed","Allah Ditta","3810261319559","Punjab","BHAKKAR"),
("82","Abdul Majeed @ Javed ","Abdul Malik Brohi","4330490512693","Sindh","Shikarpur"),
("83","Abdul Majeed Sajid","Ghulam Haider","3320199491083","Punjab","CHINIOT"),
("84","Abdul Majid ","Muhammad Hanif Anwar ","3410352991651","Punjab","GUJRANWALA"),
("85","Abdul Majid alias Saad Ullah","Jan Muhammad","3530232262661","Punjab","OKARA"),
("86","Abdul Manan","Muhammad Afzal","3520247249315","Punjab","LAHORE"),
("87","Abdul Manan","Abdul Aziz","3630269320369","Punjab","MULTAN"),
("88","Abdul Mateen ","Abdul Hameed Khan ","3210227021661","Punjab","DERA GHAZI KHAN"),
("89","Abdul Mateen","Gul","1570444343623","KP","UPPER DIR (AT DIR)"),
("90","Abdul Matin ","Abdul Raheem ","3450247197315","Punjab","Narowal"),
("91","Abdul Maula","Syed Sharif","1540289118247","KP","MALAKAND P.A."),
("92","Abdul Qadeer ","Abdul Rehman ","4130374333995","Sindh","Hyderabad"),
("93","Abdul Qadeer alias Sheikh ","Sheikh Abdullah","3740579843871","Punjab","RAWALPINDI"),
("94","Abdul Qadeer Khalti ","Sher Muhammad","3240391285837","Punjab","RAJANPUR"),
("95","Abdul Qadoos Nadeem "," Ahsan-ul-Haq","3320313589105","Punjab","JHANG"),
("96","Abdul Qadus","Abdul Wahid","5170103396819","Balochistan","WASHUK"),
("97","Abdul Qayoom","Sher jan","1710103992313","Sindh","KAMBAR SHAHDADKOT"),
("98","Abdul Qayoum ","Abdul Haq","NIL","Sindh","Hyderabad"),
("99","Abdul Qayum","Gul Zada","1530586034943","KP","LOWER DIR (AT TEMERGARA)"),
("100","Abdul Qayyum","Muhammad Siddique","3720360483793","Punjab","CHAKWAL"),
("101","Abdul Qayyum","Muhammad Inayat","3710407572473","Punjab","Attock    "),
("102","Abdul Qayyum Chohan ","Manzoor Ahmed ","3460297394857","Punjab","SIALKOT"),
("103","Abdul Qayyum Usmani ","Imam Bakhsh ","3810271630553","Punjab","BHAKKAR"),
("104","Abdul Raheem ","Abdul Qadir","3660213853745","Punjab","VEHARI"),
("105","Abdul Rahim","Nawaz Mir Wali","1410191045365","KP","Hangu"),
("106","Abdul Rasheed ","Ch. Abdul Latif ","3410249729783","Punjab","GUJRANWALA"),
("107","Abdul Rasheed alias Kutian Wala ","Abdul Rehman ","3530227979275","Punjab","OKARA"),
("108","Abdul Rasheed alias Peer Jee ","Dost Muhammad ","3130161104227","Punjab","RAHIM YAR KHAN"),
("109","Abdul Rasheed Shah ","Abdullah Shah Bukhari","4550436797357","Sindh","Sukkur"),
("110","ABDUL RAUF","MUHAMMAD ALI","3630266591243","Punjab","Multan"),
("111","Abdul Rauf alias Doctor ","Allah Ditta Khan ","3240368996787","Punjab","RAJANPUR"),
("112","Abdul Rauf alias Rofi ","Gull Ahmad Shah ","3120195572519","Punjab","BAHAWALPUR"),
("113","Abdul Rauf Asghar ","Allah Bakhsh Sabir ","3120267899419","Punjab","BAHAWALPUR"),
("114","Abdul Rauf Nizami ","Muhammad Abdullah Nizami","8220309539299","AJ&K","MUZAFFARABAD"),
("115","Abdul Razaq","Abdul Ghafoor","1540225329295","KP","MALAKAND P.A."),
("116","Abdul Raziq","Abdul Jabbar","1210111140677","KP","DERA ISMAIL KHAN"),
("117","Abdul Raziq","Sikandar Shah","1610111582481","KP","MARDAN"),
("118","Abdul razzaq","Muhammad Hussain","3320314285209","Punjab","Jhang"),
("119","Abdul Razzaq ","Muhammad Ismail Panhwar","4540135201729","Sindh",""),
("120","Abdul Razzaq ","Mukhtar Ahmed","4210115098729","Sindh","Karachi"),
("121","Abdul Razzaq","Muhammad Khan","1540257041987","KP","MALAKAND P.A."),
("122","Abdul Razzaq ","Abdul Rehman ","3810160651693","Punjab","BHAKKAR"),
("123","Abdul Rehman","Wazir Ahmed Tahir","3840320506127","Punjab","SARGODHA"),
("124","Abdul Rehman ","Abdul Hameed ","3240271987885","Punjab","RAJANPUR"),
("125","Abdul Rehman ","Patay Ullah Khan ","3840177568133","Punjab","CHAKWAL"),
("126","Abdul Rehman","Rorai","1530713681769","KP","LOWER DIR (AT TEMERGARA)"),
("127","Abdul Rehman","Badshah Rehman","1530476050609","KP","Dir Lower"),
("128","Abdul Rehman","Bakht Zaib Bacha","1530787564025","KP","LOWER DIR (AT TEMERGARA)"),
("129","Abdul Rehman","Amir Khan","1620193952989","KP","SWABI"),
("130","Abdul Rehman ","Gul Nawaz","2170556512019","Sindh","Karachi"),
("131","Abdul Rehman ","Rasheed Ahmad ","3320371645081","Punjab","FAISALABAD"),
("132","Abdul Rehman ","Abdul Shakoor ","3310280324005","Punjab","FAISALABAD"),
("133","Abdul Rehman ","Muhammad Ramzan ","3320267483611","Punjab","RAWALPINDI"),
("134","Abdul Rehman ","Abdul Hameed ","3120102903865","Punjab","BAHAWALPUR"),
("135","Abdul Rehman","Noor Muhammad","3540116384153","Punjab","Sheikhupura"),
("136","Abdul Rehman @ Ibrahim ","Habib ur Rehman ","NIL","Sindh","Karachi"),
("137","Abdul Rehman Abid","Muhammad Shareef","3330120782383","Punjab","Sheikhupura"),
("138","Abdul Rehman alias Manna ","Khushi Muhammad","3120570621759","Punjab","BAHAWALPUR"),
("139","Abdul Rehman alias Rehmani","ABDUL SHAKOOR","3220274638329","Punjab","LAYYAH"),
("140","Abdul Rehman Nasir Caste Raja","Raja Nasir Nawaz","3730156181161","Punjab","JHELUM"),
("141","Abdul Saboor Shakir ","Muhammad Aziz ","3310627363805","Punjab","TOBA TEK SINGH"),
("142","Abdul Saeed","Dost Muhammad","1530585643919","KP","LOWER DIR (AT TEMERGARA)"),
("143","Abdul Salaam","Muhib Ullah (Ghareeb Ullah)","1570174089677","KP","Dir Upper"),
("144","Abdul Salam","Muhammad Bakhsh","3620209196933","Punjab","LODHRAN"),
("145","Abdul Salam","Muhammad Yousaf","3460229127191","Punjab","Sialkot"),
("146","Abdul Salam ","Hafiz Muhammad Abu Al-Qasim","3530183876747","Punjab","SHEIKHUPURA"),
("147","Abdul Salik (alias Abdul Malik)","Abdul Hakeem Khan","8240155815169","AJ&K","SUDHNOTI"),
("148","Abdul Samad","Muhammad Amin","3540453357213","Punjab","Sheikhupura"),
("149","Abdul Samad","Abdul Salam","1330249184593","KP","HARIPUR"),
("150","Abdul Samad alias Abdul Qahar ","Mouj Ali","3420214046047","Punjab","RAJANPUR"),
("151","Abdul Sami","Mian Allah Bakhsh","3230433351699","Punjab","MUZAFFARGARH"),
("152","Abdul Sami @ Abdul Samad ","Samiullah","2170584649159","Sindh","Karachi"),
("153","Abdul Sami Yasir alias Ubaid Caste Thaheem","Abdul Rehman","3120267326787","Punjab","BAHAWALPUR"),
("154","Abdul Sattar","Haji Yar Muhammad","3210380441065","Punjab","DERA GHAZI KHAN"),
("155","Abdul Sattar ","Sufi Allah Ditta ","3460233094959","Punjab","SIALKOT"),
("156","Abdul Sattar","Muhammad Ali","3540416369739","Punjab","Sheikhupura"),
("157","Abdul Sattar","Ghullam Rasool","3320314041115","Punjab","JHANG"),
("158","Abdul Sattar","hafiz Ahmed Din","3320403397933","Punjab","Jhang"),
("159","Abdul Sattar ","Muhammad Hussain ","3210343848541","Punjab","DERA GHAZI KHAN"),
("160","Abdul Sattar alias Pammi","Abdul Khaliq","3610257636161","Punjab","KHANEWAL"),
("161","Abdul Shakoor","Muhammad Yousaf","3610227241803","Punjab","Khanewal"),
("162","Abdul Shakoor ","Bashir Ahmed alias Abdul Rehman Malik","4530172820607","Sindh","N-Feroze"),
("163","Abdul Wahab","Muhammad Rahim Khan","8230301359869","AJ&K","Khirk Rawalakot"),
("164","Abdul Wahab","Muhammad Iqbal","1540297990043","KP","MALAKAND P.A."),
("165","Abdul Wahab","Habib Gul","","KP","Peshawar"),
("166","ABDUL WAHAB","ABDUL JABBAR","3640189189903","Punjab","Pakpattan"),
("167","Abdul Wahab","Akhtar Ali","3110437468935","Punjab","BAHAWALNAGAR"),
("168","Abdul Wahab","Aziz Ullah Khan","3840392400121","Punjab","SARGODHA"),
("169","Abdul Wahab Alias Sani","Haji Ghulam Yasin","1210148070905","KP","DERA ISMAIL KHAN"),
("170","Abdul Waheed","Dost Muhammad","3320295237309","Punjab","Jhang"),
("171","Abdul Waheed","Abdul Aziz ","3710410063167","Punjab","ATTOCK"),
("172","Abdul Wahid @  Lala Gudu ","Ghulam far","4210172145165","Sindh","Karachi"),
("173","Abdul Wajid Abbasi ","Ghulam Mustafa Abbasi ","3740505649697","Punjab","RAWALPINDI"),
("174","Abdul Wajid Farooqi","Ahmad Nawaz","3710144535183","Punjab","ATTOCK"),
("175","Abdul Wakeel ","Qari Abdul Baqi","1530385841935","KP","LOWER DIR (AT TEMERGARA)"),
("176","Abdul Wali @ Umer Khurasani @ Umer Khalid @ Doctor","Hafiz Mohammad Hayat","2140619730919","KP","MOHMAND (AT GHALLANAY)"),
("177","Abdull Munaf","Muhammad Khurshid","3620166630221","Punjab","LODHRAN"),
("178","Abdullah","Muhammad Ishaq","1510165056449","KP","BUNER"),
("179","Abdullah","Ghulam Rasool. ","5130158091429","Balochistan","KHARAN"),
("180","Abdullah","Hazrat Khan","1530596804711","KP","LOWER DIR (AT TEMERGARA)"),
("181","Abdullah","Abdul Ghani","1570161433997","KP","UPPER DIR (AT DIR)"),
("182","Abdullah","Muhammad Akbar","1530606618893","KP","Dir Lower"),
("183","Abdullah","Nimat Ullah","1530626590421","KP","LOWER DIR (AT TEMERGARA)"),
("184","Abdullah","Molana Sufi Muhammad","1530547480719","KP","LOWER DIR (AT TEMERGARA)"),
("185","Abdullah","Fateh Muhammad","5440021648967","Balochistan","QUETTA"),
("186","Abdullah @ Nangial","Rehmatullah","2260166939911","KP","S.WAZIRISTAN (AT WANA)"),
("187","Abdullah Farooqi ","Wali Mohammad","5120196872547","Balochistan","KALAT"),
("188","Abdullah Jan ","Bhai Khan","5650318423001","Balochistan","ZHOB"),
("189","Abdullah Langove","Haji Rasool Bakhsh","5120135170049","Balochistan","SOHBATPUR"),
("190","Abdullah Noorzai","Yaroo Noorzai ","5160297883601","Balochistan","LASBELA (AT UTHAL)"),
("191","Abdur Rahman","Mulana Sufi Muhammad","1530501509487","KP","LOWER DIR (AT TEMERGARA)"),
("192","Abdur Rehman","Ghulam Rasool","3740102128091","Punjab","SARGODHA"),
("193","Abid Ali","Muhammad Amin","1610101452025","KP","MARDAN"),
("194","Abid Ali","Mehr Ameer","3320245271539","Punjab","Jhang"),
("195","Abid Ali","Ali Ahmed","3460193057529","Punjab","Sialkot"),
("196","Abid Hussain","Muhammad Hussain","3220231230187","Punjab","LAYYAH"),
("197","Abid Hussain alias Farooqi (Wattoo)","Muhammad Warsi","3660290274583","Punjab","VEHARI"),
("198","Abid Hussain alias Moulana Abid Usmani ","Mehboob Ahmad Khan ","3630141685907","Punjab","BAHAWALPUR"),
("199","Abid Hussain Memon","Alim Hyder ","4330405554195","Sindh","SHIKARPUR"),
("200","Abid Mahmood ","Abdul Shakoor ","3120317279125","Punjab","BAHAWALPUR"),
("201","Abid Majeed ","Abdul Majeed","3520122270025","Punjab","LAHORE"),
("202","Abid Mehmood ","Noor Deen","4150404003973","Punjab","CHAKWAL"),
("203","Abid Rasheed Nayyar ","Abdul Rasheed ","3810266585129","Punjab","BHAKKAR"),
("204","Abid Ur Rahman","Abdur Rahman","1720124592465","KP","NOWSHERA"),
("205","Abid-ur-Rehman Asad ","Anwar Hussain ","3840125359841","Punjab","SARGODHA"),
("206","Abu Bakar ","Shareef-u-Deen ","3810106697559","Punjab","BHAKKAR"),
("207","Abu Bakkar","Abdul Majeed","3320211865547","Punjab","Jhang"),
("208","Abu Bakkar","Asghar hussain","3320255369985","Punjab","Jhang"),
("209","Abu Hafza Umaruddin ","Muhammad Hanif Malik","NIL","Sindh","Sukkur"),
("210","Abu Zar alias Sabir","Muhammad Akbar","3510273314311","Punjab","KASUR"),
("211","Abu Zar Hussain"," GHULAM NABI","3220339748931","Punjab","LAYYAH"),
("212","Abubakar","Mian Gul","","KP","Dir Upper"),
("213","Abuzar Hussnain ","Mukhtar Hussain ","3320404927389","Punjab","JHANG"),
("214","Adam Badshah","Abdul Wahid","1530722939941","KP","LOWER DIR (AT TEMERGARA)"),
("215","Adeel Ashiq ","Ashiq Hussain ","3410431749011","Punjab","GUJRANWALA"),
("216","Adeel Raza Kazmi ","Shabeer Shah ","3240412625527","Punjab","RAJANPUR"),
("217","Adil Sher ","Muhammad Khalid","3310493216643","Punjab","HAFIZABAD"),
("218","Adnan Ali Khan","Malik Shamroz Khan","3710342205645","Punjab","ATTOCK"),
("219","Adnan Rasheed","Malik Sher","1620107227227","KP","SWABI"),
("220","Afsar Abbas Alias Moon Shah","Jaffar Abbas","3320117555353","Punjab","CHINIOT"),
("221","Afsar Ali","Muhammad Ali","1110176810783","KP","BANNU"),
("222","Aftab Ahmad ","Muhammad Sadiq ","3630206205607","Punjab","MULTAN"),
("223","Aftab Ahmad ","Mashooq Ali ","3450157955995","Punjab","NAROWAL"),
("224","Aftab Ahmad ","Jan Muhammad ","3320278962823","Punjab","JHANG"),
("225","Aftab Ahmad Saddique ","Tariq Ahmad Saddique ","3630204066803","Punjab","MULTAN"),
("226","Aftab Asghar ","Asghar Ali ","3120375418909","Punjab","BAHAWALPUR"),
("227","Aftab Shafi "," M. Shafi","8230389224517","AJ&K","Chak Dhamni,District Poonch"),
("228","Afzaal Ahmed Jaffery","Piran Ditta","3420317163019","Punjab","GUJRAT"),
("229","Agha Syed Ali Rizvi ","Syed Muhammad Ali Shah","7110371773065","Gilgit-Baltistan","BALTISTAN (AT SKARDU)"),
("230","Agha Yasir Raza","Agha Ali Raza","3810135498515","Punjab","BHAKKAR"),
("231","Ahmad Bakhsh ","Rabnawaz","3810208723177","Punjab","BHAKKAR"),
("232","Ahmad Ghani","Shah Jan","1560205022561","KP","SWAT (AT MINGORA)"),
("233","Ahmad Hassan ","Muhammad Amin ","3130342341941","Punjab","RAHIM YAR KHAN"),
("234","Ahmad Hussain","Qari Muhammad Zarib","1560256586579","KP","SWAT (AT MINGORA)"),
("235","Ahmad Hussain @ Ayeen","Akbar Khan","1510199111729","KP","BUNER"),
("236","Ahmad Hussain @ Ghat Haji","Abbas Kheil Meshood","2170500000000","KP","DERA ISMAIL KHAN"),
("237","Ahmad Idrees alias Butt Sub","Muhammad Idrees Butt","3420107132125","Punjab","GUJRAT"),
("238","Ahmad Khan","Tati","1570481395753","KP","UPPER DIR (AT DIR)"),
("239","Ahmad Noor .","Shamim Ahmed","4240188051059","KP","LOWER DIR (AT TEMERGARA)"),
("240","Ahmad Raza alias Inam Khan ","Laiq Raza ","3420179890337","Punjab","GUJRAT"),
("241","Ahmad Riaz","Amin Gul","1560267702701","KP","SWAT (AT MINGORA)"),
("242","Ahmad Said @ Osama","Akbar Khan","1510125151681","KP","BUNER"),
("243","Ahmad Saood Khan","Ameer Ali Khan","3330120879109","Punjab","Jhang"),
("244","Ahmad Ullah","Sher Ahmed","1530315329475","KP","LOWER DIR (AT TEMERGARA)"),
("245","Ahmad Zada","Mohammad Raziq","1570172473493","KP","UPPER DIR (AT DIR)"),
("246","Ahmed ","","4210114146311","Sindh","Karachi"),
("247","Ahmed Saeed ","Dil Pazeer ","3710521783535","Punjab","ATTOCK"),
("248","Ahmed Ullah @ Muhammad Ullah","Abdul Qayyum","2170252272275","Sindh","Karachi"),
("249","Ahmed Umair Saeed Shaik @ Chaoudry Bashir","Saeed Ahmed Shaikh","0000000000001","Sindh","KARACHI SOUTH"),
("250","Ahsan Abbas ","Khadam Hussain ","3610247077201","Punjab","KHANEWAL"),
("251","Ahsan Ishfaq alias Sunny ","Muhammad Ishfaq Khalid","3810189766667","Punjab","BHAKKAR"),
("252","Ahsan Nawaz","Muhammad nawaz","3320404983599","Punjab","Jhang"),
("253","Ahsan Ullah","Aman Ullah","3810233914099","Punjab","BHAKKAR"),
("254","Ahsan Ullah ","Malik Saif Ullah ","3810239286097","Punjab","BHAKKAR"),
("255","Ahsan Ullah ","Aman Ullah ","3810176456113","Punjab","BHAKKAR"),
("256","Ahsan ullah Zia","Muahammad Zia ud Din Zia","3540468920245","Punjab","Sheikhupura"),
("257","Ajab Noor","Noor Muhammad ","5630212379907","Balochistan","QUETTA"),
("258","Ajmal","Kamal Caste Mamuzai","2160479143263","KP","KOHAT"),
("259","Ajmal","Gul Shali Khan","4250120599323","KP","BAJAUR (AT KHAR BAJAUR)"),
("260","Ajmal Abbas ","S/o Ghulam Abbas ","3810106340407","Punjab","BHAKKAR"),
("261","Ajmal Hassan ","Abdul Majeed ","3310007466359","Punjab","FAISALABAD"),
("262","Ajmal Khan ","Afsar Khan","1310181051085","Sindh","Karachi"),
("263","Ajmal Khan","Badshah Zaman","1530702954669","KP","LOWER DIR (AT TEMERGARA)"),
("264","Ajoy Mistry","b","1111111111117","KP","PESHAWAR"),
("265","Akbar @ Haq Dad @ Akoo ","Palay Khan.","5310390719457","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("266","Akbar Ali @ Ghulam Akbar ","Mehmood Indher","4550118299895","Sindh","Sukkur"),
("267","Akhtar","Bakht Sultan","1560203445307","KP","SWAT (AT MINGORA)"),
("268","Akhtar Abbas","Muhammad Nawaz","3320362821755","Punjab","Jhang"),
("269","Akhtar Abbas ","Haji Muhammad ","3240294807593","Punjab","RAJANPUR"),
("270","Akhtar Abbas Alias Haidri","Mehram Khan","3320397659969","Punjab","JHANG"),
("271","Akhtar Ali","Muhammad Jahangir","3340104091011","Punjab","CHINIOT"),
("272","Akhtar Ali","Mahi Muhammad","1570108853925","KP","UPPER DIR (AT DIR)"),
("273","Akhtar Ali","Muhammad Ali","1560243412999","KP","SWAT (AT MINGORA)"),
("274","Akhtar Hussain","Manzoor Hussain Bhatti ","3310437048443","Punjab","FAISALABAD"),
("275","Akhtar Hussain","Palwan ","3320313726587","Punjab","JHANG"),
("276","Akhtar Hussain @ Asadullah","Khoro Khan Soomro ","4330448004179","Sindh","THATTA"),
("277","Akhtar Hussain Rajput ","Shafi Muhammad","4530401696277","Sindh","N-Feroze"),
("278","Akhtar Mehmood ","Abdul Rehman Khan","3740175911243","Punjab","RAWALPINDI"),
("279","Akhtar Muhammad Khalil","Gul Roz","1111111111166","KP","BANNU"),
("280","Akhtar Nawaz","Muhammad Kamal","1730157946715","KP","Peshawar"),
("281","Akram ","Murtaza Caste Adozai","5410208203163","Balochistan","KILLA ABDULLAH"),
("282","Alaf Deen","Ghulam Mohiuddin","3710409896487","Punjab","Attock    "),
("283","Alam","Amanat Khan","1530238616821","KP","LOWER DIR (AT TEMERGARA)"),
("284","Alam","Aslam","1120189456693","KP","LAKKI MARWAT"),
("285","Alam Khan","Gojar Khan","4240118048425","KP","MALAKAND P.A."),
("286","Alam Khan","Anat Khan","1530746231403","KP","LOWER DIR (AT TEMERGARA)"),
("287","Alam Zaib","Bahadar","1570123278203","KP","UPPER DIR (AT DIR)"),
("288","Alamdar Hussain","Muhammad Ali","3840253407905","Punjab","SARGODHA"),
("289","Alamdar Hussain ","Manzoor Hussain ","3630213494405","Punjab","MUZAFFARGARH"),
("290","Aleem Khan ","Danya Khan ","2170709216235","Punjab","CHAKWAL"),
("291","Aleem-ur-Rehman","Mubeen Ahmad Khan","3510377731195","Punjab","KASUR"),
("292","Ali Abbas ","Muhammad Siddique ","3320267668461","Punjab","JHANG"),
("293","Ali Abbas Askari","Sajjad Haider","3520275298239","Punjab","LAHORE"),
("294","Ali Abbas Jafery","Ghulam Murtaza Jafery","1330204725015","KP","HARIPUR"),
("295","Ali Akbar","Ali Haidar Jango","1530798142373","KP","LOWER DIR (AT TEMERGARA)"),
("296","Ali Asghar alias Kala ","Muhammad Ali ","3330140457787","Punjab","TOBA TEK SINGH"),
("297","Ali farhan mehdi","Mukhtar Ahmed khan","3320277545465","Punjab","Jhang"),
("298","Ali haider","Anwar ul haq","3320403843173","Punjab","Jhang"),
("299","Ali Haider ","Muhammad Rafique","3320220897691","Punjab","JHANG"),
("300","Ali Hashir ","Muhammad Iqbal ","3320225440983","Punjab","JHANG"),
("301","Ali Hassan","Muhammad Arshad","3340105649207","Punjab","CHINIOT"),
("302","Ali Hassan MIr","Malik Maaz Ullah","1730143719949","KP","PESHAWAR"),
("303","Ali Javaid ","Javaid Zaman","3410168665457","Punjab","GUJRANWALA"),
("304","Ali Khan alias chota Ali","Wali khan","3650234008823","Punjab","SAHIWAL"),
("305","Ali Muhammad ","Nazar Muhammad ","3650226297459","Punjab","SAHIWAL"),
("306","Ali Muhammad Abu Turab","Noor Muhammad ","5440004591153","Balochistan","QUETTA"),
("307","Ali Muhammad Karimi  ","Ali ","7110254021039","Gilgit-Baltistan","SHIGAR"),
("308","Ali Muhammad Shahzad alias Abu Talha Khawaj (Arain","Shah Muhammad ","3650205829019","Punjab","SAHIWAL"),
("309","Ali raza","Muhammad Ameer Abbas","3320403698615","Punjab","Jhang"),
("310","Ali Raza ","Muhammad Shafi ","3320148071297","Punjab","CHINIOT"),
("311","Allah Bachaya ","Muhammad Abdullah ","3120117718427","Punjab","BAHAWALPUR"),
("312","Allah Bakhsh ","Abdul Rehman ","3240216058007","Punjab","RAJANPUR"),
("313","Allah Dad","Ghulam Farid","1210155445769","KP","DERA ISMAIL KHAN"),
("314","Allah dino","Loung Sheedi","4410121654937","Sindh","Mirpurkhas"),
("315","Allah Dino Bhutto ","Muhammad Ali Bhutto","4320596930267","Sindh","Larkana"),
("316","Allah Ditta","Muhammad Ali","3530368588839","Punjab","Okara"),
("317","Allah Ditta","Ghulam Fareed","3540415832313","Punjab","Sheikhupura"),
("318","Allah Ditta","Muhammad Ali","3320213288535","Punjab","Jhang"),
("319","Allah Ditta Farooqi ","Haji Qadir Bakhsh ","3210233461749","Punjab","DERA GHAZI KHAN"),
("320","Allah Ditta Nadeem","Qasim Ali","3320248746839","Punjab","Jhang"),
("321","Allah Mehar alias Fani ","Shafi Muhammad ","3530204431051","Punjab","OKARA"),
("322","Allah Rakha ","Allah Yar","3660284987167","Punjab","VEHARI"),
("323","ALLAH RAKHA ","MUHAMMAD YASIN ","3640248361679","Punjab","Pakpattan"),
("324","Allah Wasaya ","Budha Khan ","3210224817425","Punjab","DERA GHAZI KHAN"),
("325","Allama Sabtain Sherazi","Syed Muhammad Hussain Sherazi","6110119226849","ICT","ISLAMABAD\n\n"),
("326","Altaf Ahmed Shaikh @ Abu Bilal","Sagheer Ahmed Shaikh","4130427463747","Sindh","Hyderabad"),
("327","Altaf Hussain","Ameer Shah","3320363672497","Punjab","Jhang"),
("328","Aman Ullah","Rehman Ullah","1510180625279","KP","BUNER"),
("329","Aman Ullah","Hassan Khan","1530661268781","KP","LOWER DIR (AT TEMERGARA)"),
("330","Aman Ullah alias Muhammad Asif ","Muhammad Qasim ","3120298607481","Punjab","BAHAWALPUR"),
("331","Amanullah Maheri ","Muhammad Ramzan Maheri ","4110210122367","Sindh"," Badin "),
("332","Ameer Hamza","Ghulam Hassan","3810261534751","Punjab","BHAKKAR"),
("333","Ameer Hamza","Muhammad Munir","3460340324413","Punjab","SIALKOT"),
("334","Ameer hamza Bhatti Aajiz","Abdull Ali","3320142080461","Punjab","Jhang"),
("335","Ameer Umar Alvi","Ali Muhammad Alvi","3810287063097","Punjab","BHAKKAR"),
("336","Amin Khan","Ayub Khan","1720128473711","KP","NOWSHERA"),
("337","Amin Khan","Khan Sahib","1620247488649","KP","HARIPUR"),
("338","Amin Zada","Amin ul Haq","1530632452905","KP","LOWER DIR (AT TEMERGARA)"),
("339","Amir","Said Ghafoor","1620297556809","KP","SWABI"),
("340","Amir ","Sher Muhammad ","3340103463037","Punjab","CHINIOT"),
("341","Amir Abdullah","Purdul Khan","1510103318287","KP","BUNER"),
("342","Amir Afzal","Sabir Khan","1510185515245","KP","BUNER"),
("343","Amir Alam","Muhammad Rahim","1550117115775","KP","SHANGLA (AT ALPURI)"),
("344","Amir Ali @ Chanda.","Ameer Jan","5440014383039","Balochistan","QUETTA"),
("345","Amir Hatam","Bakht Biland","4240116703549","KP","SWAT (AT MINGORA)"),
("346","Amir Khan","Khuni Jan","1530504191429","KP","LOWER DIR (AT TEMERGARA)"),
("347","Amir Nawab","Fazal Khaliq","1530209612699","KP","LOWER DIR (AT TEMERGARA)"),
("348","Amir Nawab","Ziarat Gul","1540237413415","KP","MALAKAND P.A."),
("349","Amir Rasheed","Abdul Rasheed","3420104993935","Punjab","GUJRAT"),
("350","Amir Rehman","Jawdar","1530503894475","KP","LOWER DIR (AT TEMERGARA)"),
("351","Amir Sadiq","Muhammad Sadiq","1310103106557","KP","ABBOTTABAD"),
("352","Amir Shah","Ghulam Rasool","1570112316231","KP","Dir Upper"),
("353","Amir Shehzad","Shrafat Ali","3720136252477","Punjab","CHAKWAL"),
("354","Amir Zaib","Muhammad Zaib ","1530209090389","KP","LOWER DIR (AT TEMERGARA)"),
("355","Amjad","Jan Said","1530190778619","KP","LOWER DIR (AT TEMERGARA)"),
("356","Amjad","Sadiqu Akhunzada","1530182384037","KP","LOWER DIR (AT TEMERGARA)"),
("357","Amjad Abbas ","Ghulam Abbas ","3810106268201","Punjab","BHAKKAR"),
("358","Amjad Abbas","Khaliq Dad Khan","3310556561329","Punjab","FAISALABAD"),
("359","Amjad Ali","Munawar Khan (Mansoor)","4240102485641","KP","ABBOTTABAD"),
("360","Amjad Ali alias Rana Sahab ","Manzoor Hussain","3630270548553","Punjab","MULTAN"),
("361","Amjad Iqbal Abbasi ","Khaliqdad Khan ","3740444348381","Punjab","RAWALPINDI"),
("362","Amjad Madni ","Dost Muhamamd Madni","4540209577021","Sindh","Shaeed Benizrabad"),
("363","Amjad Nawaz","Nawaz Khan","1120178731929","KP","LAKKI MARWAT"),
("364","Amjid Ali","Nizam-ud-Din","3810107483009","Punjab","BHAKKAR"),
("365","Amjid Hussain","Saeed Gul","1540226744145","KP","MALAKAND P.A."),
("366","Anayat Abbas ","Talib Hussain ","3310425711181","Punjab","FAISALABAD"),
("367","Anees Ahmed","Muhammad Yousaf","3320403746801","Punjab","Jhang"),
("368","Anees ur Rehman ","Muhammad Asif ","NIL","Sindh","Karachi"),
("369","Anees-ur-Rehman ","Fateh Muhammad","3460140556597","Punjab","SIALKOT"),
("370","Angara Appaji","c","1111111111118","KP","PESHAWAR"),
("371","Ansar","Mir Azam","Gx11038176371","KP","Dir Lower"),
("372","Ansar Abbas","Dost Muhammad Khan ","3240367775393","Punjab","RAJANPUR"),
("373","Ansar Abbas Caste Baloch","Rajab Ali","3330239078627","Punjab","TOBA TEK SINGH"),
("374","Ansar Ali ","Mandost","5320308783967","Balochistan","SOHBATPUR"),
("375","Ansar Altaf ","M. Altaf","8210137454477","AJ&K","Rawli Dhokan, Hari Gehl Bagh"),
("376","Ansar Manzoor ","Ch. Manzoor Akhtar ","3740588497693","Punjab","RAWALPINDI"),
("377","Ansir","Muhammad Sadiq","","KP","Haripur"),
("378","Anwaar Haider ","Ghulam Haider ","3201322619067","Punjab","DERA GHAZI KHAN"),
("379","Anwar","Said ul Zaman","1560212806411","KP","SWAT (AT MINGORA)"),
("380","Anwar","Fateh Muhammad","1530511905561","KP","LOWER DIR (AT TEMERGARA)"),
("381","Anwar Ali Shah","Bakht Shahzada","1530605105979","KP","LOWER DIR (AT TEMERGARA)"),
("382","Anwar Bahadar","Sher Malik","1620303635569","KP","SWABI"),
("383","Anwar Khan","Khair Ullah","1530526980147","KP","LOWER DIR (AT TEMERGARA)"),
("384","Anwar Said","Muhammad Said","1560203474515","KP","SWAT (AT MINGORA)"),
("385","Anwar Zamin","Shah Tamaz Khan","1530651006617","KP","LOWER DIR (AT TEMERGARA)"),
("386","Anwar Zeb","Badesh","1510126697083","KP","BUNER"),
("387","Anyat Ullah ","Allah Yar","3210347594491","Punjab","DERA GHAZI KHAN"),
("388","Aoun Ali Shahbaz ","Shahbaz Ahmad ","3230329274927","Punjab","MUZAFFARGARH"),
("389","Aqeel Ahmad","Raees Ahmad","3840181114869","Punjab","SARGODHA"),
("390","Aqeel Raza ","Mukhtiar Ahmad ","3230381333737","Punjab","MUZAFFARGARH"),
("391","Arib Hussain Umrani"," Din Mohammad","5340407951215","Balochistan","JAFFARABAD"),
("392","Arif Hussain","Khadim Hussain","3810240280197","Punjab","BHAKKAR"),
("393","Arif Saeed ","Khan Muhammad ","3630242864813","Punjab","MULTAN"),
("394","Arman Waseem Dar (Daar)","Shahzad Waseem Dar","3730158197451","Punjab","JHELUM"),
("395","Arshad @ Megay","Ali Bakhash","1730154475917","KP","PESHAWAR"),
("396","Arshad Ali","Alamgir","1560289874745","KP","SWAT (AT MINGORA)"),
("397","Arshad Ali Ansari ","Ghulam Nabi ","3630263129055","Punjab","MULTAN"),
("398","Arshad Hussain Shah","Asghar Ali Shah","3420111493837","Punjab","GUJRAT"),
("399","Arshad Mehmood Qadri","Noor Ahmad Awan","3710181081809","Punjab","Attock    "),
("400","Arslan Saeed ","Malik Mohsin Saeed","3510129693037","Sindh","Karachi"),
("401","Asad Aftab","Aftab Ahmad","3520285902911","Punjab","LAHORE"),
("402","Asad Ali","Muhammad Din Chishti","3330109759423","Punjab","T.T.Singh"),
("403","Asad Ali @ Bhai jan @ Kaleem @ Rafiullah","Usman Zada ","4220165489197","Sindh","Karachi"),
("404","Asad Ali Naqvi ","Syed Asghar Ali Naqvi ","4410304971639","Sindh","Mirpurkhas"),
("405","Asad Iqbal ","Shah Muhammad","3720357352773","Punjab","CHAKWAL"),
("406","Asad Rehman ","Habib Ur Rehman ","3520229953613","Punjab","LAHORE"),
("407","Asad ul Zaman ","Muzahir Ali","4250107663255","Sindh","Karachi"),
("408","Asad Ullah","Abdul Razaq","1530298536945","KP","LOWER DIR (AT TEMERGARA)"),
("409","Asad Zia","Fawad Khan","1620109773719","KP","NOWSHERA"),
("410","Asghar","Anwar Khan","1620232549879","KP","SWABI"),
("411","Asghar Ali","Abdul Qasim","1560240159739","KP","SWAT (AT MINGORA)"),
("412","Asghar Ali ","Mirza ","3430212314921","Punjab","HAFIZABAD"),
("413","Asghar Ali alias Rana  ","BABU","3310389971127","Punjab","FAISALABAD"),
("414","Asghar Ali Anwar ","Shafi Muhammad ","3410324922635","Punjab","GUJRANWALA"),
("415","Asghar Ali Farooqi","Haji Khan ","5440023344523","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("416","Asghar Nadeem ","Muhammad Ashraf ","3830309887809","Punjab","MIANWALI"),
("417","Ashfaq Ahmad ","Masood Ahmad ","3630272738047","Punjab","MULTAN"),
("418","Ashfaq Ahmad","Nazeer Ahmad","3610225668081","Punjab","KHANEWAL"),
("419","Ashraf @ Khan","Said Karim","1760206461915","KP","SWAT (AT MINGORA)"),
("420","Ashraf Ali","Adam Khan","1220140997151","KP","TANK"),
("421","Ashraf Ali","Muhammad Abas","1560281152751","KP","SWAT (AT MINGORA)"),
("422","Ashraf Ali ","Khadim Hussain ","3240413955069","Punjab","RAJANPUR"),
("423","Asif @ Kashi @ Muhavia","Abdul Khaliq","1350365301455","KP","MANSEHRA"),
("424","Asif Ameer ","Muhammad Ameer","3530172921413","Punjab","OKARA"),
("425","Asif Iqbal ","Sibghat ullah","3820212868699","Punjab","KHUSHAB"),
("426","Asif Kamal","Muhammad Shafi (Late)","3720232574743","Punjab","CHAKWAL"),
("427","Asif Masood ","Mazhar Hussain","3720120856801","Punjab","CHAKWAL"),
("428","Asif Mehmood","Ghulam Muhammad","3710428305905","Punjab","Attock    "),
("429","Asif Mehmood","Muhammad Akbar","3810209164813","Punjab","BHAKKAR"),
("430","Asif Naseer alias Asif Raza Alvi ","Naseer Ahmed Alvi ","3310009725171","Punjab","FAISALABAD"),
("431","Asif Rasheed Alias Dumba ","Haroon Rasheed","4240144145585","Sindh","Karachi"),
("432","Asif Raza","Muhammad Hussain","3320403470925","Punjab","Jhang"),
("433","Asif Ullah","Ghulam Muhammad","1730115516979","KP","PESHAWAR"),
("434","Asif Zaheer ","Zaheer uddin ","4220104149639","Sindh","Karachi"),
("435","Asim Ali","Muhammad Afzal","3320183969497","Punjab","CHINIOT"),
("436","Asim Irfan ","Muhammad Sharif ","3630250378733","Punjab","MULTAN"),
("437","Askar Yaqoob","Muhammad Yaqoob","1720122467297","KP","NOWSHERA"),
("438","Aslam","Muhammad Hanif Shaikh","NIL","Sindh","Hyderabad"),
("439","Aslam Aziz","Mian Gul","1530574005701","KP","LOWER DIR (AT TEMERGARA)"),
("440","Asmat Ali","Bunair Gul","1560253062881","KP","SWAT (AT MINGORA)"),
("441","Asmat Ullah","Muhammad Darwaish","1530538235703","KP","LOWER DIR (AT TEMERGARA)"),
("442","Asmat Ullah ","Muhammad Tufail ","3120576204987","Punjab","BAHAWALPUR"),
("443","Asmat Ullah Mauvia ","Buta Khan","Resident of Pakistan","Punjab","Mian Channu Lahore"),
("444","Asmatullah","Rasool Muhammad ","2170575217405","Sindh","Karachi"),
("445","Ateeq-ur-Rehman @ Attique Ahme Mavia","Sher Mohammad ","5150371467909","Balochistan","LASBELA (AT UTHAL)"),
("446","Atiq ur Rehman Chohan","Ghulam Rasool","1730174908381","KP","Haripur"),
("447","Atiq-ur-Rehman","Molvi Abdul Manan.","5630210140695","Balochistan","LORALAI"),
("448","Atta Ullah","Jani Khan.","5310279083799","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("449","Atta Ullah","Muhammad Jan","1530569495197","KP","LOWER DIR (AT TEMERGARA)"),
("450","Atta Ullah","Ajab Khan","1730182370993","KP","PESHAWAR"),
("451","Atta Ullah @ Shakir ","Maulana Anwar Ullah ","3330377211755","Punjab","TOBA TEK SINGH"),
("452","Atta Ullah Khan ","Ghulam Rasool ","3210209767755","Punjab","DERA GHAZI KHAN"),
("453","Atta-ul-Mohsin Sial ","Khurshed Ahmad Sial ","3530119399601","Punjab","OKARA"),
("454","Atta-ur-Rehman  ","Faqeer Muhammad","502089745974","Sindh","Karachi"),
("455","Attaullah Miraji Mengal ","Ghulam Rasool.","5140311955911","Balochistan","KHUZDAR"),
("456","Attique-ur-Rehman ","Muhammad Adil ","3520261780013","Punjab","FAISALABAD"),
("457","Attique-ur-Rehman ","Ali Muhammad","3660389010509","Punjab","VEHARI"),
("458","Attique-ur-Rehman ","Ghulam Ali","3410250740943","Punjab","GUJRANWALA"),
("459","Au Zain Ghumma","Muhammad Akram","3840365129869","Punjab","SARGODHA"),
("460","Aurangzaib Khan","Zarq Khan","3320266743811","Punjab","JHANG"),
("461","Aurangzeb ","Noor-ul-Deen Zangi ","3240487430423","Punjab","RAJANPUR"),
("462","Aurangzeb","Zakha","1111111111135","KP","PESHAWAR"),
("463","Aurangzeb ","Muhammad Haleem ","3440348268749","Punjab","MANDI BAHAUDDIN"),
("464","Aurangzeb ","Mohd.Aslam","5650318468639","Balochistan","ZHOB"),
("465","Awais Akram ","Muhammad Akram","3320131884127","Punjab","CHINIOT"),
("466","Awais Latif ","Muhammad Latif Khokhar ","3410425172835","Punjab","GUJRANWALA"),
("467","Awais Mustafa ","Muhammad Younas Aasi ","3650245795535","Punjab","SAHIWAL"),
("468","Ayaz Akhtar ","Muhammad Akhtar Bhatti ","3420148381773","Punjab","GUJRAT"),
("469","Ayaz Ali ","Wadal Khan ","4150604072717","Sindh","JAMSHORO"),
("470","Ayaz Khan Jadoon","Muhammad Akram Khan Jadoon","1310110055521","KP","ABBOTTABAD"),
("471","Ayaz Rasool Aslam ","Rasool Bakhsh Khan ","3230146791155","Punjab","RAJANPUR"),
("472","Ayub","Sher Mohammad","1570150039913","KP","UPPER DIR (AT DIR)"),
("473","Ayub Siyal ","Sagheer Ahmad","3630418967929","Punjab","MULTAN"),
("474","Azam Ali ","Anayat Ali Cheema ","3460155155493","Punjab","SIALKOT"),
("475","Azeem-ul-Shan Haider","Muhammad Basit Taqi","3520201002433","Punjab","LAHORE"),
("476","Azhar Abbas","Khuda bakhash","3320371007991","Punjab","JHANG"),
("477","Azhar Ali ","Muhammad Suleman ","3310463546405","Punjab","FAISALABAD"),
("478","Azhar Hussain ","Manzoor-ul-Hassan ","3310217719021","Punjab","FAISALABAD"),
("479","Azhar Hussain ","Noshad Hussain ","4210184835425","Sindh","Karachi"),
("480","Azhar Iqbal"," Sardar Khan ","3440216985677","Punjab","MANDI BAHAUDDIN"),
("481","Azhar IQbal ","Jaam Allah Diwayia ","3620216688633","Punjab","LODHRAN"),
("482","Aziz Khan","Yar Muhammad","3410481307105","Punjab","Mianwali"),
("483","Aziz Muhammad","Abdul Qahar","1530136318559","KP","LOWER DIR (AT TEMERGARA)"),
("484","Aziz Muhammad","Abdul Qahar","1530209269703","KP","Dir Lower"),
("485","Aziz ul Hamid","Noor Hamid","1510194004035","KP","BUNER"),
("486","Aziz Ullah","Soran","1120130116515","KP","LAKKI MARWAT"),
("487","Aziz Ullah","Fazal Khaliq","1560703582133","KP","SWAT (AT MINGORA)"),
("488","Aziz Ullah","Malik Peer Rehman","2170627693479","KP","S.WAZIRISTAN (AT WANA)"),
("489","Aziz Ullah ","Behrul Wahab","1320123475291","KP","BATAGRAM (AT BANA)"),
("490","Aziz Ullah","Imam Bux Bhutto","4320385664149","Sindh","LARKANA"),
("491","Aziz ur Rehman","Nasib Dad","1550451459241","KP","SHANGLA (AT ALPURI)"),
("492","Aziz ur Rehman","Ismail Darwesh","1730154717511","KP","PESHAWAR"),
("493","Aziz ur Rehman","Ghulam Muhammad","3720391090051","Punjab","CHAKWAL"),
("494","Aziz-ul-Haq alias Asad","Ghulam Fareed","3710189685061","Punjab","ATTOCK"),
("495","Aziz-ur-Rehman ","Abdul Rasheed","3410113988863","Sindh","Karachi"),
("496","Azizur Rahman","Kachkol Muhammad","2110320410683","KP","BAJAUR (AT KHAR BAJAUR)"),
("497","Azmat","Mian Gul","1570147583333","KP","UPPER DIR (AT DIR)"),
("498","Azmat Ali Abid","Haji Manzoor","3520014256365","Punjab","Vehari"),
("499","Azmat Ali Khan","Mehboob Ali Khan","3710484595891","Punjab","Attock    "),
("500","Azmat Khan  "," Hurmat Khan ","7150138209291","Gilgit-Baltistan","GILGIT"),
("501","Baa Khan","Gul Wazir","1111111111112","KP","PESHAWAR"),
("502","Babar Abbas Naqvi","Syed Irshad Hussain Naqvi","3540416219889","Punjab","Sheikhupura"),
("503","Babar Haider Malhi ","Azmat Javed Malhi ","3450119869289","Punjab","NAROWAL"),
("504","Babar Shehzad ","Abdul Sattar ","3320503409985","Punjab","JHANG"),
("505","Bacha Hussain","Zarin Engar","1570175378823","KP","UPPER DIR (AT DIR)"),
("506","Bacha Islam","Jabar","1530160497777","KP","LOWER DIR (AT TEMERGARA)"),
("507","Bacha Said","Muhammad Hakim","1570157595421","KP","UPPER DIR (AT DIR)"),
("508","Bacha Sardar Khan","Abdul Rehman","1530605221311","KP","Dir Lower"),
("509","Bacha Sher","Mulla Jan","1530552729957","KP","LOWER DIR (AT TEMERGARA)"),
("510","BAdar ul Islam","Mubashar Hussain","3520291021387","Punjab","Lahore"),
("511","Badshah Gul","Amin Gul","1530281248123","KP","LOWER DIR (AT TEMERGARA)"),
("512","Bahadar Ali Shah ","Sadiq Hussain Shah ","3440239470395","Punjab","MANDI BAHAUDDIN"),
("513","Bahadar Khan","Shah Murad","1530571265269","KP","LOWER DIR (AT TEMERGARA)"),
("514","Bahadar Khan","Fazal Ghafoor","1530571265263","KP","LOWER DIR (AT TEMERGARA)"),
("515","Bahadar Khan","Toghan Shah","1530232829065","KP","LOWER DIR (AT TEMERGARA)"),
("516","Bakhsh Ali ","Shahi ","3240460504987","Punjab","RAJANPUR"),
("517","Bakht Alam","Muhammad Ali","1720196738227","KP","NOWSHERA"),
("518","Bakht Munir","Abdul  Sadiq","1530516750605","KP","LOWER DIR (AT TEMERGARA)"),
("519","Bakht Rawan","Abdul Jalal @ Muhammad Jamal","1560279839173","KP","Toorghar"),
("520","Bakht Roz","Khan Roz","1570224957141","KP","Dir Upper"),
("521","Bakht Shah Zaib","Bahadar Khan","1530542410561","KP","LOWER DIR (AT TEMERGARA)"),
("522","Bakht Ullah ","Gulab Khan","2170598779473","KP","S.WAZIRISTAN (AT WANA)"),
("523","Bakht Zada","Muhammad Sadeeq","1510165723675","KP","BUNER"),
("524","Bakht Zamin","Muhib Ullah","1560109908375","KP","SWAT (AT MINGORA)"),
("525","Bakht Zamin @ Bakht","Abdul Matin / Abdul Mat Khan","1530604514935","KP","LOWER DIR (AT TEMERGARA)"),
("526","Bakht Zarin","Faiz Talab","1530119323935","KP","LOWER DIR (AT TEMERGARA)"),
("527","Bakht zeb","Khan Zeb","1530749935305","KP","LOWER DIR (AT TEMERGARA)"),
("528","Bakht Zubair @ Zubair","Niamat Ullah","1530209885367","KP","LOWER DIR (AT TEMERGARA)"),
("529","Bakhtaji Gul ","Ahmad Gul ","1510149759947","KP","BUNER"),
("530","Bakhti Rahman","Aziz-ur-Rehman","1510170241559","KP","BUNER"),
("531","Bakhzar Jan","Fateh Muhammad","1530209691765","KP","LOWER DIR (AT TEMERGARA)"),
("532","Balach Khan alias Balash ","Nabi Bakhsh ","3240498707885","Punjab","RAJANPUR"),
("533","Baloch Khan Ramdanzai Mengal","Mohammad Ibrahim.","5140368396841","Balochistan","KHUZDAR"),
("534","Baqir Ali","Ahmed Bakhash","3320392008553","Punjab","Jhang"),
("535","Baqir Raza","Fazal Khan ","3720115483095","Punjab","CHAKWAL"),
("536","Barkat Ullah ","Sher Bahadur Khan ","4250102654929","Sindh","Karachi"),
("537","Basharat Khan ","Jumma Khan ","3320220946855","Punjab","JHANG"),
("538","Bashir","Rahman Ghani","1570142885995","KP","UPPER DIR (AT DIR)"),
("539","Bashir Ahmad","Kashmir Khan","1560205336831","KP","SWAT (AT MINGORA)"),
("540","Bashir Ahmad ","Peer Bakhsh ","3210259156469","Punjab","DERA GHAZI KHAN"),
("541","Bashir Ahmad ","Ameer Nawaz ","1610177969819","KP","MOHMAND (AT GHALLANAY)"),
("542","Bashir Ahmed ","Gul Muhammad Caste Mengal","5410254828875","Balochistan","NUSHKI"),
("543","Bashir Ahmed","Niaz Ahmad","3230415852241","Punjab","Muzaffargarh"),
("544","Bashir Ahmed","Shahamand","3320282763927","Punjab","Jhang"),
("545","Behram Shah","Yaqoob Shah","1510151614917","KP","BUNER"),
("546","Behram Zai","Dawlat Zai","1510146902801","KP","BUNER"),
("547","Behroz Khan","Umar Daraz Khan","1530209397715","KP","LOWER DIR (AT TEMERGARA)"),
("548","Bilal","Gul Taj","1730182282709","KP","PESHAWAR"),
("549","Bilal","Haji Ashraf","1310149989869","KP","MANSEHRA"),
("550","Bilal Ahmad alias Abdullah ","Muhammad Ismail ","3210212847827","Punjab","DERA GHAZI KHAN"),
("551","Bilal Ahmad Bhatti ","Mian Abdul Rahim Bhatti ","3120317329555","Punjab","BAHAWALPUR"),
("552","Bilal Ahmed","Khuda Bakhash","3320214039653","Punjab","Jhang"),
("553","Bilal Akbar","Sana Ullah","3540456621859","Punjab","Sheikhupura"),
("554","Bilal Alias Bilawal","zz","1111111111129","KP","PESHAWAR"),
("555","Bilal Hussain","Nazar Hussain","3840315130095","Punjab","LAYYAH"),
("556","Bilal Riaz ","Muhammad Riaz ","3420310898269","Punjab","DERA GHAZI KHAN"),
("557","Bisham Khan","Abdul Qadir Caste Rind","5440182594347","Balochistan","QUETTA"),
("558","Burhan","Jumat Khan","1510114045883","KP","BUNER"),
("559","Burhan Ullah","Ibrar Ullah","1510103935211","KP","BUNER"),
("560","Captain Murad Ali. ","Barkat Ali","5440042242371","Balochistan","QUETTA"),
("561","Ch. Babar Hussain Gujjar ","Ch. Ghulam Rasool Gujjar ","3410126757933","Punjab","GUJRANWALA"),
("562","Ch. Mudassar","Muhammad Nazar","6110166838979","ICT","ISLAMABAD\n\n"),
("563","Ch. Muhammad Ejaz Ahmad ","Ch. Muhammad Aslam ","3220247826311","Punjab","LAYYAH"),
("564","Ch. Razzaq Ahmad ","Ch. Mushtaq Ahmad ","3410216060509","Punjab","GUJRANWALA"),
("565","Chauhdary Muhammad Aslam","Chauhdary Imam Din","3320265353189","Punjab","Jhang"),
("566","Col (Rtd) Nadir ","Hassan Khan","6110125684243","Gilgit-Baltistan","GILGIT"),
("567","Danial Ali","Agha Hussain","3810152935345","Punjab","BHAKKAR"),
("568","Daud","Mehmood","1510146070497","KP","BUNER"),
("569","Dawod Nazir Alias Shoukat Sufi Asad","Nazir Ahmed ","3430129195915","Punjab","HAFIZABAD"),
("570","Deen Muhammad","Hazrat Muhammad","1730115243617","KP","Charsada"),
("571","Didar Ali "," Mehar Ali (Ex-MLA)","7150185121501","Gilgit-Baltistan","GILGIT"),
("572","Dilawar","Mian Khan","1350355305507","KP","MANSEHRA"),
("573","Dilshad Khan","Muhammad Tufail ","3410358463385","Punjab","GUJRANWALA"),
("574","Doctor Gul Alam","Abdul Latif","2150158730831","KP","BANNU"),
("575","Dost Muhammad","Muhammad Akbar","1550124862277","KP","SHANGLA (AT ALPURI)"),
("576","Dost Muhammad","Unknown","1530521720035","KP","LOWER DIR (AT TEMERGARA)"),
("577","Dr. Habib ur Rehman ","Ghulam Muhammad","3720181812097","Punjab","CHAKWAL"),
("578","Dr. Iftikhar Ahmed alias Dr. Wajid ","Muhammad Din ","3520122232701","Punjab","LAHORE"),
("579","Dr. Inam Ullah","Muhammad Khursheed","3710156091261","Punjab","ATTOCK"),
("580","Dr. M. Rasool","Muhammad Jan","1530209278477","KP","LOWER DIR (AT TEMERGARA)"),
("581","Dr. Muhammad Ismail Shaikh ","Ahmed Ismail Shaikh ","4220171929847","Sindh","Karachi"),
("582","Dur Muhammad ","Muhammad Panah Rind","4310224585901","Sindh","Jacobabad"),
("583","Ehsan Ullah ","Muhammad Yaqoob ","3410199954205","Punjab","GUJRANWALA"),
("584","Ehsan Ullah Khan ","Haji Atta Ullah Khan ","3830203624573","Punjab","MIANWALI"),
("585","Ehsan-ul-Haq Shad","Pehelwan Khan","3420206433815","Punjab","GUJRAT"),
("586","Ehtesham Ali alias Shani","Muhammad Aslam ","3720138428497","Punjab","CHAKWAL"),
("587","Ejaz  Ahmad Dar","Muhammad Khan","3730122623861","Punjab","JHELUM"),
("588","Enzar Gul","Noor Ahmad Shah","1620211012471","KP","SWABI"),
("589","Essa","Muhammad Sidique","1310182213209","KP","Abbotabad"),
("590","Fahad Mehmood","Aurangzeb","1310111802363","KP","ABBOTTABAD"),
("591","Fahad Munir","Munir Ahmad","3840484680627","Punjab","SARGODHA"),
("592","Fahad Naseem","Syed Naseem Ahmed","4220103244499","Sindh","KARACHI EAST"),
("593","Fahim Nawaz","Muhammad Nawaz","3660238604351","Punjab","Vehari"),
("594","Faiq Ahmed Memon ","Saadullah Memon","4520347439039","Sindh","Khairpur"),
("595","Faisal ","Muhammad Akram ","3820115859827","Punjab","KHUSHAB"),
("596","Faisal Ahmad Khan","Sher Ahmad Khan","3840342656657","Punjab","BHAKKAR"),
("597","Faisal Baber Hussain","Iftikhar Ahmed","3420171494633","Punjab","GUJRAT"),
("598","Faisal Riaz ","Noor Muhammad ","3710502827363","Punjab","Attock    "),
("599","Faiz","Gul Faraz Khan","1570195807975","KP","UPPER DIR (AT DIR)"),
("600","Faiz Rasool","BASHIR AHMED","3420104012705","Punjab","GUJRAT"),
("601","Faiz ul Wahid","Molana Abdul Wahid","1540232203325","KP","MALAKAND P.A."),
("602","Faiz Ullah","Hamza Khan","1570290083489","KP","UPPER DIR (AT DIR)"),
("603","faiz Ullah Khan sial","Nawab Aziz ullah khan","3320242061135","Punjab","Jhang"),
("604","Faiz ur Rehman @ Abdul Rehman ","Aziz ur Rehman ","4240112749335","Sindh","Karachi"),
("605","Faizan Ul Haq "," Javid Iqbal ","7150159727273","Gilgit-Baltistan","GILGIT"),
("606","Fakhar Abbas ","Mohammad Ashraf ","3430266237369","Punjab","HAFIZABAD"),
("607","Fakhre Alam","Fazal Raheem","1620212284295","KP","SWABI"),
("608","Falak Niaz","Waris Khan","1730104109115","KP","PESHAWAR"),
("609","Falak Sher ","Muhammad Inayat ","3420131134533","Punjab","GUJRAT"),
("610","Faqeer Hussain ","Abdul Hameed ","3410324721375","Punjab","GUJRANWALA"),
("611","Faqir Mohammad @ Faqira","Shah Gul","5610123696367","Balochistan","BARKHAN"),
("612","Faqir Muhammad @ Ganjaey","Shah Rahman","1620296568463","KP","SWABI"),
("613","Faramosh","Feroz","1560204147715","KP","SWAT (AT MINGORA)"),
("614","Faraz Sultan alias Abdullah","Muhammad Nawaz","3840159344977","Punjab","SARGODHA"),
("615","Farhan Siddique ","Muhammad Yameen Siddique ","3410165822589","Punjab","GUJRANWALA"),
("616","Farhat","Fazal Wazir","1530585554389","KP","LOWER DIR (AT TEMERGARA)"),
("617","Farman","Bacha Hussain","3520268010863","KP","UPPER DIR (AT DIR)"),
("618","Farman @ Nawaly","Sikandar","1560267796427","KP","TORGHAR (AT OGHI)"),
("619","Farman Ullah","Safeer Gul","1430163746661","KP","KOHAT"),
("620","Farman Ullah Khan","Habib ul Hassan","1530555094295","KP","LOWER DIR (AT TEMERGARA)"),
("621","Farooq","Aala Gul (Afghan National)","1530211394809","KP","Dir Lower"),
("622","Farooq","Shehbaz","1570170469863","KP","UPPER DIR (AT DIR)"),
("623","Farooq","Hassan Akbar","1620303449497","KP","SWABI"),
("624","Farooq","Khadim","1560403465681","KP","SWAT (AT MINGORA)"),
("625","Farooq /Farooq Haider","Sufi Farid","1310156198729","KP","ABBOTTABAD"),
("626","Farooq Ahmad Kha","Gulaya Khan","3810336154049","Punjab","BHAKKAR"),
("627","Farooq Azam Bhatti @ Talib ","Abdul Rasheed ","4230142523581","Sindh","Karachi"),
("628","Farooq Haider","Ghulam Rabani","3840343494055","Punjab","SARGODHA"),
("629","Farrukh Abbas ","Muhammad Bashir Jaffari ","3110475998761","Punjab","BAHAWALNAGAR"),
("630","Fateh Mohammad s/o  caste Khetran","Sahiban","5610122314867","Balochistan","BARKHAN"),
("631","Fateh Muhammad caste Nasar","Jalat Khan","5420334497405","Balochistan","KILLA ABDULLAH"),
("632","Fawad Habib Ullah","Maqsood Alam Sawati ","3520224601703","Punjab","LAHORE"),
("633","Fawad Khan","Sher Khan","1510131284683","KP","BUNER"),
("634","Fayyaz Elahi ","Nabi Bakhsh ","3210381305135","Punjab","MANDI BAHAUDDIN"),
("635","Fayyaz Hussain","Abdal Ghafoor","3720315029465","Punjab","CHAKWAL"),
("636","Fayyaz Hussain ","Muhammad Nawaz","1220177495949","Punjab","BHAKKAR"),
("637","Fazal Ahad","Muhammad Hussain","1620205485861","KP","SWABI"),
("638","Fazal Akbar","Malik Said Akbar","1520105845663","KP","CHITRAL"),
("639","Fazal Amin","Noor ul Qamar","1620251843667","KP","SWABI"),
("640","Fazal Azim","Gul Azeem","1570122638049","KP","BATAGRAM (AT BANA)"),
("641","Fazal Elahi ab r/o Moh: Malakpora Swabi","Fazal Wahab","","KP","Swabi"),
("642","Fazal Ghafoor","Abdul Sattar","1530627759291","KP","LOWER DIR (AT TEMERGARA)"),
("643","Fazal Ghafur","Juma Khan","1610159463673","KP","MARDAN"),
("644","Fazal Hakim","Gul Azim","1530427203009","KP","LOWER DIR (AT TEMERGARA)"),
("645","Fazal Hameed","Shah Tamas","1530209222871","KP","LOWER DIR (AT TEMERGARA)"),
("646","Fazal Hayat","Umar Zada","1570179947331","KP","UPPER DIR (AT DIR)"),
("647","Fazal Hussain Shah","Nazar Hussain Shah","1330281224573","KP","HARIPUR"),
("648","Fazal Karim","Abdur Rahim","1510148849237","KP","BUNER"),
("649","Fazal Nawab","Haji Nawab","4140116039379","KP","MALAKAND P.A."),
("650","Fazal Qadir","Gulbar Said","1530536044925","KP","LOWER DIR (AT TEMERGARA)"),
("651","Fazal Qadir","Inayat Ellahi ","3710109428067","Punjab","ATTOCK"),
("652","Fazal Qayum @ Qayyum","Abdul Rehman","1530323244151","KP","LOWER DIR (AT TEMERGARA)"),
("653","Fazal Raheem","Said Ahmad","1620223597417","KP","SWABI"),
("654","Fazal Rehman","Fazal Manan","1530649884249","KP","LOWER DIR (AT TEMERGARA)"),
("655","Fazal Subhan","Shah Zaman","1570111738333","KP","UPPER DIR (AT DIR)"),
("656","Fazal ur Rehman ","Gul Janan ","NIL","Sindh","Karachi"),
("657","Fazal Wahab","Gul Mehmood","1510104041867","KP","BUNER"),
("658","Fazal Wahid","Shan Mohammad","1570191667271","KP","UPPER DIR (AT DIR)"),
("659","Fazal-e-Raziq","Abdul Waheed","1550366981369","KP","CHARSADDA"),
("660","Fazal-ul-Allah alias Khalid ","Mehmood Asad ","3130366224053","Punjab","RAHIM YAR KHAN"),
("661","Fazal-ur-Rehman","Azeem Khan","2104032137369","KP","MOHMAND (AT GHALLANAY)"),
("662","Fazal-Ur-Rehman","Azeem Khan","2140321373699","KP","MOHMAND (AT GHALLANAY)"),
("663","Fazal-ur-Rehman ","Muhammad Yousaf   ","3120597002619","Punjab","BAHAWALPUR"),
("664","Fazal-ur-Rehman ","Abdul Rehman ","3830174336111","Punjab","MIANWALI"),
("665","Fazal-ur-Rehman.","Gul Baran","5440039771865","Balochistan","QUETTA"),
("666","Ferhat Kavakli","","P00033721","ICT","Islamabad"),
("667","Fiaz Ahmad","Muhammad Khursheed","3640277903213","Punjab","PAKPATTAN"),
("668","Fiaz Ahmad ","Rehmat Ullah ","3310476932543","Punjab","FAISALABAD"),
("669","Fiaz Hussain Shah alias Riaz ","Syed Maqsood Hussain Shah ","3460323187649","Punjab","SIALKOT"),
("670","Fida Hussain","Ishaq Ali. ","5440023875115","Balochistan","QUETTA"),
("671","Fida Hussain","Fazal Rahman","1570180500479","KP","UPPER DIR (AT DIR)"),
("672","Fida Hussain @ Baccho ","Zafar Ali","5440005093579","Balochistan","QUETTA"),
("673","Fida Shah","Syed Abdul Ghaffar Shah","5130146472045","Balochistan","KHARAN"),
("674","Fiyyaz Hussain Khan ","Mumtaz Ali Khan ","3810106665299","Punjab","BHAKKAR"),
("675","Furqan Ahmed Awan ","Mir Afzal Awan","4240142624931","Sindh","Karachi"),
("676","Furqan Qadri ","Habibullah ","4210140196251","Sindh","Karachi"),
("677","Furqan Tariq ","Tariq Zubair ","3410139310259","Punjab","GUJRANWALA"),
("678","Ghafar Ul Haq","Abbas Ali","3540432566369","Punjab","Sheikhupura"),
("679","Ghaffar Ali","Nazeer","1710168512557","KP","CHARSADDA"),
("680","Ghani Rehman","Fazla Rehman","1560204475951","KP","SWAT (AT MINGORA)"),
("681","Ghazi Tanveer Ahmed ","Rasheed Khan","4240155009179","Sindh","Karachi"),
("682","Ghufran Sajid ","Abdul Hayee Awan ","3410131489395","Punjab","GUJRANWALA"),
("683","Ghulam Abass","Muhammad Nazeer","3620209178771","Punjab","LODHRAN"),
("684","Ghulam Abbas ","Irshad Hussain ","3410408347591","Punjab","GUJRANWALA"),
("685","Ghulam Abbas ","Bashir Ahmad ","3610213159809","Punjab","KHANEWAL"),
("686","Ghulam Abbas","Mian Muhammad","3820136040333","Punjab","KHUSHAB"),
("687","Ghulam Abbas ","Abdul Ghani ","3830394276167","Punjab","MIANWALI"),
("688","Ghulam Abbas","Muhammad Bashir","3410174505535","Punjab","GUJRANWALA"),
("689","Ghulam Abbas","Ghulam Akbar","1220145131523","Punjab","BHAKKAR"),
("690","Ghulam Abbas","Abdul Haq","3420104253797","Punjab","GUJRAT"),
("691","Ghulam Abbas ","Muhammad Sardar ","3310091290915","Punjab","FAISALABAD"),
("692","Ghulam Abbas","Manzoor Hussain","3310446480449","Punjab","FAISALABAD"),
("693","Ghulam Abbas ","Gul Muhammad ","3330266934343","Punjab","TOBA TEK SINGH"),
("694","Ghulam Abbas Ulro","Sadhoro Khan Ulro","4520415488435","Sindh","Khairpur"),
("695","Ghulam Akbar ","Ghulam Safdar ","3710170658487","Punjab","Attock    "),
("696","Ghulam Akbar alias Aoun Abbas","Ghulam Shabbir","3220228146727","Punjab","LAYYAH"),
("697","Ghulam ALi @ Sultan Haider","Abdul Rehman","3840242666131","Punjab","SARGODHA"),
("698","Ghulam Ali Shah","Ali Nawaz Shah ","5330409814649","Balochistan","NASIRABAD  (AT D.M.JAMALI)"),
("699","Ghulam Baqir alias Bani ","Ghulam Hussain Jafferi ","3230101255655","Punjab","MUZAFFARGARH"),
("700","Ghulam Bheek alias Abu Bakar","Maqbool Ahmad","3660356720721","Punjab","VEHARI"),
("701","Ghulam Dastageer Hamid ","Ghulam Nabi Khan ","3520223979731","Punjab","LAHORE"),
("702","Ghulam Farid","Rasool Niaz","1110165796486","KP","BANNU"),
("703","Ghulam Haider alias Mehrab Hussain ","Jind Wadda ","3120141908709","Punjab","BAHAWALPUR"),
("704","Ghulam Haider Tonsvi","Ghulam Hassan","3630423441727","Punjab","Multan"),
("705","Ghulam Hussain ","Muhamma Shafi ","3620382470073","Punjab","LODHRAN"),
("706","Ghulam Hussain","Rahim Bakhs Dad Sumalani.","5140155438121","Balochistan","KHUZDAR"),
("707","Ghulam Hussain ","Raheem Bakhsh ","3320338695803","Punjab","JHANG"),
("708","Ghulam Hussain","Sain Ditta ","3310017811273","Punjab","FAISALABAD"),
("709","Ghulam Hussain ","Gul Hassan","3320347592005","Punjab","JHANG"),
("710","Ghulam Hussain","Muhammad Aslam","3310032934585","Punjab","FAISALABAD"),
("711","Ghulam Hussain alias Talibaan ","Allah Ditta ","3120472814565","Punjab","BAHAWALPUR"),
("712","Ghulam Hussain Bhidwal"," Malik Allah Bakhsh Zawar ","3810224720705","Punjab","BHAKKAR"),
("713","Ghulam Mohammad @ Umar ","M. Iqbal (Late)","4230108649365","Sindh","Karachi"),
("714","Ghulam Muhammad","Niamat Khan","4210114307513","KP","LOWER DIR (AT TEMERGARA)"),
("715","Ghulam Muhammad @ Umer ","M.Iqbal (Late) ","4230108649365","Sindh","Karachi"),
("716","Ghulam Murtaza ","Sana Ullah ","3130402162613","Punjab","RAHIM YAR KHAN"),
("717","Ghulam Murtaza ","Muhammad Ali ","3320187311567","Punjab","CHINIOT"),
("718","Ghulam Mustafa ","Muhammad Saleem ","3810266393517","Punjab","BHAKKAR"),
("719","Ghulam Mustafa","Muhammad Nazir ","3740206496395","Punjab","RAWALPINDI"),
("720","Ghulam Mustafa ","Ashiq Hussain","3210224847397","Punjab","DERA GHAZI KHAN"),
("721","Ghulam Mustafa ","M. Hanif","8210255715723","AJ&K","Pidhar Mato Khan , Dhirkot Bagh"),
("722","Ghulam Mustafa alias Haji Iqbal ","Qadir Dad Khan ","3210253241489","Punjab","DERA GHAZI KHAN"),
("723","Ghulam Mustafa alias Nanna ","Mehndi Hassan ","3120256251067","Punjab","BAHAWALPUR"),
("724","Ghulam Mustafa Jadoon","Zardad Khan","1310155033549","KP","ABBOTTABAD"),
("725","Ghulam Mustafa Tabasum","Abdul Rasheed","3660337970545","Punjab","Vehari"),
("726","Ghulam Nabi","Bashir Ahmad ","3310083404117","Punjab","FAISALABAD"),
("727","Ghulam Nabi ","Muhammad Usman","NIL","Sindh","Sanghar"),
("728","Ghulam Nabi Keti ","Muhammad Umar Keti ","4140136088111","Sindh","THATTA"),
("729","Ghulam Nazik ","Noor Muhammad ","3630406900473","Punjab","MULTAN"),
("730","Ghulam Qadir","Ghulam Hussan","1730114145583","KP","CHARSADDA"),
("731","Ghulam Qadir","Muhammad Ibraheem Sona ","3810223515331","Punjab","BHAKKAR"),
("732","Ghulam Qasim","Nazar Hussain","3720116611905","Punjab","CHAKWAL"),
("733","Ghulam Rasool","Abdullah Khan","1530511231577","KP","LOWER DIR (AT TEMERGARA)"),
("734","Ghulam Raza","Ghulam Rasool Arfati","3240443770413","Punjab","Rahim Yar Khan"),
("735","Ghulam Raza","Muhammad Shamla ","3240225604921","Punjab","RAJANPUR"),
("736","Ghulam Raza @ Raza Tayyab","Muhammad Hussain","3720113321295","Punjab","CHAKWAL"),
("737","Ghulam Safdar Khan ","Ghulam Mustafa Khan ","3430250756599","Punjab","HAFIZABAD"),
("738","Ghulam Said","Yasin Khan","1530531151849","KP","Dir Lower"),
("739","Ghulam Sarwar ","Muhammad Bux Chachar","4550118641583","Sindh","Sukkur"),
("740","Ghulam Sarwar ","Lal Deen","3410117914387","Punjab","GUJRANWALA"),
("741","Ghulam Sarwar Abro ","Rajab Ali ","4320395420793","Sindh","Karachi"),
("742","Ghulam Shabbar","Ghulam Hussain","3540443204775","Punjab","Sheikhupura"),
("743","Ghulam Shabbir ","Haitam ","3610235275773","Punjab","KHANEWAL"),
("744","Ghulam Shabbir ","Haji Rahim Bakhsh ","3130233127423","Punjab","RAHIM YAR KHAN"),
("745","Ghulam Shabbir ","Ghulam Rasool ","3120495820877","Punjab","BAHAWALPUR"),
("746","Ghulam Shabbir","Ghulam Sarwar","3240239954065","Punjab","RAJANPUR"),
("747","Ghulam Shabbir Ahmad","Noor Muhammad","3710587862233","Punjab","ATTOCK"),
("748","Ghulam Shahbaz Ali","Ghulam Nabi","6110119436773","Punjab","FAISALABAD"),
("749","Ghulam Shehzad ","Jaffar","7110383536731","Gilgit-Baltistan","BALTISTAN (AT SKARDU)"),
("750","Ghulam Yaseen alias Abu Masood, Kulhara ","Ghulam Rasool ","3120456485327","Punjab","DERA GHAZI KHAN"),
("751","GHULAM YASIM MUAVIA","KAREEM BAKHSH","3630117463523","Punjab","SARGODHA"),
("752","Ghullam Abbas","Riaz Hussain","3320404104429","Punjab","Jhang"),
("753","Ghullam nabi","Ghullam Akbar","3320314732498","Punjab","Jhang"),
("754","Ghullam Qasim Ali","Muhammad Yousaf","3320344110085","Punjab","Jhang"),
("755","Ghullam Raza","Muhammad nawaz","3320213617489","Punjab","Jhang"),
("756","Ghullam Shabbir","Kamal Din Late","3320383832623","Punjab","Jhang"),
("757","Ghuncha Gul","Umar Gul","1710177743631","KP","Charsada"),
("758","Ghuncha Gul","Sherin Jan","1530592094631","KP","LOWER DIR (AT TEMERGARA)"),
("759","Gohar Murtaza Khan Lodhi ","Murtaza Khan Lodhi ","3440264524687","Punjab","MANDI BAHAUDDIN"),
("760","Gran Malik","Abdul Momin","1530579645659","KP","LOWER DIR (AT TEMERGARA)"),
("761","Gul Bar Said","Bacha Said","1530565155697","KP","LOWER DIR (AT TEMERGARA)"),
("762","Gul Faraz","Saaz Karim","1530405449341","KP","LOWER DIR (AT TEMERGARA)"),
("763","Gul Jahan alias Abu Noman  ","Muhammad Ramzan","3840370333777","Punjab","SARGODHA"),
("764","Gul Muhammad","Sargand Khan (Late)","1530119576559","KP","LOWER DIR (AT TEMERGARA)"),
("765","Gul Raiz","Javed","1210163995509","KP","DERA ISMAIL KHAN"),
("766","Gul Sharif","Muhammad Amin","1530259281097","KP","LOWER DIR (AT TEMERGARA)"),
("767","Gul Sher","Umar Din / Samar Din","4230176580405","KP","BUNER"),
("768","Gul Sher @ Kara","Sadbar","1510104173717","KP","BUNER"),
("769","Gul Yousaf","Shahmir Khan @ Toor","2170525717401","KP","DERA ISMAIL KHAN"),
("770","Gul Zada","Shah Gul","1730114229371","KP","PESHAWAR"),
("771","Gul Zada","Rahim","1570169853355","KP","UPPER DIR (AT DIR)"),
("772","Gulab Noor","Raz Muhammad","","KP","SWA"),
("773","Gulab Said","Anat @ Lalat","","KP","Dir Lower"),
("774","Gulfam Khan alias Abu Akasha ","Khan Akbar Hameed ","3460372910123","Punjab","SIALKOT"),
("775","Gulim","s/o Aman","1570117971737","KP","UPPER DIR (AT DIR)"),
("776","Gulraiz Ahmed","Maqsood Ahmed","3520210331455","Punjab","LAHORE"),
("777","Gulzar Ahmed Waseem","Khuda Bhaksh","4210189077825","Punjab","Vehari"),
("778","Gulzar Alam","Gul Ahmad","1570112256391","KP","UPPER DIR (AT DIR)"),
("779","Gulzar Hussain ","Feroz Hussain ","3330222436961","Punjab","TOBA TEK SINGH"),
("780","Gulzar Hussain alias Gulzari","Muhammad Zaman ","3810406351913","Punjab","BHAKKAR"),
("781","Habeeb Ullah","Abdul Hameed","3330390848519","Punjab","T.T.Singh"),
("782","Habib Mullah","Muhammad Habib","1530232889065","KP","LOWER DIR (AT TEMERGARA)"),
("783","Habib Said","Said Baqar","1530516777985","KP","LOWER DIR (AT TEMERGARA)"),
("784","Habib Ul Hassan","Ismail a","1530552556293","KP","LOWER DIR (AT TEMERGARA)"),
("785","Habib Ullah","Amin Ullah","1530209161181","KP","LOWER DIR (AT TEMERGARA)"),
("786","Habib Ullah","Muhammad Shareef","3320294840701","Punjab","JHANG"),
("787","Habib ur Rehman","Akhun Muhammad","1530209695693","KP","LOWER DIR (AT TEMERGARA)"),
("788","Habib Ur Rehman ","Abdul Rehman ","3120112348393","Punjab","BAHAWALPUR"),
("789","Habib Ur Rehman ","Fazal Ur Rehman ","3310603440643","Punjab","FAISALABAD"),
("790","Habib Ur Rehman","Khuda bukhsh","3210324466355","Punjab","DERA GHAZI KHAN"),
("791","Habib-ur-Rehman"," Haji Noor Jahan ","5650318529899","Balochistan","ZHOB"),
("792","Habib-ur-Rehman ","Inayet Ullah ","3410148877251","Punjab","GUJRANWALA"),
("793","Hadayat-ur-Rehman","Malang","5210170289203","Balochistan","GWADAR"),
("794","Hadi Khan","Muzafar Khan","1530745992867","KP","LOWER DIR (AT TEMERGARA)"),
("795","Hafeez ","Habib Dhoobi","4220116906419","Sindh","Karachi"),
("796","Hafeez Ullah ","Ghulam Muhammad ","3810208887459","Punjab","BHAKKAR"),
("797","Hafeez Ullah","Aziz-ur-Rahman","1710165658563","KP","Charsada"),
("798","Hafeez ur Rehman","Asghar Ali","3460254113995","Punjab","Sialkot"),
("799","Hafeez-ur-Rehman alias Hammad","Asghar Ali","3460251986133","Punjab","SIALKOT"),
("800","Hafeezullah   ","Din Mohammad","5530236414071","Balochistan","SIBI"),
("801","Hafiq ul Haq ","Saro Zarin","1320291716463","KP","BATAGRAM (AT BANA)"),
("802","Hafiz  Adul  Shakoor  Mengal","Essa","5140323954205","Balochistan","LASBELA (AT UTHAL)"),
("803","Hafiz Abdul Ghaffar","Ahsam-ud-Din","5421058072627","Balochistan","QUETTA"),
("804","Hafiz Abdul Ghaffar alias Ghaffari ","Haji Muhammad Ashraf ","3640132020031","Punjab","PAKPATTAN"),
("805","Hafiz Abdul Hayee ","Hafiz Haji Muhammad Azeem ","3120121703077","Punjab","BAHAWALPUR"),
("806","Hafiz Abdul Rauf","Sana Ullah","3410104510339","Punjab","GUJRANWALA"),
("807","Hafiz Abdul Samad ","Hakeem Ahmad Hassan  ","3120129895687","Punjab","BAHAWALPUR"),
("808","Hafiz Ali MUhammad","Faiz Muhammad","1720122432817","Punjab","JHELUM"),
("809","Hafiz Asmat Ullah ","Matho Khan","3520094250227","Punjab","DERA GHAZI KHAN"),
("810","Hafiz Attahullah","Haji Yaseen","5410187678593","Balochistan","CHAGAI (AT DALBANDIN)"),
("811","Hafiz Attaullah ","Muhammad Aslam Shaikh","441031188513","Sindh","Mirpurkhas"),
("812","Hafiz Attique Rehman ","Abdul Rehman ","3520263533563","Punjab","LAHORE"),
("813","Hafiz Aziz Ullah","Soran","1102130116515","KP","Toorghar"),
("814","Hafiz Dost Kohsa,","Lashkran","5320163384499","Balochistan","JAFFARABAD"),
("815","Hafiz Farooq Ahmad alias Rajanpuri ","Molvi Abdul Haq ","3110380968241","Punjab","BAHAWALNAGAR"),
("816","Hafiz Fiaz Ahmad","Ghulam Hassan","3620359665643","Punjab","Lodhran"),
("817","Hafiz Ghulam Mustafa","Hafiz Muhammad Waraym","3610245411477","Punjab","KHANEWAL"),
("818","Hafiz Gulzar Ahmed Umer","Ghulam Muhammad","3730144818619","Punjab","JHELUM"),
("819","Hafiz Habibullah","Maulvi Abdul Ghafoor","1610145584693","KP","MARDAN"),
("820","Hafiz Hafeez Ahmed","Muhammad Anwar","1330298828313","KP","Haripur"),
("821","Hafiz Imam @ Hafiz Imran ","Shah Muhammad","5440004802391","Balochistan","QUETTA"),
("822","Hafiz Imran ","Muhammad Yousaf ","3410470089823","Punjab","GUJRANWALA"),
("823","Hafiz Kashif ","M. Hanif","8230314430013","AJ&K","Datoot Rawalakot"),
("824","Hafiz Khalid Mehmood","Haji Muhammad Moosa","3320228120135","Punjab","Jhang"),
("825","Hafiz Mehmood Anwar","Sahib Noor","1120118596627","KP","LAKKI MARWAT"),
("826","Hafiz Mehmood-ul-Hassan ","Tufail Ahmed ","3530236433369","Punjab","OKARA"),
("827","Hafiz Mohd. Alam Tariq  ","Mohammad Hashim Jatak","4250112033079","Balochistan","KALAT"),
("828","Hafiz Muhammad ","Abdullah Indher","NIL","Sindh","Sukkur"),
("829","Hafiz Muhammad Abubakar alias Al Hussaini ","Hafiz Muhammad Idrees ","4240118435861","Punjab","BAHAWALPUR"),
("830","Hafiz Muhammad Ahmad","Abdul Qayyum","3110101474671","Punjab","BAHAWALNAGAR"),
("831","Hafiz Muhammad Ammar alias Muaz Muavia (Rajpoot)","Tariq Pervaiz","3650218255643","Punjab","SAHIWAL"),
("832","Hafiz Muhammad Ashiq","Malik Muhammad Boota","3540465939315","Punjab","Sheikhupura"),
("833","Hafiz Muhammad Ashraf","Ch. Farzand Ali","3110116162161","Punjab","BAHAWALNAGAR"),
("834","HAFIZ MUHAMMAD HAFEEZ UR REHMAN","MUHAMMAD SAJJAD UR REHMAN","3820199043021","Punjab","Khushab"),
("835","Hafiz Muhammad Ishaq ","Muhammad Sadiq","3320139402529","Punjab","Chiniot"),
("836","Hafiz Muhammad Ishfaq alias Ishtiaq ","Noor Muhammad ","3130380315857","Punjab","RAHIM YAR KHAN"),
("837","Hafiz Muhammad Junaid-ur-Rehman ","Muhammad Mehfooz-ur-Rehman ","3610264841381","Punjab","KHANEWAL"),
("838","Hafiz Muhammad Naveed ","Shabbir Ahmed ","353016256925","Sindh","26"),
("839","Hafiz Muhammad Noor","Abdul Qayyum Caste Alizai","5440066280927","Balochistan","QUETTA"),
("840","Hafiz Muhammad Qasim","Raheem Bakhsh","3620105685639","Punjab","LODHRAN"),
("841","Hafiz Muhammad Rafi Mustafa ","Muhammad Sharif Shaikh","4130350573211","Sindh","Hyderabad"),
("842","Hafiz Muhammad Rafique alias Tunda ","Pir Bakhsh ","3130328114607","Punjab","RAHIM YAR KHAN"),
("843","Hafiz Muhammad Raheel","Muhammad Anwar","3520256763255","Punjab","LAHORE"),
("844","Hafiz Muhammad Ramzan ","Allah Bakhsh ","3310091296847","Punjab","FAISALABAD"),
("845","Hafiz Muhammad Ramzan","Bashir Ahmad","3530154145751","Punjab","OKARA"),
("846","Hafiz Muhammad Saeed","Kamal Din","3520255098427","Punjab","LAHORE"),
("847","Hafiz Muhammad Shakir","Muhammad Sifarish","3710403885115","Punjab","Attock    "),
("848","Hafiz Muhammad Sohail","Muhammad Akram","3710114063511","Punjab","Attock    "),
("849","Hafiz Muhammad Tayyab alias Faheem ","Ghulam Sarwar ","3120206866265","Punjab","BAHAWALPUR"),
("850","Hafiz Muhammad Ubaid Ullah ","Muhammad Umar Khan ","3650118267407","Punjab","GUJRANWALA"),
("851","Hafiz Muhammad Usman ","Hafiz Muhammad Ishaq ","3650213747215","Punjab","SAHIWAL"),
("852","Hafiz Muhammad Usman Jami ","Muhammad Rafiq Jami ","3310002298647","Punjab","FAISALABAD"),
("853","Hafiz Muhammad Yousaf alias Al Hussaini ","Hafiz Muhammad Idrees Sabir ","3120202579483","Punjab","BAHAWALPUR"),
("854","Hafiz Naimat Ullah","Rahim Dad","5160243981695","Balochistan","MASTUNG"),
("855","Hafiz Naveed Saddiqi alias Saddiqi ","Abdul Latif ","3320240131841","Punjab","JHANG"),
("856","Hafiz Nazir Ahmed ","Daim Din Samejo","4550105730689","Sindh","Sukkur"),
("857","Hafiz Noman Tariq ","Tariq Mehmood ","3460397390433","Punjab","SIALKOT"),
("858","Hafiz Numan Zia Farooqi ","Maulana Zia-ur-Rehman Farooqi ","3310531408271","Punjab","FAISALABAD"),
("859","Hafiz Saeed Akbar","Shafi Akbar","1620230321640","KP","HARIPUR"),
("860","Hafiz Sanaullah ","Abdul Khaliq Zehri.","5140167012819","Balochistan","KHUZDAR"),
("861","Hafiz Sibghat Ullah","Muhammad Ali","1120107204267","KP","LAKKI MARWAT"),
("862","Hafiz Ullah","Zoor Mast","1570143523109","KP","UPPER DIR (AT DIR)"),
("863","Hafiz Ullah","Bakht Biland","1530520976675","KP","LOWER DIR (AT TEMERGARA)"),
("864","Hafiz ullah","Hamza Khan","","KP","Dir Lower"),
("865","Hafiz Ur Rehman @ Pakhan@Muhsin","Palo Din @ Aamir Din","2220117502041","KP","BANNU"),
("866","Haidar Ali","Adil","1560253170809","KP","SWAT (AT MINGORA)"),
("867","Haider Ali @ Shan","Khursheed Haider ","4230109954729","Sindh","Karachi"),
("868","Haider Ali Raza ","Mohsin Ali Raza Jafri","3130155469165","Punjab","RAHIM YAR KHAN"),
("869","Hajat Ali","Maqbali Khan","1730102379621","KP","CHARSADDA"),
("870","Haji Abbas ","Haji Qasim ","5440083115339","Balochistan","QUETTA"),
("871","Haji Aman ullah caste Adozai","Sheikh Muhammad","5420124393955","Balochistan","KILLA ABDULLAH"),
("872","Haji Bashir Ahmed","Ali Mohammad Qabdani.","5410101212811","Balochistan","CHAGAI (AT DALBANDIN)"),
("873","Haji Faizullah Haidri ","Shah Muhammad","5440027705199","Balochistan","QUETTA"),
("874","haji jind wada","ghulam fareed","3120477393625","Punjab","Bahawalpur"),
("875","Haji Majed Caste Reki","Muhammad Hayat","5130224061527","Balochistan","WASHUK"),
("876","Haji Muhammad Hanif","Habib Jan","1530208521885","KP","LOWER DIR (AT TEMERGARA)"),
("877","Haji Muhammad Nawaz","Mian Abdul Hafeez","3620294324561","Punjab","LODHRAN"),
("878","Haji Muhammad Qasim","Abdul Nabi Caste Kurd","5440044636131","Balochistan","QUETTA"),
("879","Haji Rahim Said","Sher Muhammad","1570595601085","KP","LOWER DIR (AT TEMERGARA)"),
("880","Haji Yar Muhammad ","Hafiz Allah Bakhsh ","3201302876153","Punjab","DERA GHAZI KHAN"),
("881","Haji Zarin","Noor Ahmed","1530513726873","KP","LOWER DIR (AT TEMERGARA)"),
("882","Hakeem Ullah","Said Sher","1730104883589","KP","CHARSADDA"),
("883","Hakim Ali","Zulifqar Ali","3320279668301","Punjab","Jhang"),
("884","Hakim Khan","Gul Sabdar Tazagram","1530209569635","KP","LOWER DIR (AT TEMERGARA)"),
("885","Hakim Khan","Pasand","1510106734331","KP","BUNER"),
("886","Haleem Said","Rahim Said","1530670293987","KP","LOWER DIR (AT TEMERGARA)"),
("887","Hamadullah","Muhammad Sadiq Shaikh","4520365331601","Sindh","Khairpur"),
("888","Hamayun","Habib Khan","1570169390269","KP","UPPER DIR (AT DIR)"),
("889","Hameed Sajjid","Gui Muhammad","3840321279511","Punjab","SARGODHA"),
("890","Hamid Ali ","Allah Yar ","3520203676575","Punjab","LAHORE"),
("891","Hamid Ali Qureshi ","Muhammad Bashir ","3120258249117","Punjab","BAHAWALPUR"),
("892","Hamid Khan","Lachi Khan","1720122409487","KP","NOWSHERA"),
("893","Hamid Mehmood","Mohsin Agha","5420107428505","Balochistan","QUETTA"),
("894","Hamid Rahman","Jamshed Rahman","1530552560819","KP","LOWER DIR (AT TEMERGARA)"),
("895","Hamid Ullah","Salah Uddin","1530525823583","KP","LOWER DIR (AT TEMERGARA)"),
("896","Hamidullah @ Gohar","Hakim Khan","2150314250019","KP","N.WAZIRISTAN (AT MIRAN SHAH)"),
("897","Hamza Imtiaz Yousaf Butt ","Imtiaz Yousaf ","3460194833955","Punjab","SIALKOT"),
("898","Hamza Jhangir ","Muhammad Jhangir ","3740178595225","Punjab","RAWALPINDI"),
("899","Hanif","Aqal Wazir","1530634496083","KP","LOWER DIR (AT TEMERGARA)"),
("900","HANIF-UL-HAQ ","ABDUL KHALIQ","3420248971691","Punjab","GUJRAT"),
("901","HANIF-UR-REHMAN","MUHAMMAD RIAZ","3840538032919","Punjab","SARGODHA"),
("902","Haq Nawaz ","Zahid Iqbal ","3520239995477","Punjab","LAHORE"),
("903","Haq Nawaz","Feroz Din","3130356915183","Punjab","Rahim Yar Khan"),
("904","Haq Nawaz","Arif Khan","1610112397797","KP","UPPER DIR (AT DIR)"),
("905","Haq Nawaz ","Shehbaz Khan","8220391703707","AJ&K","Dral Naka Gojra Muzaffarabad"),
("906","Haq Nawaz ","Noor Muhammad Anwar ","3520196108711","Punjab","LAHORE"),
("907","Haq Nawaz Khan Alias Dr. Haq Nawaz","Muhammad Ayoub Khan","3620296596629","Punjab","LODHRAN"),
("908","Haroon Rasheed ","Maraj-u-Din","3740148490093","Punjab","RAWALPINDI"),
("909","Haroonur Rasheed","Halim","1560287903175","KP","SWAT (AT MINGORA)"),
("910","hashim Ali","faiz Ahmed","3320344015085","Punjab","Jhang"),
("911","Hashim Ali Shah","Farhan Ali Shah","3320165382423","Punjab","CHINIOT"),
("912","Hashim Hussain","Jan Muhammad ","3810160723733","Punjab","BHAKKAR"),
("913","Hashmat Ali ","Bashir Ahmad ","3410422355053","Punjab","GUJRANWALA"),
("914","Hasnain Muavia","Maulana haq Nawaz","3320233541725","Punjab","Jhang"),
("915","Hassan","Khair Muhammad","","KP","Dir Lower"),
("916","Hassan Abbas","Syed Hasnain Shah","4520374051455","Sindh","KHAIRPUR"),
("917","Hassan Ahmed Qureshi ","Ovais Ahmed Qureshi ","3630287304519","Punjab","MULTAN"),
("918","Hassan Ali Shah ","Peer Zada Sarwar Hussain ","3520226024461","Punjab","LAHORE"),
("919","Hassan Mir @ Nana ","Ghulam Meer Kashmiri ","4210199592873","Sindh","Karachi"),
("920","Hassan Raza ","Ali Ashraf ","3320212521059","Punjab","JHANG"),
("921","Hassan Shah","Arman Shah","2120212941041","KP","KHYBER (AT PESHAWAR)"),
("922","Hassan Tariq alias Tari","Muhammad Iqbal ","3310038803979","Punjab","FAISALABAD"),
("923","Hayat","Saeed Ullah","1530574096007","KP","LOWER DIR (AT TEMERGARA)"),
("924","Hayat Khan s/ocaste Mochi "," Juma Khan ","5610174860057","Balochistan","BARKHAN"),
("925","Hayat Ullah","Sadaat","1110182640121","KP","BANNU"),
("926","Hayat Ullah","Muhammad Nawaz","1220171946541","KP","TANK"),
("927","Hayat Ullah","Muhammad Darwaish","1530225279201","KP","LOWER DIR (AT TEMERGARA)"),
("928","Hayat Ullah","Zoor Mast","1570196807539","KP","UPPER DIR (AT DIR)"),
("929","Haziq Ullah","Gul Ahmad","1511022731261","KP","CHITRAL"),
("930","Hazrat","Noor Ullah","1410171966359","KP","HANGU"),
("931","Hazrat Ali","Muhammad Zeb Khan","1560403845735","KP","SWAT (AT MINGORA)"),
("932","Hazrat Ali","Ali Jan @ Ulfat Khan","1570532400663","KP","UPPER DIR (AT DIR)"),
("933","Hazrat Anees Khan @ Jawad ","Mian Gul Akhon Khel","4240163085831","Sindh","Karachi"),
("934","Hazrat Islam","Haji Rehman Shah","1560247918129","KP","SWAT (AT MINGORA)"),
("935","Hazrat Muhammad @ Babu Mavia","Yousaf","1730115938643","KP","PESHAWAR"),
("936","Hazrat Ullah","Mashkoor","1570115828175","KP","UPPER DIR (AT DIR)"),
("937","Hazrat Umar","Khaista Gul","1560205317243","KP","SWAT (AT MINGORA)"),
("938","Hazrat Younas","Muhammad Rahim","1550144837819","KP","SHANGLA (AT ALPURI)"),
("939","Hidayat ullah","Mohd Sadaf","1530209918557","KP","LOWER DIR (AT TEMERGARA)"),
("940","Hikmat Roshan Alias Hikamat Yar","Maulivi Amal Khan","2150542735343","KP","N.WAZIRISTAN (AT MIRAN SHAH)"),
("941","Hubdar Hussain Malik ","Beram Khan ","6110175635685","Punjab","CHAKWAL"),
("942","Humayum Kabir ","Sultan Ahmed ","4210113750723","Sindh","Karachi"),
("943","Humd@Khan Madak ","Bahadar Shah","1410120181669","KP","HANGU"),
("944","Hussain Ahmad","Muhammad Zaman","3710443730723","Punjab","ATTOCK"),
("945","Hussain Ahmad Saddiquee","Shah Muhammad ","3710228649787","Punjab","ATTOCK"),
("946","Hussain Akbar","Gul Bar Shah","1620209911047","KP","SWABI"),
("947","Hussain Ali","Ali Rahim","1560403567235","KP","SWAT (AT MINGORA)"),
("948","Hussain Ali ","Muhammad Shah ","3810171591023","Punjab","BHAKKAR"),
("949","Hussain Bakhsh alias Bagga Reesh ","Phairan","3240485805497","Punjab","RAJANPUR"),
("950","Hussain Shah","Fateh Muhammad","1530598005495","KP","LOWER DIR (AT TEMERGARA)"),
("951","Hussain Zada","Kaki","1510198358047","KP","BUNER"),
("952","Ibrahim","Jahanzeb","1610284206061","KP","NOWSHERA"),
("953","Ibrahim","Mohammad Hakim .","1570177504887","KP","UPPER DIR (AT DIR)"),
("954","Ibrahim Said","Sultan","1570177495311","KP","UPPER DIR (AT DIR)"),
("955","Ibrar","Hassan Faroosh","1560242270065","KP","SWAT (AT MINGORA)"),
("956","Ibrar Hussain","Muhammad Hussain","1530508833149","KP","LOWER DIR (AT TEMERGARA)"),
("957","Ibrar Hussain alias Shahid ","Zakar Hussain ","3530291379081","Punjab","OKARA"),
("958","Ibrar Ul Momin","Sher Ahmed","1570156276089","KP","UPPER DIR (AT DIR)"),
("959","Idrees","Shah Dawran","1560261350803","KP","SWAT (AT MINGORA)"),
("960","Iftakhar Molivi"," M. Shafi ","8230389224517","AJ&K","Chak Dhamni, Rawalakot"),
("961","Iftekhar Ahmad Farooqi alias Farooqi","Noor Muhammad ","3710523460767","Punjab","ATTOCK"),
("962","Iftikahar Majeed ","Ab. Majeed","3740531620355","AJ&K","Bhathal Gunjari Balooch, Sudhnoti"),
("963","Iftikhar","Siraj","1560274888873","KP","SWAT (AT MINGORA)"),
("964","Iftikhar Ahmad ","Muhammad Tufail ","3410340964309","Punjab","GUJRANWALA"),
("965","Iftikhar Ahmad","Bashir Ahmad","3130361906579","Punjab","Vehari"),
("966","Iftikhar Ahmad","Muhammad Safdar","3710387496901","Punjab","Attock    "),
("967","Iftikhar Ahmed","Muhammad Bashir","3460161186635","Punjab","SIALKOT"),
("968","Iftikhar Ahmed ","Muhammad Ibrahim","7150147226933","Gilgit-Baltistan","GILGIT"),
("969","Iftikhar Khan","Shakir Khan","1720121945907","KP","NOWSHERA"),
("970","Iftikhar ud Din","Qayum ud Din","1111111111111","KP","MALAKAND P.A."),
("971","Ihsan Ullah",". Qalandar","1570111649907","KP","UPPER DIR (AT DIR)"),
("972","Ihsan Ullah","Said Rahman","1570111603495","KP","UPPER DIR (AT DIR)"),
("973","Ijaz","Shamus Ur Rahman","1570154969719","KP","UPPER DIR (AT DIR)"),
("974","Ijaz Ahmad ","Abdul Karim ","3130332056305","Punjab","RAHIM YAR KHAN"),
("975","Ijaz Ahmed alias Saddique ","Mian Saddique ","3620279690915","Punjab","LODHRAN"),
("976","Ijaz Amin Alias Ijaz Pashteen","Muhammad Amin","2170643131533","KP","DERA ISMAIL KHAN"),
("977","Ijaz Hussain","Mumtaz Ali","3810120848135","Punjab","BHAKKAR"),
("978","Ijazul Haq ","Abdul Manan","1350209456035","KP","TORGHAR (AT OGHI)"),
("979","Ikhlaq Ahmed","Shahab u Din","3320314435723","Punjab","Jhang"),
("980","Ikram @ Khurasani @ Ajmal Qasab","Yar Mohammad","0000000000006","KP","MOHMAND (AT GHALLANAY)"),
("981","Ikram Rabbani (Caste Awan)","Ghulam Rabbani","3840331820995","Punjab","SARGODHA"),
("982","Ikram ul Haq","Hafiz Sher Ali","1560204791021","KP","SWAT (AT MINGORA)"),
("983","Ikram Ullah ","Abdul Qayoum Khan ","2170266814335","Sindh","Karachi"),
("984","Ikram Ullah","Umar Badshah","1570158481203","KP","UPPER DIR (AT DIR)"),
("985","Ikram Ullah","Abdullah","1520118136319","KP","CHITRAL"),
("986","Ikram Ullah","Sardar Bacha","1530427775309","KP","LOWER DIR (AT TEMERGARA)"),
("987","Ikram Ullah","Sarzameen","1111111111113","KP","PESHAWAR"),
("988","Ikram Ullah","Muhammad Sher","1120181219307","KP","LAKKI MARWAT"),
("989","Ilyas","Hazrat Ali","1110162302169","KP","BANNU"),
("990","Iman Ullah ","Haji Dawai Khan ","4240152242911","Sindh","Karachi"),
("991","Imdad Ali ","Zahri Caste Zakri","5110239271863","Balochistan","KHUZDAR"),
("992","Imdad Hussain ","Sabir Hussain ","1210117771905","Punjab","BHAKKAR"),
("993","Imdad Hussain Khamisani ","Sher Muhammad Khamisani","4520319085757","Sindh","Khairpur"),
("994","Imdad Hussain Malhi","Chaudry Allah Rakha","9100501055965","Punjab","Nankana Sahib"),
("995","Imdad Hussain Qureshi alias Dadu ","Haji Mehmood Qureshi ","3320292906903","Punjab","JHANG"),
("996","Imdad Ullah","Abdul Razaq","3240389943291","Punjab","RAJANPUR"),
("997","Imdad Ullah ","Ahmed","4240111671213","Sindh","Karachi"),
("998","Imdad ullah","Abdul Wahab","1530210024997","KP","LOWER DIR (AT TEMERGARA)"),
("999","Imdad Ullah","Anwar Zeb","1550422278671","KP","SHANGLA (AT ALPURI)"),
("1000","Imran","Ayub","1570149483479","KP","UPPER DIR (AT DIR)"),
("1001","Imran","Iqbal","1570124889045","KP","UPPER DIR (AT DIR)"),
("1002","Imran","Badshah Muhammad","1530535924777","KP","LOWER DIR (AT TEMERGARA)"),
("1003","Imran Abbas ","Ghulam Abbas ","3810257129018","Punjab","BHAKKAR"),
("1004","Imran Abbas ","Maqsood Hussain Shah ","8130218016215","Punjab","MANDI BAHAUDDIN"),
("1005","Imran Ahmed @ Noman","Allah Bakhsh","5440037301685","Balochistan","QUETTA"),
("1006","Imran Ahmed Sagar","Suleman Khan","3460145724099","Punjab","Sialkot"),
("1007","Imran Ahsan alias Mithoo ","Muhammad Hussain Ahmed ","3640185488941","Punjab","PAKPATTAN"),
("1008","Imran Ali Alias Chamman","Basheer Ahmad","3320317918009","Punjab","JHANG"),
("1009","Imran Ali Khan ","Saif Ullah Khan ","3810156366893","Punjab","BHAKKAR"),
("1010","Imran Ashraf ","Muhammad Ashraf ","3120352395277","Punjab","BAHAWALPUR"),
("1011","Imran Hameed ","Abdul Hameed ","4220160574467","Sindh","Karachi"),
("1012","Imran Hussain Shah Alias Mano Shah","Mulazim Hussain Shah","3810262233333","Punjab","BHAKKAR"),
("1013","Imran Rasheed ","Abdul Rasheed Arshad ","3410172365647","Punjab","GUJRANWALA"),
("1014","Imran Said","Muhammad Said","1620257384465","KP","SWABI"),
("1015","Imran Shabbir alias Imran Jani ","Ghulam Shabbir ","3610233425145","Punjab","KHANEWAL"),
("1016","Imran shah","Hafiz Abul Aziz","3650128620595","Punjab","SAHIWAL"),
("1017","Imran Siddique ","Muhammad Bakhsh","3120248884793","Punjab","BAHAWALPUR"),
("1018","Imran Ullah","Khushal Khan","1530651930543","KP","LOWER DIR (AT TEMERGARA)"),
("1019","Imran Yousaf alias Dr. Imran ","Muhammad Yousaf ","3320202762571","Punjab","JHANG"),
("1020","Imtiaz","Dost Muhammad","3340105313663","Punjab","CHINIOT"),
("1021","Imtiaz","Muhammad Shareef","8230158716657","AJ&K","POONCH"),
("1022","Imtiaz Ahmad","Mian Khan ","3440105735317","Punjab","MANDI BAHAUDDIN"),
("1023","Imtiaz Ali Khokhar alias Taji Khokhar","Allah Ditta","6110173392477","Punjab","RAWALPINDI"),
("1024","Inam Ali","Obaid Ali Khan","1610174198851","KP","MARDAN"),
("1025","Inam ul Haq","Mehboob Elahi","3520272054445","Punjab","LAHORE"),
("1026","Inam Ullah","Muhammad Ramzan","1210318920555","KP","Dikhan"),
("1027","Inam Ullah alias Abdullah","Hafiz Muhammad Hussain Arshad ","3210325031507","Punjab","DERA GHAZI KHAN"),
("1028","Inam-Ul-Haq","Muhammad Ashraf","3110177365769","Punjab","BAHAWALNAGAR"),
("1029","Inam-ul-Haq","Hafiz Abdul Haq","3240388098665","Punjab","RAJANPUR"),
("1030","Inam-ur-Rehman alias Abdullah, Talha, Zubair Siyaf","Abdul Sattar ","3120508819733","Punjab","BAHAWALPUR"),
("1031","Inamullah","Ali Hussain  ","4240194603027","Sindh","Karachi"),
("1032","Inayat Khan @ Amir Sahib","Khaista Khan","1530314360939","KP","LOWER DIR (AT TEMERGARA)"),
("1033","Inayat ul Haq","Muhammad Saleh","1510125566963","KP","BUNER"),
("1034","Inayat Ullah","Muhib ullah","1510103247437","KP","BUNER"),
("1035","Inayat Ullah ","Aman Ullah  ","3810148041789","Punjab","BHAKKAR"),
("1036","Inayat ur Rehman","Sher Gul","1530209252979","KP","LOWER DIR (AT TEMERGARA)"),
("1037","Intazar Ahmad","Muhammad Riaz","3650164604315","Punjab","SAHIWAL"),
("1038","Intisar Shah ","Iftikhar Hussain Shah","4550150026473","Sindh","Sukkur"),
("1039","Intizar Hussain","Muhammad Hussain ","3720146635205","Punjab","CHAKWAL"),
("1040","Iqbal Haider ","Ghulam Hyder ","4210118261697","Sindh","Karachi"),
("1041","Iqbal Hassan","Ahmad Habib","1530771122411","KP","LOWER DIR (AT TEMERGARA)"),
("1042","Iqbal Hussain","Nasrullah","1730112313639","KP","PESHAWAR"),
("1043","Iqbal Khan","Abdul Rauf @ Talib","1510149042131","KP","BUNER"),
("1044","Iqrar",". Umar Zada","157018949617","KP","Dir Upper"),
("1045","Irfan","Biban Raziq","1570118858959","KP","UPPER DIR (AT DIR)"),
("1046","Irfan Anjum ","Muhammad Ishaq ","3430117814927","Punjab","HAFIZABAD"),
("1047","Irfan Khan @ Chota ","Muhammad Ibrar Khan","4240134296935","Sindh","Karachi"),
("1048","Irfan Khan Alias Irfan Sanwal","Muhammad Nawaz","3320233127405","Punjab","JHANG"),
("1049","Irfan Raza ","Ali Raza","3120558723015","Punjab","BAHAWALPUR"),
("1050","Irshad","Mubarak Shah","1570171583451","KP","UPPER DIR (AT DIR)"),
("1051","Irshad","Taj Mohammad","1570142606577","KP","UPPER DIR (AT DIR)"),
("1052","Irshad Ahmed Shamsi ","Mukhtar Ahmed","4520343456295","Sindh","Khairpur"),
("1053","Irshadul Haq","Alah Dhand","1540262456795","KP","MALAKAND P.A."),
("1054","Isar ul Haq","Saeed ul Haq","","KP","Haripur"),
("1055","Ishaq","Sher Zada","1530512686223","KP","LOWER DIR (AT TEMERGARA)"),
("1056","Ishfaq Ahmad alias Ishfaq Moavia, Ishfaq Khair Pur","Ghulam Muhammad ","3120465509839","Punjab","BAHAWALPUR"),
("1057","Islam","Gul Rehman","1530209550925","KP","LOWER DIR (AT TEMERGARA)"),
("1058","Islam","Bahadar","1570425096957","KP","UPPER DIR (AT DIR)"),
("1059","Islam","Muhammad Amin","","KP","Peshawar"),
("1060","Ismail","Gul Nawaz","1110168060461","KP","BANNU"),
("1061","Ismail","Ziarat Gul","1531056607331","KP","LOWER DIR (AT TEMERGARA)"),
("1062","Israr "," Munir","8210134003249","AJ&K","Hari Gehl, District Bagh"),
("1063","Israr Ahamd @ Jangi Commander","Abdul Rahim","1560262824993","KP","SWAT (AT MINGORA)"),
("1064","Israr Hussain ","Manzoor Hussain","3330391817125","Punjab","TOBA TEK SINGH"),
("1065","Israr Hussain Shah","Syed Kifayat Hussain Shah","1330205343219","KP","Haripur"),
("1066","Israr Muhammad","Farid Khan","1610165935727","KP","MARDAN"),
("1067","Israr ul Haq","Mula Buzarg","1530209189489","KP","LOWER DIR (AT TEMERGARA)"),
("1068","Izat Ullah","Shakir Ullah","1530555391737","KP","LOWER DIR (AT TEMERGARA)"),
("1069","Izhar","Gul Dad","1530746631749","KP","LOWER DIR (AT TEMERGARA)"),
("1070","Jafar Ali ","Sher Muhammad ","3310060103695","Punjab","FAISALABAD"),
("1071","Jafar Ali Shah","Muhammad Shah","3320116288729","Punjab","CHINIOT"),
("1072","Jaffar Tayiar","Rabnawaz","3210307637313","Punjab","DERA GHAZI KHAN"),
("1073","Jahan Badshah","Hamesh Gul","1530746013283","KP","Dir Lower"),
("1074","Jahangir","Dost Muhammad","1540108276103","KP","MALAKAND P.A."),
("1075","Jahangir","Firdous","1720173411233","KP","NOWSHERA"),
("1076","Jahanzaib Raisani","Orangzaib Raisani.","5440010072083","Balochistan","QUETTA"),
("1077","Jahanzeb","Juma Khan","1610192688697","KP","MARDAN"),
("1078","Jalees Ahmad Khan","Manzoor Ahmad","3810145920009","Punjab","BHAKKAR"),
("1079","Jalil","Shams-ur-Rahim","1530229102229","KP","LOWER DIR (AT TEMERGARA)"),
("1080","Jamal Abdul Nasir","Nisar Ahmad Bhatti","3130316687395","Punjab","Rahim Yar Khan"),
("1081","Jamaldin","Ghulam Nabi Manjhoto ","4540123845255","Sindh","SHAHEED BENAZIRABAD"),
("1082","Jameel Ahmad","Islam Din","3450114959279","Punjab","NAROWAL"),
("1083","Jameel Ahmed Yousafzai. ","Naseer Ahmed","5150384845519","Balochistan","LASBELA (AT UTHAL)"),
("1084","Jamil Shah","Zareen Shah","1620296615049","KP","SWABI"),
("1085","Jamshaid Iqbal","Hafiz Muhammad Ismail","3310312268665","Punjab","Vehari"),
("1086","Jamshaid Khan Tabassum alias Bamboo","Abdul Jabbar ","4200035490057","Punjab","HAFIZABAD"),
("1087","Jamshed","Pam Jan","1560202768569","KP","SWAT (AT MINGORA)"),
("1088","Jamshid","Said Zaman","1530737150495","KP","Dir Lower"),
("1089","Jan Alam","Bakhtiyar","1570165000347","KP","UPPER DIR (AT DIR)"),
("1090","Jan Dost","Hamid Khan","1530210070991","KP","LOWER DIR (AT TEMERGARA)"),
("1091","Jan said Qasab","Aman Khan","1530751107695","KP","LOWER DIR (AT TEMERGARA)"),
("1092","Jan Wali","Muhammad Ramzan","1730193988257","KP","PESHAWAR"),
("1093","Jan Zada","Chamnay","1570111677329","KP","UPPER DIR (AT DIR)"),
("1094","Javaid ","  Nusrat.","7150122093939","Gilgit-Baltistan","GILGIT"),
("1095","Javaid Akhtar ","Muhammad Sadiq ","3310424720253","Punjab","FAISALABAD"),
("1096","Javed","Nawab Uddin ","4210177522715","Sindh","Karachi"),
("1097","Javed","Said Ahmed","1720188032917","KP","NOWSHERA"),
("1098","Javed Akhtar ","Muhammad Ramzan ","3130179161685","Punjab","RAHIM YAR KHAN"),
("1099","Javed Iqbal","Khuda Bakhsh","3710116847535","Punjab","Attock    "),
("1100","Javed Iqbal","Sultan Ahmad","3430169460225","Punjab","HAFIZABAD"),
("1101","Javed Iqbal","Noor Muhammad","3530197814987","Punjab","Okara"),
("1102","Javed Iqbal","Karam Din","4240145386423","Punjab","JHELUM"),
("1103","Javed Khan","Dawai Khan","2240145714133","KP","KOHAT"),
("1104","Javeed Iqbal ","Muhammad Iqbal","3740569277289","Punjab","CHAKWAL"),
("1105","Javeed Iqbal ","Atta Muhammad ","3320216558373","Punjab","JHANG"),
("1106","Javid","Khan Shehzada","1530208643661","KP","Dir Lower"),
("1107","Jawad","Falak Sher","1720109452747","KP","NOWSHERA"),
("1108","Jawad","Islam Gul","1111111111128","KP","PESHAWAR"),
("1109","Jawad Habib Ullah Sawati","Maqsood Alam ","3740555997789","Punjab","LAHORE"),
("1110","Jawad Hadi ul Hassan","Ahmad Shah","2130322599447","KP","PESHAWAR"),
("1111","Jawad Khan","M. Nisar","1530722360759","KP","LOWER DIR (AT TEMERGARA)"),
("1112","Jawad Ur Rehman ","Mazkoor Ahmed Rao ","3520135147631","Punjab","LAHORE"),
("1113","Jehanzeb","Saeed Khan","1730118214071","KP","PESHAWAR"),
("1114","Jihanzaib ","Abdul Qayuum","1350415460841","KP","TORGHAR (AT OGHI)"),
("1115","Juma Khan","Saffar Mohammad ","5620117445527","Balochistan","KILLA SAIFULLAH"),
("1116","Junaid Ahmad  ","Irshad Ahmad","3630231547585","Punjab","MULTAN"),
("1117","Kabeer","Sagheer /Zafeer Ahmad r/o","1310173965521","KP","ABBOTTABAD"),
("1118","Kabir Ahmad","Haji Allah Yar","3620165391257","Punjab","LODHRAN"),
("1119","Kacholl Muhammad","Shah Jamal","2110323066011","KP","BAJAUR (AT KHAR BAJAUR)"),
("1120","Kaleem Ullah ","Haji Abdul Rehman ","3210209217481","Punjab","DERA GHAZI KHAN"),
("1121","Kaleem Ullah ","Fateh Muhammad","3410190271821","Punjab","GUJRANWALA"),
("1122","Kaleem Ullah","Gul Aman","1570117917379","KP","UPPER DIR (AT DIR)"),
("1123","KALEEM ULLAH AZIZ","ABDUL AZIZ","3420207270801","Punjab","GUJRAT"),
("1124","Kaleem Ullah Muavia ","Taj Muhammad","3540271581657","Punjab","NANKANA SAHIB"),
("1125","Kaleem ur Rehman","Fazal ur Rehman","1330205228099","KP","HARIPUR"),
("1126","Kamal ud Din","Dilbar Hussain","1530742146253","KP","LOWER DIR (AT TEMERGARA)"),
("1127","Kamran Ahmed alias Kami","Muhammad Razaq","3420207718289","Punjab","GUJRAT"),
("1128","Kamran Khan ","Mohammad Khan ","NIL","Sindh","Karachi"),
("1129","Kamran Raza alias Goga Shah ","Syed Tajamul Hussain Shah ","3230349528059","Punjab","MUZAFFARGARH"),
("1130","Kamran Waheed","Sheikh Abdul Waheed","3520194659407","Punjab","LAHORE"),
("1131","Karam Ellahi","Khan Zaman ","3710565844721","Punjab","ATTOCK"),
("1132","Karbalai  Rajab  Ali. ","Abbas Counsilor","5440063852795","Balochistan","QUETTA"),
("1133","Karim Bux ","Babal @ Baran @ Bahram Brohi","4330289985805","Sindh","Shikarpur"),
("1134","Kashif","Muhammad Zaman @ Mir Ali","","KP","Bannu"),
("1135","Kashif Hassan @ Hamza ","Gul Hassan Samo","4130326548181","Sindh","Hyderabad"),
("1136","Kashif Husain Attari Qadri ","Mubarak Ali ","3310471281225","Punjab","FAISALABAD"),
("1137","KASHIF mUSHTAQ","MUSHTAQ AHMAD","3420123906473","Punjab","Gujrat"),
("1138","Kashif Nizam alias Kashi ","Nizam Din ","3130326735007","Punjab","RAHIM YAR KHAN"),
("1139","Khadim Hussain","Shamoo Khan","3620105750631","Punjab","MUZAFFARGARH"),
("1140","Khadim Hussain ","Nazir Hussain ","3410341589899","Punjab","GUJRANWALA"),
("1141","Khadim Hussain Badshah","Bashir Hussain Akhtar","3320305952497","Punjab","Jhang"),
("1142","Khadim Hussain Magsi ","Dolat Khan","4220111254569","Sindh","Karachi"),
("1143","Khair","s/o Said Aman","1570159169195","KP","UPPER DIR (AT DIR)"),
("1144","Khair Abba","Muhammad Zareef","3740198226305","Punjab","RAWALPINDI"),
("1145","Khair Muhammad","Gul Azam caste Gian khel","","KP","Bannu"),
("1146","Khaista Rahim","Rehmat Ullah","1530585845697","KP","LOWER DIR (AT TEMERGARA)"),
("1147","Khaista Rahim","Feroz","1530539900205","KP","Dir Lower"),
("1148","Khalid Imran ","Muhammad Hanif ","4210195806221","Sindh","Karachi"),
("1149","Khalid Iqbal ","Haji Ahmed ","4250120451719","Punjab","JHELUM"),
("1150","Khalid Mehmood ","Abdul Razzaq ","3120189158345","Punjab","BAHAWALPUR"),
("1151","Khalid Mehmood ","Tariq Mehmood ","3310007741865","Punjab","FAISALABAD"),
("1152","Khalid Mehmood (Malik Awan)","Abdul Ghafoor","3730347986761","Punjab","JHELUM"),
("1153","Khalid Mehmood @ Khalid ","Fareed Khan Brohi","4330415192839","Sindh","Shikarpur"),
("1154","Khalid Mehmood alias Bilal Naqshbandi ","Sher Muhammad","3710502620181","Punjab","ATTOCK"),
("1155","Khalid Mehmood alias Mooda ","Tayyab Khan ","3720397048597","Punjab","CHAKWAL"),
("1156","Khalid Mehmood S/o Muhammad Subhan  ","Muhammad Subhan Khan ","3520114139885","Punjab","LAHORE"),
("1157","Khalid Saifullah","Mir Muhammad Abbasi","4530452125863","Sindh","N-Feroze"),
("1158","Khalid Usman","Manzoor Ahmad","3840604185101","Punjab","SARGODHA"),
("1159","Khalid Yousaf Bari ","Muhammad Yousuf ","422012833555","Sindh","Karachi"),
("1160","Khalid Zaman ","Mehar Zaman","2170245755545","KP","S.WAZIRISTAN (AT WANA)"),
("1161","Khalil","Mian Sultan Zeb","1510161206939","KP","BUNER"),
("1162","Khalil Ahmad","Noor Muhammad","3710502443313","Punjab","Attock    "),
("1163","Khalil Ahmad","Mubarak Ali","3230448572037","Punjab","Muzaffargarh"),
("1164","Khalil Ahmed ","Ghulam Muhamm","3630190228403","Punjab","MULTAN"),
("1165","Khalil Ahmed","Buland Khan. ","4310133650289","Balochistan","LASBELA (AT UTHAL)"),
("1166","Khalil Ahmed","Haji Ghulam Hussain","3220210265433","Punjab","LAYYAH"),
("1167","Khalil Ahmed Butt","Abdul Majeed","3450128903017","Punjab","Narowal"),
("1168","Khalil Ur Rehman","Fazal Rehman","1730115640465","KP","PESHAWAR"),
("1169","Khalil-ur-Rehman ","Muhammad Rafique","3660314576027","Punjab","VEHARI"),
("1170","Khan Bacha","Shams ul Haq","2140624056109","KP","NOWSHERA"),
("1171","Khan Muhammad","Muhammad Sahib","1510116177747","KP","BUNER"),
("1172","Khan Sahib","Abdullah Khan","1110151334755","KP","BANNU"),
("1173","Khan Shehzada","Zarawar Khan","1530367979011","KP","Dir Lower"),
("1174","Khanzala ","Zarmal Khan","2170569769949","KP","S.WAZIRISTAN (AT WANA)"),
("1175","Khawaja Muhammad Ishaq ","Muhammad Bux","4410303580085","Sindh","Mirpurkhas"),
("1176","Khawaja Muhammad Sadiq ","Seraj Ahmad     ","3120218272807","Punjab","BAHAWALPUR"),
("1177","Khawaja Muhammad Saqib ","Muhammad Saleem Shehryar ","3440261771371","Punjab","MANDI BAHAUDDIN"),
("1178","Khawar Abbas ","Muhammad Latif ","3410319277395","Punjab","GUJRANWALA"),
("1179","Khawar Shahzad","Manzoor Ellahi","3710339462825","Punjab","ATTOCK"),
("1180","Khawar Walayat","Walayat Khan","3410438356791","Punjab","GUJRAT"),
("1181","Khizar Abbas Shah ","Syed Bahar Hussain Shah","3660252113475","Punjab","Vehari"),
("1182","Khizar Hayat","Mir Asad (Hassan)","1720132967133","KP","NOWSHERA"),
("1183","Khizar Hayat ","Talib Hussain ","3320306775179","Punjab","JHANG"),
("1184","Khuda Bakhsh ","Muhammad Noor Caste Marra","5530244332533","Balochistan","SIBI"),
("1185","Khuda Baksh alias Manoo","Ghulam Mehmood","3310432565415","Punjab","FAISALABAD"),
("1186","Khuda-e-Rahim","Muhammad Azam Caste Kasi","5440175207773","Balochistan","QUETTA"),
("1187","Khurram Iqbal","Syed Iqbal Hussain","3520230386923","Punjab","LAHORE"),
("1188","Khurram Shahzad ","Muhammad Taj ","3710287232327","Punjab","Attock    "),
("1189","Khurram Shehzad ","Salah-ud-Din","3520223049407","Punjab","LAHORE"),
("1190","Khurram Shehzad ","Lal Khan ","3440370871051","Punjab","MANDI BAHAUDDIN"),
("1191","Khurshid ","Haji Sawab","2140691998923","KP","KHYBER (AT PESHAWAR)"),
("1192","Khurshid","Haq Dad","1720109873735","KP","NOWSHERA"),
("1193","Khurshid Alam @ Musa","Sahib Zada","1510198895597","KP","BUNER"),
("1194","Khurshid Anwar","Molvi Fazal","1330204546397","KP","HARIPUR"),
("1195","Khurshid Anwar Jowadi","Tahir Azmi","1410107645431","KP","HANGU"),
("1196","Khushal Khan","Abdul Qaddar","1570224997833","KP","LOWER DIR (AT TEMERGARA)"),
("1197","Kifayat Ullah","Ghulam Haider","2250105952553","KP","PESHAWAR"),
("1198","Kin Khab Shah","Masheer","1550454154816","KP","SHANGLA (AT ALPURI)"),
("1199","Konain Abbas ","Jaffar Hussain","3410403386079","Punjab","GUJRANWALA"),
("1200","Laeq Ahmed alias Danish","Muhammad Rafique","3720334974839","Punjab","CHAKWAL"),
("1201","Laiq Zaman","Gul Khan","1720119479291","KP","NOWSHERA"),
("1202","Laiqat Ali","bhageel khan","3540219903151","Punjab","Nankana Sahib"),
("1203","Lajbar Khan","Noor Jamal","1610112089253","KP","MARDAN"),
("1204","Lakhano Rind ","Yar Muhammad","4410432155535","Sindh","Umerkot"),
("1205","Lal Jan  "," Noor Bakhsh","5630356503403","Balochistan","BARKHAN"),
("1206","Lal Shah","Rokhan","2140149710583","KP","BAJAUR (AT KHAR BAJAUR)"),
("1207","Lal Zada","Gul Zada","1510103524341","KP","BUNER"),
("1208","Lal Zaman @ Qari","Abdul Khaliq (Haq)","1530209302937","KP","LOWER DIR (AT TEMERGARA)"),
("1209","Lal Zarin","Zarawar Khan","1530466200051","KP","Dir Lower"),
("1210","Latif","Ayub","1570477737909","KP","UPPER DIR (AT DIR)"),
("1211","Latif Ullah","Hafiz Ullah","1570133190207","KP","UPPER DIR (AT DIR)"),
("1212","Latif ur Rehman","Shah Yousaf","1620209342625","KP","SWABI"),
("1213","Lawang Khan @ Ghulam Farooq","Shah Jahan ","5410275668651","Balochistan","NUSHKI"),
("1214","lftikhar Ahmad","Malik Manzoor Hussain","3660335810017","Punjab","VEHARI"),
("1215","Liaqat Ali ","Wazir Ahmad Khan ","3210396838915","Punjab","DERA GHAZI KHAN"),
("1216","Liaqat Ali ","Noor Muhammad ","3410143365277","Punjab","GUJRANWALA"),
("1217","Liaqat Ali","Hasan Khan","3320371235105","Punjab","Jhang"),
("1218","Liaqat Ali","Qaim-ud-Din","1730118833735","KP","PESHAWAR"),
("1219","Liaqat Ali ","Barkat Ali ","3330283086177","Punjab","TOBA TEK SINGH"),
("1220","Liaqat Ali ","Muhammad Faiz ","3320385834031","Punjab","JHANG"),
("1221","Liaqat Hussain Abbasi ","Muhammad Faris ","3740402378785","Punjab","RAWALPINDI"),
("1222","Liaqat Ullah","Ashiq Hussain","1210117629777","KP","DERA ISMAIL KHAN"),
("1223","Liaquat Ali Sasoli.","Khuda Bakhsh","5140232184241","Balochistan","KHUZDAR"),
("1224","lnayat-ur-Rehman","Muhammad Rafiq","3840401550671","Punjab","SARGODHA"),
("1225","lrfan Shafi","Muhammad Shafi","3740183404581","Punjab","RAWALPINDI"),
("1226","Lutuf Ali","Ghulam Nabi Abro","4120578428549","Sindh","Dadu"),
("1227","M. Arshad","M. Younis","9040301052649","AJ&K","Rawli Dhokan, Hari Gehl Bagh"),
("1228","M. Asghar","Imam Baksh","3660265568769","Punjab","Vehari"),
("1229","M. Ibraheem ","Moulvi Abdul Haq Badeni Brohi","4310220061203","Sindh","Jacobabad"),
("1230","M. Irshad","M. Yaqoob","3660294083195","Punjab","Vehari"),
("1231","M. Ishfaq","Gul Zaman","8220317559233","AJ&K","Seryian Muzaffarabad"),
("1232","M. Iyaz ","Fazal Hussain","8240184124969","AJ&K","Nakar Dana Sudhnoti "),
("1233","M. Kashif ","M Iqbal","8230314430013","AJ&K","Barian Pachiot Rawalakot"),
("1234","M. Naeem "," Abdul Qadeer","8220334242213","AJ&K","Lower Plate Muzaffarabad"),
("1235","M. Rashid","M. Younis","8210141721701","AJ&K","Rawli Dhokan, Hari Gehl Bagh"),
("1236","M. Umair","M. Ajmal","3660266701349","Punjab","Vehari"),
("1237","M. Yasir ","M Yaqoob","4210114616863","AJ&K","Makri Muzaffarabad"),
("1238","M: Basir @ Zarqavi","Muhammad Yaqoob","1530599017209","KP","LOWER DIR (AT TEMERGARA)"),
("1239","Maaz uddin","Izzat Gul","1530725773781","KP","LOWER DIR (AT TEMERGARA)"),
("1240","Mahmood","Baz Mahammad","1570178575415","KP","UPPER DIR (AT DIR)"),
("1241","Mahmood Ahmed alias Muavia ","Abdul Majeed","3640299289999","Punjab","PAKPATTAN"),
("1242","Mahmood Iqbal ","Abdul Khaliq Saeed ","3120332337205","Punjab","BAHAWALPUR"),
("1243","Mahrab","Umar Zada","1570150014965","KP","UPPER DIR (AT DIR)"),
("1244","Mahran Gul","Haji Manzoor Ahmad","3320214266645","Punjab","JHANG"),
("1245","Mairaj Din ","Noor Din ","3120231167261","Punjab","BAHAWALPUR"),
("1246","Majeebullah","Naeemullah  ","5430320110389","Balochistan","PISHIN"),
("1247","Majid Ali","Ahmed Shakoor","3130350492987","Punjab","Rahim Yar Khan"),
("1248","MAJID HUSSAIN","MUHAMMAD NAZIR","3420187028515","Punjab","Gujrat"),
("1249","Majid Imran ","Abdul Hameed ","3450161919463","Punjab","NAROWAL"),
("1250","Major (R) Ch. Zaheer ud Din","Ch. Miraj Din","3520175184001","Punjab","Lahore"),
("1251","Malang Jan","Arsh Ullah","1610148584879","KP","UPPER DIR (AT DIR)"),
("1252","Malik Abid Farooqi ","khan Muhammad","3120103284735","Punjab","Bahawalpur"),
("1253","Malik Amjad Ali alias Amjad Ali ","Ghulam Muhammad ","3430139851275","Punjab","HAFIZABAD"),
("1254","Malik Fiyyaz Haider ","Malik Mohib Hussain ","3810277634257","Punjab","BHAKKAR"),
("1255","Malik Haq Nawaz ","Malik Falak Sher ","3810341814757","Punjab","BHAKKAR"),
("1256","Malik Hassan Abbas","Malik Muhammad Waris","3320158473283","Punjab","CHINIOT"),
("1257","Malik Jalal Ud Din ","Hassan Muhammad ","3810209106205","Punjab","BHAKKAR"),
("1258","Malik Khizar Hayat"," Malik Ghulam Hussain ","3520231505723","Punjab","LAHORE"),
("1259","Malik Muhammad Arslan ","Malik Muhammad Baqir ","3520278370683","Punjab","LAHORE"),
("1260","Malik Muhammad Faisal alias Malik Bloch","Muhammad Anwar","3310603219877","Punjab","FAISALABAD"),
("1261","Malik Muhammad Rizwan ","Muhammad Aslam ","3120117036223","Punjab","BAHAWALPUR"),
("1262","Malik Muhammad yaqoob","Muhammad Rafique","3130114988953","Punjab","Rahim Yar Khan"),
("1263","Malik Rashid Mehmood ","Malik Manzoor Ahmed","3130221304207","Punjab","RAHIM YAR KHAN"),
("1264","Malik Sajjad Hussain ","Malik Barkhurdar Khan ","3210307694481","Punjab","DERA GHAZI KHAN"),
("1265","Malik Shah Nawaz Khalil ","Khalil Ahmed ","3810209190155","Punjab","BHAKKAR"),
("1266","Malik Shahzad Nadeem","Malik Sadar ud Din","3710528475287","Punjab","Attock    "),
("1267","Malik Zafar Iqbal Shahbaz ","Malik Sardar Ali ","3520241359487","Punjab","SHEIKHUPURA"),
("1268","Malki Khan","Subati","1510108115443","KP","BUNER"),
("1269","Malook","Khanam Roz","1570244404541","KP","UPPER DIR (AT DIR)"),
("1270","Mamu Khan ","Abdullah Khan (Late)","4210116480767","Sindh","Karachi"),
("1271","Mansoor Ahmad","Muhammad Haleem","1530284565499","KP","LOWER DIR (AT TEMERGARA)"),
("1272","MANSOOR AHMED","MOLANA SHEIKH AHMED","3730182785469","Punjab","Gujranwala"),
("1273","Mansoor Lehri","Ghulam Sarwar","5440078672139","Balochistan","QUETTA"),
("1274","Manzar Abbas ","Ghulam Abbas","3820193589305","Punjab","KHUSHAB"),
("1275","Manzar Abbas","Abid Hussain","3320116602795","Punjab","CHINIOT"),
("1276","Manzoor","Muhammad Ramzan ","3310426584229","Punjab","FAISALABAD"),
("1277","Manzoor Ahmad Alias Akasha","Ameer Ahmad","3810208848485","Punjab","BHAKKAR"),
("1278","MANZOOR AHMAD Alias Saif-ur-Rehman","KHUSHI MUHAMMAD","3530138305925","Punjab","OKARA"),
("1279","Manzoor Ahmed Lehri","Ghulam Sarwar","5440083411531","Balochistan","QUETTA"),
("1280","Manzoor Hussain ","Charagh Din ","3310006492889","Punjab","FAISALABAD"),
("1281","Manzoor Parwana ex president BSF "," Muhammad Hussain","4220105394855","Gilgit-Baltistan","BALTISTAN (AT SKARDU)"),
("1282","Maqbool Ahmed","Ghulam Nabi","3460101515667","Punjab","Sialkot"),
("1283","Maqbool Ahmed ","Abdul Rasheed ","3130321209785","Punjab","RAHIM YAR KHAN"),
("1284","Maqbool Hussain","Muhammad Shafi","3410160638027","Punjab","GUJRANWALA"),
("1285","Maqbool Raisani @ Chotay","Saleh Muhammad","5440154050121","Balochistan","QUETTA"),
("1286","Maqsood Ahmad alias Javeed Ahmad","Sardar Muhammad ","3650221226503","Punjab","BAHAWALPUR"),
("1287","Maqsood Ahmed","Rehmat Ali","3640230446095","Punjab","PAKPATTAN"),
("1288","Maqsood Ahmed","Muhammad yaqoob","3320312793043","Punjab","Jhang"),
("1289","Maqsood Ahmed ","Mohd. Ishaq ","5440156191045","Balochistan","QUETTA"),
("1290","Maqsood Ali Khan ","Muhammad Ali","1520189454643","KP","CHITRAL"),
("1291","Maqsood Yameen ","Naik Muhammad ","3630256516931","Punjab","MULTAN"),
("1292","Marham Ullah @ Rahim Ullah","Muhammad Amin Ullah","1510103733083","KP","BUNER"),
("1293","Maroof Ahmad Mirza alias Hafiz Gee (Mughal)","Mirza Nizam ud Din","3730109541207","Punjab","JHELUM"),
("1294","Mashkoor Hussain ","Mian Safdar Hussain ","3230360067747","Punjab","MUZAFFARGARH"),
("1295","Masjood Ahmad","Ghulam Mustafa","3130135216813","Punjab","Rahim Yar Khan"),
("1296","Masood","Abdul Jabar","1730114661543","KP","PESHAWAR"),
("1297","MASOOD-UL-HASSAN","GHULAM RASOOL","3840553299185","Punjab","SARGODHA"),
("1298","Masroor Nawaz","Maulana Haq Nawaz","3320231521181","Punjab","Jhang"),
("1299","Master Hafeez-ur-Rehman ","Hafiz Abdul Rehman ","3210333588211","Punjab","DERA GHAZI KHAN"),
("1300","Master Sher Afzal","Abdul Hameed","1310128367385","KP","ABBOTTABAD"),
("1301","Master Syed Qaisar Abbass","Mazhar/ (Syed Nazar Hussain) Nazeer Hussain","1430126633381","KP","Kohat"),
("1302","Mateh Ul Haq","s/o Akbar Khan r/o Shaore","1570173890185","KP","UPPER DIR (AT DIR)"),
("1303","Mati ullah","Sazullah","1530552804979","KP","LOWER DIR (AT TEMERGARA)"),
("1304","Mati Ullah","Attiqur Rehman","1560161525815","KP","SWAT (AT MINGORA)"),
("1305","Mati Ullah ","Anwar Ullah ","3330388788075","Punjab","TOBA TEK SINGH"),
("1306","Mati Ullah ","Said Hassan","1730176533499","KP","PESHAWAR"),
("1307","Matloob ur Rehman @ Salah ud Din","Maqsood ur Rehman","3740589186211","KP","ABBOTTABAD"),
("1308","Maulana Abdul Aziz","Muhammad Abdullah","6110119576777","ICT","ISLAMABAD\n\n"),
("1309","Maulana Abdul Hakeem Mengal","Mohammad Noor. ","5340219589301","Balochistan","NASIRABAD  (AT D.M.JAMALI)"),
("1310","Maulana Abdul Wakeel","Sham ur Rehman","1620208963955","KP","SWABI"),
("1311","Maulana Aziz Ahmad","Ameen ul Haq r","1620209855373","KP","SWABI"),
("1312","Maulana Faraz Ahmed "," Walayat Khan.","7150129104315","Gilgit-Baltistan","GILGIT"),
("1313","Maulana Hafiz Muhammad Awais ","Muhammad Saddique ","3330303885767","Punjab","TOBA TEK SINGH"),
("1314","Maulana Khalil Ahmed @ Sadi ","Hazoor Bakhsh","5440166298135","Balochistan","QUETTA"),
("1315","Maulana Masood Azhar ","Allah Bakhsh Sabir","0000123456789","Punjab","BAHAWALPUR"),
("1316","Maulana Nazir Ahmad","Amir Muhammad","1350331400083","KP","MANSEHRA"),
("1317","Maulana Sahib Ali Tunio @ Haideri","Gul Mohammad. ","5340212417687","Balochistan","NASIRABAD  (AT D.M.JAMALI)"),
("1318","Maulana Shah Abdul Aziz","Maulana Shaheed Ahmad","6110167944045","KP","KARAK"),
("1319","Maulana Waheed Abbas","Abbas Ali Shah","1330234890923","KP","HARIPUR"),
("1320","Maulvi Mohammad Hanif  ","Jallai","5410130066363","Balochistan","CHAGAI (AT DALBANDIN)"),
("1321","Maulvi Sadiq Ullah Daur Alias Sadique","Malik Khanam Shah ","2150661482869","KP","N.WAZIRISTAN (AT MIRAN SHAH)"),
("1322","Maveez Khan Alia Maveezgai ","Zangay","2150180828031","KP","N.WAZIRISTAN (AT MIRAN SHAH)"),
("1323","Maysam Timar","Ashiq Hussain","3320327157301","Punjab","Jhang"),
("1324","Mazhar Abbas","Ghazanfar Abbas","3330386080257","Punjab","SAHIWAL"),
("1325","Mazhar Abbas Khan ","Riaz Hussain Khan ","3320290147945","Punjab","JHANG"),
("1326","Mazhar Ali","Malik Muhammad Shafi","3320403578099","Punjab","Jhang"),
("1327","Mazhar Hussain ","Muhammad Ali ","3310098608225","Punjab","FAISALABAD"),
("1328","Mazhar Mukhtar","Mukhtar Ahmed ","3460123298241","Punjab","SIALKOT"),
("1329","Meeran Bakhsh alias Meero Caste Syedani Bugti","Niaz Muhammad","3240459803991","Punjab","RAJANPUR"),
("1330","Mehar Dad @ Bola","Shahbaz Khan","1610160194329","KP","MARDAN"),
("1331","Mehboob Ahmad ","Muhammad Munir ","3410262064795","Punjab","GUJRANWALA"),
("1332","Mehboob Ali","Shama Khel","1560276992619","KP","SWAT (AT MINGORA)"),
("1333","Mehboob Ali","Noor ul Wahab","1550448773551","KP","SHANGLA (AT ALPURI)"),
("1334","Mehboob Ali ","Muhammad Shareef","3810384795737","Punjab","BHAKKAR"),
("1335","Mehboob Hussain ","Hukamdad Khan ","4220176078953","Punjab","RAWALPINDI"),
("1336","Mehfooz-ul-Haq ","Ghulam Fareed","3520272835703","Punjab","VEHARI"),
("1337","Mehmood alias Babi  ","Imam Bakhsh","3610316332171","Punjab","KHANEWAL"),
("1338","Mehmood Aslam","Muhammad Aslam Javed","3110420268965","Punjab","BAHAWALNAGAR"),
("1339","Mehmood Babar @ Durkey Shah ","Sagheer Ahmed ","3410305393313","Sindh","Karachi"),
("1340","Mehmood Jhangir","Muhammad Jhangir","3640108810663","Punjab","Pakpattan"),
("1341","Mehmood ul Hassan","Sher Muhammad","1430155938109","KP","KOHAT"),
("1342","Mehmood Yaseen","Ghulam Yaseen","3120481563199","Punjab","DERA GHAZI KHAN"),
("1343","Mehmood-ul-Hassan ","Abdul Haq ","3110394345761","Punjab","BAHAWALNAGAR"),
("1344","Mehmood-ul-Hassan Awan ","Muhammad Khan Awan ","3410411539695","Punjab","GUJRANWALA"),
("1345","Mehmood-Ur-Rehman Siddiqi ","Hafiz Muhammad Sadiq Siddiqi ","3120218041619","Punjab","BAHAWALPUR"),
("1346","Mehr Muhammad Ali khan","Ghullam Hussain","3320240377943","Punjab","Jhang"),
("1347","Mehrban Ali Sultan","nasib u Din","3320279399295","Punjab","Jhang"),
("1348","Memboob shah","Bachal Shah Caste Kehri","5340144936799","Balochistan","NASIRABAD  (AT D.M.JAMALI)"),
("1349","Mian Amir Hasnain ","Mian Mushtaq Ahmad ","3230307866779","Punjab","MUZAFFARGARH"),
("1350","Mian Bali Shah","Bakht Biland","1560292341351","KP","SWAT (AT MINGORA)"),
("1351","Mian Mehmood ul Hassan ","Mian Ghulam Muhammad ","3520294520255","Punjab","LAHORE"),
("1352","Mian Miraj Uddin ","Lali Mian ","1530208617161","KP","LOWER DIR (AT TEMERGARA)"),
("1353","Mian Muhammad Naeem","Muhammad Abdullah","3540415657827","Punjab","Sheikhupura"),
("1354","Mian Munib Malak","Mian Muhammad Malak","3460206541565","Punjab","Sialkot"),
("1355","Minhas Adrees caste Abbasi","Muhammad Adrees","3740435795255","Punjab","RAWALPINDI"),
("1356","Mir Anwar Talpur ","Mir Hyder Bux","4550202405193","Sindh","Sukkur"),
("1357","Mir Fida Ahmed  Qalandrani. ","Muhammad Ishaq","5140169726759","Balochistan","KHUZDAR"),
("1358","Mir Khatim @ Faqir"," Badshah","2150983707077","KP","N.WAZIRISTAN (AT MIRAN SHAH)"),
("1359","Mir Nasir Hasnain Ramal "," Mir Aman","7150403936959","Gilgit-Baltistan","HUNZA"),
("1360","Mirza","Zareen Khan","1570163901657","KP","UPPER DIR (AT DIR)"),
("1361","Mirza","s/o Zareen Khan","","KP","Toorghar"),
("1362","Mirza Ghafoor Baig ","Mirza Abdul Khaliq Baig ","3740527603587","Punjab","RAWALPINDI"),
("1363","Mirza Khan ","unknown","Resident of Pakistan","Punjab","Mian Channu Lahore"),
("1364","Mirza Khan ","Naik Mohammad","5630259445761","Balochistan","LORALAI"),
("1365","Mirza Khan caste Qutabzai","Saleh Muhammad","5420398789613","Balochistan","KILLA ABDULLAH"),
("1366","Mirza Maqsood Amir ","Mirza Shafique Baig ","3520207676565","Punjab","LAHORE"),
("1367","Mirza Muhammad Luqman","Niaz Muhammad","3630204561851","Punjab","Multan"),
("1368","Mirza Qadeer Baig","Mirza Abdul Rehman Baig","3730172591697","Punjab","JHELUM"),
("1369","Mirza Saleem Baig ","Mirza Abdul Khaliq Baig ","3740535357267","Punjab","RAWALPINDI"),
("1370","Mirza Yousif  Hussain ","Shaikh Ghulam Muhammad","4210130570895","Sindh","Karachi"),
("1371","Moazam Hayat ","Rehmat Ali ","3460178863169","Punjab","SIALKOT"),
("1372","Mobeen Ahmed alias Shaqat","Muhammad Yaqoob","3510113055839","Punjab","KASUR"),
("1373","Mobeen Rehmat Ullah ","Muhammad Jameel ","3640221494669","Punjab","PAKPATTAN"),
("1374","Mohammad","Iqbal","","KP","Dikhan"),
("1375","Mohammad Afzal @ Murri","Naik Mohammad","5630193171613","Balochistan","LORALAI"),
("1376","Mohammad Ali Lehri","Mohammad Hussain ","5160286105913","Balochistan","MASTUNG"),
("1377","Mohammad Asif","Raheem Bakhsh","5210140095521","Balochistan","GWADAR"),
("1378","Mohammad Awaz ","Zarif Khan.","5330539863591","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("1379","Mohammad Ayub","Mohammad Akbar","1570488716283","KP","Dir Upper"),
("1380","Mohammad Azam Nosherwani ","Haji  Mohd. Usman.","5140112108159","Balochistan","Khuzdar"),
("1381","Mohammad Azeem Miraji Mengal ","Mohammad Rahim.","5140386901321","Balochistan","KHUZDAR"),
("1382","Mohammad Bakhsh ","Sher Mohammad Kori.","5140144142221","Balochistan","KHUZDAR"),
("1383","Mohammad Hassan ","Mohammad Ismail","5140345000707","Balochistan","KHUZDAR"),
("1384","Mohammad Hotman Sasoli.","Gul Muhammad","5140198708487","Balochistan","KHUZDAR"),
("1385","Mohammad Hussain","Umar Khan","1570193901657","KP","UPPER DIR (AT DIR)"),
("1386","Mohammad Ibrahim","Mohd.Afzal ","5440047618725","Balochistan","QUETTA"),
("1387","Mohammad Ishaq","Abdul Karim. ","5230180645381","Balochistan","PANJGUR"),
("1388","Mohammad Mehdi @ Capt: Hadi ","Faqir Hussain ","4250153335415","Balochistan","QUETTA"),
("1389","Mohammad Nadeem @ Burger @ Nadeem Mulla","Mohammad Saleem Patel","NIL","Sindh","Karachi"),
("1390","Mohammad Shahid @ Sani ","Abdul Hakim ","NIL","Sindh","Karachi"),
("1391","Mohammad Shaid Sultan. ","Saifullah","5630273907807","Balochistan","LORALAI"),
("1392","Mohammad Shakir","Sheikh Mohammad Yaseen ","3740565359881","Punjab","RAWALPINDI"),
("1393","Mohammad Shareef Rind ","Gahi Khan","5320295931005","Balochistan","JAFFARABAD"),
("1394","Mohee Uddin Shah Holding ","Syed Hassan-ul-wahab","4250130209779","Sindh","Karachi"),
("1395","Mohib Ullah","Nowshad","4220104136545","KP","LOWER DIR (AT TEMERGARA)"),
("1396","Mohsin","Masood Kaimkhani","NIL","Sindh",""),
("1397","Mohsin Abbas ","Muhammad Nawaz ","3820104668569","Punjab","KHUSHAB"),
("1398","Mohsin Abbas","Riaz Hussain","3720152726917","Punjab","CHAKWAL"),
("1399","Mohsin Ali ","Ibrar Hussain ","3740569672241","Punjab","RAWALPINDI"),
("1400","Mohsin Mehmood ","Taj Mehmood ","3240244179059","Punjab","RAJANPUR"),
("1401","Mokamil @ Kamil","Gul Said","1610233276407","KP","MARDAN"),
("1402","Molan Abdul Razzaq","Abdul Manan Afghan National","1530702478977","KP","LOWER DIR (AT TEMERGARA)"),
("1403","Molana Abdul Raheem Sajid. ","Ali Sher","5440156763025","Balochistan","QUETTA"),
("1404","Molana Abdul Wahid","Abdullah","1540263100385","KP","MALAKAND P.A."),
("1405","Molana Agha Jehanzeb","Hanif Ghulam Bangash,","1410165593455","KP","ABBOTTABAD"),
("1406","Molana Aurangzaib Farooqi ","Misri Khan","4250124740951","Sindh","Karachi"),
("1407","Molana Gul Feroz","Gul Shereen","1350478060903","KP","MANSEHRA"),
("1408","Molana Maqbool Mir .","Muhammad Ayaz.","7150124765381","Gilgit-Baltistan","GILGIT"),
("1409","Molana Mati ul Haq","Molana Sufi Muhammad","1530765657133","KP","LOWER DIR (AT TEMERGARA)"),
("1410","Molana Muhammad Ayub","Gul Roz","1530482115155","KP","LOWER DIR (AT TEMERGARA)"),
("1411","Molana Muhammad Fayaz ","Muhammad Razi","4250122144801","Sindh","Karachi"),
("1412","Molana Muhammad Ghulam @ Ahmad Raza ","Pir Ghulam ","1120197387465","KP","TANK"),
("1413","Molana Muhammad Iqbal","Muhammad Ayub","1510114364229","KP","BUNER"),
("1414","Molana Muhammad Sadiq Khan","Kala Khan","1330288129237","KP","Haripur"),
("1415","Molana Said Raziq @ Haji Sahib","Fazal Raziq","1530210029677","KP","LOWER DIR (AT TEMERGARA)"),
("1416","Molana Toheed ur Rehman Tohidi @ Toheed","Sher Bahadar","1330251966375","KP","Haripur"),
("1417","Molvi Ab.Ghafoor ","Ab.Aziz","8230301761657","AJ&K","Tarar, District Poonch"),
("1418","Molvi Abdul Hakim","Mohammad Bacha","1570405255175","KP","UPPER DIR (AT DIR)"),
("1419","Molvi Abdullah Phulpoto","Sono Khan Phulpoto","4520463990149","Sindh","Khairpur"),
("1420","Molvi Abul Rehman ","Muhammad Bashir","3330321904873","Punjab","TOBA TEK SINGH"),
("1421","Molvi Asghar Ali @ Allah Nawaz Kharos","Abdul Rehman alias Humar Khan ","4520468825911","Sindh","Khairpur"),
("1422","Molvi Badshah Zaib","Abdul Jalil","1570179609727","KP","UPPER DIR (AT DIR)"),
("1423","Molvi Bakh Sher ","Abdul Wahab.","7120221823245","Gilgit-Baltistan","DIAMIR (AT CHILAS)"),
("1424","Molvi Bashir Ahmad","Zoor Talab","1570107684923","KP","UPPER DIR (AT DIR)"),
("1425","Molvi Jahangir","Muqadar","1510103353079","KP","BUNER"),
("1426","Molvi Muhammad Hayat Shaikh","","4330495158989","Sindh","Shikarpur"),
("1427","Molvi Muhammad Umar","Allah Din alias Allah Dino Bhayo","4510160453751","Sindh","Khairpur"),
("1428","Molvi Munir Ahmed ","Gul Muhammad Indher","4550118896027","Sindh","Sukkur"),
("1429","Molvi Nabi","Muhammad Shafiq","1410181177655","KP","HANGU"),
("1430","Molvi Nazir Ahmed Chotai"," Kher Muhammad Jan (Pesh Imam)","5330660140507","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("1431","Molvi Salar","Sardar","1510126494599","KP","Toorghar"),
("1432","Molvi Ubeedullah ","Ghulam Ullah Korai","4530367063159","Sindh","N-Feroze"),
("1433","Molvi Usman","Sher Mohammad","1570111224613","KP","UPPER DIR (AT DIR)"),
("1434","Molvi Waheed ur Rehman ","Ahmed Bux Shar ","4520344375885","Sindh","Khairpur"),
("1435","Molvi Zafar","Sayal Khan","1410146707791","KP","HANGU"),
("1436","Mondar Ahmed","Haiwa Sasoli./ Maiwa Khan","5140122973995","Balochistan","KHUZDAR"),
("1437","Mosa Raza","Ghulam Sarwar","3240337305601","Punjab","RAJANPUR"),
("1438","Moulana Abdul Hameed @ Abdul Majeed","Abdul Qadir. ","5140101889545","Balochistan","KHUZDAR"),
("1439","Moulana Abdul Kabir Shakir","Inayat Ullah","5410204082165","Balochistan","QUETTA"),
("1440","Moulana Abdul Rauf alias Yazdani caste Bhatti","Abdul Ghafoor","3410155070167","Punjab","GUJRANWALA"),
("1441","Moulana Abdul Razzaq Haideri","Abdul Rehman","6110187652727","ICT","ISLAMABAD\n\n"),
("1442","Moulana Attaullah ","Moulana Muhammad Essa","4550429730549","Sindh","Sukkur"),
("1443","Moulana Faiz Muhammad Sikanderi","Muhammad Nawaz Bughio","4540348120297","Sindh","Shaeed Benizrabad"),
("1444","Moulana Farooque Azad ","Master Abdul Razzak Marwari Rajput","4210176048347","Sindh","Hyderabad"),
("1445","Moulana Hafiz Abdul Salam ","Abdul Manan ","4120578428549","Sindh","Karachi"),
("1446","Moulana Imadadullah ","Abdullah Ibe-e-Azad Bhutto","4550118595781","Sindh","Sukkur"),
("1447","Moulana Mohammad Akram ","Khuda Nazar. ","5410215546579","Balochistan","NUSHKI"),
("1448","Moulana Mohd. Ramzan Mengal","Abdul Qayum","5440004114699","Balochistan","QUETTA"),
("1449","Moulana Muhammad Nadeem Iqbal ","Bashir Ahmed ","3110377248087","Sindh","Karachi"),
("1450","Moulana Nazir Ahmed ","Arbab Ali Mirbahar","4310247889841","Sindh","Jacobabad"),
("1451","Moulana Saeed Jadoon ","Muhammad Sadiq Jadoon","4130326110345","Sindh","Hyderabad"),
("1452","Moulana Saiful-ul-Islam ","Saifur Rahim","4130360457229","Sindh","Hyderabad"),
("1453","Moulana Sher Ghazi Malik ","Abdul Ghafoor Malik ","4210164122633","Sindh","Karachi"),
("1454","Moulana Syed Paral Shah ","Muhammad Ali Shah","4520375472513","Sindh","Khairpur"),
("1455","Moulvi Abdul Baqi ","Moulana Mohammad Alam","5440004281409","Balochistan","QUETTA"),
("1456","Moulvi Abdul Wali Khan Farooqi ","Abdul Sattar","5440012375111","Balochistan","QUETTA"),
("1457","Moulvi Jamil","Khari Mula","","KP","Dir Upper"),
("1458","Moulvi Naseem Ahmed ","Ghulam Qadir Tagar","4320536379383","Sindh","Larkana"),
("1459","Movli Abdul Qayoum Janwri ","Faqir Jam Khan","4520301416703","Sindh","Khairpur"),
("1460","Movli Shoukat Ali Farooqui ","Karimullah Arain","4420670726309","Sindh","Sanghar"),
("1461","Mst. Porada","W/O Abdul Kabir @ Musa","2110320997194","KP","BAJAUR (AT KHAR BAJAUR)"),
("1462","Muasab Zubair ","Abdul Khaliq ","3330327655319","Punjab","TOBA TEK SINGH"),
("1463","Muavia","Khadim Hussain","3810386182331","Punjab","SAHIWAL"),
("1464","Muavia Hassan ","Sana Ullah Rabani","3410258160433","Punjab","GUJRANWALA"),
("1465","Mubarik Sher","Bakhtawar Sher","1730154666573","KP","PESHAWAR"),
("1466","Mubashar Miraj ","Muhammad Hussain ","3540187926373","Punjab","SHEIKHUPURA"),
("1467","Mubasher Ali Khan ","Ghulam Muhammad ","3320202680739","Punjab","JHANG"),
("1468","Mubashir","Yar Mula","1570150063545","KP","Dir Upper"),
("1469","Mubashir Rahman ","Muhammad Arshad Saeed ","3310012715251","Punjab","FAISALABAD"),
("1470","Mubashir Ullah","Attaullah","7120204287201","Gilgit-Baltistan","DIAMIR (AT CHILAS)"),
("1471","Mubeen Ali","Saif Ali","3420106052133","Punjab","GUJRAT"),
("1472","Mubeen Shehzad alias Doctor ","Muhammad Arshad","3460316147409","Punjab","SIALKOT"),
("1473","Mudasar Ali Shah","Zahir Shah","1610182104277","KP","MARDAN"),
("1474","Mudassar  Hussain","Ghulam Hussain","3720197234227","Punjab","CHAKWAL"),
("1475","Mudassar Akhtar ","Muhammad Akhtar Bhatti ","3420138407457","Punjab","GUJRAT"),
("1476","MUDASSAR HUSSAIN","NAZAR HUSSAIN","3420271654751","Punjab","GUJRAT"),
("1477","Mudassar Mehmood","Hakim Khan","3710510172165","Punjab","Attock    "),
("1478","Mudassir Hussain ","Mazhar Hussain ","NIL","Sindh","Karachi"),
("1479","Muddasir Shafique ","Muhammad Shafique ","3520286405451","Punjab","LAHORE"),
("1480","Mufti Abdul Rehman Khalid ","Ghulam Farid ","3210363674511","Punjab","DERA GHAZI KHAN"),
("1481","Mufti Abdul Wakeel","z","1111111111127","KP","PESHAWAR"),
("1482","Mufti Imran","Muhammad Afzal","1410103984441","KP","Peshawar"),
("1483","Mufti Kafayatullah","Maulana Muhammad Rafique","1350391443715","KP","MANSEHRA"),
("1484","Mufti Muhammad Ali "," Abdul Ghafoor.","4250118985979","Gilgit-Baltistan","GHANCHE (AT KHAPLU)"),
("1485","Mufti Muhammad Shah","Naik Muhammad","5440011412529","Balochistan","QUETTA"),
("1486","Mufti Munir Shakir","Rehmat Khan","1410195675099","KP","HANGU"),
("1487","Mufti Najeebullah Farooqi","Abdullah","1730142298491","KP","PESHAWAR"),
("1488","Mufti Nasir Mehmood","Abdul Rehman","3710533543411","Punjab","Attock    "),
("1489","Mufti Zakir Hussain Siddqui ","Siddique Rehman ","4210176048347","Sindh","Karachi"),
("1490","Muhammad","Ghulam Muhammad","1530598420169","KP","LOWER DIR (AT TEMERGARA)"),
("1491","Muhammad Aamir Usman ","Muhammad Iqbal ","3830211599561","Punjab","CHAKWAL"),
("1492","Muhammad Abbas ","Nazir Ahmad","3130415009801","Punjab","GUJRANWALA"),
("1493","Muhammad Abbas","Muhammad Siddique","3220344890141","Punjab","LAYYAH"),
("1494","Muhammad Abbas ","Zafar","3320404868747","Punjab","JHANG"),
("1495","Muhammad Abbas","Faqir Muhammad","1111111111111","KP","MALAKAND P.A."),
("1496","Muhammad Abbas Nasir ","Hakim Ali ","3640195939873","Punjab","PAKPATTAN"),
("1497","Muhammad Abdul Malik","Muhammad Hashim","3660318647061","Punjab","Vehari"),
("1498","Muhammad Abdul Rehman Baig alias Hafiz Abdul Rehma","Shafique Ahmed Baig ","3420193050021","Punjab","GUJRAT"),
("1499","Muhammad Abdul Shakoor ","Abdul Wahid ","3130276743997","Punjab","BAHAWALPUR"),
("1500","Muhammad Abdulbaki ","Molvi Muhammad Haneef ","3630262385575","Punjab","Multan"),
("1501","Muhammad Abdullah ","Allah Ditta","3640103467653","Punjab","PAKPATTAN"),
("1502","Muhammad Abdullah","Muhammad Riaz","3320248228133","Punjab","Jhang"),
("1503","Muhammad Abdullah","Abdul Rehman","3520115108583","Punjab","LAHORE"),
("1504","Muhammad Abdullah ","Muhammad Saddique","3660242150717","Punjab","VEHARI"),
("1505","Muhammad Abdullah","Muhammad Munir","3110170169751","Punjab","BAHAWALNAGAR"),
("1506","Muhammad Abdullah ","Molvi Ghulam Kibrya ","3130323795707","Punjab","RAHIM YAR KHAN"),
("1507","Muhammad Abdullah","Khuda-e-Dad Caste Kakar","5540167445041","Balochistan","ZIARAT"),
("1508","Muhammad Abid ","Muhammad Hanif ","3810294466463","Punjab","BHAKKAR"),
("1509","Muhammad Abid","Aulia Khan","3710525935331","Punjab","Attock    "),
("1510","Muhammad Abid Farooq ","Hafiz Muhammad Aslam ","3810207347061","Punjab","BHAKKAR"),
("1511","MUHAMMAD ABID SHAHZAD","Sheikh Muhammad Rafi ","3220268085477","Punjab","LAYYAH"),
("1512","Muhammad Abu Bakar alias Ali ","Muhammad Babar","3460311595221","Punjab","SIALKOT"),
("1513","Muhammad Abu Bakar Saddique ","Abdul Latif ","3630410639175","Punjab","MULTAN"),
("1514","Muhammad Abu Bakar Siddiq","Allah Bakhsh","3220296595069","Punjab","LAYYAH"),
("1515","Muhammad Abu Bakar Siddique","Muhammad Sadiq","3510379229753","Punjab","KASUR"),
("1516","Muhammad Abu Sufiyan ","Muhammad Idrees ","3310257065541","Punjab","FAISALABAD"),
("1517","Muhammad Abu Zar","Hafiz Muhammad Tayyab","3650283079519","Punjab","BAHAWALNAGAR"),
("1518","Muhammad Abubakar","Ghulam Rabani","3840336017685","Punjab","SARGODHA"),
("1519","Muhammad Adil ","Ghulam Mustafa ","3310044722639","Punjab","FAISALABAD"),
("1520","Muhammad Afzal","Gulzar Ahmad","3540218283775","Punjab","Nankana Sahib"),
("1521","Muhammad Afzal","Muhammad Irshad","3630234611243","Punjab","Multan"),
("1522","Muhammad Afzal ","Muhammad Amin ","3120151337389","Punjab","BAHAWALPUR"),
("1523","Muhammad Afzal","Mehmood Khan","3620209245569","Punjab","LODHRAN"),
("1524","Muhammad Afzal ","Muhammad Aslam ","3330264534351","Punjab","TOBA TEK SINGH"),
("1525","Muhammad Afzal","Muh: Rasool","1530767827105","KP","Dir Lower"),
("1526","Muhammad Afzal ","Irshad Ali ","3640213236239","Punjab","PAKPATTAN"),
("1527","Muhammad Afzal ","Muhammad Munir ","3460346616875","Punjab","SIALKOT"),
("1528","Muhammad Afzal alias Afzal Ratta ","Rahim Bakhsh ","3120138252793","Punjab","BAHAWALPUR"),
("1529","Muhammad Afzal alias Mansoor ","Abdul Ghani ","3130423656549","Punjab","RAHIM YAR KHAN"),
("1530","Muhammad Afzal Almaroof Muhammad Afzaal","Muhammad Shareef","3320252944287","Punjab","Jhang"),
("1531","Muhammad Ahmad ","Muhammad Hussain ","3130466967979","Punjab","RAHIM YAR KHAN"),
("1532","Muhammad Ahmad Khalid ","Atta Muhammad","3110195254353","Punjab","BAHAWALNAGAR"),
("1533","Muhammad Ahsan Ullah Barki ","Misal khan Barki","2170201962915","Sindh","Karachi"),
("1534","Muhammad Ajmal ","Muhammad Bux ","4220129436363","Sindh","Karachi"),
("1535","Muhammad Ajmal","Ghulam Hussain ","3120321121639","Punjab","BAHAWALPUR"),
("1536","Muhammad Ajmal ","Deen Muhammad ","3320212843985","Punjab","JHANG"),
("1537","Muhammad Ajmal caste Jutt","Khan Muhammad","3620178198493","Punjab","LODHRAN"),
("1538","Muhammad Ajmal Chohan ","Nawab Deen ","3120399759405","Punjab","BAHAWALPUR"),
("1539","Muhammad Akbar ","Muhammad Jameel ","3240397743869","Punjab","RAWALPINDI"),
("1540","Muhammad Akhtar","Muhammas Saddique","3840320972807","Punjab","SARGODHA"),
("1541","Muhammad Akhtar ","Edu Khan ","3120103687049","Punjab","BAHAWALPUR"),
("1542","Muhammad Akhtar ","Ghulam Ahmad @ Ghulam Muhammad","3130323636907","Punjab","RAHIM YAR KHAN"),
("1543","Muhammad Akhter ","Farooq Ahmed ","3210405914783","Punjab","DERA GHAZI KHAN"),
("1544","Muhammad Akmal","Saleem Khan","1720121016509","KP","Nowshera"),
("1545","Muhammad Akmal Haidri ","Muhammad Nawaz ","3320370847087","Punjab","JHANG"),
("1546","MUHAMMAD AKRAM ","MUHAMMAD ASLAM ","3220237329919","Punjab","LAYYAH"),
("1547","Muhammad Akram","Umer Hayat","3440347781771","Punjab","MANDI BAHAUDDIN"),
("1548","Muhammad Akram","Aleem u Din ","3320213900077","Punjab","Jhang"),
("1549","Muhammad Akram ","Muhammad Sadiq ","3640256555393","Punjab","PAKPATTAN"),
("1550","Muhammad Akram"," Ahmad Bakhsh ","3120481551407","Punjab","BAHAWALPUR"),
("1551","Muhammad Akram ","Khuda Bakhsh ","3630180671487","Punjab","MULTAN"),
("1552","Muhammad Akram Farooqi ","Mureed Hussain ","3210209505971","Punjab","DERA GHAZI KHAN"),
("1553","Muhammad Alamgir ","Bashir Ahmad ","3810232952669","Punjab","BHAKKAR"),
("1554","Muhammad Aleem ","Mehar Din","3666022299132","Punjab","VEHARI"),
("1555","Muhammad Ali","Basit Ali","3320332425983","Punjab","Jhang"),
("1556","Muhammad Ali","Nizam-ud-Din","3810192503159","Punjab","BHAKKAR"),
("1557","Muhammad Ali ","Ikram-ul-Haq ","3740502257721","Punjab","RAWALPINDI"),
("1558","Muhammad Ali","Haji Muhammad Fayyaz ","3310217664619","Punjab","FAISALABAD"),
("1559","Muhammad Ali alias Mamdo ","Intezar Mehdi ","3230189207375","Punjab","MUZAFFARGARH"),
("1560","Muhammad Ali Irfan","Ali jaan","3840388486059","Punjab","Jhang"),
("1561","Muhammad Aman Ullah Arif ","Taj Muhammad ","3230306916875","Punjab","MUZAFFARGARH"),
("1562","Muhammad Ameen","Muhammad Ilam Din","3320272224789","Punjab","Jhang"),
("1563","Muhammad Ameen ","Allah Ditta","4240119676935","Sindh","Karachi"),
("1564","Muhammad Ameen Sadiq ","Kaly Khan ","3530119954611","Punjab","OKARA"),
("1565","Muhammad Ameen Talha ","Allah Ditta ","3640258223025","Punjab","PAKPATTAN"),
("1566","Muhammad Amin ","Bahadur Khan ","3520191251587","Punjab","LAHORE"),
("1567","Muhammad Amin ","Ch Sardar Muhammad","3130401058601","Punjab","Rahim Yar Khan"),
("1568","Muhammad Amin ","Peer Bakhsh","3210208992133","Punjab","DERA GHAZI KHAN"),
("1569","Muhammad Amin","Ghulam Farid","3110118717517","Punjab","BAHAWALNAGAR"),
("1570","MUHAMMAD AMIN ","MUHAMMAD RAFI","3220201799857","Punjab","LAYYAH"),
("1571","Muhammad Amir Makki ","Muhammad Sadiq","3120260436399","Punjab","BAHAWALPUR"),
("1572","Muhammad Amir Shahzad alias Amir ","Muhammad Anwar ","3330146760051","Punjab","TOBA TEK SINGH"),
("1573","Muhammad Amjad Awan","Malik Iman","3520126607103","Punjab","LAHORE"),
("1574","Muhammad Amjad Ishaq","Muhammad Ishaaq ","3630267214547","Punjab","Multan"),
("1575","Muhammad Ammar Raza ","Muhammad Hanif Basharat ","3320220403127","Punjab","JHANG"),
("1576","Muhammad Ammar Yasir ","Ghulam Murtaza","3630276631589","Punjab","MULTAN"),
("1577","Muhammad Anees ","Lal Din ","3630204563349","Punjab","MULTAN"),
("1578","Muhammad Anwar ","Abdul Sattar ","3410350353999","Punjab","GUJRANWALA"),
("1579","Muhammad Anwar","Miraj Din","3310093015559","Punjab","FAISALABAD"),
("1580","Muhammad Anwar ","Mahiwal ","3740618755703","Punjab","RAWALPINDI"),
("1581","Muhammad Anwar Caste Reki","Abdul Ghani","5130204524527","Balochistan","WASHUK"),
("1582","Muhammad Aqib","Muhammad Ameen","3550201708187","Punjab","NANKANA SAHIB"),
("1583","Muhammad Arib Soomro","Khameso Soomro ","4110144846267","Sindh","BADIN"),
("1584","Muhammad Arif ","Muhammad Murad ","3130149781467","Punjab","RAHIM YAR KHAN"),
("1585","Muhammad Arif","Muhammad Ramzan","3810222475331","Punjab","BHAKKAR"),
("1586","Muhammad Arif","Mushtaq Hussain","3320403697465","Punjab","Jhang"),
("1587","Muhammad Arif","Muhammad hussain","3320217002721","Punjab","Jhang"),
("1588","Muhammad Arif  Qasmani ","Muhammad Umar Qasmani","4220123932869","Sindh","Karachi"),
("1589","Muhammad Arif Alias Muhammad Moavia","Faqeer Muhammad","3610398031009","Punjab","KHANEWAL"),
("1590","Muhammad Arshad","Muhammad Khan","3840345860625","Punjab","SARGODHA"),
("1591","Muhammad Arshad","Umer Din","3330193624735","Punjab","TOBA TEK SINGH"),
("1592","Muhammad Arshad ","Muhammad Munshi ","3410204284077","Punjab","GUJRANWALA"),
("1593","Muhammad Arshad alias Acha ","Abdul Khaliq","3640193353083","Punjab","PAKPATTAN"),
("1594","Muhammad Arslan alias Muhammad","Muhammad Suleman","3510117924701","Punjab","KASUR"),
("1595","Muhammad Asad ","Fayyaz Hussain   ","3120132652727","Punjab","BAHAWALPUR"),
("1596","Muhammad Asad ","Shoukat Ali ","3520214555407","Punjab","LAHORE"),
("1597","Muhammad Asad Khan ","Khan Akbar Hameed ","3450219062425","Punjab","SIALKOT"),
("1598","Muhammad Asghar","Naseer ud din","3820111560049","Punjab","KHUSHAB"),
("1599","Muhammad Asghar ","Abdul Rehman ","3240220202389","Punjab","RAJANPUR"),
("1600","Muhammad Asghar Ali Qadri","Muhammad Sadiq","3660295424267","Punjab","Vehari"),
("1601","Muhammad Asghar Hussain ","Zawar Hussain Shah ","3230465061505","Punjab","MUZAFFARGARH"),
("1602","Muhammad Ashfaq","Muhammad Ishaq","3710116420849","Punjab","Attock    "),
("1603","Muhammad Ashfaq alias Saleem ","SALEEM","3310422595279","Punjab","FAISALABAD"),
("1604","Muhammad Ashfaq Aslam","Muhammad Aslam","3310404100277","Punjab","FAISALABAD"),
("1605","Muhammad Ashfaq Hussain Nadeem","Muhammad Sarwar Khan","3610360296557","Punjab","Khanewal"),
("1606","Muhammad Ashraf ","Allaha Ditta ","3540403938403","Punjab","Sheikhupura"),
("1607","Muhammad Ashraf ","Muhammad Sharif ","3630217530383","Punjab","MULTAN"),
("1608","Muhammad Ashraf ","Fakhar-ul-Din ","3630217894367","Punjab","MULTAN"),
("1609","Muhammad Ashraf","Muhammad Amin","3110503954867","Punjab","BAHAWALNAGAR"),
("1610","MUHAMMAD ASHRAF","MUHAMMAD ASLAM","3650167663955","Punjab","SAHIWAL"),
("1611","Muhammad Ashraf ","Muhammad Panah ","3320295603169","Punjab","JHANG"),
("1612","Muhammad Ashraf @ Ashraf Memon ","M Siddiqu ","4210169942729","Sindh","Karachi"),
("1613","Muhammad Ashraf Ali ","Haji Muhammad Hussain ","3130413587023","Punjab","RAHIM YAR KHAN"),
("1614","Muhammad Ashraf Asif Jalali","Ghulam Sarwar","3440216955139","Punjab","LAHORE"),
("1615","Muhammad Ashraf Iqbal alias Mam Safdar","Muhammad Iqbal","3120286385175","Punjab","LODHRAN"),
("1616","Muhammad Ashraf Shahid ","Gulzar Ahmad ","3120525442089","Punjab","BAHAWALPUR"),
("1617","Muhammad Ashraf Zahid ","Shah Muhammad","3120501937839","Punjab","BAHAWALPUR"),
("1618","Muhammad Asif ","Malik Fooaj Ali ","3130334089869","Punjab","RAHIM YAR KHAN"),
("1619","Muhammad Asif  ","m. qasim","3458645947300","Punjab","Bahawalpur"),
("1620","Muhammad Asif","Muhammad Yousaf ","3410433046899","Punjab","GUJRANWALA"),
("1621","Muhammad Asif ","Muhammad Iftikhar ","3520285022735","Punjab","LAHORE"),
("1622","MUHAMMAD ASIF","MUHAMMAD AKRAM","3650143322963","Punjab","SAHIWAL"),
("1623","Muhammad Asif","Muhammad Riaz","3720341564055","Punjab","CHAKWAL"),
("1624","Muhammad Asif ","Muhammad Ali ","NIL","Sindh","Karachi"),
("1625","Muhammad Asif ","Muhammad Hussain ","NIL","Sindh","Karachi"),
("1626","Muhammad Asif ","Muhammad Hussain","4210141062777","Sindh","Karachi"),
("1627","Muhammad Asif","Abdullah","1410159552549","KP","HANGU"),
("1628","Muhammad Asif ","Muhammad Iqbal ","3320404915939","Punjab","JHANG"),
("1629","Muhammad Asif ","Manzoor Hussain ","3320404055717","Punjab","JHANG"),
("1630","Muhammad Asif alias Muzamil ","Jewan Khan ","3210368529489","Punjab","DERA GHAZI KHAN"),
("1631","Muhammad Asif Caste Arian","Maqsood Ahmad","3330386375891","Punjab","TOBA TEK SINGH"),
("1632","Muhammad Asif Javeed alias Dr. Asif Javed ","Bashir Ahmad ","3640177170075","Punjab","PAKPATTAN"),
("1633","Muhammad Asif Nadeem ","Abdul Ghafar ","3320265729427","Punjab","JHANG"),
("1634","Muhammad Asif Naveed ","Naveed Iqbal ","3120317313985","Punjab","BAHAWALPUR"),
("1635","Muhammad Asif Shah","Baksh Shah","3840414462873","Punjab","SARGODHA"),
("1636","Muhammad Asif Sheikh ","Gulraiz Akhtar ","3520274524799","Punjab","LAHORE"),
("1637","Muhammad Asim ","Muhamamd Ismail ","3340203969451","Punjab","CHINIOT"),
("1638","Muhammad Asim @ Tipu Sultan ","Muhammad Hakeem","4230111111451","Sindh","Karachi"),
("1639","Muhammad Asim alias Jawad ","Abdul Rasheed","3610255303731","Punjab","KHANEWAL"),
("1640","Muhammad Asim Nawaz","Master Muhammad Nawaz","3660217308693","Punjab","Vehari"),
("1641","Muhammad Aslam ","Allah Dad","3310049400649","Punjab","FAISALABAD"),
("1642","Muhammad Aslam ","Haji Allah Bakhsh ","3210267506361","Punjab","DERA GHAZI KHAN"),
("1643","Muhammad Aslam ","Ahmad Din ","3330244751147","Punjab","TOBA TEK SINGH"),
("1644","Muhammad Aslam","Mola Bakhsh","3620141756449","Punjab","LODHRAN"),
("1645","Muhammad Aslam ","Ghulam Muhammad","3620349734531","Punjab","LODHRAN"),
("1646","Muhammad Aslam ","Haji Muhammad Ramzan ","3120428183059","Punjab","BAHAWALPUR"),
("1647","Muhammad Aslam ","Muhammad Bakhsh ","3120425762981","Punjab","BAHAWALPUR"),
("1648","Muhammad Aslam ","Karam Din ","3130435201295","Punjab","RAHIM YAR KHAN"),
("1649","Muhammad Aslam","Ghulam Akbar","1210175951973","KP","DERA ISMAIL KHAN"),
("1650","Muhammad Aslam ","Abdul Malik ","3120163721915","Punjab","BAHAWALPUR"),
("1651","Muhammad Aslam alias Tariq ","Faiz Bakhsh ","3230419190231","Punjab","MUZAFFARGARH"),
("1652","Muhammad Aslam Asim Bhatti alias Asim caste Bhatti","Ghulam Rasool","3620252109217","Punjab","LODHRAN"),
("1653","Muhammad Aslam Farooqi","Khusi  Muhammad","3330217746481","Punjab","TOBA TEK SINGH"),
("1654","Muhammad Aslam Khan","Akhtar Jan","1720196452435","KP","KURRAM (AT PARACHINAR)"),
("1655","Muhammad Aslam Saddiqui ","Malik Daim Khan ","3120151406907","Punjab","BAHAWALPUR"),
("1656","Muhammad Aslam Sheikh ","Sher Gull ","3740658524009","Punjab","RAWALPINDI"),
("1657","Muhammad Aslam Siddiqui ","Muhammad Siddiqui ","3640222172265","Punjab","PAKPATTAN"),
("1658","Muhammad Aslam Usmani alias Usmani","Abdul latif ","3710547731959","Punjab","ATTOCK"),
("1659","Muhammad Ata Ullah Usmani","Asghar Ali","3520203727387","Punjab","LAHORE"),
("1660","Muhammad Atif Iqbal ","Muhammad Iqbal","4210160766311","Sindh","Karachi"),
("1661","Muhammad Awais ","Mehdi Hassan ","3330353532031","Punjab","TOBA TEK SINGH"),
("1662","Muhammad Awais ","Muhammad Yaqoob ","3320257852207","Punjab","JHANG"),
("1663","Muhammad Ayaz","Mehtab","4240120156871","KP","BUNER"),
("1664","Muhammad Ayaz @ Ayaz","Akbar Khan","1510175558063","KP","BUNER"),
("1665","Muhammad Ayub Abid ","Abdul Hafeez ","3810209092975","Punjab","BHAKKAR"),
("1666","Muhammad Azam","Rehmat Ali ","3460141552239","Punjab","Sialkot"),
("1667","Muhammad Azam ","Muhammad Idrees ","3520153090825","Punjab","LAHORE"),
("1668","Muhammad Azam ","Ameer Ali ","3310492633589","Punjab","FAISALABAD"),
("1669","Muhammad Azam alias Azam Tariq ","Abdul Kareem ","3640201596349","Punjab","OKARA"),
("1670","Muhammad Azam Tariq ","Atta Muhammad ","3320258860599","Punjab","JHANG"),
("1671","Muhammad Azhar Farooq","Zahoor-ul-Din","3230471011973","Punjab","Muzaffargarh"),
("1672","Muhammad Azmat Cheena","Abdul Ghani ","3410126185961","Punjab","GUJRANWALA"),
("1673","Muhammad Bachal ","Muhammad Ishaque Maheri ","411020150627","Sindh","Badin"),
("1674","Muhammad Bashir","Muhammad Yaqoob","3110158533911","Punjab","Bahawalnagar   "),
("1675","Muhammad Bashir","Muhammad Saddique ","3820154183459","Punjab","KHUSHAB"),
("1676","Muhammad Bilal","Abdul Aziz","3520241942631","Punjab","LAHORE"),
("1677","Muhammad Bilal ","Manzoor Ahmad ","3120131844095","Punjab","BAHAWALPUR"),
("1678","Muhammad Bilal ","Muhammad Panah ","3120401859557","Punjab","BAHAWALPUR"),
("1679","Muhammad Bilal ","Ashiq Hussain ","3120185478355","Punjab","BAHAWALPUR"),
("1680","Muhammad Bilal ","Abdul Rashid ","3710208581917","Punjab","Attock    "),
("1681","Muhammad Bilal ","Shareef Gul ","NIL","Sindh","Karachi"),
("1682","Muhammad Bilal ","Shareef Gul","4250196705091","Sindh","Karachi"),
("1683","Muhammad Bilal","Muhammad Qasim","5160206164631","Balochistan","QUETTA"),
("1684","Muhammad Bilal ","Islam Ud Din","3120202062791","Punjab","BAHAWALPUR"),
("1685","Muhammad Bilal Ahmad ","Jind Wada ","3120401823283","Punjab","BAHAWALPUR"),
("1686","Muhammad Bilal alias Annas ","Irshad Ahmed ","3320404881283","Punjab","JHANG"),
("1687","Muhammad Bilal Makwal ","Fareed Bakhsh","3240349431711","Punjab","RAJANPUR"),
("1688","Muhammad Bilal Waseem","Muhammad Sarwar (late) ","3120186482863","Punjab","BAHAWALPUR"),
("1689","Muhammad Danyal","Nasir Shaheed ","3520256320527","Punjab","LAHORE"),
("1690","Muhammad Daood ","Muhammad Yaqoob","3740559906489","Punjab","RAWALPINDI"),
("1691","Muhammad Din","Muhammad Rasheed","3520137953617","Punjab","LAHORE"),
("1692","Muhammad Ejaz ","Muhammad Nawaz ","3630272616439","Punjab","MULTAN"),
("1693","Muhammad Fahad Ali ","Bashir Ahmad ","3120158192257","Punjab","BAHAWALPUR"),
("1694","Muhammad Faisal Farooq ","Muhammad Idrees ","3520150335325","Punjab","GUJRANWALA"),
("1695","Muhammad Farhan alias Hafiz ","Muhammad Asghar ","3320234254497","Punjab","JHANG"),
("1696","Muhammad Farhan Rehman alias Farhan Qadri ","Fazal Ur Rehman Raja  ","3420374178617","Punjab","GUJRAT"),
("1697","Muhammad Farooq","Manzoor Hussain","3610415468249","Punjab","Khanewal"),
("1698","Muhammad farooq","Allah Din","3320301680109","Punjab","Jhang"),
("1699","Muhammad Farooq","Abdul Rehman","3710320690231","Punjab","Attock    "),
("1700","Muhammad Farooq ","Ahmad Bakhsh ","3120401794641","Punjab","BAHAWALPUR"),
("1701","Muhammad Farooq","Muhammad Hussain","1530570859533","KP","LOWER DIR (AT TEMERGARA)"),
("1702","Muhammad Farooq alias Umar Farooq","Rana Muhammad Ishaq","3620316538575","Punjab","BAHAWALPUR"),
("1703","Muhammad Fayaz Haideri","(Tahir Gul) Muhammad Tahir","1430119712219","KP","KOHAT"),
("1704","Muhammad Fayyaz ","Haji Ahmad Bakhsh ","3120197542019","Punjab","BAHAWALPUR"),
("1705","Muhammad Fiaz ","Muhammad Akram ","3130354933857","Punjab","RAHIM YAR KHAN"),
("1706","Muhammad Furqan ","Abdul Wahab ","1320189837693","KP","BATAGRAM (AT BANA)"),
("1707","Muhammad Ghayoor Sabir ","Sabir Hussain ","3810110399743","Punjab","BHAKKAR"),
("1708","Muhammad Gulraiz","Muhammad Parvaiz","3520220980589","Punjab","LAHORE"),
("1709","Muhammad Habib","Muhammad Azam ","3630259869605","Punjab","Multan"),
("1710","Muhammad Haleem ","Muhammad Saleem","3120598651665","Punjab","BAHAWALPUR"),
("1711","Muhammad Hameed ","Muhammad Tufail","3220225385519","Punjab","LAYYAH"),
("1712","Muhammad Hanif ","Haji Nazir Ahmad","3120103422887","Punjab","BAHAWALPUR"),
("1713","Muhammad Hanif","Muhammad Sharif","3520136619713","Punjab","LAHORE"),
("1714","Muhammad Hanif","Muhammad Bukhsh","3120211107319","Punjab","BAHAWALPUR"),
("1715","Muhammad Hanif ","Shafi Muhammad Khoso, ","NIL","Sindh","Karachi"),
("1716","Muhammad Hanif alias Moavia ","Imam Bakhsh ","3210272314013","Punjab","DERA GHAZI KHAN"),
("1717","Muhammad Hanif Tayyeb","Ahmad Bux","3230197205031","Punjab","Muzaffargarh"),
("1718","Muhammad Hashim","Gehwar Khan Caste Rind Kloi","5440133688023","Balochistan","QUETTA"),
("1719","Muhammad Hashim alias Nazeer Ahmed ","Muhammad Qasim ","3120520766355","Punjab","RAHIM YAR KHAN"),
("1720","Muhammad Hassaan Talha ","Abdul Ghafoor ","3240299415915","Punjab","RAJANPUR"),
("1721","Muhammad Hassan Aqai Mubbaligh ","Ali Yawar","5440004649659","Balochistan","QUETTA"),
("1722","Muhammad Hayat Siddiqui","Noor Muhammad","3710531174915","Punjab","ATTOCK"),
("1723","MUHAMMAD HUSSAIN","JAN MUHAMMAD","3640133776849","Punjab","Pakpattan"),
("1724","Muhammad Hussain","Muhammad Ramzan","5420356271857","Balochistan","KILLA ABDULLAH"),
("1725","Muhammad Hussain alias Pervaiz","Muhammad Saddique ","3310098704667","Punjab","FAISALABAD"),
("1726","Muhammad Hussain Moavia ","Haji Jindwada (late) ","3120168535127","Punjab","BAHAWALPUR"),
("1727","Muhammad Ibraheem ","Ghulam Muhammad Khan ","3201209767887","Punjab","DERA GHAZI KHAN"),
("1728","MUHAMMAD IBRAHEEM ","KHUSHI MUHAMMAD","3640280842741","Punjab","Pakpattan"),
("1729","Muhammad Ibraheem Akhtar","Mian Allah bakhash","3320214206951","Punjab","Jhang"),
("1730","Muhammad Ibrahim ","Haji Rasool Bakhsh ","3120287433587","Punjab","BAHAWALPUR"),
("1731","Muhammad Ibrahim ","Ghulam Muhammad ","4230147036323","Sindh","Karachi"),
("1732","Muhammad Ibrahim ","Haji Musafir Khan","4210118435787","Sindh","Karachi"),
("1733","Muhammad Ibrahim","Muhammad Hanif","3730183521941","Punjab","JHELUM"),
("1734","Muhammad Ibrahim ","Khadim Hussain","3620265015125","Punjab","LODHRAN"),
("1735","Muhammad Ibrahim Qasmi ","Abdul Hameed ","3120133383019","Punjab","BAHAWALPUR"),
("1736","Muhammad Ibrar","Muhammad Siddique","1540299193827","KP","MALAKAND P.A."),
("1737","Muhammad Idrees","Ahmad Khan(Late)","3450168533067","Punjab","Narowal"),
("1738","Muhammad Idrees ","Muhammad Abdul Haee ","3130362856581","Punjab","RAHIM YAR KHAN"),
("1739","Muhammad Idrees","Muhammad Alam","1220197535929","KP","S.WAZIRISTAN (AT WANA)"),
("1740","Muhammad Idrees Nawaz","Rab Nawaz","3340304969317","Punjab","CHINIOT"),
("1741","Muhammad Idress Rajput ","Noor Muhammad Rajput","4320325321341","Sindh","Larkana"),
("1742","Muhammad Ijaz","Riaz Ul Haq","3710457735741","Punjab","Attock    "),
("1743","Muhammad Ijaz ","Muhammad Ismail ","3410124433207","Punjab","GUJRANWALA"),
("1744","Muhammad Ijaz ","Muhammad Riaz ","3740504885435","Punjab","RAWALPINDI"),
("1745","Muhammad Ijaz ","Muhammad Taj ","3740605395839","Punjab","RAWALPINDI"),
("1746","Muhammad Ijaz","Muhammad Bakash","3630322998991","Punjab","MULTAN"),
("1747","Muhammad Ijaz /Ahmed","Mian Dad","1310157494019","KP","ABBOTTABAD"),
("1748","Muhammad Ijaz Ahmad Alias Abu Muhammad","Muhammad Rafique ","3530197549889","Punjab","OKARA"),
("1749","Muhammad Ikhlaq","Noor Muhammad","3710501977879","Punjab","ATTOCK"),
("1750","Muhammad Ikram ","Mian Muhammad Aslam ","3420202782547","Punjab","GUJRAT"),
("1751","Muhammad Ikram ","Ali Sher ","3640292310871","Punjab","PAKPATTAN"),
("1752","Muhammad Ikram ","Muhammad Yousaf ","3720116448637","Punjab","CHAKWAL"),
("1753","MUHAMMAD IKRAM KHAN","IRAN KHAN","3640207767887","Punjab","Pakpattan"),
("1754","Muhammad Ilyas","Muhabbat Khan","3710140263965","Punjab","Attock    "),
("1755","Muhammad Ilyas ","Sher Muhammad ","3810115397865","Punjab","BHAKKAR"),
("1756","Muhammad Ilyas Hamdani","Khalid Javed","3710117660019","Punjab","ATTOCK"),
("1757","Muhammad Imdad Ullah Makki ","Muhammad Ubaid Ullah ","3120238757499","Punjab","BAHAWALPUR"),
("1758","Muhammad Imran ","Nazir Ahmad ","3410394636565","Punjab","GUJRANWALA"),
("1759","Muhammad Imran","Muhammad Aslam","3520204688293","Punjab","LAHORE"),
("1760","Muhammad Imran","Imamuddin Arain","4220179645691","Sindh","Hyderabad"),
("1761","Muhammad Imran","Pir Muhammad ","1570188695371","KP","UPPER DIR (AT DIR)"),
("1762","Muhammad Imran","Hazrat Umar","1560270533823","KP","SWAT (AT MINGORA)"),
("1763","Muhammad Imran","Muhammad Aslam","3110453153877","Punjab","BAHAWALNAGAR"),
("1764","Muhammad Imran alias Imran Warraich ","Ghulam Rasool ","3120203415067","Punjab","BAHAWALPUR"),
("1765","Muhammad Imran case Hajjaam","Muhammad Aslam","3330373091999","Punjab","TOBA TEK SINGH"),
("1766","Muhammad Imran Cheema ","Chaudhry Muhammad Ilyas ","3410464137099","Punjab","GUJRANWALA"),
("1767","Muhammad Imran Iqbal","Muhammad Aslam","3710135140869","Punjab","ATTOCK"),
("1768","Muhammad Imran Khan Farooqi alias Noora Sheikh ","Sheikh Muhammad Iqbal ","3460120065723","Punjab","SIALKOT"),
("1769","Muhammad Imran Saeed Alias Chand","Saeed Hussain","3730295460793","Punjab","JHELUM"),
("1770","Muhammad Imran Saqib","Sher Muhammad","3650162054075","Punjab","SAHIWAL"),
("1771","Muhammad Inaam Hanif Memon","Hanif Qasim ","4220137390113","KP","CHITRAL"),
("1772","Muhammad Inaam Hanif Memon","Hanif  Qasim","4220137390139","KP","CHITRAL"),
("1773","Muhammad Inam","Sher Zaman ","1610189002333","KP","MARDAN"),
("1774","Muhammad Inam","Sher Zaman","1560202959325","KP","SWAT (AT MINGORA)"),
("1775","Muhammad Iqbal","Kareem Bakhash","3810157409583","Punjab","BHAKKAR"),
("1776","Muhammad Iqbal","Muhammad Riaz","3320313594963","Punjab","Jhang"),
("1777","Muhammad Iqbal","Bahshir Ahmad ","3650226943923","Punjab","SAHIWAL"),
("1778","Muhammad Iqbal","Abdul Ghani","3810137510999","Punjab","BHAKKAR"),
("1779","Muhammad Iqbal (Mishori)","Ahmed Khan","3220320696685","Punjab","DERA GHAZI KHAN"),
("1780","Muhammad Iqbal @khalid Irshad","Muhammad Latif","3840525954395","Punjab","SARGODHA"),
("1781","Muhammad Iqbal alias Maali ","Allah Yar ","3320313385007","Punjab","JHANG"),
("1782","Muhammad Irfan ","Muhammad Nawaz ","3320316203847","Punjab","JHANG"),
("1783","Muhammad Irfan ","Muhammad Yaqoob ","3440105635147","Punjab","MANDI BAHAUDDIN"),
("1784","Muhammad Irfan","Sultan Muhammad","","KP","Dir Lower"),
("1785","Muhammad Irfan ","Muhammad Tariq ","3650269511429","Punjab","SAHIWAL"),
("1786","Muhammad Irfan","Sabir Ali","3320403402201","Punjab","Jhang"),
("1787","Muhammad Irfan ","Muhammad Hayat ","3120256562499","Punjab","BAHAWALPUR"),
("1788","Muhammad Irfan","Muhammad Ashraf","3110521536721","Punjab","BAHAWALNAGAR"),
("1789","MUHAMMAD IRFAN ALVI","Abdul Latif Alvi","3420119832725","Punjab","GUJRAT"),
("1790","Muhammad Irfan Anwar","Muhammad Anwar","3720116254815","Punjab","CHAKWAL"),
("1791","Muhammad Irfan Ashraf ","Muhammad Ashraf ","3120319172041","Punjab","BAHAWALPUR"),
("1792","Muhammad Irfan Farooq ","Umar Farooq Azam ","3310007119333","Punjab","FAISALABAD"),
("1793","Muhammad Irfan Khan","Nazir Ahmad (","3840605828419","Punjab","SARGODHA"),
("1794","Muhammad Irfan Zafar ","Muhammad Zafar ","3410423675903","Punjab","GUJRANWALA"),
("1795","Muhammad Irshad","Muhammad Hayyat","3230446091731","Punjab","Muzaffargarh"),
("1796","Muhammad Ishaq","Muhammad Ismaeel","3710507605919","Punjab","ATTOCK"),
("1797","Muhammad Ishaq","Hayat Muhammad","1530698465095","KP","Dir Lower"),
("1798","Muhammad Ishaq alias Ghazi ","Muhammad Ibraheem ","3530218774187","Punjab","OKARA"),
("1799","Muhammad Ishfaq","Sher Muhammad","3540416250669","Punjab","Sheikhupura"),
("1800","Muhammad Ishtiaq ","Mukhtiar Ahmad ","3320404211673","Punjab","JHANG"),
("1801","Muhammad Islam ","Allah Yar ","3320381221015","Punjab","JHANG"),
("1802","Muhammad Islam","Nazir Khan","1110104721605","KP","BANNU"),
("1803","Muhammad ismaeel Khalil alias Abu Saif","Ghulam Mustafa","3630270028115","Punjab","MULTAN"),
("1804","Muhammad Ismail ","Abdul Karim ","3201219514911","Punjab","DERA GHAZI KHAN"),
("1805","Muhammad Ismail ","Noor Muhammad ","3120249217323","Punjab","BAHAWALPUR"),
("1806","Muhammad Ismail ","Abdul Karim ","3130420394201","Punjab","RAHIM YAR KHAN"),
("1807","Muhammad Ismail","Bahaudar Khan","3710147723419","Punjab","Attock    "),
("1808","Muhammad Ismail","Toor Jan","1530505497031","KP","LOWER DIR (AT TEMERGARA)"),
("1809","Muhammad Ismail","Subhani Gul","1530659748397","KP","UPPER DIR (AT DIR)"),
("1810","Muhammad Ismail","Muhammad Hashim Notkani","4110265185301","Sindh","Badin"),
("1811","Muhammad Ismail Muavia ","Muhammad Shareef","4230137468647","Sindh","Karachi"),
("1812","Muhammad Ismail Riffat ","Molvi Abdul Malik (late)","3120103598713","Punjab","BAHAWALPUR"),
("1813","Muhammad Israr","Allah Ditta","3320221944589","Punjab","Jhang"),
("1814","Muhammad Israr","Abdul Hameed","1530209605873","KP","LOWER DIR (AT TEMERGARA)"),
("1815","Muhammad Israr Abbasi ","Muhammad Ishaq Abbasi ","6110171557777","Punjab","RAWALPINDI"),
("1816","Muhammad Jafar alias Jhangvi, Abu Muhammad ","Bashir Ahmed ","3520253303605","Punjab","LAHORE"),
("1817","Muhammad Jaffar ","Ajar Din ","3320343400195","Punjab","JHANG"),
("1818","Muhammad Jahangir ","Bashir Ahmad ","3810242380303","Punjab","BHAKKAR"),
("1819","Muhammad Jahangir Alias Jhanga","Abdul Waheed","3810252988469","Punjab","BHAKKAR"),
("1820","Muhammad Jamal Qasmi alias Ihtisham ","Qari Ubaid Ullah ","3210277959707","Punjab","DERA GHAZI KHAN"),
("1821","Muhammad Jameel","Faqir Hussain","1730114068569","KP","PESHAWAR"),
("1822","Muhammad Jameel","Sher Zaman","3710467839555","Punjab","ATTOCK"),
("1823","Muhammad Jameel alias Soba Bhatti ","Ghulam Nabi","3660106657271","Punjab","VEHARI"),
("1824","Muhammad Jamil ","Muhammad Saddique ","3540406442027","Punjab","LAHORE"),
("1825","Muhammad Jamil","Muhammad Ibrahim","1530576579685","KP","LOWER DIR (AT TEMERGARA)"),
("1826","Muhammad Jamil ","Muhammad Sharif ","3120266652539","Punjab","BAHAWALPUR"),
("1827","Muhammad Jamshed Aliaz","Zumurrad Khan","3710102175939","Punjab","ATTOCK"),
("1828","Muhammad Javaid ","Muhammad Iqbal","3720115683531","Punjab","CHAKWAL"),
("1829","Muhammad Javed","Mushtaq Ahamad","3130351090485","Punjab","Rahim Yar Khan"),
("1830","Muhammad Javed","Abdul Majeed","3130388106735","Punjab","Rahim Yar Khan"),
("1831","Muhammad Javed alias Saeed ","Manzoor Ahmad","3630109586325","Punjab","MULTAN"),
("1832","Muhammad Javed Anwer","Muhammad Anwer","3330125522825","Punjab","TOBA TEK SINGH"),
("1833","Muhammad Javed Farooqi ","Ahmad Ali ","3120155776627","Punjab","BAHAWALPUR"),
("1834","Muhammad Javed Iqbal ","Muhammad Ramzan ","3810261037215","Punjab","BHAKKAR"),
("1835","Muhammad Javed Manzoor ","Manzoor Hussain ","3120236093055","Punjab","BAHAWALPUR"),
("1836","Muhammad Javid","Hamid ur Rehman","1530683621841","KP","Dir Lower"),
("1837","Muhammad Junain","Abdul Raheem","3510124991753","Punjab","KASUR"),
("1838","Muhammad Kabir","Sher Muhammad ","4250195022263","Punjab","CHAKWAL"),
("1839","Muhammad Kaleem ","Unknown","","AJ&K","Kafl Garh Bagh"),
("1840","Muhammad Kamran alias Hafiz","Abdul Rehman","3720199164675","Punjab","CHAKWAL"),
("1841","Muhammad Karim","Sadbar","1560110096207","KP","Swat"),
("1842","Muhammad Kashif","Rehmat Ullah","1530771126411","KP","LOWER DIR (AT TEMERGARA)"),
("1843","Muhammad Kashif ","Abdul Rehman ","4240153853109","Punjab","BHAKKAR"),
("1844","Muhammad Kashif","Ashiq Hussain","3810107022691","Punjab","BHAKKAR"),
("1845","Muhammad Kazim Raza Madni ","Mehar Ullah","3210209775631","Punjab","DERA GHAZI KHAN"),
("1846","Muhammad Khair","Haji Abdul Qadir","5160203918527","Balochistan","MASTUNG"),
("1847","Muhammad Khalid","Habib Ahmed","3320268703629","Punjab","Jhang"),
("1848","Muhammad Khalid Javed ","Ali Hassan ","3410355463313","Punjab","GUJRANWALA"),
("1849","Muhammad Khalid Loan ","Abdul Latif","3410440983167","Punjab","GUJRANWALA"),
("1850","Muhammad Khalil","Chuadhry Muhammad Latif","3540416372815","Punjab","Sheikhupura"),
("1851","Muhammad Khalil ","Fazal Hussain","8130213554989","AJ&K","POONCH"),
("1852","Muhammad Khan","Fazal Haleem","1530743446831","KP","Dir Lower"),
("1853","Muhammad Khan","Pir Muhammad","1310188238613","KP","ABBOTTABAD"),
("1854","Muhammad Khan","Shad Muhammad Khan","1510104171347","KP","BUNER"),
("1855","Muhammad Khursheed ","Muhammad Bakhsh ","3120168314617","Punjab","BAHAWALPUR"),
("1856","Muhammad Latif ","Muhammad Iqbal","3720313935747","Punjab","Chakwal"),
("1857","Muhammad Liaqat Ali","Muhammad Asghar","3110545662719","Punjab","BAHAWALNAGAR"),
("1858","Muhammad lnaam Shah ","Ali Akhtar Shah","3660132141323","Punjab","VEHARI"),
("1859","MUHAMMAD LUQMAN","MUZAFFAR HUSSAIN","3420292148861","Punjab","Gujrat"),
("1860","Muhammad Luqman ","Muhammad Ikram ","3120316931663","Punjab","BAHAWALPUR"),
("1861","Muhammad Luqman","Muhammad Ali","3450140916197","Punjab","NAROWAL"),
("1862","Muhammad Madni ","Khuda Bakhsh ","3120175454557","Punjab","BAHAWALPUR"),
("1863","Muhammad Mahfooz ","Muhammad Syed Khan","8230246859983","Punjab","LAHORE"),
("1864","Muhammad Majeed Mavia","Qari Abdul Manan","3630201620069","Punjab","MULTAN"),
("1865","Muhammad Makki (Jam.Jhabali)","Kareem Buksh","3620308533923","Punjab","LODHRAN"),
("1866","Muhammad Makki alias Abbas, Haris, Abdullah ","Muhammad Shafi ","3120109402609","Punjab","BAHAWALPUR"),
("1867","Muhammad Mansha","Khushaal","3340304141445","Punjab","CHINIOT"),
("1868","Muhammad Mansha ","Fazal Muhammad ","3320293904933","Punjab","JHANG"),
("1869","Muhammad Masood alias Pasha ","Sakhi Muhammad ","3720156349311","Punjab","CHAKWAL"),
("1870","Muhammad Mazhar","Muhammad Nawaz ","3630268404809","Punjab","MULTAN"),
("1871","Muhammad Mehboob Alam ","Muhammad Zikriya ","3320315076191","Punjab","JHANG"),
("1872","Muhammad Moavia ","Muhammad Azam Tariq ","3320280604999","Punjab","JHANG"),
("1873","Muhammad Mohsin","Ghulam Muhammad","3320138415369","Punjab","CHINIOT"),
("1874","Muhammad Moosa ","Ummed Ali Malik","4530423942345","Sindh","N-Feroze"),
("1875","Muhammad Muavia alias Muavia","Muhammad Habib Ullah Muavia ","3310062592795","Punjab","FAISALABAD"),
("1876","Muhammad Mudasar Baig ","Ghulam Abbas Baig ","3460257756349","Punjab","SIALKOT"),
("1877","Muhammad Mudassar ","Muhammad Yaqoob ","3330325162467","Punjab","TOBA TEK SINGH"),
("1878","Muhammad Mudassar Nadeem ","Muhammad Ishaq ","3610281764173","Punjab","KHANEWAL"),
("1879","Muhammad Mujahid ","Ghulam Ali","3120399647227","Punjab","BAHAWALPUR"),
("1880","Muhammad Mumtaz Ahmad ","Jafran ","3310421568831","Punjab","FAISALABAD"),
("1881","Muhammad Munawar ","Muhammad Wakeel Qamar ","3330120884987","Punjab","FAISALABAD"),
("1882","Muhammad Munawar lqbal ","Allah Wasaya","3830376288117","Punjab","MIANWALI"),
("1883","Muhammad Murtaza Usmani","Ghaus Muhammad","3320403524929","Punjab","Jhang"),
("1884","Muhammad Mustafa Latif ","Hafiz Muhammad Latif Abid","3660164386543","Punjab","VEHARI"),
("1885","Muhammad Muzamil @ Mehboob @ Chacha","Muhammad","4220106257911","Sindh","Karachi"),
("1886","Muhammad Muzammal ","abdul Kareem","3230416384111","Punjab","Muzaffargarh"),
("1887","Muhammad Nadeem","Taaj Deen","3520014923411","Punjab","LAHORE"),
("1888","Muhammad Nadeem","Wazir Ali","3460368334591","Punjab","SIALKOT"),
("1889","Muhammad Nadeem","Liaqat Ali ","3810258584801","Punjab","BHAKKAR"),
("1890","Muhammad nadeem","Muhammad yameen","3320212236023","Punjab","Jhang"),
("1891","Muhammad Nadeem","Qasim Ali","3810158592129","Punjab","BHAKKAR"),
("1892","Muhammad Naeem ","Muhammad Naseem ","3120148769581","Punjab","BAHAWALPUR"),
("1893","Muhammad Naeem ","Muhammad Akram ","3310031788013","Punjab","FAISALABAD"),
("1894","Muhammad naeem","Ghullam fareed","3320224407543","Punjab","Jhang"),
("1895","Muhammad Naeem","Abdul Qayyum","1560110305883","KP","SWAT (AT MINGORA)"),
("1896","Muhammad Naeem Akhtar","Muhammad Sidique","3320216506655","Punjab","Jhang"),
("1897","Muhammad Naqi Abbas ","Ghulam Abbas ","3720115988891","Punjab","CHAKWAL"),
("1898","Muhammad Nasir","Muhammad Latif","3710206678135","Punjab","ATTOCK"),
("1899","Muhammad Nasir","Muhammad Bashir","1720168142729","KP","NOWSHERA"),
("1900","Muhammad Nasir alias Nasir Muavia ","Muhammad Iqbal ","3320250641933","Punjab","JHANG"),
("1901","Muhammad Naveed ","Muhammad Sharif ","3130330294895","Punjab","RAHIM YAR KHAN"),
("1902","Muhammad Naveed ","Zaheer-u-Din ","3410238243417","Punjab","GUJRANWALA"),
("1903","Muhammad Naveed ","Muhammad Bakhsh ","3220366603935","Punjab","LAYYAH"),
("1904","Muhammad Naveed Afzal ","Afzal Abbasi ","3130142174283","Punjab","RAHIM YAR KHAN"),
("1905","Muhammad Naveed alias Mian ","Javeed Iqbal ","3310116893859","Punjab","FAISALABAD"),
("1906","Muhammad Naveed Aslam","Muhammad Aslam","3460271094221","Punjab","SIALKOT"),
("1907","Muhammad Nawaz","Muhammad Ibraheem ","3210278761077","Punjab","DERA GHAZI KHAN"),
("1908","Muhammad Nawaz","Ghullam fareed","3320299206467","Punjab","Jhang"),
("1909","Muhammad Nawaz ","Muhammad Yar Brohi ","4310204208507","Sindh","Jacobabad"),
("1910","Muhammad Nawaz","Muhammad Ameer","3840603715071","Punjab","SARGODHA"),
("1911","Muhammad Nawaz","Sher jan","1710103992339","Sindh","KAMBAR SHAHDADKOT"),
("1912","Muhammad Nawaz Khan ","Muhammad Shareen Khan","4230146041093","Sindh","Karachi"),
("1913","Muhammad Nazeer ","Mian Muhammad","3710192308993","Punjab","Attock    "),
("1914","Muhammad Nisar","Abdur Razaq","1530210056111","KP","LOWER DIR (AT TEMERGARA)"),
("1915","Muhammad Noor ","Wali Khan","2170218316201","Sindh","Karachi"),
("1916","Muhammad Nouman alias Nomi ","Ghulam Rasool ","3240301545539","Punjab","RAJANPUR"),
("1917","Muhammad Numan Anwar alias Zain","Ubaid Ullah Anwar","3510249368475","Punjab","KASUR"),
("1918","Muhammad Owais Raheel ","Muhammad Sohail Raheel ","NIL","Sindh","Karachi"),
("1919","Muhammad Qaisar Abbas ","Peer Chan Shah (late)","3810287678057","Punjab","BHAKKAR"),
("1920","Muhammad Qamar Zaman","M. Ismail","3230395760831","Punjab","Vehari"),
("1921","Muhammad Qasim ","Fazla-e-Rabi ","3740574591985","Punjab","RAWALPINDI"),
("1922","Muhammad Qasim ","Molvi Abdul Malik ","3410182226831","Punjab","GUJRANWALA"),
("1923","Muhammad Qasim Moavia","Abdul Razzaq ","3710187827653","Punjab","Attock    "),
("1924","Muhammad Qasim Siddiqi ","Nazir Ahmed Caste Kashmiri ","3450119953031","Punjab","NAROWAL"),
("1925","Muhammad Rafaqat","Abdul Sattar","3320313591049","Punjab","Jhang"),
("1926","Muhammad Rafiq alias Feeka","Abdul Ghafoor ","3540394840473","Punjab","NANKANA SAHIB"),
("1927","Muhammad Rafiq Anjam ","Muhammad Shafi ","3650299799047","Punjab","SAHIWAL"),
("1928","Muhammad Rafique ","Allah Bakhsh ","3630281948725","Punjab","MULTAN"),
("1929","Muhammad Rafique","Muhammad Arshad","3710102176579","Punjab","Attock    "),
("1930","Muhammad Rafique","Hashmat Ali","3660158170233","Punjab","VEHARI"),
("1931","Muhammad Rafique Bhutta","Ghulam Rasool Bhutta","3620269143399","Punjab","BAHAWALPUR"),
("1932","Muhammad Rafique Qasmi","Muhammad Din","3460250200161","Punjab","Sialkot"),
("1933","Muhammad Ramzan","Wali Muhammad","3320393260537","Punjab","Jhang"),
("1934","Muhammad Ramzan","Ghulam Abbas","3130328424995","Punjab","Rahim Yar Khan"),
("1935","Muhammad Ramzan","Muhammad Ashiq ","3120215115443","Punjab","BAHAWALPUR"),
("1936","Muhammad Ramzan ","Ghulam Qadir ","3120223894545","Punjab","BAHAWALPUR"),
("1937","Muhammad Ramzan","Noor Muhammad ","3320213853353","Punjab","Jhang"),
("1938","Muhammad Ramzan","kareem u din","3320249282093","Punjab","Jhang"),
("1939","Muhammad Ramzan","Muhammad Shaban","3530265653251","Punjab","Okara"),
("1940","Muhammad Ramzan alias Papu","Abdul Majeed ","3310225354495","Punjab","FAISALABAD"),
("1941","Muhammad Ramzan Khan @ Naveed-Ur-Rehman","Ghulam Muhammad","3110491352529","Punjab","BAHAWALNAGAR"),
("1942","Muhammad Ramzan Shakir","Abdul Islam","3320117010329","Punjab","CHINIOT"),
("1943","Muhammad Rashid ","Muhammad Ashraf ","3810229162133","Punjab","BHAKKAR"),
("1944","Muhammad Rashid","Muhammad Sarwar","3530176688023","Punjab","OKARA"),
("1945","Muhammad Rashid","Irshad Ali","3840312767441","Punjab","SARGODHA"),
("1946","Muhammad Rashid","Muhammad Afsar","8230174343285","AJ&K","POONCH"),
("1947","Muhammad Rashid Khan","Muhammad Ashraf Khan","8230333285127","AJ&K","POONCH"),
("1948","Muhammad Rashid Nadeem alias Naeem Ullah urf Abdul","Latif Ahmad","3620144651093","Punjab","LODHRAN"),
("1949","Muhammad Rauf","Mera Gul","2160189120637","KP","ORAKZAI (AT KALAYA)"),
("1950","Muhammad Raza Konain","Nawab Din (","3520222008393","Punjab","LAHORE"),
("1951","Muhammad Raziq","Saif Ur Rehman","1530572580727","KP","LOWER DIR (AT TEMERGARA)"),
("1952","Muhammad Rehan Haider ","Muhammad Iqbal Mungla ","3450157915211","Punjab","NAROWAL"),
("1953","Muhammad Rehman","Abdur  Rahim","1560221898393","KP","SWAT (AT MINGORA)"),
("1954","Muhammad Rehmat Ullah Khan","Sher Muhammad","3320212897511","Punjab","JHANG"),
("1955","Muhammad Riaz ","Bashir Ahmad ","3120102666987","Punjab","BAHAWALPUR"),
("1956","Muhammad Riaz ","Sultan Mahmood ","3320211671997","Punjab","TOBA TEK SINGH"),
("1957","Muhammad Riaz","Muzaffar","1310109180015","KP","ABBOTTABAD"),
("1958","Muhammad Riaz","Rana Muhammad Yaseen","3840373070863","Punjab","SARGODHA"),
("1959","Muhammad Riaz @ Riaz Moulai  ","Nawab Ali ","4220156118631","Sindh","Karachi"),
("1960","Muhammad Rizwan ","Javed Akhtar ","3810203834433","Punjab","BHAKKAR"),
("1961","Muhammad Rizwan ","Abdul Ghafoor ","3650298156953","Punjab","SAHIWAL"),
("1962","Muhammad Rizwan ","Muhammad Shareef ","3320214378797","Punjab","JHANG"),
("1963","Muhammad Rizwan Ali alias Muhammad Ali ","Sher Ali ","3720374807749","Punjab","CHAKWAL"),
("1964","Muhammad Rizwan alias Zakir","Muhammad Ramzan","3840396428479","Punjab","SARGODHA"),
("1965","Muhammad Roshan","Muhammad Roshan","1560202263959","KP","SWAT (AT MINGORA)"),
("1966","MUHAMMAD SABTAIN","AZHAR HUSSAIN","3840220210033","Punjab","Sargodha"),
("1967","Muhammad Sabtain","Malik Azher Hussain","3840220210633","Punjab","SARGODHA"),
("1968","Muhammad Sabtain Jaffari ","Allah Ditta ","3210317094513","Punjab","DERA GHAZI KHAN"),
("1969","Muhammad Saddique ","Hafiz Mahar Din ","3130353107517","Punjab","RAHIM YAR KHAN"),
("1970","Muhammad Saddique ","Allah Ditta","3330331685335","Punjab","TOBA TEK SINGH"),
("1971","Muhammad Sadiq","Sanab Gul","1430115868521","KP","KOHAT"),
("1972","Muhammad Sadiq","Muhammad Akbar Caste Rind","5440198455299","Balochistan","QUETTA"),
("1973","Muhammad Sadiq ","Nabi Bakhsh ","3130270556877","Punjab","RAHIM YAR KHAN"),
("1974","Muhammad Sadiq Hussain alias Hassnain ","Abdul Rehman ","3210219980069","Punjab","DERA GHAZI KHAN"),
("1975","Muhammad Sadiq Khan","Khadim Hussain ","3630110467563","Punjab","BAHAWALPUR"),
("1976","Muhammad Sadique alias Madni","Abdul Majeed","5630238816165","Punjab","LAYYAH"),
("1977","Muhammad Saeed","Dilawar Khan","1730143807325","KP","PESHAWAR"),
("1978","Muhammad Saeed","Noor Muhammad","3710416767743","Punjab","Attock    "),
("1979","Muhammad Saeed ","Muhammad Lateef ","3540311237095","Punjab","Nankana Sahib"),
("1980","Muhammad Saeed ","Manzoor Ahmed","3640126396665","Punjab","VEHARI"),
("1981","Muhammad Safdar ","Hafiz Ghulam Fareed ","3120173488087","Punjab","BAHAWALPUR"),
("1982","Muhammad Safdar ","Molvi Siraj Din ","3120177710063","Punjab","BAHAWALPUR"),
("1983","Muhammad Sagheer","Bashir Ahmed","3660212653547","Punjab","Vehari"),
("1984","Muhammad Saghir Alias Mouvia","Muhammad Saleem","3730161169783","Punjab","JHELUM"),
("1985","Muhammad Saif Ullah ","Muhammad Iqbal ","3120293419395","Punjab","BAHAWALPUR"),
("1986","Muhammad Sajid","Saad mir","3710580232807","Punjab","Attock    "),
("1987","Muhammad Sajid Farooqi ","Haji Sikandar Ali","3310483914603","Punjab","FAISALABAD"),
("1988","Muhammad Sajjad","Nasir Ali","3230388045283","Punjab","Muzaffargarh"),
("1989","Muhammad Sajjad /Sajid","Malik Wazir","1310109440407","KP","ABBOTTABAD"),
("1990","Muhammad Salam ","Abdul Aziz","4210180699489","Sindh","Karachi"),
("1991","MUHAMMAD SALEEM","MUHAMMAD SHABIR","3220302976601","Punjab","LAYYAH"),
("1992","Muhammad Saleem ","Noor Hassan ","3410184311807","Punjab","GUJRANWALA"),
("1993","Muhammad Saleem Akhtar","Abdul Rasheed","3320213913531","Punjab","Jhang"),
("1994","Muhammad Saleem Moavia ","Muhammad Sharif ","3630207751189","Punjab","MULTAN"),
("1995","Muhammad Saleem Shahzad ","Muhammad Latif ","3520108723737","Punjab","LAHORE"),
("1996","Muhammad Salman Riaz ","Riaz Ahmad ","4220150177951","Punjab","BAHAWALPUR"),
("1997","Muhammad Samer Abbas ","Muhammad Sultan ","3610295262251","Punjab","KHANEWAL"),
("1998","Muhammad Saqib Saeed ","Saeed Ahmad ","3310534173233","Punjab","FAISALABAD"),
("1999","Muhammad Saqlain","Ghulam Ali Rehan","3430212608589","Punjab","CHINIOT"),
("2000","Muhammad Sarfraz ","Muhammad Yar ","3820122795699","Punjab","FAISALABAD"),
("2001","Muhammad Sarwar ","Muhammad Yousaf","3660397314611","Punjab","BHAKKAR"),
("2002","Muhammad Shaban ","Wahid Bakhsh","3130161451385","Punjab","RAHIM YAR KHAN"),
("2003","Muhammad Shabbir alias Hanzila, Ali ","Hafeez Ullah ","3120103414763","Punjab","BAHAWALPUR"),
("2004","Muhammad Shabir ","Ghulam Muhammad","3610322157799","Punjab","Khanewal"),
("2005","Muhammad Shafi ","Hafeez Ullah","3130333588645","Punjab","RAHIM YAR KHAN"),
("2006","Muhammad Shafiq ","Muhammad Rafiq ","3810242216647","Punjab","BHAKKAR"),
("2007","Muhammad Shafiq  ","Safiullah","4210160328249","Sindh","Karachi"),
("2008","Muhammad Shafique","Ghulam Qadir","3130420289477","Punjab","Rahim Yar Khan"),
("2009","Muhammad Shafique @ Abu Haris ","Muhammad Bashir","4210184592979","Sindh","Karachi"),
("2010","Muhammad Shafique alias Moavia ","Rasheed Ahmad ","3120109885111","Punjab","BAHAWALPUR"),
("2011","Muhammad Shah","Dilaram Khan","1530537039897","KP","LOWER DIR (AT TEMERGARA)"),
("2012","Muhammad Shah @ Soor","Muhammad Zarin","1560203794053","KP","SWAT (AT MINGORA)"),
("2013","Muhammad Shah Zaman","Shahik Khan","5320128731391","Balochistan","JAFFARABAD"),
("2014","Muhammad Shahbaz ","Muhammad Ishfaaq ","3410351589947","Punjab","GUJRANWALA"),
("2015","Muhammad Shahbaz ","Zulfiqar Ahmad ","3310064622541","Punjab","FAISALABAD"),
("2016","Muhammad Shahbaz ","Muhammad Zakria ","3410127105467","Punjab","GUJRANWALA"),
("2017","Muhammad Shahbaz Anwar ","Muhammad Anwar Shah ","3120286095827","Punjab","BAHAWALPUR"),
("2018","Muhammad Shahbaz Nawaz alias Shahbaz Muavia ","Muhammad Nawaz ","3440318866619","Punjab","GUJRAT"),
("2019","Muhammad Shahid ","Muhammad Zubair ","3820163748735","Punjab","KHUSHAB"),
("2020","Muhammad Shahid"," Sardar Muhammad (late) ","3410204716673","Punjab","GUJRANWALA"),
("2021","Muhammad Shahid","Muhammad lqbal","3840373625859","Punjab","SARGODHA"),
("2022","Muhammad Shahid alias Shahid Khalil Inkalabi  ","Qari Khalil Ahmad","3120173879381","Punjab","BAHAWALPUR"),
("2023","Muhammad Shahid Iqbal ","Muhammad Iqbal ","3120144991257","Punjab","BAHAWALPUR"),
("2024","Muhammad Shahid Nafees","Muhammad Sharif","3650223912529","Punjab","SAHIWAL"),
("2025","Muhammad Shahzad"," Abdul Hadi ","3130199945479","Punjab","RAHIM YAR KHAN"),
("2026","Muhammad Shahzad Hanif (Dhodi)","Muhammad Hanif","3640249381375","Punjab","PAKPATTAN"),
("2027","Muhammad Shakeel ","Abdul Ghani Khanzada @ Natho","4540318693531","Sindh","Sanghar"),
("2028","Muhammad Shakeel ","Raheem Uddin ","4240142614367","Sindh","Karachi"),
("2029","Muhammad Shakeel ","Nazir Ahmad ","3130124569585","Punjab","RAHIM YAR KHAN"),
("2030","Muhammad Shakil alias Fahim ","Taaj Deen","3520244235375","Punjab","LAHORE"),
("2031","Muhammad Shakir","Qabil Khan","","KP","Hangu"),
("2032","Muhammad Shakirullah @ Mufti Shakir","Haji Fazal Karim","4240116761181","Sindh","Karachi"),
("2033","Muhammad Shamim Alias Farooqi","Rustam Ali","3730138171473","Punjab","JHELUM"),
("2034","Muhammad Shamsher @ Qari Umar","Syed Uddin","4240171776369","Sindh","Karachi"),
("2035","Muhammad Sharif ","Noor Khan ","3720116688813","Punjab","CHAKWAL"),
("2036","Muhammad Sharif ","Imam Din ","3630247480215","Punjab","MULTAN"),
("2037","Muhammad Shehbaz","Muhammad Ameen(Late)","3130447041071","Punjab","Rahim Yar Khan"),
("2038","Muhammad Shehzad ","Abdul Sattar","3130307324231","Punjab","Rahim Yar Khan"),
("2039","Muhammad Shireen","Said Farraz r","1570590006611","KP","Dir Upper"),
("2040","Muhammad Shoaib","Abdul Raheem","3710492343071","Punjab","ATTOCK"),
("2041","Muhammad Shoaib","Meer Muhammad Akbar","3410101178013","Punjab","GUJRANWALA"),
("2042","Muhammad Shoaib ","Molvi Abdul Rasheed","3410132861183","Punjab","GUJRANWALA"),
("2043","Muhammad Shoaib alias Abu Saeed","Iqbal Ahmad","3840322037761","Punjab","KHUSHAB"),
("2044","Muhammad Shoaib alias Muavia ","Muhammad Nawaz ","3640208027905","Punjab","PAKPATTAN"),
("2045","Muhammad Shoaib Khan alias Ahmed Shoaib ","Abdul Rauf Khan","1210180719427","Punjab","MIANWALI"),
("2046","Muhammad Siddique","Ghulam Farid","3110116121823","Punjab","BAHAWALNAGAR"),
("2047","Muhammad Siddique","Ghulam Farid","3110116121813","Punjab","Bahawalnagar   "),
("2048","Muhammad Siddique","Haji Allah Wasaya (late) ","3120265934239","Punjab","BAHAWALPUR"),
("2049","Muhammad Siddique","Muhammad Sharif","3320214395843","Punjab","Jhang"),
("2050","Muhammad Siddique Gurchani ","Muhammad Ghazi ","3240273805889","Punjab","RAJANPUR"),
("2051","Muhammad Sidique Sajid","Gehna Khan","3320275434905","Punjab","Jhang"),
("2052","Muhammad Sohail","Kala Khan","3710251062581","Punjab","Attock    "),
("2053","Muhammad Sohail ","Noor Muhammad","4210164924561","Sindh","Karachi"),
("2054","Muhammad Sohail ","Islam Gul","1111111111137","KP","PESHAWAR"),
("2055","Muhammad Sufyan","Noor Ahmad","3630295194665","Punjab","MULTAN"),
("2056","Muhammad Sufyan Bashir alias Saifi Butt ","Muhammad Abdullah Bashir ","3420286454973","Punjab","GUJRAT"),
("2057","Muhammad Suleman ","Abdul Malik ","3310037921415","Punjab","FAISALABAD"),
("2058","Muhammad Suleman","Abdul Rasheed","3520193450527","Punjab","LAHORE"),
("2059","Muhammad Suleman ","Ghulam Fareed ","3120185427781","Punjab","BAHAWALPUR"),
("2060","Muhammad Suleman","Muhammad Jan","2110511198041","KP","PESHAWAR"),
("2061","Muhammad Suleman Saeed ","Muhammad Saeed ","4220164577327","Sindh","Karachi"),
("2062","Muhammad Sultan","Muhammad yaseen","3320212075001","Punjab","Jhang"),
("2063","Muhammad Tahir ","Allah Nawaz ","3210379217795","Punjab","DERA GHAZI KHAN"),
("2064","Muhammad Tahir","Raham Dil","1530210077107","KP","LOWER DIR (AT TEMERGARA)"),
("2065","Muhammad Tahir","Abdul Hussain","5440062728443","Balochistan","QUETTA"),
("2066","Muhammad Tahir ","Muhammad Yousaf ","3810242513243","Punjab","BHAKKAR"),
("2067","Muhammad Tahir Shah","Mohammad Hayat / Syed Abdul Nasir","1570144557137","KP","UPPER DIR (AT DIR)"),
("2068","Muhammad Tahir Siddique alias Tahir Rashidi (Gujja","Muhammad Siddique","3650294662231","Punjab","SAHIWAL"),
("2069","Muhammad Taj   ","Mahiwal","3740615549173","Punjab","RAWALPINDI"),
("2070","Muhammad Talha","Muhammad Shajeh","3520209198185","Punjab","LAHORE"),
("2071","Muhammad Talib","Suleman","3110116458147","Punjab","BAHAWALNAGAR"),
("2072","Muhammad Tanveer ","Abdul Majeed ","3320287523031","Punjab","FAISALABAD"),
("2073","Muhammad Taqi Shah ","Ghulam Shabbir Shah ","3230381930861","Punjab","MUZAFFARGARH"),
("2074","Muhammad Tariq ","Jahangir ","3810173386493","Punjab","BHAKKAR"),
("2075","Muhammad Tariq"," Shabbir Ahmad ","3120116440323","Punjab","BAHAWALPUR"),
("2076","Muhammad Tariq ","Ghualm Shabbir Khan ","3210239995085","Punjab","DERA GHAZI KHAN"),
("2077","Muhammad Tariq","Ali Ahmad ","3660358400213","Punjab","VEHARI"),
("2078","Muhammad Tariq","Muhammad Younis","3540406252411","Punjab","Sheikhupura"),
("2079","Muhammad Tariq ","Kareem Deen ","3810244343411","Punjab","BHAKKAR"),
("2080","Muhammad Tariq ","Muhammad Ishaq ","3120203500683","Punjab","BAHAWALPUR"),
("2081","Muhammad Tariq","Rizwan Shah","1620274706317","KP","SWABI"),
("2082","Muhammad Tariq alias Shahid","Muhammad Iqbal","3510133280053","Punjab","KASUR"),
("2083","Muhammad Tariq Shah","Gul Muhammad","1530624567011","KP","LOWER DIR (AT TEMERGARA)"),
("2084","Muhammad Tayyab","Habib Mullah","1530296101547","KP","LOWER DIR (AT TEMERGARA)"),
("2085","Muhammad Tayyab","Muslim Khan","1530558899399","KP","LOWER DIR (AT TEMERGARA)"),
("2086","Muhammad Tayyab ","Qari Muhammad Ashiq ","3630139975775","Punjab","MULTAN"),
("2087","MUHAMMAD TAYYAB","MUHAMMAD ASLAM","3650109080441","Punjab","SAHIWAL"),
("2088","Muhammad Tayyab ","Inayyat Ullah ","3810144546553","Punjab","BHAKKAR"),
("2089","Muhammad Tayyab (Bagra)","Muhammad Hafeez ur Rehman","3620317747589","Punjab","LODHRAN"),
("2090","Muhammad Tayyab Qasmi ","Muhammad Ahsan ","3320108941077","Punjab","MULTAN"),
("2091","Muhammad Tufail","Azmat Ali","3220225350037","Punjab","LAYYAH"),
("2092","Muhammad Tufail alias Master","Sardar Ali","3110148911961","Punjab","BAHAWALNAGAR"),
("2093","Muhammad Ubaid Ullah","Muhammad Rafique","3620223449509","Punjab","LODHRAN"),
("2094","Muhammad Ubaid Ullah","Hafiz Ghulam Muhammad ","3130324438279","Punjab","Rahim Yar Khan"),
("2095","Muhammad Ubaid Ullah ","Ghulam Muhammad ","3130324438479","Punjab","RAHIM YAR KHAN"),
("2096","Muhammad Umair @ Sardar ","Zareef Khan ","NIL","Sindh","Karachi"),
("2097","Muhammad Umair Chheena","Muhammad Ismail","3410172506245","Punjab","GUJRANWALA"),
("2098","Muhammad Umar ","Habib-Ur-Rehman Shahid ","3120272921297","Punjab","BAHAWALPUR"),
("2099","MUHAMMAD UMAR","NOOR MUHAMMAD","3220278465879","Punjab","LAYYAH"),
("2100","Muhammad Umar","Ghullam Shabbir","3320314577585","Punjab","Jhang"),
("2101","Muhammad Umar ","Ghulam Farid ","3210217320129","Punjab","DERA GHAZI KHAN"),
("2102","Muhammad Umar ","Abdul Kareem ","3120184077879","Punjab","BAHAWALPUR"),
("2103","Muhammad Umar @ Sohrab ","Haji Bazed Khan","4250113185987","Sindh","Karachi"),
("2104","Muhammad Umar Farooq ","Abdul Haq ","3120120565219","Punjab","BAHAWALPUR"),
("2105","Muhammad Umar Farooq","Muhammad Ilyas","3410358044261","Punjab","GUJRANWALA"),
("2106","Muhammad Umar Farooq ","Bashir Ahmad ","3630407032381","Punjab","MULTAN"),
("2107","Muhammad Umar Tahir alias Umar Haidri ","Muhammad Yaseen ","4210193411765","Punjab","JHANG"),
("2108","Muhammad Umer farooq","Muhammad Riaz","3320288535773","Punjab","Jhang"),
("2109","Muhammad Usman","Khaista Rahman","1530543890503","KP","LOWER DIR (AT TEMERGARA)"),
("2110","Muhammad Usman ","Muhammad Anwar","3410104371427","Punjab","GUJRANWALA"),
("2111","Muhammad Usman ","Muhammad Ameer Farooqi ","3320346806181","Punjab","JHANG"),
("2112","Muhammad Usman Alias Kala","Muhammad Sabir","3810213878061","Punjab","BHAKKAR"),
("2113","Muhammad Usman alias Muhammad Ismail, Abdul Qudos ","Muhammad Javed","3740624711673","Punjab","RAWALPINDI"),
("2114","Muhammad Usman Haider ","Hafiz Muhammad Ashraf ","3320225228917","Punjab","SAHIWAL"),
("2115","Muhammad Usman Haider","Nimat Ullah ","3210351127973","Punjab","DERA GHAZI KHAN"),
("2116","Muhammad Usman Zia ","Muhammad Bashir Zia ","3740572376539","Punjab","RAWALPINDI"),
("2117","Muhammad Uzair ","Talib Hussain ","3410112095661","Punjab","GUJRANWALA"),
("2118","Muhammad Uzair","Mahmood","3120114631603","Punjab","BAHAWALPUR"),
("2119","Muhammad Waheed ","Abdul Ghafoor ","3120175387359","Punjab","BAHAWALPUR"),
("2120","Muhammad Waheed Khan Niazi ","Haji Kashmir Khan Niazi","4230128676807","Sindh","Karachi"),
("2121","Muhammad Wajid Ali ","Muhammad Iqbal ","3410358748927","Punjab","GUJRANWALA"),
("2122","Muhammad Wajid alias Qari Wajid","Muhammad Sharif","3510403953487","Punjab","KASUR"),
("2123","Muhammad Waqar Amir alias Azeem","Muhammad Younis","3720117584485","Punjab","CHAKWAL"),
("2124","Muhammad Waqas","Shah Nawaz","3610336692887","Punjab","Khanewal"),
("2125","Muhammad Waqas","Muhammad Rasheed","3320404150381","Punjab","Jhang"),
("2126","Muhammad Waseem Ahmad Shahzad","Zafar Ahmad","3660179389171","Punjab","VEHARI"),
("2127","Muhammad Waseem Butt","Muhammad Sharif Butt","3460207237427","Punjab","Sialkot"),
("2128","Muhammad Waseem Nawaz ","Muhammad Nawaz ","3330326030243","Punjab","TOBA TEK SINGH"),
("2129","Muhammad Wazeer ","Taj Muhammad ","3120182779613","Punjab","BAHAWALPUR"),
("2130","Muhammad Yahya ","Muhammad Arshad ","3310063442677","Punjab","FAISALABAD"),
("2131","Muhammad Yahya Aziz ","Ch. Ilam Din ","3540415773099","Punjab","SHEIKHUPURA"),
("2132","Muhammad Yameen ","Ghulam Shabeer ","3210246015897","Punjab","DERA GHAZI KHAN"),
("2133","Muhammad Yamin ","Ghulam Muhammad ","3230477996197","Punjab","Muzaffargarh"),
("2134","Muhammad Yaqoob ","Muhammad Ishaq ","3820135259827","Punjab","KHUSHAB"),
("2135","Muhammad Yaqoob","Muhammad Hanif","3540415807189","Punjab","Sheikhupura"),
("2136","Muhammad Yaqoob","Ghullam Abbas","3710520019369","Punjab","ATTOCK"),
("2137","Muhammad Yaqoob ","Haji Muhammad Ramzan ","3810219431943","Punjab","BHAKKAR"),
("2138","Muhammad Yaqoob ","Muhammad Ishaq ","3120349251293","Punjab","BAHAWALPUR"),
("2139","Muhammad Yaqoob Qasmi","Noor Muhammad Marhoom","3540117362225","Punjab","Sheikhupura"),
("2140","Muhammad Yaqoob Qasmi ","Muhammad Farzand Ali ","3630296569393","Punjab","MULTAN"),
("2141","Muhammad Yaseen","Muhammad Ramzan","3320383590735","Punjab","Jhang"),
("2142","Muhammad Yasin ","Muhammad Younas ","3330222617871","Punjab","TOBA TEK SINGH"),
("2143","Muhammad Yasin ","Rahmat Ali","3530175346017","Punjab","OKARA"),
("2144","Muhammad Yasin ","Muhammad Shafi ","3310071896451","Punjab","FAISALABAD"),
("2145","Muhammad Yasin","AHMAD BAKHSH","3220291521429","Punjab","LAYYAH"),
("2146","Muhammad Yasin Farooqi ","Muhammad Ibrahim","3520124888573","Punjab","LAHORE"),
("2147","Muhammad Younas","Ghullam Qasim","3320285953253","Punjab","Jhang"),
("2148","Muhammad Younas","Mian Sultan Zeb","1510163229829","KP","BUNER"),
("2149","Muhammad Younas","Ghulam Hussain","3520014313453","Punjab","LAHORE"),
("2150","Muhammad Younas Ali ","Ghulam Shahbaz Ali ","6110168715079","Punjab","FAISALABAD"),
("2151","Muhammad Younas alias Master ","Sher Muhammad ","3110116398931","Punjab","BAHAWALNAGAR"),
("2152","Muhammad Younis","Sultan Ali","3420250967819","Punjab","GUJRAT"),
("2153","Muhammad Younis Khan ","Saeed Ahmad ","3220294954073","Punjab","LAYYAH"),
("2154","Muhammad Yousaf","Atta Muhammad ","3620204919429","Punjab","LODHRAN"),
("2155","Muhammad Yousaf","Aleem Ud Din","3330201485759","Punjab","T.T.Singh"),
("2156","Muhammad Yousaf","Bundu","3320297299163","Punjab","Jhang"),
("2157","Muhammad Yousaf ","karamat Ali","3410106829997","Punjab","GUJRANWALA"),
("2158","Muhammad Yousaf Bodla ","Shafqat Rasool Bodla ","3630477582301","Punjab","MULTAN"),
("2159","Muhammad Yousaf Raheemi ","Muhammad Hanif ","3530120286859","Punjab","OKARA"),
("2160","Muhammad Zahid ","Jinnah Khan","2170460059317","Sindh","Karachi"),
("2161","Muhammad Zahid","Muqadas Shah","1550442852365","KP","SHANGLA (AT ALPURI)"),
("2162","Muhammad Zahid","Muhammad Farooq","4220160369519","Punjab","BAHAWALNAGAR"),
("2163","Muhammad Zahid ","Rafiq Ahmad","3130130799865","Punjab","RAHIM YAR KHAN"),
("2164","Muhammad Zahid ","Abdul Hadi ","3130343054163","Punjab","RAHIM YAR KHAN"),
("2165","Muhammad Zahid Mahmood","Abdul Aziz","3660314330883","Punjab","Vehari"),
("2166","Muhammad Zahoor ","Aurangzaib ","3740402703285","Punjab","RAWALPINDI"),
("2167","Muhammad Zakiria Azam ","Muhammad Azam ","3120164057263","Punjab","BAHAWALPUR"),
("2168","Muhammad Zaman","Fateh Khan","1530210071239","KP","LOWER DIR (AT TEMERGARA)"),
("2169","Muhammad Zaman","Gul Zaman","1571010108372","KP","UPPER DIR (AT DIR)"),
("2170","Muhammad Zikriya ","Abdul Rehman ","3640109019893","Punjab","PAKPATTAN"),
("2171","Muhammad Zohaib Arif  ","Muhammad Arif ","3230372625089","Punjab","MUZAFFARGARH"),
("2172","Muhammad Zubair","Kifayat Ur Rahman","1710259544467","KP","CHARSADDA"),
("2173","Muhammad Zubair ","Muhammad Rasheed ","3310007341293","Punjab","FAISALABAD"),
("2174","Muhammad Zubair","Afzal","3810170583659","Punjab","BHAKKAR"),
("2175","Muhammad Zubair Ahmad","Muhammad Bakhsh alias Muhammad Khan ","3120104312507","Punjab","BAHAWALPUR"),
("2176","Muhammad Zubair Khan ","Qaisar Hussain Khan ","3630405704545","Punjab","MULTAN"),
("2177","Muhammad Zulfiqar","Kameer ","3840598603451","Punjab","SARGODHA"),
("2178","MuhammadJaved Akhtar(Gujjar)","Nazir Ahmad","3650206923833","Punjab","SAHIWAL"),
("2179","Muhib","Manjawar","1560258507251","KP","SWAT (AT MINGORA)"),
("2180","Muhib Ullah","Muhammad Darwaish","1530575185121","KP","LOWER DIR (AT TEMERGARA)"),
("2181","Muhmmad Asghar @ Commando ","Muhammad Ibrahim ","4210131338615","Sindh","Karachi"),
("2182","Mujahid","Hidayat ullah (Alias)","1530737452823","KP","LOWER DIR (AT TEMERGARA)"),
("2183","Mujahid Abbas ","Mazhar Hussain ","3320227340671","Punjab","JHANG"),
("2184","Mujahid Ahmad","Muhammad Ramzan","3610219151977","Punjab","GUJRAT"),
("2185","Mujahid Iqbal alias Muja, Sufiyan, Bugti ","Allah Bakhsh ","3210302788277","Punjab","DERA GHAZI KHAN"),
("2186","Mujahid Islam","Rehmatullah","3650253079021","Punjab","SAHIWAL"),
("2187","Mujtaba","Manazar Abbas ","3340104006671","Punjab","Chiniot"),
("2188","Mukaram","Bahram","1570140511671","KP","UPPER DIR (AT DIR)"),
("2189","Mukhtar Hussain Malik","Zawar Ullah Dad","3220225024151","Punjab","LAYYAH"),
("2190","Mukhtiar","Aqil","1510166735363","KP","BUNER"),
("2191","Mukhtiar Ahmad ","Ghulam Ali ","3120197294659","Punjab","BAHAWALPUR"),
("2192","Mukhtiar Hussain ","Lashkar Ali","3810105848449","Punjab","BHAKKAR"),
("2193","Mukhtiar Hussain ","Allah Diwaya ","3230369197887","Punjab","MUZAFFARGARH"),
("2194","Mulana Abdullah Shah Mazhar ","Mazhar Muhammad Saeed","4220105583081","Sindh","Karachi"),
("2195","Mulana Hafiz Abdul Ghani ","Mian Ghulam Fareed ","3120396281245","Punjab","BAHAWALPUR"),
("2196","Mulana Taj Muhammad Hanfi ","Nasir Ahmed","1520206574661","Sindh","Karachi"),
("2197","Mulvi Abdur Raziq","Fazal Raziq","","KP","Toorghar"),
("2198","Mulvi Shah Imran","Bakht Zamin","1560277646943","KP","SWAT (AT MINGORA)"),
("2199","Mumtaz Ahmed @ Pehewlan","Abdul Khaliq (late)","5160211314771","Balochistan","MASTUNG"),
("2200","Mumtaz Ali ","Muhammad Hussain Brohi","4200044779397","Sindh","KARACHI EAST"),
("2201","Mumtaz Hussain","Imam bakhash","3320307801685","Punjab","Jhang"),
("2202","Munawar ","Sultan","4210188511481","KP","S.WAZIRISTAN (AT WANA)"),
("2203","MUNAWAR ABBAS","MULAZIM HUSSAIN","3220279450031","Punjab","LAYYAH"),
("2204","Munawar Hussain  ","Malik Ghulam Hussain ","3120119578217","Punjab","BAHAWALPUR"),
("2205","Munawar Hussain","Muhammad Suleman Khan","3410372566685","Punjab","GUJRANWALA"),
("2206","Munawar Khan","Bahadar Khan","1110141395079","KP","Bannu"),
("2207","Munazzam Ali alias Usama, Shaka, Muhammad, Ali ","Muhammad Mushtaq ","3460356591441","Punjab","SIALKOT"),
("2208","Munir","Habib Ullah","1530209859715","KP","LOWER DIR (AT TEMERGARA)"),
("2209","Munir Ahmad ","Khalil Ahmad ","3810290521757","Punjab","BHAKKAR"),
("2210","Munir Ahmed","Ali Muhammad","3320211359485","Punjab","Jhang"),
("2211","Munir Ahmed ","Muhammad Nawaz","1310197990043","Sindh","Karachi"),
("2212","Munir Ahmed Shahid","Muhammad Ismail","3320212324569","Punjab","Jhang"),
("2213","Muntazir Abbas","Nasir Abbas","3720175635605","Punjab","CHAKWAL"),
("2214","Muqadar Shah","Maqbool Shah","1730144604435","KP","PESHAWAR"),
("2215","Mureed Abbas alias Yazdani ","Fateh Sher ","3810105938007","Punjab","BHAKKAR"),
("2216","Mureed Hussain ","Fida Hussain ","3120194926579","Punjab","BAHAWALPUR"),
("2217","Mursaleen @ Paya","Abdul Qadir ","4210152597851","Sindh","Karachi"),
("2218","Murtaza Ali @ Sajid ","Risat Ali ","4210131852275","Sindh","Karachi"),
("2219","Musa Khan",".Haje Nawab","1560258048423","KP","SWAT (AT MINGORA)"),
("2220","Mushtaq Ahmad ","Muhammad Yousaf ","3410147987259","Punjab","GUJRANWALA"),
("2221","Mushtaq Ahmad alias Mullan Rocketee ","Sher Muhammad ","3610285963085","Punjab","KHANEWAL"),
("2222","Mushtaq Ahmad alias Saqi ","Muhammad Yar","3660209825725","Punjab","VEHARI"),
("2223","Mushtaq Ahmad Tabasum","Sufi Lal Khan","3710406757519","Punjab","ATTOCK"),
("2224","Muslim","Amer Zaman","1560204686455","KP","SWAT (AT MINGORA)"),
("2225","Muslim Shah","Dilawar Shah","1510140187063","KP","BUNER"),
("2226","Mustafa Kamal","Farid Khan","1610141371611","KP","MARDAN"),
("2227","Muzafar Hussain Shah ","Anwar Hussain Shah ","3310082420037","Punjab","FAISALABAD"),
("2228","Muzaffar Hussain","Mukhtiar  Hussain Nangraj ","4530218782389","Sindh","NAUSHAHRO FEROZE"),
("2229","Muzam Rasheed","Abdul Rasheed","3520224237911","Punjab","Lahore"),
("2230","Muzamal Hussain ","Khan Muhammad ","3460328393021","Punjab","SIALKOT"),
("2231","N.A","N.A","1530280457455","KP","Dir Lower"),
("2232","Nadeem","Mehboob Ali","4220193729715","Sindh","Karachi"),
("2233","Nadeem Abbas alias Kaka/Jaun Abbas","Ghulam Hussain","3220231924243","Punjab","LAYYAH"),
("2234","Nadeem Ahmad","Abdul Rasheed","3660184783525","Punjab","VEHARI"),
("2235","Nadeem Ahmad ","Hakim Abdul Waheed ","3520290601999","Punjab","LAHORE"),
("2236","Nadeem Iqbal ","Kareem Bakhsh ","3120425244337","Punjab","BAHAWALPUR"),
("2237","Nadeem Iqbal","Noor Ahmad","3110536504931","Punjab","BAHAWALNAGAR"),
("2238","Nadeem Iqbal alias Abu Anus ","BASHIR AHMAD","3220283281607","Punjab","LAYYAH"),
("2239","Nadeem Qureshi ","Saeed Ahmed","NIL","Sindh","Hyderabad"),
("2240","Nadeem Yaqoob","Muhammad Yaqoob","3720172752037","Punjab","CHAKWAL"),
("2241","Nadir Khan","Raza Khan","1560204960083","KP","SWAT (AT MINGORA)"),
("2242","Naeem Akhtar alias Munna ","Ghulam Fareed ","3320360619411","Punjab","JHANG"),
("2243","Naeem Arshad","Nazar Muhammad","3420120469623","Punjab","GUJRAT"),
("2244","Naeem Ullah Khan ","Abdul Munaf Khan ","3450246603757","Punjab","GUJRAT"),
("2245","Nafees Abbas ","Muhammad Ahmed","42301.91590795","Sindh","Karachi"),
("2246","Nafees Akbar","Muhammad Akbar","3710409455447","Punjab","Attock    "),
("2247","Naimat Khan","Abdul Malik","1560203869399","KP","SWAT (AT MINGORA)"),
("2248","Najam Abbass","Ashiq Hussain Shah","3840122255639","Punjab","SARGODHA"),
("2249","Najam Din @ Mujahid S/o Mujahid","Muhammad Qasim Leghari ","4120279794021","Sindh","Dadu"),
("2250","Najam-ul-Hassan ","Muhammad Hassan ","3130326233803","Punjab","FAISALABAD"),
("2251","Najam-ul-Hassan ","Syed Muhammad Ali Kazmi ","3460321763961","Punjab","SIALKOT"),
("2252","Najamul Haq alias Najoo","Hakeem ","4520111080389","Sindh","Khairpur"),
("2253","Najeeb Ullah","Hafeez Ullah","3420286791739","Punjab","GUJRAT"),
("2254","Najeeb Ullah"," Akbar","2170524036809","KP","DERA ISMAIL KHAN"),
("2255","Najeeb Ullah","Wasam Khan","2120219822589","KP","KHYBER (AT PESHAWAR)"),
("2256","Najeebullah Jamaldini","Mohammad Arif.","5140122162129","Balochistan","KHUZDAR"),
("2257","Naqeeb Ullah","Abdul Wahid (Late)","5440109815107","Balochistan","QUETTA"),
("2258","Naqeeb Ullah","Wasim Khan","1111111111114","KP","PESHAWAR"),
("2259","Nasar Khan","Bakht Rawan","1560240711583","KP","SWAT (AT MINGORA)"),
("2260","Naseeb Shah","Aman Khan","1560403439823","KP","SWAT (AT MINGORA)"),
("2261","Naseem","Khaista War Khan","","KP","Dir Lower"),
("2262","Naseem","Hameed Khan Caste Akhel Tappa Mohsin Khel","1410154030499","KP","KOHAT"),
("2263","Naseem Abbas ","Ghulam Abbas ","3810106815773","Punjab","BHAKKAR"),
("2264","Naseem Hajjaz ","Manzoor Ahmad ","3130338678395","Punjab","RAHIM YAR KHAN"),
("2265","NASEER UL RAZA SAFDAR","Ghazanfar Ali Khan","3650176753493","Punjab","SAHIWAL"),
("2266","Nasib Ullah (Nasib Zada)","Qashqaray","1550551258573","KP","SHANGLA (AT ALPURI)"),
("2267","Nasir Abbas","Zahoor Hussain (Late)","3660209374013","Punjab","Vehari"),
("2268","Nasir Ahmad","Amir","1530232394011","KP","LOWER DIR (AT TEMERGARA)"),
("2269","Nasir Ali","Dalmeer Khan","3320227802425","Punjab","Jhang"),
("2270","Nasir Ali ","Rehmat Ali ","3410262143683","Punjab","GUJRANWALA"),
("2271","Nasir Hussain alias Haji ","Altaf Hussain ","3630280079795","Punjab","MULTAN"),
("2272","Nasir Iqabal @ Saifullah ","Muhammad Habib","4240185033473","Sindh","Karachi"),
("2273","Nasir Iqbal @ Saifullh ","Muhammad Habib ","4240185033473","Sindh","Karachi"),
("2274","Nasir Javed ","Allah Bakhsh ","3320313886495","Punjab","JHANG"),
("2275","Nasir Khan","Hakim Khan","1330204275003","KP","HARIPUR"),
("2276","Nasir Mahmood ","Shabbir Ahmad ","3320259804593","Punjab","JHANG"),
("2277","Nasir Mehmood ","Mehndi Hassan ","3620112376613","Punjab","LODHRAN"),
("2278","Nasir Mehmood Abbasi ","Muhammad Abbas Abbasi ","3740402704627","Punjab","RAWALPINDI"),
("2279","Nasrullah ","Abdul Habib","5430384615179","Balochistan","PISHIN"),
("2280","Naveed Ahmad","Muhammad Sharif","3430132976723","Punjab","HAFIZABAD"),
("2281","Naveed Hussain","Ghani ur Rehman","1620404289607","KP","SWABI"),
("2282","Naveed Majeed ","Abdul Majeed","3420220471919","Punjab","GUJRAT"),
("2283","Naveed Ur Rehman ","Abdul Rehman ","3520205814569","Punjab","LAHORE"),
("2284","Nawab","Shahzada Undak","1530269021577","KP","LOWER DIR (AT TEMERGARA)"),
("2285","Nawab Zada","Mohammad Zada","1570121144463","KP","UPPER DIR (AT DIR)"),
("2286","Nawaz Ali Shah ","Murad Ali Shah ","4140104866681","Sindh","THATTA"),
("2287","Nawaz Khan","Sher Zaman","1310172360777","KP","ABBOTTABAD"),
("2288","Nawaz Khan","Iqrar Khan","3320162318467","Punjab","CHINIOT"),
("2289","Nayyar Abbas Jafery","Ghulam Murtaza Jafery","1330251140773","KP","HARIPUR"),
("2290","Nayyer Abbas ","Zulfiqar Khan ","3320266843559","Punjab","JHANG"),
("2291","Nazakat Ali","Dilawar Khan","3710601302815","Punjab","Attock    "),
("2292","Nazakat Ali alias Khalid Joiya","Liaqat Ali","3530306789993","Punjab","OKARA"),
("2293","Nazakat Ali Usmani","Raja Bagh Ali (Late)","3740559184471","Punjab","CHAKWAL"),
("2294","Nazamin khan","Abdul Ghaffar","","KP","Dir Lower"),
("2295","Nazamin Khan","Khaista War Khan","1530566908913","KP","LOWER DIR (AT TEMERGARA)"),
("2296","Nazar Abbas ","Hafeez Ahmad ","3810106235223","Punjab","BHAKKAR"),
("2297","Nazar Abbas ","Mehmood Ahmed Bhatti ","3450144314899","Punjab","NAROWAL"),
("2298","Nazar Abbas ","Inayat Ali ","3450119927897","Punjab","NAROWAL"),
("2299","Nazar Hussain","Khan Muhammad","3710516819677","Punjab","Attock    "),
("2300","Nazar Ul Hassan "," Zahoor Ul Hassan ","3310009746437","Punjab","TOBA TEK SINGH"),
("2301","Nazeem","Zaman Khan","2110140384323","KP","BAJAUR (AT KHAR BAJAUR)"),
("2302","Nazeer Ahmad alias Nazeer Ghamb","Haji Rasool Bakhsh","3120133069401","Punjab","BAHAWALPUR"),
("2303","Nazeer Ahmed @ Nazeer ","Abdul Rahim.","4240142297085","Balochistan","LASBELA (AT UTHAL)"),
("2304","Nazeer Hussain Shah","Rahmat Shah Kazmi","1330296476411","KP","HARIPUR"),
("2305","Nazir Ahmad","Shah Muhammad","3120450393369","Punjab","Bahawalpur"),
("2306","NAZIR AHMAD ","JAN MUHAMMAD ","3650130073367","Punjab","SAHIWAL"),
("2307","Nazir Ahmad ","Muhammad Subhan ","3120198836595","Punjab","BAHAWALPUR"),
("2308","Nazir Ahmad Asad alias Asad ","Noor Ahmad","3450167784081","Punjab","NAROWAL"),
("2309","Nazir Ahmad Bukhari ","Hussain Shah ","3310008488157","Punjab","FAISALABAD"),
("2310","Nazir Khan","Naik Khan","4220123694443","KP","KOHAT"),
("2311","Nazir ul Salam","Altaf","8230377735949","AJ&K","Chinatt, District Bagh"),
("2312","Niaz Ali","Wazir Gul","1310199827493","KP","ABBOTTABAD"),
("2313","Niaz Hussain","Mumtaz Ali","3810157456471","Punjab","BHAKKAR"),
("2314","Niaz Muhammad","Man dad","1620107360459","KP","SWABI"),
("2315","Niaz Muhammad ","Syed Muhammad","1111111111126","KP","PESHAWAR"),
("2316","Niazullah","Shahnawaz Banglani","4330353976235","Sindh","Shikarpur"),
("2317","Nisar Ahmad Alias Haider, Khalid, Abdul Rehman","Muhammad Rafique","3820111669313","Punjab","KHUSHAB"),
("2318","Nisar Ahmed ","Hakim Ali Simair","4550186332497","Sindh","Sukkur"),
("2319","Nisar Ahmed","Abdul Shakoor","3410254751635","Punjab","GUJRANWALA"),
("2320","Nisar Caste Baloch","Meeran","5220364859599","Balochistan","KECH (AT TURBAT)"),
("2321","Nisar Khan","Muhammad Zahir Shah","1530767582317","KP","LOWER DIR (AT TEMERGARA)"),
("2322","Nisar Ullah","Mohammad Essa Khan","1570111781637","KP","UPPER DIR (AT DIR)"),
("2323","Nizam .","s/o Kashar Khan","1570197457995","KP","UPPER DIR (AT DIR)"),
("2324","Noor Ahmad","Muhammad Mansha ","3430117449393","Punjab","HAFIZABAD"),
("2325","Noor Ahmad Farooqi ","Rehmat Ali ","3640226565491","Punjab","PAKPATTAN"),
("2326","Noor Alam Khan","Hazrat Gulab","1530331867853","KP","LOWER DIR (AT TEMERGARA)"),
("2327","Noor Khan @ Zarqqavi ","Shahjjahan","1320260821673","KP","BATAGRAM (AT BANA)"),
("2328","Noor Muhammad","Haji Muhamad","1540126130021","KP","MALAKAND P.A."),
("2329","Noor Muhammad Caste Adozai","Abdul Nabi","5420124582889","Balochistan","KILLA ABDULLAH"),
("2330","Noor ul Ameen","Yaqoob Khan","1620283938319","KP","SWABI"),
("2331","Noor Wali","Haji Atlas","","KP","Bannu"),
("2332","Noor-ul-Akbar","Malik Shah","1620206665671","KP","SWABI"),
("2333","Noor-ul-Ameen","Abdul Haleem ","5440058424177","Balochistan","QUETTA"),
("2334","Noor-ul-Haq","Abdul Bari","5650304872141","Balochistan","ZHOB"),
("2335","Nooran Gul ","Bakht Jan","4240118161829","Sindh","Karachi"),
("2336","Noroz","Bahadar Khan","1730108377605","KP","CHARSADDA"),
("2337","Nouman Abbas alias Nomi ","Ghulam Akbar","3720108053605","Punjab","CHAKWAL"),
("2338","Nowroz","Sikandar Shah","1610195175753","KP","MARDAN"),
("2339","Obaid ur Rehman","Abdul Sattar","1120199877447","KP","LAKKI MARWAT"),
("2340","Parvez","Hakim Khan","1570144315991","KP","UPPER DIR (AT DIR)"),
("2341","Peer Rehman ","Muhammad Deen ","2170504458077","Sindh","Karachi"),
("2342","Pir Fareed Ali Shah ","Farhad Ali Shah","4510287757121","Sindh","Khairpur"),
("2343","Pir Hujat Ullah","Abdul Kabir","1730159666493","KP","PESHAWAR"),
("2344","Pir Muhammad","Shah Madar","1570224955787","KP","UPPER DIR (AT DIR)"),
("2345","Professor Qaim Ahmad","Salar Khan","1620285491877","KP","Swabi"),
("2346","Qaimoos Khan","Behroz","1560254408499","KP","SWAT (AT MINGORA)"),
("2347","Qaisar Abbas ","Bashir Hussain Khan ","3810192853905","Punjab","BHAKKAR"),
("2348","Qaisar Abbas ","Fida Hussain Khan","3320238530985","Punjab","JHANG"),
("2349","Qaisar Abbas ","Zulfiqar Khan","3320356562855","Punjab","JHANG"),
("2350","Qaisar Abbas alias Bhalla ","Riaz Ahmad ","3320244629349","Punjab","JHANG"),
("2351","Qaiser Abbas "," Muhammad Ramzan ","3320372108369","Punjab","JHANG"),
("2352","Qaiser Abbas ","Pervaiz ","3610288741215","Punjab","KHANEWAL"),
("2353","Qaiser Hanif ","Muhammad Hanif ","3310090063365","Punjab","FAISALABAD"),
("2354","Qalab Abbas ","Muhammad Iqbal Jafri ","3310007175091","Punjab","FAISALABAD"),
("2355","Qamar Abbas ","Ghulam Abbas ","4250137409469","Punjab","TOBA TEK SINGH"),
("2356","Qamar Raza","Ghullam Raza","3320204275587","Punjab","Jhang"),
("2357","Qamar Shah","Umar Khan","1530572377971","KP","LOWER DIR (AT TEMERGARA)"),
("2358","Qamar Ul Haq","s/o Lajbar","1570591341305","KP","LOWER DIR (AT TEMERGARA)"),
("2359","QAMAR-U-ZAMAN","MUHAMMAD YOUNAS","3420208509871","Punjab","GUJRAT"),
("2360","Qari  Naeem Ullah ","Ghulam Rasool Khan ","3210397964625","Punjab","DERA GHAZI KHAN"),
("2361","Qari Abdul Ghaffar Shakir ","Muhammad Sharif  Rajput @ Sipla Rajput ","4130245228313","Sindh","Hyderabad"),
("2362","Qari Abdul Hameed","Muhammad Yaqoob","1330204912025","KP","Haripur"),
("2363","Qari Abdul Nasir","Ahmed Shah ","5430320194553","Balochistan","PISHIN"),
("2364","Qari Abdul Samad","Abdullah  ","5430337503511","Balochistan","PISHIN"),
("2365","Qari Abdul Shakir ","Wazeer","","Sindh","Hyderabad"),
("2366","Qari Abdur Rashid","Muhammad Zaman","1350422318467","KP","MANSEHRA"),
("2367","Qari Abdur Rehman","Kohistani Mola","1570196088795","KP","UPPER DIR (AT DIR)"),
("2368","Qari Abdur Rehman","Abdur Razaq","1310160074033","KP","ABBOTTABAD"),
("2369","Qari Akhtar Hussain","Fateh Muhammad","3730187987891","Punjab","JHELUM"),
("2370","Qari Allah Wasaya ","Ghulam Muhammad ","3120202526065","Punjab","BAHAWALPUR"),
("2371","Qari Anwar Sher","Muhammad Rashad","1560232525555","KP","SWAT (AT MINGORA)"),
("2372","Qari Anwar-ul-Hassan","Imam Din","3320214242311","Punjab","JHANG"),
("2373","Qari Asad Irfan","Shafa Khan (Late)","3720122698987","Punjab","CHAKWAL"),
("2374","Qari Ayub","Haq Nawaz Khan","1110114753469","KP","BANNU"),
("2375","Qari Bilal Qasmi @ Farooqi","Muhib Ullah","1730102394707","KP","PESHAWAR"),
("2376","Qari Hammad Ullah alias Madni ","Abdul Raheem ","3130358990001","Punjab","RAHIM YAR KHAN"),
("2377","Qari Ikram Ullah","Amin Gul","1610299601005","Punjab","Attock    "),
("2378","Qari Ikramullah ","Amanullah.","7150101251555","Gilgit-Baltistan","GILGIT"),
("2379","Qari Imtiaz ","Mustajab","4220124331376","Sindh","Karachi"),
("2380","Qari inayatullah ","Allah Yar","3210347694491","Punjab","D.G.Khan"),
("2381","Qari Iqbal","Hamid Gul","1550176941211","KP","SHANGLA (AT ALPURI)"),
("2382","Qari Iqrar Abbassi","Abdul Razaq Abbassi","1310108475041","KP","ABBOTTABAD"),
("2383","Qari Khalid Hussain Rehmani ","Nooral Solangi","4530183389021","Sindh","N-Feroze"),
("2384","Qari Khalil","Mohammad Saeed","1570174453053","KP","UPPER DIR (AT DIR)"),
("2385","Qari Masood ur Rehman","Abdul Mehboob","1234567891011","Punjab","Lahore"),
("2386","Qari Muhamamd Imran","Bashir Ahmad","3610290731261","Punjab","Khanewal"),
("2387","Qari Muhammad Ajmal","Hafiz Jaan Muhammad","3660221667605","Punjab","Vehari"),
("2388","Qari Muhammad Asghar Ali","Chirag Din","3660259625953","Punjab","Vehari"),
("2389","Qari Muhammad Aslam Farooqi","Khushi Muhammad","3330217746461","Punjab","T.T.Singh"),
("2390","Qari Muhammad Ayoub","Hafiz Abdul Rauf","6110117665251","Punjab","Attock    "),
("2391","Qari Muhammad Faisal","Bahadur khan","3210274965399","Punjab","DERA GHAZI KHAN"),
("2392","Qari Muhammad Hayyat","MUHAMMAD ALI","3220201040319","Punjab","LAYYAH"),
("2393","Qari Muhammad Imran","Bashir Ahmad","3610290731561","Punjab","KHANEWAL"),
("2394","Qari Muhammad Iqbal","Shabbir Ahmad @ Shabbira Foji","3610310973191","Punjab","KHANEWAL"),
("2395","qari muhammad naseer","khadim hussain joyia","3120103594339","Punjab","Bahawalpur"),
("2396","Qari Muhammad Ramzan","Muhammad Sultan","1330217674451","KP","ABBOTTABAD"),
("2397","Qari Muhammad Rasheed","Mehtab Khan ","3630240797463","Punjab","MULTAN"),
("2398","Qari Muhammad Riaz","Muhammad Aslam","3710113104499","Punjab","Attock    "),
("2399","Qari Muhammad Sajjad ","Bashir Ahmad ","3120111590817","Punjab","BAHAWALPUR"),
("2400","Qari Muhammad Sharif","Hazoor Muhammad","3710111217179","Punjab","Attock    "),
("2401","Qari Muhammad Suleman","Muhammad Azam","3710533689825","Punjab","Attock    "),
("2402","Qari Mukhtar Ahmed alias (Rajpoot)","Gulzar Ahmed ","3730211750289","Punjab","GUJRAT"),
("2403","Qari Naveed ur Rehman alias Sufi Nasir","Muhammad Saleem","3630213812411","Punjab","MULTAN"),
("2404","Qari Rafiq","Abdul Jalil","1620255741529","KP","SWABI"),
("2405","Qari Raqib ","Hafiz Nadeem","NIL","Sindh","Hyderabad"),
("2406","Qari Rooh-ul-Amin","Rehmat Ullah","1530618253019","KP","LOWER DIR (AT TEMERGARA)"),
("2407","Qari Saif Ullah","az","1111111111133","KP","PESHAWAR"),
("2408","Qari Sakhawat Ali","Allah Rakha","3460362295053","Punjab","Sialkot"),
("2409","Qari Sami Ullah","Taj Muhammad","1570199767571","KP","UPPER DIR (AT DIR)"),
("2410","Qari Sher Zaman ","Syed Zaman","1111111111134","KP","PESHAWAR"),
("2411","Qari Ubaid Ur Rehman","Abdur Rehman","3740605376079","KP","ABBOTTABAD"),
("2412","Qari Umar Farooq","Qari Asgar Ali","3660247306581","Punjab","Vehari"),
("2413","Qari Yaseen ","M. Nazeer","4210114005961","Sindh","Karachi"),
("2414","Qasim","Mian Sher","1530209306169","KP","LOWER DIR (AT TEMERGARA)"),
("2415","Qasim Ali "," Allah Ditta Khan ","3320282279599","Punjab","JHANG"),
("2416","Qasim Din","Malik Fazil ","3130323655249","Punjab","RAHIM YAR KHAN"),
("2417","Qasim Shah","Abdullah Shah","1330257195869","KP","Haripur"),
("2418","Qasim-ul-Hassan ","Shooqeen Ali ","3740283026507","Punjab","RAWALPINDI"),
("2419","Qayum Khan ","Karim Jan","1520123405687","KP","CHITRAL"),
("2420","Qazi Fakhar Hussain","Qazi Muhammad Hussain","3710499182837","Punjab","Attock    "),
("2421","Qazi Kashif Hussain","Qazi Bashir Ahmed","3520015781271","Punjab","LAHORE"),
("2422","Raaz Muhammad @ Kakai ","Sher Khan","4230191499763","Sindh","Karachi"),
("2423","Rab Nawaz ","Barkat Ali ","3210241458403","Punjab","DERA GHAZI KHAN"),
("2424","Rab Nawaz","Ghulam Qasim Khan","3810106962449","Punjab","BHAKKAR"),
("2425","Rab Nawaz Khan ","Mahiwal ","3740616221651","Punjab","RAWALPINDI"),
("2426","Rabnawaz ","Ghulam Fareed ","3120183163833","Punjab","BAHAWALPUR"),
("2427","Raees","Abdul Mateen","1570440344701","KP","UPPER DIR (AT DIR)"),
("2428","Raees Khan","Muhammad Ramzan","3710163280653","Punjab","ATTOCK"),
("2429","Rafaqat Ali ","Ghulam Ali ","3320396548651","Punjab","JHANG"),
("2430","Rafeeq Jan","Saz Mir","1710232013827","KP","CHARSADDA"),
("2431","Rafi ullah","Said ullah","1530799633855","KP","LOWER DIR (AT TEMERGARA)"),
("2432","Rafi Ullah","Muhammad Raziq","1570135812881","KP","UPPER DIR (AT DIR)"),
("2433","Rafi Ullah","Habib ur Rehman","1550549283001","KP","SHANGLA (AT ALPURI)"),
("2434","Rafi Ullah","Hamid Ullah","4200004091683","KP","MALAKAND P.A."),
("2435","Rafiullah","Saleem @ Rabbani","1560603550541","KP","SWAT (AT MINGORA)"),
("2436","Rafiullah ","Khalil ur Rehman","1550546318275","KP","SHANGLA (AT ALPURI)"),
("2437","Raghib Hussain","Mian Ghullam Shabbir","3320313669495","Punjab","Jhang"),
("2438","Raham Ali ","Phairan Khan","3240453115377","Punjab","RAJANPUR"),
("2439","Raham Ghani","Abdul Ghani","1570141125343","KP","UPPER DIR (AT DIR)"),
("2440","Rahamd Ullah","Rizwan Ullah","1510112828857","KP","BUNER"),
("2441","Rahamdullah","Rizwan Ullah","1510112828851","KP","SWAT (AT MINGORA)"),
("2442","Rahat Ullah","Hayat Ullah","1570104454517","KP","UPPER DIR (AT DIR)"),
("2443","Raheem Javed","Javed lqbal","3420182270339","Punjab","GUJRAT"),
("2444","Rahim Bakhsh","Naik Muhammad","1510173020549","KP","BUNER"),
("2445","Rahim Gul","Khusamand Khan","1560202448247","KP","SWAT (AT MINGORA)"),
("2446","Rahim Jaffari ","Ahmed Ali","5440003952627","Balochistan","QUETTA"),
("2447","Rahim Khan","Razi Mand Khan","1530799288963","KP","LOWER DIR (AT TEMERGARA)"),
("2448","Rahim Said","Ghulam Said","4220104606489","KP","LOWER DIR (AT TEMERGARA)"),
("2449","Rahim Ullah s/o","Sahib Jan","1560257795981","KP","Swat"),
("2450","Rahman Hakim","Sultanat .","1570181660301","KP","UPPER DIR (AT DIR)"),
("2451","Rahmat Ali s/o","Akbar Ali","1560298181407","KP","SWAT (AT MINGORA)"),
("2452","Rai Nadeem Abbas ","Arshad Muhammad ","3330297591905","Punjab","TOBA TEK SINGH"),
("2453","Raj Wali","Shakir","1730115543091","KP","PESHAWAR"),
("2454","Raja Habib Ur Rehman ","Raja Muhammad Akram ","3710489573121","Punjab","ATTOCK"),
("2455","Raja Hamid Nawaz","Rab Nawaz","3840194239133","Punjab","SARGODHA"),
("2456","Raja Khawar ","Walayat Khan","3420204567807","Punjab","Gujrat"),
("2457","Raja Muhammad Nazuk","Kala Khan","6110154782069","ICT","ISLAMABAD\n\n"),
("2458","Raja Nasir  ","Shah Sultan","7150116332281","Gilgit-Baltistan","GILGIT"),
("2459","Raja Shahzad Mehmood ","Raja Khushhal Khan ","3730357323935","Punjab","MANDI BAHAUDDIN"),
("2460","Raja Tahir Abbas ","Raja Muhammad Khan ","3740505466131","Punjab","RAWALPINDI"),
("2461","Raja Waqas Khalid","Khalid Mehmood","3840603404233","Punjab","SARGODHA"),
("2462","Rajab Ali","Lal Hussain","3810105698199","Punjab","BHAKKAR"),
("2463","Ramzan Farooqi ","Syed Mohammad Naseem.","5430379899223","Balochistan","PISHIN"),
("2464","Ramzan Khan ","Zangi Khan Rind","4330466651793","Sindh"," Sanghar "),
("2465","Rana Abdur Rehman alias Khushi ","Rana Farzand Ali ","3130154828875","Punjab","RAHIM YAR KHAN"),
("2466","Rana Allah Yar","Muhammad Bakhsh","3620224795333","Punjab","LODHRAN"),
("2467","Rana Amjad Ali ","Muhammad Afzal ","3810236536235","Punjab","BHAKKAR"),
("2468","Rana Fakhar-ul-Islam Hamza  ","Rana Muhammad Yousaf","3320370678363","Punjab","JHANG"),
("2469","Rana Muhammad Akram ","Rasheed Ahmad ","3810209019197","Punjab","BHAKKAR"),
("2470","Rana Muhammad Asghar","Ali Muhammad ","3310006161097","Punjab","Faisalabad"),
("2471","Rana Muhammad Khalil alias Nanha ","Muhammad Khan ","3520246891245","Punjab","LAHORE"),
("2472","Rana Muhammad Mubeen alias Danial ","Muhammad Sana Ullah @ Mahar Caste Rajput","3230104834137","Punjab","MUZAFFARGARH"),
("2473","Rana Naeem Abbas","Ghanzfar Ali","3330351412725","Punjab","TOBA TEK SINGH"),
("2474","Rana Tufail","Abdul Shakoor","3810127835229","Punjab","BHAKKAR"),
("2475","Rana Umar Farooq alias Umar Jhangbi ","Rana Habib Ullah ","3640136096903","Punjab","PAKPATTAN"),
("2476","Rao Habib ur Rehman","Abdul Qayum","3660151767603","Punjab","Vehari"),
("2477","Rao Karamat Ali ","Rao Liaqat Ali","3130290742031","Punjab","RAHIM YAR KHAN"),
("2478","Rao Muhammad Javed Iqbal ","Rao Muhammad Iqbal","3120393388081","Punjab","BAHAWALPUR"),
("2479","Rao Nadeem-ur-Rehman","Rao Aziz-ur-Rehman","3660130365265","Punjab","Vehari"),
("2480","Rasheed Abbass","Muhammad Khan","3840145671369","Punjab","SARGODHA"),
("2481","Rasheed Ahmad","Abdul Aziz","3110585689199","Punjab","BAHAWALNAGAR"),
("2482","Rasheed Ahmad ","Ghulam Hussain ","3120378844111","Punjab","BAHAWALPUR"),
("2483","Rasheed Ahmad ","Jumma Khan ","3210330321849","Punjab","GUJRANWALA"),
("2484","Rasheed Ahmad Soomro ","Haji Ahmad Soomro ","3130422511179","Punjab","RAHIM YAR KHAN"),
("2485","Rasheed Ahmed Alias Abdul Rasheed @Maovia @Ghalib","Muhammad Adrees (CNIC Father)","3620293340885","Punjab","LODHRAN"),
("2486","Rashid","Shatamas","1530515707775","KP","LOWER DIR (AT TEMERGARA)"),
("2487","Rashid Ahmad","Rasool Ahmad","1530210004607","KP","LOWER DIR (AT TEMERGARA)"),
("2488","Rashid Javed ","Javed Iqbal","3640250048463","Punjab","PAKPATTAN"),
("2489","Rashid khan","Sultani Room","1530770996653","KP","LOWER DIR (AT TEMERGARA)"),
("2490","Rashid Mehmood Farooqi","Mian Muhammad","3710115917505","Punjab","Attock    "),
("2491","Rasool Bakhsh ","Muhammad Noor","5440172248025","Balochistan","QUETTA"),
("2492","Raz Muhammad ","Syed Muhammad","1111111111125","KP","PESHAWAR"),
("2493","Raza Khan","Abdul Khaliq","1730115706367","KP","PESHAWAR"),
("2494","Razzaq "," Muhammad Musa","7150110011149","Gilgit-Baltistan","GILGIT"),
("2495","Reema","Tariq","1111111111123","KP","PESHAWAR"),
("2496","Rehan Iqbal","Mohammad Iqbal ","5440091003235","Balochistan","QUETTA"),
("2497","Rehan Mehmood Zia ","Zia Ul Rehman ","3310503571377","Punjab","FAISALABAD"),
("2498","Rehan Waseem ","Sibqhat Ullah ","3320226990159","Punjab","JHANG"),
("2499","Rehman Gul","Noor Ahmad Shah","1620228270331","KP","SWABI"),
("2500","Rehman Shah","Faqeer","1560153165223","KP","SWAT (AT MINGORA)"),
("2501","Rehman ud Din","Noor Muhammad Din","1530209002855","KP","LOWER DIR (AT TEMERGARA)"),
("2502","Rehman ullah","Ghulam Qadar","1530757432097","KP","LOWER DIR (AT TEMERGARA)"),
("2503","Rehman Ullah ","Malak Jan","2120120135199","KP","KHYBER (AT PESHAWAR)"),
("2504","Rehmat Din","Nizam-ud-Din","1520208109033","KP","CHITRAL"),
("2505","Rehmat Ullah ","Metho Khan ","3520050897483","Punjab","LAHORE"),
("2506","Rehmatullah","Ghulam Rasool Rakshani.","5140221972915","Balochistan","KHUZDAR"),
("2507","Riaz","Shams","1530208493273","KP","LOWER DIR (AT TEMERGARA)"),
("2508","Riaz","Gulambar Khan","1560220796305","KP","SWAT (AT MINGORA)"),
("2509","Riaz Ahmad ","Allah Bakhsh ","3210209479895","Punjab","FAISALABAD"),
("2510","Riaz Ahmad","Bashir Ahmad","3650252340279","Punjab","VEHARI"),
("2511","Riaz Ahmad","Muhammad Aslam","3620298756881","Punjab","LODHRAN"),
("2512","Riaz Ahmad ","Ashiq Hussain ","3310021723125","Punjab","FAISALABAD"),
("2513","Riaz Ali","Ali Sher","3610476453251","Punjab","KHANEWAL"),
("2514","Riaz Ali Chandio","Rasool Bux Chandio ","4250145802529","Sindh","KARACHI EAST"),
("2515","Riaz Hussain ","Allah Ditta ","3230435819421","Punjab","MUZAFFARGARH"),
("2516","Riaz Hussain ","Muhammad Nawaz ","1220168572741","Punjab","BHAKKAR"),
("2517","Riaz Hussain alias Saeed Hussain","Haq Nawaz","3220286796525","Punjab","LAYYAH"),
("2518","Riaz Khan","Ayub","1720136669179","KP","NOWSHERA"),
("2519","Riaz Shahid ","Ghuolam Jillani ","3640108810443","Punjab","PAKPATTAN"),
("2520","Riaz-ul-Haq Haidri","Muhammad Ramzan","3660209151929","Punjab","Vehari"),
("2521","Rifaqatullah","Muhammad Suleman Jarwar ","4110442059149","Sindh","BADIN"),
("2522","Rizwan","Abdul Razzaq ","4210179736049","Sindh","Karachi"),
("2523","Rizwan Ahmed @ Jimmy","Rasheed ","NIL","Sindh","Karachi"),
("2524","Rizwan Akbar","Muhammad Akbar","3420103573139","Punjab","Gujrat"),
("2525","Rizwan Akbar ","Muhammad Akbar","3420103573131","Punjab","GUJRAT"),
("2526","Rizwan Haider ","Taqi Hussain ","3320213709795","Punjab","JHANG"),
("2527","Rizwan Haider ","Iqbal Hussain Gohar ","3330339993907","Punjab","TOBA TEK SINGH"),
("2528","Rizwan Haider ","Muhammad Nawaz","3340103609195","Punjab","CHINIOT"),
("2529","Rizwan Iqbal","Muhammad Iqbal","3810261069009","Punjab","BHAKKAR"),
("2530","Rizwan Shah","Noorwas Sha","1620210205793","KP","SWABI"),
("2531","Rizwan ullah","Abdul Wahab","1530780978741","KP","LOWER DIR (AT TEMERGARA)"),
("2532","Rizwan ullah","Sofi Muahmmad","1530585476359","KP","LOWER DIR (AT TEMERGARA)"),
("2533","Rizwan Ullah","Taj Mer","1550544537391","KP","SHANGLA (AT ALPURI)"),
("2534","Rooh ul Wahab Alias Rooh Ullah","Said Rasool","1620167244435","KP","SWABI"),
("2535","S. Kashif  Hussain Rizvi ","S.Salman Bahadur Rizvi","4210116488299","Sindh","Karachi"),
("2536","Saad Abdur Rehman Jagranvi","Habib ur Rehman Jagranvi","3520206393769","Punjab","LAHORE"),
("2537","Sabir",". Kashar Khan","1570113364881","KP","UPPER DIR (AT DIR)"),
("2538","Sabir Gul","Ghareeb Gul","6110113309311","KP","KOHAT"),
("2539","sabir hussain ","Noor Muhammad","3540311008321","Punjab","Nankana Sahib"),
("2540","Sabir Hussain Alvi ","Barkat Ali ","3410116815721","Punjab","GUJRANWALA"),
("2541","Sabir Jamshaid ","Mushtaq Ahmad ","3310007768889","Punjab","FAISALABAD"),
("2542","Sabir Rahman","Abdul Rehman","1530119427053","KP","LOWER DIR (AT TEMERGARA)"),
("2543","Sabir Raza ","Zafar Au","3660125602495","Punjab","VEHARI"),
("2544","Sadaf Ali Khan","Nasir Ali Khan","3320385891081","Punjab","JHANG"),
("2545","Sadar Ahmad","Gul Mast","1570474795779","KP","UPPER DIR (AT DIR)"),
("2546","Saddam Ahmed "," Gul Baz.","7150198126527","Gilgit-Baltistan","GILGIT"),
("2547","Saddam Hussain","Bakht Biland","1530579241269","KP","LOWER DIR (AT TEMERGARA)"),
("2548","Saddam Hussain","Noor Zada","1710303784691","KP","CHARSADDA"),
("2549","Saddar Hayat @ Abu Sofyan","Wakeel Khan","2220123854619","KP","BANNU"),
("2550","Sadiq Azeem ","Qaseemuddin","","Sindh","Karachi"),
("2551","Sadique-u-Rehman ","Muhammad Bakhsh ","3210208759717","Punjab","DERA GHAZI KHAN"),
("2552","Saeed","Mohammad Kareem","1570119654189","KP","UPPER DIR (AT DIR)"),
("2553","Saeed Ahmad","Abdul Ghani","3540143823989","Punjab","Sheikhupura"),
("2554","Saeed Ahmad ","Ameer Muhammad ","3210399321467","Punjab","DERA GHAZI KHAN"),
("2555","Saeed Akhtar ","Munir Akhtar","3410356804879","Punjab","GUJRANWALA"),
("2556","Saeed Ullah ","Muhammad Nawaz","1220197975257","Punjab","BHAKKAR"),
("2557","Saeed Ullah","Amir Khan","1620274555669","KP","SWABI"),
("2558","Saeed Ur Rehman","Nawab Khan","3710465879401","Punjab","ATTOCK"),
("2559","Saeed-ur-Rehman","Habib Ur Rehman","8220339201911","AJ&K","Haryala Danna Kacheli Muzaffarabad"),
("2560","Safdar Ali ","Muhammad Ilyas ","3810256867375","Punjab","BHAKKAR"),
("2561","Safdar Ali","Sultan Ali ","5440004380837","Punjab","FAISALABAD"),
("2562","Safdar Mehmood","Mian Muhammad ","4220104427257","Punjab","SARGODHA"),
("2563","Safeer Hussain ","Muhammad Ali ","3310525767523","Punjab","FAISALABAD"),
("2564","Safi Ud Din","Haq Nawaz","6110198221913","Punjab","ATTOCK"),
("2565","Sagheer Hussain ","Muhammad Hussain","9040601546103","Punjab","GUJRAT"),
("2566","Saghir Ahmad","Safeer Ahmed","6110126779977","KP","KOHAT"),
("2567","Sahib Gul","Mian Gul","1530751940941","KP","LOWER DIR (AT TEMERGARA)"),
("2568","Sahib Khan","Haji Ameenullah Caste Barrach","5450120943947","Balochistan","NUSHKI"),
("2569","Sahib Ullah ","Saro Zarin","4240199695019","KP","BATAGRAM (AT BANA)"),
("2570","Sahib Zada","Muhammad Umar","1570199375663","KP","UPPER DIR (AT DIR)"),
("2571","Sahib Zada (Alias) Batangary","Muhammad","1530209128167","KP","LOWER DIR (AT TEMERGARA)"),
("2572","Sahib Zada @ Sheena","Amir Muhammad","1560277948585","KP","SWAT (AT MINGORA)"),
("2573","Sahib-ur-Rehman ","o Abdul Rehman","4210180358277","Sindh","Karachi"),
("2574","Saib shah","Rasool Said","1530513225251","KP","LOWER DIR (AT TEMERGARA)"),
("2575","Said Ahmad","Muhammad Yar","3840172727149","Punjab","SARGODHA"),
("2576","Said Ahmad Shah","Said Laiq Shah","1510105920629","KP","BUNER"),
("2577","Said Amil Shah","Said Mahboob Shah","1550454849569","KP","SHANGLA (AT ALPURI)"),
("2578","Said Amin","Said Haroon","1530208516967","KP","LOWER DIR (AT TEMERGARA)"),
("2579","Said Awal Shah","Said Qabil Shah","1550428564779","KP","SHANGLA (AT ALPURI)"),
("2580","Said Bacha","Jalat","1530729659505","KP","LOWER DIR (AT TEMERGARA)"),
("2581","Said Bayan Shah","Muhammad Tahir Shah","1550564959223","KP","Shangla"),
("2582","Said Bayan Shah","Qabil Shah","1550567959223","KP","SHANGLA (AT ALPURI)"),
("2583","Said Ghani","Said Ali","1510154790233","KP","BUNER"),
("2584","Said Hayat Shah","Said Raghib Shah Shah","1550502126531","KP","SHANGLA (AT ALPURI)"),
("2585","Said Ishfaq Ali Shah","Said Rasool Shah","1720105101071","KP","NOWSHERA"),
("2586","Said Karim","Abdur Rahim","1510108414789","KP","BUNER"),
("2587","Said Khan","Mohd: Akbar","1570247575031","KP","UPPER DIR (AT DIR)"),
("2588","Said Muhammad","Umar Muhammad","1530575015103","KP","LOWER DIR (AT TEMERGARA)"),
("2589","Said Muhammad .","Gul","1570185526887","KP","UPPER DIR (AT DIR)"),
("2590","Said Nadeem Shah","Said Bakht Naeem Shah","1540260050637","KP","MALAKAND P.A."),
("2591","Said Qavi Shah","Said Ghazi","3520212840309","KP","SHANGLA (AT ALPURI)"),
("2592","Said Ullah","Sher Mohammad","1570184033539","KP","UPPER DIR (AT DIR)"),
("2593","Said Zaman","Shams ur Rahman","1530560958803","KP","LOWER DIR (AT TEMERGARA)"),
("2594","Said Zubair Shah","Said Qabil Shah","1550463499715","KP","SHANGLA (AT ALPURI)"),
("2595","Saif Ullah Khalid ","Abdul Hameed ","3120103648911","Punjab","BAHAWALPUR"),
("2596","Saif ur Rehan ","Ghulam Mustafa ","4210181033229","Sindh","Karachi"),
("2597","Saif ur Rehman","Abdur Rehman","1310168133853","KP","ABBOTTABAD"),
("2598","Saif ur Rehman","Abdur Razzaq","1210109696187","KP","DERA ISMAIL KHAN"),
("2599","SAIF UR REHMAN ","MUHAMMAD RAMZAN","3640227061739","Punjab","Pakpattan"),
("2600","Saif ur Rehman ","Ghulam Rasool ","3120340044351","Punjab","BAHAWALPUR"),
("2601","Saif-Ul-Islam","Muhammad Bux","3240271753071","Punjab","RAJANPUR"),
("2602","Saif-ur-Rehman ","Haji Allah Dewaye ","3630109733611","Punjab","MULTAN"),
("2603","Saif-ur-Rehman ","Bahadar Khan ","3320280372813","Punjab","JHANG"),
("2604","Saifullah","Muhammad Hassan","4240184637399","Sindh","Karachi"),
("2605","Sajawal Khan","Faiz Muhammad","3810133031951","Punjab","BHAKKAR"),
("2606","Sajeel-ur-Rehman ","Ch. Abdul Rehman ","3630247770751","Punjab","MULTAN"),
("2607","Sajid ","Ghuffar Awan","8240163271087","AJ&K","Bhettik Baloch, Sudhnoti"),
("2608","Sajid","Abdul Ghafoor","1570158916481","KP","UPPER DIR (AT DIR)"),
("2609","Sajid Ali","Allah Yar","3320181620969","Punjab","CHINIOT"),
("2610","Sajid Hussain  ","Nazar Hussain","3820147597939","Punjab","KHUSHAB"),
("2611","Sajid Hussain","Muhammad Ayub","1330222007633","KP","ABBOTTABAD"),
("2612","Sajid Mehmood ","Muhammad Jamil ","3440324266557","Punjab","MANDI BAHAUDDIN"),
("2613","Sajid Mehmood","Mehmood Ahmed","3510262012995","Punjab","KASUR"),
("2614","Sajjad","Gulab","1530689185497","KP","LOWER DIR (AT TEMERGARA)"),
("2615","Sajjad Ahmad","Jabin","1510139873293","KP","BUNER"),
("2616","Sajjad Ahmed ","Muhammad Yar","3640255387821","Punjab","PAKPATTAN"),
("2617","Sajjad Ahmed alias Sufi ","Muhammad Sharif ","3420206850549","Punjab","GUJRAT"),
("2618","Sajjad Hussain ","Shah Muhammad ","3120289391433","Punjab","BAHAWALPUR"),
("2619","Sajjad Hussain ","Rahim Bakhsh ","3120373987757","Punjab","BAHAWALPUR"),
("2620","Sajjad Hussain alias Sajju ","Muhammad Nawaz ","3230417441351","Punjab","MUZAFFARGARH"),
("2621","Sajjad Khan","Hayat Noor","2120188095235","KP","KURRAM (AT PARACHINAR)"),
("2622","Sakhi","Lal Jan","1570122659553","KP","HARIPUR"),
("2623","Saleem","Aman Khan","1570470908673","KP","UPPER DIR (AT DIR)"),
("2624","Saleem Ahmed ","Feroz Ahmed","4220190929621","Sindh","Karachi"),
("2625","Saleem Akhtar","Suleman","3320360450997","Punjab","Jhang"),
("2626","Saleem Ilyas ","Muhammad Ilyas","1310181860779","Sindh","Karachi"),
("2627","Saleem Khan","Umar Muhammad","1540176176157","KP","MALAKAND P.A."),
("2628","Saleem Ullah ","Abdul Salam  Rakhshani ","5130191574263","Balochistan","KHARAN"),
("2629","Saleemullah Khan ","Mirdad Khan ","4220175641963","Sindh","Karachi"),
("2630","Saleh Hayat","Perveez","1610126401411","KP","MARDAN"),
("2631","Saleh Muhammad","Abdul Qadir","1530119451045","KP","LOWER DIR (AT TEMERGARA)"),
("2632","Salim Ullah","Abdullah","1530249246233","KP","LOWER DIR (AT TEMERGARA)"),
("2633","Salman Ahmad ","Muhammad Sharif ","3630245223725","Punjab","MULTAN"),
("2634","Samad Siddique ","Shakeel Siddqiue","NIL","Sindh","Karachi"),
("2635","Sami uddin @ Pupo ","Qaiymuddin","4230196049641","Sindh","Karachi"),
("2636","Sami Ullah","Bazir Khan","1530651095573","KP","LOWER DIR (AT TEMERGARA)"),
("2637","Sami Ullah","Muhammad Riaz Khan","1530550370633","KP","LOWER DIR (AT TEMERGARA)"),
("2638","Sami Ullah","Muhammad Ullah @ Saad Ullah","1730135059893","KP","PESHAWAR"),
("2639","Sami Ullah","Abdul Ghafoor","3610371949191","Punjab","Khanewal"),
("2640","Sami Ullah @ Sami Pashteen","Nawal Khan","2170286105081","KP","DERA ISMAIL KHAN"),
("2641","Sami-ur-Rehman","Said ur Rahman","1710109181355","KP","Charsada"),
("2642","Samiullah","Aurangzaib ","5440172482085","Balochistan","QUETTA"),
("2643","Sammar Abbas ","Haq Nawaz","3220243936385","Punjab","LAYYAH"),
("2644","Sammar Abbas Shah alias Shah G ","Mureed Kazim Shah ","3810408731191","Punjab","BHAKKAR"),
("2645","Samra Jabeen","Muhammad Mehboob","9040301403286","AJ&K","KOTLI"),
("2646","Sana ullah ","Muhammad Zareef","5440134907123","Balochistan","QUETTA"),
("2647","Sana Ullah","GHULAM RASOOL ","3220362100533","Punjab","LAYYAH"),
("2648","Sanaullah","Shahi Room","1560258860721","KP","SWAT (AT MINGORA)"),
("2649","Saqlain Abu Bakar Saddiqi ","Saddique Ahmed Saddiqi ","3320404343037","Punjab","JHANG"),
("2650","Saqlian Abbas","Muhammad Shafique ","3310444100453","Punjab","FAISALABAD"),
("2651","Sar Zamin Khan","Syed Quresh","1510150930811","KP","BUNER"),
("2652","Sardar Ahmad","Gul Ahmad","1570144795779","KP","UPPER DIR (AT DIR)"),
("2653","SARDAR AHMAD","GHULAM HAIDER","3640207542613","Punjab","PAKPATTAN"),
("2654","Sardar Ahmed @ Abu Mashab ","Ashiq Hussain Arain","NIL","Sindh",""),
("2655","Sardar Hussain","Iqbal Hussain","1560239606921","KP","SWAT (AT MINGORA)"),
("2656","Sardar Iqbal","Muhib ullah","1510103248865","KP","BUNER"),
("2657","Sardar Khan","Ishaq","1430179984529","KP","KOHAT"),
("2658","Sardar Munir Hussain Khan Dreshak ","Fazal Hussain Khan Dreshak ","3240316205891","Punjab","RAJANPUR"),
("2659","Sardar ud Din","Nizam ud Din","1530753862257","KP","LOWER DIR (AT TEMERGARA)"),
("2660","Sarfraz","Muhammad Raza","5440091541489","Balochistan","QUETTA"),
("2661","Sarfraz Khan ","Ghulam Ali Khan ","3520251029355","Punjab","RAJANPUR"),
("2662","Sarfraz Shamoon Khan","Muhammad Shamoon Khan","3520014771073","Punjab","LAHORE"),
("2663","Sarmast Khan Alias Haji","Purdil","1620125713139","KP","SWABI"),
("2664","Sarwat Ijaz Qadri President Pakistan Sunni Tehreek","","NIL","Sindh","Karachi"),
("2665","Sayed Khawar Hussain","Sayed Nazar Hussain Shah","3320281013327","Punjab","Jhang"),
("2666","Sayed Mohsin Raza Ali shah","Sayed Dubeer Hussain shah","3320218426975","Punjab","Jhang"),
("2667","Sayed Qaisar Abbas Shah","Mazhar Hussain Hussain","3320209375865","Punjab","Jhang"),
("2668","Sayed Zain ul Abdin Shah","Sayed Zulifqar Ali Shah","3320295626403","Punjab","Jhang"),
("2669","Saz Mohammad","Qalandar","1570151116369","KP","UPPER DIR (AT DIR)"),
("2670","Serajullah @ Zeshan ","Gulzaer Syed ","4240117147061","Sindh","Karachi"),
("2671","Serajullah @ zeshan ","Gulzer Syed","4240117147061","Sindh","Karachi"),
("2672","Shabbir Afzal ","Din Muhammad","3330375499571","Punjab","TOBA TEK SINGH"),
("2673","Shabbir Ahmad ","Jamal Din ","3130350519417","Punjab","RAHIM YAR KHAN"),
("2674","Shabbir Hussain ","Talib Hussain  ","3410176573231","Punjab","GUJRANWALA"),
("2675","Shabbir Hussain ","Ghulam Muhammad","4250132767623","Gilgit-Baltistan","KHARMANG"),
("2676","Shabeer Ahmad","Muhammad Shoaib","1530781144709","KP","LOWER DIR (AT TEMERGARA)"),
("2677","Shabir","Jamshid","1610105770315","KP","MARDAN"),
("2678","Shabir Husain Shah ","Manzoor Husain Shah ","3310051248683","Punjab","FAISALABAD"),
("2679","Shafaqat Ali ","Muhammad Arshad ","3310021330983","Punjab","FAISALABAD"),
("2680","Shafi Ullah","Abdul Malik","1530487641015","KP","LOWER DIR (AT TEMERGARA)"),
("2681","Shafi Ullah","Muhammad Hayat","1530233180909","KP","LOWER DIR (AT TEMERGARA)"),
("2682","Shafi Ullah alias Shafo Shah ","Pehlwan Khan ","3210372307451","Punjab","DERA GHAZI KHAN"),
("2683","Shafi ur Rehman @ Shafi","Patang","1110102960141","KP","Bannu"),
("2684","Shafiq","Mir Zafar","1510131747359","KP","BUNER"),
("2685","Shafiq Ahmad Khan ","Misri Khan ","3610496434845","Punjab","KHANEWAL"),
("2686","Shafiq Ur Rehman ","Nawab Deen ","3320172793763","Punjab","CHINIOT"),
("2687","Shafiq(Shafi Mauvia)  ","M. Latif","8230386910217","AJ&K","Jandali, District Poonch"),
("2688","Shafiq-ur-Rehman","Muhammad Sarwar","6110158395265","ICT","ISLAMABAD\n\n"),
("2689","Shafiq-ur-Rehman ","Fateh Muhammad","3460169024913","Punjab","SIALKOT"),
("2690","Shafique Ur Rehman","Muhammad Ismail","3610201519125","Punjab","Khanewal"),
("2691","Shafique-ur-Rehman ","Bahadur Sher","4240137590021","Sindh","Karachi"),
("2692","Shafqat Abbas"," Riaz Hussian","3660352286499","Punjab","Vehari"),
("2693","Shafqat Hussain","Muhammad Yar","3840103738839","Punjab","SARGODHA"),
("2694","Shafqat Ullah","Awal Khan","1120104120273","KP","LAKKI MARWAT"),
("2695","Shah Akbar Khan","Mir Jaffar","4250113704981","KP","Swabi"),
("2696","Shah Alam","Noor Alam ","4220196919445","KP","S.WAZIRISTAN (AT WANA)"),
("2697","Shah Fahad","Kishwar","1620297061453","KP","SWABI"),
("2698","Shah Faisal @ Ganderi ","Abdul Raheem","4210197790347","Sindh","Karachi"),
("2699","Shah Faisal Ghazi","Mehmood Sultan","2170566866147","KP","DERA ISMAIL KHAN"),
("2700","Shah Hakeem","Zakir Khan","1540261517423","KP","MALAKAND P.A."),
("2701","Shah Hussain","Shah Sawar","1720119715335","KP","NOWSHERA"),
("2702","Shah Jehan","Shereen","1620107286609","KP","SWABI"),
("2703","Shah Karam","Sher Zaman","1530208817829","KP","LOWER DIR (AT TEMERGARA)"),
("2704","Shah Khalid","Subhani  Gul","1530633797267","KP","LOWER DIR (AT TEMERGARA)"),
("2705","Shah Khalid","Palas","1510132437031","KP","BUNER"),
("2706","Shah Meer alias Shahzad ","Jannat Khan ","3420183126613","Punjab","GUJRAT"),
("2707","Shah Muhammad","Gul Muhammad","1111111111111","KP","MALAKAND P.A."),
("2708","Shah Muhammad caste Khiazai bugti","Abdul Rehman","3240368107749","Punjab","RAJANPUR"),
("2709","Shah Saood","Yar Gul","","KP","Dir Lower"),
("2710","Shah Saood","Fateh Gul","1530578848769","KP","LOWER DIR (AT TEMERGARA)"),
("2711","Shah Sawar","Muhammad Ali","3640235683489","Punjab","PAKPATTAN"),
("2712","Shah Wazir","Mian Gul Khan","1530553999345","KP","LOWER DIR (AT TEMERGARA)"),
("2713","Shah Zamin","Sher Alam","1570111944517","KP","UPPER DIR (AT DIR)"),
("2714","Shah Zeb","Nasrai","1530790778619","KP","LOWER DIR (AT TEMERGARA)"),
("2715","Shahab-ud-Din","Muhammad Shah","1520157373571","KP","CHITRAL"),
("2716","SHAHAB-UD-DIN","MOBEEN ALI","3630218674695","Punjab","Multan"),
("2717","Shahbaz Ahmad ","Fajru Khan ","3520195567177","Punjab","LAHORE"),
("2718","Shahbaz Ali","Rafiq Ahmed Jokhio","4530447698721","Sindh","N-Feroze"),
("2719","Shahbaz Ali ","Mushtaq Ahmed ","3120103368739","Punjab","BAHAWALPUR"),
("2720","Shahbaz Khaliq ","Abdul Khaliq ","3330337405817","Punjab","TOBA TEK SINGH"),
("2721","Shaheen Ahmed Talbani ","Shafiq Iqbal","8240124623183","AJ&K","Danna Papa Nar, Sudhnoti"),
("2722","Shaheer Hassan alias Mustaqeem","Bashir Ahmed","3220221738455","Punjab","LAYYAH"),
("2723","Shahen Shah","Tota","1560224918157","KP","SWAT (AT MINGORA)"),
("2724","Shahid","Shams ul Haq","1720170674137","KP","NOWSHERA"),
("2725","Shahid @ Karela","Abdur Raheem","1210177939617","KP","DERA ISMAIL KHAN"),
("2726","Shahid Ali Haidri @ Muhammad Ramzan ","Muhammad Suleman Butt","41201195932095","Sindh","Dadu"),
("2727","Shahid Ali Khan ","Shah Zaman","1560138978621","KP","SWAT (AT MINGORA)"),
("2728","Shahid Bibkik ","Khair Muhammad","4210135880469","Sindh","Karachi"),
("2729","Shahid Hussain ","Mayoon Shah","7150129682969","Gilgit-Baltistan","GILGIT"),
("2730","Shahid Hussain ","Mulazim Hussain ","3120485422041","Punjab","BAHAWALPUR"),
("2731","Shahid Hussain ","Nazar Hussain","3630203404239","Punjab","MULTAN"),
("2732","Shahid Imran alias Ramzan Shahdi ","Muhammad Sharif ","3330178347857","Punjab","TOBA TEK SINGH"),
("2733","Shahid Iqbal ","Allah Ditta ","3740698007765","Punjab","MUZAFFARGARH"),
("2734","Shahid Irfan","Nayamat Ali ","3520229749001","Punjab","LAHORE"),
("2735","Shahid Khan","Abdul Azeem","1530774335517","KP","LOWER DIR (AT TEMERGARA)"),
("2736","Shahid Khan @ Khalifa Muhammad ","Saib Khan","2170467394459","Sindh","Karachi"),
("2737","Shahid Khan Shirani","Ibrahim Shirani","1210179898793","KP","DERA ISMAIL KHAN"),
("2738","Shahid Mahmood","Muhammad Aslam","3310008176211","Punjab","FAISALABAD"),
("2739","Shahid Mehmood","Khalid Iqbal ","3130395390483","Punjab","RAHIM YAR KHAN"),
("2740","Shahid Munir ","Muhammad Younas ","3520116940403","Punjab","LAHORE"),
("2741","Shahid Raza ","Ziaullah","4420327785751","Sindh","SANGHAR"),
("2742","Shahid Zarin","Khan Zarin","1530501300727","KP","LOWER DIR (AT TEMERGARA)"),
("2743","Shahnoor Rehman ","Asal Jan","2170657146759","KP","S.WAZIRISTAN (AT WANA)"),
("2744","Shahzad "," Baba Jan.","7150141341369","Gilgit-Baltistan","GILGIT"),
("2745","SHAHZAD AHMAD","MUHAMMAD ASLAM","3420104235505","Punjab","Gujrat"),
("2746","SHAHZAD AKRAM","MUHAMMAD AKRAM","3420275585861","Punjab","Gujrat"),
("2747","Shahzad Shafique ","Muhammad Shafique","3520230251397","Punjab","LAHORE"),
("2748","Shahzada Ghulam Hussain","Inayat Hussain","3520201358705","Punjab","LAHORE"),
("2749","Shaikh Izhar @ Imran ","Shaikh Ansar Ahmed","4240119988075","Sindh","Karachi"),
("2750","Shaikh Muhammad Adeel","Abdul Shakoor","0000000000004","Sindh","KARACHI SOUTH"),
("2751","Shair Muhammad (Caste Rajpoot Bhatti)","Noor Hassan","3620110008829","Punjab","LODHRAN"),
("2752","Shakeel","Gul Mohammad","1610163687437","KP","UPPER DIR (AT DIR)"),
("2753","Shakeel","Faqir Hussain","1730146224531","KP","PESHAWAR"),
("2754","Shakeel","Janat Khan","6110163560317","KP","KOHAT"),
("2755","Shakeel Afridi","as","1111111111136","KP","PESHAWAR"),
("2756","Shakeel Ahmad ","Abdul Jabbar","3530136948373","Punjab","OKARA"),
("2757","Shakeel Ahmad Rashid ","Huji Muhammad Sharif","3660116095911","Punjab","VEHARI"),
("2758","Shakeel Ahmed","Muhammad Aslam","3740681977161","Punjab","RAWALPINDI"),
("2759","Shakeel Ahmed ","Abdul Hameed.","7150190255983","Gilgit-Baltistan","GILGIT"),
("2760","Shakeel Ahmed ","Shabir Ahmed Ghangro ","4530243635019","Sindh","NAUSHAHRO FEROZE"),
("2761","Shakeel Ahmed @ Hanzala ","Imam Bux","4240123841233","Sindh","Karachi"),
("2762","Shakeel Ahmed Alias Ali","Abid Hussain","3320169843199","Punjab","CHINIOT"),
("2763","Shakeel Haider","Zawar Hussain","3810235456245","Punjab","Bhakkar   "),
("2764","Shakeel Shahzad ","Muhammad Sharif","3420103444669","Punjab","GUJRAT"),
("2765","Shakir","Habib Khan","1570109558327","KP","UPPER DIR (AT DIR)"),
("2766","Shakir","Mohammad Rahim","3520227550973","KP","UPPER DIR (AT DIR)"),
("2767","Shakir Hussain","Muhammad Hussain","3220378907493","Punjab","LAYYAH"),
("2768","Shakir Hussain Naqvi","Nazar Husain Shah Naqvi","3710160565093","Punjab","Attock    "),
("2769","Shakir Hussain s","Muhammad Hussain","1620265032377","KP","SWABI"),
("2770","Shalyar","Muhammad Arif","1570142187285","KP","UPPER DIR (AT DIR)"),
("2771","Shamas Ul Haq ","Abdul Hameed ","3710557304823","Punjab","Attock    "),
("2772","Shams ul Hadi","Fazal Rabi @ Koka","1510196288183","KP","BUNER"),
("2773","Shams ul Nabi Moavia","Chashti Khan","1520214818923","KP","PESHAWAR"),
("2774","Shams ul Qamar","Ismail","1620209835511","KP","SWABI"),
("2775","Shams-ud-Din","Mohammad Usman Nothani.","5410122945281","Balochistan","Khuzdar"),
("2776","Shamshad Ahmad alias Abu Hanzala","Muhammad Sakhi","3810106165847","Punjab","BHAKKAR"),
("2777","Shamsher","Rahman Zarin","1570154586681","KP","UPPER DIR (AT DIR)"),
("2778","Shamsher","Faiz Ali","1570176838991","KP","UPPER DIR (AT DIR)"),
("2779","Shan Hussain ","Amjad Hussain ","3630234100255","Punjab","MULTAN"),
("2780","Shaukat Abbas ","Muhammad Afzal ","3320213382031","Punjab","JHANG"),
("2781","Shaukat Ali ","Kazim Ali","3320342479557","Punjab","JHANG"),
("2782","Shaukat Ali","Habib Ullah","1560218332633","KP","SWAT (AT MINGORA)"),
("2783","Shaukat Hussain","Sakhawat Hussain","3320285157663","Punjab","Jhang"),
("2784","Shedi Khan","Muhammad Shareef","3710421371565","Punjab","Attock    "),
("2785","Shehbaz Khan","Muhammad Arif","1570111684067","KP","UPPER DIR (AT DIR)"),
("2786","Shehriyar","Alamgir","1220127170239","KP","S.WAZIRISTAN (AT WANA)"),
("2787","Shehzad","Sher Dil Khan","1310163266011","KP","ABBOTTABAD"),
("2788","Shehzad Haider Danish ","Laal Khan ","3230347726953","Punjab","MUZAFFARGARH"),
("2789","Shehzad Hussain ","Miraj Din ","3310226563357","Punjab","FAISALABAD"),
("2790","Shehzada","Said Haleem","1530522234017","KP","LOWER DIR (AT TEMERGARA)"),
("2791","Sheikh Mirza Ali ","Mohsin Ali.","7150311820071","Gilgit-Baltistan","GILGIT"),
("2792","Sheikh Qaisar ","Hussain","4220140089625","Gilgit-Baltistan","GILGIT"),
("2793","Sheikh Sarwar Hussain ","Muhammad Deen","4240170662981","Sindh","Karachi"),
("2794","Sher Afzal","Qari @ Kakoray","1510146844485","KP","BUNER"),
("2795","Sher Afzal ","Rehman ","3740114570373","Punjab","MANDI BAHAUDDIN"),
("2796","Sher Afzal Khan","Abdul Majeed","1310128377385","KP","Abbottabad"),
("2797","Sher Alam","Siraj","1730141777157","KP","PESHAWAR"),
("2798","Sher Ali","Gul Zaman @ Sher Zaman","2110654122273","KP","LOWER DIR (AT TEMERGARA)"),
("2799","Sher Ali","Gul Sher","4220125018053","KP","BUNER"),
("2800","Sher Ali Khan ","Lateef Khan ","4240161566557","Sindh","Karachi"),
("2801","Sher Azim","Zarawar","1570111738409","KP","UPPER DIR (AT DIR)"),
("2802","Sher Gul","Ghani @ Essa","1510144592919","KP","BUNER"),
("2803","Sher Jan ","Khalid Jan ","7150175592917","Gilgit-Baltistan","GILGIT"),
("2804","Sher Muhammad","Muhammad Yousuf","1430177160505","KP","KOHAT"),
("2805","Sher Muhammad","Taj Muhammad","1530209454465","KP","LOWER DIR (AT TEMERGARA)"),
("2806","Sher Ullah","Khyber","1570174717787","KP","UPPER DIR (AT DIR)"),
("2807","Sher Zada","Shams ur Rahman","1570155482317","KP","UPPER DIR (AT DIR)"),
("2808","Shezan Rasheed ","M. Rasheed","8240138335533","AJ&K","Sudhnoti"),
("2809","Shiekh Bilal Sumairi "," Dayood.","4220175653929","Gilgit-Baltistan","NAGAR"),
("2810","Shifa Ullah","Allah Bakhsh","3610207831387","Punjab","BHAKKAR"),
("2811","Shoaib","Habib Ur Rehman","2110420690813","KP","BAJAUR (AT KHAR BAJAUR)"),
("2812","Shoaib ","Ibadat.","7150149549911","Gilgit-Baltistan","GILGIT"),
("2813","Shoaib ","Aqal Khan","1410203707447","KP","HANGU"),
("2814","Shoaib","Shamraiz, Caste Pathan","1310151908115","KP","ABBOTTABAD"),
("2815","Shoaib","Nazir","1730171737825","KP","LOWER DIR (AT TEMERGARA)"),
("2816","Shoaib","Gul Rehman","1560276759643","KP","SWAT (AT MINGORA)"),
("2817","Shoaib Dawood Sheikh ","Sheikh Ahmed Dawood ","3520257370559","Punjab","LAHORE"),
("2818","Shoaib Nadeem ","Abdul Ghafoor Nadeem","4210103361935","Sindh","Karachi"),
("2819","Shoukat Ali ","Syed Muhammad Shafi Shah ","3540375391147","Punjab","FAISALABAD"),
("2820","SHOUKAT HAYAT","SIRAJ GULL","1620159932941","Punjab","Okara"),
("2821","Shoukat Naz ","Murad Ali Sumalani.","5410157303397","Balochistan","CHAGAI (AT DALBANDIN)"),
("2822","Siddique Akbar @ Babu ","Muhammad Asghar Ali","4210118310725","Sindh","Karachi"),
("2823","Sifat Ullah","Umar Gul","1111111111115","KP","PESHAWAR"),
("2824","Sijjad Bajwa ","Muhammad Ismaeel","3430118002045","Punjab","HAFIZABAD"),
("2825","Sikandar Hayat (Caste Awan)","Muhammad Hayat","3840475600881","Punjab","SARGODHA"),
("2826","Sikander Raza ","Muhammad Raza","421015256349","Sindh","Karachi"),
("2827","Sikander Shah ","Mir Muhammad Shah","4130155987365","Sindh","Matiari"),
("2828","Sir Zamin","Majeed Khan","1570111861509","KP","UPPER DIR (AT DIR)"),
("2829","Siraj Ahmad","Mukhtar Ahmad","1620214324313","KP","SWABI"),
("2830","Siraj Uddin","Muhib Mohammad .","1570105812563","KP","UPPER DIR (AT DIR)"),
("2831","Siraj Ullah @ Qari Siraj","Gulzar Saeed ","NIL","Sindh","Karachi"),
("2832","Sohail","Azat Khan","1530606754415","KP","LOWER DIR (AT TEMERGARA)"),
("2833","Sohail Anjum ","Muhammad Yasin ","3440268253395","Punjab","MANDI BAHAUDDIN"),
("2834","Sohail Aslam alias Zakki ","Haq Nawaz ","3320244641633","Punjab","JHANG"),
("2835","Sohail Ijaz ","Ijaz Hussain ","3810138302127","Punjab","BHAKKAR"),
("2836","Sohail Imran ","Muhammad Shafi","3320246267483","Punjab","JHANG"),
("2837","Subhan Ullah","Abdul Hamid","1570196175309","KP","UPPER DIR (AT DIR)"),
("2838","Subhan Ullah","Yousaf Khan","","KP","Dir Lower"),
("2839","Subhan-e-Mulk","Dilawar Khan","1530572587017","KP","LOWER DIR (AT TEMERGARA)"),
("2840","Suleman","Jahanzeb","1720166178189","KP","NOWSHERA"),
("2841","Sultan @ Sultany","Mehmood","1530209228939","KP","LOWER DIR (AT TEMERGARA)"),
("2842","Sultan Ahmed Alias Bahoo","Noor Muhammad","3710503775065","Punjab","ATTOCK"),
("2843","Sultan Mehmood","Shaukat Ali","3320313831623","Punjab","Jhang"),
("2844","Sultan Mehmood Buneri @ Saifullah ","Syed Talib ","4210116892587","Sindh","Karachi"),
("2845","Sultan Mohammad","Rahman Gul","1570128335385","KP","Dir Upper"),
("2846","Sultan Rahman","Yousif","1570111654285","KP","UPPER DIR (AT DIR)"),
("2847","Sultan Wali","Ghulam Farooq","1520187900597","KP","CHITRAL"),
("2848","Sultan Zeb","Walab","1510182019287","KP","BUNER"),
("2849","Syed Abbas Ali","Syed Ibrahim Shah","5440005528697","Balochistan","QUETTA"),
("2850","Syed Abbas Hamdani Aka Abbas Mohsin","Syed Mohsin Raza","3410101290695","Punjab","GUJRANWALA"),
("2851","Syed Abbas Hussain ","Syed Bashir Hussain Shah ","3810255655789","Punjab","BHAKKAR"),
("2852","Syed Afzaal Hussain Shah ","Syed Sajjad Hussain Shah","3520228170497","Punjab","LAHORE"),
("2853","Syed Agha Imran Mohsan Naqvi","Syed Agha Zameer-ul-Hassan Naqvi ","3220225363711","Punjab","LAYYAH"),
("2854","Syed Ahmed Abbas","Syed Muhammad Askar","1430194472011","KP","KOHAT"),
("2855","Syed Ahmed Ali Shah","Syed Abid Hussain Shah (Late)","3720117584191","Punjab","CHAKWAL"),
("2856","Syed Ahmed Raza @ Hunzala ","Syed Shabbir Hussain ","NIL","Sindh","Karachi"),
("2857","Syed Ali Muhammad Naqvi ","Taswar Hussain ","4230118350235","Sindh","Karachi"),
("2858","Syed Ali Raza ","Manzoor Hussain ","3460321551227","Punjab","SIALKOT"),
("2859","Syed Ali Zain-ul-Abideen ","Syed Ajaib Ali","3820151773203","Punjab","KHUSHAB"),
("2860","Syed All Abbas Shah","Riaz Hussain","3330243338965","Punjab","TOBA TEK SINGH"),
("2861","Syed Ameer Haider Sherazi ","Syed Mureed Hussain Sherazi ","3820112111743","Punjab","KHUSHAB"),
("2862","Syed Amjad Ali Naqvi","Syed Shabbir Hussain Naqvi","3630262265457","Punjab","LODHRAN"),
("2863","Syed Anees Abbas Zaidi","Syed Zaigham Abbas Zaidi","3320110886811","Punjab","CHINIOT"),
("2864","Syed Anjum Abbas Naqvi ","Syed Ikram Ali Shah ","3520232234577","Punjab","LAHORE"),
("2865","Syed Anjum Hussain Bukhari","Intazar Hussain Shah Bukhari ","3420225647729","Punjab","GUJRAT"),
("2866","Syed Anwar Ali Shah","Syed Atta Hussain Shah","3630297579901","Punjab","Multan"),
("2867","Syed Anwar Hussain Shamsi ","Syed Nazar Hussain Shamsi ","3130254392477","Punjab","RAHIM YAR KHAN"),
("2868","Syed Asad Abbas","Syed Manzoor Hussain","3440114227999","Punjab","MANDI BAHAUDDIN"),
("2869","Syed Asad Ali","Ghulam Haider","3840118930469","Punjab","SARGODHA"),
("2870","Syed Asad Ullah ","Syed Atta Ullah ","3460379753823","Punjab","SIALKOT"),
("2871","Syed Asghar Abbas Naqvi","Karam Hussain Shah","6110135552347","ICT","ISLAMABAD\n\n"),
("2872","Syed Ashiq Hussain Bukhari ","Manzoor Hussain  Shah","3320108872477","Punjab","CHINIOT"),
("2873","Syed Atif Raza ","Syed Rehmat Ali Naqvi Bukhari ","3520227179359","Punjab","LAHORE"),
("2874","Syed Azhar Hussain Rizvi @ Major ","Syed Shabbir Hussain ","4210177692623","Sindh","Karachi"),
("2875","Syed Bakht Bedar  Hussain ","Syed Nazar Hussain Shah","3320115927903","Punjab","CHINIOT"),
("2876","Syed Baqir Hussain","Syed Bashir Hussain ","3810190871031","Punjab","BHAKKAR"),
("2877","Syed Chan Peer ","Syed Sardar Shah ","3120372292503","Punjab","BAHAWALPUR"),
("2878","Syed Ejaz Haider ","Syed Shabbir Hussain Shah ","3740649728261","Punjab","RAWALPINDI"),
("2879","Syed Faisal Ali Shah ","Ghulam Akbar Shah ","3320201949857","Punjab","JHANG"),
("2880","Syed Farooq Shah ","Mehmood Shah","4520488797481","Sindh","Khairpur"),
("2881","Syed Fazal Hussain Shah","Syed Atta Hussain Shah","3130324357097","Punjab","Rahim Yar Khan"),
("2882","Syed Ghulam Kazim Shah ","Syed Raham Ali Shah ","3120317331497","Punjab","BAHAWALPUR"),
("2883","Syed Haider Abbas Naqvi ","Syed Imtiaz Hussain Shah ","3320259902051","Punjab","JHANG"),
("2884","Syed Haider Ali Shah ","Syed Sakhawat Hussain Shah ","1350330802289","Punjab","RAWALPINDI"),
("2885","Syed Hasnain Raza ","Syed Ghulam Murtaza ","3130315478367","Punjab","RAHIM YAR KHAN"),
("2886","Syed Hassan Mahndi Zaidi ","Syed Zahoor Hussain Zaidi ","3640157935349","Punjab","PAKPATTAN"),
("2887","Syed Hassan Shah Kazmi "," Abdullah Shah","7150185529413","Gilgit-Baltistan","GILGIT"),
("2888","Syed Ibrar Ali Shah","Mushtaq Ali Shah","1730149756553","KP","PESHAWAR"),
("2889","Syed Iftikhar Hussain Shah ","Syed Khadim Hussain Shah ","3810223323935","Punjab","BHAKKAR"),
("2890","Syed Ijaz Hussain Shah ","Syed Ashiq Hussain ","3730242063889","Punjab","MANDI BAHAUDDIN"),
("2891","Syed Ikhlaq Hussain Shah ","Syed Ghulam Murtaza Shah ","3320110442523","Punjab","CHINIOT"),
("2892","Syed Imran Ali Gillani Caste Syed","Syed Sajjad Haider ","3420198520763","Punjab","GUJRAT"),
("2893","Syed Imtiaz Husssain Shah ","Syed Zamir Hussain Shah","4520331220391","Sindh","Khairpur"),
("2894","Syed Intizar Hussain Shah ","Syed Bashir Hussain Shah ","3450119625579","Punjab","NAROWAL"),
("2895","Syed Irfan Ali ","Haji Syed Dilbar Hussain ","3410361133333","Punjab","GUJRANWALA"),
("2896","Syed Ittehad Shah ","Muhammad Rafiq","4220169774089","Sindh","Karachi"),
("2897","Syed Khadim Hussain ","Syed Gulzar Hussain Shah ","3110295801613","Punjab","BAHAWALNAGAR"),
("2898","Syed lmran Hussain","Syed Munawar Hussain Shah","3840103140261","Punjab","SARGODHA"),
("2899","Syed Mazhar Abbas alis Shah G ","Sher Muhammad ","3310097789521","Punjab","FAISALABAD"),
("2900","Syed Mehmood Haider Shah Bukhari (CAste Syed Bukha","Javed Haider Shah","3460207253937","Punjab","SIALKOT"),
("2901","Syed Mohib Ullah","Syed Haji Ahmed Ullah","5440090472801","Balochistan","QUETTA"),
("2902","Syed Mudassir Abbas","Syed Abid Hussain Shah","3710116818387","Punjab","Attock    "),
("2903","Syed Muhammad ","Naik Muhammad / yar Muhammad","5440042981825","Balochistan","QUETTA"),
("2904","Syed Muhammad Arif Rizvi","Syed Muhammad Anwar ","NIL","Sindh","Karachi"),
("2905","Syed Muhammad Athar Jillani","Munawar Hussain Jillani","3240389190513","Punjab","KHANEWAL"),
("2906","Syed Muhammad Hashim ","Syed Abdul Qadeer ","3120101067329","Punjab","BAHAWALPUR"),
("2907","Syed Muhammad Hassan Zaidi ","Syed Zulfiqar Hussain Zaidi","3230183985181","Punjab","MUZAFFARGARH"),
("2908","Syed Muhammad Raza Kazmi ","Syed Ashraf Hussain ","3130310646765","Punjab","RAHIM YAR KHAN"),
("2909","Syed Muhammad Siddique Jillani","Munawar Hussain Jillani","3240377346453","Punjab","KHANEWAL"),
("2910","Syed Mujahid Ali Shah ","Syed Habdar Hussain Shah ","6110198887559","Punjab","RAWALPINDI"),
("2911","Syed Mujtaba Haider ","Syed Walayat Ali Shah ","3440179120985","Punjab","MANDI BAHAUDDIN"),
("2912","Syed Munir Hussain Shah ","Syed Mukhtar Hussain Shah ","3740631948723","Punjab","RAWALPINDI"),
("2913","Syed Musarrat Hussain.","Syed Agha Hussain","5440019018569","Balochistan","QUETTA"),
("2914","Syed Mussarat Shah","Syed Kewan Shah ","1430125130731","KP","KOHAT"),
("2915","Syed Naeem Hyder Najfi @ Bara","Syed Najaf Hussan ","4210161885766","Sindh","Karachi"),
("2916","Syed Nasir Abbas ","Taqi Abbas ","3440318355285","Punjab","MANDI BAHAUDDIN"),
("2917","Syed Naveed Akhtar ","Syed Akhtar Ali ","3810210423881","Punjab","BHAKKAR"),
("2918","Syed Nazar Abbas ","Syed Riaz Hussain","3660376863621","Punjab","VEHARI"),
("2919","Syed Niaz Rahim","Syed Sharif Hakim","1111111111111","KP","MALAKAND P.A."),
("2920","Syed Nizar Shah ","Syed Ghuldan Shah","1520248675603","KP","CHITRAL"),
("2921","Syed Qaim Raza ","Syed Muhammad Ishati","4210163460605","Sindh","Karachi"),
("2922","Syed Qamar Hussain Zaidi ","Syed Razi Shah ","3130377940757","Punjab","RAHIM YAR KHAN"),
("2923","Syed Qasim Raza ","Imam Ali Shah ","3440129115003","Punjab","MANDI BAHAUDDIN"),
("2924","Syed Qasir Ameer","Syed Ameer Hussain Shah","3120268141949","Punjab","BAHAWALPUR"),
("2925","Syed Qayim  Ali Shah Kazmi ","Syed Ibrahim Shah Kazmi","4220198699569","Gilgit-Baltistan","GILGIT"),
("2926","Syed Rashid Ali Shah ","Syed Zeeshan Ali Shah ","3340103638973","Punjab","Chiniot"),
("2927","Syed Raza Abbas Hamdani","Syed Shafqat Ali Shah Hamdani","3650274842975","Punjab","SAHIWAL"),
("2928","Syed Raza Hussain Shah","Safdar Ali Shah ","3310010252441","Punjab","FAISALABAD"),
("2929","Syed Rizwan Haider","Syed Safdar Hussain ","3440186174087","Punjab","MANDI BAHAUDDIN"),
("2930","Syed Saim Ali ","Syed Asim Ali","4220163257639","Sindh","Karachi"),
("2931","Syed Sajawal Munir","Munir Hussain Shah","3420294963761","Punjab","GUJRAT"),
("2932","Syed SAJID ALI ","Syed ZAWAR HUSSAIN Shah","3320114468689","Punjab","CHINIOT"),
("2933","Syed Sajid Ali Naqvi ","Muhammad Ali ","3460321416923","Punjab","SIALKOT"),
("2934","Syed Samar Abbas ","Syed Alamdar Hussain","3110116580213","Sindh","Karachi"),
("2935","Syed Sardar Shah ","Syed Zameer Haider Shah ","3120482138481","Punjab","BAHAWALPUR"),
("2936","SYED SHAFQAT HUSSAIN SHAH","SYED QAISAR ALI SHAH","3420195217969","Punjab","GUJRAT"),
("2937","Syed Shahid Hussain alias Shade Shah ","Inayat Ali ","3520151609455","Punjab","LAHORE"),
("2938","Syed Shakeel Ali Raza Naqvi ","Syed Sajjad Hussain Shah Naqvi ","3740698217259","Punjab","RAWALPINDI"),
("2939","Syed Shakir Hussain ","Syed Abbas Ali Shah ","3120273022183","Punjab","BAHAWALPUR"),
("2940","Syed Suleman Saqib @ Ali Junaid","Abdul Rauf","4250110488289","Sindh","KARACHI SOUTH"),
("2941","Syed Tahir Ali ","Syed Riaz Hussain ","3240480410739","Punjab","RAJANPUR"),
("2942","Syed Wasim Abbas Shah ","Syed Ahmad Ali Shah ","3120429629767","Punjab","BAHAWALPUR"),
("2943","Syed Yasir Abbas","Syed Azmat Ali  Shah","3740681015857","Punjab","RAWALPINDI"),
("2944","Syed Zafar Ali Shah ","Syed Said Ali Shah   ","3120219646999","Punjab","BAHAWALPUR"),
("2945","Syed Zahid Alisha","Khadim Hussain","1730107107977","KP","PESHAWAR"),
("2946","Syed Zaigham Abbas Kazmi","Syed Nisar Hussain Kazmi","3420174547993","Punjab","GUJRAT"),
("2947","Syed Zakir Hussain","Juma","5440020019573","Balochistan","QUETTA"),
("2948","Syed Zeeshan Abbas Shah Hamdani","Syed Ghulam Abbas Shah ","3310577112099","Punjab","FAISALABAD"),
("2949","Syed Zia Hussain Shah ","Khalid Hussain Shah","4240118747173","Sindh","Karachi"),
("2950","Tabasam Sibtain Ali ","Nazeer Hussain Shah ","1210187015741","Punjab","BHAKKAR"),
("2951","Tabassum Raza","Nayyar Hussain Zaidi","3320116104761","Punjab","CHINIOT"),
("2952","Tabbasum Abbas","Ejaz Hussain","3720178576793","ICT","ISLAMABAD\n\n"),
("2953","Taha @ Viki ","Badar Ahmed","42101878012883","Sindh","Karachi"),
("2954","Tahir","Juma Khan","1610159777359","KP","MARDAN"),
("2955","Tahir Abbas @ Bawa","Zameer Hussain Shah @ Hubdar Hussain","1330277071443","KP","HARIPUR"),
("2956","Tahir Abdullah","Nawab Din","3320355349181","Punjab","JHANG"),
("2957","Tahir Hayat Abbasi ","Hafiz Abdul Kareem Abbasi ","3120215825655","Punjab","BAHAWALPUR"),
("2958","Tahir Mehmood Haidri ","Muhammad Tufail Haidri ","3740271084931","Punjab","RAWALPINDI"),
("2959","Tahir Sardar alias Baksha","Sardar Ahmad","3840125063031","Punjab","SARGODHA"),
("2960","Taj Ali @ Taju","Sayada Khan","4240132428657","Sindh","Karachi"),
("2961","Taj Mohammad","Khan Mohammad","5210357794367","Balochistan","GWADAR"),
("2962","Taj Muhammad","Noor Muhammad","1720182258065","KP","NOWSHERA"),
("2963","Taj Muhammad alias Qari Taj Muhammad Saqib ","Fateh Muhammad","3230341159945","Punjab","MUZAFFARGARH"),
("2964","Taj Muhammad Hanfi ","Nazeer Khan ","1520206574661","Sindh","Karachi"),
("2965","Talib Hussain","Shafi Muhammad ","3110339801651","Punjab","BAHAWALNAGAR"),
("2966","Talib Hussain","Malik Mahir","3240354939993","Punjab","Rajanpur"),
("2967","Talib Hussain","Imam Din Mamoo","3320220373535","Punjab","Jhang"),
("2968","Talib Hussain ","Muhammad Nawaz ","3120369561757","Punjab","BAHAWALPUR"),
("2969","Talib Hussain ","Abdul Hakeem ","3130324206841","Punjab","RAHIM YAR KHAN"),
("2970","Talib Hussain alias Fani ","Muhammad Sadiq","3660313217187","Punjab","VEHARI"),
("2971","Talimand","Hasham","1510146414061","KP","BUNER"),
("2972","TANVEER ABBAS","GHULAM AKBAR","3220395473941","Punjab","LAYYAH"),
("2973","Tanveer Ahmad ","Abdul Shakoor ","3660388741951","Punjab","BAHAWALPUR"),
("2974","Tanveer Ahmad @ Jarrar","Basheer Ahmad","1220140166615","KP","S.WAZIRISTAN (AT WANA)"),
("2975","Tanveer Ahmed ","Bashir Ahmed ","3710198143981","Punjab","CHAKWAL"),
("2976","Tanveer Anwar ","Muhammad  Anwar","4210163501569","Sindh","Karachi"),
("2977","Tanveer Hussain ","Muhammad Hussain ","3460156037073","Punjab","SIALKOT"),
("2978","Tanvir Sajjad ","Muhammad Inayat alias Maroofia ","3420108530829","Punjab","GUJRAT"),
("2979","Taqi Ullah","Ahmad Shah ","3310277864651","Punjab","FAISALABAD"),
("2980","Taraj Ahmed","Rahmat Gul","1710103684801","KP","CHARSADDA"),
("2981","Tariq","Ashraf","1111111111122","KP","PESHAWAR"),
("2982","Tariq Abbas ","Basheer Hussain Khan ","3810113718663","Punjab","BHAKKAR"),
("2983","Tariq Abbas","Muhammad Rafiq","3220176987201","Punjab","LAYYAH"),
("2984","Tariq Aziz","Fazal Aziz","1710104024287","KP","Charsada"),
("2985","Tariq Bilal ","Muhammad Iqbal ","3210357909465","Punjab","DERA GHAZI KHAN"),
("2986","Tariq Jafari.","Sher Ahmed","5440016979471","Balochistan","QUETTA"),
("2987","Tariq Khan","Naik Rehman","1560168937581","KP","SWAT (AT MINGORA)"),
("2988","Tariq Mahmood ","Ghous Bakhsh ","3240327639833","Punjab","RAJANPUR"),
("2989","Tariq Mahmood"," Noor Muhammad ","3460111729761","Punjab","SIALKOT"),
("2990","Tariq Mahmood ","Abdul Majeed Khan ","3120327032265","Punjab","BAHAWALPUR"),
("2991","Tariq Mehmood ","Shadi khan ","3540218497577","Punjab","Nankana Sahib"),
("2992","Tariq Mehmood ","Hazoor Ahmad      ","3120545082295","Punjab","BAHAWALPUR"),
("2993","Tariq Mehmood Abbasi ","Abdul Ghafoor Abbasi ","3740418854013","Punjab","RAWALPINDI"),
("2994","Tasawar Ameen Caste Awan","Muhammad Ameen","3840393193701","Punjab","KHUSHAB"),
("2995","Tasawar Hussain ","Ghulam Shabeer ","3810106261119","Punjab","BHAKKAR"),
("2996","Tasawar Hussain ","Muhammad Riaz ","3330386659219","Punjab","TOBA TEK SINGH"),
("2997","Tayyab Hussain Shah ","Muhammad Sarwar ","3630223387701","Punjab","MULTAN"),
("2998","Taz Meen","Fazal Qadar","1530589970533","KP","LOWER DIR (AT TEMERGARA)"),
("2999","Tehseen Askari","Munir Hussain Sethi","3420290110159","Punjab","GUJRAT"),
("3000","Tila Muhammad","Babrak Khan","","KP","SWA"),
("3001","Toor Khan","s/o Abdul Majeed .","1570111877141","KP","UPPER DIR (AT DIR)"),
("3002","Toor Mohammad","Qabil","1570141141867","KP","UPPER DIR (AT DIR)"),
("3003","Toti","Sadbar","1560204170823","KP","SWAT (AT MINGORA)"),
("3004","Touqeer Abbas ","Muhammad Ramzan ","3810215745385","Punjab","BHAKKAR"),
("3005","Touqeer Abbas alias Taqi Shah ","Akhtar Abbas ","3320352473055","Punjab","JHANG"),
("3006","Touqeer Abbasi ","Syed Akbar","8230313949867","AJ&K","Jhandala, Rawalakot"),
("3007","Touseef Ishtiaq","Ishtiaq Hussain ","3720181042391","Punjab","CHAKWAL"),
("3008","Touseef Khan code name Molvi  Akhter ","Talib Hussain","3740569368513","AJ&K","Harna Mera Rawalakot"),
("3009","TS Commander Molvi Azmat Ullah @ Lala","Rabistan","2170603746263","KP","S.WAZIRISTAN (AT WANA)"),
("3010","Ubaid Ullah","Muhammad Ashraf Ali","3110491349377","Punjab","BAHAWALNAGAR"),
("3011","UBAID ULLAH ANWAR","Khalil Ahmad ","3220238480119","Punjab","LAYYAH"),
("3012","Ubaid ur Rehman Qamar ","Abdul Hakeem ","3120538922375","Punjab","BAHAWALPUR"),
("3013","Ubaid Ur Rehman Siddiqui ","Abdul Rehman Siddiqui ","3220320331645","Punjab","LAYYAH"),
("3014","Ubaid-Ur-Rehman","Ghulam Sarwar","3110416908913","Punjab","BAHAWALNAGAR"),
("3015","UBAIDULLAH","MUHAMMAD ZAHID","3640223527319","Punjab","Pakpattan"),
("3016","Ubeedullah @ Hussain @ Sajad @ Oragzai ","Abdullah Oragzai Pathan ","4410391607759","Sindh","Mirpurkhas"),
("3017","ulla","0","","KP","Dir Upper"),
("3018","Umair Sajjad","Sajjad Akhtar ","3740665328515","Punjab","RAWALPINDI"),
("3019","Umar Ali  ","Muhammad Ramzan","3320204452845","Punjab","JHANG"),
("3020","Umar Badshah","Shams ul Hamid","1530203841383","KP","LOWER DIR (AT TEMERGARA)"),
("3021","Umar Farooq","Mushtaq ahmad","3710502003135","Punjab","Attock    "),
("3022","Umar Farooq","Dost Muhammad","3740559815317","Punjab","Attock    "),
("3023","UMAR FAROOQ","MUHAMMAD SIDDIQUE","3650179875579","Punjab","SAHIWAL"),
("3024","Umar Farooq","Hafiz Habib Ellahi Mansoor","3710117650237","Punjab","Attock    "),
("3025","Umar Farooq","Moulana Abdu-ur-Rauf Nomani","3660147229181","Punjab","Vehari"),
("3026","Umar Farooq","Muhammad Maqbool","3320166698975","Punjab","CHINIOT"),
("3027","Umar Farooq","Sajid Mehmood ","3740659168477","Punjab","RAWALPINDI"),
("3028","Umar Farooq @ Umer","Allah Wasaya ","4220186421355","Sindh","Karachi"),
("3029","Umar Farooq alias Sardar Mithu","Muhammad Sabir","3840376092279","Punjab","SARGODHA"),
("3030","Umar Hayat","Mustafa","1530680328165","KP","LOWER DIR (AT TEMERGARA)"),
("3031","Umar Rehman","Fazal Rehamn","1530222357105","KP","LOWER DIR (AT TEMERGARA)"),
("3032","Umar Rehman","Ghazi Khan","1570349317955","KP","UPPER DIR (AT DIR)"),
("3033","Umar Said","Momin","1570168837797","KP","UPPER DIR (AT DIR)"),
("3034","Umar Wahid","Haji Wali","1530625392565","KP","LOWER DIR (AT TEMERGARA)"),
("3035","Umer Farooq","Muhammad Siddique","3230429340769","Punjab","Muzaffargarh"),
("3036","Umer Farooq ","Noor Hassan","3130328660949","Punjab","RAHIM YAR KHAN"),
("3037","Umer Khayam ","Sulah-ud-Din ","3520271182373","Punjab","LAHORE"),
("3038","Umer Saeed ","Syed Muhammad ","5440007615239","Balochistan","QUETTA"),
("3039","Umer Zada Alias Dildar","Bacha Gul","1560154038675","KP","SWAT (AT MINGORA)"),
("3040","Ummar Zada ","Zainullah ","1560224505681","Sindh","Karachi"),
("3041","Usama Hamid","Bashir Ahmed Hamid","3130371492117","Punjab","RAHIM YAR KHAN"),
("3042","Usma Ali Qureshi","Noor Bazz","7120235749015","Gilgit-Baltistan","DIAMIR (AT CHILAS)"),
("3043","Usman","Nazir","1730115726037","KP","PESHAWAR"),
("3044","Usman Ghani","Abdul Ghani","1530208619253","KP","LOWER DIR (AT TEMERGARA)"),
("3045","Usman Ghani","Abdul Shakoor ","3310058860369","Punjab","FAISALABAD"),
("3046","Usman Haider","Ghulam Haider","3710440263707","Punjab","ATTOCK"),
("3047","Usman Hanif ","Muhammad Hanif","3540505249301","Sindh","Karachi"),
("3048","Usman Sabir alias Tayyab Pehlwan","Muhammad Sabir ","3310266636469","Punjab","FAISALABAD"),
("3049","Venumdhave Dongara","a","1111111111116","KP","PESHAWAR"),
("3050","Waheed Ahmad alias Kashi ","Nazir Ahmad ","3330304044809","Punjab","TOBA TEK SINGH"),
("3051","Waheed Ahmed","Zahoor Ahmed","3440106413719","Punjab","MANDI BAHAUDDIN"),
("3052","Waheed Ullah Khan","Sher Gul","1111111111111","KP","MALAKAND P.A."),
("3053","Wahid ullah","Mian Gul","1530554884653","KP","LOWER DIR (AT TEMERGARA)"),
("3054","Wajahat Hussain Farooqi ","Sakhawat Hussain Caste Malik ","3240474614841","Punjab","RAJANPUR"),
("3055","Wakeel Ahmad","Muhammad Talib","3430170446681","Punjab","HAFIZABAD"),
("3056","Walayat Ullah ","Muhammad Ishaq ","3410166843847","Punjab","GUJRANWALA"),
("3057","Wali Mohammad","Mir Dost","1570179616169","KP","UPPER DIR (AT DIR)"),
("3058","Wali Muhammad","Haji Sharif","1730166139621","KP","Peshawar"),
("3059","Wali Muhammad","Haji Sharif","1730163513319","KP","PESHAWAR"),
("3060","Wali Muhammad","Muhammad Ali Chandio","4410402418245","Sindh","Umerkot"),
("3061","Wali Rahman","Badshah Khan","1570147919103","KP","UPPER DIR (AT DIR)"),
("3062","Wali Ullah","Rafi Ullah","Gx 11058463721","KP","Dir Lower"),
("3063","Wali Ullah Awan ","Ahsanullah Awan","4240135443717","Sindh","Karachi"),
("3064","Waliullah","Rafiq Ahmad","1550595767695","KP","SHANGLA (AT ALPURI)"),
("3065","Waqar Ahmed alias Qari ","Muhammad Sardar ","3640243242929","Punjab","PAKPATTAN"),
("3066","Waqas Abid ","Malik Abid Hussain Awan ","3460398708497","Punjab","SIALKOT"),
("3067","Waqas Ahmad","Muhammad Ibrahim","3410186986503","Punjab","GUJRANWALA"),
("3068","Waqas Ahmed ","M. Shafi","8230310126233","AJ&K","Chak Dhamni,District Poonch"),
("3069","Waqas Ahmed ","Dilawar Khan.","7150112539873","Gilgit-Baltistan","GILGIT"),
("3070","Waqas Haider","Waris Ali","3810399921625","Punjab","BHAKKAR"),
("3071","Waqas Hussain ","Nazar Hussain","3810107733825","Punjab","BHAKKAR"),
("3072","Waqas Shafique Ghuncha","Shafique Ahmad Ghuncha ","3220225266197","Punjab","LAYYAH"),
("3073","Wasal","Syed Muhammad","1111111111124","KP","PESHAWAR"),
("3074","Waseem Abbas ","Ghulam Ali ","3440309982317","Punjab","MANDI BAHAUDDIN"),
("3075","Waseem Abbas ","Manzoor Hussain ","3740503412049","Punjab","RAWALPINDI"),
("3076","Waseem Abbas ","Zahoor u Din ","3320385261729","Punjab","JHANG"),
("3077","Waseem Ahmed Baroodi ","Sami Ahmed ","50472189844","Sindh","Karachi"),
("3078","Waseem Hashmi ","Muhammad Sadiq ","3120204596727","Punjab","BAHAWALPUR"),
("3079","Waseem Sajjad Shah ","Sajjad Hussain Shah ","3810209058013","Punjab","BHAKKAR"),
("3080","Wasif Raza ","Mulazim Hussain ","3320279246369","Punjab","JHANG"),
("3081","Wazir Ahmad ","Sawan Khan ","3210208042123","Punjab","DERA GHAZI KHAN"),
("3082","WAZIR AHMED","ALLAH DAWAYA","3630308059541","Punjab","Multan"),
("3083","Wazir Zada","Bakhat Zada","1710184006171","KP","CHARSADDA"),
("3084","Yaeen @ Khalid Bugti ","Ghulam Nabi. ","5440004500301","Balochistan","QUETTA"),
("3085","Yahya Khan","Khudai Rahim","5310312708051","Balochistan","KACHHI (BOLAN) (AT DHADAR)"),
("3086","Yasir","Muhammad Ijaz caste Awan","1310118805783","KP","ABBOTTABAD"),
("3087","Yasir Akhlas ","Muhammad Akhlas ","4220177827007","Sindh","Karachi"),
("3088","Yasir Ali ","Saif Ullah Khan ","3810104980707","Punjab","BHAKKAR"),
("3089","Yasir Irfat","Fazal-e-Wadood","1530360895297","KP","LOWER DIR (AT TEMERGARA)"),
("3090","Yasir Rehman Jaghranvi","Abdul Rehman Jughranvi ","3520228865045","Punjab","LAHORE"),
("3091","Yawar Abbas "," Bakht Ali","7170403481273","Gilgit-Baltistan","NAGAR"),
("3092","Yousaf","Munir","1730117791609","KP","PESHAWAR"),
("3093","Yousaf Khan","Abdul Hakim","1710203777111","KP","CHARSADDA"),
("3094","Yousaf Shah","Ibrahim Shah","1510103731543","KP","SWAT (AT MINGORA)"),
("3095","Yousaf Shah","Ibrahim Shah","1510103731541","KP","BUNER"),
("3096","Zabeeh Ullah","Abdullah","","KP","Dir Lower"),
("3097","Zafar","Mohammad Arif","1570137511501","KP","UPPER DIR (AT DIR)"),
("3098","Zafar Ali Khan","Jamil Ahmad","1530209178981","KP","LOWER DIR (AT TEMERGARA)"),
("3099","Zafar Ali Shah","Zamin Shah","1530517487375","KP","LOWER DIR (AT TEMERGARA)"),
("3100","Zafar All","Ghulam Haider","3840156288469","Punjab","SARGODHA"),
("3101","Zafar Iqbal","Pir Muhammad Khan","1560232171003","KP","SWAT (AT MINGORA)"),
("3102","Zafar Iqbal ","Ahmed Iqbal","","Sindh","Hyderabad"),
("3103","Zafar Iqbal","Muhammad Ejaz","3710230263867","Punjab","ATTOCK"),
("3104","Zafar Iqbal alias Fauji ","Ahmad Ali ","3420182268963","Punjab","GUJRAT"),
("3105","Zafar Iqbal alias Zafar Farooqi ","Nazar Muhammad ","3440303019551","Punjab","MANDI BAHAUDDIN"),
("3106","Zafar Khursheed","Dil Khursheed","3710485359485","Punjab","ATTOCK"),
("3107","Zafar Mehmood","Abdul Ghani","6110186086381","ICT","ISLAMABAD\n\n"),
("3108","Zafeer Ahmad ","Muhammad Fazal-ul-Haq ","3130152770757","Punjab","RAHIM YAR KHAN"),
("3109","Zafran Khan caste Kakozai ","Haji Wazir Khan","5420311723221","Balochistan","KILLA ABDULLAH"),
("3110","Zahid Abbas ","Muhammad Afzal ","3630247231969","Punjab","MULTAN"),
("3111","Zahid Akram","Allah Bakhsh","3660209892337","Punjab","Vehari"),
("3112","Zahid Anwar Niazi","Muhammad Anwar (Late)","3630203357751","Punjab","Multan"),
("3113","Zahid Bacha","Anwar Khan","1570139257941","KP","UPPER DIR (AT DIR)"),
("3114","Zahid Gul","Mera Khan","1720121248483","KP","NOWSHERA"),
("3115","Zahid Gul @ Hamza ","Ghulam Fareed ","","Sindh","Karachi"),
("3116","Zahid Hussain ","Ashiq Hussain ","4230196085917","Sindh","Karachi"),
("3117","Zahid iqbal","Zafar iqbal","3320403917323","Punjab","Jhang"),
("3118","Zahid Khan","Master Abdul Aziz","1330204930211","KP","ABBOTTABAD"),
("3119","Zahid Mehmood","Feroz din","3460290675373","Punjab","Sialkot"),
("3120","Zahid Mushtaq ","Muhammad Mushtaq ","3410182806289","Punjab","GUJRANWALA"),
("3121","Zahid Shah","Javed","1210197974691","KP","DERA ISMAIL KHAN"),
("3122","Zahid Ullah","Abdul Wahab","","KP","Dir Lower"),
("3123","Zahoor Abbass","Muhammad Yousaf.","7150127558615","Gilgit-Baltistan","GILGIT"),
("3124","Zahoor Ahmad","Rehmat Ali","3640215737891","Punjab","PAKPATTAN"),
("3125","Zahoor Ahmad Gorsi ","Ubaid Ul Haq ","3520099233617","Punjab","LAHORE"),
("3126","Zahoor Ahmed","Mehr Mapal","3320403875181","Punjab","Jhang"),
("3127","Zahoor Hashmi ","Mohiuddin Pathan","4240101084685","Sindh","Karachi"),
("3128","Zahoor Khan","Malook Taj","1720108772038","KP","NOWSHERA"),
("3129","Zahoor-ul-Ameen Hashmi","Muhammad Amin Hashmi","3420216712671","Punjab","GUJRAT"),
("3130","Zaid Mustafa","Ghulam Rabbani","3840396112325","Punjab","SARGODHA"),
("3131","Zaigham Naeem","Muhammad Naeem","3240253074761","Punjab","RAJANPUR"),
("3132","Zain Shahid ","Shahid Kamal ","4210189312781","Sindh","Karachi"),
("3133","Zain-ul-Abdin ","Abdul Muneen.","7150123839137","Gilgit-Baltistan","GILGIT"),
("3134","Zain-ul-Abideen","Mirza Zafar Iqbal","3320404474885","Punjab","JHANG"),
("3135","Zaki Raza ","Raja Muhammad Saddique","3740107057871","Punjab","RAWALPINDI"),
("3136","Zakir Ullah","Ihsan Ullah","1530773159715","KP","LOWER DIR (AT TEMERGARA)"),
("3137","Zakir Ullah","Nowsher Rawan","1540232969029","KP","UPPER DIR (AT DIR)"),
("3138","Zakria Kalim Ullah","Molana Atta Ullah ","3710409673177","Punjab","ATTOCK"),
("3139","Zameer / Zahir Ahmad / Kabeer Ahmad","Sagheer/ Zafeer Ahmad","1310161837275","KP","ABBOTTABAD"),
("3140","Zamin Khan","Afridi","1510103657877","KP","BUNER"),
("3141","Zar Mehmood","Sarfaraz","1530630429395","KP","LOWER DIR (AT TEMERGARA)"),
("3142","Zar Muhammad","Yar Muhammad","1730104724633","KP","PESHAWAR"),
("3143","Zarawar","Khalid Khan","1570108051207","KP","UPPER DIR (AT DIR)"),
("3144","Zardad Khan @ Fateh Gul ","Sher Adat Khan","4130325893919","Sindh","Hyderabad"),
("3145","Zareen Abbas","Kazam Ali","3320393709645","Punjab","JHANG"),
("3146","Zarizadgei @ Perveen ","Mewa Khan","1111111111119","KP","PESHAWAR"),
("3147","Zarmeen Said","Amanat Khan","1620216144887","KP","SWABI"),
("3148","Zawar Hussain Jaffari ","Riaz Hussain ","3320382607307","Punjab","JHANG"),
("3149","Zayed Ahmed Zubair","Zubair Ahmed","4220148251407","Punjab","Rahim Yar Khan"),
("3150","Zeeshan Haider","Matloob Hussain Jafri ","3720198784075","Punjab","CHAKWAL"),
("3151","Zeeshan Haider alias Shani ","Khawaja Zahid ","3440278053295","Punjab","MANDI BAHAUDDIN"),
("3152","Zeeshan Mauvia","Hafiz Mehboob","1330281054861","KP","HARIPUR"),
("3153","Zewar Ahmad","Shahir Habib","1610162397115","KP","MARDAN"),
("3154","Zia Hussain","Fida Hussain ","3820126019459","Punjab","KHUSHAB"),
("3155","Zia Mairaj","Mairaj Ud Din Ahmad ","3520229219367","Punjab","LAHORE"),
("3156","Zia Ud Din","Mian Said Laiq","","KP","Swat"),
("3157","Zia Ullah Shah","Sultan Ghani","1610175854667","KP","MARDAN"),
("3158","Zia ur Raheem ","Shams ul Zareen ","1320151902609","KP","BATAGRAM (AT BANA)"),
("3159","Zia ur Rehman","Noor Muhammad","3710403562369","Punjab","Attock    "),
("3160","Zil E Hussnain Zaidi ","Muhammad Ashraf Shah ","3330221947753","Punjab","TOBA TEK SINGH"),
("3161","Zohaib","Muhammad Kareem","5220329733335","Balochistan","KECH (AT TURBAT)"),
("3162","Zohaib Fiaz","Muhammad Fiaz","3840191009013","Punjab","SARGODHA"),
("3163","Zohaib Hassan Khan @ Pashteen","Muhammad Qaddafi","1220148083689","KP","S.WAZIRISTAN (AT WANA)"),
("3164","Zor Zamin Khan","Ferdos Khan","1530209694525","KP","LOWER DIR (AT TEMERGARA)"),
("3165","Zubair Ahmad ","Zahoor Ahmad ","3340105584919","Punjab","CHINIOT"),
("3166","Zubair Shaheen","Abdul Sattar","1210109109629","KP","DERA ISMAIL KHAN"),
("3167","Zulfiqar Ahmad ","Ghulam Rasool ","3410423343787","Punjab","GUJRANWALA"),
("3168","Zulfiqar Ali ","Talib Hussain ","3310088810677","Punjab","FAISALABAD"),
("3169","Zulfiqar Ali ","Mansab Ali ","3310456127699","Punjab","FAISALABAD"),
("3170","Zulfiqar Ali ","Ghulam Akbar ","3810106697029","Punjab","BHAKKAR"),
("3171","Zulfiqar Au Muavia alias Muavia","Taj Muhammad","3840594928377","Punjab","SARGODHA"),
("3172","Zulfiqar Sasoli ","Mir Hassan Khan.","5140193123225","Balochistan","KHUZDAR");



DROP TABLE IF EXISTS email_logs;

CREATE TABLE `email_logs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `smpt_setting_id` bigint(20) NOT NULL,
  `receiver_email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL COMMENT '0 > not 1 > delivered',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mailable_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_view` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `project_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS email_sms;

CREATE TABLE `email_sms` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `email_sms_type_id` bigint(20) NOT NULL,
  `content_type` tinyint(4) NOT NULL COMMENT '0 => email 1 => sms',
  `content` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) NOT NULL COMMENT '0 => off 1 => on',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS email_sms_types;

CREATE TABLE `email_sms_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO email_sms_types VALUES("1","Property Approved","2023-03-06 10:51:53","2023-03-06 10:51:53"),
("2","Over Due Amount","2023-03-06 11:05:24","2023-03-06 11:05:24"),
("3","Paid Installement","2023-03-06 11:06:02","2023-03-06 11:06:02"),
("4","Add Token Receipt","2023-03-15 11:13:04","2023-03-15 11:13:04"),
("5","Approve Token Receipt","2023-03-15 11:13:25","2023-03-15 11:13:25"),
("6","Customer BirthDay Wish","","");



DROP TABLE IF EXISTS employee_documents;

CREATE TABLE `employee_documents` (
  `employee_id` int(11) NOT NULL,
  `url` text NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS employee_policies;

CREATE TABLE `employee_policies` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(10) unsigned NOT NULL,
  `policy_id` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_policies_employee_id_foreign` (`employee_id`),
  KEY `employee_policies_policy_id_foreign` (`policy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS employees;

CREATE TABLE `employees` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `basic_salary` double NOT NULL DEFAULT 0,
  `employee_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `manager_id` int(10) unsigned DEFAULT NULL,
  `department_id` int(10) unsigned DEFAULT NULL,
  `designation_id` int(10) unsigned DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `employee_type` int(11) NOT NULL DEFAULT 1,
  `working_hours` int(11) NOT NULL,
  `working_days` int(11) NOT NULL DEFAULT 5,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gender` tinyint(1) NOT NULL DEFAULT 1,
  `dob` date DEFAULT NULL,
  `emer_person` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `emer_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `emer_phone_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `emer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `reference` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employees_manager_id_foreign` (`manager_id`),
  KEY `employees_department_id_foreign` (`department_id`),
  KEY `employees_designation_id_foreign` (`designation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS expense_categories;

CREATE TABLE `expense_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS expense_payments;

CREATE TABLE `expense_payments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bill_id` int(11) NOT NULL,
  `amount` double NOT NULL,
  `account_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `notes` text DEFAULT NULL,
  `reference` text DEFAULT NULL,
  `payment_method` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `approval_status` tinyint(1) DEFAULT NULL,
  `file` text DEFAULT NULL,
  `is_reconciled` tinyint(1) DEFAULT 1,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS expenses;

CREATE TABLE `expenses` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `bill_number` int(11) DEFAULT NULL,
  `billed_at` date DEFAULT NULL,
  `due_at` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `image_url` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `expense_type` int(11) DEFAULT NULL,
  `is_book` tinyint(1) DEFAULT 0,
  `entry_no` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS fixed_asset_accounts;

CREATE TABLE `fixed_asset_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_type_id` int(11) NOT NULL,
  `ftp` double NOT NULL DEFAULT 0 COMMENT 'For The Period',
  `wdv` double NOT NULL DEFAULT 0 COMMENT 'Writen Down Value',
  `maint` double NOT NULL COMMENT 'Maintainance',
  `type` enum('depreciation','sold') NOT NULL,
  `is_book` int(1) NOT NULL DEFAULT 0,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS fixed_asset_for_sales;

CREATE TABLE `fixed_asset_for_sales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `maintainance_cost` double NOT NULL DEFAULT 0,
  `writen_down_value` double NOT NULL DEFAULT 0,
  `asset_id` int(11) NOT NULL,
  `sold_date` date NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS fixed_asset_types;

CREATE TABLE `fixed_asset_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `depreciation_policy` enum('straight_line_method','reducing_balance_method') NOT NULL,
  `depreciation_rate` int(10) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS fixed_assets;

CREATE TABLE `fixed_assets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `asset_tag` varchar(50) DEFAULT NULL,
  `item_id` int(10) DEFAULT NULL,
  `warranty` int(10) DEFAULT NULL,
  `asset_location` int(11) DEFAULT NULL,
  `status` enum('in_use','in_storage') NOT NULL DEFAULT 'in_storage',
  `serial` varchar(100) DEFAULT NULL,
  `cost` double DEFAULT NULL,
  `purchase_date` date DEFAULT NULL,
  `description` text DEFAULT NULL,
  `asset_type` varchar(50) DEFAULT NULL,
  `physical_status` enum('in_use','sold') NOT NULL DEFAULT 'in_use',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS general_journal_entries;

CREATE TABLE `general_journal_entries` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `entry_no` int(11) NOT NULL,
  `adjusting_entry` tinyint(1) DEFAULT NULL,
  `account_id` int(10) unsigned NOT NULL,
  `amount` double NOT NULL,
  `memo` text DEFAULT NULL,
  `name` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `name_type` int(11) DEFAULT NULL,
  `type` varchar(100) DEFAULT NULL,
  `is_approved` tinyint(1) DEFAULT 1,
  `voucher_type` int(11) DEFAULT NULL,
  `transaction_type` int(100) DEFAULT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `is_check` tinyint(1) NOT NULL DEFAULT 0,
  `is_post` tinyint(1) NOT NULL DEFAULT 0,
  `check_by` tinyint(1) NOT NULL DEFAULT 0,
  `post_by` tinyint(1) NOT NULL DEFAULT 0,
  `prepare_by` int(11) DEFAULT NULL,
  `voucher_no` text DEFAULT NULL,
  `is_cleared` tinyint(1) NOT NULL DEFAULT 1,
  `bank_name` text DEFAULT NULL,
  `cheaque_no` text DEFAULT NULL,
  `dealer_package_voucher` tinyint(4) NOT NULL DEFAULT 0,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `customer_refund_unit` bigint(20) NOT NULL DEFAULT 0,
  `dealer_refund_openfile` bigint(20) NOT NULL DEFAULT 0,
  `cancel_close_unit` bigint(20) NOT NULL DEFAULT 0,
  `cancel_open_unit` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4;

INSERT INTO general_journal_entries VALUES("17","2023-07-25","1","1","450","20000","","0","2023-07-25 18:33:16","2023-07-25 18:35:38","","","1","1","","","1","1","22","22","22","01-072023","1","ABL","987","0","25","0","0","0","0"),
("18","2023-07-25","1","1","452","1505","","0","2023-07-25 18:33:16","2023-07-25 18:35:38","","","1","1","","","1","1","22","22","22","01-072023","1","ABL","987","0","25","0","0","0","0"),
("19","2023-07-25","1","1","332","-21505","","0","2023-07-25 18:33:16","2023-07-25 18:35:38","","","1","1","","","1","1","22","22","22","01-072023","1","ABL","987","0","25","0","0","0","0"),
("20","2023-07-31","2","","471","8250","","","2023-07-31 16:17:37","2023-07-31 16:39:33","","","1","5","","","1","1","22","22","22","01-072023","1","","","0","25","0","0","0","0"),
("21","2023-07-31","2","","472","-8250","","","2023-07-31 16:17:37","2023-07-31 16:39:33","","","1","5","","","1","1","22","22","22","01-072023","1","","","0","25","0","0","0","0"),
("22","2021-05-18","3","","471","742140","Cheque Paid Against Inv# 6212 & 6260","","2023-08-07 13:07:36","2023-08-07 13:07:36","","","1","5","","","0","0","0","0","22","01-052021","1","","","0","25","0","0","0","0"),
("23","2021-05-18","3","","472","-742140","Cheque Paid Against Inv# 6212 & 6260","","2023-08-07 13:07:36","2023-08-07 13:07:36","","","1","5","","","0","0","0","0","22","01-052021","1","","","0","25","0","0","0","0"),
("24","2021-06-16","4","","471","3000000","Cheque Paid against Invoices 70% Payment","","2023-08-07 13:07:36","2023-08-07 13:07:36","","","1","5","","","0","0","0","0","22","01-062021","1","","","0","25","0","0","0","0"),
("25","2021-06-16","4","","472","-3000000","Cheque Paid against Invoices 70% Payment","","2023-08-07 13:07:36","2023-08-07 13:07:36","","","1","5","","","0","0","0","0","22","01-062021","1","","","0","25","0","0","0","0");



DROP TABLE IF EXISTS hrm_attendances;

CREATE TABLE `hrm_attendances` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `present_absent` int(10) NOT NULL COMMENT '1-present\r\n2-leave\r\n0-absent',
  `date` date NOT NULL,
  `user_id` int(11) NOT NULL,
  `checkin` time DEFAULT NULL,
  `checkout` time DEFAULT NULL,
  `status` int(11) NOT NULL,
  `leave_type` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_bank_account_details;

CREATE TABLE `hrm_bank_account_details` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `account_holder_name` varchar(156) DEFAULT NULL,
  `bank_name` text DEFAULT NULL,
  `branch_location` varchar(156) DEFAULT NULL,
  `account_no` varchar(36) DEFAULT NULL,
  `bank_code` varchar(35) DEFAULT NULL,
  `employ_id` bigint(20) unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employ_id` (`employ_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_company_detail;

CREATE TABLE `hrm_company_detail` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employee_code` varchar(60) DEFAULT NULL,
  `department` int(156) DEFAULT NULL,
  `country` varchar(156) DEFAULT NULL,
  `city` varchar(25) DEFAULT NULL,
  `employ_id` int(11) DEFAULT NULL,
  `date_of_joining` date DEFAULT NULL,
  `monthly_salary` double(8,2) DEFAULT NULL,
  `salary_method` enum('cheque','bank','cash','') NOT NULL,
  `designation` int(35) DEFAULT NULL,
  `contract_type` enum('full_time','contract') DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_adjustment_loan;

CREATE TABLE `hrm_employee_adjustment_loan` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `employ_id` int(11) DEFAULT NULL,
  `loan_id` int(11) DEFAULT NULL,
  `type` varchar(11) DEFAULT NULL,
  `adjustment_amount` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_approved` int(10) NOT NULL DEFAULT 0 COMMENT '0=>not approved,1=>approved',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_allownces;

CREATE TABLE `hrm_employee_allownces` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS hrm_employee_attendance_scheduales;

CREATE TABLE `hrm_employee_attendance_scheduales` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `medical_leave` int(10) DEFAULT NULL,
  `anual_leave` int(11) DEFAULT NULL,
  `other_leave` int(11) DEFAULT NULL,
  `special_leave` int(11) DEFAULT NULL,
  `weekend` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_commissions;

CREATE TABLE `hrm_employee_commissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `commission_month` int(10) NOT NULL,
  `commission_title` varchar(191) NOT NULL,
  `commission_amount` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_deductions;

CREATE TABLE `hrm_employee_deductions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `deduction_title` varchar(191) NOT NULL,
  `deduction_amount` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_designations;

CREATE TABLE `hrm_employee_designations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(156) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_expences;

CREATE TABLE `hrm_employee_expences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `allownace_title` varchar(191) NOT NULL,
  `allownace_amount` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_loan_advance_documents;

CREATE TABLE `hrm_employee_loan_advance_documents` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(11) NOT NULL,
  `document_url` varchar(156) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employee_salaries;

CREATE TABLE `hrm_employee_salaries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `employ_id` int(11) NOT NULL,
  `month` int(11) DEFAULT NULL,
  `year` int(10) DEFAULT NULL,
  `total_deduction` double(8,2) DEFAULT NULL,
  `total_earning` double(8,2) DEFAULT NULL,
  `net_salary` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees;

CREATE TABLE `hrm_employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) NOT NULL,
  `email` varchar(191) NOT NULL,
  `password` varchar(191) DEFAULT NULL,
  `cnic` varchar(30) NOT NULL,
  `gender` enum('Male','Female') NOT NULL,
  `dob` date NOT NULL,
  `phone_no` varchar(25) NOT NULL,
  `residential_address` varchar(156) NOT NULL,
  `pemanent_address` varchar(191) NOT NULL,
  `status` int(11) NOT NULL DEFAULT 1 COMMENT '1=>for active employee\r\n0=>for in active\r\n2=>for terminate',
  `user_id` int(10) NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees_benevolent_fund_settings;

CREATE TABLE `hrm_employees_benevolent_fund_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bf_fund` double(8,0) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees_benevolent_funds;

CREATE TABLE `hrm_employees_benevolent_funds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `employ_id` int(11) NOT NULL,
  `month` int(11) DEFAULT NULL,
  `year` int(11) DEFAULT NULL,
  `bf_fund` double(8,2) DEFAULT NULL,
  `bf_fund_company_con` double(8,2) DEFAULT NULL,
  `status` int(11) DEFAULT 1 COMMENT '1 => not received bf\r\n , 0 => received bf',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `is_approved` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees_deductions;

CREATE TABLE `hrm_employees_deductions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS hrm_employees_documents;

CREATE TABLE `hrm_employees_documents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `employ_id` bigint(20) unsigned NOT NULL,
  `certificate` varchar(156) DEFAULT NULL,
  `resume` varchar(156) DEFAULT NULL,
  `photo` varchar(156) DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees_loans;

CREATE TABLE `hrm_employees_loans` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(11) NOT NULL,
  `type` varchar(156) DEFAULT NULL,
  `loan_amount` double(8,2) DEFAULT NULL,
  `remaning` double(8,2) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_sent` int(11) NOT NULL DEFAULT 1 COMMENT '1-sent to accounts 2-voucher created',
  `is_book` int(11) NOT NULL DEFAULT 0,
  `payment_method` varchar(156) DEFAULT NULL,
  `receipt_no` varchar(156) DEFAULT NULL,
  `notes` varchar(156) DEFAULT NULL,
  `instrument_no` int(11) DEFAULT NULL,
  `is_approved` int(10) NOT NULL DEFAULT 0 COMMENT 'is_approved=>1,loan/advanve is approved\r\n''is_approved''=>1, not approved\r\n',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_employees_overtimes;

CREATE TABLE `hrm_employees_overtimes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `month` int(10) NOT NULL,
  `title` varchar(191) NOT NULL,
  `hourse` int(11) NOT NULL,
  `rate` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_monthly_earning_deductions;

CREATE TABLE `hrm_monthly_earning_deductions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employ_id` int(10) NOT NULL,
  `year` int(11) DEFAULT NULL,
  `month` int(11) DEFAULT NULL,
  `basic_salary` double(8,2) DEFAULT NULL,
  `title` varchar(156) DEFAULT NULL,
  `tax` double(8,2) DEFAULT NULL,
  `amount` double(8,2) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_sent` int(1) NOT NULL DEFAULT 1 COMMENT '1-sent to accounts\r\n2-voucher created',
  `is_book` int(1) NOT NULL DEFAULT 0,
  `is_approved` int(10) DEFAULT 0 COMMENT '0 => not approved\r\n1=>approved\r\n',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_settings;

CREATE TABLE `hrm_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `checkin` time NOT NULL,
  `checkout` time NOT NULL,
  `late_fine` double(8,2) DEFAULT NULL,
  `weekend_day` varchar(156) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS hrm_taxcitions;

CREATE TABLE `hrm_taxcitions` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `minimum` double DEFAULT NULL,
  `no` int(10) NOT NULL,
  `maximum` double DEFAULT NULL,
  `deduct_amount` double DEFAULT NULL,
  `deduct_percentage` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS installment_plan_attributes;

CREATE TABLE `installment_plan_attributes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `installment_plan_id` int(10) unsigned NOT NULL,
  `payment_head_id` int(10) unsigned NOT NULL,
  `value` double(8,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `installment_plan_attributes_installment_plan_id_foreign` (`installment_plan_id`),
  KEY `installment_plan_attributes_payment_head_id_foreign` (`payment_head_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS installment_plans;

CREATE TABLE `installment_plans` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `plot_type` int(10) unsigned NOT NULL,
  `plot_size` int(10) unsigned NOT NULL,
  `cost_amount` double NOT NULL,
  `down_payment` double NOT NULL,
  `confirmation_fee` double NOT NULL,
  `plot_belting_fee` double DEFAULT NULL,
  `possession_fee` double NOT NULL,
  `installment` double NOT NULL,
  `total_months` int(11) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `six_installment` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `installment_plans_plot_type_foreign` (`plot_type`),
  KEY `installment_plans_plot_size_foreign` (`plot_size`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS inventories;

CREATE TABLE `inventories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `unit_category_id` int(10) unsigned DEFAULT NULL,
  `unit_size_id` int(11) DEFAULT NULL,
  `unit_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `total_price` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extra_amount_description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extra_amount` double DEFAULT NULL,
  `unit_type_id` int(10) unsigned NOT NULL,
  `unit_floor_id` int(10) unsigned DEFAULT NULL,
  `name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnic` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `dealer_id` int(11) DEFAULT NULL,
  `area` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token_amount` int(11) DEFAULT NULL,
  `inventory_type` tinyint(1) NOT NULL DEFAULT 0,
  `pricelist_id` bigint(20) DEFAULT NULL,
  `total_size` double DEFAULT NULL,
  `old_unit_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `inventories_unit_category_id_foreign` (`unit_category_id`),
  KEY `inventories_unit_size_id_foreign` (`unit_size_id`),
  KEY `inventories_unit_floor_id_foreign` (`unit_floor_id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO inventories VALUES("1","","1","4178","500000","2023-07-10 21:25:08","2023-07-14 16:08:07","2","","","0","2","1","","","","","0","","","","0","1","","","25"),
("2","","2","5363","800000","2023-07-10 21:25:22","2023-07-18 19:56:38","2","","","0","2","1","","","","","0","","","","0","1","","","25"),
("3","","5","5847","12000000","2023-07-10 21:25:41","2023-07-11 17:12:07","2","","","0","2","1","","","","","0","","","","0","1","","","25"),
("4","1","1","3","510000","2023-07-10 21:29:15","2023-07-10 22:15:28","2","","","0","2","3","","","","","0","","","","0","1","","","25"),
("5","","2","120","800000","2023-07-10 21:29:24","2023-07-10 22:32:17","2","","","0","2","3","","","","","0","","","","0","1","","","25"),
("6","","4","121","4000000","2023-07-10 21:29:36","2023-08-06 11:41:17","2","","","0","2","3","","","","","0","","","","0","1","","","25"),
("7","","5","122","12000000","2023-07-10 21:29:46","2023-07-14 15:49:10","2","","","0","2","3","","","","","0","","","","0","1","","","25"),
("8","","1","3","500000","2023-07-13 18:59:55","2023-07-17 16:20:25","2","Dealer Package Open File ","","0","2","11","","","","","0","","","","0","1","","697548","25"),
("9","","1","4","500000","2023-07-13 18:59:55","2023-07-17 14:30:12","2","Dealer Package Open File ","","0","2","12","","","","","0","","","","0","1","","240984","25"),
("10","","1","41","515000","2023-07-13 18:59:55","2023-08-06 13:09:12","2","Dealer Package Open File ","","15000","2","19","","","","","0","","","","0","1","","522634","25"),
("11","","1","403933","500000","2023-07-13 18:59:55","2023-07-13 18:59:55","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("12","","1","755088","500000","2023-07-13 18:59:55","2023-07-13 18:59:55","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("13","","1","285071","500000","2023-07-13 18:59:55","2023-07-13 18:59:55","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("14","","1","572030","500000","2023-07-13 18:59:56","2023-07-13 18:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("15","","1","183943","500000","2023-07-13 18:59:56","2023-07-13 18:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("16","","1","652679","500000","2023-07-13 18:59:56","2023-07-13 18:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("17","","1","663483","500000","2023-07-13 18:59:56","2023-07-13 18:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("18","","1","158010","500000","2023-07-13 18:59:56","2023-07-13 18:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("19","","1","514531","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("20","","1","265307","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("21","","1","444444","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("22","","1","510506","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("23","","1","792078","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("24","","1","423047","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("25","","1","389561","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("26","","1","919367","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("27","","1","185423","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("28","","1","858780","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("29","","1","855134","500000","2023-07-13 19:05:15","2023-07-13 19:05:15","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("30","","1","1","500000","2023-07-17 13:59:56","2023-07-17 14:30:12","2","Dealer Package Open File ","","0","2","9","","","","","0","","","","0","1","","374183","25"),
("31","","1","42","510000","2023-07-17 13:59:56","2023-08-06 13:07:48","2","Dealer Package Open File ","","10000","2","20","","","","","0","","","","0","1","","664267","25"),
("32","","1","218342","500000","2023-07-17 13:59:56","2023-08-06 12:48:47","2","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("33","","1","732925","500000","2023-07-17 13:59:56","2023-07-17 13:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("34","","1","47","535000","2023-07-17 13:59:56","2023-08-07 13:50:49","2","Dealer Package Open File ","","35000","2","25","","","","","0","","","","0","1","","200072","25"),
("35","","1","523942","500000","2023-07-17 13:59:56","2023-08-07 13:20:18","2","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("36","","1","930354","500000","2023-07-17 13:59:56","2023-07-17 13:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("37","","1","562522","500000","2023-07-17 13:59:56","2023-07-17 13:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("38","","1","615120","500000","2023-07-17 13:59:56","2023-07-17 13:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("39","","1","719808","500000","2023-07-17 13:59:56","2023-07-17 13:59:56","8","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("40","","1","853276","500000","2023-07-17 13:59:56","2023-08-06 12:49:04","2","Dealer Package Open File ","","0","2","","","","","","0","","","","1","1","","","25"),
("41","","2","1","810000","2023-08-06 03:50:33","2023-08-06 12:04:06","2","","","10000","2","14","","","","","0","","","","0","1","","5859","25"),
("42","","2","2","800000","2023-08-06 03:50:45","2023-08-06 11:42:24","2","","","0","2","","","","","","0","","","","1","1","","","25"),
("43","","2","34","800000","2023-08-06 03:50:58","2023-08-06 12:35:56","2","","","0","2","18","","","","","0","","","","0","1","","6","25"),
("44","","2","30","864000","2023-08-06 03:50:59","2023-08-06 11:58:04","2","","","64000","2","13","","","","","0","","","","0","1","","7","25"),
("45","","2","8","800000","2023-08-06 03:51:01","2023-08-06 12:37:43","2","","","0","2","","","","","","0","","","","1","1","","8","25"),
("46","","2","31","824000","2023-08-06 03:51:16","2023-08-06 12:43:13","2","","","24000","2","15","","","","","0","","","","0","1","","9","25"),
("47","","2","10","800000","2023-08-06 03:51:22","2023-08-06 11:40:51","2","","","0","2","","","","","","0","","","","1","1","","","25"),
("48","","2","43","2400000","2023-08-06 12:52:06","2023-08-06 13:07:48","2","","","0","1","21","","","","","0","","","","0","2","","3528","25"),
("49","","2","44","2400000","2023-08-06 12:52:13","2023-08-06 13:07:48","2","","","0","1","22","","","","","0","","","","0","2","","3529","25"),
("50","","4","46","4000000","2023-08-06 12:52:57","2023-08-06 13:07:48","2","","","0","2","24","","","","","0","","","","0","1","","6017","25"),
("51","","5","6018","12000000","2023-08-06 12:53:03","2023-08-06 12:55:39","2","","","0","2","","","","","","0","","","","1","1","","","25"),
("52","","1","123","500000","2023-08-10 17:00:31","2023-08-10 17:00:31","1","","","0","2","","","","","","0","","","","1","1","","","25");



DROP TABLE IF EXISTS inventory_categories;

CREATE TABLE `inventory_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `inventory_id` int(10) unsigned NOT NULL,
  `unit_category_id` int(10) unsigned NOT NULL,
  `amount` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `inventory_categories_inventory_id_foreign` (`inventory_id`),
  KEY `inventory_categories_plot_category_id_foreign` (`unit_category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO inventory_categories VALUES("1","30","4","","2023-07-17 14:30:12","2023-07-17 14:30:12"),
("4","9","1","","2023-07-17 14:30:12","2023-07-17 14:30:12"),
("5","8","2","","2023-07-17 16:20:25","2023-07-17 16:20:25"),
("6","44","1","","2023-08-06 11:51:46","2023-08-06 11:51:46"),
("7","44","5","","2023-08-06 11:51:46","2023-08-06 11:51:46"),
("8","41","4","","2023-08-06 12:02:59","2023-08-06 12:02:59"),
("9","46","4","","2023-08-06 12:35:56","2023-08-06 12:35:56"),
("12","43","1","","2023-08-06 12:35:56","2023-08-06 12:35:56"),
("13","10","4","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("14","31","5","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("15","34","3","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("16","48","2","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("17","49","1","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("18","50","1","","2023-08-06 13:07:48","2023-08-06 13:07:48"),
("19","50","5","","2023-08-06 13:07:48","2023-08-06 13:07:48");



DROP TABLE IF EXISTS inventory_old_names;

CREATE TABLE `inventory_old_names` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `inventory_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS item_manufactures;

CREATE TABLE `item_manufactures` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS item_purchase_order;

CREATE TABLE `item_purchase_order` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int(11) NOT NULL DEFAULT 0,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `total_quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `demand_quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `price` double(8,2) NOT NULL DEFAULT 0.00,
  `received_quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `remaining_quantity` float NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS item_purchase_request;

CREATE TABLE `item_purchase_request` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `remaining_quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `receive_quantity` double(8,2) NOT NULL DEFAULT 0.00,
  `price` double(8,2) NOT NULL DEFAULT 0.00,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS item_purchase_request_vendor;

CREATE TABLE `item_purchase_request_vendor` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_request_vendor_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS item_releasing_data;

CREATE TABLE `item_releasing_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_releasing_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `item_quantity` int(11) NOT NULL,
  `return_quantity` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS item_releasings;

CREATE TABLE `item_releasings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL DEFAULT 0,
  `department_id` int(11) NOT NULL DEFAULT 0,
  `releaser_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `releasing_date` datetime DEFAULT NULL,
  `receiver_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_request_id` int(11) DEFAULT NULL,
  `mir_id` int(11) DEFAULT NULL,
  `returning_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `return_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS item_units;

CREATE TABLE `item_units` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS items;

CREATE TABLE `items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_code` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('consumable','tools','direct_material') COLLATE utf8mb4_unicode_ci NOT NULL,
  `risk_type` enum('critical','non_critical') COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'critical or non critical items mean how much risk we take on item',
  `manufacture_id` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_id` int(11) NOT NULL DEFAULT 0,
  `quantity` double NOT NULL DEFAULT 0,
  `size` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unit` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `minqty` int(11) NOT NULL DEFAULT 0,
  `maxqty` int(11) NOT NULL DEFAULT 0,
  `created_by` int(11) NOT NULL DEFAULT 0,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `available_quantity` int(11) NOT NULL DEFAULT 0,
  `fixed_asset_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `depreciation_policy` enum('straight_line_method','reading_balance_method') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `depreciation_rate` int(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `items_item_code_unique` (`item_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS links;

CREATE TABLE `links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` int(11) NOT NULL,
  `source` int(11) NOT NULL,
  `target` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS material_issue_request_data;

CREATE TABLE `material_issue_request_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mir_id` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `item_requesting_quantity` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS material_issue_requests;

CREATE TABLE `material_issue_requests` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_id` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `request_person_name` varchar(20) DEFAULT NULL,
  `request_date` date DEFAULT NULL,
  `status` enum('release','pending','partial_release') NOT NULL DEFAULT 'pending',
  `mir_type` tinyint(1) NOT NULL DEFAULT 0,
  `description` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS material_request_approvals;

CREATE TABLE `material_request_approvals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `approval_id` int(11) DEFAULT NULL,
  `mir_id` int(11) DEFAULT NULL,
  `is_approve` tinyint(1) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS merging_properties;

CREATE TABLE `merging_properties` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mrf_no` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `maf_no` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `property_code` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `requested_by` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_no` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sale_agent_name` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` int(11) NOT NULL,
  `street` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phase` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `area` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `demand_for_property` double NOT NULL DEFAULT 0,
  `details` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `merging_value` double NOT NULL DEFAULT 0,
  `merging_assessed_value` double NOT NULL DEFAULT 0,
  `appraised_by` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `appraised_by_sale_agent` enum('yes','no') COLLATE utf8_unicode_ci NOT NULL,
  `assessment_amount` double NOT NULL DEFAULT 0,
  `assessment_adjusted_against` enum('rebate','cash') COLLATE utf8_unicode_ci NOT NULL,
  `employee_id` int(11) DEFAULT 0,
  `visit_time` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_person_at_location` varchar(150) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_person_no` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `requestor_accompanied` enum('yes','no') COLLATE utf8_unicode_ci DEFAULT NULL,
  `is_approve` tinyint(1) NOT NULL DEFAULT 0 COMMENT '1-approve , 2-disapprove , 0-pending',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;




DROP TABLE IF EXISTS migrations;

CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=318 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO migrations VALUES("1","2014_10_12_000000_create_users_table","1"),
("2","2014_10_12_100000_create_password_resets_table","1"),
("3","2019_04_23_054422_create_customers_table","1"),
("4","2019_04_24_052527_create_customer_properties_table","1"),
("5","2019_04_24_052640_create_customer_statements_table","1"),
("6","2019_04_24_065638_create_product_sizes_table","1"),
("7","2019_04_24_070836_create_dealers_table","1"),
("8","2019_04_24_072354_create_dealer_transactions_table","1"),
("9","2019_04_24_104939_create_installment_plans_table","2"),
("10","2019_05_02_052748_create_purchases_table","3"),
("11","2019_05_02_053005_create_expenses_table","3"),
("12","2019_05_02_064913_update_customer_property_schedular","4"),
("13","2019_05_06_055828_create_employees_table","5"),
("14","2019_05_06_061220_create_departments_table","5"),
("15","2019_05_06_061258_create_designations_table","5"),
("16","2019_05_06_061519_update_employee_desgination_department","5"),
("17","2019_05_08_055313_update_department_status","6"),
("18","2019_05_08_055440_update_designation_status","6"),
("19","2019_05_09_072613_create_policies_table","7"),
("20","2019_05_09_074302_update_custoemr_property","7"),
("21","2019_05_10_060843_create_employee_policies_table","8"),
("22","2019_05_13_072306_create_payrolls_table","9"),
("23","2019_05_14_102747_create_payment_heads_table","10"),
("24","2019_05_14_105550_create_installment_plan_attributes_table","11"),
("25","2019_05_15_094740_create_receipts_table","12"),
("26","2019_05_20_055914_update_customer_property_dealer","13"),
("27","2019_05_20_064006_update_customer_property_netpay","14"),
("28","2019_05_20_065133_create_plot_categories_table","15"),
("29","2019_05_21_074213_create_dealer_paid_rebates_table","16"),
("31","2019_05_23_121053_create_product_types_table","17"),
("32","2019_05_24_062029_update_customer_propert_membership","18"),
("33","2019_05_29_092204_update_customer_statement_receipt","19"),
("34","2019_06_25_063006_update_customer_properties","20"),
("35","2019_06_26_070342_create_depositor_banks_table","21"),
("36","2019_07_02_051704_update_installmment_plans_new","22"),
("37","2019_07_03_061340_update_customer_properties__schedule_start_date","23"),
("38","2019_07_03_063328_update_customer_nominee_information","24"),
("39","2019_07_05_055903_update_customer_properties","25"),
("40","2019_07_05_061614_update_installmnet_plan_six_installment","26"),
("41","2019_07_08_060734_create_countries_table","27"),
("42","2019_07_08_060839_create_cities_table","27"),
("43","2019_07_08_061203_update_customer_address","28"),
("44","2019_07_08_071241_update_dealer_address","29"),
("45","2019_07_08_074714_create_customer_property_partners_table","30"),
("46","2019_07_09_052614_create_company_banks_table","31"),
("47","2019_07_09_095954_update_receipts_company_account","32"),
("48","2019_07_09_104518_create_company_bank_transactions_table","33"),
("49","2019_07_25_065653_create_transfer_properties_table","34"),
("50","2019_10_15_072619_create_inventories_table","35"),
("51","2019_10_16_071117_create_dealer_types_table","36"),
("52","2019_10_16_075046_update_dealer_type","37"),
("53","2019_10_17_071607_update_customer_property_inventory","38"),
("54","2019_10_18_052343_create_schedule_plans_table","39"),
("55","2019_10_18_065524_update_inventory_description","40"),
("56","2019_10_18_190459_create_project_accounts_table","41"),
("57","2019_10_18_191711_update_project_amount","42"),
("58","2019_10_19_125553_create_customer_property_buy_backs_table","43"),
("59","2019_10_22_080322_update_inventory_extra_charges","44"),
("60","2019_10_22_082921_update_expense_image","45"),
("61","2019_10_22_104716_update_dealer_parent","46"),
("62","2019_10_24_054426_update_project_account_type","47"),
("63","2019_10_24_060517_create_project_account_files_table","48"),
("64","2019_10_24_074225_update_project_account","49"),
("65","2019_10_30_045130_create_customer_property_buy_back_statements_table","50"),
("66","2019_11_11_101635_update_inventories_type","51"),
("67","2019_11_13_091926_create_unit_floors_table","52"),
("68","2019_11_13_092016_create_unit_floor_categories_table","52"),
("69","2019_11_13_120415_update_inventory_unit_floor","53"),
("70","2019_11_18_052303_update_receipt_adjacement","54"),
("71","2019_11_18_124654_update_scheduler_type","55"),
("72","2019_11_27_155121_create_customer_property_full_payments_table","56"),
("73","2019_11_27_155400_create_customer_property_full_payment_statements_table","57"),
("74","2019_11_27_213725_create_customer_adjustments_table","58"),
("75","2019_11_28_064448_create_payments_table","59"),
("76","2019_12_20_182748_create_plot_types_table","60"),
("77","2020_01_15_110148_create_registration_nos_table","61"),
("78","2020_01_15_125923_create_customer_registrations_table","62"),
("79","2020_01_27_110203_create_inventory_categories_table","63"),
("80","2020_01_27_194610_create_customer_documents_table","63"),
("81","2020_01_28_052239_update_block_sizes_add_reg","63"),
("82","2020_01_28_064115_update_customer_registration_add_registration","63"),
("83","2020_02_08_113134_create_dealer_registrations_table","63"),
("84","2020_03_19_062052_update_dealer_code","63"),
("85","2020_03_19_065448_create_customer_nominees_table","63"),
("86","2020_05_08_194445_create_activity_log_table","64"),
("87","2020_07_15_164649_entrust_setup_tables","64"),
("88","2020_07_21_114147_create_dealer_received_amounts_table","65"),
("89","2020_07_25_155038_update_registration_booking","66"),
("90","2020_07_25_184725_update_registration_printcount","67"),
("91","2020_07_25_184754_update_membership_printcount","67"),
("92","2020_09_12_124300_create_customer_requests_table","68"),
("93","2021_03_04_162515_create_property_chat_histories_table","69"),
("94","2021_03_23_184033_create_investors_table","70"),
("95","2021_03_23_185237_create_investor_documents_table","71"),
("96","2021_03_23_185932_update_investor","71"),
("97","2021_03_23_191020_update_investor_is_delete","72"),
("98","2021_03_23_202226_create_investor_files_table","73"),
("99","2019_06_25_063006_update_customer_propertiesbelting","1"),
("100","2019_06_25_063006_update_customer_propertiesbelting","1"),
("101","2021_02_22_000728_create_vendors_table","1"),
("102","2021_02_22_000728_create_vendors_table","1"),
("103","2021_02_22_015128_create_account_transfers_table","1"),
("104","2021_02_22_015128_create_account_transfers_table","1"),
("105","2021_03_05_004106_create_expense_categories_table","1"),
("106","2021_03_05_004106_create_expense_categories_table","1"),
("107","2021_03_05_155219_create_expense_payments_table","1"),
("108","2021_03_05_155219_create_expense_payments_table","1"),
("109","2021_05_26_121802_create_account_types_table","1"),
("110","2021_05_26_121802_create_account_types_table","1"),
("111","2021_05_26_162438_create_chart_of_accounts_table","1"),
("112","2021_05_26_162438_create_chart_of_accounts_table","1"),
("113","2021_05_27_114858_create_general_journal_entries_table","1"),
("114","2021_05_27_114858_create_general_journal_entries_table","1"),
("115","2021_06_07_164911_create_account_classes_table","1"),
("116","2021_06_07_164911_create_account_classes_table","1"),
("117","2022_01_11_002028_create_unit_blocks_table","1"),
("118","2022_01_11_002028_create_unit_blocks_table","1"),
("119","2022_11_14_113805_add_new_col_in_customer_statements_table","74"),
("120","2022_12_05_173555_create_noc_table","1"),
("121","2022_12_12_144559_create_transfer_property_histories_table","75"),
("122","2022_12_12_144747_add_column_transferpropertyhistoryid_in_transfer_properties_table","75"),
("123","2022_12_12_134559_create_transfer_property_histories_table","76"),
("124","2022_12_12_124559_create_transfer_property_histories_table","77"),
("125","2022_12_13_120355_add_column_unit_detail_in_transfer_properties_table","78"),
("126","2022_12_15_114158_create_cancel_properties_table","79"),
("127","2022_12_16_110647_create_unit_refund_histories_table","80"),
("128","2022_12_16_110956_add_column_unit_redund_history_id_in_cancel_properties_table","80"),
("129","2022_12_16_152610_add_refund_or_adjust_column_in_cancel_properties","81"),
("130","2022_12_16_172610_add_refund_or_adjust_column_in_cancel_properties","82"),
("131","2022_12_18_172610_add_refund_or_adjust_column_in_cancel_properties","83"),
("132","2022_12_19_111849_create_statement_histories_table","84"),
("133","2022_12_19_112320_add_total_deduction_percentage_in_unit_refund_histories_table","85"),
("134","2022_12_19_172610_add_refund_or_adjust_column_in_cancel_properties","86"),
("135","2022_12_20_115617_add_block_date_column_in_customer_properties_table","87"),
("136","2022_12_20_133032_create_unit_adjusts_table","88"),
("137","2022_12_20_170952_add_unit_adjust_id_in_statement_histories_table","89"),
("138","2022_12_21_113346_add_unit_detail_col_in_unit_refund_histories_table","90"),
("139","2022_12_21_115929_add_unit_detail__col_in_unit_adjusts_table","91"),
("140","2022_12_22_111257_add_voucher_generated_col_in_cancel_properties_table","92"),
("141","2022_12_22_114509_add_cancel_property_id_in_unit_refund_histories_table","93"),
("142","2022_12_22_144201_add_cancel_property_id_in_unit_adjusts_table","94"),
("143","2022_12_22_145402_add_ua_no_col_in_unit_adjusts_table","95"),
("144","2022_12_21_145402_add_ua_no_col_in_unit_adjusts_table","96"),
("145","2022_12_14_110453_create_customers_fingerprints_table","97"),
("146","2022_12_23_103944_add_cancel_property_id_in_receipts_table","97"),
("147","2022_12_23_193944_add_cancel_property_id_in_receipts_table","98"),
("148","2022_12_26_151816_create_open_file_dealer_infos_table","99"),
("149","2022_12_26_153225_add_of_no_column_in_open_file_dealer_infos_table","100"),
("150","2022_12_26_173546_add_open_file_dealer_payment_id_in_open_file_dealer_infos_table","101"),
("151","2022_12_26_173810_create_open_file_dealer_payments_table","102"),
("152","2022_12_27_175816_create_open_file_packages_table","103"),
("153","2022_12_27_180619_create_open_file_package_details_table","104"),
("154","2022_12_27_181541_add_name_col_in_open_file_packages_table","105"),
("155","2022_12_28_120611_create_project_types_table","106"),
("156","2022_12_28_122927_add_colum_project_type_id_in_unit_types_table","107"),
("157","2022_12_28_125032_create_price_lists_table","108"),
("158","2022_12_28_125215_create_price_list_details_table","109"),
("159","2022_12_30_105521_add_status_column_in_project_type_table","110"),
("160","2022_12_30_110155_add_status_column_in_project_type_table","111"),
("161","2023_01_02_104338_add_col_total_price_in_price_list_details_table","112"),
("162","2023_01_02_104438_add_col_total_price_in_price_list_details_table","113"),
("163","2023_01_02_105957_add_unit_size_id_col_in_price_list_details_table","114"),
("164","2023_01_02_111936_add_deleted_at_col_in_price_lists_table","115"),
("165","2023_01_02_121656_add_pricelist_id_in_inventories_table","116"),
("166","2023_01_02_165929_change_col_unit_size_id_into_nullable_inventories","117"),
("167","2023_01_02_170339_add_total_size__inventories","118"),
("168","2023_01_03_142815_add_colums_in_open_file_package_details_table","119"),
("169","2023_01_03_130201_add_deleted_at_col_in_openfilepackage_table","120"),
("170","2023_01_04_122628_create_dealer_package","121"),
("171","2023_01_04_122659_create_dealer_package_paid_amount","121"),
("172","2023_01_04_123045_create_dealer_packages_table","122"),
("173","2023_01_04_123133_create_dealer_package_paid_amounts_table","122"),
("174","2023_01_04_115729_add_is_deleted_col_in_openfilepackage_table","123"),
("175","2023_01_04_115830_add_is_deleted_col_in_pricelist_table","123"),
("176","2023_01_04_123304_remove_deleted_at_col_in_pricelist_table","123"),
("177","2023_01_04_123433_remove_deleted_at_col_in_openfilepackage_table","123"),
("178","2023_01_04_142338_add_voucher_generated_col_in_dealer_package_paid_amounts_table","123"),
("179","2023_01_05_120751_remove_col_from_open_file_dealer_infos_table","124"),
("180","2023_01_06_104254_add_dealer_package_id_in_open_file_dealer_infos_table","125"),
("181","2023_01_09_004324_add_is_deleted_col_in_dealer_packages_table","126"),
("182","2023_01_09_140946_add_is_approved_col_in_dealer_packages_table","127"),
("183","2023_01_09_141054_add_is_approved_col_in_dealer_package_paid_amounts_table","127"),
("184","2023_01_09_141519_add_is_approved_col_in_dealer_package_paid_amounts_table","128"),
("185","2023_01_09_141607_add_is_approved_col_in_dealer_packages_table","128"),
("186","2023_01_10_131929_create_open_file_dealer_end_user_infos_table","129"),
("187","2023_01_10_152529_create_cancel_open_files_table","130"),
("188","2023_01_11_111054_create_open_file_refund_histories_table","131"),
("189","2023_01_12_110511_add_app_form_no_col_in_open_file_dealer_end_user_infos","132"),
("190","2023_01_12_134202_add_col_payment_method_in_dealer_package_paid_amounts","133"),
("191","2023_01_13_092458_create_dealer_package_receipts_table","134"),
("192","2023_01_13_162301_add_col_inventory_status_in_dealer_packages","135"),
("193","2023_01_14_185138_add_col_in_general_journal_entries_table","136"),
("194","2023_01_14_092458_create_dealer_package_receipts_table","1"),
("195","2023_01_16_123114_change_column_type_rate_in_unit_floor_size","1"),
("196","2023_01_16_123114_change_column_type_rate_in_unit_floor_sizes","3"),
("197","2023_01_18_163912_add_rebate_amount_in_open_file_packages_table","137"),
("198","2023_01_19_115339_add_col_rebate_type_open_file_packages","138"),
("199","2023_01_19_115338_add_col_rebate_type_open_file_packages","139"),
("200","2023_01_19_155542_add_rebate_file_col_in_open_file_package_details_table","140"),
("201","2023_01_19_194216_add_reming_rebate_in_open_file_packages_table","141"),
("202","2023_01_20_094615_add_registration_letter_and_registration_form_count_in_open_file_dealer_end_user_infos_table","142"),
("203","2023_01_30_115309_add_unit_size_id_and_unit_type_id_in_open_file_dealer_infos_table","143"),
("204","2023_01_31_133022_add_new_col_in_dealers_table","144"),
("205","2023_02_01_152122_add_dealer_package_id_in_dealer_paid_rebates_table","145"),
("206","2023_02_01_170942_add_dealer_package_id_in_dealer_transactions_table","146"),
("207","2023_02_01_171942_add_dealer_package_id_in_dealer_transactions_table","147"),
("208","2023_02_06_131950_add_unit_floor_id_in_price_list_details_table","148"),
("209","2023_02_06_165209_add__balloting__ballon_semi_installment_schedule_plans_table","149"),
("210","2023_02_08_142959_add_name_col_in_customer_documents_table","150"),
("211","2023_02_09_103422_create_development_charges_table","151"),
("212","2023_02_09_103423_create_development_charges_table","152"),
("213","2023_02_09_122334_add_schedule_type_in_development_charges_table","153"),
("214","2023_02_14_145117_create_balloting_map_files_table","154"),
("215","2023_02_14_152308_add_filename_col_in_balloting_map_files","155"),
("216","2023_02_16_113238_create_balloting_map_details_table","156"),
("217","2023_02_16_234642_add_publish_colum_inballoting_map_files_table","157"),
("218","2023_02_17_150441_add_unit_size_id_in_balloting_map_details_table","158"),
("219","2023_02_18_212031_add_unit_type_id_in_balloting_map_details_table","159"),
("220","2023_02_20_135313_add_unit_block_id_in_balloting_map_details_table","160"),
("221","2023_02_20_140056_add_unit_floor_id_in_balloting_map_details_table","161"),
("222","2023_02_20_144550_add_unit_categories_ids_in_balloting_map_details_table","162"),
("223","2023_02_22_101232_add_inventory_id_in_balloting_map_details_table","163"),
("224","2023_02_22_160814_create_balloting_pre_condition_files_table","164"),
("225","2023_02_22_163509_add_map_id_in_balloting_pre_condition_files","165"),
("226","2023_02_22_165144_create_balloting_pre_condition_files_table","166"),
("227","2023_02_22_165319_create_balloting_pre_condition_file_details_table","167"),
("228","2023_02_22_192859_add_unit_size_id_in_balloting_pre_condition_files","168"),
("229","2023_02_22_225408_add_old_unit_number_col_in_inventories_table","169"),
("230","2023_02_23_004818_add_street_and_type_col_in_balloting_map_details","170"),
("231","2023_02_27_132203_create_customer_category_preferrences_table","171"),
("232","2023_02_27_234008_create_ballon_map_detail_categories_table","172"),
("233","2023_03_02_125348_add_number_in_account_types_table","173"),
("234","2023_03_02_162251_add_cnic_col_in_control_accounts_table","174"),
("235","2023_03_02_163147_add_col_national_tax_number_and_address_in_control_accounts_able","175"),
("236","2023_03_03_105825_add_balloting_status_column_in_balloting_map_details_table","176"),
("237","2023_03_06_100401_create_email_sms_table","177"),
("238","2023_03_06_102345_create_email_sms_types_table","177"),
("239","2023_03_03_123116_update_payment_method_to_null","178"),
("240","2023_03_08_100019_create_smtp_settings_table","178"),
("241","2023_03_08_100018_create_smtp_settings_table","179"),
("242","2023_03_08_101018_create_smtp_settings_table","180"),
("243","2023_03_08_143050_create_email_logs_table","181"),
("244","2023_03_08_145629_add_col_in_email_logs_table","182"),
("245","2023_03_08_145934_add_more_col_in_email_logs_table","183"),
("246","2023_03_08_160242_create_direct_balloting_map_files_table","184"),
("247","2023_03_08_171109_create_direct_balloting_map_details_table","185"),
("248","2023_03_08_172526_create_direct_ballon_map_detail_categories_table","186"),
("249","2023_03_15_141508_create_multi_projects_table","187"),
("250","2023_03_15_214505_add_multi_project_id_in_inventories_table","188"),
("251","2023_03_16_154942_add_multi_project_id_dealer_packages_table","189"),
("252","2023_03_16_163254_add_notification_col_in_receipts_table","190"),
("253","2023_03_16_171113_add_notification_col_in_dealer_package_receipts_table","191"),
("254","2023_03_17_203408_add_multi_project_id_in_receipts_table","192"),
("255","2023_03_18_120954_add_multi_project_id_in__general_journal_entry_table","193"),
("256","2023_03_20_111034_add_multi_project_id_in_customer_statements_table","194"),
("257","2023_03_22_111631_add_multi_project_id_in_customer_properties_table","195"),
("258","2023_03_23_144043_create_multiproject_role_table","196"),
("259","2023_03_15_141518_create_multi_projects_table","197"),
("260","2023_03_31_010539_add_multi_project_id_in_tax_receipts_table","198"),
("261","2023_04_05_024436_add__multiprod_id_col_in_balloting_map_files_table","199"),
("262","2023_04_05_031211_add_preconditionfile_with_multiproject_id","200"),
("263","2023_04_05_154711_add_multiproject_id_col_in_dealer_package_receipts_table","201"),
("264","2023_04_06_000716_add_multiproject_id_in_surcharge_receipts_table","202"),
("265","2023_04_06_002453_add_multiproject_id_in_customer_property_taxes_table","202"),
("266","2023_04_06_004353_add_multiproject_id_in_token_receipt_table","202"),
("267","2023_04_18_112447_change_rate_column_to_nullable_in_old_unit_rates","1"),
("268","2023_04_18_224547_create_sms_logs_table","203"),
("269","2023_04_18_225124_add_col_in_sms_logs_table","203"),
("270","2023_04_19_002905_add_total_character_in_sms_logs_table","203"),
("271","2023_04_19_005256_add_response_in_sms_logs_table","203"),
("272","2023_04_19_142313_add_project_name_in_email_logs_table","204"),
("273","2023_04_19_142542_add_project_name_in_sms_logs_table","204"),
("274","2023_05_02_115935_create_customer_refund_unit_receipts_table","204"),
("275","2023_05_02_161011_add_time_stamp_incustomer_refund_unit_receipts_table","204"),
("276","2023_05_02_174216_create_refund_receipt_documents_table","204"),
("277","2023_05_03_125540_add_customer_refund_unit_in_general_journal_entries_table","205"),
("278","2023_05_03_161342_create_dealer_refund_open_file_unit_receipts_table","205"),
("279","2023_05_04_003327_add_dealer_openfile_refund_in_general_journal_entries_table","206"),
("280","2023_05_04_121720_add_column_open_file_and_close_file_in_refund_receipt_documents","207"),
("281","2023_05_05_080510_create_customer_cancel_unit_receipts_table","207"),
("282","2023_05_05_085649_create_dealer_open_file_cancel_receipts_table","207"),
("283","2023_05_08_155708_create_cancel_receipt_documents_table","208"),
("284","2023_05_08_160559_rename_column_in_table","1"),
("285","2023_05_08_161455_create_cancel_receipt_documents_table","209"),
("286","2023_05_08_151522_add_column_in_general_journal_entries_table","210"),
("287","2023_05_13_174551_add_new_column_customer_statements","211"),
("288","2023_05_16_131005_add_name_col_in_schedule_plans_table","212"),
("289","2023_05_16_14450_add_schedule_plans_in_payment_head_priorities_table","212"),
("290","2023_05_17_120309_add_schedule_plan_in_customer_properties_table","212"),
("291","2023_05_23_123028_add_multi_project_id_in_direct_balloting_map_files_table","213"),
("292","2023_05_27_112923_add_project_type_id_in_unit_floors_table","214"),
("293","2023_06_05_154921_create_transfer_property_types_table","214"),
("294","2023_06_05_161601_add_noc_valid_date_col_in_noc_table","214"),
("295","2023_06_05_161846_add_transfer_type_col_in_noc_table","214"),
("296","2023_06_05_180957_add_transfer_type_col_in_transfer_properties_table","214"),
("297","2023_06_07_152655_add_ckeck_list_status_and_status_in_transfer_properties","214"),
("298","2023_06_08_155150_create_transfer_property_type_documents_table","214"),
("299","2023_06_09_104347_add_receipt_generated_col_in_transfer_properties_table","215"),
("300","2023_06_10_140736_add_transfer_property_id_in_receipts_table","215"),
("301","2023_06_12_152816_create_transfer_property_documents_table","215"),
("302","2023_06_12_162150_add_route_name_col_in_transfer_property_type_documents_table","215"),
("303","2023_06_21_122907_add_expiry_date_col_in_dealer_packages_table","216"),
("304","2023_06_26_11552_add_criteria_no_col_in_unit_blockage_criterias_table","1"),
("305","2023_06_26_13554_create_unit_blockage_criterias_table","217"),
("306","2023_06_26_152253_create_block_unit_logs_table","217"),
("307","2023_07_03_115916_add_criteria_detail_in_block_unit_logs_table","217"),
("308","2023_07_06_120105_add_days_after_fine_added_col_in_schedule_plans_tabble","218"),
("309","2023_07_06_130214_add_surcharge_calculated_by_cron_col_in_customer_statements_table","218"),
("310","2023_07_07_194828_add_nominee_address_in_customer_nominees_table","219"),
("311","2023_07_08_170106_add_so_do_wo_flag_in_customer_nominees_table","219"),
("312","2023_07_10_120536_add_is_deleted_col_in_customer_nominees_table","219"),
("313","2023_07_10_160414_add_customer_nominee_id_in_customer_properties_table","220"),
("314","2023_07_10_173717_create_customer_property_secondary_owners_table","220"),
("315","2023_07_11_125426_add_primary_owner_id_in_customer_property_secondary_owners_table","221"),
("316","2023_07_18_192353_add_nfc_no_column_in_customer_properties","222"),
("317","2023_07_24_151113_add_col_in_account_types_table","223");



DROP TABLE IF EXISTS multi_projects;

CREATE TABLE `multi_projects` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `project_type_id` bigint(20) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO multi_projects VALUES("5","2","Super Admin","","202303281531laravel-gates-override-superadmin.png","","2023-03-28 15:31:40","2023-03-28 15:31:40"),
("25","2","MEGAFURY HOUSING","","202308081110202305251919logoo.png","","2023-07-10 20:31:43","2023-08-10 16:59:19");



DROP TABLE IF EXISTS multiproject_role;

CREATE TABLE `multiproject_role` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `role_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO multiproject_role VALUES("6","5","24","",""),
("20","15","37","",""),
("30","25","47","","");



DROP TABLE IF EXISTS noc;

CREATE TABLE `noc` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `noc_no` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_id` int(11) NOT NULL,
  `unit_number_id` bigint(20) NOT NULL,
  `status` tinyint(4) NOT NULL COMMENT '0 > Pending, 1 > Approve',
  `noc_date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `noc_valid_date` date DEFAULT NULL,
  `transfer_type` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS open_file_dealer_end_user_infos;

CREATE TABLE `open_file_dealer_end_user_infos` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `openfile_dealer_info_id` bigint(20) NOT NULL,
  `app_form_no` bigint(20) NOT NULL,
  `currency_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `registration_letter_count` bigint(20) NOT NULL DEFAULT 0,
  `registration_form_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO open_file_dealer_end_user_infos VALUES("1","1","333333","XB3456789","2023-07-13 19:50:16","2023-07-13 20:39:01","1","1"),
("2","2","333333","XB3456789","2023-07-13 20:08:03","2023-07-13 20:08:03","0","0"),
("3","3","321","XB345678","2023-07-13 20:27:31","2023-07-13 20:27:31","0","0"),
("4","23","12121212","XB3456711","2023-07-17 14:11:09","2023-07-17 14:11:09","0","0"),
("5","24","9999912","XB3456733","2023-07-17 14:11:17","2023-07-17 14:11:17","0","0"),
("6","26","333331","XB3456781","2023-08-06 03:54:27","2023-08-06 03:54:27","0","0"),
("7","25","3212","XB3456722","2023-08-06 03:54:41","2023-08-06 03:54:41","0","0"),
("8","27","333332","XB3456782","2023-08-06 03:54:51","2023-08-06 03:54:51","0","0"),
("9","28","3333333","XB3456783","2023-08-06 03:55:00","2023-08-06 03:55:00","0","0"),
("10","29","333334","XB3456784","2023-08-06 03:55:07","2023-08-06 03:55:07","0","0"),
("11","30","333335","XB3456785","2023-08-06 03:55:16","2023-08-06 03:55:16","0","0"),
("12","31","333336","XB3456786","2023-08-06 03:55:23","2023-08-06 03:55:23","0","0"),
("13","32","333337","XB3456787","2023-08-06 03:55:34","2023-08-06 03:55:34","0","0"),
("14","33","333338","XB34567888","2023-08-06 03:55:45","2023-08-06 03:55:45","0","0");



DROP TABLE IF EXISTS open_file_dealer_infos;

CREATE TABLE `open_file_dealer_infos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_package_id` bigint(20) NOT NULL,
  `dealer_id` bigint(20) NOT NULL,
  `invertory_id` bigint(20) NOT NULL,
  `issue_date` date NOT NULL,
  `valid_until_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_type_id` bigint(20) DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO open_file_dealer_infos VALUES("1","1","2","8","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("2","1","2","9","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("3","1","2","10","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("4","1","2","11","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("5","1","2","12","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("6","1","2","13","2023-07-13","2023-07-12","2023-07-13 18:59:55","2023-07-13 18:59:55","2","1"),
("7","1","2","14","2023-07-13","2023-07-12","2023-07-13 18:59:56","2023-07-13 18:59:56","2","1"),
("8","1","2","15","2023-07-13","2023-07-12","2023-07-13 18:59:56","2023-07-13 18:59:56","2","1"),
("9","1","2","16","2023-07-13","2023-07-12","2023-07-13 18:59:56","2023-07-13 18:59:56","2","1"),
("10","1","2","17","2023-07-13","2023-07-12","2023-07-13 18:59:56","2023-07-13 18:59:56","2","1"),
("11","1","2","18","2023-07-13","2023-07-12","2023-07-13 18:59:56","2023-07-13 18:59:56","2","1"),
("12","1","2","19","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("13","1","2","20","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("14","1","2","21","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("15","1","2","22","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("16","1","2","23","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("17","1","2","24","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("18","1","2","25","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("19","1","2","26","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("20","1","2","27","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("21","1","2","28","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("22","1","2","29","2023-07-13","2023-07-12","2023-07-13 19:05:15","2023-07-13 19:05:15","2","1"),
("23","2","2","30","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("24","2","2","31","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("25","2","2","32","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("26","2","2","33","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("27","2","2","34","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("28","2","2","35","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("29","2","2","36","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("30","2","2","37","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("31","2","2","38","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("32","2","2","39","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1"),
("33","2","2","40","2023-07-16","2023-07-18","2023-07-17 13:59:56","2023-07-17 13:59:56","2","1");



DROP TABLE IF EXISTS open_file_dealer_payments;

CREATE TABLE `open_file_dealer_payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `amount` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS open_file_package_details;

CREATE TABLE `open_file_package_details` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `openfile_package_id` bigint(20) NOT NULL,
  `unit_type_id` bigint(20) DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  `unit_quantity` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `dealer_rebate` double DEFAULT NULL,
  `dealer_downpayment` double DEFAULT NULL,
  `rebate_file` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO open_file_package_details VALUES("1","1","2","1","10","2023-07-13 18:52:32","2023-07-13 18:52:32","9000","81000","0"),
("2","1","2","1","1","2023-07-13 18:52:32","2023-07-13 18:52:32","0","90000","1");



DROP TABLE IF EXISTS open_file_packages;

CREATE TABLE `open_file_packages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pricelist_id` bigint(20) DEFAULT NULL,
  `total_price` bigint(20) DEFAULT NULL,
  `rebate_amount` double DEFAULT NULL,
  `rebate_type` enum('cash','openfile') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'cash',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `remaining_rebate` double DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO open_file_packages VALUES("1","Platinum","1","810000","90000","openfile","2023-07-13 18:52:32","2023-07-13 18:52:32","0","0");



DROP TABLE IF EXISTS open_file_refund_histories;

CREATE TABLE `open_file_refund_histories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dealer_id` bigint(20) NOT NULL,
  `inventory_id` bigint(20) NOT NULL,
  `cancel_openfile_id` bigint(20) DEFAULT NULL,
  `total_amount` double DEFAULT NULL,
  `total_refund` double DEFAULT NULL,
  `total_deduct` double DEFAULT NULL,
  `total_deduct_percentage` double DEFAULT NULL,
  `openfile_detail` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS otps;

CREATE TABLE `otps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `phone_number` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `otp` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reason` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS password_resets;

CREATE TABLE `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS payment_head_priorities;

CREATE TABLE `payment_head_priorities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_head` int(11) NOT NULL DEFAULT 0,
  `priority` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `schedule_plan_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;

INSERT INTO payment_head_priorities VALUES("12","11","0","2023-05-17 17:49:46","2023-05-10 15:56:15","1"),
("13","1","1","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("14","2","3","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("15","3","2","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("16","8","4","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("17","9","5","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("18","10","6","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("19","12","8","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("20","13","9","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("21","18","10","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("22","19","7","2023-07-06 17:25:23","2023-07-06 17:25:23","1"),
("23","20","11","2023-07-06 17:25:23","2023-07-06 17:25:23","1");



DROP TABLE IF EXISTS payment_heads;

CREATE TABLE `payment_heads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS payments;

CREATE TABLE `payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned NOT NULL,
  `property_id` int(10) unsigned NOT NULL,
  `payment_type` int(11) NOT NULL DEFAULT 1,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payments_customer_id_foreign` (`customer_id`),
  KEY `payments_property_id_foreign` (`property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS payrolls;

CREATE TABLE `payrolls` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(10) unsigned DEFAULT NULL,
  `benefits` double DEFAULT NULL,
  `deductions` double DEFAULT NULL,
  `net_pay` double NOT NULL,
  `date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payrolls_employee_id_foreign` (`employee_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS permission_role;

CREATE TABLE `permission_role` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13599 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO permission_role VALUES("1","6","2"),
("1","7","3"),
("2","7","5"),
("3","7","7"),
("5","7","10"),
("6","6","12"),
("6","7","13"),
("7","7","15"),
("9","6","18"),
("9","7","19"),
("10","7","22"),
("11","7","24"),
("13","7","27"),
("14","6","29"),
("14","7","30"),
("15","7","33"),
("16","7","35"),
("17","7","37"),
("18","7","40"),
("20","7","43"),
("21","8","45"),
("22","8","47"),
("24","7","50"),
("24","8","51"),
("25","7","54"),
("26","7","56"),
("27","7","58"),
("29","7","61"),
("31","7","64"),
("35","7","69"),
("36","7","71"),
("100","7","120"),
("101","7","122"),
("102","7","124"),
("103","7","126"),
("112","8","136"),
("196","13","543"),
("197","13","544"),
("198","13","545"),
("199","13","546"),
("200","13","547"),
("201","13","548"),
("202","13","549"),
("203","13","550"),
("204","13","551"),
("205","13","552"),
("206","13","553"),
("64","13","554"),
("65","13","555"),
("66","13","556"),
("67","13","557"),
("113","13","558"),
("114","13","559"),
("115","13","560"),
("116","13","561"),
("125","13","562"),
("126","13","563"),
("127","13","564"),
("128","13","565"),
("129","13","566"),
("130","13","567"),
("131","13","568"),
("132","13","569"),
("133","13","570"),
("134","13","571"),
("135","13","572"),
("136","13","573"),
("137","13","574"),
("138","13","575"),
("139","13","576"),
("140","13","577"),
("141","13","578"),
("142","13","579"),
("143","13","580"),
("144","13","581"),
("145","13","582"),
("146","13","583"),
("147","13","584"),
("148","13","585"),
("149","13","586"),
("150","13","587"),
("151","13","588"),
("152","13","589"),
("153","13","590"),
("154","13","591"),
("155","13","592"),
("156","13","593"),
("157","13","594"),
("158","13","595"),
("159","13","596"),
("160","13","597"),
("166","13","598"),
("167","13","599"),
("168","13","600"),
("169","13","601"),
("191","13","602"),
("192","13","603"),
("193","13","604"),
("194","13","605"),
("195","13","606"),
("135","9","607"),
("136","9","608"),
("137","9","609"),
("138","9","610"),
("139","9","611"),
("135","14","635"),
("136","14","636"),
("137","14","637"),
("140","14","638"),
("141","14","639"),
("142","14","640"),
("143","14","641"),
("144","14","642"),
("145","14","643"),
("146","14","644"),
("147","14","645"),
("148","14","646"),
("149","14","647"),
("150","14","648"),
("151","14","649"),
("152","14","650"),
("153","14","651"),
("154","14","652"),
("155","14","653"),
("156","14","654"),
("157","14","655"),
("159","14","656"),
("160","14","657"),
("1","0","673"),
("2","0","674"),
("3","0","675"),
("4","0","676"),
("5","0","677"),
("6","0","678"),
("7","0","679"),
("8","0","680"),
("9","0","681"),
("10","0","682"),
("11","0","683"),
("12","0","684"),
("13","0","685"),
("14","0","686"),
("15","0","687"),
("16","0","688"),
("17","0","689"),
("18","0","690"),
("19","0","691"),
("20","0","692"),
("21","0","693"),
("22","0","694"),
("23","0","695"),
("24","0","696"),
("25","0","697"),
("26","0","698"),
("27","0","699"),
("28","0","700"),
("29","0","701"),
("30","0","702"),
("31","0","703"),
("32","0","704"),
("33","0","705"),
("34","0","706"),
("39","0","707"),
("40","0","708"),
("41","0","709"),
("42","0","710"),
("55","0","711"),
("56","0","712"),
("57","0","713"),
("59","0","714"),
("60","0","715"),
("61","0","716"),
("62","0","717"),
("63","0","718"),
("76","0","719"),
("77","0","720"),
("78","0","721"),
("79","0","722"),
("84","0","723"),
("85","0","724"),
("86","0","725"),
("87","0","726"),
("88","0","727"),
("89","0","728"),
("90","0","729"),
("91","0","730"),
("92","0","731"),
("93","0","732"),
("94","0","733"),
("95","0","734"),
("96","0","735"),
("97","0","736"),
("98","0","737"),
("99","0","738"),
("100","0","739"),
("101","0","740"),
("102","0","741"),
("103","0","742"),
("104","0","743"),
("105","0","744"),
("110","0","745"),
("112","0","746"),
("117","0","747"),
("124","0","748"),
("161","0","749"),
("162","0","750"),
("163","0","751"),
("164","0","752"),
("165","0","753"),
("187","0","754"),
("188","0","755"),
("189","0","756"),
("35","0","757"),
("36","0","758"),
("37","0","759"),
("38","0","760"),
("51","0","761"),
("52","0","762"),
("53","0","763"),
("54","0","764"),
("58","0","765"),
("72","0","766"),
("73","0","767"),
("74","0","768"),
("75","0","769"),
("106","0","770"),
("107","0","771"),
("108","0","772"),
("109","0","773"),
("111","0","774"),
("118","0","775"),
("119","0","776"),
("120","0","777"),
("121","0","778"),
("122","0","779"),
("123","0","780"),
("170","0","781"),
("171","0","782"),
("172","0","783"),
("173","0","784"),
("174","0","785"),
("175","0","786"),
("176","0","787"),
("177","0","788"),
("178","0","789"),
("179","0","790"),
("180","0","791"),
("181","0","792"),
("182","0","793"),
("183","0","794"),
("184","0","795"),
("185","0","796"),
("186","0","797"),
("190","0","798"),
("208","12","818"),
("256","15","3514"),
("2","15","3515"),
("3","15","3516"),
("4","15","3517"),
("256","1","3518"),
("1","1","3519"),
("257","1","3520"),
("2","1","3521"),
("258","1","3522"),
("3","1","3523"),
("259","1","3524"),
("4","1","3525"),
("260","1","3526"),
("5","1","3527"),
("6","1","3528"),
("7","1","3529"),
("8","1","3530"),
("9","1","3531"),
("10","1","3532"),
("11","1","3533"),
("12","1","3534"),
("13","1","3535"),
("14","1","3536"),
("15","1","3537"),
("16","1","3538"),
("17","1","3539"),
("18","1","3540"),
("19","1","3541"),
("20","1","3542"),
("21","1","3543"),
("22","1","3544"),
("23","1","3545"),
("24","1","3546"),
("25","1","3547"),
("26","1","3548"),
("27","1","3549"),
("28","1","3550"),
("29","1","3551"),
("30","1","3552"),
("31","1","3553"),
("32","1","3554"),
("33","1","3555"),
("34","1","3556"),
("39","1","3557"),
("40","1","3558"),
("41","1","3559"),
("42","1","3560"),
("55","1","3561"),
("56","1","3562"),
("57","1","3563"),
("59","1","3564"),
("60","1","3565"),
("61","1","3566"),
("62","1","3567"),
("63","1","3568"),
("76","1","3569"),
("77","1","3570"),
("78","1","3571"),
("79","1","3572"),
("84","1","3573"),
("85","1","3574"),
("86","1","3575"),
("87","1","3576"),
("88","1","3577"),
("89","1","3578"),
("90","1","3579"),
("91","1","3580"),
("92","1","3581"),
("93","1","3582"),
("94","1","3583"),
("95","1","3584"),
("96","1","3585"),
("97","1","3586"),
("98","1","3587"),
("99","1","3588"),
("100","1","3589"),
("101","1","3590"),
("102","1","3591"),
("103","1","3592"),
("104","1","3593"),
("105","1","3594"),
("110","1","3595"),
("112","1","3596"),
("117","1","3597"),
("124","1","3598"),
("161","1","3599"),
("187","1","3600"),
("188","1","3601"),
("189","1","3602"),
("196","1","3603"),
("197","1","3604"),
("198","1","3605"),
("199","1","3606"),
("200","1","3607"),
("201","1","3608"),
("202","1","3609"),
("203","1","3610"),
("204","1","3611"),
("205","1","3612"),
("206","1","3613"),
("207","1","3614"),
("208","1","3615"),
("209","1","3616"),
("210","1","3617"),
("211","1","3618"),
("212","1","3619"),
("213","1","3620"),
("214","1","3621"),
("215","1","3622"),
("216","1","3623"),
("217","1","3624"),
("218","1","3625"),
("219","1","3626"),
("220","1","3627"),
("221","1","3628"),
("222","1","3629"),
("224","1","3630"),
("225","1","3631"),
("226","1","3632"),
("227","1","3633"),
("228","1","3634"),
("229","1","3635"),
("230","1","3636"),
("231","1","3637"),
("232","1","3638"),
("234","1","3639"),
("235","1","3640"),
("236","1","3641"),
("237","1","3642"),
("238","1","3643"),
("239","1","3644"),
("240","1","3645"),
("241","1","3646"),
("242","1","3647"),
("243","1","3648"),
("244","1","3649"),
("245","1","3650"),
("246","1","3651"),
("247","1","3652"),
("248","1","3653"),
("249","1","3654"),
("250","1","3655"),
("252","1","3656"),
("253","1","3657"),
("254","1","3658"),
("255","1","3659"),
("35","1","3660"),
("36","1","3661"),
("37","1","3662"),
("38","1","3663"),
("51","1","3664"),
("52","1","3665"),
("53","1","3666"),
("54","1","3667"),
("58","1","3668"),
("72","1","3669"),
("73","1","3670"),
("74","1","3671"),
("75","1","3672"),
("106","1","3673"),
("107","1","3674"),
("108","1","3675"),
("109","1","3676"),
("111","1","3677"),
("118","1","3678"),
("119","1","3679"),
("120","1","3680"),
("121","1","3681"),
("122","1","3682"),
("123","1","3683"),
("170","1","3684"),
("171","1","3685"),
("172","1","3686"),
("173","1","3687"),
("174","1","3688"),
("175","1","3689"),
("176","1","3690"),
("177","1","3691"),
("178","1","3692"),
("179","1","3693"),
("180","1","3694"),
("181","1","3695"),
("182","1","3696"),
("183","1","3697"),
("184","1","3698"),
("185","1","3699"),
("186","1","3700"),
("190","1","3701"),
("64","1","3702"),
("65","1","3703"),
("66","1","3704"),
("67","1","3705"),
("113","1","3706"),
("114","1","3707"),
("115","1","3708"),
("116","1","3709"),
("125","1","3710"),
("126","1","3711"),
("127","1","3712"),
("128","1","3713"),
("129","1","3714"),
("130","1","3715"),
("131","1","3716"),
("132","1","3717"),
("133","1","3718"),
("134","1","3719"),
("135","1","3720"),
("136","1","3721"),
("137","1","3722"),
("138","1","3723"),
("139","1","3724"),
("140","1","3725"),
("141","1","3726"),
("142","1","3727"),
("143","1","3728"),
("144","1","3729"),
("145","1","3730"),
("146","1","3731"),
("147","1","3732"),
("148","1","3733"),
("149","1","3734"),
("150","1","3735"),
("151","1","3736"),
("152","1","3737"),
("153","1","3738"),
("154","1","3739"),
("155","1","3740"),
("156","1","3741"),
("159","1","3742"),
("160","1","3743"),
("166","1","3744"),
("167","1","3745"),
("168","1","3746"),
("169","1","3747"),
("191","1","3748"),
("192","1","3749"),
("193","1","3750"),
("194","1","3751"),
("195","1","3752"),
("1","16","3757"),
("2","16","3758"),
("30","16","3759"),
("31","16","3760"),
("100","16","3761"),
("105","16","3762"),
("256","22","3763"),
("1","22","3764"),
("257","22","3765"),
("2","22","3766"),
("258","22","3767"),
("3","22","3768"),
("259","22","3769"),
("4","22","3770"),
("260","22","3771"),
("5","22","3772"),
("6","22","3773"),
("7","22","3774"),
("8","22","3775"),
("9","22","3776"),
("10","22","3777"),
("11","22","3778"),
("12","22","3779"),
("13","22","3780"),
("14","22","3781"),
("15","22","3782"),
("16","22","3783"),
("17","22","3784"),
("18","22","3785"),
("19","22","3786"),
("20","22","3787"),
("21","22","3788"),
("22","22","3789"),
("23","22","3790"),
("24","22","3791"),
("25","22","3792"),
("26","22","3793"),
("27","22","3794"),
("28","22","3795"),
("29","22","3796"),
("30","22","3797"),
("31","22","3798"),
("32","22","3799"),
("33","22","3800"),
("34","22","3801"),
("39","22","3802"),
("40","22","3803"),
("41","22","3804"),
("42","22","3805"),
("55","22","3806"),
("56","22","3807"),
("57","22","3808"),
("59","22","3809"),
("60","22","3810"),
("61","22","3811"),
("62","22","3812"),
("63","22","3813"),
("76","22","3814"),
("77","22","3815"),
("78","22","3816"),
("79","22","3817"),
("84","22","3818"),
("85","22","3819"),
("86","22","3820"),
("87","22","3821"),
("88","22","3822"),
("89","22","3823"),
("90","22","3824"),
("91","22","3825"),
("92","22","3826"),
("93","22","3827"),
("94","22","3828"),
("95","22","3829"),
("96","22","3830"),
("97","22","3831"),
("98","22","3832"),
("99","22","3833"),
("100","22","3834"),
("101","22","3835"),
("102","22","3836"),
("103","22","3837"),
("104","22","3838"),
("105","22","3839"),
("110","22","3840"),
("112","22","3841"),
("117","22","3842"),
("124","22","3843"),
("161","22","3844"),
("187","22","3845"),
("188","22","3846"),
("189","22","3847"),
("196","22","3848"),
("197","22","3849"),
("198","22","3850"),
("199","22","3851"),
("200","22","3852"),
("201","22","3853"),
("202","22","3854"),
("203","22","3855"),
("204","22","3856"),
("205","22","3857"),
("206","22","3858"),
("207","22","3859"),
("208","22","3860"),
("209","22","3861"),
("210","22","3862"),
("211","22","3863"),
("212","22","3864"),
("213","22","3865"),
("214","22","3866"),
("215","22","3867"),
("216","22","3868"),
("217","22","3869"),
("218","22","3870"),
("219","22","3871"),
("220","22","3872"),
("221","22","3873"),
("222","22","3874"),
("224","22","3875"),
("225","22","3876"),
("226","22","3877"),
("227","22","3878"),
("228","22","3879"),
("229","22","3880"),
("230","22","3881"),
("231","22","3882"),
("232","22","3883"),
("234","22","3884"),
("235","22","3885"),
("236","22","3886"),
("237","22","3887"),
("238","22","3888"),
("239","22","3889"),
("240","22","3890"),
("241","22","3891"),
("242","22","3892"),
("243","22","3893"),
("244","22","3894"),
("245","22","3895"),
("246","22","3896"),
("247","22","3897"),
("248","22","3898"),
("249","22","3899"),
("250","22","3900"),
("252","22","3901"),
("253","22","3902"),
("254","22","3903"),
("255","22","3904"),
("35","22","3905"),
("36","22","3906"),
("37","22","3907"),
("38","22","3908"),
("51","22","3909"),
("52","22","3910"),
("53","22","3911"),
("54","22","3912"),
("58","22","3913"),
("72","22","3914"),
("73","22","3915"),
("74","22","3916"),
("75","22","3917"),
("106","22","3918"),
("107","22","3919"),
("108","22","3920"),
("109","22","3921"),
("111","22","3922"),
("118","22","3923"),
("119","22","3924"),
("120","22","3925"),
("121","22","3926"),
("122","22","3927"),
("123","22","3928"),
("170","22","3929"),
("171","22","3930"),
("172","22","3931"),
("173","22","3932"),
("174","22","3933"),
("175","22","3934"),
("176","22","3935"),
("177","22","3936"),
("178","22","3937"),
("179","22","3938"),
("180","22","3939"),
("181","22","3940"),
("182","22","3941"),
("183","22","3942"),
("184","22","3943"),
("185","22","3944"),
("186","22","3945"),
("190","22","3946"),
("64","22","3947"),
("65","22","3948"),
("66","22","3949"),
("67","22","3950"),
("113","22","3951"),
("114","22","3952"),
("115","22","3953"),
("116","22","3954"),
("125","22","3955"),
("126","22","3956"),
("127","22","3957"),
("128","22","3958"),
("129","22","3959"),
("130","22","3960"),
("131","22","3961"),
("132","22","3962"),
("133","22","3963"),
("134","22","3964"),
("135","22","3965"),
("136","22","3966"),
("137","22","3967"),
("138","22","3968"),
("139","22","3969"),
("140","22","3970"),
("141","22","3971"),
("142","22","3972"),
("143","22","3973"),
("144","22","3974"),
("145","22","3975"),
("146","22","3976"),
("147","22","3977"),
("148","22","3978"),
("149","22","3979"),
("150","22","3980"),
("151","22","3981"),
("152","22","3982"),
("153","22","3983"),
("154","22","3984"),
("155","22","3985"),
("156","22","3986"),
("157","22","3987"),
("158","22","3988"),
("159","22","3989"),
("160","22","3990"),
("166","22","3991"),
("167","22","3992"),
("168","22","3993"),
("169","22","3994"),
("191","22","3995"),
("192","22","3996"),
("193","22","3997"),
("194","22","3998"),
("195","22","3999"),
("256","23","5065"),
("1","23","5066"),
("257","23","5067"),
("2","23","5068"),
("258","23","5069"),
("3","23","5070"),
("259","23","5071"),
("4","23","5072"),
("260","23","5073"),
("5","23","5074"),
("6","23","5075"),
("7","23","5076"),
("8","23","5077"),
("9","23","5078"),
("10","23","5079"),
("11","23","5080"),
("12","23","5081"),
("13","23","5082"),
("14","23","5083"),
("15","23","5084"),
("16","23","5085"),
("17","23","5086"),
("18","23","5087"),
("19","23","5088"),
("20","23","5089"),
("21","23","5090"),
("22","23","5091"),
("23","23","5092"),
("24","23","5093"),
("25","23","5094"),
("26","23","5095"),
("27","23","5096"),
("28","23","5097"),
("29","23","5098"),
("30","23","5099"),
("31","23","5100"),
("32","23","5101"),
("33","23","5102"),
("34","23","5103"),
("39","23","5104"),
("40","23","5105"),
("41","23","5106"),
("42","23","5107"),
("55","23","5108"),
("56","23","5109"),
("57","23","5110"),
("59","23","5111"),
("60","23","5112"),
("61","23","5113"),
("62","23","5114"),
("63","23","5115"),
("76","23","5116"),
("77","23","5117"),
("78","23","5118"),
("79","23","5119"),
("84","23","5120"),
("85","23","5121"),
("86","23","5122"),
("87","23","5123"),
("88","23","5124"),
("89","23","5125"),
("90","23","5126"),
("91","23","5127"),
("92","23","5128"),
("93","23","5129"),
("94","23","5130"),
("95","23","5131"),
("96","23","5132"),
("97","23","5133"),
("98","23","5134"),
("99","23","5135"),
("100","23","5136"),
("101","23","5137"),
("102","23","5138"),
("103","23","5139"),
("104","23","5140"),
("105","23","5141"),
("110","23","5142"),
("112","23","5143"),
("117","23","5144"),
("124","23","5145"),
("161","23","5146"),
("187","23","5147"),
("188","23","5148"),
("189","23","5149"),
("196","23","5150"),
("197","23","5151"),
("198","23","5152"),
("199","23","5153"),
("200","23","5154"),
("201","23","5155"),
("202","23","5156"),
("203","23","5157"),
("204","23","5158"),
("205","23","5159"),
("206","23","5160"),
("207","23","5161"),
("208","23","5162"),
("209","23","5163"),
("210","23","5164"),
("211","23","5165"),
("212","23","5166"),
("213","23","5167"),
("214","23","5168"),
("215","23","5169"),
("216","23","5170"),
("217","23","5171"),
("218","23","5172"),
("219","23","5173"),
("220","23","5174"),
("221","23","5175"),
("222","23","5176"),
("224","23","5177"),
("225","23","5178"),
("226","23","5179"),
("227","23","5180"),
("228","23","5181"),
("229","23","5182"),
("230","23","5183"),
("231","23","5184"),
("232","23","5185"),
("234","23","5186"),
("235","23","5187"),
("236","23","5188"),
("237","23","5189"),
("238","23","5190"),
("239","23","5191"),
("240","23","5192"),
("241","23","5193"),
("242","23","5194"),
("243","23","5195"),
("244","23","5196"),
("245","23","5197"),
("246","23","5198"),
("247","23","5199"),
("248","23","5200"),
("249","23","5201"),
("250","23","5202"),
("252","23","5203"),
("253","23","5204"),
("254","23","5205"),
("255","23","5206"),
("35","23","5207"),
("36","23","5208"),
("37","23","5209"),
("38","23","5210"),
("51","23","5211"),
("52","23","5212"),
("53","23","5213"),
("54","23","5214"),
("58","23","5215"),
("72","23","5216"),
("73","23","5217"),
("74","23","5218"),
("75","23","5219"),
("106","23","5220"),
("107","23","5221"),
("108","23","5222"),
("109","23","5223"),
("111","23","5224"),
("118","23","5225"),
("119","23","5226"),
("120","23","5227"),
("121","23","5228"),
("122","23","5229"),
("123","23","5230"),
("170","23","5231"),
("171","23","5232"),
("172","23","5233"),
("173","23","5234"),
("174","23","5235"),
("175","23","5236"),
("176","23","5237"),
("177","23","5238"),
("178","23","5239"),
("179","23","5240"),
("180","23","5241"),
("181","23","5242"),
("182","23","5243"),
("183","23","5244"),
("184","23","5245"),
("185","23","5246"),
("186","23","5247"),
("190","23","5248"),
("64","23","5249"),
("65","23","5250"),
("66","23","5251"),
("67","23","5252"),
("113","23","5253"),
("114","23","5254"),
("115","23","5255"),
("116","23","5256"),
("125","23","5257"),
("126","23","5258"),
("127","23","5259"),
("128","23","5260"),
("129","23","5261"),
("130","23","5262"),
("131","23","5263"),
("132","23","5264"),
("133","23","5265"),
("134","23","5266"),
("135","23","5267"),
("136","23","5268"),
("137","23","5269"),
("138","23","5270"),
("139","23","5271"),
("140","23","5272"),
("141","23","5273"),
("142","23","5274"),
("143","23","5275"),
("144","23","5276"),
("145","23","5277"),
("146","23","5278"),
("147","23","5279"),
("148","23","5280"),
("149","23","5281"),
("150","23","5282"),
("151","23","5283"),
("152","23","5284"),
("153","23","5285"),
("154","23","5286"),
("155","23","5287"),
("156","23","5288"),
("157","23","5289"),
("158","23","5290"),
("159","23","5291"),
("160","23","5292"),
("166","23","5293"),
("167","23","5294"),
("168","23","5295"),
("169","23","5296"),
("191","23","5297"),
("192","23","5298"),
("193","23","5299"),
("194","23","5300"),
("195","23","5301"),
("5","26","6795"),
("261","26","6796"),
("6","26","6797"),
("262","26","6798"),
("7","26","6799"),
("263","26","6800"),
("8","26","6801"),
("264","26","6802"),
("101","26","6803"),
("256","25","7644"),
("1","25","7645"),
("257","25","7646"),
("2","25","7647"),
("258","25","7648"),
("3","25","7649"),
("259","25","7650"),
("4","25","7651"),
("260","25","7652"),
("5","25","7653"),
("261","25","7654"),
("6","25","7655"),
("262","25","7656"),
("7","25","7657"),
("263","25","7658"),
("8","25","7659"),
("264","25","7660"),
("9","25","7661"),
("10","25","7662"),
("11","25","7663"),
("12","25","7664"),
("13","25","7665"),
("14","25","7666"),
("15","25","7667"),
("16","25","7668"),
("17","25","7669"),
("18","25","7670"),
("19","25","7671"),
("20","25","7672"),
("21","25","7673"),
("22","25","7674"),
("23","25","7675"),
("24","25","7676"),
("25","25","7677"),
("26","25","7678"),
("27","25","7679"),
("28","25","7680"),
("29","25","7681"),
("30","25","7682"),
("31","25","7683"),
("32","25","7684"),
("33","25","7685"),
("34","25","7686"),
("39","25","7687"),
("40","25","7688"),
("41","25","7689"),
("42","25","7690"),
("55","25","7691"),
("56","25","7692"),
("57","25","7693"),
("59","25","7694"),
("60","25","7695"),
("61","25","7696"),
("62","25","7697"),
("63","25","7698"),
("76","25","7699"),
("77","25","7700"),
("78","25","7701"),
("79","25","7702"),
("84","25","7703"),
("85","25","7704"),
("86","25","7705"),
("87","25","7706"),
("88","25","7707"),
("89","25","7708"),
("90","25","7709"),
("91","25","7710"),
("92","25","7711"),
("93","25","7712"),
("94","25","7713"),
("95","25","7714"),
("96","25","7715"),
("97","25","7716"),
("98","25","7717"),
("99","25","7718"),
("100","25","7719"),
("101","25","7720"),
("102","25","7721"),
("103","25","7722"),
("104","25","7723"),
("105","25","7724"),
("110","25","7725"),
("112","25","7726"),
("117","25","7727"),
("124","25","7728"),
("161","25","7729"),
("187","25","7730"),
("188","25","7731"),
("189","25","7732"),
("196","25","7733"),
("197","25","7734"),
("198","25","7735"),
("199","25","7736"),
("202","25","7737"),
("203","25","7738"),
("204","25","7739"),
("205","25","7740"),
("206","25","7741"),
("207","25","7742"),
("208","25","7743"),
("209","25","7744"),
("210","25","7745"),
("211","25","7746"),
("212","25","7747"),
("213","25","7748"),
("214","25","7749"),
("215","25","7750"),
("216","25","7751"),
("217","25","7752"),
("218","25","7753"),
("219","25","7754"),
("220","25","7755"),
("221","25","7756"),
("222","25","7757"),
("224","25","7758"),
("225","25","7759"),
("226","25","7760"),
("227","25","7761"),
("228","25","7762"),
("229","25","7763"),
("230","25","7764"),
("231","25","7765"),
("232","25","7766"),
("234","25","7767"),
("235","25","7768"),
("236","25","7769"),
("237","25","7770"),
("238","25","7771"),
("239","25","7772"),
("240","25","7773"),
("241","25","7774"),
("242","25","7775"),
("243","25","7776"),
("244","25","7777"),
("245","25","7778"),
("246","25","7779"),
("247","25","7780"),
("248","25","7781"),
("249","25","7782"),
("250","25","7783"),
("252","25","7784"),
("253","25","7785"),
("254","25","7786"),
("255","25","7787"),
("35","25","7788"),
("36","25","7789"),
("37","25","7790"),
("38","25","7791"),
("51","25","7792"),
("52","25","7793"),
("53","25","7794"),
("54","25","7795"),
("58","25","7796"),
("72","25","7797"),
("73","25","7798"),
("74","25","7799"),
("75","25","7800"),
("106","25","7801"),
("107","25","7802"),
("108","25","7803"),
("109","25","7804"),
("111","25","7805"),
("118","25","7806"),
("119","25","7807"),
("120","25","7808"),
("121","25","7809"),
("122","25","7810"),
("123","25","7811"),
("170","25","7812"),
("171","25","7813"),
("172","25","7814"),
("173","25","7815"),
("174","25","7816"),
("175","25","7817"),
("176","25","7818"),
("177","25","7819"),
("178","25","7820"),
("179","25","7821"),
("180","25","7822"),
("181","25","7823"),
("182","25","7824"),
("183","25","7825"),
("184","25","7826"),
("185","25","7827"),
("186","25","7828"),
("190","25","7829"),
("64","25","7830"),
("65","25","7831"),
("66","25","7832"),
("67","25","7833"),
("113","25","7834"),
("114","25","7835"),
("115","25","7836"),
("116","25","7837"),
("125","25","7838"),
("126","25","7839"),
("127","25","7840"),
("128","25","7841"),
("129","25","7842"),
("130","25","7843"),
("131","25","7844"),
("132","25","7845"),
("133","25","7846"),
("134","25","7847"),
("135","25","7848"),
("136","25","7849"),
("137","25","7850"),
("138","25","7851"),
("139","25","7852"),
("140","25","7853"),
("141","25","7854"),
("142","25","7855"),
("143","25","7856"),
("144","25","7857"),
("145","25","7858"),
("146","25","7859"),
("147","25","7860"),
("148","25","7861"),
("149","25","7862"),
("150","25","7863"),
("151","25","7864"),
("152","25","7865"),
("153","25","7866"),
("154","25","7867"),
("155","25","7868"),
("156","25","7869"),
("159","25","7870"),
("160","25","7871"),
("166","25","7872"),
("167","25","7873"),
("168","25","7874"),
("169","25","7875"),
("191","25","7876"),
("192","25","7877"),
("193","25","7878"),
("194","25","7879"),
("195","25","7880"),
("1","27","8175"),
("2","27","8176"),
("3","27","8177"),
("4","27","8178"),
("5","27","8179"),
("6","27","8180"),
("7","27","8181"),
("8","27","8182"),
("100","27","8183"),
("101","27","8184"),
("257","28","8185"),
("258","28","8186"),
("259","28","8187"),
("260","28","8188"),
("24","28","8189"),
("25","28","8190"),
("26","28","8191"),
("27","28","8192"),
("28","28","8193"),
("29","28","8194"),
("104","28","8195"),
("256","29","8201"),
("1","29","8202"),
("257","29","8203"),
("2","29","8204"),
("258","29","8205"),
("3","29","8206"),
("259","29","8207"),
("4","29","8208"),
("260","29","8209"),
("5","29","8210"),
("261","29","8211"),
("6","29","8212"),
("262","29","8213"),
("7","29","8214"),
("263","29","8215"),
("8","29","8216"),
("264","29","8217"),
("9","29","8218"),
("10","29","8219"),
("11","29","8220"),
("12","29","8221"),
("13","29","8222"),
("14","29","8223"),
("15","29","8224"),
("16","29","8225"),
("17","29","8226"),
("18","29","8227"),
("19","29","8228"),
("20","29","8229"),
("21","29","8230"),
("22","29","8231"),
("23","29","8232"),
("24","29","8233"),
("25","29","8234"),
("26","29","8235"),
("27","29","8236"),
("28","29","8237"),
("29","29","8238"),
("30","29","8239"),
("31","29","8240"),
("32","29","8241"),
("33","29","8242"),
("34","29","8243"),
("39","29","8244"),
("40","29","8245"),
("41","29","8246"),
("42","29","8247"),
("55","29","8248"),
("56","29","8249"),
("57","29","8250"),
("59","29","8251"),
("60","29","8252"),
("61","29","8253"),
("62","29","8254"),
("63","29","8255"),
("76","29","8256"),
("77","29","8257"),
("78","29","8258"),
("79","29","8259"),
("84","29","8260"),
("85","29","8261"),
("86","29","8262"),
("87","29","8263"),
("88","29","8264"),
("89","29","8265"),
("90","29","8266"),
("91","29","8267"),
("92","29","8268"),
("93","29","8269"),
("94","29","8270"),
("95","29","8271"),
("96","29","8272"),
("97","29","8273"),
("98","29","8274"),
("99","29","8275"),
("100","29","8276"),
("101","29","8277"),
("102","29","8278"),
("103","29","8279"),
("104","29","8280"),
("105","29","8281"),
("110","29","8282"),
("112","29","8283"),
("117","29","8284"),
("124","29","8285"),
("161","29","8286"),
("187","29","8287"),
("188","29","8288"),
("189","29","8289"),
("196","29","8290"),
("197","29","8291"),
("198","29","8292"),
("199","29","8293"),
("200","29","8294"),
("201","29","8295"),
("202","29","8296"),
("203","29","8297"),
("204","29","8298"),
("205","29","8299"),
("206","29","8300"),
("207","29","8301"),
("208","29","8302"),
("209","29","8303"),
("210","29","8304"),
("211","29","8305"),
("212","29","8306"),
("213","29","8307"),
("214","29","8308"),
("215","29","8309"),
("216","29","8310"),
("217","29","8311"),
("218","29","8312"),
("219","29","8313"),
("220","29","8314"),
("221","29","8315"),
("222","29","8316"),
("224","29","8317"),
("225","29","8318"),
("226","29","8319"),
("227","29","8320"),
("228","29","8321"),
("229","29","8322"),
("230","29","8323"),
("231","29","8324"),
("232","29","8325"),
("234","29","8326"),
("235","29","8327"),
("236","29","8328"),
("237","29","8329"),
("238","29","8330"),
("239","29","8331"),
("240","29","8332"),
("241","29","8333"),
("242","29","8334"),
("243","29","8335"),
("244","29","8336"),
("245","29","8337"),
("246","29","8338"),
("247","29","8339"),
("248","29","8340"),
("249","29","8341"),
("250","29","8342"),
("252","29","8343"),
("253","29","8344"),
("254","29","8345"),
("255","29","8346"),
("256","35","8347"),
("1","35","8348"),
("257","35","8349"),
("2","35","8350"),
("258","35","8351"),
("3","35","8352"),
("259","35","8353"),
("4","35","8354"),
("260","35","8355"),
("5","35","8356"),
("261","35","8357"),
("6","35","8358"),
("262","35","8359"),
("263","35","8360"),
("8","35","8361"),
("264","35","8362"),
("9","35","8363"),
("10","35","8364"),
("11","35","8365"),
("12","35","8366"),
("13","35","8367"),
("14","35","8368"),
("15","35","8369"),
("16","35","8370"),
("17","35","8371"),
("18","35","8372"),
("19","35","8373"),
("20","35","8374"),
("21","35","8375"),
("22","35","8376"),
("23","35","8377"),
("24","35","8378"),
("25","35","8379"),
("26","35","8380"),
("27","35","8381"),
("28","35","8382"),
("29","35","8383"),
("30","35","8384"),
("31","35","8385"),
("32","35","8386"),
("33","35","8387"),
("34","35","8388"),
("39","35","8389"),
("40","35","8390"),
("41","35","8391"),
("42","35","8392"),
("55","35","8393"),
("56","35","8394"),
("57","35","8395"),
("59","35","8396"),
("60","35","8397"),
("61","35","8398"),
("62","35","8399"),
("63","35","8400"),
("76","35","8401"),
("77","35","8402"),
("78","35","8403"),
("79","35","8404"),
("84","35","8405"),
("85","35","8406"),
("86","35","8407"),
("87","35","8408"),
("88","35","8409"),
("89","35","8410"),
("90","35","8411"),
("91","35","8412"),
("92","35","8413"),
("93","35","8414"),
("94","35","8415"),
("95","35","8416"),
("96","35","8417"),
("97","35","8418"),
("98","35","8419"),
("99","35","8420"),
("100","35","8421"),
("101","35","8422"),
("102","35","8423"),
("103","35","8424"),
("104","35","8425"),
("105","35","8426"),
("110","35","8427"),
("112","35","8428"),
("117","35","8429"),
("124","35","8430"),
("161","35","8431"),
("187","35","8432"),
("188","35","8433"),
("189","35","8434"),
("196","35","8435"),
("197","35","8436"),
("198","35","8437"),
("199","35","8438"),
("200","35","8439"),
("201","35","8440"),
("202","35","8441"),
("203","35","8442"),
("204","35","8443"),
("205","35","8444"),
("206","35","8445"),
("207","35","8446"),
("208","35","8447"),
("209","35","8448"),
("210","35","8449"),
("211","35","8450"),
("212","35","8451"),
("213","35","8452"),
("214","35","8453"),
("215","35","8454"),
("216","35","8455"),
("217","35","8456"),
("218","35","8457"),
("219","35","8458"),
("220","35","8459"),
("221","35","8460"),
("222","35","8461"),
("224","35","8462"),
("225","35","8463"),
("226","35","8464"),
("227","35","8465"),
("228","35","8466"),
("229","35","8467"),
("230","35","8468"),
("231","35","8469"),
("232","35","8470"),
("234","35","8471"),
("235","35","8472"),
("236","35","8473"),
("237","35","8474"),
("238","35","8475"),
("239","35","8476"),
("240","35","8477"),
("241","35","8478"),
("242","35","8479"),
("243","35","8480"),
("244","35","8481"),
("245","35","8482"),
("246","35","8483"),
("247","35","8484"),
("248","35","8485"),
("249","35","8486"),
("250","35","8487"),
("252","35","8488"),
("253","35","8489"),
("254","35","8490"),
("255","35","8491"),
("35","35","8492"),
("36","35","8493"),
("37","35","8494"),
("38","35","8495"),
("51","35","8496"),
("52","35","8497"),
("53","35","8498"),
("54","35","8499"),
("58","35","8500"),
("72","35","8501"),
("73","35","8502"),
("74","35","8503"),
("75","35","8504"),
("106","35","8505"),
("107","35","8506"),
("108","35","8507"),
("109","35","8508"),
("111","35","8509"),
("118","35","8510"),
("119","35","8511"),
("120","35","8512"),
("121","35","8513"),
("122","35","8514"),
("123","35","8515"),
("170","35","8516"),
("171","35","8517"),
("172","35","8518"),
("173","35","8519"),
("174","35","8520"),
("175","35","8521"),
("176","35","8522"),
("177","35","8523"),
("178","35","8524"),
("179","35","8525"),
("180","35","8526"),
("181","35","8527"),
("182","35","8528"),
("183","35","8529"),
("184","35","8530"),
("185","35","8531"),
("186","35","8532"),
("190","35","8533"),
("64","35","8534"),
("65","35","8535"),
("66","35","8536"),
("67","35","8537"),
("113","35","8538"),
("114","35","8539"),
("115","35","8540"),
("116","35","8541"),
("125","35","8542"),
("126","35","8543"),
("127","35","8544"),
("128","35","8545"),
("129","35","8546"),
("130","35","8547"),
("131","35","8548"),
("132","35","8549"),
("133","35","8550"),
("134","35","8551"),
("135","35","8552"),
("136","35","8553"),
("137","35","8554"),
("138","35","8555"),
("139","35","8556"),
("140","35","8557"),
("141","35","8558"),
("142","35","8559"),
("143","35","8560"),
("144","35","8561"),
("145","35","8562"),
("146","35","8563"),
("147","35","8564"),
("148","35","8565"),
("149","35","8566"),
("150","35","8567"),
("151","35","8568"),
("152","35","8569"),
("153","35","8570"),
("154","35","8571"),
("155","35","8572"),
("156","35","8573"),
("157","35","8574"),
("158","35","8575"),
("159","35","8576"),
("160","35","8577"),
("166","35","8578"),
("167","35","8579"),
("168","35","8580"),
("169","35","8581"),
("191","35","8582"),
("192","35","8583"),
("193","35","8584"),
("194","35","8585"),
("195","35","8586"),
("256","34","8587"),
("1","34","8588"),
("257","34","8589"),
("2","34","8590"),
("258","34","8591"),
("3","34","8592"),
("259","34","8593"),
("4","34","8594"),
("260","34","8595"),
("5","34","8596"),
("261","34","8597"),
("6","34","8598"),
("262","34","8599"),
("7","34","8600"),
("263","34","8601"),
("8","34","8602"),
("264","34","8603"),
("9","34","8604"),
("10","34","8605"),
("11","34","8606"),
("12","34","8607"),
("13","34","8608"),
("14","34","8609"),
("15","34","8610"),
("16","34","8611"),
("17","34","8612"),
("18","34","8613"),
("19","34","8614"),
("20","34","8615"),
("21","34","8616"),
("22","34","8617"),
("23","34","8618"),
("24","34","8619"),
("25","34","8620"),
("26","34","8621"),
("27","34","8622"),
("28","34","8623"),
("29","34","8624"),
("30","34","8625"),
("31","34","8626"),
("32","34","8627"),
("33","34","8628"),
("34","34","8629"),
("39","34","8630"),
("40","34","8631"),
("41","34","8632"),
("42","34","8633"),
("55","34","8634"),
("56","34","8635"),
("57","34","8636"),
("59","34","8637"),
("60","34","8638"),
("61","34","8639"),
("62","34","8640"),
("63","34","8641"),
("76","34","8642"),
("77","34","8643"),
("78","34","8644"),
("79","34","8645"),
("84","34","8646"),
("85","34","8647"),
("86","34","8648"),
("87","34","8649"),
("88","34","8650"),
("89","34","8651"),
("90","34","8652"),
("91","34","8653"),
("92","34","8654"),
("93","34","8655"),
("94","34","8656"),
("95","34","8657"),
("96","34","8658"),
("97","34","8659"),
("98","34","8660"),
("99","34","8661"),
("100","34","8662"),
("101","34","8663"),
("102","34","8664"),
("103","34","8665"),
("104","34","8666"),
("105","34","8667"),
("110","34","8668"),
("112","34","8669"),
("117","34","8670"),
("124","34","8671"),
("161","34","8672"),
("187","34","8673"),
("188","34","8674"),
("189","34","8675"),
("196","34","8676"),
("197","34","8677"),
("198","34","8678"),
("199","34","8679"),
("200","34","8680"),
("201","34","8681"),
("202","34","8682"),
("203","34","8683"),
("204","34","8684"),
("205","34","8685"),
("206","34","8686"),
("207","34","8687"),
("208","34","8688"),
("209","34","8689"),
("210","34","8690"),
("211","34","8691"),
("212","34","8692"),
("213","34","8693"),
("214","34","8694"),
("215","34","8695"),
("216","34","8696"),
("217","34","8697"),
("218","34","8698"),
("219","34","8699"),
("220","34","8700"),
("221","34","8701"),
("222","34","8702"),
("224","34","8703"),
("225","34","8704"),
("226","34","8705"),
("227","34","8706"),
("228","34","8707"),
("229","34","8708"),
("230","34","8709"),
("231","34","8710"),
("232","34","8711"),
("234","34","8712"),
("235","34","8713"),
("236","34","8714"),
("237","34","8715"),
("238","34","8716"),
("239","34","8717"),
("240","34","8718"),
("241","34","8719"),
("242","34","8720"),
("243","34","8721"),
("244","34","8722"),
("245","34","8723"),
("246","34","8724"),
("247","34","8725"),
("248","34","8726"),
("249","34","8727"),
("250","34","8728"),
("252","34","8729"),
("253","34","8730"),
("254","34","8731"),
("255","34","8732"),
("35","34","8733"),
("36","34","8734"),
("37","34","8735"),
("38","34","8736"),
("51","34","8737"),
("52","34","8738"),
("53","34","8739"),
("54","34","8740"),
("58","34","8741"),
("72","34","8742"),
("73","34","8743"),
("74","34","8744"),
("75","34","8745"),
("106","34","8746"),
("107","34","8747"),
("108","34","8748"),
("109","34","8749"),
("111","34","8750"),
("118","34","8751"),
("119","34","8752"),
("120","34","8753"),
("121","34","8754"),
("122","34","8755"),
("123","34","8756"),
("170","34","8757"),
("171","34","8758"),
("172","34","8759"),
("173","34","8760"),
("174","34","8761"),
("175","34","8762"),
("176","34","8763"),
("177","34","8764"),
("178","34","8765"),
("179","34","8766"),
("180","34","8767"),
("181","34","8768"),
("182","34","8769"),
("183","34","8770"),
("184","34","8771"),
("185","34","8772"),
("186","34","8773"),
("190","34","8774"),
("64","34","8775"),
("65","34","8776"),
("66","34","8777"),
("67","34","8778"),
("113","34","8779"),
("114","34","8780"),
("115","34","8781"),
("116","34","8782"),
("125","34","8783"),
("126","34","8784"),
("127","34","8785"),
("128","34","8786"),
("129","34","8787"),
("130","34","8788"),
("131","34","8789"),
("132","34","8790"),
("133","34","8791"),
("134","34","8792"),
("135","34","8793"),
("136","34","8794"),
("137","34","8795"),
("138","34","8796"),
("139","34","8797"),
("140","34","8798"),
("141","34","8799"),
("142","34","8800"),
("143","34","8801"),
("144","34","8802"),
("145","34","8803"),
("146","34","8804"),
("147","34","8805"),
("148","34","8806"),
("149","34","8807"),
("150","34","8808"),
("151","34","8809"),
("152","34","8810"),
("153","34","8811"),
("154","34","8812"),
("155","34","8813"),
("156","34","8814"),
("157","34","8815"),
("158","34","8816"),
("159","34","8817"),
("160","34","8818"),
("166","34","8819"),
("167","34","8820"),
("168","34","8821"),
("169","34","8822"),
("191","34","8823"),
("192","34","8824"),
("193","34","8825"),
("194","34","8826"),
("195","34","8827"),
("256","33","8828"),
("1","33","8829"),
("257","33","8830"),
("2","33","8831"),
("258","33","8832"),
("3","33","8833"),
("259","33","8834"),
("4","33","8835"),
("260","33","8836"),
("5","33","8837"),
("261","33","8838"),
("6","33","8839"),
("262","33","8840"),
("7","33","8841"),
("263","33","8842"),
("8","33","8843"),
("264","33","8844"),
("9","33","8845"),
("10","33","8846"),
("11","33","8847"),
("12","33","8848"),
("13","33","8849"),
("14","33","8850"),
("15","33","8851"),
("16","33","8852"),
("17","33","8853"),
("18","33","8854"),
("19","33","8855"),
("20","33","8856"),
("21","33","8857"),
("22","33","8858"),
("23","33","8859"),
("24","33","8860"),
("25","33","8861"),
("26","33","8862"),
("27","33","8863"),
("28","33","8864"),
("29","33","8865"),
("30","33","8866"),
("31","33","8867"),
("32","33","8868"),
("33","33","8869"),
("34","33","8870"),
("39","33","8871"),
("40","33","8872"),
("41","33","8873"),
("42","33","8874"),
("55","33","8875"),
("56","33","8876"),
("57","33","8877"),
("59","33","8878"),
("60","33","8879"),
("61","33","8880"),
("62","33","8881"),
("63","33","8882"),
("76","33","8883"),
("77","33","8884"),
("78","33","8885"),
("79","33","8886"),
("84","33","8887"),
("85","33","8888"),
("86","33","8889"),
("87","33","8890"),
("88","33","8891"),
("89","33","8892"),
("90","33","8893"),
("91","33","8894"),
("92","33","8895"),
("93","33","8896"),
("94","33","8897"),
("95","33","8898"),
("96","33","8899"),
("97","33","8900"),
("98","33","8901"),
("99","33","8902"),
("100","33","8903"),
("101","33","8904"),
("102","33","8905"),
("103","33","8906"),
("104","33","8907"),
("105","33","8908"),
("110","33","8909"),
("112","33","8910"),
("117","33","8911"),
("124","33","8912"),
("161","33","8913"),
("187","33","8914"),
("188","33","8915"),
("189","33","8916"),
("196","33","8917"),
("197","33","8918"),
("198","33","8919"),
("199","33","8920"),
("200","33","8921"),
("201","33","8922"),
("202","33","8923"),
("203","33","8924"),
("204","33","8925"),
("205","33","8926"),
("206","33","8927"),
("207","33","8928"),
("208","33","8929"),
("209","33","8930"),
("210","33","8931"),
("211","33","8932"),
("212","33","8933"),
("213","33","8934"),
("214","33","8935"),
("215","33","8936"),
("216","33","8937"),
("217","33","8938"),
("218","33","8939"),
("219","33","8940"),
("220","33","8941"),
("221","33","8942"),
("222","33","8943"),
("224","33","8944"),
("225","33","8945"),
("226","33","8946"),
("227","33","8947"),
("228","33","8948"),
("229","33","8949"),
("230","33","8950"),
("231","33","8951"),
("232","33","8952"),
("234","33","8953"),
("235","33","8954"),
("236","33","8955"),
("237","33","8956"),
("238","33","8957"),
("239","33","8958"),
("240","33","8959"),
("241","33","8960"),
("242","33","8961"),
("243","33","8962"),
("244","33","8963"),
("245","33","8964"),
("246","33","8965"),
("247","33","8966"),
("248","33","8967"),
("249","33","8968"),
("250","33","8969"),
("252","33","8970"),
("253","33","8971"),
("254","33","8972"),
("255","33","8973"),
("35","33","8974"),
("36","33","8975"),
("37","33","8976"),
("38","33","8977"),
("51","33","8978"),
("52","33","8979"),
("53","33","8980"),
("54","33","8981"),
("58","33","8982"),
("72","33","8983"),
("73","33","8984"),
("74","33","8985"),
("75","33","8986"),
("106","33","8987"),
("107","33","8988"),
("108","33","8989"),
("109","33","8990"),
("111","33","8991"),
("118","33","8992"),
("119","33","8993"),
("120","33","8994"),
("121","33","8995"),
("122","33","8996"),
("123","33","8997"),
("170","33","8998"),
("171","33","8999"),
("172","33","9000"),
("173","33","9001"),
("174","33","9002"),
("175","33","9003"),
("176","33","9004"),
("177","33","9005"),
("178","33","9006"),
("179","33","9007"),
("180","33","9008"),
("181","33","9009"),
("182","33","9010"),
("183","33","9011"),
("184","33","9012"),
("185","33","9013"),
("186","33","9014"),
("190","33","9015"),
("64","33","9016"),
("65","33","9017"),
("66","33","9018"),
("67","33","9019"),
("113","33","9020"),
("114","33","9021"),
("115","33","9022"),
("116","33","9023"),
("125","33","9024"),
("126","33","9025"),
("127","33","9026"),
("128","33","9027"),
("129","33","9028"),
("130","33","9029"),
("131","33","9030"),
("132","33","9031"),
("133","33","9032"),
("134","33","9033"),
("135","33","9034"),
("136","33","9035"),
("137","33","9036"),
("138","33","9037"),
("139","33","9038"),
("140","33","9039"),
("141","33","9040"),
("142","33","9041"),
("143","33","9042"),
("144","33","9043"),
("145","33","9044"),
("146","33","9045"),
("147","33","9046"),
("148","33","9047"),
("149","33","9048"),
("150","33","9049"),
("151","33","9050"),
("152","33","9051"),
("153","33","9052"),
("154","33","9053"),
("155","33","9054"),
("156","33","9055"),
("157","33","9056"),
("158","33","9057"),
("159","33","9058"),
("160","33","9059"),
("166","33","9060"),
("167","33","9061"),
("168","33","9062"),
("169","33","9063"),
("191","33","9064"),
("192","33","9065"),
("193","33","9066"),
("194","33","9067"),
("195","33","9068"),
("256","32","9069"),
("1","32","9070"),
("257","32","9071"),
("2","32","9072"),
("258","32","9073"),
("3","32","9074"),
("259","32","9075"),
("4","32","9076"),
("260","32","9077"),
("5","32","9078"),
("261","32","9079"),
("6","32","9080"),
("262","32","9081"),
("7","32","9082"),
("263","32","9083"),
("8","32","9084"),
("264","32","9085"),
("9","32","9086"),
("10","32","9087"),
("11","32","9088"),
("12","32","9089"),
("13","32","9090"),
("14","32","9091"),
("15","32","9092"),
("16","32","9093"),
("17","32","9094"),
("18","32","9095"),
("19","32","9096"),
("20","32","9097"),
("21","32","9098"),
("22","32","9099"),
("23","32","9100"),
("24","32","9101"),
("25","32","9102"),
("26","32","9103"),
("27","32","9104"),
("28","32","9105"),
("29","32","9106"),
("30","32","9107"),
("31","32","9108"),
("32","32","9109"),
("33","32","9110"),
("34","32","9111"),
("39","32","9112"),
("40","32","9113"),
("41","32","9114"),
("42","32","9115"),
("55","32","9116"),
("56","32","9117"),
("57","32","9118"),
("59","32","9119"),
("60","32","9120"),
("61","32","9121"),
("62","32","9122"),
("63","32","9123"),
("76","32","9124"),
("77","32","9125"),
("78","32","9126"),
("79","32","9127"),
("84","32","9128"),
("85","32","9129"),
("86","32","9130"),
("87","32","9131"),
("88","32","9132"),
("89","32","9133"),
("90","32","9134"),
("91","32","9135"),
("92","32","9136"),
("93","32","9137"),
("94","32","9138"),
("95","32","9139"),
("96","32","9140"),
("97","32","9141"),
("98","32","9142"),
("99","32","9143"),
("100","32","9144"),
("101","32","9145"),
("102","32","9146"),
("103","32","9147"),
("104","32","9148"),
("105","32","9149"),
("110","32","9150"),
("112","32","9151"),
("117","32","9152"),
("124","32","9153"),
("161","32","9154"),
("187","32","9155"),
("188","32","9156"),
("189","32","9157"),
("196","32","9158"),
("197","32","9159"),
("198","32","9160"),
("199","32","9161"),
("200","32","9162"),
("201","32","9163"),
("202","32","9164"),
("203","32","9165"),
("204","32","9166"),
("205","32","9167"),
("206","32","9168"),
("207","32","9169"),
("208","32","9170"),
("209","32","9171"),
("210","32","9172"),
("211","32","9173"),
("212","32","9174"),
("213","32","9175"),
("214","32","9176"),
("215","32","9177"),
("216","32","9178"),
("217","32","9179"),
("218","32","9180"),
("219","32","9181"),
("220","32","9182"),
("221","32","9183"),
("222","32","9184"),
("224","32","9185"),
("225","32","9186"),
("226","32","9187"),
("227","32","9188"),
("228","32","9189"),
("229","32","9190"),
("230","32","9191"),
("231","32","9192"),
("232","32","9193"),
("234","32","9194"),
("235","32","9195"),
("236","32","9196"),
("237","32","9197"),
("238","32","9198"),
("239","32","9199"),
("240","32","9200"),
("241","32","9201"),
("242","32","9202"),
("243","32","9203"),
("244","32","9204"),
("245","32","9205"),
("246","32","9206"),
("247","32","9207"),
("248","32","9208"),
("249","32","9209"),
("250","32","9210"),
("252","32","9211"),
("253","32","9212"),
("254","32","9213"),
("255","32","9214"),
("35","32","9215"),
("36","32","9216"),
("37","32","9217"),
("38","32","9218"),
("51","32","9219"),
("52","32","9220"),
("53","32","9221"),
("54","32","9222"),
("58","32","9223"),
("72","32","9224"),
("73","32","9225"),
("74","32","9226"),
("75","32","9227"),
("106","32","9228"),
("107","32","9229"),
("108","32","9230"),
("109","32","9231"),
("111","32","9232"),
("118","32","9233"),
("119","32","9234"),
("120","32","9235"),
("121","32","9236"),
("122","32","9237"),
("123","32","9238"),
("170","32","9239"),
("171","32","9240"),
("172","32","9241"),
("173","32","9242"),
("174","32","9243"),
("175","32","9244"),
("176","32","9245"),
("177","32","9246"),
("178","32","9247"),
("179","32","9248"),
("180","32","9249"),
("181","32","9250"),
("182","32","9251"),
("183","32","9252"),
("184","32","9253"),
("185","32","9254"),
("186","32","9255"),
("190","32","9256"),
("64","32","9257"),
("65","32","9258"),
("66","32","9259"),
("67","32","9260"),
("113","32","9261"),
("114","32","9262"),
("115","32","9263"),
("116","32","9264"),
("125","32","9265"),
("126","32","9266"),
("127","32","9267"),
("128","32","9268"),
("129","32","9269"),
("130","32","9270"),
("131","32","9271"),
("132","32","9272"),
("133","32","9273"),
("134","32","9274"),
("135","32","9275"),
("136","32","9276"),
("137","32","9277"),
("138","32","9278"),
("139","32","9279"),
("140","32","9280"),
("141","32","9281"),
("142","32","9282"),
("143","32","9283"),
("144","32","9284"),
("145","32","9285"),
("146","32","9286"),
("147","32","9287"),
("148","32","9288"),
("149","32","9289"),
("150","32","9290"),
("151","32","9291"),
("152","32","9292"),
("153","32","9293"),
("154","32","9294"),
("155","32","9295"),
("156","32","9296"),
("157","32","9297"),
("158","32","9298"),
("159","32","9299"),
("160","32","9300"),
("166","32","9301"),
("167","32","9302"),
("168","32","9303"),
("169","32","9304"),
("191","32","9305"),
("192","32","9306"),
("193","32","9307"),
("194","32","9308"),
("195","32","9309"),
("256","31","9310"),
("1","31","9311"),
("257","31","9312"),
("2","31","9313"),
("258","31","9314"),
("3","31","9315"),
("259","31","9316"),
("4","31","9317"),
("260","31","9318"),
("5","31","9319"),
("261","31","9320"),
("6","31","9321"),
("262","31","9322"),
("7","31","9323"),
("263","31","9324"),
("8","31","9325"),
("264","31","9326"),
("9","31","9327"),
("10","31","9328"),
("11","31","9329"),
("12","31","9330"),
("13","31","9331"),
("14","31","9332"),
("15","31","9333"),
("16","31","9334"),
("17","31","9335"),
("18","31","9336"),
("19","31","9337"),
("20","31","9338"),
("21","31","9339"),
("22","31","9340"),
("23","31","9341"),
("24","31","9342"),
("25","31","9343"),
("26","31","9344"),
("27","31","9345"),
("28","31","9346"),
("29","31","9347"),
("30","31","9348"),
("31","31","9349"),
("32","31","9350"),
("33","31","9351"),
("34","31","9352"),
("39","31","9353"),
("40","31","9354"),
("41","31","9355"),
("42","31","9356"),
("55","31","9357"),
("56","31","9358"),
("57","31","9359"),
("59","31","9360"),
("60","31","9361"),
("61","31","9362"),
("62","31","9363"),
("63","31","9364"),
("76","31","9365"),
("77","31","9366"),
("78","31","9367"),
("79","31","9368"),
("84","31","9369"),
("85","31","9370"),
("86","31","9371"),
("87","31","9372"),
("88","31","9373"),
("89","31","9374"),
("90","31","9375"),
("91","31","9376"),
("92","31","9377"),
("93","31","9378"),
("94","31","9379"),
("95","31","9380"),
("96","31","9381"),
("97","31","9382"),
("98","31","9383"),
("99","31","9384"),
("100","31","9385"),
("101","31","9386"),
("102","31","9387"),
("103","31","9388"),
("104","31","9389"),
("105","31","9390"),
("110","31","9391"),
("112","31","9392"),
("117","31","9393"),
("124","31","9394"),
("161","31","9395"),
("187","31","9396"),
("188","31","9397"),
("189","31","9398"),
("196","31","9399"),
("197","31","9400"),
("198","31","9401"),
("199","31","9402"),
("200","31","9403"),
("201","31","9404"),
("202","31","9405"),
("203","31","9406"),
("204","31","9407"),
("205","31","9408"),
("206","31","9409"),
("207","31","9410"),
("208","31","9411"),
("209","31","9412"),
("210","31","9413"),
("211","31","9414"),
("212","31","9415"),
("213","31","9416"),
("214","31","9417"),
("215","31","9418"),
("216","31","9419"),
("217","31","9420"),
("218","31","9421"),
("219","31","9422"),
("220","31","9423"),
("221","31","9424"),
("222","31","9425"),
("224","31","9426"),
("225","31","9427"),
("226","31","9428"),
("227","31","9429"),
("228","31","9430"),
("229","31","9431"),
("230","31","9432"),
("231","31","9433"),
("232","31","9434"),
("234","31","9435"),
("235","31","9436"),
("236","31","9437"),
("237","31","9438"),
("238","31","9439"),
("239","31","9440"),
("240","31","9441"),
("241","31","9442"),
("242","31","9443"),
("243","31","9444"),
("244","31","9445"),
("245","31","9446"),
("246","31","9447"),
("247","31","9448"),
("248","31","9449"),
("249","31","9450"),
("250","31","9451"),
("252","31","9452"),
("253","31","9453"),
("254","31","9454"),
("255","31","9455"),
("35","31","9456"),
("36","31","9457"),
("37","31","9458"),
("38","31","9459"),
("51","31","9460"),
("52","31","9461"),
("53","31","9462"),
("54","31","9463"),
("58","31","9464"),
("72","31","9465"),
("73","31","9466"),
("74","31","9467"),
("75","31","9468"),
("106","31","9469"),
("107","31","9470"),
("108","31","9471"),
("109","31","9472"),
("111","31","9473"),
("118","31","9474"),
("119","31","9475"),
("120","31","9476"),
("121","31","9477"),
("122","31","9478"),
("123","31","9479"),
("170","31","9480"),
("171","31","9481"),
("172","31","9482"),
("173","31","9483"),
("174","31","9484"),
("175","31","9485"),
("176","31","9486"),
("177","31","9487"),
("178","31","9488"),
("179","31","9489"),
("180","31","9490"),
("181","31","9491"),
("182","31","9492"),
("183","31","9493"),
("184","31","9494"),
("185","31","9495"),
("186","31","9496"),
("190","31","9497"),
("64","31","9498"),
("65","31","9499"),
("66","31","9500"),
("67","31","9501"),
("113","31","9502"),
("114","31","9503"),
("115","31","9504"),
("116","31","9505"),
("125","31","9506"),
("126","31","9507"),
("127","31","9508"),
("128","31","9509"),
("129","31","9510"),
("130","31","9511"),
("131","31","9512"),
("132","31","9513"),
("133","31","9514"),
("134","31","9515"),
("135","31","9516"),
("136","31","9517"),
("137","31","9518"),
("138","31","9519"),
("139","31","9520"),
("140","31","9521"),
("141","31","9522"),
("142","31","9523"),
("143","31","9524"),
("144","31","9525"),
("145","31","9526"),
("146","31","9527"),
("147","31","9528"),
("148","31","9529"),
("149","31","9530"),
("150","31","9531"),
("151","31","9532"),
("152","31","9533"),
("153","31","9534"),
("154","31","9535"),
("155","31","9536"),
("156","31","9537"),
("157","31","9538"),
("158","31","9539"),
("159","31","9540"),
("160","31","9541"),
("166","31","9542"),
("167","31","9543"),
("168","31","9544"),
("169","31","9545"),
("191","31","9546"),
("192","31","9547"),
("193","31","9548"),
("194","31","9549"),
("195","31","9550"),
("256","36","9551"),
("1","36","9552"),
("257","36","9553"),
("2","36","9554"),
("258","36","9555"),
("3","36","9556"),
("259","36","9557"),
("4","36","9558"),
("260","36","9559"),
("5","36","9560"),
("261","36","9561"),
("6","36","9562"),
("262","36","9563"),
("7","36","9564"),
("263","36","9565"),
("8","36","9566"),
("264","36","9567"),
("9","36","9568"),
("10","36","9569"),
("11","36","9570"),
("12","36","9571"),
("13","36","9572"),
("14","36","9573"),
("15","36","9574"),
("16","36","9575"),
("17","36","9576"),
("18","36","9577"),
("19","36","9578"),
("20","36","9579"),
("21","36","9580"),
("22","36","9581"),
("23","36","9582"),
("24","36","9583"),
("25","36","9584"),
("26","36","9585"),
("27","36","9586"),
("28","36","9587"),
("29","36","9588"),
("30","36","9589"),
("31","36","9590"),
("32","36","9591"),
("33","36","9592"),
("34","36","9593"),
("39","36","9594"),
("40","36","9595"),
("41","36","9596"),
("42","36","9597"),
("55","36","9598"),
("56","36","9599"),
("57","36","9600"),
("59","36","9601"),
("60","36","9602"),
("61","36","9603"),
("62","36","9604"),
("63","36","9605"),
("76","36","9606"),
("77","36","9607"),
("78","36","9608"),
("79","36","9609"),
("84","36","9610"),
("85","36","9611"),
("86","36","9612"),
("87","36","9613"),
("88","36","9614"),
("89","36","9615"),
("90","36","9616"),
("91","36","9617"),
("92","36","9618"),
("93","36","9619"),
("94","36","9620"),
("95","36","9621"),
("96","36","9622"),
("97","36","9623"),
("98","36","9624"),
("99","36","9625"),
("100","36","9626"),
("101","36","9627"),
("102","36","9628"),
("103","36","9629"),
("104","36","9630"),
("105","36","9631"),
("110","36","9632"),
("112","36","9633"),
("117","36","9634"),
("124","36","9635"),
("161","36","9636"),
("187","36","9637"),
("188","36","9638"),
("189","36","9639"),
("196","36","9640"),
("197","36","9641"),
("198","36","9642"),
("199","36","9643"),
("200","36","9644"),
("201","36","9645"),
("202","36","9646"),
("203","36","9647"),
("204","36","9648"),
("205","36","9649"),
("206","36","9650"),
("207","36","9651"),
("208","36","9652"),
("209","36","9653"),
("210","36","9654"),
("211","36","9655"),
("212","36","9656"),
("213","36","9657"),
("214","36","9658"),
("215","36","9659"),
("216","36","9660"),
("217","36","9661"),
("218","36","9662"),
("219","36","9663"),
("220","36","9664"),
("221","36","9665"),
("222","36","9666"),
("224","36","9667"),
("225","36","9668"),
("226","36","9669"),
("227","36","9670"),
("228","36","9671"),
("229","36","9672"),
("230","36","9673"),
("231","36","9674"),
("232","36","9675"),
("234","36","9676"),
("235","36","9677"),
("236","36","9678"),
("237","36","9679"),
("238","36","9680"),
("239","36","9681"),
("240","36","9682"),
("241","36","9683"),
("242","36","9684"),
("243","36","9685"),
("244","36","9686"),
("245","36","9687"),
("246","36","9688"),
("247","36","9689"),
("248","36","9690"),
("249","36","9691"),
("250","36","9692"),
("252","36","9693"),
("253","36","9694"),
("254","36","9695"),
("255","36","9696"),
("35","36","9697"),
("36","36","9698"),
("37","36","9699"),
("38","36","9700"),
("51","36","9701"),
("52","36","9702"),
("53","36","9703"),
("54","36","9704"),
("58","36","9705"),
("72","36","9706"),
("73","36","9707"),
("74","36","9708"),
("75","36","9709"),
("106","36","9710"),
("107","36","9711"),
("108","36","9712"),
("109","36","9713"),
("111","36","9714"),
("118","36","9715"),
("119","36","9716"),
("120","36","9717"),
("121","36","9718"),
("122","36","9719"),
("123","36","9720"),
("170","36","9721"),
("171","36","9722"),
("172","36","9723"),
("173","36","9724"),
("174","36","9725"),
("175","36","9726"),
("176","36","9727"),
("177","36","9728"),
("178","36","9729"),
("179","36","9730"),
("180","36","9731"),
("181","36","9732"),
("182","36","9733"),
("183","36","9734"),
("184","36","9735"),
("185","36","9736"),
("186","36","9737"),
("190","36","9738"),
("64","36","9739"),
("65","36","9740"),
("66","36","9741"),
("67","36","9742"),
("113","36","9743"),
("114","36","9744"),
("115","36","9745"),
("116","36","9746"),
("125","36","9747"),
("126","36","9748"),
("127","36","9749"),
("128","36","9750"),
("129","36","9751"),
("130","36","9752"),
("131","36","9753"),
("132","36","9754"),
("133","36","9755"),
("134","36","9756"),
("135","36","9757"),
("136","36","9758"),
("137","36","9759"),
("138","36","9760"),
("139","36","9761"),
("140","36","9762"),
("141","36","9763"),
("142","36","9764"),
("143","36","9765"),
("144","36","9766"),
("145","36","9767"),
("146","36","9768"),
("147","36","9769"),
("148","36","9770"),
("149","36","9771"),
("150","36","9772"),
("151","36","9773"),
("152","36","9774"),
("153","36","9775"),
("154","36","9776"),
("155","36","9777"),
("156","36","9778"),
("157","36","9779"),
("158","36","9780"),
("159","36","9781"),
("160","36","9782"),
("166","36","9783"),
("167","36","9784"),
("168","36","9785"),
("169","36","9786"),
("191","36","9787"),
("192","36","9788"),
("193","36","9789"),
("194","36","9790"),
("195","36","9791"),
("256","38","9792"),
("1","38","9793"),
("257","38","9794"),
("2","38","9795"),
("258","38","9796"),
("3","38","9797"),
("259","38","9798"),
("4","38","9799"),
("260","38","9800"),
("5","38","9801"),
("261","38","9802"),
("6","38","9803"),
("262","38","9804"),
("7","38","9805"),
("263","38","9806"),
("8","38","9807"),
("264","38","9808"),
("9","38","9809"),
("10","38","9810"),
("11","38","9811"),
("12","38","9812"),
("13","38","9813"),
("14","38","9814"),
("15","38","9815"),
("16","38","9816"),
("17","38","9817"),
("18","38","9818"),
("19","38","9819"),
("20","38","9820"),
("21","38","9821"),
("22","38","9822"),
("23","38","9823"),
("24","38","9824"),
("25","38","9825"),
("26","38","9826"),
("27","38","9827"),
("28","38","9828"),
("29","38","9829"),
("30","38","9830"),
("31","38","9831"),
("32","38","9832"),
("33","38","9833"),
("34","38","9834"),
("39","38","9835"),
("40","38","9836"),
("41","38","9837"),
("42","38","9838"),
("55","38","9839"),
("56","38","9840"),
("57","38","9841"),
("59","38","9842"),
("60","38","9843"),
("61","38","9844"),
("62","38","9845"),
("63","38","9846"),
("76","38","9847"),
("77","38","9848"),
("78","38","9849"),
("79","38","9850"),
("84","38","9851"),
("85","38","9852"),
("86","38","9853"),
("87","38","9854"),
("88","38","9855"),
("89","38","9856"),
("90","38","9857"),
("91","38","9858"),
("92","38","9859"),
("93","38","9860"),
("94","38","9861"),
("95","38","9862"),
("96","38","9863"),
("97","38","9864"),
("98","38","9865"),
("99","38","9866"),
("100","38","9867"),
("101","38","9868"),
("102","38","9869"),
("103","38","9870"),
("104","38","9871"),
("105","38","9872"),
("110","38","9873"),
("112","38","9874"),
("117","38","9875"),
("124","38","9876"),
("161","38","9877"),
("187","38","9878"),
("188","38","9879"),
("189","38","9880"),
("196","38","9881"),
("197","38","9882"),
("198","38","9883"),
("199","38","9884"),
("200","38","9885"),
("201","38","9886"),
("202","38","9887"),
("203","38","9888"),
("204","38","9889"),
("205","38","9890"),
("206","38","9891"),
("207","38","9892"),
("208","38","9893"),
("209","38","9894"),
("210","38","9895"),
("211","38","9896"),
("212","38","9897"),
("213","38","9898"),
("214","38","9899"),
("215","38","9900"),
("216","38","9901"),
("217","38","9902"),
("218","38","9903"),
("219","38","9904"),
("220","38","9905"),
("221","38","9906"),
("222","38","9907"),
("224","38","9908"),
("225","38","9909"),
("226","38","9910"),
("227","38","9911"),
("228","38","9912"),
("229","38","9913"),
("230","38","9914"),
("231","38","9915"),
("232","38","9916"),
("234","38","9917"),
("235","38","9918"),
("236","38","9919"),
("237","38","9920"),
("238","38","9921"),
("239","38","9922"),
("240","38","9923"),
("241","38","9924"),
("242","38","9925"),
("243","38","9926"),
("244","38","9927"),
("245","38","9928"),
("246","38","9929"),
("247","38","9930"),
("248","38","9931"),
("249","38","9932"),
("250","38","9933"),
("252","38","9934"),
("253","38","9935"),
("254","38","9936"),
("255","38","9937"),
("35","38","9938"),
("36","38","9939"),
("37","38","9940"),
("38","38","9941"),
("51","38","9942"),
("52","38","9943"),
("53","38","9944"),
("54","38","9945"),
("58","38","9946"),
("72","38","9947"),
("73","38","9948"),
("74","38","9949"),
("75","38","9950"),
("106","38","9951"),
("107","38","9952"),
("108","38","9953"),
("109","38","9954"),
("111","38","9955"),
("118","38","9956"),
("119","38","9957"),
("120","38","9958"),
("121","38","9959"),
("122","38","9960"),
("123","38","9961"),
("170","38","9962"),
("171","38","9963"),
("172","38","9964"),
("173","38","9965"),
("174","38","9966"),
("175","38","9967"),
("176","38","9968"),
("177","38","9969"),
("178","38","9970"),
("179","38","9971"),
("180","38","9972"),
("181","38","9973"),
("182","38","9974"),
("183","38","9975"),
("184","38","9976"),
("185","38","9977"),
("186","38","9978"),
("190","38","9979"),
("64","38","9980"),
("65","38","9981"),
("66","38","9982"),
("67","38","9983"),
("113","38","9984"),
("114","38","9985"),
("115","38","9986"),
("116","38","9987"),
("125","38","9988"),
("126","38","9989"),
("127","38","9990"),
("128","38","9991"),
("129","38","9992"),
("130","38","9993"),
("131","38","9994"),
("132","38","9995"),
("133","38","9996"),
("134","38","9997"),
("135","38","9998"),
("136","38","9999"),
("137","38","10000"),
("138","38","10001"),
("139","38","10002"),
("140","38","10003"),
("141","38","10004"),
("142","38","10005"),
("143","38","10006"),
("144","38","10007"),
("145","38","10008"),
("146","38","10009"),
("147","38","10010"),
("148","38","10011"),
("149","38","10012"),
("150","38","10013"),
("151","38","10014"),
("152","38","10015"),
("153","38","10016"),
("154","38","10017"),
("155","38","10018"),
("156","38","10019"),
("157","38","10020"),
("158","38","10021"),
("159","38","10022"),
("160","38","10023"),
("166","38","10024"),
("167","38","10025"),
("168","38","10026"),
("169","38","10027"),
("191","38","10028"),
("192","38","10029"),
("193","38","10030"),
("194","38","10031"),
("195","38","10032"),
("256","39","10033"),
("1","39","10034"),
("257","39","10035"),
("2","39","10036"),
("258","39","10037"),
("3","39","10038"),
("259","39","10039"),
("4","39","10040"),
("260","39","10041"),
("5","39","10042"),
("261","39","10043"),
("6","39","10044"),
("262","39","10045"),
("7","39","10046"),
("263","39","10047"),
("8","39","10048"),
("264","39","10049"),
("9","39","10050"),
("10","39","10051"),
("11","39","10052"),
("12","39","10053"),
("13","39","10054"),
("14","39","10055"),
("15","39","10056"),
("16","39","10057"),
("17","39","10058"),
("18","39","10059"),
("19","39","10060"),
("20","39","10061"),
("21","39","10062"),
("22","39","10063"),
("23","39","10064"),
("24","39","10065"),
("25","39","10066"),
("26","39","10067"),
("27","39","10068"),
("28","39","10069"),
("29","39","10070"),
("30","39","10071"),
("31","39","10072"),
("32","39","10073"),
("33","39","10074"),
("34","39","10075"),
("39","39","10076"),
("40","39","10077"),
("41","39","10078"),
("42","39","10079"),
("55","39","10080"),
("56","39","10081"),
("57","39","10082"),
("59","39","10083"),
("60","39","10084"),
("61","39","10085"),
("62","39","10086"),
("63","39","10087"),
("76","39","10088"),
("77","39","10089"),
("78","39","10090"),
("79","39","10091"),
("84","39","10092"),
("85","39","10093"),
("86","39","10094"),
("87","39","10095"),
("88","39","10096"),
("89","39","10097"),
("90","39","10098"),
("91","39","10099"),
("92","39","10100"),
("93","39","10101"),
("94","39","10102"),
("95","39","10103"),
("96","39","10104"),
("97","39","10105"),
("98","39","10106"),
("99","39","10107"),
("100","39","10108"),
("101","39","10109"),
("102","39","10110"),
("103","39","10111"),
("104","39","10112"),
("105","39","10113"),
("110","39","10114"),
("112","39","10115"),
("117","39","10116"),
("124","39","10117"),
("161","39","10118"),
("187","39","10119"),
("188","39","10120"),
("189","39","10121"),
("196","39","10122"),
("197","39","10123"),
("198","39","10124"),
("199","39","10125"),
("200","39","10126"),
("201","39","10127"),
("202","39","10128"),
("203","39","10129"),
("204","39","10130"),
("205","39","10131"),
("206","39","10132"),
("207","39","10133"),
("208","39","10134"),
("209","39","10135"),
("210","39","10136"),
("211","39","10137"),
("212","39","10138"),
("213","39","10139"),
("214","39","10140"),
("215","39","10141"),
("216","39","10142"),
("217","39","10143"),
("218","39","10144"),
("219","39","10145"),
("220","39","10146"),
("221","39","10147"),
("222","39","10148"),
("224","39","10149"),
("225","39","10150"),
("226","39","10151"),
("227","39","10152"),
("228","39","10153"),
("229","39","10154"),
("230","39","10155"),
("231","39","10156"),
("232","39","10157"),
("234","39","10158"),
("235","39","10159"),
("236","39","10160"),
("237","39","10161"),
("238","39","10162"),
("239","39","10163"),
("240","39","10164"),
("241","39","10165"),
("242","39","10166"),
("243","39","10167"),
("244","39","10168"),
("245","39","10169"),
("246","39","10170"),
("247","39","10171"),
("248","39","10172"),
("249","39","10173"),
("250","39","10174"),
("252","39","10175"),
("253","39","10176"),
("254","39","10177"),
("255","39","10178"),
("35","39","10179"),
("36","39","10180"),
("37","39","10181"),
("38","39","10182"),
("51","39","10183"),
("52","39","10184"),
("53","39","10185"),
("54","39","10186"),
("58","39","10187"),
("72","39","10188"),
("73","39","10189"),
("74","39","10190"),
("75","39","10191"),
("106","39","10192"),
("107","39","10193"),
("108","39","10194"),
("109","39","10195"),
("111","39","10196"),
("118","39","10197"),
("119","39","10198"),
("120","39","10199"),
("121","39","10200"),
("122","39","10201"),
("123","39","10202"),
("170","39","10203"),
("171","39","10204"),
("172","39","10205"),
("173","39","10206"),
("174","39","10207"),
("175","39","10208"),
("176","39","10209"),
("177","39","10210"),
("178","39","10211"),
("179","39","10212"),
("180","39","10213"),
("181","39","10214"),
("182","39","10215"),
("183","39","10216"),
("184","39","10217"),
("185","39","10218"),
("186","39","10219"),
("190","39","10220"),
("64","39","10221"),
("65","39","10222"),
("66","39","10223"),
("67","39","10224"),
("113","39","10225"),
("114","39","10226"),
("115","39","10227"),
("116","39","10228"),
("125","39","10229"),
("126","39","10230"),
("127","39","10231"),
("128","39","10232"),
("129","39","10233"),
("130","39","10234"),
("131","39","10235"),
("132","39","10236"),
("133","39","10237"),
("134","39","10238"),
("135","39","10239"),
("136","39","10240"),
("137","39","10241"),
("138","39","10242"),
("139","39","10243"),
("140","39","10244"),
("141","39","10245"),
("142","39","10246"),
("143","39","10247"),
("144","39","10248"),
("145","39","10249"),
("146","39","10250"),
("147","39","10251"),
("148","39","10252"),
("149","39","10253"),
("150","39","10254"),
("151","39","10255"),
("152","39","10256"),
("153","39","10257"),
("154","39","10258"),
("155","39","10259"),
("156","39","10260"),
("157","39","10261"),
("158","39","10262"),
("159","39","10263"),
("160","39","10264"),
("166","39","10265"),
("167","39","10266"),
("168","39","10267"),
("169","39","10268"),
("191","39","10269"),
("192","39","10270"),
("193","39","10271"),
("194","39","10272"),
("195","39","10273"),
("256","40","10462"),
("1","40","10463"),
("257","40","10464"),
("2","40","10465"),
("258","40","10466"),
("3","40","10467"),
("259","40","10468"),
("4","40","10469"),
("260","40","10470"),
("5","40","10471"),
("261","40","10472"),
("6","40","10473"),
("262","40","10474"),
("7","40","10475"),
("263","40","10476"),
("8","40","10477"),
("264","40","10478"),
("9","40","10479"),
("10","40","10480"),
("11","40","10481"),
("12","40","10482"),
("13","40","10483"),
("14","40","10484"),
("15","40","10485"),
("16","40","10486"),
("17","40","10487"),
("18","40","10488"),
("19","40","10489"),
("20","40","10490"),
("21","40","10491"),
("22","40","10492"),
("23","40","10493"),
("24","40","10494"),
("25","40","10495"),
("26","40","10496"),
("27","40","10497"),
("28","40","10498"),
("29","40","10499"),
("30","40","10500"),
("31","40","10501"),
("32","40","10502"),
("33","40","10503"),
("34","40","10504"),
("39","40","10505"),
("40","40","10506"),
("41","40","10507"),
("42","40","10508"),
("55","40","10509"),
("56","40","10510"),
("57","40","10511"),
("59","40","10512"),
("60","40","10513"),
("61","40","10514"),
("62","40","10515"),
("63","40","10516"),
("76","40","10517"),
("77","40","10518"),
("78","40","10519"),
("79","40","10520"),
("84","40","10521"),
("85","40","10522"),
("86","40","10523"),
("87","40","10524"),
("88","40","10525"),
("89","40","10526"),
("90","40","10527"),
("91","40","10528"),
("92","40","10529"),
("93","40","10530"),
("94","40","10531"),
("95","40","10532"),
("96","40","10533"),
("97","40","10534"),
("98","40","10535"),
("99","40","10536"),
("100","40","10537"),
("101","40","10538"),
("102","40","10539"),
("103","40","10540"),
("104","40","10541"),
("105","40","10542"),
("110","40","10543"),
("112","40","10544"),
("117","40","10545"),
("124","40","10546"),
("161","40","10547"),
("187","40","10548"),
("188","40","10549"),
("189","40","10550"),
("196","40","10551"),
("197","40","10552"),
("198","40","10553"),
("199","40","10554"),
("200","40","10555"),
("201","40","10556"),
("202","40","10557"),
("203","40","10558"),
("204","40","10559"),
("205","40","10560"),
("206","40","10561"),
("207","40","10562"),
("208","40","10563"),
("209","40","10564"),
("210","40","10565"),
("211","40","10566"),
("212","40","10567"),
("213","40","10568"),
("214","40","10569"),
("215","40","10570"),
("216","40","10571"),
("217","40","10572"),
("218","40","10573"),
("219","40","10574"),
("220","40","10575"),
("221","40","10576"),
("222","40","10577"),
("224","40","10578"),
("225","40","10579"),
("226","40","10580"),
("227","40","10581"),
("228","40","10582"),
("229","40","10583"),
("230","40","10584"),
("231","40","10585"),
("232","40","10586"),
("234","40","10587"),
("235","40","10588"),
("236","40","10589"),
("237","40","10590"),
("238","40","10591"),
("239","40","10592"),
("240","40","10593"),
("241","40","10594"),
("242","40","10595"),
("243","40","10596"),
("244","40","10597"),
("245","40","10598"),
("246","40","10599"),
("247","40","10600"),
("248","40","10601"),
("249","40","10602"),
("250","40","10603"),
("252","40","10604"),
("253","40","10605"),
("254","40","10606"),
("255","40","10607"),
("35","40","10608"),
("36","40","10609"),
("37","40","10610"),
("38","40","10611"),
("51","40","10612"),
("52","40","10613"),
("53","40","10614"),
("54","40","10615"),
("58","40","10616"),
("72","40","10617"),
("73","40","10618"),
("74","40","10619"),
("75","40","10620"),
("106","40","10621"),
("107","40","10622"),
("108","40","10623"),
("109","40","10624"),
("111","40","10625"),
("118","40","10626"),
("119","40","10627"),
("120","40","10628"),
("121","40","10629"),
("122","40","10630"),
("123","40","10631"),
("170","40","10632"),
("171","40","10633"),
("172","40","10634"),
("173","40","10635"),
("174","40","10636"),
("175","40","10637"),
("176","40","10638"),
("177","40","10639"),
("178","40","10640"),
("179","40","10641"),
("180","40","10642"),
("181","40","10643"),
("182","40","10644"),
("183","40","10645"),
("184","40","10646"),
("185","40","10647"),
("186","40","10648"),
("190","40","10649"),
("64","40","10650"),
("65","40","10651"),
("66","40","10652"),
("67","40","10653"),
("113","40","10654"),
("114","40","10655"),
("115","40","10656"),
("116","40","10657"),
("125","40","10658"),
("126","40","10659"),
("127","40","10660"),
("128","40","10661"),
("129","40","10662"),
("130","40","10663"),
("131","40","10664"),
("132","40","10665"),
("133","40","10666"),
("134","40","10667"),
("135","40","10668"),
("136","40","10669"),
("137","40","10670"),
("138","40","10671"),
("139","40","10672"),
("140","40","10673"),
("141","40","10674"),
("142","40","10675"),
("143","40","10676"),
("144","40","10677"),
("145","40","10678"),
("146","40","10679"),
("147","40","10680"),
("148","40","10681"),
("149","40","10682"),
("150","40","10683"),
("151","40","10684"),
("152","40","10685"),
("153","40","10686"),
("154","40","10687"),
("155","40","10688"),
("156","40","10689"),
("157","40","10690"),
("158","40","10691"),
("159","40","10692"),
("160","40","10693"),
("166","40","10694"),
("167","40","10695"),
("168","40","10696"),
("169","40","10697"),
("191","40","10698"),
("192","40","10699"),
("193","40","10700"),
("194","40","10701"),
("195","40","10702"),
("256","41","11184"),
("1","41","11185"),
("257","41","11186"),
("2","41","11187"),
("258","41","11188"),
("3","41","11189"),
("259","41","11190"),
("4","41","11191"),
("260","41","11192"),
("5","41","11193"),
("261","41","11194"),
("6","41","11195"),
("262","41","11196"),
("7","41","11197"),
("263","41","11198"),
("8","41","11199"),
("264","41","11200"),
("9","41","11201"),
("10","41","11202"),
("11","41","11203"),
("12","41","11204"),
("13","41","11205"),
("14","41","11206"),
("15","41","11207"),
("16","41","11208"),
("17","41","11209"),
("18","41","11210"),
("19","41","11211"),
("20","41","11212"),
("21","41","11213"),
("22","41","11214"),
("23","41","11215"),
("24","41","11216"),
("25","41","11217"),
("26","41","11218"),
("27","41","11219"),
("28","41","11220"),
("29","41","11221"),
("30","41","11222"),
("31","41","11223"),
("32","41","11224"),
("33","41","11225"),
("34","41","11226"),
("39","41","11227"),
("40","41","11228"),
("41","41","11229"),
("42","41","11230"),
("55","41","11231"),
("56","41","11232"),
("57","41","11233"),
("59","41","11234"),
("60","41","11235"),
("61","41","11236"),
("62","41","11237"),
("63","41","11238"),
("76","41","11239"),
("77","41","11240"),
("78","41","11241"),
("79","41","11242"),
("84","41","11243"),
("85","41","11244"),
("86","41","11245"),
("87","41","11246"),
("88","41","11247"),
("89","41","11248"),
("90","41","11249"),
("91","41","11250"),
("92","41","11251"),
("93","41","11252"),
("94","41","11253"),
("95","41","11254"),
("96","41","11255"),
("97","41","11256"),
("98","41","11257"),
("99","41","11258"),
("100","41","11259"),
("101","41","11260"),
("102","41","11261"),
("103","41","11262"),
("104","41","11263"),
("105","41","11264"),
("110","41","11265"),
("112","41","11266"),
("117","41","11267"),
("124","41","11268"),
("161","41","11269"),
("187","41","11270"),
("188","41","11271"),
("189","41","11272"),
("196","41","11273"),
("197","41","11274"),
("198","41","11275"),
("199","41","11276"),
("200","41","11277"),
("201","41","11278"),
("202","41","11279"),
("203","41","11280"),
("204","41","11281"),
("205","41","11282"),
("206","41","11283"),
("207","41","11284"),
("208","41","11285"),
("209","41","11286"),
("210","41","11287"),
("211","41","11288"),
("212","41","11289"),
("213","41","11290"),
("214","41","11291"),
("215","41","11292"),
("216","41","11293"),
("217","41","11294"),
("218","41","11295"),
("219","41","11296"),
("220","41","11297"),
("221","41","11298"),
("222","41","11299"),
("224","41","11300"),
("225","41","11301"),
("226","41","11302"),
("227","41","11303"),
("228","41","11304"),
("229","41","11305"),
("230","41","11306"),
("231","41","11307"),
("232","41","11308"),
("234","41","11309"),
("235","41","11310"),
("236","41","11311"),
("237","41","11312"),
("238","41","11313"),
("239","41","11314"),
("240","41","11315"),
("241","41","11316"),
("242","41","11317"),
("243","41","11318"),
("244","41","11319"),
("245","41","11320"),
("246","41","11321"),
("247","41","11322"),
("248","41","11323"),
("249","41","11324"),
("250","41","11325"),
("252","41","11326"),
("253","41","11327"),
("254","41","11328"),
("255","41","11329"),
("35","41","11330"),
("36","41","11331"),
("37","41","11332"),
("38","41","11333"),
("51","41","11334"),
("52","41","11335"),
("53","41","11336"),
("54","41","11337"),
("58","41","11338"),
("72","41","11339"),
("73","41","11340"),
("74","41","11341"),
("75","41","11342"),
("106","41","11343"),
("107","41","11344"),
("108","41","11345"),
("109","41","11346"),
("111","41","11347"),
("118","41","11348"),
("119","41","11349"),
("120","41","11350"),
("121","41","11351"),
("122","41","11352"),
("123","41","11353"),
("170","41","11354"),
("171","41","11355"),
("172","41","11356"),
("173","41","11357"),
("174","41","11358"),
("175","41","11359"),
("176","41","11360"),
("177","41","11361"),
("178","41","11362"),
("179","41","11363"),
("180","41","11364"),
("181","41","11365"),
("182","41","11366"),
("183","41","11367"),
("184","41","11368"),
("185","41","11369"),
("186","41","11370"),
("190","41","11371"),
("64","41","11372"),
("65","41","11373"),
("66","41","11374"),
("67","41","11375"),
("113","41","11376"),
("114","41","11377"),
("115","41","11378"),
("116","41","11379"),
("125","41","11380"),
("126","41","11381"),
("127","41","11382"),
("128","41","11383"),
("129","41","11384"),
("130","41","11385"),
("131","41","11386"),
("132","41","11387"),
("133","41","11388"),
("134","41","11389"),
("135","41","11390"),
("136","41","11391"),
("137","41","11392"),
("138","41","11393"),
("139","41","11394"),
("140","41","11395"),
("141","41","11396"),
("142","41","11397"),
("143","41","11398"),
("144","41","11399"),
("145","41","11400"),
("146","41","11401"),
("147","41","11402"),
("148","41","11403"),
("149","41","11404"),
("150","41","11405"),
("151","41","11406"),
("152","41","11407"),
("153","41","11408"),
("154","41","11409"),
("155","41","11410"),
("156","41","11411"),
("157","41","11412"),
("158","41","11413"),
("159","41","11414"),
("160","41","11415"),
("166","41","11416"),
("167","41","11417"),
("168","41","11418"),
("169","41","11419"),
("191","41","11420"),
("192","41","11421"),
("193","41","11422"),
("194","41","11423"),
("195","41","11424"),
("256","42","11664"),
("1","42","11665"),
("257","42","11666"),
("2","42","11667"),
("258","42","11668"),
("3","42","11669"),
("259","42","11670"),
("4","42","11671"),
("260","42","11672"),
("5","42","11673"),
("261","42","11674"),
("6","42","11675"),
("262","42","11676"),
("7","42","11677"),
("263","42","11678"),
("8","42","11679"),
("264","42","11680"),
("9","42","11681"),
("10","42","11682"),
("11","42","11683"),
("12","42","11684"),
("13","42","11685"),
("14","42","11686"),
("15","42","11687"),
("16","42","11688"),
("17","42","11689"),
("18","42","11690"),
("19","42","11691"),
("20","42","11692"),
("21","42","11693"),
("22","42","11694"),
("23","42","11695"),
("24","42","11696"),
("25","42","11697"),
("26","42","11698"),
("27","42","11699"),
("28","42","11700"),
("29","42","11701"),
("30","42","11702"),
("31","42","11703"),
("32","42","11704"),
("33","42","11705"),
("34","42","11706"),
("39","42","11707"),
("40","42","11708"),
("41","42","11709"),
("42","42","11710"),
("55","42","11711"),
("56","42","11712"),
("57","42","11713"),
("59","42","11714"),
("60","42","11715"),
("61","42","11716"),
("62","42","11717"),
("63","42","11718"),
("76","42","11719"),
("77","42","11720"),
("78","42","11721"),
("79","42","11722"),
("84","42","11723"),
("85","42","11724"),
("86","42","11725"),
("87","42","11726"),
("88","42","11727"),
("89","42","11728"),
("90","42","11729"),
("91","42","11730"),
("92","42","11731"),
("93","42","11732"),
("94","42","11733"),
("95","42","11734"),
("96","42","11735"),
("97","42","11736"),
("98","42","11737"),
("99","42","11738"),
("100","42","11739"),
("101","42","11740"),
("102","42","11741"),
("103","42","11742"),
("104","42","11743"),
("105","42","11744"),
("110","42","11745"),
("112","42","11746"),
("117","42","11747"),
("124","42","11748"),
("161","42","11749"),
("187","42","11750"),
("188","42","11751"),
("189","42","11752"),
("196","42","11753"),
("197","42","11754"),
("198","42","11755"),
("199","42","11756"),
("201","42","11757"),
("202","42","11758"),
("203","42","11759"),
("204","42","11760"),
("205","42","11761"),
("206","42","11762"),
("207","42","11763"),
("208","42","11764"),
("209","42","11765"),
("210","42","11766"),
("211","42","11767"),
("212","42","11768"),
("213","42","11769"),
("214","42","11770"),
("215","42","11771"),
("216","42","11772"),
("217","42","11773"),
("218","42","11774"),
("219","42","11775"),
("220","42","11776"),
("221","42","11777"),
("222","42","11778"),
("224","42","11779"),
("225","42","11780"),
("226","42","11781"),
("227","42","11782"),
("228","42","11783"),
("229","42","11784"),
("230","42","11785"),
("231","42","11786"),
("232","42","11787"),
("234","42","11788"),
("235","42","11789"),
("236","42","11790"),
("237","42","11791"),
("238","42","11792"),
("239","42","11793"),
("240","42","11794"),
("241","42","11795"),
("242","42","11796"),
("243","42","11797"),
("244","42","11798"),
("245","42","11799"),
("246","42","11800"),
("247","42","11801"),
("248","42","11802"),
("249","42","11803"),
("250","42","11804"),
("252","42","11805"),
("253","42","11806"),
("254","42","11807"),
("255","42","11808"),
("35","42","11809"),
("36","42","11810"),
("37","42","11811"),
("38","42","11812"),
("51","42","11813"),
("52","42","11814"),
("53","42","11815"),
("54","42","11816"),
("58","42","11817"),
("72","42","11818"),
("73","42","11819"),
("74","42","11820"),
("75","42","11821"),
("106","42","11822"),
("107","42","11823"),
("108","42","11824"),
("109","42","11825"),
("111","42","11826"),
("118","42","11827"),
("119","42","11828"),
("120","42","11829"),
("121","42","11830"),
("122","42","11831"),
("123","42","11832"),
("170","42","11833"),
("171","42","11834"),
("172","42","11835"),
("173","42","11836"),
("174","42","11837"),
("175","42","11838"),
("176","42","11839"),
("177","42","11840"),
("178","42","11841"),
("179","42","11842"),
("180","42","11843"),
("181","42","11844"),
("182","42","11845"),
("183","42","11846"),
("184","42","11847"),
("185","42","11848"),
("186","42","11849"),
("190","42","11850"),
("64","42","11851"),
("65","42","11852"),
("66","42","11853"),
("67","42","11854"),
("113","42","11855"),
("114","42","11856"),
("115","42","11857"),
("116","42","11858"),
("125","42","11859"),
("126","42","11860"),
("127","42","11861"),
("128","42","11862"),
("129","42","11863"),
("130","42","11864"),
("131","42","11865"),
("132","42","11866"),
("133","42","11867"),
("134","42","11868"),
("135","42","11869"),
("136","42","11870"),
("137","42","11871"),
("138","42","11872"),
("139","42","11873"),
("140","42","11874"),
("141","42","11875"),
("142","42","11876"),
("143","42","11877"),
("144","42","11878"),
("145","42","11879"),
("146","42","11880"),
("147","42","11881"),
("148","42","11882"),
("149","42","11883"),
("150","42","11884"),
("151","42","11885"),
("152","42","11886"),
("153","42","11887"),
("154","42","11888"),
("155","42","11889"),
("156","42","11890"),
("159","42","11891"),
("160","42","11892"),
("166","42","11893"),
("167","42","11894"),
("168","42","11895"),
("169","42","11896"),
("191","42","11897"),
("192","42","11898"),
("193","42","11899"),
("194","42","11900"),
("195","42","11901"),
("256","44","11902"),
("1","44","11903"),
("257","44","11904"),
("2","44","11905"),
("258","44","11906"),
("3","44","11907"),
("259","44","11908"),
("4","44","11909"),
("260","44","11910"),
("5","44","11911"),
("261","44","11912"),
("6","44","11913"),
("262","44","11914"),
("7","44","11915"),
("263","44","11916"),
("8","44","11917"),
("264","44","11918"),
("9","44","11919"),
("10","44","11920"),
("11","44","11921"),
("12","44","11922"),
("13","44","11923"),
("14","44","11924"),
("15","44","11925"),
("16","44","11926"),
("17","44","11927"),
("18","44","11928"),
("19","44","11929"),
("20","44","11930"),
("21","44","11931"),
("22","44","11932"),
("23","44","11933"),
("24","44","11934"),
("25","44","11935"),
("26","44","11936"),
("27","44","11937"),
("28","44","11938"),
("29","44","11939"),
("30","44","11940"),
("31","44","11941"),
("32","44","11942"),
("33","44","11943"),
("34","44","11944"),
("39","44","11945"),
("40","44","11946"),
("41","44","11947"),
("42","44","11948"),
("55","44","11949"),
("56","44","11950"),
("57","44","11951"),
("59","44","11952"),
("60","44","11953"),
("61","44","11954"),
("62","44","11955"),
("63","44","11956"),
("76","44","11957"),
("77","44","11958"),
("78","44","11959"),
("79","44","11960"),
("84","44","11961"),
("85","44","11962"),
("86","44","11963"),
("87","44","11964"),
("88","44","11965"),
("89","44","11966"),
("90","44","11967"),
("91","44","11968"),
("92","44","11969"),
("93","44","11970"),
("94","44","11971"),
("95","44","11972"),
("96","44","11973"),
("97","44","11974"),
("98","44","11975"),
("99","44","11976"),
("100","44","11977"),
("101","44","11978"),
("102","44","11979"),
("103","44","11980"),
("104","44","11981"),
("105","44","11982"),
("110","44","11983"),
("112","44","11984"),
("117","44","11985"),
("124","44","11986"),
("161","44","11987"),
("187","44","11988"),
("188","44","11989"),
("189","44","11990"),
("196","44","11991"),
("197","44","11992"),
("198","44","11993"),
("199","44","11994"),
("200","44","11995"),
("201","44","11996"),
("202","44","11997"),
("203","44","11998"),
("204","44","11999"),
("205","44","12000"),
("206","44","12001"),
("207","44","12002"),
("208","44","12003"),
("209","44","12004"),
("210","44","12005"),
("211","44","12006"),
("212","44","12007"),
("213","44","12008"),
("214","44","12009"),
("215","44","12010"),
("216","44","12011"),
("217","44","12012"),
("218","44","12013"),
("219","44","12014"),
("220","44","12015"),
("221","44","12016"),
("222","44","12017"),
("224","44","12018"),
("225","44","12019"),
("226","44","12020"),
("227","44","12021"),
("228","44","12022"),
("229","44","12023"),
("230","44","12024"),
("231","44","12025"),
("232","44","12026"),
("234","44","12027"),
("235","44","12028"),
("236","44","12029"),
("237","44","12030"),
("238","44","12031"),
("239","44","12032"),
("240","44","12033"),
("241","44","12034"),
("242","44","12035"),
("243","44","12036"),
("244","44","12037"),
("245","44","12038"),
("246","44","12039"),
("247","44","12040"),
("248","44","12041"),
("249","44","12042"),
("250","44","12043"),
("252","44","12044"),
("253","44","12045"),
("254","44","12046"),
("255","44","12047"),
("35","44","12048"),
("36","44","12049"),
("37","44","12050"),
("38","44","12051"),
("51","44","12052"),
("52","44","12053"),
("53","44","12054"),
("54","44","12055"),
("58","44","12056"),
("72","44","12057"),
("73","44","12058"),
("74","44","12059"),
("75","44","12060"),
("106","44","12061"),
("107","44","12062"),
("108","44","12063"),
("109","44","12064"),
("111","44","12065"),
("118","44","12066"),
("119","44","12067"),
("120","44","12068"),
("121","44","12069"),
("122","44","12070"),
("123","44","12071"),
("170","44","12072"),
("171","44","12073"),
("172","44","12074"),
("173","44","12075"),
("174","44","12076"),
("175","44","12077"),
("176","44","12078"),
("177","44","12079"),
("178","44","12080"),
("179","44","12081"),
("180","44","12082"),
("181","44","12083"),
("182","44","12084"),
("183","44","12085"),
("184","44","12086"),
("185","44","12087"),
("186","44","12088"),
("190","44","12089"),
("64","44","12090"),
("65","44","12091"),
("66","44","12092"),
("67","44","12093"),
("113","44","12094"),
("114","44","12095"),
("115","44","12096"),
("116","44","12097"),
("125","44","12098"),
("126","44","12099"),
("127","44","12100"),
("128","44","12101"),
("129","44","12102"),
("130","44","12103"),
("131","44","12104"),
("132","44","12105"),
("133","44","12106"),
("134","44","12107"),
("135","44","12108"),
("136","44","12109"),
("137","44","12110"),
("138","44","12111"),
("139","44","12112"),
("140","44","12113"),
("141","44","12114"),
("142","44","12115"),
("143","44","12116"),
("144","44","12117"),
("145","44","12118"),
("146","44","12119"),
("147","44","12120"),
("148","44","12121"),
("149","44","12122"),
("150","44","12123"),
("151","44","12124"),
("152","44","12125"),
("153","44","12126"),
("154","44","12127"),
("155","44","12128"),
("156","44","12129"),
("157","44","12130"),
("158","44","12131"),
("159","44","12132"),
("160","44","12133"),
("166","44","12134"),
("167","44","12135"),
("168","44","12136"),
("169","44","12137"),
("191","44","12138"),
("192","44","12139"),
("193","44","12140"),
("194","44","12141"),
("195","44","12142"),
("256","43","12143"),
("1","43","12144"),
("257","43","12145"),
("2","43","12146"),
("258","43","12147"),
("3","43","12148"),
("259","43","12149"),
("4","43","12150"),
("260","43","12151"),
("5","43","12152"),
("261","43","12153"),
("6","43","12154"),
("262","43","12155"),
("7","43","12156"),
("263","43","12157"),
("8","43","12158"),
("264","43","12159"),
("9","43","12160"),
("10","43","12161"),
("11","43","12162"),
("12","43","12163"),
("13","43","12164"),
("14","43","12165"),
("15","43","12166"),
("16","43","12167"),
("17","43","12168"),
("18","43","12169"),
("19","43","12170"),
("20","43","12171"),
("21","43","12172"),
("22","43","12173"),
("23","43","12174"),
("24","43","12175"),
("25","43","12176"),
("26","43","12177"),
("27","43","12178"),
("28","43","12179"),
("29","43","12180"),
("30","43","12181"),
("31","43","12182"),
("32","43","12183"),
("33","43","12184"),
("34","43","12185"),
("39","43","12186"),
("40","43","12187"),
("41","43","12188"),
("42","43","12189"),
("55","43","12190"),
("56","43","12191"),
("57","43","12192"),
("59","43","12193"),
("60","43","12194"),
("61","43","12195"),
("62","43","12196"),
("63","43","12197"),
("76","43","12198"),
("77","43","12199"),
("78","43","12200"),
("79","43","12201"),
("84","43","12202"),
("85","43","12203"),
("86","43","12204"),
("87","43","12205"),
("88","43","12206"),
("89","43","12207"),
("90","43","12208"),
("91","43","12209"),
("92","43","12210"),
("93","43","12211"),
("94","43","12212"),
("95","43","12213"),
("96","43","12214"),
("97","43","12215"),
("98","43","12216"),
("99","43","12217"),
("100","43","12218"),
("101","43","12219"),
("102","43","12220"),
("103","43","12221"),
("104","43","12222"),
("105","43","12223"),
("110","43","12224"),
("112","43","12225"),
("117","43","12226"),
("124","43","12227"),
("161","43","12228"),
("187","43","12229"),
("188","43","12230"),
("189","43","12231"),
("196","43","12232"),
("197","43","12233"),
("198","43","12234"),
("199","43","12235"),
("200","43","12236"),
("201","43","12237"),
("202","43","12238"),
("203","43","12239"),
("204","43","12240"),
("205","43","12241"),
("206","43","12242"),
("207","43","12243"),
("208","43","12244"),
("209","43","12245"),
("210","43","12246"),
("211","43","12247"),
("212","43","12248"),
("213","43","12249"),
("214","43","12250"),
("215","43","12251"),
("216","43","12252"),
("217","43","12253"),
("218","43","12254"),
("219","43","12255"),
("220","43","12256"),
("221","43","12257"),
("222","43","12258"),
("224","43","12259"),
("225","43","12260"),
("226","43","12261"),
("227","43","12262"),
("228","43","12263"),
("229","43","12264"),
("230","43","12265"),
("231","43","12266"),
("232","43","12267"),
("234","43","12268"),
("235","43","12269"),
("236","43","12270"),
("237","43","12271"),
("238","43","12272"),
("239","43","12273"),
("240","43","12274"),
("241","43","12275"),
("242","43","12276"),
("243","43","12277"),
("244","43","12278"),
("245","43","12279"),
("246","43","12280"),
("247","43","12281"),
("248","43","12282"),
("249","43","12283"),
("250","43","12284"),
("252","43","12285"),
("253","43","12286"),
("254","43","12287"),
("255","43","12288"),
("35","43","12289"),
("36","43","12290"),
("37","43","12291"),
("38","43","12292"),
("51","43","12293"),
("52","43","12294"),
("53","43","12295"),
("54","43","12296"),
("58","43","12297"),
("72","43","12298"),
("73","43","12299"),
("74","43","12300"),
("75","43","12301"),
("106","43","12302"),
("107","43","12303"),
("108","43","12304"),
("109","43","12305"),
("111","43","12306"),
("118","43","12307"),
("119","43","12308"),
("120","43","12309"),
("121","43","12310"),
("122","43","12311"),
("123","43","12312"),
("170","43","12313"),
("171","43","12314"),
("172","43","12315"),
("173","43","12316"),
("174","43","12317"),
("175","43","12318"),
("176","43","12319"),
("177","43","12320"),
("178","43","12321"),
("179","43","12322"),
("180","43","12323"),
("181","43","12324"),
("182","43","12325"),
("183","43","12326"),
("184","43","12327"),
("185","43","12328"),
("186","43","12329"),
("190","43","12330"),
("64","43","12331"),
("65","43","12332"),
("66","43","12333"),
("67","43","12334"),
("113","43","12335"),
("114","43","12336"),
("115","43","12337"),
("116","43","12338"),
("125","43","12339"),
("126","43","12340"),
("127","43","12341"),
("128","43","12342"),
("129","43","12343"),
("130","43","12344"),
("131","43","12345"),
("132","43","12346"),
("133","43","12347"),
("134","43","12348"),
("135","43","12349"),
("136","43","12350"),
("137","43","12351"),
("138","43","12352"),
("139","43","12353"),
("140","43","12354"),
("141","43","12355"),
("142","43","12356"),
("143","43","12357"),
("144","43","12358"),
("145","43","12359"),
("146","43","12360"),
("147","43","12361"),
("148","43","12362"),
("149","43","12363"),
("150","43","12364"),
("151","43","12365"),
("152","43","12366"),
("153","43","12367"),
("154","43","12368"),
("155","43","12369"),
("156","43","12370"),
("157","43","12371"),
("158","43","12372"),
("159","43","12373"),
("160","43","12374"),
("166","43","12375"),
("167","43","12376"),
("168","43","12377"),
("169","43","12378"),
("191","43","12379"),
("192","43","12380"),
("193","43","12381"),
("194","43","12382"),
("195","43","12383"),
("256","45","12870"),
("1","45","12871"),
("257","45","12872"),
("2","45","12873"),
("258","45","12874"),
("3","45","12875"),
("259","45","12876"),
("4","45","12877"),
("260","45","12878"),
("5","45","12879"),
("261","45","12880"),
("6","45","12881"),
("262","45","12882"),
("7","45","12883"),
("263","45","12884"),
("8","45","12885"),
("264","45","12886"),
("9","45","12887"),
("265","45","12888"),
("10","45","12889"),
("266","45","12890"),
("11","45","12891"),
("267","45","12892"),
("12","45","12893"),
("13","45","12894"),
("14","45","12895"),
("15","45","12896"),
("16","45","12897"),
("17","45","12898"),
("18","45","12899"),
("19","45","12900"),
("20","45","12901"),
("21","45","12902"),
("22","45","12903"),
("23","45","12904"),
("24","45","12905"),
("25","45","12906"),
("26","45","12907"),
("27","45","12908"),
("28","45","12909"),
("29","45","12910"),
("30","45","12911"),
("31","45","12912"),
("32","45","12913"),
("33","45","12914"),
("34","45","12915"),
("39","45","12916"),
("40","45","12917"),
("41","45","12918"),
("42","45","12919"),
("55","45","12920"),
("56","45","12921"),
("57","45","12922"),
("59","45","12923"),
("60","45","12924"),
("61","45","12925"),
("62","45","12926"),
("63","45","12927"),
("76","45","12928"),
("77","45","12929"),
("78","45","12930"),
("79","45","12931"),
("84","45","12932"),
("85","45","12933"),
("86","45","12934"),
("87","45","12935"),
("88","45","12936"),
("89","45","12937"),
("90","45","12938"),
("91","45","12939"),
("92","45","12940"),
("93","45","12941"),
("94","45","12942"),
("95","45","12943"),
("96","45","12944"),
("97","45","12945"),
("98","45","12946"),
("99","45","12947"),
("100","45","12948"),
("101","45","12949"),
("102","45","12950"),
("103","45","12951"),
("104","45","12952"),
("105","45","12953"),
("110","45","12954"),
("112","45","12955"),
("117","45","12956"),
("124","45","12957"),
("161","45","12958"),
("187","45","12959"),
("188","45","12960"),
("189","45","12961"),
("196","45","12962"),
("197","45","12963"),
("198","45","12964"),
("199","45","12965"),
("201","45","12966"),
("202","45","12967"),
("203","45","12968"),
("204","45","12969"),
("205","45","12970"),
("206","45","12971"),
("207","45","12972"),
("208","45","12973"),
("209","45","12974"),
("210","45","12975"),
("211","45","12976"),
("212","45","12977"),
("213","45","12978"),
("214","45","12979"),
("215","45","12980"),
("216","45","12981"),
("217","45","12982"),
("218","45","12983"),
("219","45","12984"),
("220","45","12985"),
("221","45","12986"),
("222","45","12987"),
("224","45","12988"),
("225","45","12989"),
("226","45","12990"),
("227","45","12991"),
("228","45","12992"),
("229","45","12993"),
("230","45","12994"),
("231","45","12995"),
("232","45","12996"),
("234","45","12997"),
("235","45","12998"),
("236","45","12999"),
("237","45","13000"),
("238","45","13001"),
("239","45","13002"),
("240","45","13003"),
("241","45","13004"),
("242","45","13005"),
("243","45","13006"),
("244","45","13007"),
("245","45","13008"),
("246","45","13009"),
("247","45","13010"),
("248","45","13011"),
("249","45","13012"),
("250","45","13013"),
("252","45","13014"),
("253","45","13015"),
("254","45","13016"),
("255","45","13017"),
("35","45","13018"),
("36","45","13019"),
("37","45","13020"),
("38","45","13021"),
("51","45","13022"),
("52","45","13023"),
("53","45","13024"),
("54","45","13025"),
("58","45","13026"),
("72","45","13027"),
("73","45","13028"),
("74","45","13029"),
("75","45","13030"),
("106","45","13031"),
("107","45","13032"),
("108","45","13033"),
("109","45","13034"),
("111","45","13035"),
("118","45","13036"),
("119","45","13037"),
("120","45","13038"),
("121","45","13039"),
("122","45","13040"),
("123","45","13041"),
("170","45","13042"),
("171","45","13043"),
("172","45","13044"),
("173","45","13045"),
("174","45","13046"),
("175","45","13047"),
("176","45","13048"),
("177","45","13049"),
("178","45","13050"),
("179","45","13051"),
("180","45","13052"),
("181","45","13053"),
("182","45","13054"),
("183","45","13055"),
("184","45","13056"),
("185","45","13057"),
("186","45","13058"),
("190","45","13059"),
("64","45","13060"),
("65","45","13061"),
("66","45","13062"),
("67","45","13063"),
("113","45","13064"),
("114","45","13065"),
("115","45","13066"),
("116","45","13067"),
("125","45","13068"),
("126","45","13069"),
("127","45","13070"),
("128","45","13071"),
("129","45","13072"),
("130","45","13073"),
("131","45","13074"),
("132","45","13075"),
("133","45","13076"),
("134","45","13077"),
("135","45","13078"),
("136","45","13079"),
("137","45","13080"),
("138","45","13081"),
("139","45","13082"),
("140","45","13083"),
("141","45","13084"),
("142","45","13085"),
("143","45","13086"),
("144","45","13087"),
("145","45","13088"),
("146","45","13089"),
("147","45","13090"),
("148","45","13091"),
("149","45","13092"),
("150","45","13093"),
("151","45","13094"),
("152","45","13095"),
("153","45","13096"),
("154","45","13097"),
("155","45","13098"),
("156","45","13099"),
("159","45","13100"),
("160","45","13101"),
("166","45","13102"),
("167","45","13103"),
("168","45","13104"),
("169","45","13105"),
("191","45","13106"),
("192","45","13107"),
("193","45","13108"),
("194","45","13109"),
("195","45","13110"),
("256","24","13354"),
("1","24","13355"),
("257","24","13356"),
("2","24","13357"),
("258","24","13358"),
("3","24","13359"),
("259","24","13360"),
("4","24","13361"),
("260","24","13362"),
("5","24","13363"),
("261","24","13364"),
("6","24","13365"),
("262","24","13366"),
("7","24","13367"),
("263","24","13368"),
("8","24","13369"),
("264","24","13370"),
("9","24","13371"),
("265","24","13372"),
("10","24","13373"),
("266","24","13374"),
("11","24","13375"),
("267","24","13376"),
("12","24","13377"),
("268","24","13378"),
("13","24","13379"),
("14","24","13380"),
("15","24","13381"),
("16","24","13382"),
("17","24","13383"),
("18","24","13384"),
("19","24","13385"),
("20","24","13386"),
("21","24","13387"),
("22","24","13388"),
("23","24","13389"),
("24","24","13390"),
("25","24","13391"),
("26","24","13392"),
("27","24","13393"),
("28","24","13394"),
("29","24","13395"),
("30","24","13396"),
("31","24","13397"),
("32","24","13398"),
("33","24","13399"),
("34","24","13400"),
("39","24","13401"),
("40","24","13402"),
("41","24","13403"),
("42","24","13404"),
("55","24","13405"),
("56","24","13406"),
("57","24","13407"),
("59","24","13408"),
("60","24","13409"),
("61","24","13410"),
("62","24","13411"),
("63","24","13412"),
("76","24","13413"),
("77","24","13414"),
("78","24","13415"),
("79","24","13416"),
("84","24","13417"),
("85","24","13418"),
("86","24","13419"),
("87","24","13420"),
("88","24","13421"),
("89","24","13422"),
("90","24","13423"),
("91","24","13424"),
("92","24","13425"),
("93","24","13426"),
("94","24","13427"),
("95","24","13428"),
("96","24","13429"),
("97","24","13430"),
("98","24","13431"),
("99","24","13432"),
("100","24","13433"),
("101","24","13434"),
("102","24","13435"),
("103","24","13436"),
("104","24","13437"),
("105","24","13438"),
("110","24","13439"),
("112","24","13440"),
("117","24","13441"),
("124","24","13442"),
("161","24","13443"),
("187","24","13444"),
("188","24","13445"),
("189","24","13446"),
("196","24","13447"),
("197","24","13448"),
("198","24","13449"),
("199","24","13450"),
("200","24","13451"),
("201","24","13452"),
("202","24","13453"),
("203","24","13454"),
("204","24","13455"),
("205","24","13456"),
("206","24","13457"),
("207","24","13458"),
("208","24","13459"),
("209","24","13460"),
("210","24","13461"),
("211","24","13462"),
("212","24","13463"),
("213","24","13464"),
("214","24","13465"),
("215","24","13466"),
("216","24","13467"),
("217","24","13468"),
("218","24","13469"),
("219","24","13470"),
("220","24","13471"),
("221","24","13472"),
("222","24","13473"),
("224","24","13474"),
("225","24","13475"),
("226","24","13476"),
("227","24","13477"),
("228","24","13478"),
("229","24","13479"),
("230","24","13480"),
("231","24","13481"),
("232","24","13482"),
("234","24","13483"),
("235","24","13484"),
("236","24","13485"),
("237","24","13486"),
("238","24","13487"),
("239","24","13488"),
("240","24","13489"),
("241","24","13490"),
("242","24","13491"),
("243","24","13492"),
("244","24","13493"),
("245","24","13494"),
("246","24","13495"),
("247","24","13496"),
("248","24","13497"),
("249","24","13498"),
("250","24","13499"),
("252","24","13500"),
("253","24","13501"),
("254","24","13502"),
("255","24","13503"),
("35","24","13504"),
("36","24","13505"),
("37","24","13506"),
("38","24","13507"),
("51","24","13508"),
("52","24","13509"),
("53","24","13510"),
("54","24","13511"),
("58","24","13512"),
("72","24","13513"),
("73","24","13514"),
("74","24","13515"),
("75","24","13516"),
("106","24","13517"),
("107","24","13518"),
("108","24","13519"),
("109","24","13520"),
("111","24","13521"),
("118","24","13522"),
("119","24","13523"),
("120","24","13524"),
("121","24","13525"),
("122","24","13526"),
("123","24","13527"),
("170","24","13528"),
("171","24","13529"),
("172","24","13530"),
("173","24","13531"),
("174","24","13532"),
("175","24","13533"),
("176","24","13534"),
("177","24","13535"),
("178","24","13536"),
("179","24","13537"),
("180","24","13538"),
("181","24","13539"),
("182","24","13540"),
("183","24","13541"),
("184","24","13542"),
("185","24","13543"),
("186","24","13544"),
("190","24","13545"),
("64","24","13546"),
("65","24","13547"),
("66","24","13548"),
("67","24","13549"),
("113","24","13550"),
("114","24","13551"),
("115","24","13552"),
("116","24","13553"),
("125","24","13554"),
("126","24","13555"),
("127","24","13556"),
("128","24","13557"),
("129","24","13558"),
("130","24","13559"),
("131","24","13560"),
("132","24","13561"),
("133","24","13562"),
("134","24","13563"),
("135","24","13564"),
("136","24","13565"),
("137","24","13566"),
("138","24","13567"),
("139","24","13568"),
("140","24","13569"),
("141","24","13570"),
("142","24","13571"),
("143","24","13572"),
("144","24","13573"),
("145","24","13574"),
("146","24","13575"),
("147","24","13576"),
("148","24","13577"),
("149","24","13578"),
("150","24","13579"),
("151","24","13580"),
("152","24","13581"),
("153","24","13582"),
("154","24","13583"),
("155","24","13584"),
("156","24","13585"),
("159","24","13586"),
("160","24","13587"),
("166","24","13588"),
("167","24","13589"),
("168","24","13590"),
("169","24","13591"),
("191","24","13592"),
("192","24","13593"),
("193","24","13594"),
("194","24","13595"),
("195","24","13596"),
("30","47","13597"),
("31","47","13598");



DROP TABLE IF EXISTS permissions;

CREATE TABLE `permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `display_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `department` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `permissions_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=270 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO permissions VALUES("1","create-customer","Create Customers","Create New Customer","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("2","view-customer","View Customers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("3","edit-customer","Edit Customers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("4","delete-customer","Delete Customers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("5","create-inventory","Create Inventories","Create New Inventory","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("6","view-inventory","View Inventories","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("7","edit-inventory","Edit Inventories","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("8","delete-inventory","Delete Inventories","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("9","create-registration","Create Registrations","Create New Registration","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("10","print-registration","Print Registrations","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("11","edit-registration","Edit Registrations","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("12","delete-registration","Delete Registrations","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("13","download-registration","Download Registrations","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("14","create-membership","Create Memberships","Create New Membership","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("15","view-membership","View Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("16","print-membership","Print Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("17","edit-membership","Edit Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("18","create-schedule","Create Schedules","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("19","delete-membership","Delete Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("20","download-membership","Download Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("21","sms-membership","Sms Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("22","reminder-membership","Reminder Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("23","approve-membership","Approve Memberships","Approve New Membership","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("24","create-receipt","Create Receipts","Create New Receipt","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("25","view-receipt","View receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("26","print-receipt","Print Receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("27","edit-receipt","Edit Receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("28","delete-receipt","Delete Receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("29","download-receipt","Download Receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("30","create-dealer","Create Dealers","Create New Dealer","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("31","view-dealer","View Dealers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("32","edit-dealer","Edit Dealers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("33","delete-dealer","Delete Dealers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("34","sms-dealer","Sms Dealer Clients","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("35","create-bank-account","Create Bank Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("36","view-bank-account","View Bank Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("37","edit-bank-account","Edit Bank Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("38","delete-bank-account","Delete Bank Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("39","create-dealer-rebate","Create Dealer Rebate","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("40","view-dealer-rebate","View Dealer Rebate","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("41","edit-dealer-rebate","Edit Dealer Rebate","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("42","delete-dealer-rebate","Delete Dealer Rebate","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("43","create-customer-adjustment","Create Customer Adjustment","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("44","view-customer-adjustment","View Customer Adjustment","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("45","edit-customer-adjustment","Edit Customer Adjustment","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("46","delete-customer-adjustment","Delete Customer Adjustment","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("47","create-expense","Create Expense","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("48","view-expense","View Expense","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("49","edit-expense","Edit Expense","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("50","delete-expense","Delete Expense","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("51","create-employee","Create Emplpoyee","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("52","view-employee","View Employee","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("53","edit-employee","Edit Employee","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("54","delete-employee","Delete Employee","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("55","manage-payroll","Manage Payroll","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("56","manage-policy","Manage Policy","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("57","view-recovery-report","View Recovery Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("58","view-profit-loss-report","view Profit loss Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("59","view-rebate-report","View Rebate Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("60","manage-messages","Manage Customer Messages","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("61","view-activity-log","view Activity Logs","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("62","view-activity-download-log","View Activity Download Logs","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("63","manage-trashbox","Manage Trash Box","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("64","create-department","Create Department","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("65","view-department","View Department","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("66","edit-department","Edit Department","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("67","delete-department","Delete Department","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("68","create-designation","Create Designation","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("69","view-designation","View Designation","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("70","edit-designation","Edit Designation","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("71","delete-designation","Delete Designation","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("72","create-account","Create Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("73","view-account","View Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("74","edit-account","Edit Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("75","delete-account","Delete Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("76","create-dealer-type","Create Dealer Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("77","view-dealer-type","View Dealer Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("78","edit-dealer-type","Edit Dealer Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("79","delete-dealer-type","Delete Dealer Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("80","create-reg-no","Create Registration No.","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("81","view-reg-no","View Registration No.","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("82","edit-reg-no","Edit Registration No.","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("83","delete-reg-no","Delete Registration No.","","0000-00-00 00:00:00","0000-00-00 00:00:00","0"),
("84","create-unit-category","Create Unit Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("85","view-unit-category","View Unit Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("86","edit-unit-category","Edit Unit Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("87","delete-unit-category","Delete Unit Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("88","create-unit-type","Create Unit Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("89","view-unit-type","View Unit Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("90","edit-unit-type","Edit Unit Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("91","delete-unit-type","Delete Unit Type","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("92","create-unit-size","Create Unit Size","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("93","view-unit-size","View Unit Size","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("94","edit-unit-size","Edit Unit Size","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("95","delete-unit-size","Delete Unit Size","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("96","create-unit-floor","Create Unit Floor","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("97","view-unit-floor","View Unit Floor","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("98","edit-unit-floor","Edit Unit floor","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("99","delete-unit-floor","Delete Unit Floor","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("100","list-customer","List of Customers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("101","list-inventory","List of Inventories","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("102","list-registration","List of Registrations","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("103","list-membership","List of Memberships","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("104","list-receipt","List of Receipts","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("105","list-dealer","List of Dealers","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("106","list-bank-account","List of Bank Accounts","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("107","list-dealer-rebate","List of Dealer Rebates","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("108","list-customer-adjustment","List of Customer Adjustment","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("109","list-expense","List of Expenses","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("110","list-employee","List of Employees","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("111","dealer-payment","Manage Dealer Payment","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("112","due-payments","Manage Due Payment Clients","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("113","create-vendor","Create Vendor","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("114","view-vendor","View Vendor","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("115","edit-vendor","Edit Vendor","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("116","delete-vendor","Delete Vendor","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("117","view-aging-report","View Aging Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("118","view-balance-sheet","View Balance Sheet","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("119","view-chart-of-account","View Chart of Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("120","create-chart-of-account","Create Chart of Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("121","edit-chart-of-account","Edit Chart of Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("122","delete-chart-of-account","Delete Chart of Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("123","list-chart-of-account","List Chart of Account","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("124","follow-up","Manage Follow up","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("125","create-item-category","Create Item Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("126","list-item-category","List Item Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("127","edit-item-category","Edit Item Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("128","delete-item-category","Delete Item Category","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("129","list-item","List Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("130","create-item","Create Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("131","edit-item","Edit Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("132","view-item","View Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("133","delete-item","Delete Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("134","releasing-item","Releasing Item","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("135","list-purchase-request","List Purchase Request","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("136","create-purchase-request","Create Purchase Request","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("137","view-purchase-request","View Purchase Request","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("138","edit-purchase-request","Edit Purchase Request","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("139","delete-purchase-request","Delete Purchase Request","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("140","list-request-for-quotation","List Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("141","create-request-for-quotation","Create Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("142","view-request-for-quotation","View Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("143","edit-request-for-quotation","Edit Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("144","delete-request-for-quotation","Delete Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("145","send-request-for-quotation","Send Request For Quotation","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("146","list-comparative-statement","List Comparative Statement","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("147","view-comparative-statement","View Comparative Statement","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("148","send-comparative-statement","Send Comparative Statement","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("149","list-purchase-order","List Purchase Order","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("150","create-purchase-order","Create Purchase Order","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("151","view-purchase-order","View Purchase Order","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("152","edit-purchase-order","Edit Purchase Order","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("153","delete-purchase-order","Delete Purchase Order","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("154","list-po-receipt","List PO Receipt","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("155","view-po-receipt","View PO Receipt","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("156","pay-po-receipt","Pay PO Receipt","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("157","manage-procurement-dashboard","Manage Procurement Dashboard","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("158","manage-department-dashboard","Manage Department Dashboard","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("159","item-in-out-report","Item Int/Out Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("160","item-valuation-report","Item Valuation Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("161","manage-sales-dashboard","Manage Sales Dashboard","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("166","releasing-item-view","Releasing Item View","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("167","item-aging-report","Item Aging Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("168","approval-pending-comparative-statement","Approval Pending Comparative Statement","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("169","approve-po","Approve PO","","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("170","voucher-check","Voucher Check","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("171","voucher-post","Voucher Post","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("172","manage-account-dashboard","Manage Account Dashboard","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("173","create-voucher","Create Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("174","view-voucher","View Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("175","delete-voucher","Delete Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("176","edit-voucher","Edit Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("177","list-voucher","List Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("178","reversal-voucher","Reversal Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("179","print-voucher","Print Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("180","manage-customer-voucher","Manage Customer Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("181","manage-vendor-voucher","Manage Vendor Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("182","manage-dealer-voucher","Manage Dealer Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("183","manage-employee-voucher","Manage Employee Voucher","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("184","manage-reconciliation","Manage Bank Reconciliation","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("185","view-trial-balance","View Trial Balance Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("186","view-cash-flow-statement","View Cash Flow Statement","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("187","view-dealer-commission","View Dealer Commission Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("188","view-sold-inventory","View Sold Inventory Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("189","view-received-amount","View Received Amount Report","","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("190","view-general-ledger","View General Ledger","","0000-00-00 00:00:00","0000-00-00 00:00:00","2"),
("191","edit-item-manufacture","Edit Item Manufacture","edit Item Manufacture","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("192","delete-item-manufacture","Delete Item Manufacture","delete Item Manufacture","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("193","create-item-manufacture","Create Item Manufacture","Create New Item Manufacture","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("194","item-manufacture","Item Manufacture","Create New Item Manufacture","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("195","work-order","Work Order","Work Order","0000-00-00 00:00:00","0000-00-00 00:00:00","3"),
("196","return-item","Return Item","Return Item","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("197","returning-item-view","Returning Item View","Returning Item View","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("198","item-variance-report","Item Variance Report","Item Variance Report","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("199","item-unit","Item Unit","Item Unit","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("200","store-keeper","Store Keeper","Store Keeper","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("201","store-keeper-view-item-list","Store Keeper View Item List","Store Keeper View Item List","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("202","fixed-assets","Fixed Assets","Fixed Assets","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("203","fixed-asset-types","Fixed Asset Types","Fixed Asset Types","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("204","asset-location","Asset Location","Asset Location","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("205","fixed-assets-maintainance","Fixed Assets Maintainance","Fixed Assets Maintainance","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("206","hrm","HRM","HRM","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("207","approve-receipt","Approve Receipt","Approve Receipt","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("208","mir","Material Issue Request","Material Issue Request (MIR)","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("209","voucher-valid-date","Voucher Valid Date","Voucher Valid Date","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("210","inventory-report","Inventory Report","Inventory Report","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("211","merging-properties-approval","Merging Properties Approval","Merging Properties Approval","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("212","merging-properties-requisition","Merging Properties Requisition","Merging Properties Requisition","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("213","merging-properties","Merging Properties","Merging Properties","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("214","buyback-payment","Buy Back Payment","Buy Back Payment","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("215","buyback-properties","Buy Back Properties","Buy Back Properties","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("216","buy-back-approval","Buy Back Approval","Buy Back Approval","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("217","buy-back-requisition","Buy Back Requisition","Buy Back Requisition","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("218","reopen-membership","Reopen Membership","Reopen Membership","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("219","roll-over-requisition","Roll Over Requisition","Roll Over Requisition","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("220","roll-over-approval","Roll Over Approval","Roll Over Approval","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("221","roll-over-properties","Roll Over Properties","Roll Over Properties","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("222","roll-over-payment","Roll Over Payment","Roll Over Payment","0000-00-00 00:00:00","0000-00-00 00:00:00","1"),
("224","create-noc","Create NOC","Create New NOC","2022-12-05 11:31:45","2022-12-05 11:31:45","1"),
("225","edit-noc","Edit NOC","","2022-12-05 11:31:45","2022-12-05 11:31:45","1"),
("226","delete-noc","Delete NOC","","2022-12-05 11:31:45","2022-12-05 11:31:45","1"),
("227","view-noc","View NOC","","2022-12-05 11:31:45","2022-12-05 11:31:45","1"),
("228","download-noc","Download NOC","","2022-12-05 11:31:45","2022-12-05 11:31:45","1"),
("229","create-cancellation","Create Cancellation Property","Create New Cancellation Property","2022-12-15 13:14:36","2022-12-15 13:14:36","1"),
("230","edit-cancellation","Edit Cancellation Property","","2022-12-15 13:14:36","2022-12-15 13:14:36","1"),
("231","delete-cancellation","Delete Cancellation Property","","2022-12-15 13:14:36","2022-12-15 13:14:36","1"),
("232","view-cancellation","View Cancellation Property","","2022-12-15 13:14:36","2022-12-15 13:14:36","1"),
("234","approve-cancellation","Approve Cancellation Property","","2022-12-15 13:25:32","2022-12-15 13:25:32","1"),
("235","edit-refund","Edit Property Refund","Edit New Property Refund","2022-12-16 16:27:39","2022-12-16 16:27:39","1"),
("236","view-refund","View refund Property","","2022-12-16 16:27:39","2022-12-16 16:27:39","1"),
("237","view-block","View block Property","","2022-12-19 17:47:00","2022-12-19 17:47:00","1"),
("238","edit-block","Edit Block Property","","2022-12-19 17:47:00","2022-12-19 17:47:00","1"),
("239","create-block","Create Block Property ","Create Block","2022-12-19 17:47:00","2022-12-19 17:47:00","1"),
("240","delete-block","Delete block Property","","2022-12-19 17:47:00","2022-12-19 17:47:00","1"),
("241","view-adjust","View Adjust Property","","2022-12-20 12:27:34","2022-12-20 12:27:34","1"),
("242","edit-adjust","Edit Adjust Property","","2022-12-20 13:15:46","2022-12-20 13:15:46","1"),
("243","edit-openfile","Edit Open File","","2022-12-23 16:21:15","2022-12-23 16:21:15","1"),
("244","view-openfile","View Open File","","2022-12-23 16:21:15","2022-12-23 16:21:15","1"),
("245","delete-openfile","Delete Open File","","2022-12-23 16:21:15","2022-12-23 16:21:15","1"),
("246","issue-openfile","Issue Open File","","2022-12-23 16:21:15","2022-12-23 16:21:15","1"),
("247","create-pricelist","Create Price List","","2023-01-03 10:27:32","2023-01-03 10:27:32","1"),
("248","delete-pricelist","Delete Price List","","2023-01-03 10:27:32","2023-01-03 10:27:32","1"),
("249","view-pricelist","View Price List","","2023-01-03 10:27:32","2023-01-03 10:27:32","1"),
("250","edit-pricelist","Edit Price List","","2023-01-03 10:27:32","2023-01-03 10:27:32","1"),
("252","create-package","Create Open File Package","","2023-01-03 10:43:24","2023-01-03 10:43:24","1"),
("253","delete-package","Delete Open File Package","","2023-01-03 10:43:24","2023-01-03 10:43:24","1"),
("254","view-package","View Open File Package","","2023-01-03 10:43:25","2023-01-03 10:43:25","1"),
("255","edit-package","Edit Open File Package","","2023-01-03 10:43:25","2023-01-03 10:43:25","1"),
("256","approve-openfile-package","Approve Open File Package","","2023-01-09 12:52:28","2023-01-09 12:52:28","1"),
("257","view-balloting","View Balloting","","2023-02-14 11:11:19","2023-02-14 11:11:19","1"),
("258","edit-balloting","Edit Balloting","","2023-02-14 11:11:19","2023-02-14 11:11:19","1"),
("259","create-balloting","Create Balloting","","2023-02-14 11:11:19","2023-02-14 11:11:19","1"),
("260","delete-balloting","Delete Balloting","","2023-02-14 11:11:19","2023-02-14 11:11:19","1"),
("261","view-transfer","View Transfer","","2023-04-03 15:41:03","2023-04-03 15:41:03","1"),
("262","edit-transfer","Edit Transfer","","2023-04-03 15:41:03","2023-04-03 15:41:03","1"),
("263","create-transfer","Create Transfer","","2023-04-03 15:41:03","2023-04-03 15:41:03","1"),
("264","delete-transfer","Delete Transfer","","2023-04-03 15:41:03","2023-04-03 15:41:03","1"),
("265","view-unit-block-criteria","View Unit Block Criteria","","2023-07-04 03:46:23","2023-07-04 03:46:23","1"),
("266","edit-unit-block-criteria","Edit Unit Block Criteria","","2023-07-04 03:46:23","2023-07-04 03:46:23","1"),
("267","create-unit-block-criteria","Create Unit Block Criteria","","2023-07-04 03:46:23","2023-07-04 03:46:23","1"),
("268","import-data","Import Legacy Data","","2023-07-24 19:57:57","2023-07-24 19:57:57","1");



DROP TABLE IF EXISTS policies;

CREATE TABLE `policies` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double NOT NULL,
  `type` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS pr_boq_items;

CREATE TABLE `pr_boq_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `task_id` int(11) DEFAULT NULL,
  `purchase_request_id` int(11) NOT NULL,
  `boq_id` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `rate_per_unit` double(8,2) DEFAULT NULL,
  `total_cost` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS preconditionfile_with_multiproject;

CREATE TABLE `preconditionfile_with_multiproject` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `multi_project_id` bigint(20) NOT NULL,
  `balloting_precondition_file_id` bigint(20) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO preconditionfile_with_multiproject VALUES("1","25","1","",""),
("2","25","2","",""),
("3","25","3","","");



DROP TABLE IF EXISTS price_list_details;

CREATE TABLE `price_list_details` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pricelist_id` bigint(20) NOT NULL,
  `unit_type_id` bigint(20) DEFAULT NULL,
  `unit_size_id` bigint(20) DEFAULT NULL,
  `per_size_price` double DEFAULT NULL,
  `total_price` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_floor_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO price_list_details VALUES("23","2","1","2","300000","2400000","2023-07-10 21:12:40","2023-07-10 21:12:40",""),
("24","1","2","1","100000","500000","2023-07-10 21:14:03","2023-07-10 21:14:03",""),
("25","1","2","5","300000","12000000","2023-07-10 21:14:03","2023-07-10 21:14:03",""),
("26","1","2","4","200000","4000000","2023-07-10 21:14:03","2023-07-10 21:14:03",""),
("27","1","2","2","100000","800000","2023-07-10 21:14:03","2023-07-10 21:14:03","");



DROP TABLE IF EXISTS price_lists;

CREATE TABLE `price_lists` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `l_no` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `project_type_id` bigint(20) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO price_lists VALUES("1","Residential Pricelis","2","2023-07-10 21:05:15","2023-07-10 21:14:03","0"),
("2","Commercial Pricelist","2","2023-07-10 21:07:01","2023-07-10 21:07:40","0");



DROP TABLE IF EXISTS product_types;

CREATE TABLE `product_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_from` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS products;

CREATE TABLE `products` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_registration_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_category` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_amount` double NOT NULL,
  `sale_amount` double NOT NULL,
  `margin_amount` double DEFAULT NULL,
  `sold_amount` double DEFAULT NULL,
  `date_of_sold` date DEFAULT NULL,
  `creation_description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sold_description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dealer_id` int(10) unsigned DEFAULT NULL,
  `dealer_rebate` double DEFAULT NULL,
  `company_profit` double DEFAULT NULL,
  `product_status` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `map_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lat` float DEFAULT NULL,
  `lng` float DEFAULT NULL,
  `payment_type` int(11) DEFAULT NULL,
  `check_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `due_balance` double DEFAULT NULL,
  `customer_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `products_dealer_id_foreign` (`dealer_id`),
  KEY `products_customer_id_foreign` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS project_account_files;

CREATE TABLE `project_account_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_account_id` int(10) unsigned NOT NULL,
  `file_url` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_account_files_project_account_id_foreign` (`project_account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS project_accounts;

CREATE TABLE `project_accounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `inventory_id` int(10) unsigned NOT NULL,
  `payment_head` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `depositor_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payment_type` tinyint(1) NOT NULL,
  `amount` double NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `date` date NOT NULL,
  `adjacement_type` int(11) DEFAULT NULL,
  `pay_order_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_order_date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_order_bank_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_accounts_inventory_id_foreign` (`inventory_id`),
  KEY `project_accounts_pay_order_bank_id_foreign` (`pay_order_bank_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS project_types;

CREATE TABLE `project_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO project_types VALUES("1","HighRise","0","2022-12-28 13:12:43","2023-04-17 01:34:44"),
("2","Society","1","2022-12-28 13:12:43","2023-03-15 14:50:39");



DROP TABLE IF EXISTS projects;

CREATE TABLE `projects` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `contact` bigint(20) NOT NULL DEFAULT 0,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `projects_project_name_unique` (`project_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS property_chat_histories;

CREATE TABLE `property_chat_histories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `property_id` int(10) unsigned NOT NULL,
  `remarks` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `next_follow_up` date NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `status` varchar(156) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_assign` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `property_chat_histories_property_id_foreign` (`property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS purchase_order_cancel_remarks;

CREATE TABLE `purchase_order_cancel_remarks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_id` int(11) DEFAULT NULL,
  `po_id` int(11) DEFAULT NULL,
  `vendor_id` int(11) DEFAULT NULL,
  `remark` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS purchase_order_receipt;

CREATE TABLE `purchase_order_receipt` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int(11) NOT NULL DEFAULT 0,
  `vendor_id` int(11) NOT NULL DEFAULT 0,
  `receipt_date` datetime NOT NULL,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `status` int(11) NOT NULL DEFAULT 3,
  `receipt_pay_date` datetime DEFAULT NULL,
  `total_amount` double(10,2) NOT NULL DEFAULT 0.00,
  `total_pay_amount` double(10,2) NOT NULL DEFAULT 0.00,
  `remaining_amount` double(10,2) NOT NULL DEFAULT 0.00,
  `quality_test_inspector_name` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quality_test_inspector_date` datetime DEFAULT NULL,
  `invoice_no` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `documents` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quality_insu_docs` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_officer_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_officer_name_date` datetime DEFAULT NULL,
  `po_receiver_name` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `po_receiveing_date` datetime DEFAULT NULL,
  `is_book` int(1) NOT NULL DEFAULT 0,
  `receipt_type` int(11) NOT NULL DEFAULT 1 COMMENT '1-purchase-order\r\n\r\n2-advance',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS purchase_order_vendors;

CREATE TABLE `purchase_order_vendors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` bigint(20) NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnic` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `vendors_phone_unique` (`phone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS purchase_orders;

CREATE TABLE `purchase_orders` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `vendor_id` int(11) NOT NULL DEFAULT 0,
  `status` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `delivery_date` datetime DEFAULT NULL,
  `receiver_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receiving_date` datetime DEFAULT NULL,
  `special_instruction` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_terms` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `advance` int(11) DEFAULT 0,
  `total_amount` double(8,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS purchase_requests;

CREATE TABLE `purchase_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `department_id` int(11) NOT NULL DEFAULT 0,
  `created_by` int(11) NOT NULL DEFAULT 0,
  `status` int(11) NOT NULL DEFAULT 0,
  `task_id` int(11) NOT NULL DEFAULT 0,
  `pr_type` enum('direct_pr','indirect_pr') COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `quotation_valid_date` datetime DEFAULT NULL,
  `quotation_created_date` datetime DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rfq_vendors` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cs_purchase_officer` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cs_purchase_manager` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cs_purchase_officer_date` datetime DEFAULT NULL,
  `cs_purchase_manager_date` datetime DEFAULT NULL,
  `auth_person` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auth_person_date` date DEFAULT NULL,
  `remarks` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancellation_remarks` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_book` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS purchases;

CREATE TABLE `purchases` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `product` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supplier` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate` double DEFAULT NULL,
  `qty` int(11) NOT NULL,
  `total` double DEFAULT NULL,
  `tax` double DEFAULT NULL,
  `net` double DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `payment_mode` tinyint(1) NOT NULL DEFAULT 1,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bill_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS receipt_document;

CREATE TABLE `receipt_document` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `receipt_id` int(11) NOT NULL DEFAULT 0,
  `document_path` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS receipt_images;

CREATE TABLE `receipt_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL,
  `image` text DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS receipt_items;

CREATE TABLE `receipt_items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int(11) NOT NULL DEFAULT 0,
  `purchase_request_id` int(11) NOT NULL DEFAULT 0,
  `vendor_id` int(11) NOT NULL DEFAULT 0,
  `purchase_order_receipt_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `quantity` double NOT NULL DEFAULT 0,
  `quality_test_approve_by` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `approval_date` date DEFAULT NULL,
  `approval_status` tinytext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` date DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `pass_quantity` int(11) NOT NULL DEFAULT 0,
  `fail_quantity` int(11) NOT NULL DEFAULT 0,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS receipts;

CREATE TABLE `receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheaque_status` tinyint(1) NOT NULL DEFAULT 0,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `company_account` int(10) unsigned DEFAULT NULL,
  `cancel_property_id` bigint(20) DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `inventory_id` int(11) DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `is_approved` tinyint(1) NOT NULL DEFAULT 1,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(1) NOT NULL DEFAULT 1,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `merging_property_id` int(11) DEFAULT NULL,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(1) DEFAULT NULL,
  `tax_payment_received` tinyint(1) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `notify_sms` tinyint(4) NOT NULL DEFAULT 0,
  `notify_email` tinyint(4) NOT NULL DEFAULT 0,
  `multi_project_id` bigint(20) DEFAULT NULL,
  `transfer_property_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `receipts_customer_id_foreign` (`customer_id`),
  KEY `receipts_customer_property_id_foreign` (`customer_property_id`),
  KEY `receipts_company_account_foreign` (`company_account`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO receipts VALUES("1","1","1","1","1","","","","1","","500000","50000","","2023-07-10","2023-07-10 22:49:43","2023-07-13 13:08:57","","","1","","","0","1","","","1","1","","","","1","","1","0","10000","0","0","25",""),
("2","1","1","1","1","","","","1","","5000","50001","","2023-07-12","2023-07-12 18:24:46","2023-07-13 13:14:34","","","1","","","0","1","","","1","1","","","","1","","1","0","100","0","0","25",""),
("3","2","12","1","7","","","","0","","90000","50002","","2023-07-13","2023-07-13 20:45:52","2023-07-13 20:45:52","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","",""),
("4","2","13","1","7","","","","0","","90000","50003","","2023-07-13","2023-07-13 20:47:42","2023-07-13 20:47:42","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","",""),
("5","1","14","1","7","","","","0","","90000","50004","","2023-07-13","2023-07-13 20:49:31","2023-07-13 20:49:31","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","",""),
("6","3","17","1","7","","","","0","","90000","50005","","2023-07-17","2023-07-17 14:16:23","2023-07-17 14:16:23","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","",""),
("7","3","18","1","7","","","","0","","90000","50006","","2023-07-17","2023-07-17 14:16:47","2023-07-17 14:16:47","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","",""),
("8","1","29","1","7","","","","0","","90000","50007","","2023-08-06","2023-08-06 12:48:29","2023-08-06 12:48:29","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","25",""),
("9","1","30","1","7","","","","0","","90000","50008","","2023-08-06","2023-08-06 12:48:47","2023-08-06 12:48:47","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","25",""),
("10","1","31","1","7","","","","0","","90000","50009","","2023-08-06","2023-08-06 12:49:04","2023-08-06 12:49:04","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","25",""),
("11","7","35","1","1","","","","1","","2160000","50010","","2023-08-06","2023-08-06 12:58:32","2023-08-06 12:58:57","","","1","","","0","1","","","1","1","","","","0","","1","0","21600","0","0","25",""),
("12","6","36","1","7","","","","0","","90000","50011","","2023-08-07","2023-08-07 13:20:19","2023-08-07 13:20:19","","","7","","","0","1","","","1","7","","","","0","","","","","0","0","","");



DROP TABLE IF EXISTS reconciliations;

CREATE TABLE `reconciliations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `started_at` datetime NOT NULL,
  `ended_at` datetime NOT NULL,
  `closing_balance` double(15,4) DEFAULT 0.0000,
  `reconciled` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;




DROP TABLE IF EXISTS refund_receipt_documents;

CREATE TABLE `refund_receipt_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `refund_receipt_id` bigint(20) NOT NULL,
  `document_path` varchar(255) CHARACTER SET latin1 NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `close_unit` tinyint(4) NOT NULL DEFAULT 0,
  `openfile` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS registration_nos;

CREATE TABLE `registration_nos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnic` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS role_user;

CREATE TABLE `role_user` (
  `user_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_user_role_id_foreign` (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO role_user VALUES("22","24"),
("28","16"),
("38","24"),
("42","24"),
("43","47");



DROP TABLE IF EXISTS roles;

CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `display_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO roles VALUES("24","admin","","","2023-03-28 15:56:33","2023-03-28 15:56:33"),
("47","Testing","","","2023-08-07 17:48:45","2023-08-07 17:48:45");



DROP TABLE IF EXISTS schedule_plans;

CREATE TABLE `schedule_plans` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `possession` double(8,2) NOT NULL DEFAULT 1.00,
  `possession_date` date DEFAULT NULL,
  `voucher_valid_after` date DEFAULT NULL,
  `down_payment` double(8,2) NOT NULL DEFAULT 16.00,
  `monthly_installment` double(8,2) NOT NULL DEFAULT 64.00,
  `annual_installment` double(8,2) NOT NULL DEFAULT 19.00,
  `total_months` int(11) NOT NULL DEFAULT 60,
  `allotment` double(8,2) NOT NULL DEFAULT 2.00,
  `confirmation` double(8,2) NOT NULL DEFAULT 2.00,
  `booking` double(8,2) NOT NULL DEFAULT 2.00,
  `development` double(8,2) NOT NULL DEFAULT 2.00,
  `file_processing` double(8,2) NOT NULL DEFAULT 2.00,
  `registration` double(8,2) NOT NULL DEFAULT 2.00,
  `fine` double NOT NULL DEFAULT 0,
  `days_after_fine_added` bigint(20) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `ballon` double(8,2) DEFAULT NULL,
  `bulleting` double(8,2) DEFAULT NULL,
  `semi_installment` double(8,2) DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO schedule_plans VALUES("1","10.00","2025-06-02","2023-03-03","18.00","60.00","0.00","48","2.00","2.00","1.00","0.00","1.00","3.00","1","2","0000-00-00 00:00:00","2023-07-06 17:25:23","1.00","0.00","2.00","Plan 2");



DROP TABLE IF EXISTS sms;

CREATE TABLE `sms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message` text NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS sms_clients;

CREATE TABLE `sms_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(10) unsigned NOT NULL,
  `message_id` int(10) unsigned NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS sms_logs;

CREATE TABLE `sms_logs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `receiver_number` varchar(14) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0 => fail ,1=>success',
  `total_charcter` bigint(20) DEFAULT NULL,
  `response` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `project_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS smtp_settings;

CREATE TABLE `smtp_settings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `smtp_host` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `smtp_port` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `smtp_username` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `smtp_password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `smtp_encryption` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS statement_histories;

CREATE TABLE `statement_histories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `unit_refund_history_id` bigint(20) DEFAULT NULL,
  `unit_adjust_id` bigint(20) DEFAULT NULL,
  `payment_head` int(11) NOT NULL DEFAULT 1,
  `inst_no` int(11) NOT NULL DEFAULT 1,
  `inst_track` tinyint(4) NOT NULL DEFAULT 0,
  `due_date` date DEFAULT NULL,
  `due` double DEFAULT NULL,
  `received` double DEFAULT NULL,
  `balance` double DEFAULT NULL,
  `rcpt_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ref_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rcpt_date` date DEFAULT NULL,
  `rcpt_amount` double DEFAULT NULL,
  `late_days` int(11) DEFAULT NULL,
  `surcharge` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS surcharge_receipts;

CREATE TABLE `surcharge_receipts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `customer_property_id` int(10) unsigned DEFAULT NULL,
  `payment_head` int(11) NOT NULL,
  `payment_mode` int(11) NOT NULL DEFAULT 1,
  `bank_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `amount` double NOT NULL,
  `total_surcharge` double NOT NULL DEFAULT 0,
  `receipt_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `receipt_date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `company_account` int(10) unsigned DEFAULT NULL,
  `adjustment_type` int(11) DEFAULT NULL,
  `adjustment_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `inventory_id` int(11) DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `is_approved` tinyint(1) NOT NULL DEFAULT 1,
  `download_count` int(11) DEFAULT NULL,
  `print_count` int(11) DEFAULT NULL,
  `reconciled` tinyint(1) NOT NULL DEFAULT 1,
  `payment_method` int(11) DEFAULT NULL,
  `dealer_adjustment_unit_id` int(11) DEFAULT NULL,
  `vendor_purchase_order_id` int(11) DEFAULT NULL,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  `notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_paid_by` tinyint(1) DEFAULT NULL,
  `tax_payment_received` tinyint(1) DEFAULT NULL,
  `tax_amount` double DEFAULT NULL,
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `receipts_customer_id_foreign` (`customer_id`),
  KEY `receipts_customer_property_id_foreign` (`customer_property_id`),
  KEY `receipts_company_account_foreign` (`company_account`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS tasks;

CREATE TABLE `tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `duration` int(11) DEFAULT NULL,
  `progress` double(8,2) DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `task_end_date` date DEFAULT NULL,
  `parent` int(11) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `task_priority` enum('high','low','normal') COLLATE utf8mb4_unicode_ci NOT NULL,
  `total_cost` double NOT NULL DEFAULT 0,
  `assign_to` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `task_type` enum('planed','unplaned') COLLATE utf8mb4_unicode_ci NOT NULL,
  `node_name` tinytext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS tax_receipts;

CREATE TABLE `tax_receipts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_id` int(11) NOT NULL,
  `receipt_no` bigint(20) DEFAULT NULL,
  `receipt_date` date DEFAULT NULL,
  `receipt_amount` double DEFAULT NULL,
  `payment_method` int(11) DEFAULT NULL,
  `depositer_bank_id` int(11) DEFAULT NULL,
  `company_bank_id` int(11) DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `instrument_no` varchar(50) DEFAULT NULL,
  `inst_no` varchar(10) DEFAULT NULL,
  `payment_head` int(11) DEFAULT NULL,
  `note` text DEFAULT NULL,
  `is_book` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS testtable;

CREATE TABLE `testtable` (
  `t` text NOT NULL,
  `e` text NOT NULL,
  `s` text NOT NULL,
  `tt` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS token_receipt;

CREATE TABLE `token_receipt` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `unit_id` int(11) DEFAULT NULL,
  `payment_head` varchar(191) DEFAULT NULL,
  `token_amount` double(8,2) DEFAULT NULL,
  `payment_method` varchar(156) DEFAULT NULL,
  `bank_name` varchar(156) DEFAULT NULL,
  `company_account` varchar(156) DEFAULT NULL,
  `drawn_date` date DEFAULT NULL,
  `instrument_no` varchar(156) DEFAULT NULL,
  `adjustment_type` varchar(156) DEFAULT NULL,
  `vendor_purchase_order_id` int(156) DEFAULT NULL,
  `adjustment_detail` varchar(156) DEFAULT NULL,
  `dealer_adjustment_unit_id` varchar(156) DEFAULT NULL,
  `receipt_number` varchar(156) DEFAULT NULL,
  `receipt_date` date DEFAULT NULL,
  `notes` varchar(156) DEFAULT NULL,
  `is_approved` int(11) NOT NULL,
  `is_book` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `multi_project_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS transfer_properties;

CREATE TABLE `transfer_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `property_id` int(10) unsigned NOT NULL,
  `owner_id` int(10) unsigned NOT NULL,
  `transfer_customer_id` int(10) unsigned NOT NULL,
  `transfer_date` date NOT NULL,
  `transfer_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount_paid` double NOT NULL,
  `surcharge` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `old_client_id` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `new_client_id` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transfer_charges` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unit_detail` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transfer_type` bigint(20) DEFAULT NULL,
  `check_list_status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0->notcomplete,1->complete',
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0->unapproved,1->approved',
  `receipt_generated` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0->notcreated,1->created',
  PRIMARY KEY (`id`),
  KEY `transfer_properties_property_id_foreign` (`property_id`),
  KEY `transfer_properties_owner_id_foreign` (`owner_id`),
  KEY `transfer_properties_transfer_customer_id_foreign` (`transfer_customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS transfer_property_documents;

CREATE TABLE `transfer_property_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `transfer_property_id` bigint(20) NOT NULL,
  `transfer_property_type_document_id` bigint(20) NOT NULL,
  `document_path` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS transfer_property_histories;

CREATE TABLE `transfer_property_histories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transfer_prop_id` bigint(20) NOT NULL,
  `payment_head` int(11) NOT NULL DEFAULT 1,
  `inst_no` int(11) NOT NULL DEFAULT 1,
  `inst_track` tinyint(4) NOT NULL DEFAULT 0,
  `due_date` date DEFAULT NULL,
  `due` double DEFAULT NULL,
  `received` double DEFAULT NULL,
  `balance` double DEFAULT NULL,
  `rcpt_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ref_no` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rcpt_date` date DEFAULT NULL,
  `rcpt_amount` double DEFAULT NULL,
  `late_days` int(11) DEFAULT NULL,
  `surcharge` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS transfer_property_type_documents;

CREATE TABLE `transfer_property_type_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `transfer_property_type_id` bigint(20) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `route_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO transfer_property_type_documents VALUES("2","1","Sale Agreement","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.sale.agreement-normal"),
("3","1","Undertaking By The Purchaser","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.undertaking.normal"),
("4","1","Affidavit By The Seller","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.affidavit.normal"),
("5","1","Undertaking By The Purchaser","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.sale.agreement-normal"),
("6","2","Gift Declaration","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.gift"),
("7","3","Affidavit By The Transferor","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.affidavit.family"),
("8","3","Undertaking By The Transferee","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.undertaking.family"),
("9","4","Deed Of The Relinquishment","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.deed.of.relinquishment"),
("10","4","Undertaking By The Transferee","2023-06-08 16:44:52","2023-06-08 16:44:52","transfer.undertaking.death");



DROP TABLE IF EXISTS transfer_property_types;

CREATE TABLE `transfer_property_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO transfer_property_types VALUES("1","Normal","2023-06-05 16:07:25","2023-06-05 16:07:25"),
("2","Gift","2023-06-05 16:07:25","2023-06-05 16:07:25"),
("3","Family","2023-06-05 16:07:25","2023-06-05 16:07:25"),
("4","Death","2023-06-05 16:07:25","2023-06-05 16:07:25");



DROP TABLE IF EXISTS unit_adjusts;

CREATE TABLE `unit_adjusts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ua_no` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_id` bigint(20) DEFAULT NULL,
  `cancel_property_id` bigint(20) NOT NULL,
  `customer_property_id` bigint(20) NOT NULL,
  `total_received_amount` double DEFAULT NULL,
  `unit_detail` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS unit_blockage_criterias;

CREATE TABLE `unit_blockage_criterias` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `criteria_no` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_days` double NOT NULL DEFAULT 0,
  `total_amount` double NOT NULL DEFAULT 0,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0 inactive || 1 active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `criteria_no` (`criteria_no`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_blockage_criterias VALUES("1","Testing","3","144000","","1","2023-07-10 23:04:12","2023-07-10 23:04:28");



DROP TABLE IF EXISTS unit_blocks;

CREATE TABLE `unit_blocks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(55) NOT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;

INSERT INTO unit_blocks VALUES("1","Quaid-e-Azam","0","2023-07-10 20:37:08","2023-07-10 20:37:08"),
("2","Iqbal","0","2023-07-10 20:37:14","2023-07-10 20:37:14"),
("3","Sir Syed","0","2023-07-10 20:37:21","2023-07-10 20:37:21"),
("4","Liaquat","0","2023-07-10 20:37:29","2023-07-10 20:37:29"),
("5","A","0","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("6","B","0","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("7","C","0","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("8","D","0","2023-07-17 14:28:52","2023-07-17 14:28:52"),
("9","E","0","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("10","F","0","2023-08-06 13:02:41","2023-08-06 13:02:41"),
("11","G","0","2023-08-06 13:02:41","2023-08-06 13:02:41");



DROP TABLE IF EXISTS unit_categories;

CREATE TABLE `unit_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `percent` float NOT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `is_percent` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_categories VALUES("1","Corner","2023-07-10 20:35:11","2023-07-10 20:35:11","5","0","1"),
("2","Park Facing","2023-07-10 20:35:18","2023-07-10 20:35:18","5","0","1"),
("3","Parking Lot","2023-07-10 20:35:29","2023-07-10 20:35:29","7","0","1"),
("4","Main Boulevard","2023-07-17 14:28:52","2023-08-06 12:39:35","3","0","1"),
("5","Main Road","2023-07-17 14:28:52","2023-08-06 11:53:08","3","0","1"),
("6","Two or more sides open","2023-08-06 13:02:41","2023-08-06 13:02:41","0","0","0");



DROP TABLE IF EXISTS unit_floor_sizes;

CREATE TABLE `unit_floor_sizes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `unit_floor_id` int(10) unsigned NOT NULL,
  `unit_size_id` int(10) unsigned DEFAULT NULL,
  `rate` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_type_id` int(10) unsigned NOT NULL,
  `registration_fee` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `unit_floor_categories_unit_floor_id_foreign` (`unit_floor_id`),
  KEY `unit_floor_categories_unit_category_id_foreign` (`unit_size_id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_floor_sizes VALUES("1","1","","","2023-07-10 20:50:47","2023-07-10 20:50:47","2",""),
("2","2","","","2023-07-10 20:51:00","2023-07-10 20:51:00","2",""),
("3","3","","","2023-07-10 20:51:10","2023-07-10 20:51:10","2",""),
("4","4","","","2023-07-10 20:51:22","2023-07-10 20:51:22","2",""),
("9","5","","","2023-07-10 20:54:49","2023-07-10 20:54:49","1",""),
("10","6","","","2023-07-10 20:54:55","2023-07-10 20:54:55","1",""),
("12","7","","","2023-07-10 20:54:57","2023-07-10 20:54:57","1",""),
("13","8","","","2023-07-10 20:55:03","2023-07-10 20:55:03","1",""),
("14","9","","","2023-07-17 14:28:52","2023-07-17 14:28:52","3",""),
("15","10","","","2023-07-17 14:28:52","2023-07-17 14:28:52","3",""),
("16","11","","","2023-07-17 14:28:52","2023-07-17 14:28:52","3",""),
("17","12","","","2023-07-17 14:28:52","2023-07-17 14:28:52","3",""),
("18","13","","","2023-08-06 11:51:29","2023-08-06 11:51:29","3",""),
("19","14","","","2023-08-06 12:00:59","2023-08-06 12:00:59","2",""),
("20","15","","","2023-08-06 12:34:57","2023-08-06 12:34:57","3",""),
("21","16","","","2023-08-06 12:34:57","2023-08-06 12:34:57","3",""),
("22","17","","","2023-08-06 12:34:58","2023-08-06 12:34:58","3",""),
("23","18","","","2023-08-06 12:34:58","2023-08-06 12:34:58","3",""),
("24","19","","","2023-08-06 13:02:41","2023-08-06 13:02:41","2",""),
("25","20","","","2023-08-06 13:02:41","2023-08-06 13:02:41","2",""),
("26","21","","","2023-08-06 13:02:41","2023-08-06 13:02:41","1",""),
("27","22","","","2023-08-06 13:02:41","2023-08-06 13:02:41","1",""),
("28","23","","","2023-08-06 13:02:41","2023-08-06 13:02:41","2",""),
("29","24","","","2023-08-06 13:02:41","2023-08-06 13:02:41","2",""),
("30","25","","","2023-08-06 13:02:41","2023-08-06 13:02:41","2","");



DROP TABLE IF EXISTS unit_floors;

CREATE TABLE `unit_floors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `unit_block_id` int(11) DEFAULT NULL,
  `project_type_id` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_floors VALUES("1","Street 1","2023-07-10 20:50:47","2023-07-10 20:50:47","0","2","2"),
("2","Street 2","2023-07-10 20:51:00","2023-07-10 20:51:00","0","2","2"),
("3","Street 1","2023-07-10 20:51:10","2023-07-10 20:51:10","0","4","2"),
("4","Street 2","2023-07-10 20:51:22","2023-07-10 20:51:22","0","4","2"),
("5","Street 1","2023-07-10 20:51:35","2023-07-10 20:54:49","0","1","2"),
("6","Street 2","2023-07-10 20:51:46","2023-07-10 20:54:55","0","1","2"),
("7","Street 1","2023-07-10 20:51:54","2023-07-10 20:54:57","0","3","2"),
("8","Street 2","2023-07-10 20:52:01","2023-07-10 20:55:03","0","3","2"),
("9","a12","2023-07-17 14:28:52","2023-07-17 14:28:52","0","5",""),
("10","C","2023-07-17 14:28:52","2023-07-17 14:28:52","0","6",""),
("11","E","2023-07-17 14:28:52","2023-07-17 14:28:52","0","7",""),
("12","E-12","2023-07-17 14:28:52","2023-07-17 14:28:52","0","8",""),
("13","1","2023-08-06 11:51:29","2023-08-06 11:51:29","0","6",""),
("14","2","2023-08-06 12:00:59","2023-08-06 12:00:59","0","5",""),
("15","3","2023-08-06 12:34:57","2023-08-06 12:34:57","0","5",""),
("16","4","2023-08-06 12:34:57","2023-08-06 12:34:57","0","6",""),
("17","5","2023-08-06 12:34:58","2023-08-06 12:34:58","0","7",""),
("18","6","2023-08-06 12:34:58","2023-08-06 12:34:58","0","8",""),
("19","10","2023-08-06 13:02:41","2023-08-06 13:02:41","0","5",""),
("20","11","2023-08-06 13:02:41","2023-08-06 13:02:41","0","6",""),
("21","12","2023-08-06 13:02:41","2023-08-06 13:02:41","0","7",""),
("22","13","2023-08-06 13:02:41","2023-08-06 13:02:41","0","8",""),
("23","14","2023-08-06 13:02:41","2023-08-06 13:02:41","0","9",""),
("24","15","2023-08-06 13:02:41","2023-08-06 13:02:41","0","10",""),
("25","16","2023-08-06 13:02:41","2023-08-06 13:02:41","0","11","");



DROP TABLE IF EXISTS unit_old_rates;

CREATE TABLE `unit_old_rates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unit_floor_id` int(11) NOT NULL,
  `unit_type_id` int(11) NOT NULL,
  `rate` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

INSERT INTO unit_old_rates VALUES("1","5","2","","2023-07-10 20:51:35","2023-07-10 20:54:49"),
("2","6","2","","2023-07-10 20:51:46","2023-07-10 20:54:55"),
("3","7","2","","2023-07-10 20:51:54","2023-07-10 20:54:56"),
("4","7","1","","2023-07-10 20:54:56","2023-07-10 20:54:57"),
("5","8","2","","2023-07-10 20:52:01","2023-07-10 20:55:03");



DROP TABLE IF EXISTS unit_refund_histories;

CREATE TABLE `unit_refund_histories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint(20) NOT NULL,
  `cancel_property_id` bigint(20) DEFAULT NULL,
  `customer_property_id` bigint(20) NOT NULL,
  `total_amount` double DEFAULT NULL,
  `total_refund` double DEFAULT NULL,
  `total_deduct` double DEFAULT NULL,
  `unit_detail` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `total_deduct_percentage` double DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;




DROP TABLE IF EXISTS unit_sizes;

CREATE TABLE `unit_sizes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` float NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_sizes VALUES("1","5","1","2023-07-10 20:35:51","2023-07-10 20:35:51","0"),
("2","8","1","2023-07-10 20:35:58","2023-07-10 20:35:58","0"),
("3","12","1","2023-07-10 20:35:59","2023-07-10 20:35:59","0"),
("4","20","1","2023-07-10 20:36:05","2023-07-10 20:36:05","0"),
("5","40","1","2023-07-10 20:36:11","2023-07-10 20:36:11","0");



DROP TABLE IF EXISTS unit_types;

CREATE TABLE `unit_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_deleted` tinyint(4) NOT NULL DEFAULT 0,
  `projecttype_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO unit_types VALUES("1","Commercial","1","2023-07-10 20:35:37","2023-07-10 20:35:37","0","2"),
("2","Residential","1","2023-07-10 20:35:42","2023-07-10 20:35:42","0","2"),
("3","Residencial","1","2023-07-17 14:28:52","2023-07-17 14:28:52","0","");



DROP TABLE IF EXISTS users;

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `session_id` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_number` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO users VALUES("22","Admin","admin@gmail.com","$2y$10$o60a9nz3Y7JEldjDKFogeuXTm/7f9/1B4xib0jIPvQRewRzDpeB6u","QWa8C5GNXbiEWIzMOZL707jAsSxJL6HRkbVQb6oJWo002WC5MV6aODyj9hah","2020-07-16 19:38:54","2023-07-24 21:11:45","idpDmyyEEQuBtbh22uvhmyAIWYtLepufmzC4oyb1","03123456789"),
("38","abc","abc@example.com","$2y$10$1C4YMNY.Lx1yRCl/.ei/7OJmyA6p0K5uTIiuQFxiii0qZv07ogOU.","","2023-05-25 23:30:29","2023-05-25 23:30:29","","09007860112"),
("42","Tanveer Hussain","sales_head@blueworldcity.com","$2y$10$8z9kb3ILFDWL7jq5UnnPMuntXWvPmIyc.QXSgIettLKuaOU6blLr2","","2023-07-04 18:59:51","2023-07-04 18:59:51","","03217676767"),
("43","Testing","xyz@example.com","$2y$10$7lnscKsUK5.z3zoLdiT77uxt609eBobmuQMyJH5yXf/4dqzLhlQZe","","2023-08-07 17:57:49","2023-08-07 17:57:49","","03123232433");



DROP TABLE IF EXISTS vendor_certificates;

CREATE TABLE `vendor_certificates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor_id` int(11) NOT NULL,
  `date_from` date NOT NULL,
  `date_to` date NOT NULL,
  `specific_nature` varchar(255) NOT NULL,
  `total_tax_amount` double NOT NULL,
  `total_amount` double NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS vendors;

CREATE TABLE `vendors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) DEFAULT NULL,
  `address` text DEFAULT NULL,
  `phone_number` varchar(100) DEFAULT NULL,
  `opening_balance` double NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `cnic` varchar(50) DEFAULT NULL,
  `rep_name` varchar(50) DEFAULT NULL,
  `vendor_type` int(11) DEFAULT NULL,
  `ntn` varchar(100) DEFAULT NULL,
  `stn` varchar(100) DEFAULT NULL,
  `test_certificate` mediumint(9) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;




DROP TABLE IF EXISTS vouchers;

CREATE TABLE `vouchers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entry_no` int(11) NOT NULL,
  `narration` text DEFAULT NULL,
  `documents` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;

INSERT INTO vouchers VALUES("1","1","","","2023-07-13 13:08:57","2023-07-13 13:10:17"),
("2","2","","","2023-07-13 13:14:34","2023-07-13 13:55:16"),
("3","3","","","2023-07-13 16:10:22","2023-07-13 17:07:38"),
("4","1","","","2023-07-25 17:30:15","2023-07-25 17:30:15"),
("5","2","","","2023-07-25 17:48:31","2023-07-25 17:48:31"),
("6","1","","","2023-07-25 18:33:16","2023-07-25 18:33:16"),
("7","2","","","2023-07-31 15:41:22","2023-07-31 15:41:22"),
("8","2","","","2023-07-31 16:17:37","2023-07-31 16:17:37"),
("9","3","","","2023-08-07 12:45:58","2023-08-07 12:45:58"),
("10","3","","","2023-08-07 12:45:59","2023-08-07 12:45:59"),
("11","3","","","2023-08-07 12:55:55","2023-08-07 12:55:55"),
("12","3","","","2023-08-07 12:55:55","2023-08-07 12:55:55"),
("13","3","","","2023-08-07 13:03:56","2023-08-07 13:03:56"),
("14","3","","","2023-08-07 13:03:56","2023-08-07 13:03:56"),
("16","3","","","2023-08-07 13:05:32","2023-08-07 13:05:32"),
("17","3","","","2023-08-07 13:05:32","2023-08-07 13:05:32"),
("19","3","","","2023-08-07 13:07:36","2023-08-07 13:07:36"),
("20","4","","","2023-08-07 13:07:36","2023-08-07 13:07:36");



